// ###### 全体 - 初期化 ######
/* ***************************************************************************
    画面初期化(起動時/更新押下時に起動)
**************************************************************************** */
function uiInitload(code, F) {
    // カメラ台数
    frmNWDR.txtCamNumH264_1.value = '';
    frmNWDR.txtCamNumH264_2.value = '';
    frmNWDR.txtCamNumH264_3.value = '';
    frmNWDR.txtCamNumJpeg_1.value = '';
    frmNWDR.txtCamNumJpeg_2.value = '';
    frmNWDR.txtCamNumJpeg_3.value = '';
    frmNWDR.txtCamNumMpg4_1.value = '';
    frmNWDR.txtCamNumFace_1.value = '';

    // H.264(1)初期化
    uiInitH264('1', 2, 0);
    // H.264(2)初期化
    uiInitH264('2', 2, 2);
    // H.264(3)初期化
    uiInitH264('3', 5, 0);

    // Jpeg(1)初期化
    uiInitJpeg('1', 2, 0);
    // Jpeg(2)初期化
    uiInitJpeg('2', 2, 2);
    // Jpeg(3)初期化
    uiInitJpeg('3', 4, 0);

    // Mpeg4(1)初期化
    uiInitMpeg4('1', 0);

    // H.264(顔認証)(1)初期化
    uiInitFace('1');

    //-----------------
    j = 0;
    frmNWDR.selRecHour.length = 24;
    for (var i = 24; i > 0; i--) {
        frmNWDR.selRecHour.options[j].value = [i];
        frmNWDR.selRecHour.options[j].text = [i];
        j++;
    }
    frmNWDR.selRecHour.selectedIndex = 0;

    frmNWDR.sel_HDD.length = defSelHDDcapaGB.length;
    for (var i = 0; i < defSelHDDcapaGB.length; i++) {
        frmNWDR.sel_HDD.options[i].value = defSelHDDcapaGB[i];
        frmNWDR.sel_HDD.options[i].text = defSelHDDcapaGB[i] + sel_hdd_unit;
    }
    frmNWDR.sel_HDD.selectedIndex = 0;

    frmNWDR.sel_RAID.length = sel_raid_str.length;
    for (var i = 0; i < sel_raid_str.length; i++) {
        frmNWDR.sel_RAID.options[i].value = defDelRAIDcode[i];
        frmNWDR.sel_RAID.options[i].text = sel_raid_str[i];
    }

    frmNWDR.sel_RAID.selectedIndex = 0;

    uiHDDchange(frmNWDR.sel_HDD);

    frmNWDR.txtRecDays.value = defDefalutRecDay;

    document.frmNWDR.elements['chkvmd'].checked = false;
    document.frmNWDR.elements['chkaudio'].checked = false;
    document.frmNWDR.elements['chkdetail'].checked = false;

    calcdata(); // 再計算実行
}

// ###### 録画条件 - H.264 ######
/* ***************************************************************************
    H264の画面部品を取得する

    no       設定番号
                 '1'     H.264(1)
                 '2'     H.264(2)
                 '3'     H.264(3)
    partsObj 画面部品
                 [0]     品番
                 [1]     解像度
                 [2]     撮像モード
                 [3]     優先モード
                 [4]     画質
                 [5]     ビットレート
**************************************************************************** */
function uiGetH264Object(no, partsObj) {
    // 設定するオブジェクトを取得
    switch (no) {
        // H.264(1)
        case '1' :
            partsObj[0] = frmNWDR.selModelH264_1;
            partsObj[1] = frmNWDR.selResoH264_1;
            partsObj[2] = frmNWDR.selScanH264_1;
            partsObj[3] = frmNWDR.selPrioH264_1;
            partsObj[4] = frmNWDR.selQualH264_1;
            partsObj[5] = frmNWDR.selKbpsH264_1;
            break;

        // H.264(2)
        case '2' :
            partsObj[0] = frmNWDR.selModelH264_2;
            partsObj[1] = frmNWDR.selResoH264_2;
            partsObj[2] = frmNWDR.selScanH264_2;
            partsObj[3] = frmNWDR.selPrioH264_2;
            partsObj[4] = frmNWDR.selQualH264_2;
            partsObj[5] = frmNWDR.selKbpsH264_2;
            break;

        // H.264(3)
        case '3' :
            partsObj[0] = frmNWDR.selModelH264_3;
            partsObj[1] = frmNWDR.selResoH264_3;
            partsObj[2] = frmNWDR.selScanH264_3;
            partsObj[3] = frmNWDR.selPrioH264_3;
            partsObj[4] = frmNWDR.selQualH264_3;
            partsObj[5] = frmNWDR.selKbpsH264_3;
            break;
    }
}

/* ***************************************************************************
    H264の録画条件を初期化する

    no       設定番号
                 '1'     H.264(1)
                 '2'     H.264(2)
                 '3'     H.264(3)
    model    設定モデル番号
    reso     設定解像度
**************************************************************************** */
function uiInitH264(no, model, reso) {
    // <c2>型番
    uiSetH264Model(no, model);
    // <c4>撮像モード
    var scan = uiSetH264ScanIndex(no, model, null);
    // <c3>解像度
    reso = uiSetH264ResoIndex(no, model, scan, reso);
    // <c5>優先モード
    var prio = uiSetH264PrioIndex(no, model, null);
    // <c6>画質
    var qual = uiSetH264QualIndex(no, model, prio, null);
    // <c7>ビットレート
    uiSetH264bpsIndex(no, model, scan, reso, prio, qual, null);
}

/* ***************************************************************************
    H264<c2>型番[Index:0]を設定する

    no       設定番号
                 '1'     H.264(1)
                 '2'     H.264(2)
                 '3'     H.264(3)
    model    設定モデル番号
**************************************************************************** */
function uiSetH264Model(no, model) {
    // オブジェクト変数
    var objParts = new Array();

    // 設定するオブジェクトを取得
    uiGetH264Object(no, objParts);

    // <c2>型番
    objParts[0].length = camInfo_H264.length;
    for (var idx = 0; idx < objParts[0].length; idx++) {
        objParts[0].options[idx].value = idx;
        objParts[0].options[idx].text = camInfo_H264[idx][0];
    }
    objParts[0].selectedIndex = model;
}

/* ***************************************************************************
    H264<c2>型番の変更にあわせ、他のパラメータをセットしなおす

    no       設定番号
                 '1'     H.264(1)
                 '2'     H.264(2)
                 '3'     H.264(3)
    item     録画条件入力部の項目(列)番号
                 '1' : 台数 ～ '7' : ビットレート
**************************************************************************** */
function uiChangeH264(no, item) {
    // オブジェクト変数
    var objParts = new Array();

    // 設定するオブジェクトを取得
    uiGetH264Object(no, objParts);

    // 現在の選択値を取得(value)
    var model = Number(objParts[0].options[objParts[0].selectedIndex].value);
    var sscan = objParts[2].options[objParts[2].selectedIndex].text;
    var sreso = objParts[1].options[objParts[1].selectedIndex].text;
    var sprio = objParts[3].options[objParts[3].selectedIndex].text;
    var squal = objParts[4].options[objParts[4].selectedIndex].text;
    var bitrate = objParts[5].options[objParts[5].selectedIndex].value;

    // いったんパラメータを初期化する
    uiInitH264(no, model, null);

    // <c4>撮像モード復元
    var scan = uiSelectH264ScanText(no, sscan);

    // <c3>解像度復元
    uiSetH264ResoIndex(no, model, scan, null);
    var reso = uiSelectH264ResoText(no, sreso);

    // <c5>優先モード復元
    uiSetH264PrioIndex(no, model, null);
    var prio = uiSelectH264PrioText(no, sprio);

    // <c6>画質復元
    uiSetH264QualIndex(no, model, prio, null);
    var qual = uiSetH264QualText(no, squal);

    // <c7>ビットレート復元
    uiSetH264bpsIndex(no, model, scan, reso, prio, qual, null);
    uiSetH264bpsValue(no, bitrate);

    calcdata(); // 再計算実行

    // 固定ビットレート優先設定時のメッセージ表示 2015.02.04 H.Sasaki
    if(item == '5' && prio == 0 && bBrPrioMsg == true){
        uiMsgDialogPopup(CONFMSG_FIXRATE, CONFMSGMODE);
    }
}

/* ***************************************************************************
    H264<c3>解像度[Index:1]を設定する

    no       設定番号
                 '1'     H.264(1)
                 '2'     H.264(2)
                 '3'     H.264(3)
    model    モデル番号
    scan     撮像モード番号
    reso     設定解像度番号
**************************************************************************** */
function uiSetH264ResoIndex(no, model, scan, reso) {
    // オブジェクト変数
    var objParts = new Array();

    // 設定するオブジェクトを取得
    uiGetH264Object(no, objParts);

    // <c3>解像度
    objParts[1].length = camInfo_H264[model][1][scan + 1][1].length - 1;
    for (var idx = 0; idx < objParts[1].length; idx++) {
        objParts[1].options[idx].value = idx;
        objParts[1].options[idx].text =
            camInfo_H264[model][1][scan + 1][1][idx + 1];
    }
    // 設定値に指定がないときは、デフォルト値にする
    if (null == reso) {
        objParts[1].selectedIndex = camInfo_H264[model][1][scan + 1][1][0];
    } else {
        objParts[1].selectedIndex = reso;
    }

    return objParts[1].selectedIndex;
}

/* ***************************************************************************
    H264<c3>解像度[Index:1]を設定する(Text指定)

    no       設定番号
                 '1'     H.264(1)
                 '2'     H.264(2)
                 '3'     H.264(3)
    sscan    設定解像度文字列
**************************************************************************** */
function uiSelectH264ResoText(no, sreso) {
    // オブジェクト変数
    var objParts = new Array();

    // 設定するオブジェクトを取得
    uiGetH264Object(no, objParts);

    // <c3>解像度
    for (var idx = 0; idx < objParts[1].length; idx++) {
        // 指定された文字列があれば、それを選択状態にする
        if (sreso == objParts[1].options[idx].text) {
            objParts[1].selectedIndex = idx;
            break;
        }
    }

    return objParts[1].selectedIndex;
}

/* ***************************************************************************
    H264<c4>撮像モード[Index:2]を設定する

    no       設定番号
                 '1'     H.264(1)
                 '2'     H.264(2)
                 '3'     H.264(3)
    model    モデル番号
    scan     設定撮像モード番号
**************************************************************************** */
function uiSetH264ScanIndex(no, model, scan) {
    // オブジェクト変数
    var objParts = new Array();

    // 設定するオブジェクトを取得
    uiGetH264Object(no, objParts);

    // <c4>撮像モード
    objParts[2].length = camInfo_H264[model][1].length - 1;
    for (var idx = 0; idx < objParts[2].length; idx++) {
        objParts[2].options[idx].value = idx;
        objParts[2].options[idx].text = camInfo_H264[model][1][idx + 1][0];
    }
    // 設定値に指定がないときは、デフォルト値にする
    if (null == scan) {
        objParts[2].selectedIndex = camInfo_H264[model][1][0][0];
    } else {
        objParts[2].selectedIndex = scan;
    }

    return objParts[2].selectedIndex;
}

/* ***************************************************************************
    H264<c4>撮像モード[Index:2]を設定する(Text指定)

    no       設定番号
                 '1'     H.264(1)
                 '2'     H.264(2)
                 '3'     H.264(3)
    sscan    設定撮像モード文字列
**************************************************************************** */
function uiSelectH264ScanText(no, sscan) {
    // オブジェクト変数
    var objParts = new Array();

    // 設定するオブジェクトを取得
    uiGetH264Object(no, objParts);

    // <c4>撮像モード
    for (var idx = 0; idx < objParts[2].length; idx++) {
        // 指定された文字列があれば、それを選択状態にする
        if (sscan == objParts[2].options[idx].text) {
            objParts[2].selectedIndex = idx;
            break;
        }
    }

    return objParts[2].selectedIndex;
}

/* ***************************************************************************
    H264<c5>優先モード[Index:3]を設定する

    no       設定番号
                 '1'     H.264(1)
                 '2'     H.264(2)
                 '3'     H.264(3)
    model    モデル番号
    prio     設定優先モード番号
**************************************************************************** */
function uiSetH264PrioIndex(no, model, prio) {
    // オブジェクト変数
    var objParts = new Array();

    // 設定するオブジェクトを取得
    uiGetH264Object(no, objParts);

    // <c5>優先モード
    objParts[3].length = camInfo_H264[model][2].length - 1;
    for (var idx = 0; idx < objParts[3].length; idx++) {
        objParts[3].options[idx].value = idx;
        objParts[3].options[idx].text = camInfo_H264[model][2][idx + 1][0];
    }
    // 設定値に指定がないときは、デフォルト値にする
    if (null == prio) {
        objParts[3].selectedIndex = camInfo_H264[model][2][0][0];
    } else {
        objParts[3].selectedIndex = prio;
    }

    return objParts[3].selectedIndex;
}

/* ***************************************************************************
    H264<c5>優先モード[Index:3]を設定する(Text指定)

    no       設定番号
                 '1'     H.264(1)
                 '2'     H.264(2)
                 '3'     H.264(3)
    sprio    設定優先モード文字列
**************************************************************************** */
function uiSelectH264PrioText(no, sprio) {
    // オブジェクト変数
    var objParts = new Array();

    // 設定するオブジェクトを取得
    uiGetH264Object(no, objParts);

    // <c5>優先モード
    for (var idx = 0; idx < objParts[3].length; idx++) {
        // 指定された文字列があれば、それを選択状態にする
        if (sprio == objParts[3].options[idx].text) {
            objParts[3].selectedIndex = idx;
            break;
        }
    }

    return objParts[3].selectedIndex;
}

/* ***************************************************************************
    H264<c6>画質[Index:4]を設定する

    no       設定番号
                 '1'     H.264(1)
                 '2'     H.264(2)
                 '3'     H.264(3)
    model    モデル番号
    prio     優先モード番号
    qual     設定画質番号
**************************************************************************** */
function uiSetH264QualIndex(no, model, prio, qual) {
    // オブジェクト変数
    var objParts = new Array();

    // 設定するオブジェクトを取得
    uiGetH264Object(no, objParts);

    // <c6>画質
    objParts[4].length = camInfo_H264[model][2][prio + 1][1].length - 1;
    for (var idx = 0; idx < objParts[4].length; idx++) {
        objParts[4].options[idx].value = idx;
        objParts[4].options[idx].text =
            camInfo_H264[model][2][prio + 1][1][idx + 1];
    }
    // 設定値に指定がないときは、デフォルト値にする
    if (null == qual) {
        objParts[4].selectedIndex = camInfo_H264[model][2][prio + 1][1][0];
    } else {
        objParts[4].selectedIndex = qual;
    }

    return objParts[4].selectedIndex;
}

/* ***************************************************************************
    H264<c6>画質[Index:4]を設定する(Text指定)

    no       設定番号
                 '1'     H.264(1)
                 '2'     H.264(2)
                 '3'     H.264(3)
    squal    設定画質文字列
**************************************************************************** */
function uiSetH264QualText(no, squal) {
    // オブジェクト変数
    var objParts = new Array();

    // 設定するオブジェクトを取得
    uiGetH264Object(no, objParts);

    // <c6>画質
    for (var idx = 0; idx < objParts[4].length; idx++) {
        // 指定された文字列があれば、それを選択状態にする
        if (squal == objParts[4].options[idx].text) {
            objParts[4].selectedIndex = idx;
            break;
        }
    }

    return objParts[4].selectedIndex;
}

/* ***************************************************************************
    H264<c7>ビットレート[Index:5]を設定する

    no       設定番号
                 '1'     H.264(1)
                 '2'     H.264(2)
                 '3'     H.264(3)
    model    モデル番号
    scan     撮像モード番号
    reso     解像度番号
    prio     優先モード番号
    qual     画質番号
    bitrate  設定ビットレート番号
**************************************************************************** */
function uiSetH264bpsIndex(no, model, scan, reso, prio, qual, bitrate) {
    // オブジェクト変数
    var objParts = new Array();

    // 設定するオブジェクトを取得
    uiGetH264Object(no, objParts);

    // 該当ビットレートテーブルの読み込み
    var tblBitrate = camBitrate_H264[model][scan][prio][reso][qual];

    // <c7>ビットレート
    objParts[5].length = tblBitrate.length - 1;
    for (var idx = 0; idx < objParts[5].length; idx++) {
        // <c7>ビットレートの数字
        // [1] : 計算用ビットレートをセットする(0 = 表示用と同じ)
        var dspbitrate = tblBitrate[idx + 1][0];
        if (0 == tblBitrate[idx + 1][1]) {
            objParts[5].options[idx].value = tblBitrate[idx + 1][0]; // 表示用[0]と同じ
        } else {
            objParts[5].options[idx].value = tblBitrate[idx + 1][1]; // 計算用[1]をセット
            dspbitrate += '(' + tblBitrate[idx + 1][1] + ')';
        }
        // [2] : 出力可能FPS数をセットする
        var dspfps = '';
        if (0 == prio) {
            dspfps += s_cam_fps_max;
        }
        if (0 == tblBitrate[idx + 1][2]) {
            dspfps += s_cam_fps_none;
        } else {
            dspfps += tblBitrate[idx + 1][2] + s_cam_fps;
        }
        // [3] : 注釈マーク(*)付記 (1 = 注釈不要 / 0 = 注釈付記) の処理
        if (1 == tblBitrate[idx + 1][3]) {
            objParts[5].options[idx].text =
                dspbitrate +
                s_cam_bitrate_kbps +
                s_space +
                dspfps;
        } else {
        // 注釈付記フラグのあるビットレートでは (*) を付加表示
            objParts[5].options[idx].text =
                dspbitrate +
                s_cam_bitrate_kbps +
                s_mark_notice +
                s_space +
                dspfps;
        }
    }
    // 設定値に指定がないときは、デフォルト値にする
    if (null == bitrate) {
        objParts[5].selectedIndex = tblBitrate[0][0];
    } else {
        objParts[5].selectedIndex = bitrate;
    }

    return objParts[5].selectedIndex;
}

/* ***************************************************************************
    H264<c7>ビットレート[Index:5]を設定する(Value指定)

    no       設定番号
                 '1'     H.264(1)
                 '2'     H.264(2)
                 '3'     H.264(3)
    bitrate  設定ビットレート
**************************************************************************** */
function uiSetH264bpsValue(no, bitrate) {
    // オブジェクト変数
    var objParts = new Array();

    // 設定するオブジェクトを取得
    uiGetH264Object(no, objParts);

    // <c7>ビットレート
    for (var idx = 0; idx < objParts[5].length; idx++) {
        // 指定された文字列があれば、それを選択状態にする
        if (bitrate == objParts[5].options[idx].value) {
            objParts[5].selectedIndex = idx;
            break;
        }
    }

    return objParts[5].selectedIndex;
}

// ###### 録画条件 - JPEG ######
/* ***************************************************************************
    JPEGの画面部品を取得する

    no       設定番号
                 '1'     JPEG(1)
                 '2'     JPEG(2)
                 '3'     JPEG(3)
    partsObj 画面部品
                 [0]     品番
                 [1]     解像度
                 [2]     撮像モード
                 [3]     優先モード
                 [4]     画質
                 [5]     ビットレート
**************************************************************************** */
function uiGetJpegObject(no, partsObj) {
    // 設定するオブジェクトを取得
    switch (no) {
        // Jpeg(1)
        case '1' :
            partsObj[0] = frmNWDR.selModelJpeg_1;
            partsObj[1] = frmNWDR.selResoJpeg_1;
            partsObj[2] = frmNWDR.selScanJpeg_1;
            partsObj[3] = frmNWDR.selQualJpeg_1;
            partsObj[4] = frmNWDR.selFpsJpeg_1;
            partsObj[5] = frmNWDR.txtMbpsJpeg_1;
            break;

        // Jpeg(2)
        case '2' :
            partsObj[0] = frmNWDR.selModelJpeg_2;
            partsObj[1] = frmNWDR.selResoJpeg_2;
            partsObj[2] = frmNWDR.selScanJpeg_2;
            partsObj[3] = frmNWDR.selQualJpeg_2;
            partsObj[4] = frmNWDR.selFpsJpeg_2;
            partsObj[5] = frmNWDR.txtMbpsJpeg_2;
            break;

        // Jpeg(3)
        case '3' :
            partsObj[0] = frmNWDR.selModelJpeg_3;
            partsObj[1] = frmNWDR.selResoJpeg_3;
            partsObj[2] = frmNWDR.selScanJpeg_3;
            partsObj[3] = frmNWDR.selQualJpeg_3;
            partsObj[4] = frmNWDR.selFpsJpeg_3;
            partsObj[5] = frmNWDR.txtMbpsJpeg_3;
            break;
    }
}

/* ***************************************************************************
    JPEGの録画条件を初期化する

    no       設定番号
                 '1'     JPEG(1)
                 '2'     JPEG(2)
                 '3'     JPEG(3)
    model    設定モデル番号
    reso     設定解像度
**************************************************************************** */
function uiInitJpeg(no, model, reso) {

    // <c2>型番
    uiSetJpegModelIndex(no, model);
    // <c4>撮像モード
    var scan = uiSetJpegScanIndex(no, model, null);
    // <c3>解像度
    reso = uiSetJpegResoIndex(no, model, scan, reso);
    // <c5>画質
    var qual = uiSetJpegQualIndex(no, model, scan, reso, null);
    // <c6>録画fps
    uiSetJpegRecFps(no, model, scan, reso, null);
    // <c7>ビットレート
    uiSetJpegBpsValue(no);
}

/* ***************************************************************************
    JPEG<c2>型番[Index:0]を設定する

    no       設定番号
                 '1'     JPEG(1)
                 '2'     JPEG(2)
                 '3'     JPEG(3)
    model    設定モデル番号
**************************************************************************** */
function uiSetJpegModelIndex(no, model) {
    // オブジェクト変数
    var objParts = new Array();

    // 設定するオブジェクトを取得
    uiGetJpegObject(no, objParts);

    // <c2>型番
    objParts[0].length = camInfo_Jpeg.length;
    for (var idx = 0; idx < objParts[0].length; idx++) {
        objParts[0].options[idx].value = idx;
        objParts[0].options[idx].text = camInfo_Jpeg[idx][0];
    }
    objParts[0].selectedIndex = model;
}

/* ***************************************************************************
    JPEG<c2>型番の変更にあわせ、他のパラメータをセットしなおす

    no       設定番号
                 '1'     JPEG(1)
                 '2'     JPEG(2)
                 '3'     JPEG(3)
**************************************************************************** */
function uiChangeJpeg(no) {
    // オブジェクト変数
    var objParts = new Array();

    // 設定するオブジェクトを取得
    uiGetJpegObject(no, objParts);

    // 現在の選択値を取得(value)
    var model = Number(objParts[0].options[objParts[0].selectedIndex].value);
    var sscan = objParts[2].options[objParts[2].selectedIndex].text;
    var sreso = objParts[1].options[objParts[1].selectedIndex].text;
    var squal = objParts[3].options[objParts[3].selectedIndex].text;
    var recfps = objParts[4].options[objParts[4].selectedIndex].value;

    // いったんパラメータを初期化する
    uiInitJpeg(no, model, null);

    // <c4>撮像モード復元
    var scan = uiSelectJpegScanText(no, sscan);
    // <c3>解像度復元
    uiSetJpegResoIndex(no, model, scan, null);
    var reso = uiSelectJpegResoText(no, sreso);

    // <c5>画質復元
    uiSetJpegQualIndex(no, model, scan, reso, null);
    var qual = uiSetJpegQualText(no, squal);

    // <c6>録画fps復元
    uiSetJpegRecFps(no, model, scan, reso, null);
    uiSetJpegRecFpsValue(no, recfps);

    // <c7>ビットレート設定
    uiSetJpegBpsValue(no);

    calcdata(); // 再計算実行
}

/* ***************************************************************************
    JPEG<c3>解像度[Index:1]を設定する

    no       設定番号
                 '1'     JPEG(1)
                 '2'     JPEG(2)
                 '3'     JPEG(3)
    model    モデル番号
    scan     撮像モード番号
    reso     設定解像度番号
**************************************************************************** */
function uiSetJpegResoIndex(no, model, scan, reso) {
    // オブジェクト変数
    var objParts = new Array();

    // 設定するオブジェクトを取得
    uiGetJpegObject(no, objParts);

    // <c3>解像度
    objParts[1].length = camInfo_Jpeg[model][1][scan + 1][1].length - 1;
    for (var idx = 0; idx < objParts[1].length; idx++) {
        objParts[1].options[idx].value = idx;
        objParts[1].options[idx].text =
            camInfo_Jpeg[model][1][scan + 1][1][idx + 1];
    }
    // 設定値に指定がないときは、デフォルト値にする
    if (null == reso) {
        objParts[1].selectedIndex = camInfo_Jpeg[model][1][scan + 1][1][0];
    } else {
        objParts[1].selectedIndex = reso;
    }

    return objParts[1].selectedIndex;
}

/* ***************************************************************************
    JPEG<c3>解像度[Index:1]を設定する(Text指定)

    no       設定番号
                 '1'     JPEG(1)
                 '2'     JPEG(2)
                 '3'     JPEG(3)
    sscan    設定解像度文字列
**************************************************************************** */
function uiSelectJpegResoText(no, sreso) {
    // オブジェクト変数
    var objParts = new Array();

    // 設定するオブジェクトを取得
    uiGetJpegObject(no, objParts);

    // <c3>解像度
    for (var idx = 0; idx < objParts[1].length; idx++) {
        // 指定された文字列があれば、それを選択状態にする
        if (sreso == objParts[1].options[idx].text) {
            objParts[1].selectedIndex = idx;
            break;
        }
    }

    return objParts[1].selectedIndex;
}

/* ***************************************************************************
    JPEG<c4>撮像モード[Index:2]を設定する

    no       設定番号
                 '1'     JPEG(1)
                 '2'     JPEG(2)
                 '3'     JPEG(3)
    model    モデル番号
    scan     設定撮像モード番号
**************************************************************************** */
function uiSetJpegScanIndex(no, model, scan) {
    // オブジェクト変数
    var objParts = new Array();

    // 設定するオブジェクトを取得
    uiGetJpegObject(no, objParts);

    // <c4>撮像モード
    objParts[2].length = camInfo_Jpeg[model][1].length - 1;
    for (var idx = 0; idx < objParts[2].length; idx++) {
        objParts[2].options[idx].value = idx;
        objParts[2].options[idx].text = camInfo_Jpeg[model][1][idx + 1][0];
    }
    // 設定値に指定がないときは、デフォルト値にする
    if (null == scan) {
        objParts[2].selectedIndex = camInfo_Jpeg[model][1][0][0];
    } else {
        objParts[2].selectedIndex = scan;
    }

    return objParts[2].selectedIndex;
}

/* ***************************************************************************
    JPEG<c4>撮像モード[Index:2]を設定する(Text指定)

    no       設定番号
                 '1'     JPEG(1)
                 '2'     JPEG(2)
                 '3'     JPEG(3)
    sscan    設定撮像モード文字列
**************************************************************************** */
function uiSelectJpegScanText(no, sscan) {
    // オブジェクト変数
    var objParts = new Array();

    // 設定するオブジェクトを取得
    uiGetJpegObject(no, objParts);

    // <c4>撮像モード
    for (var idx = 0; idx < objParts[2].length; idx++) {
        // 指定された文字列があれば、それを選択状態にする
        if (sscan == objParts[2].options[idx].text) {
            objParts[2].selectedIndex = idx;
            break;
        }
    }

    return objParts[2].selectedIndex;
}

/* ***************************************************************************
    JPEG<c5>画質[Index:3]を設定する

    no       設定番号
                 '1'     JPEG(1)
                 '2'     JPEG(2)
                 '3'     JPEG(3)
    model    モデル番号
    scan     撮像モード番号
    reso     解像度番号
    qual     設定画質番号
**************************************************************************** */
function uiSetJpegQualIndex(no, model, scan, reso, qual) {
    // オブジェクト変数
    var objParts = new Array();

    // 設定するオブジェクトを取得
    uiGetJpegObject(no, objParts);

    // <c5>画質
    objParts[3].length = camQuality_Jpeg[model][scan][reso].length - 1;
    for (var idx = 0; idx < objParts[3].length; idx++) {
        // value は "fps サイズ"の文字列
        objParts[3].options[idx].value =
            camQuality_Jpeg[model][scan][reso][idx + 1][2] +
            s_space +
            camQuality_Jpeg[model][scan][reso][idx + 1][1];

        // リスト表示文字列
        var listtext =
            camQuality_Jpeg[model][scan][reso][idx + 1][0];
        switch (camQuality_Jpeg[model][scan][reso][idx + 1][3]) {
            // SF
            case 1:
                listtext += s_mark_support_sf;
                break;

            // FQ
            case 2:
                listtext += s_mark_support_fq;
                break;

            // NQ
            case 3:
                listtext += s_mark_support_nq;
                break;

            // NV200/300未サポート
            default:
                listtext += s_mark_notice;
                break;
        }
        listtext += s_separator;

        objParts[3].options[idx].text =
            listtext +
            s_space +
            camQuality_Jpeg[model][scan][reso][idx + 1][2] +
            s_cam_fps +
            s_space +
            camQuality_Jpeg[model][scan][reso][idx + 1][1] +
            s_cam_kb;
    }
    // 設定値に指定がないときは、デフォルト値にする
    if (null == qual) {
        objParts[3].selectedIndex = camQuality_Jpeg[model][scan][reso][0][0];
    } else {
        objParts[3].selectedIndex = qual;
    }

    return objParts[3].selectedIndex;
}

/* ***************************************************************************
    JPEG<c5>画質[Index:3]を設定する(Text指定)

    no       設定番号
                 '1'     JPEG(1)
                 '2'     JPEG(2)
                 '3'     JPEG(3)
    squal    設定画質文字列
**************************************************************************** */
function uiSetJpegQualText(no, squal) {
    // オブジェクト変数
    var objParts = new Array();

    // 設定するオブジェクトを取得
    uiGetJpegObject(no, objParts);

    // <c5>画質の数字(0-9)のみを取り出す

    //2013.09.13 add by Eguchi 不具合対策(2028_34952)
    //先頭文字が同一の場合があるため、
    //・先頭文字が数値⇒比較文字数：1
    //・上記以外   ⇒比較文字数：4に変更
    var chkqual = squal.slice(0, 1);
    chkqual = Number(chkqual);
    if ((chkqual == 1) || (chkqual == 2) || (chkqual == 3) ||
        (chkqual == 4) || (chkqual == 5) || (chkqual == 6) ||
        (chkqual == 7) || (chkqual == 8) || (chkqual == 9)) {
        //・先頭文字が数値⇒比較文字数：1
        chkqual = 1;
    } else {
        //・上記以外   ⇒比較文字数：4
        chkqual = 0;
    }

    if (chkqual == 1) {
        var orgqual = squal.slice(0, 1);
    } else {
        var orgqual = squal.slice(0, 4);
    }
    //add end

    // <c5>画質
    for (var idx = 0; idx < objParts[3].length; idx++) {
        // リストの画質(0-9)

        //2013.09.13 add by Eguchi 不具合対策(2028_34952)
        //先頭文字が同一の場合があるため、
        //・先頭文字が数値⇒比較文字数：1
        //・上記以外   ⇒比較文字数：4に変更
        if (chkqual == 1) {
            var listqual = objParts[3].options[idx].text.slice(0, 1);
        } else {
            var listqual = objParts[3].options[idx].text.slice(0, 4);
        }
        //var listqual = objParts[3].options[idx].text.slice(0, 1);
        //add end

        // 指定された文字列があれば、それを選択状態にする
        if (orgqual == listqual) {
            objParts[3].selectedIndex = idx;
            break;
        }
    }

    return objParts[3].selectedIndex;
}

/* ***************************************************************************
    JPEG<c6>録画fps[Index:4]を設定する

    no       設定番号
                 '1'     JPEG(1)
                 '2'     JPEG(2)
                 '3'     JPEG(3)
    model    モデル番号
    scan     撮像モード番号
    reso     解像度番号
    recfps   設定録画fps値
**************************************************************************** */
function uiSetJpegRecFps(no, model, scan, reso, recfps) {
    // オブジェクト変数
    var objParts = new Array();

    // 設定するオブジェクトを取得
    uiGetJpegObject(no, objParts);

    // 今の<c5>画質を取得する
    var qual = objParts[3].value;
    // fps数を切り出し
    var qualfps = Number(qual.slice(0, 3));

    // <c6>録画fpsは最初空リスト
    objParts[4].length = 0;

    // NWDRの録画fps数と現条件での最大fpsを比較し、
    // 性能以上のfps数は消去する
    var useMaxFpsFlag = 0;
    var fps_idx = 0;
    for (var idx = 0; idx < camRecFps_Jpeg.length - 1; idx++) {
        // <c6>録画fps <= 最大fps
        if (camRecFps_Jpeg[idx + 1][0] <= qualfps) {
            // 最大fps値が録画fps値リストになければ、
            // 初回のみ追加する
            if ((camRecFps_Jpeg[idx + 1][0] != qualfps) &&
                (0 == useMaxFpsFlag)) {

                // リストの大きさを拡張
                objParts[4].length++;

                // リストに値を設定
                objParts[4].options[fps_idx].value = qualfps;
                // NV200/NV300未対応マークをつける
                objParts[4].options[fps_idx].text =
                    qualfps + s_cam_fps + s_space + s_mark_notice;

                // 何度も最大fps数を追加しないようにフラグをたてる
                useMaxFpsFlag = 1;
                // インデックスを次の位置に変更
                fps_idx++;
            }
            // <c6>録画fps数リストの値を追加する

            // リストの大きさを拡張
            objParts[4].length++;

            // リストに値を設定
            objParts[4].options[fps_idx].value = camRecFps_Jpeg[idx + 1][0];
            // NV200/NV300用マークをつける
            var listtext =
                    camRecFps_Jpeg[idx + 1][0] +
                    s_cam_fps;
            if (0 == camRecFps_Jpeg[idx + 1][1]) {
                listtext +=
                    s_space +
                    s_mark_notice;
            }
            objParts[4].options[fps_idx].text = listtext;

            // 1つでも登録したら最大fps数を追加は不要
            useMaxFpsFlag = 1;
            // インデックスを次の位置に変更
            fps_idx++;
        }
    }
    // 設定値に指定がないときは、デフォルト値にする
    var fps;
    if (null == recfps) {
        fps = camRecFps_Jpeg[0][0];
    } else {
        fps = recfps;
    }

    return uiSetJpegRecFpsValue(no, fps);
}

/* ***************************************************************************
    JPEG<c6>録画fps[Index:4]を設定する(Value指定)

    no       設定番号
                 '1'     JPEG(1)
                 '2'     JPEG(2)
                 '3'     JPEG(3)
    fps      設定録画fps数
**************************************************************************** */
function uiSetJpegRecFpsValue(no, fps) {
    // オブジェクト変数
    var objParts = new Array();

    // 設定するオブジェクトを取得
    uiGetJpegObject(no, objParts);

    // <c5>画質
    for (var idx = 0; idx < objParts[4].length; idx++) {
        // 指定された値があれば、それを選択状態にする
        if (fps == objParts[4].options[idx].value) {
            objParts[4].selectedIndex = idx;
            break;
        }
    }

    return objParts[4].selectedIndex;
}

/* ***************************************************************************
    JPEG<c7>ビットレートを設定する(Value指定)

    no       設定番号
                 '1'     JPEG(1)
                 '2'     JPEG(2)
                 '3'     JPEG(3)
**************************************************************************** */
function uiSetJpegBpsValue(no) {
    // オブジェクト変数
    var objParts = new Array();

    // 設定するオブジェクトを取得
    uiGetJpegObject(no, objParts);

    // <c5>画像サイズ[KB]を取得
    var uiJpegSizeKB = Number(objParts[3].value.slice(4));

    // <c6>録画fps数取得
    var uiJpegFps = Number(objParts[4].value);

    // 計算用ビットレート計算
    var base_bitrateKbps = uiJpegSizeKB * uiJpegFps * 8;
    var calcRecMbps = base_bitrateKbps / 1000;
    var calcBandMbps = calcRecMbps * defGetaJpeg;
    calcBandMbps = Number(NumberToFixed2(calcBandMbps, 3));

    // 表示用ビットレート計算
    var dispRecMbps = base_bitrateKbps / 1024;
    var dispBandMbps = dispRecMbps * defGetaJpeg;

    // ビットレート表示(帯域)
    objParts[5].value = NumberToFixed(dispBandMbps, 3);

    // 計算用ビットレート設定
    var diffGetaMbps = calcBandMbps - (calcBandMbps / defGetaJpeg);
    gCalcRecJpegMbps[Number(no) - 1] = calcBandMbps;
    gCalcRecJpegMbps[Number(no) - 1] -= diffGetaMbps;
    gCalcBandJpegMbps[Number(no) - 1] = calcBandMbps;

    // 表示用ビットレート設定
    diffGetaMbps = dispBandMbps - (dispBandMbps / defGetaJpeg);
    gDispJpegRecMbps[Number(no) - 1] = dispBandMbps;
    if (8 != objParts[0].selectedIndex) {
        gDispJpegRecMbps[Number(no) - 1] -= diffGetaMbps;
    }
    gDispBandJpegMbps[Number(no) - 1] = dispBandMbps;
}

// ###### 録画条件 - MPEG4 ######
/* ***************************************************************************
    MPEG4の画面部品を取得する

    no       設定番号
                 '1'     MPEG4(1)
    partsObj 画面部品
                 [0]     品番
                 [1]     解像度
                 [2]     撮像モード
                 [3]     優先モード
                 [4]     画質
                 [5]     ビットレート
**************************************************************************** */
function uiGetMpeg4Object(no, partsObj) {
    // 設定するオブジェクトを取得
    switch (no) {
        // MPEG4(1)
        case '1' :
            partsObj[0] = frmNWDR.selModelMpg4_1;
            partsObj[1] = frmNWDR.selResoMpg4_1;
            partsObj[2] = frmNWDR.selScanMpg4_1;
            partsObj[3] = frmNWDR.selPrioMpg4_1;
            partsObj[4] = frmNWDR.selQualMpg4_1;
            partsObj[5] = frmNWDR.selKbpsMpg4_1;
            break;
    }
}

/* ***************************************************************************
    MPEG4の録画条件を初期化する

    no       設定番号
                 '1'     MPEG4(1)
    model    設定モデル番号
**************************************************************************** */
function uiInitMpeg4(no, model) {
    // <c2>型番
    uiSetMpeg4Model(no, model);
    // <c4>撮像モード
    var scan = uiSetMpeg4ScanIndex(no, model, null);
    // <c3>解像度
    var reso = uiSetMpeg4ResoIndex(no, model, scan, null);
    // <c5>優先モード
    var prio = uiSetMpeg4PrioIndex(no, model, null);
    // <c6>画質
    var qual = uiSetMpeg4QualIndex(no, model, prio, null);
    // <c7>ビットレート
    uiSetMpeg4Bitrate(no, model, scan, reso, prio, qual, null);
}

/* ***************************************************************************
    MPEG4<c2>型番[Index:0]を設定する

    no       設定番号
                 '1'     MPEG4(1)
    model    設定モデル番号
**************************************************************************** */
function uiSetMpeg4Model(no, model) {
    // オブジェクト変数
    var objParts = new Array();

    // 設定するオブジェクトを取得
    uiGetMpeg4Object(no, objParts);

    // <c2>型番
    objParts[0].length = camInfo_Mpeg4.length;
    for (var idx = 0; idx < objParts[0].length; idx++) {
        objParts[0].options[idx].value = idx;
        objParts[0].options[idx].text = camInfo_Mpeg4[idx][0];
    }
    objParts[0].selectedIndex = model;
}

/* ***************************************************************************
    MPEG4<c2>型番の変更にあわせ、他のパラメータをセットしなおす

    no       設定番号
                 '1'     MPEG4(1)
**************************************************************************** */
function uiChangeMpeg4(no) {
    // オブジェクト変数
    var objParts = new Array();

    // 設定するオブジェクトを取得
    uiGetMpeg4Object(no, objParts);

    // 現在の選択値を取得(value)
    var model = Number(objParts[0].options[objParts[0].selectedIndex].value);
    var sscan = objParts[2].options[objParts[2].selectedIndex].text;
    var sreso = objParts[1].options[objParts[1].selectedIndex].text;
    var sprio = objParts[3].options[objParts[3].selectedIndex].text;
    var squal = objParts[4].options[objParts[4].selectedIndex].text;
    var bitrate = objParts[5].options[objParts[5].selectedIndex].value;

    // いったんパラメータを初期化する
    uiInitMpeg4(no, model);

    // <c4>撮像モード復元
    var scan = uiSelectMpeg4ScanText(no, sscan);

    // <c3>解像度復元
    uiSetMpeg4ResoIndex(no, model, scan, null);
    var reso = uiSelectMpeg4ResoText(no, sreso);

    // <c5>優先モード復元
    uiSetMpeg4PrioIndex(no, model, null);
    var prio = uiSelectMpeg4PrioText(no, sprio);

    // <c6>画質復元
    uiSetMpeg4QualIndex(no, model, prio, null);
    var qual = uiSetMpeg4QualText(no, squal);

    // <c7>ビットレート復元
    uiSetMpeg4Bitrate(no, model, scan, reso, prio, qual, null);
    uiSetMpeg4bpsValue(no, bitrate);

    calcdata(); // 再計算実行
}

/* ***************************************************************************
    MPEG4<c3>解像度[Index:1]を設定する

    no       設定番号
                 '1'     MPEG4(1)
    model    モデル番号
    scan     撮像モード番号
    reso     設定解像度番号
**************************************************************************** */
function uiSetMpeg4ResoIndex(no, model, scan, reso) {
    // オブジェクト変数
    var objParts = new Array();

    // 設定するオブジェクトを取得
    uiGetMpeg4Object(no, objParts);

    // <c3>解像度
    objParts[1].length = camInfo_Mpeg4[model][1][scan + 1][1].length - 1;
    for (var idx = 0; idx < objParts[1].length; idx++) {
        objParts[1].options[idx].value = idx;
        objParts[1].options[idx].text =
            camInfo_Mpeg4[model][1][scan + 1][1][idx + 1];
    }
    // 設定値に指定がないときは、デフォルト値にする
    if (null == reso) {
        objParts[1].selectedIndex = camInfo_Mpeg4[model][1][scan + 1][1][0];
    } else {
        objParts[1].selectedIndex = reso;
    }

    return objParts[1].selectedIndex;
}

/* ***************************************************************************
    MPEG4<c3>解像度[Index:1]を設定する(Text指定)

    no       設定番号
                 '1'     MPEG4(1)
    sscan    設定解像度文字列
**************************************************************************** */
function uiSelectMpeg4ResoText(no, sreso) {
    // オブジェクト変数
    var objParts = new Array();

    // 設定するオブジェクトを取得
    uiGetMpeg4Object(no, objParts);

    // <c3>解像度
    for (var idx = 0; idx < objParts[1].length; idx++) {
        // 指定された文字列があれば、それを選択状態にする
        if (sreso == objParts[1].options[idx].text) {
            objParts[1].selectedIndex = idx;
            break;
        }
    }

    return objParts[1].selectedIndex;
}

/* ***************************************************************************
    MPEG4<c4>撮像モード[Index:2]を設定する

    no       設定番号
                 '1'     MPEG4(1)
    model    モデル番号
    scan     設定撮像モード番号
**************************************************************************** */
function uiSetMpeg4ScanIndex(no, model, scan) {
    // オブジェクト変数
    var objParts = new Array();

    // 設定するオブジェクトを取得
    uiGetMpeg4Object(no, objParts);

    // <c4>撮像モード
    objParts[2].length = camInfo_Mpeg4[model][1].length - 1;
    for (var idx = 0; idx < objParts[2].length; idx++) {
        objParts[2].options[idx].value = idx;
        objParts[2].options[idx].text = camInfo_Mpeg4[model][1][idx + 1][0];
    }
    // 設定値に指定がないときは、デフォルト値にする
    if (null == scan) {
        objParts[2].selectedIndex = camInfo_Mpeg4[model][1][0][0];
    } else {
        objParts[2].selectedIndex = scan;
    }

    return objParts[2].selectedIndex;
}

/* ***************************************************************************
    MPEG4<c4>撮像モード[Index:2]を設定する(Text指定)

    no       設定番号
                 '1'     MPEG4(1)
    sscan    設定撮像モード文字列
**************************************************************************** */
function uiSelectMpeg4ScanText(no, sscan) {
    // オブジェクト変数
    var objParts = new Array();

    // 設定するオブジェクトを取得
    uiGetMpeg4Object(no, objParts);

    // <c4>撮像モード
    for (var idx = 0; idx < objParts[2].length; idx++) {
        // 指定された文字列があれば、それを選択状態にする
        if (sscan == objParts[2].options[idx].text) {
            objParts[2].selectedIndex = idx;
            break;
        }
    }

    return objParts[2].selectedIndex;
}

/* ***************************************************************************
    MPEG4<c5>優先モード[Index:3]を設定する

    no       設定番号
                 '1'     MPEG4(1)
    model    モデル番号
    prio     設定優先モード番号
**************************************************************************** */
function uiSetMpeg4PrioIndex(no, model, prio) {
    // オブジェクト変数
    var objParts = new Array();

    // 設定するオブジェクトを取得
    uiGetMpeg4Object(no, objParts);

    // <c5>優先モード
    objParts[3].length = camInfo_Mpeg4[model][2].length - 1;
    for (var idx = 0; idx < objParts[3].length; idx++) {
        objParts[3].options[idx].value = idx;
        objParts[3].options[idx].text = camInfo_Mpeg4[model][2][idx + 1][0];
    }
    // 設定値に指定がないときは、デフォルト値にする
    if (null == prio) {
        objParts[3].selectedIndex = camInfo_Mpeg4[model][2][0][0];
    } else {
        objParts[3].selectedIndex = prio;
    }

    return objParts[3].selectedIndex;
}

/* ***************************************************************************
    MPEG4<c5>優先モード[Index:3]を設定する(Text指定)

    no       設定番号
                 '1'     MPEG4(1)
    sprio    設定優先モード文字列
**************************************************************************** */
function uiSelectMpeg4PrioText(no, sprio) {
    // オブジェクト変数
    var objParts = new Array();

    // 設定するオブジェクトを取得
    uiGetMpeg4Object(no, objParts);

    // <c5>優先モード
    for (var idx = 0; idx < objParts[3].length; idx++) {
        // 指定された文字列があれば、それを選択状態にする
        if (sprio == objParts[3].options[idx].text) {
            objParts[3].selectedIndex = idx;
            break;
        }
    }

    return objParts[3].selectedIndex;
}

/* ***************************************************************************
    MPEG4<c6>画質[Index:4]を設定する

    no       設定番号
                 '1'     MPEG4(1)
    model    モデル番号
    prio     優先モード番号
    qual     設定画質番号
**************************************************************************** */
function uiSetMpeg4QualIndex(no, model, prio, qual) {
    // オブジェクト変数
    var objParts = new Array();

    // 設定するオブジェクトを取得
    uiGetMpeg4Object(no, objParts);

    // <c6>画質
    objParts[4].length = camInfo_Mpeg4[model][2][prio + 1][1].length - 1;
    for (var idx = 0; idx < objParts[4].length; idx++) {
        objParts[4].options[idx].value = idx;
        objParts[4].options[idx].text =
            camInfo_Mpeg4[model][2][prio + 1][1][idx + 1];
    }
    // 設定値に指定がないときは、デフォルト値にする
    if (null == qual) {
        objParts[4].selectedIndex = camInfo_Mpeg4[model][2][prio + 1][1][0];
    } else {
        objParts[4].selectedIndex = qual;
    }

    return objParts[4].selectedIndex;
}

/* ***************************************************************************
    MPEG4<c6>画質[Index:4]を設定する(Text指定)

    no       設定番号
                 '1'     MPEG4(1)
    squal    設定画質文字列
**************************************************************************** */
function uiSetMpeg4QualText(no, squal) {
    // オブジェクト変数
    var objParts = new Array();

    // 設定するオブジェクトを取得
    uiGetMpeg4Object(no, objParts);

    // <c6>画質
    for (var idx = 0; idx < objParts[4].length; idx++) {
        // 指定された文字列があれば、それを選択状態にする
        if (squal == objParts[4].options[idx].text) {
            objParts[4].selectedIndex = idx;
            break;
        }
    }

    return objParts[4].selectedIndex;
}

/* ***************************************************************************
    MPEG4<c7>ビットレート[Index:5]を設定する

    no       設定番号
                 '1'     MPEG4(1)
    model    モデル番号
    scan     撮像モード番号
    reso     解像度番号
    prio     優先モード番号
    qual     画質番号
    bitrate  設定ビットレート番号
**************************************************************************** */
function uiSetMpeg4Bitrate(no, model, scan, reso, prio, qual, bitrate) {
    // オブジェクト変数
    var objParts = new Array();

    // 設定するオブジェクトを取得
    uiGetMpeg4Object(no, objParts);

    // 該当ビットレートテーブルの読み込み
    var tblBitrate = camBitrate_Mpeg4[model][scan][prio][reso][qual];

    // <c7>ビットレート
    objParts[5].length = tblBitrate.length - 1;
    for (var idx = 0; idx < objParts[5].length; idx++) {
        // <c7>ビットレートの数字
        // [1] : 計算用ビットレートをセットする(0 = 表示用と同じ)
        var dspbitrate = tblBitrate[idx + 1][0];
        if (0 == tblBitrate[idx + 1][1]) {
            objParts[5].options[idx].value = tblBitrate[idx + 1][0]; // 表示用[0]と同じ
        } else {
            objParts[5].options[idx].value = tblBitrate[idx + 1][1]; // 計算用[1]をセット
            dspbitrate += '(' + tblBitrate[idx + 1][1] + ')';
        }
        // [2] : 出力可能FPS数をセットする
        var dspfps = '';
        if (0 == tblBitrate[idx + 1][2]) {
            dspfps = s_cam_fps_none;
        } else {
            // VMDの状態を取得
            var vmdflag = 0;
            if (frmNWDR.chkvmd.checked == true) {
                vmdflag = 1;
            }
            // VMDが有効で通常i-PROのときは、最大FPS数が15になる
            var vmdfps = 15;
            if ((3 <= model && model <= 5) && (1 == vmdflag)) {
                if (vmdfps > tblBitrate[idx + 1][2]) {
                    vmdfps = tblBitrate[idx + 1][2];
                }
            } else {
                    vmdfps = tblBitrate[idx + 1][2];
            }
            if (0 == prio) {
                dspfps += s_cam_fps_max;
            }
            dspfps += vmdfps + s_cam_fps;
        }
        // NV200/NV300が対応しているビットレートは普通に表示
        if (1 == tblBitrate[idx + 1][3]) {
            objParts[5].options[idx].text =
                dspbitrate +
                s_cam_bitrate_kbps +
                s_space +
                dspfps;
        } else {
        // 対応していないビットレートには * を付加表示
            objParts[5].options[idx].text =
                dspbitrate +
                s_cam_bitrate_kbps +
                s_mark_notice +
                s_space +
                dspfps;
        }
    }
    // 設定値に指定がないときは、デフォルト値にする
    if (null == bitrate) {
        objParts[5].selectedIndex = tblBitrate[0][0];
    } else {
        objParts[5].selectedIndex = bitrate;
    }

    return objParts[5].selectedIndex;
}

/* ***************************************************************************
    MPEG4<c7>ビットレート[Index:5]を設定する(Value指定)

    no       設定番号
                 '1'     MPEG4(1)
    bitrate  設定ビットレート
**************************************************************************** */
function uiSetMpeg4bpsValue(no, bitrate) {
    // オブジェクト変数
    var objParts = new Array();

    // 設定するオブジェクトを取得
    uiGetMpeg4Object(no, objParts);

    // <c7>ビットレート
    for (var idx = 0; idx < objParts[5].length; idx++) {
        // 指定された文字列があれば、それを選択状態にする
        if (bitrate == objParts[5].options[idx].value) {
            objParts[5].selectedIndex = idx;
            break;
        }
    }

    return objParts[5].selectedIndex;
}

// ###### 録画条件 - H.264(顔照合) ######
/* ***************************************************************************
    H.264(顔照合)の画面部品を取得する

    no       設定番号
                 '1'     H.264(顔照合)(1)
    partsObj 画面部品
                 [0]     解像度
                 [1]     画質
                 [2]     録画fps
                 [3]     ビットレート
**************************************************************************** */
function uiGetFaceObject(no, partsObj) {
    // 設定するオブジェクトを取得
    switch (no) {
        // H.264(顔照合)
        case '1' :
            partsObj[0] = frmNWDR.selResoFace_1;
            partsObj[1] = frmNWDR.selQualFace_1;
            partsObj[2] = frmNWDR.selFpsFace_1;
            partsObj[3] = frmNWDR.selKbpsFace_1;
            break;
    }
}

/* ***************************************************************************
    H.264(顔照合)の録画条件を初期化する

    no       設定番号
                 '1'     H.264(顔照合)(1)
    model    設定モデル番号
**************************************************************************** */
function uiInitFace(no, model) {
    // 解像度
    uiSetFaceReso(no, null);
    // 画質
    uiSetFaceQual(no, null);
    // 録画fps
    uiSetFaceRecFps(no, null);
    // ビットレート
    uiSetFaceBps(no, null);
}

/* ***************************************************************************
    H.264(顔照合)<c3>解像度を設定する

    no       設定番号
                 '1'     H.264(顔照合)(1)
    reso     設定解像度番号
**************************************************************************** */
function uiSetFaceReso(no, reso) {
    // オブジェクト変数
    var objParts = new Array();

    // 設定するオブジェクトを取得
    uiGetFaceObject(no, objParts);

    // 解像度
    objParts[0].length = camInfo_Face[0][0].length - 1;
    for (var idx = 0; idx < objParts[0].length; idx++) {
        objParts[0].options[idx].value = idx;
        objParts[0].options[idx].text = camInfo_Face[0][0][idx + 1];
    }
    // 設定値に指定がないときは、デフォルト値にする
    if (null == reso) {
        objParts[0].selectedIndex = camInfo_Face[0][0][0];
    } else {
        objParts[0].selectedIndex = reso;
    }

    return objParts[0].selectedIndex;
}

/* ***************************************************************************
    H.264(顔照合)<c4>画質を設定する

    no       設定番号
                 '1'     H.264(顔照合)(1)
    qual     設定画質番号
**************************************************************************** */
function uiSetFaceQual(no, qual) {
    // オブジェクト変数
    var objParts = new Array();

    // 設定するオブジェクトを取得
    uiGetFaceObject(no, objParts);

    // 解像度
    objParts[1].length = camInfo_Face[0][1].length - 1;
    for (var idx = 0; idx < objParts[1].length; idx++) {
        objParts[1].options[idx].value = idx;
        objParts[1].options[idx].text = camInfo_Face[0][1][idx + 1];
    }
    // 設定値に指定がないときは、デフォルト値にする
    if (null == qual) {
        objParts[1].selectedIndex = camInfo_Face[0][1][0];
    } else {
        objParts[1].selectedIndex = qual;
    }

    return objParts[1].selectedIndex;
}

/* ***************************************************************************
    H.264(顔照合)<c6>録画fps数を設定する

    no       設定番号
                 '1'     H.264(顔照合)(1)
    fps      設定録画fps番号
**************************************************************************** */
function uiSetFaceRecFps(no, fps) {
    // オブジェクト変数
    var objParts = new Array();

    // 設定するオブジェクトを取得
    uiGetFaceObject(no, objParts);

    // 解像度
    objParts[2].length = camInfo_Face[0][2].length - 1;
    for (var idx = 0; idx < objParts[2].length; idx++) {
        objParts[2].options[idx].value = camInfo_Face[0][2][idx + 1];
        objParts[2].options[idx].text =
            camInfo_Face[0][2][idx + 1] + s_cam_fps;
    }
    // 設定値に指定がないときは、デフォルト値にする
    if (null == fps) {
        objParts[2].selectedIndex = camInfo_Face[0][2][0];
    } else {
        objParts[2].selectedIndex = fps;
    }

    return objParts[2].selectedIndex;
}

/* ***************************************************************************
    H.264(顔照合)<c7>ビットレートを設定する

    no       設定番号
                 '1'     H.264(顔照合)(1)
    bitrate  設定ビットレート番号
**************************************************************************** */
function uiSetFaceBps(no, bitrate) {
    // オブジェクト変数
    var objParts = new Array();

    // 設定するオブジェクトを取得
    uiGetFaceObject(no, objParts);

    // ビットレート
    objParts[3].length = camInfo_Face[0][3].length - 1;
    for (var idx = 0; idx < objParts[3].length; idx++) {
        objParts[3].options[idx].value = camInfo_Face[0][3][idx + 1];
        objParts[3].options[idx].text =
            camInfo_Face[0][3][idx + 1] + s_cam_bitrate_kbps;
    }
    // 設定値に指定がないときは、デフォルト値にする
    if (null == bitrate) {
        objParts[3].selectedIndex = camInfo_Face[0][3][0];
    } else {
        objParts[3].selectedIndex = bitrate;
    }

    return objParts[3].selectedIndex;
}

// ###### 録画条件 - HDD関連 ######
/* ***************************************************************************
    HDD関連<1>「HDD容量」コンボボックス操作処理
**************************************************************************** */
function uiHDDchange(obj) {
    var capa = obj.value;
    var raid =
        frmNWDR.sel_RAID.options[
            frmNWDR.sel_RAID.selectedIndex
        ].value;
    frmNWDR.chkvmd.disabled = 0;
    frmNWDR.chkaudio.disabled = 0;

    // 2014.08.29 for NV300 support : H.Sasaki
    switch (Number(capa)) {
        // ----------------------------------
        // 1TB, 2TB, 3TB, 4TB
        // ----------------------------------
        case 1000:
        case 2000:
        case 3000:
        case 4000:
        case 5000:
        case 6000:
            frmNWDR.sel_RAID.length = 4;
            frmNWDR.sel_RAID.options[0].text = sel_raid_str[0]; // なし
            frmNWDR.sel_RAID.options[0].value = 0;
            frmNWDR.sel_RAID.options[1].text = sel_raid_str[1]; // RAID1
            frmNWDR.sel_RAID.options[1].value = 1;
            frmNWDR.sel_RAID.options[2].text = sel_raid_str[2]; // RAID5
            frmNWDR.sel_RAID.options[2].value = 5;
            frmNWDR.sel_RAID.options[3].text = sel_raid_str[3]; // RAID6
            frmNWDR.sel_RAID.options[3].value = 6;

            if (raid == 1)
                frmNWDR.sel_RAID.selectedIndex = 1;
            else if (raid == 5)
                frmNWDR.sel_RAID.selectedIndex = 2;
            else if (raid == 6)
                frmNWDR.sel_RAID.selectedIndex = 3;
            else
                frmNWDR.sel_RAID.selectedIndex = 0;
            break;

        // ----------------------------------
        // 500GB, 1,5TB
        // ----------------------------------
        case 500:
        case 1500:
            frmNWDR.sel_RAID.length = 3;
            frmNWDR.sel_RAID.options[0].text = sel_raid_str[0]; // なし
            frmNWDR.sel_RAID.options[0].value = 0;
            frmNWDR.sel_RAID.options[1].text = sel_raid_str[2]; // RAID5
            frmNWDR.sel_RAID.options[1].value = 5;
            frmNWDR.sel_RAID.options[2].text = sel_raid_str[3]; // RAID6
            frmNWDR.sel_RAID.options[2].value = 6;

            if (raid == 5)
                frmNWDR.sel_RAID.selectedIndex = 1;
            else if (raid == 6)
                frmNWDR.sel_RAID.selectedIndex = 2;
            else
                frmNWDR.sel_RAID.selectedIndex = 0;
            break;

        // ----------------------------------
        // 500GB未満 (既に選択肢にないが、復活した際の互換性のため)
        // ----------------------------------
        default:
            frmNWDR.chkvmd.disabled = 'disabled';
            frmNWDR.sel_RAID.length = 2;
            frmNWDR.sel_RAID.options[0].text = sel_raid_str[0]; // なし
            frmNWDR.sel_RAID.options[0].value = 0;
            frmNWDR.sel_RAID.options[1].text = sel_raid_str[1]; // RAID1
            frmNWDR.sel_RAID.options[1].value = 1;

            if (raid == 1)
                frmNWDR.sel_RAID.selectedIndex = 1;
            else
                frmNWDR.sel_RAID.selectedIndex = 0;
            break;
    } // end of switch

    calcdata(); // 再計算実行
}

/* ***************************************************************************
    HDD関連<2>「RAID」コンボボックス操作処理
**************************************************************************** */
function uiRaidChange(obj) {
    calcdata(); // 再計算実行
}

// ###### 録画条件 - VMD/Audio ######
/* ***************************************************************************
    VMD/Audio<1>「VMD情報」チェックボックス操作処理
**************************************************************************** */
function uiCboxVMDclick(F) {
    var mng;

    // チェックボックス Off->On時には、メッセージ表示
    if (frmNWDR.chkvmd.checked == true) {
        mng =
            INFOMSGND400CON01 + '\n\n' +
            INFOMSGND400CON02 + '\n\n' +
            INFOMSG_EXPECTBBCAMVMD;

        uiMsgDialogPopup(mng, INFOMSGMODE);
    }

    // VMDの状態が変ったので、MPEGのFPS数を書き直す
    uiChangeMpeg4('1');

    calcdata(); // 再計算実行
}

/* ***************************************************************************
    VMD/Audio<2>「Audio」チェックボックス操作処理
**************************************************************************** */
function uiCboxAudioClick() {
    // チェックボックス Off->On時には、メッセージ表示
    if (frmNWDR.chkaudio.checked == true) {
        var mng =
            INFOMSGND400CON01 + '\n\n' +
            INFOMSGSMR10 + '\n\n' + INFOMSG_EXPECTBBAUDIO;

        uiMsgDialogPopup(mng, INFOMSGMODE);
    }
    calcdata(); // 再計算実行
}


// ###### 構成情報 ######
/* ***************************************************************************
    構成情報「構成情報表示」チェックボックス操作処理
**************************************************************************** */
function uiCboxDetailClick() {
    calcdata(); // 再計算実行
}

/* ***************************************************************************
    全ての出力結果を無効状態にする
**************************************************************************** */
function uiAllResultGrayOut() {
    // 総ビットレート
    frmNWDR.txttotalbit.value = '-';
    frmNWDR.txttotalbit.style.background = '#C8C8C8';
    // 容量
    frmNWDR.txttotalcap.value = '-';
    frmNWDR.txttotalcap.style.background = '#C8C8C8';

    // 計算結果テキスト出力
    resultDetailND400.innerHTML = '<br />';
    resultDetailNV300.innerHTML = '<br />';

    // 各NWDRの結果
    dataND400out();
    dataNV300out();
}

/* ***************************************************************************
    出力結果を初期状態(有効状態)にする(理論値)
**************************************************************************** */
function uiAllResultInit() {
    // 総ビットレート
    frmNWDR.txttotalbit.value = '';
    frmNWDR.txttotalbit.style.background = '#FFFF80';

    // 容量
    frmNWDR.txttotalcap.value = '';
    frmNWDR.txttotalcap.style.background = '#FFFF80';
}

/* ***************************************************************************
    メッセージダイアログを表示する
**************************************************************************** */
function uiMsgDialogPopup(msg, level) {
    if (getBrowserVersion() == 6) {
        alert(msg);
    } else {
        if (level == 1) {
            jInfomsg(msg, INFOMSGTIPS);
        }
        else if (level == 2) {
            jAlert(msg, INFOMSGTIPS);
        }
        else {
            jConfirm(msg, INFOMSGTIPS,function(ret) {
                if (ret == true) bBrPrioMsg = false;
            });
        }
    }
}
