// NWDR(レコーダー or 推奨サーバ)コード(nNwdrCode)定義
var nNwdrND400 = 0;
var nNwdrND300 = 1;
var nNwdrND200 = 2;
var nNwdrNV200 = 3;
var nNwdrNV300 = 4;

// モード番号定義
var H264_1 = 0;
var H264_2 = 1;
var H264_3 = 2;
var JPEG_1 = 3;
var JPEG_2 = 4;
var JPEG_3 = 5;
var MPG4_1 = 6;
var H264FM = 7;

// カメラ情報体定義
var CAM_RECTB = 0;
var CAM_CALCBR = 1;
var CAM_TYPE = 2;
var CAM_JPGIPS = 3;
var CAM_DISPBR = 4;
var CAM_MODEL = 5;
var CAM_DISPVBR = 6;

// 録画日数デフォルト値
var defDefalutRecDay = 30;

// RAID表示リスト番号
var defDelRAIDcode = new Array(0, 1, 5, 6, 9);

//顔照合対応カメラ数
var defMaxFMcamNum = 1;
/*
 * ========== メッセージ表示ダイアログ ==========
 *
 * ダイアログのタイトルバーに文字を指定するために
 * 専用の関数を作成している
 *
 * IE6の時は、JavaScriptの標準 Alert
 * それ以外の時はJQueryのダイアログを使用
 */

// 情報
var INFOMSGMODE = 1;
// 警告
var ALARTMSGMODE = 2;
// 確認
var CONFMSGMODE = 3;
var bBrPrioMsg = true;

// 返値定義
var RET_NO_ERROR = 0;
var RET_EXT_OVF = -1;
var RET_NWDR_OVF = -1;
var RET_HBRCAM_OVF = -2;

/*
 * ========== 国内外パラメータ切替 ==========
 */
// HDD容量
if (app_dst == 'ja') {
    var defSelHDDcapaGB = new Array(4000, 3000, 2000, 1000, 500);
} else {
    var defSelHDDcapaGB = new Array(6000, 5000, 4000, 3000, 2000, 1500, 1000, 500);
}

/**
 * 計算用変数
 */

// ===== カメラ種別毎のパラメータ =====
var gCamModelParamInfo = new Array();
// UIで指定された型番
var gCamModelNameUI = new Array(CAM_TYPENUM_ALL);
// UIで指定された台数
var gCamNumberUI = new Array(CAM_TYPENUM_ALL);
// UIで指定されたビットレート
var gBitRateUI = new Array(CAM_TYPENUM_ALL);
// 計算用ビットレート
var gCalcMbps = new Array(CAM_TYPENUM_ALL);
// 表示用ビットレート
var gDispMbps = new Array(CAM_TYPENUM_ALL);
// 表示用映像ビットレート
var gDispVideoMbps = new Array(CAM_TYPENUM_ALL);

// 計算用ビットレート(録画・JPEG)
var gCalcRecJpegMbps = new Array(CAM_TYPENUM_JPEG);
var gCalcJpegMbps = new Array(CAM_TYPENUM_JPEG);
// 計算用ビットレート(帯域・JPEG)
var gCalcBandJpegMbps = new Array(CAM_TYPENUM_JPEG);
// 表示用ビットレート(録画・JPEG)
var gDispJpegRecMbps = new Array(CAM_TYPENUM_JPEG);
// 表示用ビットレート(帯域・JPEG)
var gDispBandJpegMbps = new Array(CAM_TYPENUM_JPEG);
// JPEG録画ips数
var gJpegIps = new Array(CAM_TYPENUM_ALL);

// 映像のみ計算用ビットレート
var gVideoMbps = new Array(CAM_TYPENUM_ALL);

// 総カメラ数
var gTotalCamNum = 0;
// 総マイク数(全方位マイク)
var gTotalMicNum = 0;
// 録画日数
var gRecDay = 0;
// 録画時間
var gRecHour = 0;

// 選択指定された(Selected)HDD単位容量[GB]
var gSelHddUnitGB = 0;
// 選択指定された(Selected)RAIDモード
var gSelRaidMode = 0;

// 他の最適解を探るための本体数変更試行回数
var defPlusRecMax = 3;

// レコーダー(or 推奨サーバ)毎の接続可能数
var g_DynaConnect = new Array(0, 0, 0, 0, 0);
// レコーダー(or 推奨サーバ)毎の計算結果表示フラグ
var g_DsplayResultFlag = new Array(1, 1, 1, 1, 1);

// 顔照合カメラをレコーダーに規定数以上割り当てようとしたかどうか
var g_FaceOverFlag = 0;

// 表示メッセージ
var g_strmsg = '';

// レコーダー情報
var gNwdrInfo = new Array();

// 機種別詳細情報
var gNwdrDetailInfo = new Array('', '', '', '', '');

// NV200/300計算用
var camBitrate = new Array();
var camBitrate2 = new Array();
var tmpcamBitrate = new Array();
var g_NV300info_b = new Array();
var g_NV300info_a = new Array();

/*
 * ========== NWDR(レコーダー or 推奨サーバ)情報 ==========
 *
 * [0] ND400
 * [1] ND300A
 * [2] ND200
 * [3] NV200
 * [4] NV300 (/R向け定義。国内版は別途指定)
 */

// S-1:最大カメラ台数
var defCamNumMax = new Array(64, 32, 16, 16, 32); // *NV200は16chにて定義

// S-2(1):最大接続数(Advanced mode時)
var defMaxConAddInfoAdv = new Array(96, 0, 32, 48, 96);

// S-2(2):最大接続数
var defMaxConAddInfo = new Array(72, 0, 32, 48, 64);

// S-4:最大JPEG録画枚数(NV200は16chにて定義)
var defMaxJpegIps = new Array(320, 160, 90, 80, 160);

// S-5:最大入力ビットレート (+0.01)
var defLimitBandWidth = new Array(131.073, 51.201, 32.769, 65.537, 131.073);

// S-7:録画係数
var defRecCoef = new Array(0.94, 0.8, 0.8, 0.94, 0.94);

// ◆本体(Main)◆
// S-8_0:本体1台あたりの最大HDD数(RAID0)
var defMaxHddNum_Main_RAID0 = new Array(9, 4, 2, 2, 2);

// S-8_1:本体1台あたりの最大HDD数(RAID1/9)
var defMaxHddNum_Main_RAID1 = new Array(0, 0, 1, 1, 1);

// S-8_5:本体1台あたりの最大HDD数(RAID5)
var defMaxHddNum_Main_RAID5 = new Array(8, 3, 0, 0, 0);

// S-8_6:本体1台あたりの最大HDD数(RAID6)
var defMaxHddNum_Main_RAID6 = new Array(7, 0, 0, 0, 0);

// ◆増設(Ext)◆
// S-9:最大増設ユニット数
var defLimitOfExtNum = new Array(5, 6, 0, 0, 2);

// S-9_0:増設1台あたり最大HDD数【Single】
var defMaxHddNum_Ext_RAID0 = new Array(9, 4, 0, 0, 9);

// S-9_5:増設1台あたり最大HDD数【RAID5】
var defMaxHddNum_Ext_RAID5 = new Array(8, 3, 0, 0, 8);

// S-9_6:増設1台あたり最大HDD数【RAID6】
var defMaxHddNum_Ext_RAID6 = new Array(7, 0, 0, 0, 7);

// ◆システム(本体+最大増設)構成◆
// S-10_0:システム搭載可能最大HDD数【Single】
var defMaxHddNum_System_RAID0 = new Array(54, 28, 2, 2, 20);

// S-10_1:システム搭載可能最大HDD数【RAID1/9】
var defMaxHddNum_System_RAID1 = new Array(0, 0, 1, 1, 1);

// S-10_5:システム搭載可能最大HDD数【RAID5】
var defMaxHddNum_System_RAID5 = new Array(48, 21, 0, 0, 16);

// S-10_6:システム搭載可能最大HDD数【RAID6】
var defMaxHddNum_System_RAID6 = new Array(42, 0, 0, 0, 14);

// H-1:消費電力(本体)
var defMainUnitPow = new Array(170, 85, 35, 45, 40); // *NV300は /R の場合にて定義

// H-2:消費電力(増設)
var defExtUnitPow = new Array(130, 85, 0, 0, 130);

// H-3:高さ(U)
var defSizeAtUnit = new Array(3, 2, 2, 2, 2);

// 本体・増設の値段割合（本体/増設) 未使用は1とする(将来のゼロ割防止)
var defValRatio = new Array(4, 4, 4, 1, 1.3);

// 音声サイズ:計算用(32Kbps->Mbps)
var CALC_AUDIO = 0.032;

// 音声サイズ:表示用(4KB * 8 / 1024 Mbps)
var DISP_AUDIO = 0.03125;

// 360マイク音声サイズ:計算用(Mbps)
var CALC_AUDIO_360 = 2.048;

// 360マイク音声サイズ:表示用(Mbps)
var DISP_AUDIO_360 = 2;

// 音声バウンダリサイズ(2KB->Mbps)(音声と足して、6KB)
var AUDIOADDDATA = 0.016;

// VMD付加情報サイズ:計算用(0.75KB->Mbps)
var CALC_VMDINFO = 0.006;

// VMD付加情報サイズ:表示用(0.75KB * 8 / 1024 Mbps)
var DISP_VMDINFO = 0.005859375;

// ND400通常ファーム受信サイズ上限[Mbps]
var ND400_NORMAL_LIM_MBPS = 6;

// ND400受信サイズ上限[Mbps]
var ND400_LIM_MBPS = 14;

// ND400高ビットレートカメラ台数上限
var ND400_HBRCAM_MAX = 8;

// NV300受信サイズ上限
var NV300_LIM_MBPS = 14;

// JPEG帯域計算用係数
var defGetaJpeg = 1.15;

/*
 * ========== NV300情報 ==========
 */
// モデル定義
var nNV300_8 = 0;     // 4TB x 2
var nNV300_6 = 1;     // 3TB x 2
var nNV300_4 = 2;     // 2TB x 2
var nNV300_R = 3;     // none

// タイムライン[TB]
var defNVtimelineTB = 0.008;

// HDD容量[TB](/8, /6, /4)
var defNV300HDDcapTB = new Array(8, 6, 4);

// HDD個数(/8, /6, /4)
var defNV300HDDnum = new Array(2, 2, 2);

// 本体価格
var defNV300price = new Array(950, 850, 750, 450);

// 拡張キット価格
var defNVE30price = 200;

// 電力
var defNV300UnitPow = new Array(50, 48, 47, 40);

/*
 * ========== HDE400情報 ==========
 */
var defHDE400SizeAtUnit = 3; // 3U
var bND400_4kFirm = false; // 専用ファーム対応

/*
 * ========== 画面表示 ==========
 */

// H264種別数
var CAM_TYPENUM_H264 = 3;
// JPEG種別数
var CAM_TYPENUM_JPEG = 3;
// MPEG4種別数
var CAM_TYPENUM_MPG4 = 1;
// H.264(顔照合)種別数
var CAM_TYPENUM_FACE = 1;

// カメラ種別数
var CAM_TYPENUM_ALL =
    (CAM_TYPENUM_H264 + CAM_TYPENUM_JPEG + CAM_TYPENUM_MPG4 + CAM_TYPENUM_FACE);

/* *********************************************************************
 * ========== 1. H.264カメラ情報 ==========
 *      Do not edit this section directly
 *       since generated from CamTable automatically.
********************************************************************* */
var camKind_H264_Hd = 0;      //【H.264-01】i-PRO SmartHD
var camKind_H264_Sfv63 = 1;   //【H.264-02】S**63*/S**53*
var camKind_H264_Sfv61 = 2;   //【H.264-03】S**61*/S**31*
var camKind_H264_360 = 3;     //【H.264-04】SF4**/SW4**
var camKind_H264_360SMR = 4;  //【H.264-05】SF4**/SW4**+SMR10
var camKind_H264_9M = 5;      //【H.264-06】SF*4**(4K/9M)
var camKind_H264_9MSMR = 6;   //【H.264-07】SF*4**(4K/9M)+SMR10
var camKind_H264_FullHd = 7;  //【H.264-08】i-PRO SmartHD(FullHD)
var camKind_H264_502 = 8;     //【H.264-09】NP502/NW502S
var camKind_H264_Gxe5 = 9;    //【H.264-10】GXE500
var camKind_H264_Gxe1 = 10;   //【H.264-11】GXE100
var camKind_H264_Hcm7 = 11;   //【H.264-12】BB-HCM7**

var camInfo_H264 = [
    // ----------------------------------------------------
    // 【H.264-01】i-PRO SmartHD
    [
        // <1>型番
        [
            s_cammodel_h264_01
        ],
        // <3>撮像モード
        [
            // デフォルト値
            [
                0
            ],
            // <3-0>1.3M
            [
                // 名称ラベル
                [
                    s_camscan_h264_00
                ],
                // <2>解像度
                [
                    // デフォルト値
                    0,
                    // 値リスト
                    s_camreso_h264_01,
                    s_camreso_h264_02,
                    s_camreso_h264_03,
                    s_camreso_h264_05,
                    s_camreso_h264_06,
                    s_camreso_h264_07,
                    s_camreso_h264_08
                ]
            ]
        ],
        // <4>優先モード
        [
            // デフォルト値
            [
                1
            ],
            // <4-0>ビットレート優先
            [
                // 名称ラベル
                [
                    s_camprio_h264_01
                ],
                // <5>画質
                [
                    // デフォルト値
                    1,
                    // 値リスト
                    s_camqual_h264_01,
                    s_camqual_h264_02,
                    s_camqual_h264_03
                ]
            ],
            // <4-1>フレームレート優先
            [
                // 名称ラベル
                [
                    s_camprio_h264_02
                ],
                // <5>画質
                [
                    // デフォルト値
                    0,
                    // 値リスト
                    s_camqual_h264_00
                ]
            ],
            // <4-2>AdvancedVBR[高]
            [
                // 名称ラベル
                [
                    s_camprio_h264_03
                ],
                // <5>画質
                [
                    // デフォルト値
                    0,
                    // 値リスト
                    s_camqual_h264_00
                ]
            ],
            // <4-3>AdvancedVBR[中]
            [
                // 名称ラベル
                [
                    s_camprio_h264_04
                ],
                // <5>画質
                [
                    // デフォルト値
                    0,
                    // 値リスト
                    s_camqual_h264_00
                ]
            ],
            // <4-4>AdvancedVBR[低]
            [
                // 名称ラベル
                [
                    s_camprio_h264_05
                ],
                // <5>画質
                [
                    // デフォルト値
                    0,
                    // 値リスト
                    s_camqual_h264_00
                ]
            ]
        ]
    ],
    // ----------------------------------------------------
    // 【H.264-02】S**63*/S**53*
    [
        // <1>型番
        [
            s_cammodel_h264_08
        ],
        // <3>撮像モード
        [
            // デフォルト値
            [
                0
            ],
            // <3-0>2M
            [
                // 名称ラベル
                [
                    s_camscan_h264_02
                ],
                // <2>解像度
                [
                    // デフォルト値
                    0,
                    // 値リスト
                    s_camreso_h264_10,
                    s_camreso_h264_01,
                    s_camreso_h264_08,
                    s_camreso_h264_02,
                    s_camreso_h264_11,
                    s_camreso_h264_03,
                    s_camreso_h264_12,
                    s_camreso_h264_04,
                    s_camreso_h264_05,
                    s_camreso_h264_06,
                    s_camreso_h264_07,
                    s_camreso_h264_13
                ]
            ],
            // <3-1>2M(60fps)
            [
                // 名称ラベル
                [
                    s_camscan_h264_08
                ],
                // <2>解像度
                [
                    // デフォルト値
                    0,
                    // 値リスト
                    s_camreso_h264_04,
                    s_camreso_h264_05
                ]
            ],
            // <3-2>3M
            [
                // 名称ラベル
                [
                    s_camscan_h264_03
                ],
                // <2>解像度
                [
                    // デフォルト値
                    0,
                    // 値リスト
                    s_camreso_h264_09,
                    s_camreso_h264_01,
                    s_camreso_h264_08,
                    s_camreso_h264_02,
                    s_camreso_h264_11,
                    s_camreso_h264_03,
                    s_camreso_h264_12
                ]
            ]
        ],
        // <4>優先モード
        [
            // デフォルト値
            [
                1
            ],
            // <4-0>ビットレート優先
            [
                // 名称ラベル
                [
                    s_camprio_h264_01
                ],
                // <5>画質
                [
                    // デフォルト値
                    1,
                    // 値リスト
                    s_camqual_h264_01,
                    s_camqual_h264_02,
                    s_camqual_h264_03
                ]
            ],
            // <4-1>フレームレート優先
            [
                // 名称ラベル
                [
                    s_camprio_h264_02
                ],
                // <5>画質
                [
                    // デフォルト値
                    0,
                    // 値リスト
                    s_camqual_h264_00
                ]
            ],
            // <4-2>AdvancedVBR[高]
            [
                // 名称ラベル
                [
                    s_camprio_h264_03
                ],
                // <5>画質
                [
                    // デフォルト値
                    0,
                    // 値リスト
                    s_camqual_h264_00
                ]
            ],
            // <4-3>AdvancedVBR[中]
            [
                // 名称ラベル
                [
                    s_camprio_h264_04
                ],
                // <5>画質
                [
                    // デフォルト値
                    0,
                    // 値リスト
                    s_camqual_h264_00
                ]
            ],
            // <4-4>AdvancedVBR[低]
            [
                // 名称ラベル
                [
                    s_camprio_h264_05
                ],
                // <5>画質
                [
                    // デフォルト値
                    0,
                    // 値リスト
                    s_camqual_h264_00
                ]
            ]
        ]
    ],
    // ----------------------------------------------------
    // 【H.264-03】S**61*/S**31*
    [
        // <1>型番
        [
            s_cammodel_h264_09
        ],
        // <3>撮像モード
        [
            // デフォルト値
            [
                0
            ],
            // <3-0>1.3M
            [
                // 名称ラベル
                [
                    s_camscan_h264_01
                ],
                // <2>解像度
                [
                    // デフォルト値
                    0,
                    // 値リスト
                    s_camreso_h264_01,
                    s_camreso_h264_08,
                    s_camreso_h264_02,
                    s_camreso_h264_11,
                    s_camreso_h264_03,
                    s_camreso_h264_12,
                    s_camreso_h264_05,
                    s_camreso_h264_06,
                    s_camreso_h264_07,
                    s_camreso_h264_13
                ]
            ],
            // <3-1>1.3M(60fps)
            [
                // 名称ラベル
                [
                    s_camscan_h264_07
                ],
                // <2>解像度
                [
                    // デフォルト値
                    0,
                    // 値リスト
                    s_camreso_h264_05
                ]
            ]
        ],
        // <4>優先モード
        [
            // デフォルト値
            [
                1
            ],
            // <4-0>ビットレート優先
            [
                // 名称ラベル
                [
                    s_camprio_h264_01
                ],
                // <5>画質
                [
                    // デフォルト値
                    1,
                    // 値リスト
                    s_camqual_h264_01,
                    s_camqual_h264_02,
                    s_camqual_h264_03
                ]
            ],
            // <4-1>フレームレート優先
            [
                // 名称ラベル
                [
                    s_camprio_h264_02
                ],
                // <5>画質
                [
                    // デフォルト値
                    0,
                    // 値リスト
                    s_camqual_h264_00
                ]
            ],
            // <4-2>AdvancedVBR[高]
            [
                // 名称ラベル
                [
                    s_camprio_h264_03
                ],
                // <5>画質
                [
                    // デフォルト値
                    0,
                    // 値リスト
                    s_camqual_h264_00
                ]
            ],
            // <4-3>AdvancedVBR[中]
            [
                // 名称ラベル
                [
                    s_camprio_h264_04
                ],
                // <5>画質
                [
                    // デフォルト値
                    0,
                    // 値リスト
                    s_camqual_h264_00
                ]
            ],
            // <4-4>AdvancedVBR[低]
            [
                // 名称ラベル
                [
                    s_camprio_h264_05
                ],
                // <5>画質
                [
                    // デフォルト値
                    0,
                    // 値リスト
                    s_camqual_h264_00
                ]
            ]
        ]
    ],
    // ----------------------------------------------------
    // 【H.264-04】SF4**/SW4**
    [
        // <1>型番
        [
            s_cammodel_h264_06
        ],
        // <3>撮像モード
        [
            // デフォルト値
            [
                2
            ],
            // <3-0>1M
            [
                // 名称ラベル
                [
                    s_camscan_h264_04
                ],
                // <2>解像度
                [
                    // デフォルト値
                    0,
                    // 値リスト
                    s_camreso_h264_05,
                    s_camreso_h264_06,
                    s_camreso_h264_07
                ]
            ],
            // <3-1>1.3M
            [
                // 名称ラベル
                [
                    s_camscan_h264_01
                ],
                // <2>解像度
                [
                    // デフォルト値
                    0,
                    // 値リスト
                    s_camreso_h264_01,
                    s_camreso_h264_02,
                    s_camreso_h264_03
                ]
            ],
            // <3-2>2M
            [
                // 名称ラベル
                [
                    s_camscan_h264_02
                ],
                // <2>解像度
                [
                    // デフォルト値
                    0,
                    // 値リスト
                    s_camreso_h264_04,
                    s_camreso_h264_06,
                    s_camreso_h264_07
                ]
            ],
            // <3-3>3M
            [
                // 名称ラベル
                [
                    s_camscan_h264_03
                ],
                // <2>解像度
                [
                    // デフォルト値
                    0,
                    // 値リスト
                    s_camreso_h264_01
                ]
            ],
            // <3-4>2モード
            [
                // 名称ラベル
                [
                    s_camscan_h264_05
                ],
                // <2>解像度
                [
                    // デフォルト値
                    0,
                    // 値リスト
                    s_camreso_h264_04,
                    s_camreso_h264_06,
                    s_camreso_h264_07,
                    s_camreso_h264_01,
                    s_camreso_h264_02,
                    s_camreso_h264_03
                ]
            ],
            // <3-5>VGA(4)
            [
                // 名称ラベル
                [
                    s_camscan_h264_06
                ],
                // <2>解像度
                [
                    // デフォルト値
                    0,
                    // 値リスト
                    s_camreso_h264_02
                ]
            ]
        ],
        // <4>優先モード
        [
            // デフォルト値
            [
                1
            ],
            // <4-0>ビットレート優先
            [
                // 名称ラベル
                [
                    s_camprio_h264_01
                ],
                // <5>画質
                [
                    // デフォルト値
                    1,
                    // 値リスト
                    s_camqual_h264_01,
                    s_camqual_h264_02,
                    s_camqual_h264_03
                ]
            ],
            // <4-1>フレームレート優先
            [
                // 名称ラベル
                [
                    s_camprio_h264_02
                ],
                // <5>画質
                [
                    // デフォルト値
                    0,
                    // 値リスト
                    s_camqual_h264_00
                ]
            ],
            // <4-2>AdvancedVBR[高]
            [
                // 名称ラベル
                [
                    s_camprio_h264_03
                ],
                // <5>画質
                [
                    // デフォルト値
                    0,
                    // 値リスト
                    s_camqual_h264_00
                ]
            ],
            // <4-3>AdvancedVBR[中]
            [
                // 名称ラベル
                [
                    s_camprio_h264_04
                ],
                // <5>画質
                [
                    // デフォルト値
                    0,
                    // 値リスト
                    s_camqual_h264_00
                ]
            ],
            // <4-4>AdvancedVBR[低]
            [
                // 名称ラベル
                [
                    s_camprio_h264_05
                ],
                // <5>画質
                [
                    // デフォルト値
                    0,
                    // 値リスト
                    s_camqual_h264_00
                ]
            ]
        ]
    ],
    // ----------------------------------------------------
    // 【H.264-05】SF4**/SW4**+SMR10
    [
        // <1>型番
        [
            s_cammodel_h264_10
        ],
        // <3>撮像モード
        [
            // デフォルト値
            [
                2
            ],
            // <3-0>1M
            [
                // 名称ラベル
                [
                    s_camscan_h264_04
                ],
                // <2>解像度
                [
                    // デフォルト値
                    0,
                    // 値リスト
                    s_camreso_h264_05,
                    s_camreso_h264_06,
                    s_camreso_h264_07
                ]
            ],
            // <3-1>1.3M
            [
                // 名称ラベル
                [
                    s_camscan_h264_01
                ],
                // <2>解像度
                [
                    // デフォルト値
                    0,
                    // 値リスト
                    s_camreso_h264_01,
                    s_camreso_h264_02,
                    s_camreso_h264_03
                ]
            ],
            // <3-2>2M
            [
                // 名称ラベル
                [
                    s_camscan_h264_02
                ],
                // <2>解像度
                [
                    // デフォルト値
                    0,
                    // 値リスト
                    s_camreso_h264_04,
                    s_camreso_h264_06,
                    s_camreso_h264_07
                ]
            ],
            // <3-3>3M
            [
                // 名称ラベル
                [
                    s_camscan_h264_03
                ],
                // <2>解像度
                [
                    // デフォルト値
                    0,
                    // 値リスト
                    s_camreso_h264_01
                ]
            ],
            // <3-4>2モード
            [
                // 名称ラベル
                [
                    s_camscan_h264_05
                ],
                // <2>解像度
                [
                    // デフォルト値
                    0,
                    // 値リスト
                    s_camreso_h264_04,
                    s_camreso_h264_06,
                    s_camreso_h264_07,
                    s_camreso_h264_01,
                    s_camreso_h264_02,
                    s_camreso_h264_03
                ]
            ]
        ],
        // <4>優先モード
        [
            // デフォルト値
            [
                1
            ],
            // <4-0>ビットレート優先
            [
                // 名称ラベル
                [
                    s_camprio_h264_01
                ],
                // <5>画質
                [
                    // デフォルト値
                    1,
                    // 値リスト
                    s_camqual_h264_01,
                    s_camqual_h264_02,
                    s_camqual_h264_03
                ]
            ],
            // <4-1>フレームレート優先
            [
                // 名称ラベル
                [
                    s_camprio_h264_02
                ],
                // <5>画質
                [
                    // デフォルト値
                    0,
                    // 値リスト
                    s_camqual_h264_00
                ]
            ],
            // <4-2>AdvancedVBR[高]
            [
                // 名称ラベル
                [
                    s_camprio_h264_03
                ],
                // <5>画質
                [
                    // デフォルト値
                    0,
                    // 値リスト
                    s_camqual_h264_00
                ]
            ],
            // <4-3>AdvancedVBR[中]
            [
                // 名称ラベル
                [
                    s_camprio_h264_04
                ],
                // <5>画質
                [
                    // デフォルト値
                    0,
                    // 値リスト
                    s_camqual_h264_00
                ]
            ],
            // <4-4>AdvancedVBR[低]
            [
                // 名称ラベル
                [
                    s_camprio_h264_05
                ],
                // <5>画質
                [
                    // デフォルト値
                    0,
                    // 値リスト
                    s_camqual_h264_00
                ]
            ]
        ]
    ],
    // ----------------------------------------------------
    // 【H.264-06】SF*4**(4K/9M)
    [
        // <1>型番
        [
            s_cammodel_h264_11
        ],
        // <3>撮像モード
        [
            // デフォルト値
            [
                0
            ],
            // <3-0>9M(FE)
            [
                // 名称ラベル
                [
                    s_camscan_h264_09
                ],
                // <2>解像度
                [
                    // デフォルト値
                    0,
                    // 値リスト
                    s_camreso_h264_15,
                    s_camreso_h264_18,
                    s_camreso_h264_19,
                    s_camreso_h264_20
                ]
            ],
            // <3-1>4M(FE)
            [
                // 名称ラベル
                [
                    s_camscan_h264_10
                ],
                // <2>解像度
                [
                    // デフォルト値
                    0,
                    // 値リスト
                    s_camreso_h264_17,
                    s_camreso_h264_18,
                    s_camreso_h264_19,
                    s_camreso_h264_20
                ]
            ],
            // <3-2>DP/P
            [
                // 名称ラベル
                [
                    s_camscan_h264_11
                ],
                // <2>解像度
                [
                    // デフォルト値
                    0,
                    // 値リスト
                    s_camreso_h264_14,
                    s_camreso_h264_04,
                    s_camreso_h264_05,
                    s_camreso_h264_06,
                    s_camreso_h264_07
                ]
            ],
            // <3-3>4PTZ/1PTZ
            [
                // 名称ラベル
                [
                    s_camscan_h264_17
                ],
                // <2>解像度
                [
                    // デフォルト値
                    0,
                    // 値リスト
                    s_camreso_h264_21,
                    s_camreso_h264_09,
                    s_camreso_h264_10,
                    s_camreso_h264_01,
                    s_camreso_h264_08,
                    s_camreso_h264_02,
                    s_camreso_h264_03
                ]
            ],
            // <3-4>8M(FE+DP/P)
            [
                // 名称ラベル
                [
                    s_camscan_h264_12
                ],
                // <2>解像度
                [
                    // デフォルト値
                    0,
                    // 値リスト
                    s_camreso_h264_16,
                    s_camreso_h264_18,
                    s_camreso_h264_19,
                    s_camreso_h264_20,
                    s_camreso_h264_05,
                    s_camreso_h264_06
                ]
            ],
            // <3-5>4M(FE+DP/P)
            [
                // 名称ラベル
                [
                    s_camscan_h264_13
                ],
                // <2>解像度
                [
                    // デフォルト値
                    0,
                    // 値リスト
                    s_camreso_h264_17,
                    s_camreso_h264_18,
                    s_camreso_h264_19,
                    s_camreso_h264_20,
                    s_camreso_h264_05,
                    s_camreso_h264_06
                ]
            ],
            // <3-6>8M(FE+4PTZ)
            [
                // 名称ラベル
                [
                    s_camscan_h264_14
                ],
                // <2>解像度
                [
                    // デフォルト値
                    0,
                    // 値リスト
                    s_camreso_h264_16,
                    s_camreso_h264_18,
                    s_camreso_h264_19,
                    s_camreso_h264_20,
                    s_camreso_h264_01,
                    s_camreso_h264_08,
                    s_camreso_h264_02
                ]
            ],
            // <3-7>4M(FE+4PTZ)
            [
                // 名称ラベル
                [
                    s_camscan_h264_15
                ],
                // <2>解像度
                [
                    // デフォルト値
                    0,
                    // 値リスト
                    s_camreso_h264_17,
                    s_camreso_h264_18,
                    s_camreso_h264_19,
                    s_camreso_h264_20,
                    s_camreso_h264_01,
                    s_camreso_h264_08,
                    s_camreso_h264_02
                ]
            ],
            // <3-8>4ストリーム
            [
                // 名称ラベル
                [
                    s_camscan_h264_16
                ],
                // <2>解像度
                [
                    // デフォルト値
                    0,
                    // 値リスト
                    s_camreso_h264_01,
                    s_camreso_h264_08,
                    s_camreso_h264_02,
                    s_camreso_h264_03
                ]
            ]
        ],
        // <4>優先モード
        [
            // デフォルト値
            [
                1
            ],
            // <4-0>ビットレート優先
            [
                // 名称ラベル
                [
                    s_camprio_h264_01
                ],
                // <5>画質
                [
                    // デフォルト値
                    1,
                    // 値リスト
                    s_camqual_h264_01,
                    s_camqual_h264_02,
                    s_camqual_h264_03
                ]
            ],
            // <4-1>フレームレート優先
            [
                // 名称ラベル
                [
                    s_camprio_h264_02
                ],
                // <5>画質
                [
                    // デフォルト値
                    0,
                    // 値リスト
                    s_camqual_h264_00
                ]
            ],
            // <4-2>AdvancedVBR[高]
            [
                // 名称ラベル
                [
                    s_camprio_h264_03
                ],
                // <5>画質
                [
                    // デフォルト値
                    0,
                    // 値リスト
                    s_camqual_h264_00
                ]
            ],
            // <4-3>AdvancedVBR[中]
            [
                // 名称ラベル
                [
                    s_camprio_h264_04
                ],
                // <5>画質
                [
                    // デフォルト値
                    0,
                    // 値リスト
                    s_camqual_h264_00
                ]
            ],
            // <4-4>AdvancedVBR[低]
            [
                // 名称ラベル
                [
                    s_camprio_h264_05
                ],
                // <5>画質
                [
                    // デフォルト値
                    0,
                    // 値リスト
                    s_camqual_h264_00
                ]
            ]
        ]
    ],
    // ----------------------------------------------------
    // 【H.264-07】SF*4**(4K/9M)+SMR10
    [
        // <1>型番
        [
            s_cammodel_h264_12
        ],
        // <3>撮像モード
        [
            // デフォルト値
            [
                0
            ],
            // <3-0>9M(FE)
            [
                // 名称ラベル
                [
                    s_camscan_h264_09
                ],
                // <2>解像度
                [
                    // デフォルト値
                    0,
                    // 値リスト
                    s_camreso_h264_15,
                    s_camreso_h264_18,
                    s_camreso_h264_19,
                    s_camreso_h264_20
                ]
            ],
            // <3-1>4M(FE)
            [
                // 名称ラベル
                [
                    s_camscan_h264_10
                ],
                // <2>解像度
                [
                    // デフォルト値
                    0,
                    // 値リスト
                    s_camreso_h264_17,
                    s_camreso_h264_18,
                    s_camreso_h264_19,
                    s_camreso_h264_20
                ]
            ],
            // <3-2>DP/P
            [
                // 名称ラベル
                [
                    s_camscan_h264_11
                ],
                // <2>解像度
                [
                    // デフォルト値
                    0,
                    // 値リスト
                    s_camreso_h264_14,
                    s_camreso_h264_04,
                    s_camreso_h264_05,
                    s_camreso_h264_06,
                    s_camreso_h264_07
                ]
            ],
            // <3-3>4PTZ/1PTZ
            [
                // 名称ラベル
                [
                    s_camscan_h264_17
                ],
                // <2>解像度
                [
                    // デフォルト値
                    0,
                    // 値リスト
                    s_camreso_h264_21,
                    s_camreso_h264_09,
                    s_camreso_h264_10,
                    s_camreso_h264_01,
                    s_camreso_h264_08,
                    s_camreso_h264_02,
                    s_camreso_h264_03
                ]
            ],
            // <3-4>8M(FE+DP/P)
            [
                // 名称ラベル
                [
                    s_camscan_h264_12
                ],
                // <2>解像度
                [
                    // デフォルト値
                    0,
                    // 値リスト
                    s_camreso_h264_16,
                    s_camreso_h264_18,
                    s_camreso_h264_19,
                    s_camreso_h264_20,
                    s_camreso_h264_05,
                    s_camreso_h264_06
                ]
            ],
            // <3-5>4M(FE+DP/P)
            [
                // 名称ラベル
                [
                    s_camscan_h264_13
                ],
                // <2>解像度
                [
                    // デフォルト値
                    0,
                    // 値リスト
                    s_camreso_h264_17,
                    s_camreso_h264_18,
                    s_camreso_h264_19,
                    s_camreso_h264_20,
                    s_camreso_h264_05,
                    s_camreso_h264_06
                ]
            ],
            // <3-6>8M(FE+4PTZ)
            [
                // 名称ラベル
                [
                    s_camscan_h264_14
                ],
                // <2>解像度
                [
                    // デフォルト値
                    0,
                    // 値リスト
                    s_camreso_h264_16,
                    s_camreso_h264_18,
                    s_camreso_h264_19,
                    s_camreso_h264_20,
                    s_camreso_h264_01,
                    s_camreso_h264_08,
                    s_camreso_h264_02
                ]
            ],
            // <3-7>4M(FE+4PTZ)
            [
                // 名称ラベル
                [
                    s_camscan_h264_15
                ],
                // <2>解像度
                [
                    // デフォルト値
                    0,
                    // 値リスト
                    s_camreso_h264_17,
                    s_camreso_h264_18,
                    s_camreso_h264_19,
                    s_camreso_h264_20,
                    s_camreso_h264_01,
                    s_camreso_h264_08,
                    s_camreso_h264_02
                ]
            ],
            // <3-8>4ストリーム
            [
                // 名称ラベル
                [
                    s_camscan_h264_16
                ],
                // <2>解像度
                [
                    // デフォルト値
                    0,
                    // 値リスト
                    s_camreso_h264_01,
                    s_camreso_h264_08,
                    s_camreso_h264_02,
                    s_camreso_h264_03
                ]
            ]
        ],
        // <4>優先モード
        [
            // デフォルト値
            [
                1
            ],
            // <4-0>ビットレート優先
            [
                // 名称ラベル
                [
                    s_camprio_h264_01
                ],
                // <5>画質
                [
                    // デフォルト値
                    1,
                    // 値リスト
                    s_camqual_h264_01,
                    s_camqual_h264_02,
                    s_camqual_h264_03
                ]
            ],
            // <4-1>フレームレート優先
            [
                // 名称ラベル
                [
                    s_camprio_h264_02
                ],
                // <5>画質
                [
                    // デフォルト値
                    0,
                    // 値リスト
                    s_camqual_h264_00
                ]
            ],
            // <4-2>AdvancedVBR[高]
            [
                // 名称ラベル
                [
                    s_camprio_h264_03
                ],
                // <5>画質
                [
                    // デフォルト値
                    0,
                    // 値リスト
                    s_camqual_h264_00
                ]
            ],
            // <4-3>AdvancedVBR[中]
            [
                // 名称ラベル
                [
                    s_camprio_h264_04
                ],
                // <5>画質
                [
                    // デフォルト値
                    0,
                    // 値リスト
                    s_camqual_h264_00
                ]
            ],
            // <4-4>AdvancedVBR[低]
            [
                // 名称ラベル
                [
                    s_camprio_h264_05
                ],
                // <5>画質
                [
                    // デフォルト値
                    0,
                    // 値リスト
                    s_camqual_h264_00
                ]
            ]
        ]
    ],
    // ----------------------------------------------------
    // 【H.264-08】i-PRO SmartHD(FullHD)
    [
        // <1>型番
        [
            s_cammodel_h264_02
        ],
        // <3>撮像モード
        [
            // デフォルト値
            [
                0
            ],
            // <3-0>1.3M
            [
                // 名称ラベル
                [
                    s_camscan_h264_01
                ],
                // <2>解像度
                [
                    // デフォルト値
                    0,
                    // 値リスト
                    s_camreso_h264_01,
                    s_camreso_h264_02,
                    s_camreso_h264_03,
                    s_camreso_h264_05,
                    s_camreso_h264_06,
                    s_camreso_h264_07
                ]
            ],
            // <3-1>2M
            [
                // 名称ラベル
                [
                    s_camscan_h264_02
                ],
                // <2>解像度
                [
                    // デフォルト値
                    0,
                    // 値リスト
                    s_camreso_h264_04,
                    s_camreso_h264_06,
                    s_camreso_h264_07
                ]
            ],
            // <3-2>3M
            [
                // 名称ラベル
                [
                    s_camscan_h264_03
                ],
                // <2>解像度
                [
                    // デフォルト値
                    0,
                    // 値リスト
                    s_camreso_h264_01
                ]
            ]
        ],
        // <4>優先モード
        [
            // デフォルト値
            [
                1
            ],
            // <4-0>ビットレート優先
            [
                // 名称ラベル
                [
                    s_camprio_h264_01
                ],
                // <5>画質
                [
                    // デフォルト値
                    1,
                    // 値リスト
                    s_camqual_h264_01,
                    s_camqual_h264_02,
                    s_camqual_h264_03
                ]
            ],
            // <4-1>フレームレート優先
            [
                // 名称ラベル
                [
                    s_camprio_h264_02
                ],
                // <5>画質
                [
                    // デフォルト値
                    0,
                    // 値リスト
                    s_camqual_h264_00
                ]
            ],
            // <4-2>AdvancedVBR[高]
            [
                // 名称ラベル
                [
                    s_camprio_h264_03
                ],
                // <5>画質
                [
                    // デフォルト値
                    0,
                    // 値リスト
                    s_camqual_h264_00
                ]
            ],
            // <4-3>AdvancedVBR[中]
            [
                // 名称ラベル
                [
                    s_camprio_h264_04
                ],
                // <5>画質
                [
                    // デフォルト値
                    0,
                    // 値リスト
                    s_camqual_h264_00
                ]
            ],
            // <4-4>AdvancedVBR[低]
            [
                // 名称ラベル
                [
                    s_camprio_h264_05
                ],
                // <5>画質
                [
                    // デフォルト値
                    0,
                    // 値リスト
                    s_camqual_h264_00
                ]
            ]
        ]
    ],
    // ----------------------------------------------------
    // 【H.264-09】NP502/NW502S
    [
        // <1>型番
        [
            s_cammodel_h264_03
        ],
        // <3>撮像モード
        [
            // デフォルト値
            [
                0
            ],
            // <3-0>1.3M
            [
                // 名称ラベル
                [
                    s_camscan_h264_01
                ],
                // <2>解像度
                [
                    // デフォルト値
                    0,
                    // 値リスト
                    s_camreso_h264_01,
                    s_camreso_h264_02,
                    s_camreso_h264_03,
                    s_camreso_h264_05,
                    s_camreso_h264_06,
                    s_camreso_h264_07,
                    s_camreso_h264_08
                ]
            ],
            // <3-1>3M
            [
                // 名称ラベル
                [
                    s_camscan_h264_03
                ],
                // <2>解像度
                [
                    // デフォルト値
                    0,
                    // 値リスト
                    s_camreso_h264_01,
                    s_camreso_h264_02,
                    s_camreso_h264_03,
                    s_camreso_h264_04,
                    s_camreso_h264_06,
                    s_camreso_h264_07
                ]
            ]
        ],
        // <4>優先モード
        [
            // デフォルト値
            [
                1
            ],
            // <4-0>ビットレート優先
            [
                // 名称ラベル
                [
                    s_camprio_h264_01
                ],
                // <5>画質
                [
                    // デフォルト値
                    1,
                    // 値リスト
                    s_camqual_h264_01,
                    s_camqual_h264_02,
                    s_camqual_h264_03
                ]
            ],
            // <4-1>フレームレート優先
            [
                // 名称ラベル
                [
                    s_camprio_h264_02
                ],
                // <5>画質
                [
                    // デフォルト値
                    0,
                    // 値リスト
                    s_camqual_h264_00
                ]
            ],
            // <4-2>AdvancedVBR[高]
            [
                // 名称ラベル
                [
                    s_camprio_h264_03
                ],
                // <5>画質
                [
                    // デフォルト値
                    0,
                    // 値リスト
                    s_camqual_h264_00
                ]
            ],
            // <4-3>AdvancedVBR[中]
            [
                // 名称ラベル
                [
                    s_camprio_h264_04
                ],
                // <5>画質
                [
                    // デフォルト値
                    0,
                    // 値リスト
                    s_camqual_h264_00
                ]
            ],
            // <4-4>AdvancedVBR[低]
            [
                // 名称ラベル
                [
                    s_camprio_h264_05
                ],
                // <5>画質
                [
                    // デフォルト値
                    0,
                    // 値リスト
                    s_camqual_h264_00
                ]
            ]
        ]
    ],
    // ----------------------------------------------------
    // 【H.264-10】GXE500
    [
        // <1>型番
        [
            s_cammodel_h264_04
        ],
        // <3>撮像モード
        [
            // デフォルト値
            [
                0
            ],
            // <3-0>1.3M
            [
                // 名称ラベル
                [
                    s_camscan_h264_00
                ],
                // <2>解像度
                [
                    // デフォルト値
                    0,
                    // 値リスト
                    s_camreso_h264_02,
                    s_camreso_h264_03
                ]
            ]
        ],
        // <4>優先モード
        [
            // デフォルト値
            [
                1
            ],
            // <4-0>ビットレート優先
            [
                // 名称ラベル
                [
                    s_camprio_h264_01
                ],
                // <5>画質
                [
                    // デフォルト値
                    1,
                    // 値リスト
                    s_camqual_h264_01,
                    s_camqual_h264_02,
                    s_camqual_h264_03
                ]
            ],
            // <4-1>フレームレート優先
            [
                // 名称ラベル
                [
                    s_camprio_h264_02
                ],
                // <5>画質
                [
                    // デフォルト値
                    0,
                    // 値リスト
                    s_camqual_h264_00
                ]
            ]
        ]
    ],
    // ----------------------------------------------------
    // 【H.264-11】GXE100
    [
        // <1>型番
        [
            s_cammodel_h264_07
        ],
        // <3>撮像モード
        [
            // デフォルト値
            [
                0
            ],
            // <3-0>1.3M
            [
                // 名称ラベル
                [
                    s_camscan_h264_00
                ],
                // <2>解像度
                [
                    // デフォルト値
                    0,
                    // 値リスト
                    s_camreso_h264_02,
                    s_camreso_h264_03,
                    s_camreso_h264_06,
                    s_camreso_h264_07
                ]
            ]
        ],
        // <4>優先モード
        [
            // デフォルト値
            [
                1
            ],
            // <4-0>ビットレート優先
            [
                // 名称ラベル
                [
                    s_camprio_h264_01
                ],
                // <5>画質
                [
                    // デフォルト値
                    1,
                    // 値リスト
                    s_camqual_h264_01,
                    s_camqual_h264_02,
                    s_camqual_h264_03
                ]
            ],
            // <4-1>フレームレート優先
            [
                // 名称ラベル
                [
                    s_camprio_h264_02
                ],
                // <5>画質
                [
                    // デフォルト値
                    0,
                    // 値リスト
                    s_camqual_h264_00
                ]
            ],
            // <4-2>AdvancedVBR[高]
            [
                // 名称ラベル
                [
                    s_camprio_h264_03
                ],
                // <5>画質
                [
                    // デフォルト値
                    0,
                    // 値リスト
                    s_camqual_h264_00
                ]
            ],
            // <4-3>AdvancedVBR[中]
            [
                // 名称ラベル
                [
                    s_camprio_h264_04
                ],
                // <5>画質
                [
                    // デフォルト値
                    0,
                    // 値リスト
                    s_camqual_h264_00
                ]
            ],
            // <4-4>AdvancedVBR[低]
            [
                // 名称ラベル
                [
                    s_camprio_h264_05
                ],
                // <5>画質
                [
                    // デフォルト値
                    0,
                    // 値リスト
                    s_camqual_h264_00
                ]
            ]
        ]
    ],
    // ----------------------------------------------------
    // 【H.264-12】BB-HCM7**
    [
        // <1>型番
        [
            s_cammodel_h264_05
        ],
        // <3>撮像モード
        [
            // デフォルト値
            [
                0
            ],
            // <3-0>1.3M
            [
                // 名称ラベル
                [
                    s_camscan_h264_00
                ],
                // <2>解像度
                [
                    // デフォルト値
                    0,
                    // 値リスト
                    s_camreso_h264_01,
                    s_camreso_h264_02,
                    s_camreso_h264_03
                ]
            ]
        ],
        // <4>優先モード
        [
            // デフォルト値
            [
                0
            ],
            // <4-0>ビットレート優先
            [
                // 名称ラベル
                [
                    s_camprio_H264_00
                ],
                // <5>画質
                [
                    // デフォルト値
                    0,
                    // 値リスト
                    s_camqual_h264_00
                ]
            ]
        ]
    ]
];

/* *********************************************************************
 * ========== H.264ビットレート情報 ==========
 *      Do not edit this section directly
 *       since generated from CamTable automatically.
********************************************************************* */
var camBitrate_H264 = [
    // ----------------------------------------------------
    // 【H.264-01】i-PRO SmartHD
    [
        // <3-0>1.3M
        [
            // <4-0>ビットレート優先
            [
                // <2-00>SXVGA
                [
                    // <5-0>画質優先(SF)
                    [
                        // デフォルト値
                        [1],
                        // 値リスト
                        [8192, 0, 30, 1, 1, 1, 1, 1],
                        [4096, 0, 20, 1, 1, 1, 1, 1],
                        [3072, 0, 15, 1, 1, 1, 1, 1],
                        [2048, 0, 10, 1, 1, 1, 1, 1],
                        [1536, 0, 7.5, 1, 1, 1, 1, 1],
                        [1024, 0, 5, 1, 1, 1, 1, 1],
                        [768, 0, 3, 1, 1, 1, 1, 1],
                        [512, 0, 2, 1, 1, 1, 1, 1],
                        [384, 0, 1, 1, 1, 1, 1, 1],
                        [256, 0, 1, 1, 1, 1, 1, 1]
                    ],
                    // <5-1>標準(FQ)
                    [
                        // デフォルト値
                        [1],
                        // 値リスト
                        [8192, 0, 30, 1, 1, 1, 1, 1],
                        [4096, 0, 30, 1, 1, 1, 1, 1],
                        [3072, 0, 25, 1, 1, 1, 1, 1],
                        [2048, 0, 20, 1, 1, 1, 1, 1],
                        [1536, 0, 10, 1, 1, 1, 1, 1],
                        [1024, 0, 7.5, 1, 1, 1, 1, 1],
                        [768, 0, 5, 1, 1, 1, 1, 1],
                        [512, 0, 3, 1, 1, 1, 1, 1],
                        [384, 0, 2, 1, 1, 1, 1, 1],
                        [256, 0, 1, 1, 1, 1, 1, 1]
                    ],
                    // <5-2>動き優先(NQ)
                    [
                        // デフォルト値
                        [1],
                        // 値リスト
                        [8192, 0, 30, 1, 1, 1, 1, 1],
                        [4096, 0, 30, 1, 1, 1, 1, 1],
                        [3072, 0, 30, 1, 1, 1, 1, 1],
                        [2048, 0, 30, 1, 1, 1, 1, 1],
                        [1536, 0, 20, 1, 1, 1, 1, 1],
                        [1024, 0, 15, 1, 1, 1, 1, 1],
                        [768, 0, 10, 1, 1, 1, 1, 1],
                        [512, 0, 7.5, 1, 1, 1, 1, 1],
                        [384, 0, 5, 1, 1, 1, 1, 1],
                        [256, 0, 3, 1, 1, 1, 1, 1]
                    ]
                ],
                // <2-01>VGA
                [
                    // <5-0>画質優先(SF)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 22.5, 1, 1, 1, 1, 1],
                        [3072, 0, 20, 1, 1, 1, 1, 1],
                        [2048, 0, 15, 1, 1, 1, 1, 1],
                        [1536, 0, 15, 1, 1, 1, 1, 1],
                        [1024, 0, 10, 1, 1, 1, 1, 1],
                        [768, 0, 7.5, 1, 1, 1, 1, 1],
                        [512, 0, 5, 1, 1, 1, 1, 1],
                        [384, 0, 3, 1, 1, 1, 1, 1],
                        [256, 0, 2, 1, 1, 1, 1, 1],
                        [128, 0, 1, 1, 1, 1, 1, 1],
                        [64, 0, 1, 1, 1, 1, 1, 1]
                    ],
                    // <5-1>標準(FQ)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 1, 1, 1],
                        [3072, 0, 30, 1, 1, 1, 1, 1],
                        [2048, 0, 30, 1, 1, 1, 1, 1],
                        [1536, 0, 30, 1, 1, 1, 1, 1],
                        [1024, 0, 22.5, 1, 1, 1, 1, 1],
                        [768, 0, 20, 1, 1, 1, 1, 1],
                        [512, 0, 15, 1, 1, 1, 1, 1],
                        [384, 0, 10, 1, 1, 1, 1, 1],
                        [256, 0, 7.5, 1, 1, 1, 1, 1],
                        [128, 0, 5, 1, 1, 1, 1, 1],
                        [64, 0, 2, 1, 1, 1, 1, 1]
                    ],
                    // <5-2>動き優先(NQ)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 1, 1, 1],
                        [3072, 0, 30, 1, 1, 1, 1, 1],
                        [2048, 0, 30, 1, 1, 1, 1, 1],
                        [1536, 0, 30, 1, 1, 1, 1, 1],
                        [1024, 0, 30, 1, 1, 1, 1, 1],
                        [768, 0, 30, 1, 1, 1, 1, 1],
                        [512, 0, 20, 1, 1, 1, 1, 1],
                        [384, 0, 15, 1, 1, 1, 1, 1],
                        [256, 0, 10, 1, 1, 1, 1, 1],
                        [128, 0, 7.5, 1, 1, 1, 1, 1],
                        [64, 0, 3, 1, 1, 1, 1, 1]
                    ]
                ],
                // <2-02>QVGA
                [
                    // <5-0>画質優先(SF)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 1, 1, 1],
                        [3072, 0, 30, 1, 1, 1, 1, 1],
                        [2048, 0, 30, 1, 1, 1, 1, 1],
                        [1536, 0, 20, 1, 1, 1, 1, 1],
                        [1024, 0, 15, 1, 1, 1, 1, 1],
                        [768, 0, 15, 1, 1, 1, 1, 1],
                        [512, 0, 10, 1, 1, 1, 1, 1],
                        [384, 0, 7.5, 1, 1, 1, 1, 1],
                        [256, 0, 5, 1, 1, 1, 1, 1],
                        [128, 0, 2, 1, 1, 1, 1, 1],
                        [64, 0, 1, 1, 1, 1, 1, 1]
                    ],
                    // <5-1>標準(FQ)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 1, 1, 1],
                        [3072, 0, 30, 1, 1, 1, 1, 1],
                        [2048, 0, 30, 1, 1, 1, 1, 1],
                        [1536, 0, 30, 1, 1, 1, 1, 1],
                        [1024, 0, 30, 1, 1, 1, 1, 1],
                        [768, 0, 30, 1, 1, 1, 1, 1],
                        [512, 0, 25, 1, 1, 1, 1, 1],
                        [384, 0, 20, 1, 1, 1, 1, 1],
                        [256, 0, 15, 1, 1, 1, 1, 1],
                        [128, 0, 10, 1, 1, 1, 1, 1],
                        [64, 0, 5, 1, 1, 1, 1, 1]
                    ],
                    // <5-2>動き優先(NQ)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 1, 1, 1],
                        [3072, 0, 30, 1, 1, 1, 1, 1],
                        [2048, 0, 30, 1, 1, 1, 1, 1],
                        [1536, 0, 30, 1, 1, 1, 1, 1],
                        [1024, 0, 30, 1, 1, 1, 1, 1],
                        [768, 0, 30, 1, 1, 1, 1, 1],
                        [512, 0, 30, 1, 1, 1, 1, 1],
                        [384, 0, 30, 1, 1, 1, 1, 1],
                        [256, 0, 25, 1, 1, 1, 1, 1],
                        [128, 0, 15, 1, 1, 1, 1, 1],
                        [64, 0, 10, 1, 1, 1, 1, 1]
                    ]
                ],
                // <2-03>HD
                [
                    // <5-0>画質優先(SF)
                    [
                        // デフォルト値
                        [1],
                        // 値リスト
                        [8192, 0, 30, 1, 1, 1, 1, 1],
                        [4096, 0, 20, 1, 1, 1, 1, 1],
                        [3072, 0, 15, 1, 1, 1, 1, 1],
                        [2048, 0, 10, 1, 1, 1, 1, 1],
                        [1536, 0, 7.5, 1, 1, 1, 1, 1],
                        [1024, 0, 5, 1, 1, 1, 1, 1],
                        [768, 0, 3, 1, 1, 1, 1, 1],
                        [512, 0, 2, 1, 1, 1, 1, 1],
                        [384, 0, 1, 1, 1, 1, 1, 1],
                        [256, 0, 1, 1, 1, 1, 1, 1]
                    ],
                    // <5-1>標準(FQ)
                    [
                        // デフォルト値
                        [1],
                        // 値リスト
                        [8192, 0, 30, 1, 1, 1, 1, 1],
                        [4096, 0, 30, 1, 1, 1, 1, 1],
                        [3072, 0, 25, 1, 1, 1, 1, 1],
                        [2048, 0, 20, 1, 1, 1, 1, 1],
                        [1536, 0, 10, 1, 1, 1, 1, 1],
                        [1024, 0, 7.5, 1, 1, 1, 1, 1],
                        [768, 0, 5, 1, 1, 1, 1, 1],
                        [512, 0, 3, 1, 1, 1, 1, 1],
                        [384, 0, 2, 1, 1, 1, 1, 1],
                        [256, 0, 1, 1, 1, 1, 1, 1]
                    ],
                    // <5-2>動き優先(NQ)
                    [
                        // デフォルト値
                        [1],
                        // 値リスト
                        [8192, 0, 30, 1, 1, 1, 1, 1],
                        [4096, 0, 30, 1, 1, 1, 1, 1],
                        [3072, 0, 30, 1, 1, 1, 1, 1],
                        [2048, 0, 30, 1, 1, 1, 1, 1],
                        [1536, 0, 20, 1, 1, 1, 1, 1],
                        [1024, 0, 15, 1, 1, 1, 1, 1],
                        [768, 0, 10, 1, 1, 1, 1, 1],
                        [512, 0, 7.5, 1, 1, 1, 1, 1],
                        [384, 0, 5, 1, 1, 1, 1, 1],
                        [256, 0, 3, 1, 1, 1, 1, 1]
                    ]
                ],
                // <2-04>HVGAW
                [
                    // <5-0>画質優先(SF)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 22.5, 1, 1, 1, 1, 1],
                        [3072, 0, 20, 1, 1, 1, 1, 1],
                        [2048, 0, 15, 1, 1, 1, 1, 1],
                        [1536, 0, 15, 1, 1, 1, 1, 1],
                        [1024, 0, 10, 1, 1, 1, 1, 1],
                        [768, 0, 7.5, 1, 1, 1, 1, 1],
                        [512, 0, 5, 1, 1, 1, 1, 1],
                        [384, 0, 3, 1, 1, 1, 1, 1],
                        [256, 0, 2, 1, 1, 1, 1, 1],
                        [128, 0, 1, 1, 1, 1, 1, 1],
                        [64, 0, 1, 1, 1, 1, 1, 1]
                    ],
                    // <5-1>標準(FQ)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 1, 1, 1],
                        [3072, 0, 30, 1, 1, 1, 1, 1],
                        [2048, 0, 30, 1, 1, 1, 1, 1],
                        [1536, 0, 30, 1, 1, 1, 1, 1],
                        [1024, 0, 22.5, 1, 1, 1, 1, 1],
                        [768, 0, 20, 1, 1, 1, 1, 1],
                        [512, 0, 15, 1, 1, 1, 1, 1],
                        [384, 0, 10, 1, 1, 1, 1, 1],
                        [256, 0, 7.5, 1, 1, 1, 1, 1],
                        [128, 0, 5, 1, 1, 1, 1, 1],
                        [64, 0, 2, 1, 1, 1, 1, 1]
                    ],
                    // <5-2>動き優先(NQ)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 1, 1, 1],
                        [3072, 0, 30, 1, 1, 1, 1, 1],
                        [2048, 0, 30, 1, 1, 1, 1, 1],
                        [1536, 0, 30, 1, 1, 1, 1, 1],
                        [1024, 0, 30, 1, 1, 1, 1, 1],
                        [768, 0, 30, 1, 1, 1, 1, 1],
                        [512, 0, 20, 1, 1, 1, 1, 1],
                        [384, 0, 15, 1, 1, 1, 1, 1],
                        [256, 0, 10, 1, 1, 1, 1, 1],
                        [128, 0, 7.5, 1, 1, 1, 1, 1],
                        [64, 0, 3, 1, 1, 1, 1, 1]
                    ]
                ],
                // <2-05>180P
                [
                    // <5-0>画質優先(SF)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 1, 1, 1],
                        [3072, 0, 30, 1, 1, 1, 1, 1],
                        [2048, 0, 30, 1, 1, 1, 1, 1],
                        [1536, 0, 20, 1, 1, 1, 1, 1],
                        [1024, 0, 15, 1, 1, 1, 1, 1],
                        [768, 0, 15, 1, 1, 1, 1, 1],
                        [512, 0, 10, 1, 1, 1, 1, 1],
                        [384, 0, 7.5, 1, 1, 1, 1, 1],
                        [256, 0, 5, 1, 1, 1, 1, 1],
                        [128, 0, 2, 1, 1, 1, 1, 1],
                        [64, 0, 1, 1, 1, 1, 1, 1]
                    ],
                    // <5-1>標準(FQ)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 1, 1, 1],
                        [3072, 0, 30, 1, 1, 1, 1, 1],
                        [2048, 0, 30, 1, 1, 1, 1, 1],
                        [1536, 0, 30, 1, 1, 1, 1, 1],
                        [1024, 0, 30, 1, 1, 1, 1, 1],
                        [768, 0, 30, 1, 1, 1, 1, 1],
                        [512, 0, 25, 1, 1, 1, 1, 1],
                        [384, 0, 20, 1, 1, 1, 1, 1],
                        [256, 0, 15, 1, 1, 1, 1, 1],
                        [128, 0, 10, 1, 1, 1, 1, 1],
                        [64, 0, 5, 1, 1, 1, 1, 1]
                    ],
                    // <5-2>動き優先(NQ)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 1, 1, 1],
                        [3072, 0, 30, 1, 1, 1, 1, 1],
                        [2048, 0, 30, 1, 1, 1, 1, 1],
                        [1536, 0, 30, 1, 1, 1, 1, 1],
                        [1024, 0, 30, 1, 1, 1, 1, 1],
                        [768, 0, 30, 1, 1, 1, 1, 1],
                        [512, 0, 30, 1, 1, 1, 1, 1],
                        [384, 0, 30, 1, 1, 1, 1, 1],
                        [256, 0, 25, 1, 1, 1, 1, 1],
                        [128, 0, 15, 1, 1, 1, 1, 1],
                        [64, 0, 10, 1, 1, 1, 1, 1]
                    ]
                ],
                // <2-06>SVGA
                [
                    // <5-0>画質優先(SF)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 1, 1, 1],
                        [3072, 0, 20, 1, 1, 1, 1, 1],
                        [2048, 0, 15, 1, 1, 1, 1, 1],
                        [1536, 0, 10, 1, 1, 1, 1, 1],
                        [1024, 0, 7.5, 1, 1, 1, 1, 1],
                        [768, 0, 5, 1, 1, 1, 1, 1],
                        [512, 0, 3, 1, 1, 1, 1, 1],
                        [384, 0, 2, 1, 1, 1, 1, 1],
                        [256, 0, 1, 1, 1, 1, 1, 1],
                        [128, 0, 1, 1, 1, 1, 1, 1]
                    ],
                    // <5-1>標準(FQ)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 1, 1, 1],
                        [3072, 0, 30, 1, 1, 1, 1, 1],
                        [2048, 0, 25, 1, 1, 1, 1, 1],
                        [1536, 0, 20, 1, 1, 1, 1, 1],
                        [1024, 0, 10, 1, 1, 1, 1, 1],
                        [768, 0, 7.5, 1, 1, 1, 1, 1],
                        [512, 0, 5, 1, 1, 1, 1, 1],
                        [384, 0, 3, 1, 1, 1, 1, 1],
                        [256, 0, 2, 1, 1, 1, 1, 1],
                        [128, 0, 1, 1, 1, 1, 1, 1]
                    ],
                    // <5-2>動き優先(NQ)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 1, 1, 1],
                        [3072, 0, 30, 1, 1, 1, 1, 1],
                        [2048, 0, 30, 1, 1, 1, 1, 1],
                        [1536, 0, 30, 1, 1, 1, 1, 1],
                        [1024, 0, 20, 1, 1, 1, 1, 1],
                        [768, 0, 15, 1, 1, 1, 1, 1],
                        [512, 0, 10, 1, 1, 1, 1, 1],
                        [384, 0, 7.5, 1, 1, 1, 1, 1],
                        [256, 0, 5, 1, 1, 1, 1, 1],
                        [128, 0, 3, 1, 1, 1, 1, 1]
                    ]
                ]
            ],
            // <4-1>フレームレート優先
            [
                // <2-00>SXVGA
                [
                    // -
                    [
                        // デフォルト値
                        [1],
                        // 値リスト
                        [8192, 0, 30, 1, 1, 1, 1, 1],
                        [4096, 0, 30, 1, 1, 1, 1, 1],
                        [3072, 0, 30, 1, 1, 1, 1, 1],
                        [2048, 0, 30, 1, 1, 1, 1, 1],
                        [1536, 0, 20, 1, 1, 1, 1, 1],
                        [1024, 0, 7.5, 1, 1, 1, 1, 1],
                        [768, 0, 1, 1, 1, 1, 1, 1],
                        [512, 0, 0, 1, 1, 1, 1, 1],
                        [384, 0, 0, 1, 1, 1, 1, 1],
                        [256, 0, 0, 1, 1, 1, 1, 1]
                    ]
                ],
                // <2-01>VGA
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 1, 1, 1],
                        [3072, 0, 30, 1, 1, 1, 1, 1],
                        [2048, 0, 30, 1, 1, 1, 1, 1],
                        [1536, 0, 30, 1, 1, 1, 1, 1],
                        [1024, 0, 30, 1, 1, 1, 1, 1],
                        [768, 0, 30, 1, 1, 1, 1, 1],
                        [512, 0, 15, 1, 1, 1, 1, 1],
                        [384, 0, 5, 1, 1, 1, 1, 1],
                        [256, 0, 1, 1, 1, 1, 1, 1],
                        [128, 0, 0, 1, 1, 1, 1, 1],
                        [64, 0, 0, 1, 1, 1, 1, 1]
                    ]
                ],
                // <2-02>QVGA
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 1, 1, 1],
                        [3072, 0, 30, 1, 1, 1, 1, 1],
                        [2048, 0, 30, 1, 1, 1, 1, 1],
                        [1536, 0, 30, 1, 1, 1, 1, 1],
                        [1024, 0, 30, 1, 1, 1, 1, 1],
                        [768, 0, 30, 1, 1, 1, 1, 1],
                        [512, 0, 30, 1, 1, 1, 1, 1],
                        [384, 0, 15, 1, 1, 1, 1, 1],
                        [256, 0, 7.5, 1, 1, 1, 1, 1],
                        [128, 0, 1, 1, 1, 1, 1, 1],
                        [64, 0, 0, 1, 1, 1, 1, 1]
                    ]
                ],
                // <2-03>HD
                [
                    // -
                    [
                        // デフォルト値
                        [1],
                        // 値リスト
                        [8192, 0, 30, 1, 1, 1, 1, 1],
                        [4096, 0, 30, 1, 1, 1, 1, 1],
                        [3072, 0, 30, 1, 1, 1, 1, 1],
                        [2048, 0, 30, 1, 1, 1, 1, 1],
                        [1536, 0, 20, 1, 1, 1, 1, 1],
                        [1024, 0, 7.5, 1, 1, 1, 1, 1],
                        [768, 0, 1, 1, 1, 1, 1, 1],
                        [512, 0, 0, 1, 1, 1, 1, 1],
                        [384, 0, 0, 1, 1, 1, 1, 1],
                        [256, 0, 0, 1, 1, 1, 1, 1]
                    ]
                ],
                // <2-04>HVGAW
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 1, 1, 1],
                        [3072, 0, 30, 1, 1, 1, 1, 1],
                        [2048, 0, 30, 1, 1, 1, 1, 1],
                        [1536, 0, 30, 1, 1, 1, 1, 1],
                        [1024, 0, 30, 1, 1, 1, 1, 1],
                        [768, 0, 30, 1, 1, 1, 1, 1],
                        [512, 0, 15, 1, 1, 1, 1, 1],
                        [384, 0, 5, 1, 1, 1, 1, 1],
                        [256, 0, 1, 1, 1, 1, 1, 1],
                        [128, 0, 0, 1, 1, 1, 1, 1],
                        [64, 0, 0, 1, 1, 1, 1, 1]
                    ]
                ],
                // <2-05>180P
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 1, 1, 1],
                        [3072, 0, 30, 1, 1, 1, 1, 1],
                        [2048, 0, 30, 1, 1, 1, 1, 1],
                        [1536, 0, 30, 1, 1, 1, 1, 1],
                        [1024, 0, 30, 1, 1, 1, 1, 1],
                        [768, 0, 30, 1, 1, 1, 1, 1],
                        [512, 0, 30, 1, 1, 1, 1, 1],
                        [384, 0, 15, 1, 1, 1, 1, 1],
                        [256, 0, 7.5, 1, 1, 1, 1, 1],
                        [128, 0, 1, 1, 1, 1, 1, 1],
                        [64, 0, 0, 1, 1, 1, 1, 1]
                    ]
                ],
                // <2-06>SVGA
                [
                    // -
                    [
                        // デフォルト値
                        [1],
                        // 値リスト
                        [8192, 0, 30, 1, 1, 1, 1, 1],
                        [4096, 0, 30, 1, 1, 1, 1, 1],
                        [3072, 0, 30, 1, 1, 1, 1, 1],
                        [2048, 0, 30, 1, 1, 1, 1, 1],
                        [1536, 0, 30, 1, 1, 1, 1, 1],
                        [1024, 0, 20, 1, 1, 1, 1, 1],
                        [768, 0, 7.5, 1, 1, 1, 1, 1],
                        [512, 0, 1, 1, 1, 1, 1, 1],
                        [384, 0, 0, 1, 1, 1, 1, 1],
                        [256, 0, 0, 1, 1, 1, 1, 1],
                        [128, 0, 0, 1, 1, 1, 1, 1]
                    ]
                ]
            ],
            // <4-2>AdvancedVBR[高]
            [
                // <2-00>SXVGA
                [
                    // -
                    [
                        // デフォルト値
                        [1],
                        // 値リスト
                        [8192, 0, 30, 1, 1, 1, 1, 1],
                        [4096, 0, 30, 1, 1, 1, 1, 1],
                        [3072, 0, 30, 1, 1, 1, 1, 1],
                        [2048, 0, 30, 1, 1, 1, 1, 1],
                        [1536, 0, 20, 1, 1, 1, 1, 1],
                        [1024, 0, 7.5, 1, 1, 1, 1, 1],
                        [768, 0, 1, 1, 1, 1, 1, 1],
                        [512, 0, 0, 1, 1, 1, 1, 1],
                        [384, 0, 0, 1, 1, 1, 1, 1],
                        [256, 0, 0, 1, 1, 1, 1, 1]
                    ]
                ],
                // <2-01>VGA
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 1, 1, 1],
                        [3072, 0, 30, 1, 1, 1, 1, 1],
                        [2048, 0, 30, 1, 1, 1, 1, 1],
                        [1536, 0, 30, 1, 1, 1, 1, 1],
                        [1024, 0, 30, 1, 1, 1, 1, 1],
                        [768, 0, 30, 1, 1, 1, 1, 1],
                        [512, 0, 15, 1, 1, 1, 1, 1],
                        [384, 0, 5, 1, 1, 1, 1, 1],
                        [256, 0, 1, 1, 1, 1, 1, 1],
                        [128, 0, 0, 1, 1, 1, 1, 1],
                        [64, 0, 0, 1, 1, 1, 1, 1]
                    ]
                ],
                // <2-02>QVGA
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 1, 1, 1],
                        [3072, 0, 30, 1, 1, 1, 1, 1],
                        [2048, 0, 30, 1, 1, 1, 1, 1],
                        [1536, 0, 30, 1, 1, 1, 1, 1],
                        [1024, 0, 30, 1, 1, 1, 1, 1],
                        [768, 0, 30, 1, 1, 1, 1, 1],
                        [512, 0, 30, 1, 1, 1, 1, 1],
                        [384, 0, 15, 1, 1, 1, 1, 1],
                        [256, 0, 7.5, 1, 1, 1, 1, 1],
                        [128, 0, 1, 1, 1, 1, 1, 1],
                        [64, 0, 0, 1, 1, 1, 1, 1]
                    ]
                ],
                // <2-03>HD
                [
                    // -
                    [
                        // デフォルト値
                        [1],
                        // 値リスト
                        [8192, 0, 30, 1, 1, 1, 1, 1],
                        [4096, 0, 30, 1, 1, 1, 1, 1],
                        [3072, 0, 30, 1, 1, 1, 1, 1],
                        [2048, 0, 30, 1, 1, 1, 1, 1],
                        [1536, 0, 20, 1, 1, 1, 1, 1],
                        [1024, 0, 7.5, 1, 1, 1, 1, 1],
                        [768, 0, 1, 1, 1, 1, 1, 1],
                        [512, 0, 0, 1, 1, 1, 1, 1],
                        [384, 0, 0, 1, 1, 1, 1, 1],
                        [256, 0, 0, 1, 1, 1, 1, 1]
                    ]
                ],
                // <2-04>HVGAW
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 1, 1, 1],
                        [3072, 0, 30, 1, 1, 1, 1, 1],
                        [2048, 0, 30, 1, 1, 1, 1, 1],
                        [1536, 0, 30, 1, 1, 1, 1, 1],
                        [1024, 0, 30, 1, 1, 1, 1, 1],
                        [768, 0, 30, 1, 1, 1, 1, 1],
                        [512, 0, 15, 1, 1, 1, 1, 1],
                        [384, 0, 5, 1, 1, 1, 1, 1],
                        [256, 0, 1, 1, 1, 1, 1, 1],
                        [128, 0, 0, 1, 1, 1, 1, 1],
                        [64, 0, 0, 1, 1, 1, 1, 1]
                    ]
                ],
                // <2-05>180P
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 1, 1, 1],
                        [3072, 0, 30, 1, 1, 1, 1, 1],
                        [2048, 0, 30, 1, 1, 1, 1, 1],
                        [1536, 0, 30, 1, 1, 1, 1, 1],
                        [1024, 0, 30, 1, 1, 1, 1, 1],
                        [768, 0, 30, 1, 1, 1, 1, 1],
                        [512, 0, 30, 1, 1, 1, 1, 1],
                        [384, 0, 15, 1, 1, 1, 1, 1],
                        [256, 0, 7.5, 1, 1, 1, 1, 1],
                        [128, 0, 1, 1, 1, 1, 1, 1],
                        [64, 0, 0, 1, 1, 1, 1, 1]
                    ]
                ],
                // <2-06>SVGA
                [
                    // -
                    [
                        // デフォルト値
                        [1],
                        // 値リスト
                        [8192, 0, 30, 1, 1, 1, 1, 1],
                        [4096, 0, 30, 1, 1, 1, 1, 1],
                        [3072, 0, 30, 1, 1, 1, 1, 1],
                        [2048, 0, 30, 1, 1, 1, 1, 1],
                        [1536, 0, 30, 1, 1, 1, 1, 1],
                        [1024, 0, 20, 1, 1, 1, 1, 1],
                        [768, 0, 7.5, 1, 1, 1, 1, 1],
                        [512, 0, 1, 1, 1, 1, 1, 1],
                        [384, 0, 0, 1, 1, 1, 1, 1],
                        [256, 0, 0, 1, 1, 1, 1, 1],
                        [128, 0, 0, 1, 1, 1, 1, 1]
                    ]
                ]
            ],
            // <4-3>AdvancedVBR[中]
            [
                // <2-00>SXVGA
                [
                    // -
                    [
                        // デフォルト値
                        [1],
                        // 値リスト
                        [8192, 0, 30, 1, 1, 1, 1, 1],
                        [4096, 0, 30, 1, 1, 1, 1, 1],
                        [3072, 0, 30, 1, 1, 1, 1, 1],
                        [2048, 0, 30, 1, 1, 1, 1, 1],
                        [1536, 0, 20, 1, 1, 1, 1, 1],
                        [1024, 0, 7.5, 1, 1, 1, 1, 1],
                        [768, 0, 1, 1, 1, 1, 1, 1],
                        [512, 0, 0, 1, 1, 1, 1, 1],
                        [384, 0, 0, 1, 1, 1, 1, 1],
                        [256, 0, 0, 1, 1, 1, 1, 1]
                    ]
                ],
                // <2-01>VGA
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 1, 1, 1],
                        [3072, 0, 30, 1, 1, 1, 1, 1],
                        [2048, 0, 30, 1, 1, 1, 1, 1],
                        [1536, 0, 30, 1, 1, 1, 1, 1],
                        [1024, 0, 30, 1, 1, 1, 1, 1],
                        [768, 0, 30, 1, 1, 1, 1, 1],
                        [512, 0, 15, 1, 1, 1, 1, 1],
                        [384, 0, 5, 1, 1, 1, 1, 1],
                        [256, 0, 1, 1, 1, 1, 1, 1],
                        [128, 0, 0, 1, 1, 1, 1, 1],
                        [64, 0, 0, 1, 1, 1, 1, 1]
                    ]
                ],
                // <2-02>QVGA
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 1, 1, 1],
                        [3072, 0, 30, 1, 1, 1, 1, 1],
                        [2048, 0, 30, 1, 1, 1, 1, 1],
                        [1536, 0, 30, 1, 1, 1, 1, 1],
                        [1024, 0, 30, 1, 1, 1, 1, 1],
                        [768, 0, 30, 1, 1, 1, 1, 1],
                        [512, 0, 30, 1, 1, 1, 1, 1],
                        [384, 0, 15, 1, 1, 1, 1, 1],
                        [256, 0, 7.5, 1, 1, 1, 1, 1],
                        [128, 0, 1, 1, 1, 1, 1, 1],
                        [64, 0, 0, 1, 1, 1, 1, 1]
                    ]
                ],
                // <2-03>HD
                [
                    // -
                    [
                        // デフォルト値
                        [1],
                        // 値リスト
                        [8192, 0, 30, 1, 1, 1, 1, 1],
                        [4096, 0, 30, 1, 1, 1, 1, 1],
                        [3072, 0, 30, 1, 1, 1, 1, 1],
                        [2048, 0, 30, 1, 1, 1, 1, 1],
                        [1536, 0, 20, 1, 1, 1, 1, 1],
                        [1024, 0, 7.5, 1, 1, 1, 1, 1],
                        [768, 0, 1, 1, 1, 1, 1, 1],
                        [512, 0, 0, 1, 1, 1, 1, 1],
                        [384, 0, 0, 1, 1, 1, 1, 1],
                        [256, 0, 0, 1, 1, 1, 1, 1]
                    ]
                ],
                // <2-04>HVGAW
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 1, 1, 1],
                        [3072, 0, 30, 1, 1, 1, 1, 1],
                        [2048, 0, 30, 1, 1, 1, 1, 1],
                        [1536, 0, 30, 1, 1, 1, 1, 1],
                        [1024, 0, 30, 1, 1, 1, 1, 1],
                        [768, 0, 30, 1, 1, 1, 1, 1],
                        [512, 0, 15, 1, 1, 1, 1, 1],
                        [384, 0, 5, 1, 1, 1, 1, 1],
                        [256, 0, 1, 1, 1, 1, 1, 1],
                        [128, 0, 0, 1, 1, 1, 1, 1],
                        [64, 0, 0, 1, 1, 1, 1, 1]
                    ]
                ],
                // <2-05>180P
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 1, 1, 1],
                        [3072, 0, 30, 1, 1, 1, 1, 1],
                        [2048, 0, 30, 1, 1, 1, 1, 1],
                        [1536, 0, 30, 1, 1, 1, 1, 1],
                        [1024, 0, 30, 1, 1, 1, 1, 1],
                        [768, 0, 30, 1, 1, 1, 1, 1],
                        [512, 0, 30, 1, 1, 1, 1, 1],
                        [384, 0, 15, 1, 1, 1, 1, 1],
                        [256, 0, 7.5, 1, 1, 1, 1, 1],
                        [128, 0, 1, 1, 1, 1, 1, 1],
                        [64, 0, 0, 1, 1, 1, 1, 1]
                    ]
                ],
                // <2-06>SVGA
                [
                    // -
                    [
                        // デフォルト値
                        [1],
                        // 値リスト
                        [8192, 0, 30, 1, 1, 1, 1, 1],
                        [4096, 0, 30, 1, 1, 1, 1, 1],
                        [3072, 0, 30, 1, 1, 1, 1, 1],
                        [2048, 0, 30, 1, 1, 1, 1, 1],
                        [1536, 0, 30, 1, 1, 1, 1, 1],
                        [1024, 0, 20, 1, 1, 1, 1, 1],
                        [768, 0, 7.5, 1, 1, 1, 1, 1],
                        [512, 0, 1, 1, 1, 1, 1, 1],
                        [384, 0, 0, 1, 1, 1, 1, 1],
                        [256, 0, 0, 1, 1, 1, 1, 1],
                        [128, 0, 0, 1, 1, 1, 1, 1]
                    ]
                ]
            ],
            // <4-4>AdvancedVBR[低]
            [
                // <2-00>SXVGA
                [
                    // -
                    [
                        // デフォルト値
                        [1],
                        // 値リスト
                        [8192, 0, 30, 1, 1, 1, 1, 1],
                        [4096, 0, 30, 1, 1, 1, 1, 1],
                        [3072, 0, 30, 1, 1, 1, 1, 1],
                        [2048, 0, 30, 1, 1, 1, 1, 1],
                        [1536, 0, 20, 1, 1, 1, 1, 1],
                        [1024, 0, 7.5, 1, 1, 1, 1, 1],
                        [768, 0, 1, 1, 1, 1, 1, 1],
                        [512, 0, 0, 1, 1, 1, 1, 1],
                        [384, 0, 0, 1, 1, 1, 1, 1],
                        [256, 0, 0, 1, 1, 1, 1, 1]
                    ]
                ],
                // <2-01>VGA
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 1, 1, 1],
                        [3072, 0, 30, 1, 1, 1, 1, 1],
                        [2048, 0, 30, 1, 1, 1, 1, 1],
                        [1536, 0, 30, 1, 1, 1, 1, 1],
                        [1024, 0, 30, 1, 1, 1, 1, 1],
                        [768, 0, 30, 1, 1, 1, 1, 1],
                        [512, 0, 15, 1, 1, 1, 1, 1],
                        [384, 0, 5, 1, 1, 1, 1, 1],
                        [256, 0, 1, 1, 1, 1, 1, 1],
                        [128, 0, 0, 1, 1, 1, 1, 1],
                        [64, 0, 0, 1, 1, 1, 1, 1]
                    ]
                ],
                // <2-02>QVGA
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 1, 1, 1],
                        [3072, 0, 30, 1, 1, 1, 1, 1],
                        [2048, 0, 30, 1, 1, 1, 1, 1],
                        [1536, 0, 30, 1, 1, 1, 1, 1],
                        [1024, 0, 30, 1, 1, 1, 1, 1],
                        [768, 0, 30, 1, 1, 1, 1, 1],
                        [512, 0, 30, 1, 1, 1, 1, 1],
                        [384, 0, 15, 1, 1, 1, 1, 1],
                        [256, 0, 7.5, 1, 1, 1, 1, 1],
                        [128, 0, 1, 1, 1, 1, 1, 1],
                        [64, 0, 0, 1, 1, 1, 1, 1]
                    ]
                ],
                // <2-03>HD
                [
                    // -
                    [
                        // デフォルト値
                        [1],
                        // 値リスト
                        [8192, 0, 30, 1, 1, 1, 1, 1],
                        [4096, 0, 30, 1, 1, 1, 1, 1],
                        [3072, 0, 30, 1, 1, 1, 1, 1],
                        [2048, 0, 30, 1, 1, 1, 1, 1],
                        [1536, 0, 20, 1, 1, 1, 1, 1],
                        [1024, 0, 7.5, 1, 1, 1, 1, 1],
                        [768, 0, 1, 1, 1, 1, 1, 1],
                        [512, 0, 0, 1, 1, 1, 1, 1],
                        [384, 0, 0, 1, 1, 1, 1, 1],
                        [256, 0, 0, 1, 1, 1, 1, 1]
                    ]
                ],
                // <2-04>HVGAW
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 1, 1, 1],
                        [3072, 0, 30, 1, 1, 1, 1, 1],
                        [2048, 0, 30, 1, 1, 1, 1, 1],
                        [1536, 0, 30, 1, 1, 1, 1, 1],
                        [1024, 0, 30, 1, 1, 1, 1, 1],
                        [768, 0, 30, 1, 1, 1, 1, 1],
                        [512, 0, 15, 1, 1, 1, 1, 1],
                        [384, 0, 5, 1, 1, 1, 1, 1],
                        [256, 0, 1, 1, 1, 1, 1, 1],
                        [128, 0, 0, 1, 1, 1, 1, 1],
                        [64, 0, 0, 1, 1, 1, 1, 1]
                    ]
                ],
                // <2-05>180P
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 1, 1, 1],
                        [3072, 0, 30, 1, 1, 1, 1, 1],
                        [2048, 0, 30, 1, 1, 1, 1, 1],
                        [1536, 0, 30, 1, 1, 1, 1, 1],
                        [1024, 0, 30, 1, 1, 1, 1, 1],
                        [768, 0, 30, 1, 1, 1, 1, 1],
                        [512, 0, 30, 1, 1, 1, 1, 1],
                        [384, 0, 15, 1, 1, 1, 1, 1],
                        [256, 0, 7.5, 1, 1, 1, 1, 1],
                        [128, 0, 1, 1, 1, 1, 1, 1],
                        [64, 0, 0, 1, 1, 1, 1, 1]
                    ]
                ],
                // <2-06>SVGA
                [
                    // -
                    [
                        // デフォルト値
                        [1],
                        // 値リスト
                        [8192, 0, 30, 1, 1, 1, 1, 1],
                        [4096, 0, 30, 1, 1, 1, 1, 1],
                        [3072, 0, 30, 1, 1, 1, 1, 1],
                        [2048, 0, 30, 1, 1, 1, 1, 1],
                        [1536, 0, 30, 1, 1, 1, 1, 1],
                        [1024, 0, 20, 1, 1, 1, 1, 1],
                        [768, 0, 7.5, 1, 1, 1, 1, 1],
                        [512, 0, 1, 1, 1, 1, 1, 1],
                        [384, 0, 0, 1, 1, 1, 1, 1],
                        [256, 0, 0, 1, 1, 1, 1, 1],
                        [128, 0, 0, 1, 1, 1, 1, 1]
                    ]
                ]
            ]
        ]
    ],
    // ----------------------------------------------------
    // 【H.264-02】S**63*/S**53*
    [
        // <3-0>2M
        [
            // <4-0>ビットレート優先
            [
                // <2-00>UXGA
                [
                    // <5-0>画質優先(SF)
                    [
                        // デフォルト値
                        [5],
                        // 値リスト
                        [14336, 0, 30, 1, 1, 0, 0, 0],
                        [12288, 0, 30, 1, 1, 0, 0, 0],
                        [10240, 0, 30, 1, 1, 0, 0, 0],
                        [8192, 0, 30, 1, 1, 0, 0, 0],
                        [6144, 0, 30, 1, 1, 0, 0, 0],
                        [4096, 0, 20, 1, 1, 0, 0, 0],
                        [3072, 0, 15, 1, 1, 0, 0, 0],
                        [2048, 0, 10, 1, 1, 0, 0, 0],
                        [1536, 0, 7.5, 1, 1, 0, 0, 0],
                        [1024, 0, 5, 1, 1, 0, 0, 0],
                        [768, 0, 3, 1, 1, 0, 0, 0],
                        [512, 0, 2, 1, 1, 0, 0, 0]
                    ],
                    // <5-1>標準(FQ)
                    [
                        // デフォルト値
                        [5],
                        // 値リスト
                        [14336, 0, 30, 1, 1, 0, 0, 0],
                        [12288, 0, 30, 1, 1, 0, 0, 0],
                        [10240, 0, 30, 1, 1, 0, 0, 0],
                        [8192, 0, 30, 1, 1, 0, 0, 0],
                        [6144, 0, 30, 1, 1, 0, 0, 0],
                        [4096, 0, 30, 1, 1, 0, 0, 0],
                        [3072, 0, 25, 1, 1, 0, 0, 0],
                        [2048, 0, 20, 1, 1, 0, 0, 0],
                        [1536, 0, 10, 1, 1, 0, 0, 0],
                        [1024, 0, 7.5, 1, 1, 0, 0, 0],
                        [768, 0, 5, 1, 1, 0, 0, 0],
                        [512, 0, 3, 1, 1, 0, 0, 0]
                    ],
                    // <5-2>動き優先(NQ)
                    [
                        // デフォルト値
                        [5],
                        // 値リスト
                        [14336, 0, 30, 1, 1, 0, 0, 0],
                        [12288, 0, 30, 1, 1, 0, 0, 0],
                        [10240, 0, 30, 1, 1, 0, 0, 0],
                        [8192, 0, 30, 1, 1, 0, 0, 0],
                        [6144, 0, 30, 1, 1, 0, 0, 0],
                        [4096, 0, 30, 1, 1, 0, 0, 0],
                        [3072, 0, 30, 1, 1, 0, 0, 0],
                        [2048, 0, 30, 1, 1, 0, 0, 0],
                        [1536, 0, 20, 1, 1, 0, 0, 0],
                        [1024, 0, 15, 1, 1, 0, 0, 0],
                        [768, 0, 10, 1, 1, 0, 0, 0],
                        [512, 0, 7.5, 1, 1, 0, 0, 0]
                    ]
                ],
                // <2-01>SXVGA
                [
                    // <5-0>画質優先(SF)
                    [
                        // デフォルト値
                        [2],
                        // 値リスト
                        [8192, 0, 30, 1, 1, 0, 0, 1],
                        [6144, 0, 30, 1, 1, 0, 0, 1],
                        [4096, 0, 20, 1, 1, 0, 0, 1],
                        [3072, 0, 15, 1, 1, 0, 0, 1],
                        [2048, 0, 10, 1, 1, 0, 0, 1],
                        [1536, 0, 7.5, 1, 1, 0, 0, 1],
                        [1024, 0, 5, 1, 1, 0, 0, 1],
                        [768, 0, 3, 1, 1, 0, 0, 1],
                        [512, 0, 2, 1, 1, 0, 0, 1],
                        [384, 0, 1, 1, 1, 0, 0, 1],
                        [256, 0, 1, 1, 1, 0, 0, 1]
                    ],
                    // <5-1>標準(FQ)
                    [
                        // デフォルト値
                        [2],
                        // 値リスト
                        [8192, 0, 30, 1, 1, 0, 0, 1],
                        [6144, 0, 30, 1, 1, 0, 0, 1],
                        [4096, 0, 30, 1, 1, 0, 0, 1],
                        [3072, 0, 25, 1, 1, 0, 0, 1],
                        [2048, 0, 20, 1, 1, 0, 0, 1],
                        [1536, 0, 10, 1, 1, 0, 0, 1],
                        [1024, 0, 7.5, 1, 1, 0, 0, 1],
                        [768, 0, 5, 1, 1, 0, 0, 1],
                        [512, 0, 3, 1, 1, 0, 0, 1],
                        [384, 0, 2, 1, 1, 0, 0, 1],
                        [256, 0, 1, 1, 1, 0, 0, 1]
                    ],
                    // <5-2>動き優先(NQ)
                    [
                        // デフォルト値
                        [2],
                        // 値リスト
                        [8192, 0, 30, 1, 1, 0, 0, 1],
                        [6144, 0, 30, 1, 1, 0, 0, 1],
                        [4096, 0, 30, 1, 1, 0, 0, 1],
                        [3072, 0, 30, 1, 1, 0, 0, 1],
                        [2048, 0, 30, 1, 1, 0, 0, 1],
                        [1536, 0, 20, 1, 1, 0, 0, 1],
                        [1024, 0, 15, 1, 1, 0, 0, 1],
                        [768, 0, 10, 1, 1, 0, 0, 1],
                        [512, 0, 7.5, 1, 1, 0, 0, 1],
                        [384, 0, 5, 1, 1, 0, 0, 1],
                        [256, 0, 3, 1, 1, 0, 0, 1]
                    ]
                ],
                // <2-02>SVGA
                [
                    // <5-0>画質優先(SF)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 22.5, 1, 1, 0, 0, 1],
                        [3072, 0, 20, 1, 1, 0, 0, 1],
                        [2048, 0, 15, 1, 1, 0, 0, 1],
                        [1536, 0, 10, 1, 1, 0, 0, 1],
                        [1024, 0, 7.5, 1, 1, 0, 0, 1],
                        [768, 0, 5, 1, 1, 0, 0, 1],
                        [512, 0, 3, 1, 1, 0, 0, 1],
                        [384, 0, 2, 1, 1, 0, 0, 1],
                        [256, 0, 1, 1, 1, 0, 0, 1],
                        [128, 0, 1, 1, 1, 0, 0, 1]
                    ],
                    // <5-1>標準(FQ)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 0, 0, 1],
                        [3072, 0, 30, 1, 1, 0, 0, 1],
                        [2048, 0, 25, 1, 1, 0, 0, 1],
                        [1536, 0, 20, 1, 1, 0, 0, 1],
                        [1024, 0, 10, 1, 1, 0, 0, 1],
                        [768, 0, 7.5, 1, 1, 0, 0, 1],
                        [512, 0, 5, 1, 1, 0, 0, 1],
                        [384, 0, 3, 1, 1, 0, 0, 1],
                        [256, 0, 2, 1, 1, 0, 0, 1],
                        [128, 0, 1, 1, 1, 0, 0, 1]
                    ],
                    // <5-2>動き優先(NQ)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 0, 0, 1],
                        [3072, 0, 30, 1, 1, 0, 0, 1],
                        [2048, 0, 30, 1, 1, 0, 0, 1],
                        [1536, 0, 30, 1, 1, 0, 0, 1],
                        [1024, 0, 20, 1, 1, 0, 0, 1],
                        [768, 0, 15, 1, 1, 0, 0, 1],
                        [512, 0, 10, 1, 1, 0, 0, 1],
                        [384, 0, 7.5, 1, 1, 0, 0, 1],
                        [256, 0, 5, 1, 1, 0, 0, 1],
                        [128, 0, 3, 1, 1, 0, 0, 1]
                    ]
                ],
                // <2-03>VGA
                [
                    // <5-0>画質優先(SF)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 22.5, 1, 1, 0, 0, 1],
                        [3072, 0, 20, 1, 1, 0, 0, 1],
                        [2048, 0, 15, 1, 1, 0, 0, 1],
                        [1536, 0, 15, 1, 1, 0, 0, 1],
                        [1024, 0, 10, 1, 1, 0, 0, 1],
                        [768, 0, 7.5, 1, 1, 0, 0, 1],
                        [512, 0, 5, 1, 1, 0, 0, 1],
                        [384, 0, 3, 1, 1, 0, 0, 1],
                        [256, 0, 2, 1, 1, 0, 0, 1],
                        [128, 0, 1, 1, 1, 0, 0, 1],
                        [64, 0, 1, 1, 1, 0, 0, 1]
                    ],
                    // <5-1>標準(FQ)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 0, 0, 1],
                        [3072, 0, 30, 1, 1, 0, 0, 1],
                        [2048, 0, 30, 1, 1, 0, 0, 1],
                        [1536, 0, 30, 1, 1, 0, 0, 1],
                        [1024, 0, 22.5, 1, 1, 0, 0, 1],
                        [768, 0, 20, 1, 1, 0, 0, 1],
                        [512, 0, 15, 1, 1, 0, 0, 1],
                        [384, 0, 10, 1, 1, 0, 0, 1],
                        [256, 0, 7.5, 1, 1, 0, 0, 1],
                        [128, 0, 5, 1, 1, 0, 0, 1],
                        [64, 0, 2, 1, 1, 0, 0, 1]
                    ],
                    // <5-2>動き優先(NQ)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 0, 0, 1],
                        [3072, 0, 30, 1, 1, 0, 0, 1],
                        [2048, 0, 30, 1, 1, 0, 0, 1],
                        [1536, 0, 30, 1, 1, 0, 0, 1],
                        [1024, 0, 30, 1, 1, 0, 0, 1],
                        [768, 0, 30, 1, 1, 0, 0, 1],
                        [512, 0, 20, 1, 1, 0, 0, 1],
                        [384, 0, 15, 1, 1, 0, 0, 1],
                        [256, 0, 10, 1, 1, 0, 0, 1],
                        [128, 0, 7.5, 1, 1, 0, 0, 1],
                        [64, 0, 3, 1, 1, 0, 0, 1]
                    ]
                ],
                // <2-04>400x300
                [
                    // <5-0>画質優先(SF)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 0, 0, 0],
                        [3072, 0, 30, 1, 1, 0, 0, 0],
                        [2048, 0, 22.5, 1, 1, 0, 0, 0],
                        [1536, 0, 20, 1, 1, 0, 0, 0],
                        [1024, 0, 15, 1, 1, 0, 0, 0],
                        [768, 0, 10, 1, 1, 0, 0, 0],
                        [512, 0, 7.5, 1, 1, 0, 0, 0],
                        [384, 0, 5, 1, 1, 0, 0, 0],
                        [256, 0, 3, 1, 1, 0, 0, 0],
                        [128, 0, 2, 1, 1, 0, 0, 0],
                        [64, 0, 1, 1, 1, 0, 0, 0]
                    ],
                    // <5-1>標準(FQ)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 0, 0, 0],
                        [3072, 0, 30, 1, 1, 0, 0, 0],
                        [2048, 0, 30, 1, 1, 0, 0, 0],
                        [1536, 0, 30, 1, 1, 0, 0, 0],
                        [1024, 0, 30, 1, 1, 0, 0, 0],
                        [768, 0, 22.5, 1, 1, 0, 0, 0],
                        [512, 0, 20, 1, 1, 0, 0, 0],
                        [384, 0, 15, 1, 1, 0, 0, 0],
                        [256, 0, 10, 1, 1, 0, 0, 0],
                        [128, 0, 7.5, 1, 1, 0, 0, 0],
                        [64, 0, 5, 1, 1, 0, 0, 0]
                    ],
                    // <5-2>動き優先(NQ)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 0, 0, 0],
                        [3072, 0, 30, 1, 1, 0, 0, 0],
                        [2048, 0, 30, 1, 1, 0, 0, 0],
                        [1536, 0, 30, 1, 1, 0, 0, 0],
                        [1024, 0, 30, 1, 1, 0, 0, 0],
                        [768, 0, 30, 1, 1, 0, 0, 0],
                        [512, 0, 30, 1, 1, 0, 0, 0],
                        [384, 0, 20, 1, 1, 0, 0, 0],
                        [256, 0, 15, 1, 1, 0, 0, 0],
                        [128, 0, 10, 1, 1, 0, 0, 0],
                        [64, 0, 7.5, 1, 1, 0, 0, 0]
                    ]
                ],
                // <2-05>QVGA
                [
                    // <5-0>画質優先(SF)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 0, 0, 1],
                        [3072, 0, 30, 1, 1, 0, 0, 1],
                        [2048, 0, 30, 1, 1, 0, 0, 1],
                        [1536, 0, 20, 1, 1, 0, 0, 1],
                        [1024, 0, 15, 1, 1, 0, 0, 1],
                        [768, 0, 15, 1, 1, 0, 0, 1],
                        [512, 0, 10, 1, 1, 0, 0, 1],
                        [384, 0, 7.5, 1, 1, 0, 0, 1],
                        [256, 0, 5, 1, 1, 0, 0, 1],
                        [128, 0, 2, 1, 1, 0, 0, 1],
                        [64, 0, 1, 1, 1, 0, 0, 1]
                    ],
                    // <5-1>標準(FQ)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 0, 0, 1],
                        [3072, 0, 30, 1, 1, 0, 0, 1],
                        [2048, 0, 30, 1, 1, 0, 0, 1],
                        [1536, 0, 30, 1, 1, 0, 0, 1],
                        [1024, 0, 30, 1, 1, 0, 0, 1],
                        [768, 0, 30, 1, 1, 0, 0, 1],
                        [512, 0, 25, 1, 1, 0, 0, 1],
                        [384, 0, 20, 1, 1, 0, 0, 1],
                        [256, 0, 15, 1, 1, 0, 0, 1],
                        [128, 0, 10, 1, 1, 0, 0, 1],
                        [64, 0, 5, 1, 1, 0, 0, 1]
                    ],
                    // <5-2>動き優先(NQ)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 0, 0, 1],
                        [3072, 0, 30, 1, 1, 0, 0, 1],
                        [2048, 0, 30, 1, 1, 0, 0, 1],
                        [1536, 0, 30, 1, 1, 0, 0, 1],
                        [1024, 0, 30, 1, 1, 0, 0, 1],
                        [768, 0, 30, 1, 1, 0, 0, 1],
                        [512, 0, 30, 1, 1, 0, 0, 1],
                        [384, 0, 30, 1, 1, 0, 0, 1],
                        [256, 0, 25, 1, 1, 0, 0, 1],
                        [128, 0, 15, 1, 1, 0, 0, 1],
                        [64, 0, 10, 1, 1, 0, 0, 1]
                    ]
                ],
                // <2-06>QQVGA
                [
                    // <5-0>画質優先(SF)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [2048, 0, 30, 1, 1, 0, 0, 0],
                        [1536, 0, 30, 1, 1, 0, 0, 0],
                        [1024, 0, 30, 1, 1, 0, 0, 0],
                        [768, 0, 30, 1, 1, 0, 0, 0],
                        [512, 0, 20, 1, 1, 0, 0, 0],
                        [384, 0, 15, 1, 1, 0, 0, 0],
                        [256, 0, 15, 1, 1, 0, 0, 0],
                        [128, 0, 10, 1, 1, 0, 0, 0],
                        [64, 0, 7.5, 1, 1, 0, 0, 0]
                    ],
                    // <5-1>標準(FQ)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [2048, 0, 30, 1, 1, 0, 0, 0],
                        [1536, 0, 30, 1, 1, 0, 0, 0],
                        [1024, 0, 30, 1, 1, 0, 0, 0],
                        [768, 0, 30, 1, 1, 0, 0, 0],
                        [512, 0, 30, 1, 1, 0, 0, 0],
                        [384, 0, 30, 1, 1, 0, 0, 0],
                        [256, 0, 30, 1, 1, 0, 0, 0],
                        [128, 0, 25, 1, 1, 0, 0, 0],
                        [64, 0, 15, 1, 1, 0, 0, 0]
                    ],
                    // <5-2>動き優先(NQ)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [2048, 0, 30, 1, 1, 0, 0, 0],
                        [1536, 0, 30, 1, 1, 0, 0, 0],
                        [1024, 0, 30, 1, 1, 0, 0, 0],
                        [768, 0, 30, 1, 1, 0, 0, 0],
                        [512, 0, 30, 1, 1, 0, 0, 0],
                        [384, 0, 30, 1, 1, 0, 0, 0],
                        [256, 0, 30, 1, 1, 0, 0, 0],
                        [128, 0, 30, 1, 1, 0, 0, 0],
                        [64, 0, 20, 1, 1, 0, 0, 0]
                    ]
                ],
                // <2-07>FHD
                [
                    // <5-0>画質優先(SF)
                    [
                        // デフォルト値
                        [5],
                        // 値リスト
                        [14336, 0, 30, 1, 1, 0, 0, 1],
                        [12288, 0, 30, 1, 1, 0, 0, 1],
                        [10240, 0, 30, 1, 1, 0, 0, 1],
                        [8192, 0, 30, 1, 1, 0, 0, 1],
                        [6144, 0, 30, 1, 1, 0, 0, 1],
                        [4096, 0, 20, 1, 1, 0, 0, 1],
                        [3072, 0, 15, 1, 1, 0, 0, 1],
                        [2048, 0, 10, 1, 1, 0, 0, 1],
                        [1536, 0, 7.5, 1, 1, 0, 0, 1],
                        [1024, 0, 5, 1, 1, 0, 0, 1],
                        [768, 0, 3, 1, 1, 0, 0, 1],
                        [512, 0, 2, 1, 1, 0, 0, 1]
                    ],
                    // <5-1>標準(FQ)
                    [
                        // デフォルト値
                        [5],
                        // 値リスト
                        [14336, 0, 30, 1, 1, 0, 0, 1],
                        [12288, 0, 30, 1, 1, 0, 0, 1],
                        [10240, 0, 30, 1, 1, 0, 0, 1],
                        [8192, 0, 30, 1, 1, 0, 0, 1],
                        [6144, 0, 30, 1, 1, 0, 0, 1],
                        [4096, 0, 30, 1, 1, 0, 0, 1],
                        [3072, 0, 25, 1, 1, 0, 0, 1],
                        [2048, 0, 20, 1, 1, 0, 0, 1],
                        [1536, 0, 10, 1, 1, 0, 0, 1],
                        [1024, 0, 7.5, 1, 1, 0, 0, 1],
                        [768, 0, 5, 1, 1, 0, 0, 1],
                        [512, 0, 3, 1, 1, 0, 0, 1]
                    ],
                    // <5-2>動き優先(NQ)
                    [
                        // デフォルト値
                        [5],
                        // 値リスト
                        [14336, 0, 30, 1, 1, 0, 0, 1],
                        [12288, 0, 30, 1, 1, 0, 0, 1],
                        [10240, 0, 30, 1, 1, 0, 0, 1],
                        [8192, 0, 30, 1, 1, 0, 0, 1],
                        [6144, 0, 30, 1, 1, 0, 0, 1],
                        [4096, 0, 30, 1, 1, 0, 0, 1],
                        [3072, 0, 30, 1, 1, 0, 0, 1],
                        [2048, 0, 30, 1, 1, 0, 0, 1],
                        [1536, 0, 20, 1, 1, 0, 0, 1],
                        [1024, 0, 15, 1, 1, 0, 0, 1],
                        [768, 0, 10, 1, 1, 0, 0, 1],
                        [512, 0, 7.5, 1, 1, 0, 0, 1]
                    ]
                ],
                // <2-08>HD
                [
                    // <5-0>画質優先(SF)
                    [
                        // デフォルト値
                        [2],
                        // 値リスト
                        [8192, 0, 30, 1, 1, 0, 0, 1],
                        [6144, 0, 30, 1, 1, 0, 0, 1],
                        [4096, 0, 20, 1, 1, 0, 0, 1],
                        [3072, 0, 15, 1, 1, 0, 0, 1],
                        [2048, 0, 10, 1, 1, 0, 0, 1],
                        [1536, 0, 7.5, 1, 1, 0, 0, 1],
                        [1024, 0, 5, 1, 1, 0, 0, 1],
                        [768, 0, 3, 1, 1, 0, 0, 1],
                        [512, 0, 2, 1, 1, 0, 0, 1],
                        [384, 0, 1, 1, 1, 0, 0, 1],
                        [256, 0, 1, 1, 1, 0, 0, 1]
                    ],
                    // <5-1>標準(FQ)
                    [
                        // デフォルト値
                        [2],
                        // 値リスト
                        [8192, 0, 30, 1, 1, 0, 0, 1],
                        [6144, 0, 30, 1, 1, 0, 0, 1],
                        [4096, 0, 30, 1, 1, 0, 0, 1],
                        [3072, 0, 25, 1, 1, 0, 0, 1],
                        [2048, 0, 20, 1, 1, 0, 0, 1],
                        [1536, 0, 10, 1, 1, 0, 0, 1],
                        [1024, 0, 7.5, 1, 1, 0, 0, 1],
                        [768, 0, 5, 1, 1, 0, 0, 1],
                        [512, 0, 3, 1, 1, 0, 0, 1],
                        [384, 0, 2, 1, 1, 0, 0, 1],
                        [256, 0, 1, 1, 1, 0, 0, 1]
                    ],
                    // <5-2>動き優先(NQ)
                    [
                        // デフォルト値
                        [2],
                        // 値リスト
                        [8192, 0, 30, 1, 1, 0, 0, 1],
                        [6144, 0, 30, 1, 1, 0, 0, 1],
                        [4096, 0, 30, 1, 1, 0, 0, 1],
                        [3072, 0, 30, 1, 1, 0, 0, 1],
                        [2048, 0, 30, 1, 1, 0, 0, 1],
                        [1536, 0, 20, 1, 1, 0, 0, 1],
                        [1024, 0, 15, 1, 1, 0, 0, 1],
                        [768, 0, 10, 1, 1, 0, 0, 1],
                        [512, 0, 7.5, 1, 1, 0, 0, 1],
                        [384, 0, 5, 1, 1, 0, 0, 1],
                        [256, 0, 3, 1, 1, 0, 0, 1]
                    ]
                ],
                // <2-09>HVGAW
                [
                    // <5-0>画質優先(SF)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 22.5, 1, 1, 0, 0, 1],
                        [3072, 0, 20, 1, 1, 0, 0, 1],
                        [2048, 0, 15, 1, 1, 0, 0, 1],
                        [1536, 0, 15, 1, 1, 0, 0, 1],
                        [1024, 0, 10, 1, 1, 0, 0, 1],
                        [768, 0, 7.5, 1, 1, 0, 0, 1],
                        [512, 0, 5, 1, 1, 0, 0, 1],
                        [384, 0, 3, 1, 1, 0, 0, 1],
                        [256, 0, 2, 1, 1, 0, 0, 1],
                        [128, 0, 1, 1, 1, 0, 0, 1],
                        [64, 0, 1, 1, 1, 0, 0, 1]
                    ],
                    // <5-1>標準(FQ)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 0, 0, 1],
                        [3072, 0, 30, 1, 1, 0, 0, 1],
                        [2048, 0, 30, 1, 1, 0, 0, 1],
                        [1536, 0, 30, 1, 1, 0, 0, 1],
                        [1024, 0, 22.5, 1, 1, 0, 0, 1],
                        [768, 0, 20, 1, 1, 0, 0, 1],
                        [512, 0, 15, 1, 1, 0, 0, 1],
                        [384, 0, 10, 1, 1, 0, 0, 1],
                        [256, 0, 7.5, 1, 1, 0, 0, 1],
                        [128, 0, 5, 1, 1, 0, 0, 1],
                        [64, 0, 2, 1, 1, 0, 0, 1]
                    ],
                    // <5-2>動き優先(NQ)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 0, 0, 1],
                        [3072, 0, 30, 1, 1, 0, 0, 1],
                        [2048, 0, 30, 1, 1, 0, 0, 1],
                        [1536, 0, 30, 1, 1, 0, 0, 1],
                        [1024, 0, 30, 1, 1, 0, 0, 1],
                        [768, 0, 30, 1, 1, 0, 0, 1],
                        [512, 0, 20, 1, 1, 0, 0, 1],
                        [384, 0, 15, 1, 1, 0, 0, 1],
                        [256, 0, 10, 1, 1, 0, 0, 1],
                        [128, 0, 7.5, 1, 1, 0, 0, 1],
                        [64, 0, 3, 1, 1, 0, 0, 1]
                    ]
                ],
                // <2-10>180P
                [
                    // <5-0>画質優先(SF)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 0, 0, 1],
                        [3072, 0, 30, 1, 1, 0, 0, 1],
                        [2048, 0, 30, 1, 1, 0, 0, 1],
                        [1536, 0, 20, 1, 1, 0, 0, 1],
                        [1024, 0, 15, 1, 1, 0, 0, 1],
                        [768, 0, 15, 1, 1, 0, 0, 1],
                        [512, 0, 10, 1, 1, 0, 0, 1],
                        [384, 0, 7.5, 1, 1, 0, 0, 1],
                        [256, 0, 5, 1, 1, 0, 0, 1],
                        [128, 0, 2, 1, 1, 0, 0, 1],
                        [64, 0, 1, 1, 1, 0, 0, 1]
                    ],
                    // <5-1>標準(FQ)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 0, 0, 1],
                        [3072, 0, 30, 1, 1, 0, 0, 1],
                        [2048, 0, 30, 1, 1, 0, 0, 1],
                        [1536, 0, 30, 1, 1, 0, 0, 1],
                        [1024, 0, 30, 1, 1, 0, 0, 1],
                        [768, 0, 30, 1, 1, 0, 0, 1],
                        [512, 0, 25, 1, 1, 0, 0, 1],
                        [384, 0, 20, 1, 1, 0, 0, 1],
                        [256, 0, 15, 1, 1, 0, 0, 1],
                        [128, 0, 10, 1, 1, 0, 0, 1],
                        [64, 0, 5, 1, 1, 0, 0, 1]
                    ],
                    // <5-2>動き優先(NQ)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 0, 0, 1],
                        [3072, 0, 30, 1, 1, 0, 0, 1],
                        [2048, 0, 30, 1, 1, 0, 0, 1],
                        [1536, 0, 30, 1, 1, 0, 0, 1],
                        [1024, 0, 30, 1, 1, 0, 0, 1],
                        [768, 0, 30, 1, 1, 0, 0, 1],
                        [512, 0, 30, 1, 1, 0, 0, 1],
                        [384, 0, 30, 1, 1, 0, 0, 1],
                        [256, 0, 25, 1, 1, 0, 0, 1],
                        [128, 0, 15, 1, 1, 0, 0, 1],
                        [64, 0, 10, 1, 1, 0, 0, 1]
                    ]
                ],
                // <2-11>160x90
                [
                    // <5-0>画質優先(SF)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [2048, 0, 30, 1, 1, 0, 0, 0],
                        [1536, 0, 30, 1, 1, 0, 0, 0],
                        [1024, 0, 30, 1, 1, 0, 0, 0],
                        [768, 0, 30, 1, 1, 0, 0, 0],
                        [512, 0, 20, 1, 1, 0, 0, 0],
                        [384, 0, 15, 1, 1, 0, 0, 0],
                        [256, 0, 15, 1, 1, 0, 0, 0],
                        [128, 0, 10, 1, 1, 0, 0, 0],
                        [64, 0, 7.5, 1, 1, 0, 0, 0]
                    ],
                    // <5-1>標準(FQ)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [2048, 0, 30, 1, 1, 0, 0, 0],
                        [1536, 0, 30, 1, 1, 0, 0, 0],
                        [1024, 0, 30, 1, 1, 0, 0, 0],
                        [768, 0, 30, 1, 1, 0, 0, 0],
                        [512, 0, 30, 1, 1, 0, 0, 0],
                        [384, 0, 30, 1, 1, 0, 0, 0],
                        [256, 0, 30, 1, 1, 0, 0, 0],
                        [128, 0, 25, 1, 1, 0, 0, 0],
                        [64, 0, 15, 1, 1, 0, 0, 0]
                    ],
                    // <5-2>動き優先(NQ)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [2048, 0, 30, 1, 1, 0, 0, 0],
                        [1536, 0, 30, 1, 1, 0, 0, 0],
                        [1024, 0, 30, 1, 1, 0, 0, 0],
                        [768, 0, 30, 1, 1, 0, 0, 0],
                        [512, 0, 30, 1, 1, 0, 0, 0],
                        [384, 0, 30, 1, 1, 0, 0, 0],
                        [256, 0, 30, 1, 1, 0, 0, 0],
                        [128, 0, 30, 1, 1, 0, 0, 0],
                        [64, 0, 20, 1, 1, 0, 0, 0]
                    ]
                ]
            ],
            // <4-1>フレームレート優先
            [
                // <2-00>UXGA
                [
                    // -
                    [
                        // デフォルト値
                        [5],
                        // 値リスト
                        [14336, 0, 30, 1, 1, 0, 0, 0],
                        [12288, 0, 30, 1, 1, 0, 0, 0],
                        [10240, 0, 30, 1, 1, 0, 0, 0],
                        [8192, 0, 30, 1, 1, 0, 0, 0],
                        [6144, 0, 30, 1, 1, 0, 0, 0],
                        [4096, 0, 30, 1, 1, 0, 0, 0],
                        [3072, 0, 30, 1, 1, 0, 0, 0],
                        [2048, 0, 30, 1, 1, 0, 0, 0],
                        [1536, 0, 15, 1, 1, 0, 0, 0],
                        [1024, 0, 7.5, 1, 1, 0, 0, 0],
                        [768, 0, 1, 1, 1, 0, 0, 0],
                        [512, 0, 0, 1, 1, 0, 0, 0]
                    ]
                ],
                // <2-01>SXVGA
                [
                    // -
                    [
                        // デフォルト値
                        [2],
                        // 値リスト
                        [8192, 0, 30, 1, 1, 0, 0, 1],
                        [6144, 0, 30, 1, 1, 0, 0, 1],
                        [4096, 0, 30, 1, 1, 0, 0, 1],
                        [3072, 0, 30, 1, 1, 0, 0, 1],
                        [2048, 0, 30, 1, 1, 0, 0, 1],
                        [1536, 0, 30, 1, 1, 0, 0, 1],
                        [1024, 0, 30, 1, 1, 0, 0, 1],
                        [768, 0, 10, 1, 1, 0, 0, 1],
                        [512, 0, 1, 1, 1, 0, 0, 1],
                        [384, 0, 0, 1, 1, 0, 0, 1],
                        [256, 0, 0, 1, 1, 0, 0, 1]
                    ]
                ],
                // <2-02>SVGA
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 0, 0, 1],
                        [3072, 0, 30, 1, 1, 0, 0, 1],
                        [2048, 0, 30, 1, 1, 0, 0, 1],
                        [1536, 0, 30, 1, 1, 0, 0, 1],
                        [1024, 0, 30, 1, 1, 0, 0, 1],
                        [768, 0, 15, 1, 1, 0, 0, 1],
                        [512, 0, 7.5, 1, 1, 0, 0, 1],
                        [384, 0, 1, 1, 1, 0, 0, 1],
                        [256, 0, 0, 1, 1, 0, 0, 1],
                        [128, 0, 0, 1, 1, 0, 0, 1]
                    ]
                ],
                // <2-03>VGA
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 0, 0, 1],
                        [3072, 0, 30, 1, 1, 0, 0, 1],
                        [2048, 0, 30, 1, 1, 0, 0, 1],
                        [1536, 0, 30, 1, 1, 0, 0, 1],
                        [1024, 0, 30, 1, 1, 0, 0, 1],
                        [768, 0, 30, 1, 1, 0, 0, 1],
                        [512, 0, 30, 1, 1, 0, 0, 1],
                        [384, 0, 15, 1, 1, 0, 0, 1],
                        [256, 0, 1, 1, 1, 0, 0, 1],
                        [128, 0, 0, 1, 1, 0, 0, 1],
                        [64, 0, 0, 1, 1, 0, 0, 1]
                    ]
                ],
                // <2-04>400x300
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 0, 0, 0],
                        [3072, 0, 30, 1, 1, 0, 0, 0],
                        [2048, 0, 30, 1, 1, 0, 0, 0],
                        [1536, 0, 30, 1, 1, 0, 0, 0],
                        [1024, 0, 30, 1, 1, 0, 0, 0],
                        [768, 0, 30, 1, 1, 0, 0, 0],
                        [512, 0, 30, 1, 1, 0, 0, 0],
                        [384, 0, 30, 1, 1, 0, 0, 0],
                        [256, 0, 10, 1, 1, 0, 0, 0],
                        [128, 0, 1, 1, 1, 0, 0, 0],
                        [64, 0, 0, 1, 1, 0, 0, 0]
                    ]
                ],
                // <2-05>QVGA
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 0, 0, 1],
                        [3072, 0, 30, 1, 1, 0, 0, 1],
                        [2048, 0, 30, 1, 1, 0, 0, 1],
                        [1536, 0, 30, 1, 1, 0, 0, 1],
                        [1024, 0, 30, 1, 1, 0, 0, 1],
                        [768, 0, 30, 1, 1, 0, 0, 1],
                        [512, 0, 30, 1, 1, 0, 0, 1],
                        [384, 0, 30, 1, 1, 0, 0, 1],
                        [256, 0, 20, 1, 1, 0, 0, 1],
                        [128, 0, 1, 1, 1, 0, 0, 1],
                        [64, 0, 0, 1, 1, 0, 0, 1]
                    ]
                ],
                // <2-06>QQVGA
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [2048, 0, 30, 1, 1, 0, 0, 0],
                        [1536, 0, 30, 1, 1, 0, 0, 0],
                        [1024, 0, 30, 1, 1, 0, 0, 0],
                        [768, 0, 30, 1, 1, 0, 0, 0],
                        [512, 0, 30, 1, 1, 0, 0, 0],
                        [384, 0, 30, 1, 1, 0, 0, 0],
                        [256, 0, 30, 1, 1, 0, 0, 0],
                        [128, 0, 7.5, 1, 1, 0, 0, 0],
                        [64, 0, 1, 1, 1, 0, 0, 0]
                    ]
                ],
                // <2-07>FHD
                [
                    // -
                    [
                        // デフォルト値
                        [5],
                        // 値リスト
                        [14336, 0, 30, 1, 1, 0, 0, 1],
                        [12288, 0, 30, 1, 1, 0, 0, 1],
                        [10240, 0, 30, 1, 1, 0, 0, 1],
                        [8192, 0, 30, 1, 1, 0, 0, 1],
                        [6144, 0, 30, 1, 1, 0, 0, 1],
                        [4096, 0, 30, 1, 1, 0, 0, 1],
                        [3072, 0, 30, 1, 1, 0, 0, 1],
                        [2048, 0, 30, 1, 1, 0, 0, 1],
                        [1536, 0, 15, 1, 1, 0, 0, 1],
                        [1024, 0, 7.5, 1, 1, 0, 0, 1],
                        [768, 0, 1, 1, 1, 0, 0, 1],
                        [512, 0, 0, 1, 1, 0, 0, 1]
                    ]
                ],
                // <2-08>HD
                [
                    // -
                    [
                        // デフォルト値
                        [2],
                        // 値リスト
                        [8192, 0, 30, 1, 1, 0, 0, 1],
                        [6144, 0, 30, 1, 1, 0, 0, 1],
                        [4096, 0, 30, 1, 1, 0, 0, 1],
                        [3072, 0, 30, 1, 1, 0, 0, 1],
                        [2048, 0, 30, 1, 1, 0, 0, 1],
                        [1536, 0, 30, 1, 1, 0, 0, 1],
                        [1024, 0, 30, 1, 1, 0, 0, 1],
                        [768, 0, 20, 1, 1, 0, 0, 1],
                        [512, 0, 7.5, 1, 1, 0, 0, 1],
                        [384, 0, 1, 1, 1, 0, 0, 1],
                        [256, 0, 0, 1, 1, 0, 0, 1]
                    ]
                ],
                // <2-09>HVGAW
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 0, 0, 1],
                        [3072, 0, 30, 1, 1, 0, 0, 1],
                        [2048, 0, 30, 1, 1, 0, 0, 1],
                        [1536, 0, 30, 1, 1, 0, 0, 1],
                        [1024, 0, 30, 1, 1, 0, 0, 1],
                        [768, 0, 30, 1, 1, 0, 0, 1],
                        [512, 0, 30, 1, 1, 0, 0, 1],
                        [384, 0, 15, 1, 1, 0, 0, 1],
                        [256, 0, 1, 1, 1, 0, 0, 1],
                        [128, 0, 0, 1, 1, 0, 0, 1],
                        [64, 0, 0, 1, 1, 0, 0, 1]
                    ]
                ],
                // <2-10>180P
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 0, 0, 1],
                        [3072, 0, 30, 1, 1, 0, 0, 1],
                        [2048, 0, 30, 1, 1, 0, 0, 1],
                        [1536, 0, 30, 1, 1, 0, 0, 1],
                        [1024, 0, 30, 1, 1, 0, 0, 1],
                        [768, 0, 30, 1, 1, 0, 0, 1],
                        [512, 0, 30, 1, 1, 0, 0, 1],
                        [384, 0, 30, 1, 1, 0, 0, 1],
                        [256, 0, 20, 1, 1, 0, 0, 1],
                        [128, 0, 1, 1, 1, 0, 0, 1],
                        [64, 0, 0, 1, 1, 0, 0, 1]
                    ]
                ],
                // <2-11>160x90
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [2048, 0, 30, 1, 1, 0, 0, 0],
                        [1536, 0, 30, 1, 1, 0, 0, 0],
                        [1024, 0, 30, 1, 1, 0, 0, 0],
                        [768, 0, 30, 1, 1, 0, 0, 0],
                        [512, 0, 30, 1, 1, 0, 0, 0],
                        [384, 0, 30, 1, 1, 0, 0, 0],
                        [256, 0, 30, 1, 1, 0, 0, 0],
                        [128, 0, 7.5, 1, 1, 0, 0, 0],
                        [64, 0, 1, 1, 1, 0, 0, 0]
                    ]
                ]
            ],
            // <4-2>AdvancedVBR[高]
            [
                // <2-00>UXGA
                [
                    // -
                    [
                        // デフォルト値
                        [5],
                        // 値リスト
                        [14336, 0, 30, 1, 1, 0, 0, 0],
                        [12288, 0, 30, 1, 1, 0, 0, 0],
                        [10240, 0, 30, 1, 1, 0, 0, 0],
                        [8192, 0, 30, 1, 1, 0, 0, 0],
                        [6144, 0, 30, 1, 1, 0, 0, 0],
                        [4096, 0, 30, 1, 1, 0, 0, 0],
                        [3072, 0, 30, 1, 1, 0, 0, 0],
                        [2048, 0, 30, 1, 1, 0, 0, 0],
                        [1536, 0, 15, 1, 1, 0, 0, 0],
                        [1024, 0, 7.5, 1, 1, 0, 0, 0],
                        [768, 0, 1, 1, 1, 0, 0, 0],
                        [512, 0, 0, 1, 1, 0, 0, 0]
                    ]
                ],
                // <2-01>SXVGA
                [
                    // -
                    [
                        // デフォルト値
                        [2],
                        // 値リスト
                        [8192, 0, 30, 1, 1, 0, 0, 1],
                        [6144, 0, 30, 1, 1, 0, 0, 1],
                        [4096, 0, 30, 1, 1, 0, 0, 1],
                        [3072, 0, 30, 1, 1, 0, 0, 1],
                        [2048, 0, 30, 1, 1, 0, 0, 1],
                        [1536, 0, 30, 1, 1, 0, 0, 1],
                        [1024, 0, 30, 1, 1, 0, 0, 1],
                        [768, 0, 10, 1, 1, 0, 0, 1],
                        [512, 0, 1, 1, 1, 0, 0, 1],
                        [384, 0, 0, 1, 1, 0, 0, 1],
                        [256, 0, 0, 1, 1, 0, 0, 1]
                    ]
                ],
                // <2-02>SVGA
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 0, 0, 1],
                        [3072, 0, 30, 1, 1, 0, 0, 1],
                        [2048, 0, 30, 1, 1, 0, 0, 1],
                        [1536, 0, 30, 1, 1, 0, 0, 1],
                        [1024, 0, 30, 1, 1, 0, 0, 1],
                        [768, 0, 15, 1, 1, 0, 0, 1],
                        [512, 0, 7.5, 1, 1, 0, 0, 1],
                        [384, 0, 1, 1, 1, 0, 0, 1],
                        [256, 0, 0, 1, 1, 0, 0, 1],
                        [128, 0, 0, 1, 1, 0, 0, 1]
                    ]
                ],
                // <2-03>VGA
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 0, 0, 1],
                        [3072, 0, 30, 1, 1, 0, 0, 1],
                        [2048, 0, 30, 1, 1, 0, 0, 1],
                        [1536, 0, 30, 1, 1, 0, 0, 1],
                        [1024, 0, 30, 1, 1, 0, 0, 1],
                        [768, 0, 30, 1, 1, 0, 0, 1],
                        [512, 0, 30, 1, 1, 0, 0, 1],
                        [384, 0, 15, 1, 1, 0, 0, 1],
                        [256, 0, 1, 1, 1, 0, 0, 1],
                        [128, 0, 0, 1, 1, 0, 0, 1],
                        [64, 0, 0, 1, 1, 0, 0, 1]
                    ]
                ],
                // <2-04>400x300
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 0, 0, 0],
                        [3072, 0, 30, 1, 1, 0, 0, 0],
                        [2048, 0, 30, 1, 1, 0, 0, 0],
                        [1536, 0, 30, 1, 1, 0, 0, 0],
                        [1024, 0, 30, 1, 1, 0, 0, 0],
                        [768, 0, 30, 1, 1, 0, 0, 0],
                        [512, 0, 30, 1, 1, 0, 0, 0],
                        [384, 0, 30, 1, 1, 0, 0, 0],
                        [256, 0, 10, 1, 1, 0, 0, 0],
                        [128, 0, 1, 1, 1, 0, 0, 0],
                        [64, 0, 0, 1, 1, 0, 0, 0]
                    ]
                ],
                // <2-05>QVGA
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 0, 0, 1],
                        [3072, 0, 30, 1, 1, 0, 0, 1],
                        [2048, 0, 30, 1, 1, 0, 0, 1],
                        [1536, 0, 30, 1, 1, 0, 0, 1],
                        [1024, 0, 30, 1, 1, 0, 0, 1],
                        [768, 0, 30, 1, 1, 0, 0, 1],
                        [512, 0, 30, 1, 1, 0, 0, 1],
                        [384, 0, 30, 1, 1, 0, 0, 1],
                        [256, 0, 20, 1, 1, 0, 0, 1],
                        [128, 0, 1, 1, 1, 0, 0, 1],
                        [64, 0, 0, 1, 1, 0, 0, 1]
                    ]
                ],
                // <2-06>QQVGA
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [2048, 0, 30, 1, 1, 0, 0, 0],
                        [1536, 0, 30, 1, 1, 0, 0, 0],
                        [1024, 0, 30, 1, 1, 0, 0, 0],
                        [768, 0, 30, 1, 1, 0, 0, 0],
                        [512, 0, 30, 1, 1, 0, 0, 0],
                        [384, 0, 30, 1, 1, 0, 0, 0],
                        [256, 0, 30, 1, 1, 0, 0, 0],
                        [128, 0, 7.5, 1, 1, 0, 0, 0],
                        [64, 0, 1, 1, 1, 0, 0, 0]
                    ]
                ],
                // <2-07>FHD
                [
                    // -
                    [
                        // デフォルト値
                        [5],
                        // 値リスト
                        [14336, 0, 30, 1, 1, 0, 0, 1],
                        [12288, 0, 30, 1, 1, 0, 0, 1],
                        [10240, 0, 30, 1, 1, 0, 0, 1],
                        [8192, 0, 30, 1, 1, 0, 0, 1],
                        [6144, 0, 30, 1, 1, 0, 0, 1],
                        [4096, 0, 30, 1, 1, 0, 0, 1],
                        [3072, 0, 30, 1, 1, 0, 0, 1],
                        [2048, 0, 30, 1, 1, 0, 0, 1],
                        [1536, 0, 15, 1, 1, 0, 0, 1],
                        [1024, 0, 7.5, 1, 1, 0, 0, 1],
                        [768, 0, 1, 1, 1, 0, 0, 1],
                        [512, 0, 0, 1, 1, 0, 0, 1]
                    ]
                ],
                // <2-08>HD
                [
                    // -
                    [
                        // デフォルト値
                        [2],
                        // 値リスト
                        [8192, 0, 30, 1, 1, 0, 0, 1],
                        [6144, 0, 30, 1, 1, 0, 0, 1],
                        [4096, 0, 30, 1, 1, 0, 0, 1],
                        [3072, 0, 30, 1, 1, 0, 0, 1],
                        [2048, 0, 30, 1, 1, 0, 0, 1],
                        [1536, 0, 30, 1, 1, 0, 0, 1],
                        [1024, 0, 30, 1, 1, 0, 0, 1],
                        [768, 0, 20, 1, 1, 0, 0, 1],
                        [512, 0, 7.5, 1, 1, 0, 0, 1],
                        [384, 0, 1, 1, 1, 0, 0, 1],
                        [256, 0, 0, 1, 1, 0, 0, 1]
                    ]
                ],
                // <2-09>HVGAW
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 0, 0, 1],
                        [3072, 0, 30, 1, 1, 0, 0, 1],
                        [2048, 0, 30, 1, 1, 0, 0, 1],
                        [1536, 0, 30, 1, 1, 0, 0, 1],
                        [1024, 0, 30, 1, 1, 0, 0, 1],
                        [768, 0, 30, 1, 1, 0, 0, 1],
                        [512, 0, 30, 1, 1, 0, 0, 1],
                        [384, 0, 15, 1, 1, 0, 0, 1],
                        [256, 0, 1, 1, 1, 0, 0, 1],
                        [128, 0, 0, 1, 1, 0, 0, 1],
                        [64, 0, 0, 1, 1, 0, 0, 1]
                    ]
                ],
                // <2-10>180P
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 0, 0, 1],
                        [3072, 0, 30, 1, 1, 0, 0, 1],
                        [2048, 0, 30, 1, 1, 0, 0, 1],
                        [1536, 0, 30, 1, 1, 0, 0, 1],
                        [1024, 0, 30, 1, 1, 0, 0, 1],
                        [768, 0, 30, 1, 1, 0, 0, 1],
                        [512, 0, 30, 1, 1, 0, 0, 1],
                        [384, 0, 30, 1, 1, 0, 0, 1],
                        [256, 0, 20, 1, 1, 0, 0, 1],
                        [128, 0, 1, 1, 1, 0, 0, 1],
                        [64, 0, 0, 1, 1, 0, 0, 1]
                    ]
                ],
                // <2-11>160x90
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [2048, 0, 30, 1, 1, 0, 0, 0],
                        [1536, 0, 30, 1, 1, 0, 0, 0],
                        [1024, 0, 30, 1, 1, 0, 0, 0],
                        [768, 0, 30, 1, 1, 0, 0, 0],
                        [512, 0, 30, 1, 1, 0, 0, 0],
                        [384, 0, 30, 1, 1, 0, 0, 0],
                        [256, 0, 30, 1, 1, 0, 0, 0],
                        [128, 0, 7.5, 1, 1, 0, 0, 0],
                        [64, 0, 1, 1, 1, 0, 0, 0]
                    ]
                ]
            ],
            // <4-3>AdvancedVBR[中]
            [
                // <2-00>UXGA
                [
                    // -
                    [
                        // デフォルト値
                        [5],
                        // 値リスト
                        [14336, 0, 30, 1, 1, 0, 0, 0],
                        [12288, 0, 30, 1, 1, 0, 0, 0],
                        [10240, 0, 30, 1, 1, 0, 0, 0],
                        [8192, 0, 30, 1, 1, 0, 0, 0],
                        [6144, 0, 30, 1, 1, 0, 0, 0],
                        [4096, 0, 30, 1, 1, 0, 0, 0],
                        [3072, 0, 30, 1, 1, 0, 0, 0],
                        [2048, 0, 30, 1, 1, 0, 0, 0],
                        [1536, 0, 15, 1, 1, 0, 0, 0],
                        [1024, 0, 7.5, 1, 1, 0, 0, 0],
                        [768, 0, 1, 1, 1, 0, 0, 0],
                        [512, 0, 0, 1, 1, 0, 0, 0]
                    ]
                ],
                // <2-01>SXVGA
                [
                    // -
                    [
                        // デフォルト値
                        [2],
                        // 値リスト
                        [8192, 0, 30, 1, 1, 0, 0, 1],
                        [6144, 0, 30, 1, 1, 0, 0, 1],
                        [4096, 0, 30, 1, 1, 0, 0, 1],
                        [3072, 0, 30, 1, 1, 0, 0, 1],
                        [2048, 0, 30, 1, 1, 0, 0, 1],
                        [1536, 0, 30, 1, 1, 0, 0, 1],
                        [1024, 0, 30, 1, 1, 0, 0, 1],
                        [768, 0, 10, 1, 1, 0, 0, 1],
                        [512, 0, 1, 1, 1, 0, 0, 1],
                        [384, 0, 0, 1, 1, 0, 0, 1],
                        [256, 0, 0, 1, 1, 0, 0, 1]
                    ]
                ],
                // <2-02>SVGA
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 0, 0, 1],
                        [3072, 0, 30, 1, 1, 0, 0, 1],
                        [2048, 0, 30, 1, 1, 0, 0, 1],
                        [1536, 0, 30, 1, 1, 0, 0, 1],
                        [1024, 0, 30, 1, 1, 0, 0, 1],
                        [768, 0, 15, 1, 1, 0, 0, 1],
                        [512, 0, 7.5, 1, 1, 0, 0, 1],
                        [384, 0, 1, 1, 1, 0, 0, 1],
                        [256, 0, 0, 1, 1, 0, 0, 1],
                        [128, 0, 0, 1, 1, 0, 0, 1]
                    ]
                ],
                // <2-03>VGA
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 0, 0, 1],
                        [3072, 0, 30, 1, 1, 0, 0, 1],
                        [2048, 0, 30, 1, 1, 0, 0, 1],
                        [1536, 0, 30, 1, 1, 0, 0, 1],
                        [1024, 0, 30, 1, 1, 0, 0, 1],
                        [768, 0, 30, 1, 1, 0, 0, 1],
                        [512, 0, 30, 1, 1, 0, 0, 1],
                        [384, 0, 15, 1, 1, 0, 0, 1],
                        [256, 0, 1, 1, 1, 0, 0, 1],
                        [128, 0, 0, 1, 1, 0, 0, 1],
                        [64, 0, 0, 1, 1, 0, 0, 1]
                    ]
                ],
                // <2-04>400x300
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 0, 0, 0],
                        [3072, 0, 30, 1, 1, 0, 0, 0],
                        [2048, 0, 30, 1, 1, 0, 0, 0],
                        [1536, 0, 30, 1, 1, 0, 0, 0],
                        [1024, 0, 30, 1, 1, 0, 0, 0],
                        [768, 0, 30, 1, 1, 0, 0, 0],
                        [512, 0, 30, 1, 1, 0, 0, 0],
                        [384, 0, 30, 1, 1, 0, 0, 0],
                        [256, 0, 10, 1, 1, 0, 0, 0],
                        [128, 0, 1, 1, 1, 0, 0, 0],
                        [64, 0, 0, 1, 1, 0, 0, 0]
                    ]
                ],
                // <2-05>QVGA
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 0, 0, 1],
                        [3072, 0, 30, 1, 1, 0, 0, 1],
                        [2048, 0, 30, 1, 1, 0, 0, 1],
                        [1536, 0, 30, 1, 1, 0, 0, 1],
                        [1024, 0, 30, 1, 1, 0, 0, 1],
                        [768, 0, 30, 1, 1, 0, 0, 1],
                        [512, 0, 30, 1, 1, 0, 0, 1],
                        [384, 0, 30, 1, 1, 0, 0, 1],
                        [256, 0, 20, 1, 1, 0, 0, 1],
                        [128, 0, 1, 1, 1, 0, 0, 1],
                        [64, 0, 0, 1, 1, 0, 0, 1]
                    ]
                ],
                // <2-06>QQVGA
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [2048, 0, 30, 1, 1, 0, 0, 0],
                        [1536, 0, 30, 1, 1, 0, 0, 0],
                        [1024, 0, 30, 1, 1, 0, 0, 0],
                        [768, 0, 30, 1, 1, 0, 0, 0],
                        [512, 0, 30, 1, 1, 0, 0, 0],
                        [384, 0, 30, 1, 1, 0, 0, 0],
                        [256, 0, 30, 1, 1, 0, 0, 0],
                        [128, 0, 7.5, 1, 1, 0, 0, 0],
                        [64, 0, 1, 1, 1, 0, 0, 0]
                    ]
                ],
                // <2-07>FHD
                [
                    // -
                    [
                        // デフォルト値
                        [5],
                        // 値リスト
                        [14336, 0, 30, 1, 1, 0, 0, 1],
                        [12288, 0, 30, 1, 1, 0, 0, 1],
                        [10240, 0, 30, 1, 1, 0, 0, 1],
                        [8192, 0, 30, 1, 1, 0, 0, 1],
                        [6144, 0, 30, 1, 1, 0, 0, 1],
                        [4096, 0, 30, 1, 1, 0, 0, 1],
                        [3072, 0, 30, 1, 1, 0, 0, 1],
                        [2048, 0, 30, 1, 1, 0, 0, 1],
                        [1536, 0, 15, 1, 1, 0, 0, 1],
                        [1024, 0, 7.5, 1, 1, 0, 0, 1],
                        [768, 0, 1, 1, 1, 0, 0, 1],
                        [512, 0, 0, 1, 1, 0, 0, 1]
                    ]
                ],
                // <2-08>HD
                [
                    // -
                    [
                        // デフォルト値
                        [2],
                        // 値リスト
                        [8192, 0, 30, 1, 1, 0, 0, 1],
                        [6144, 0, 30, 1, 1, 0, 0, 1],
                        [4096, 0, 30, 1, 1, 0, 0, 1],
                        [3072, 0, 30, 1, 1, 0, 0, 1],
                        [2048, 0, 30, 1, 1, 0, 0, 1],
                        [1536, 0, 30, 1, 1, 0, 0, 1],
                        [1024, 0, 30, 1, 1, 0, 0, 1],
                        [768, 0, 20, 1, 1, 0, 0, 1],
                        [512, 0, 7.5, 1, 1, 0, 0, 1],
                        [384, 0, 1, 1, 1, 0, 0, 1],
                        [256, 0, 0, 1, 1, 0, 0, 1]
                    ]
                ],
                // <2-09>HVGAW
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 0, 0, 1],
                        [3072, 0, 30, 1, 1, 0, 0, 1],
                        [2048, 0, 30, 1, 1, 0, 0, 1],
                        [1536, 0, 30, 1, 1, 0, 0, 1],
                        [1024, 0, 30, 1, 1, 0, 0, 1],
                        [768, 0, 30, 1, 1, 0, 0, 1],
                        [512, 0, 30, 1, 1, 0, 0, 1],
                        [384, 0, 15, 1, 1, 0, 0, 1],
                        [256, 0, 1, 1, 1, 0, 0, 1],
                        [128, 0, 0, 1, 1, 0, 0, 1],
                        [64, 0, 0, 1, 1, 0, 0, 1]
                    ]
                ],
                // <2-10>180P
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 0, 0, 1],
                        [3072, 0, 30, 1, 1, 0, 0, 1],
                        [2048, 0, 30, 1, 1, 0, 0, 1],
                        [1536, 0, 30, 1, 1, 0, 0, 1],
                        [1024, 0, 30, 1, 1, 0, 0, 1],
                        [768, 0, 30, 1, 1, 0, 0, 1],
                        [512, 0, 30, 1, 1, 0, 0, 1],
                        [384, 0, 30, 1, 1, 0, 0, 1],
                        [256, 0, 20, 1, 1, 0, 0, 1],
                        [128, 0, 1, 1, 1, 0, 0, 1],
                        [64, 0, 0, 1, 1, 0, 0, 1]
                    ]
                ],
                // <2-11>160x90
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [2048, 0, 30, 1, 1, 0, 0, 0],
                        [1536, 0, 30, 1, 1, 0, 0, 0],
                        [1024, 0, 30, 1, 1, 0, 0, 0],
                        [768, 0, 30, 1, 1, 0, 0, 0],
                        [512, 0, 30, 1, 1, 0, 0, 0],
                        [384, 0, 30, 1, 1, 0, 0, 0],
                        [256, 0, 30, 1, 1, 0, 0, 0],
                        [128, 0, 7.5, 1, 1, 0, 0, 0],
                        [64, 0, 1, 1, 1, 0, 0, 0]
                    ]
                ]
            ],
            // <4-4>AdvancedVBR[低]
            [
                // <2-00>UXGA
                [
                    // -
                    [
                        // デフォルト値
                        [5],
                        // 値リスト
                        [14336, 0, 30, 1, 1, 0, 0, 0],
                        [12288, 0, 30, 1, 1, 0, 0, 0],
                        [10240, 0, 30, 1, 1, 0, 0, 0],
                        [8192, 0, 30, 1, 1, 0, 0, 0],
                        [6144, 0, 30, 1, 1, 0, 0, 0],
                        [4096, 0, 30, 1, 1, 0, 0, 0],
                        [3072, 0, 30, 1, 1, 0, 0, 0],
                        [2048, 0, 30, 1, 1, 0, 0, 0],
                        [1536, 0, 15, 1, 1, 0, 0, 0],
                        [1024, 0, 7.5, 1, 1, 0, 0, 0],
                        [768, 0, 1, 1, 1, 0, 0, 0],
                        [512, 0, 0, 1, 1, 0, 0, 0]
                    ]
                ],
                // <2-01>SXVGA
                [
                    // -
                    [
                        // デフォルト値
                        [2],
                        // 値リスト
                        [8192, 0, 30, 1, 1, 0, 0, 1],
                        [6144, 0, 30, 1, 1, 0, 0, 1],
                        [4096, 0, 30, 1, 1, 0, 0, 1],
                        [3072, 0, 30, 1, 1, 0, 0, 1],
                        [2048, 0, 30, 1, 1, 0, 0, 1],
                        [1536, 0, 30, 1, 1, 0, 0, 1],
                        [1024, 0, 30, 1, 1, 0, 0, 1],
                        [768, 0, 10, 1, 1, 0, 0, 1],
                        [512, 0, 1, 1, 1, 0, 0, 1],
                        [384, 0, 0, 1, 1, 0, 0, 1],
                        [256, 0, 0, 1, 1, 0, 0, 1]
                    ]
                ],
                // <2-02>SVGA
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 0, 0, 1],
                        [3072, 0, 30, 1, 1, 0, 0, 1],
                        [2048, 0, 30, 1, 1, 0, 0, 1],
                        [1536, 0, 30, 1, 1, 0, 0, 1],
                        [1024, 0, 30, 1, 1, 0, 0, 1],
                        [768, 0, 15, 1, 1, 0, 0, 1],
                        [512, 0, 7.5, 1, 1, 0, 0, 1],
                        [384, 0, 1, 1, 1, 0, 0, 1],
                        [256, 0, 0, 1, 1, 0, 0, 1],
                        [128, 0, 0, 1, 1, 0, 0, 1]
                    ]
                ],
                // <2-03>VGA
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 0, 0, 1],
                        [3072, 0, 30, 1, 1, 0, 0, 1],
                        [2048, 0, 30, 1, 1, 0, 0, 1],
                        [1536, 0, 30, 1, 1, 0, 0, 1],
                        [1024, 0, 30, 1, 1, 0, 0, 1],
                        [768, 0, 30, 1, 1, 0, 0, 1],
                        [512, 0, 30, 1, 1, 0, 0, 1],
                        [384, 0, 15, 1, 1, 0, 0, 1],
                        [256, 0, 1, 1, 1, 0, 0, 1],
                        [128, 0, 0, 1, 1, 0, 0, 1],
                        [64, 0, 0, 1, 1, 0, 0, 1]
                    ]
                ],
                // <2-04>400x300
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 0, 0, 0],
                        [3072, 0, 30, 1, 1, 0, 0, 0],
                        [2048, 0, 30, 1, 1, 0, 0, 0],
                        [1536, 0, 30, 1, 1, 0, 0, 0],
                        [1024, 0, 30, 1, 1, 0, 0, 0],
                        [768, 0, 30, 1, 1, 0, 0, 0],
                        [512, 0, 30, 1, 1, 0, 0, 0],
                        [384, 0, 30, 1, 1, 0, 0, 0],
                        [256, 0, 10, 1, 1, 0, 0, 0],
                        [128, 0, 1, 1, 1, 0, 0, 0],
                        [64, 0, 0, 1, 1, 0, 0, 0]
                    ]
                ],
                // <2-05>QVGA
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 0, 0, 1],
                        [3072, 0, 30, 1, 1, 0, 0, 1],
                        [2048, 0, 30, 1, 1, 0, 0, 1],
                        [1536, 0, 30, 1, 1, 0, 0, 1],
                        [1024, 0, 30, 1, 1, 0, 0, 1],
                        [768, 0, 30, 1, 1, 0, 0, 1],
                        [512, 0, 30, 1, 1, 0, 0, 1],
                        [384, 0, 30, 1, 1, 0, 0, 1],
                        [256, 0, 20, 1, 1, 0, 0, 1],
                        [128, 0, 1, 1, 1, 0, 0, 1],
                        [64, 0, 0, 1, 1, 0, 0, 1]
                    ]
                ],
                // <2-06>QQVGA
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [2048, 0, 30, 1, 1, 0, 0, 0],
                        [1536, 0, 30, 1, 1, 0, 0, 0],
                        [1024, 0, 30, 1, 1, 0, 0, 0],
                        [768, 0, 30, 1, 1, 0, 0, 0],
                        [512, 0, 30, 1, 1, 0, 0, 0],
                        [384, 0, 30, 1, 1, 0, 0, 0],
                        [256, 0, 30, 1, 1, 0, 0, 0],
                        [128, 0, 7.5, 1, 1, 0, 0, 0],
                        [64, 0, 1, 1, 1, 0, 0, 0]
                    ]
                ],
                // <2-07>FHD
                [
                    // -
                    [
                        // デフォルト値
                        [5],
                        // 値リスト
                        [14336, 0, 30, 1, 1, 0, 0, 1],
                        [12288, 0, 30, 1, 1, 0, 0, 1],
                        [10240, 0, 30, 1, 1, 0, 0, 1],
                        [8192, 0, 30, 1, 1, 0, 0, 1],
                        [6144, 0, 30, 1, 1, 0, 0, 1],
                        [4096, 0, 30, 1, 1, 0, 0, 1],
                        [3072, 0, 30, 1, 1, 0, 0, 1],
                        [2048, 0, 30, 1, 1, 0, 0, 1],
                        [1536, 0, 15, 1, 1, 0, 0, 1],
                        [1024, 0, 7.5, 1, 1, 0, 0, 1],
                        [768, 0, 1, 1, 1, 0, 0, 1],
                        [512, 0, 0, 1, 1, 0, 0, 1]
                    ]
                ],
                // <2-08>HD
                [
                    // -
                    [
                        // デフォルト値
                        [2],
                        // 値リスト
                        [8192, 0, 30, 1, 1, 0, 0, 1],
                        [6144, 0, 30, 1, 1, 0, 0, 1],
                        [4096, 0, 30, 1, 1, 0, 0, 1],
                        [3072, 0, 30, 1, 1, 0, 0, 1],
                        [2048, 0, 30, 1, 1, 0, 0, 1],
                        [1536, 0, 30, 1, 1, 0, 0, 1],
                        [1024, 0, 30, 1, 1, 0, 0, 1],
                        [768, 0, 20, 1, 1, 0, 0, 1],
                        [512, 0, 7.5, 1, 1, 0, 0, 1],
                        [384, 0, 1, 1, 1, 0, 0, 1],
                        [256, 0, 0, 1, 1, 0, 0, 1]
                    ]
                ],
                // <2-09>HVGAW
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 0, 0, 1],
                        [3072, 0, 30, 1, 1, 0, 0, 1],
                        [2048, 0, 30, 1, 1, 0, 0, 1],
                        [1536, 0, 30, 1, 1, 0, 0, 1],
                        [1024, 0, 30, 1, 1, 0, 0, 1],
                        [768, 0, 30, 1, 1, 0, 0, 1],
                        [512, 0, 30, 1, 1, 0, 0, 1],
                        [384, 0, 15, 1, 1, 0, 0, 1],
                        [256, 0, 1, 1, 1, 0, 0, 1],
                        [128, 0, 0, 1, 1, 0, 0, 1],
                        [64, 0, 0, 1, 1, 0, 0, 1]
                    ]
                ],
                // <2-10>180P
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 0, 0, 1],
                        [3072, 0, 30, 1, 1, 0, 0, 1],
                        [2048, 0, 30, 1, 1, 0, 0, 1],
                        [1536, 0, 30, 1, 1, 0, 0, 1],
                        [1024, 0, 30, 1, 1, 0, 0, 1],
                        [768, 0, 30, 1, 1, 0, 0, 1],
                        [512, 0, 30, 1, 1, 0, 0, 1],
                        [384, 0, 30, 1, 1, 0, 0, 1],
                        [256, 0, 20, 1, 1, 0, 0, 1],
                        [128, 0, 1, 1, 1, 0, 0, 1],
                        [64, 0, 0, 1, 1, 0, 0, 1]
                    ]
                ],
                // <2-11>160x90
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [2048, 0, 30, 1, 1, 0, 0, 0],
                        [1536, 0, 30, 1, 1, 0, 0, 0],
                        [1024, 0, 30, 1, 1, 0, 0, 0],
                        [768, 0, 30, 1, 1, 0, 0, 0],
                        [512, 0, 30, 1, 1, 0, 0, 0],
                        [384, 0, 30, 1, 1, 0, 0, 0],
                        [256, 0, 30, 1, 1, 0, 0, 0],
                        [128, 0, 7.5, 1, 1, 0, 0, 0],
                        [64, 0, 1, 1, 1, 0, 0, 0]
                    ]
                ]
            ]
        ],
        // <3-1>2M(60fps)
        [
            // <4-0>ビットレート優先
            [
                // <2-00>FHD
                [
                    // <5-0>画質優先(SF)
                    [
                        // デフォルト値
                        [6],
                        // 値リスト
                        [16384, 0, 60, 1, 1, 0, 0, 0],
                        [14336, 0, 60, 1, 1, 0, 0, 0],
                        [12288, 0, 60, 1, 1, 0, 0, 0],
                        [10240, 0, 60, 1, 1, 0, 0, 0],
                        [8192, 0, 45, 1, 1, 0, 0, 0],
                        [6144, 0, 30, 1, 1, 0, 0, 0],
                        [4096, 0, 20, 1, 1, 0, 0, 0],
                        [3072, 0, 15, 1, 1, 0, 0, 0],
                        [2048, 0, 10, 1, 1, 0, 0, 0],
                        [1536, 0, 7.5, 1, 1, 0, 0, 0],
                        [1024, 0, 5, 1, 1, 0, 0, 0]
                    ],
                    // <5-1>標準(FQ)
                    [
                        // デフォルト値
                        [6],
                        // 値リスト
                        [16384, 0, 60, 1, 1, 0, 0, 0],
                        [14336, 0, 60, 1, 1, 0, 0, 0],
                        [12288, 0, 60, 1, 1, 0, 0, 0],
                        [10240, 0, 60, 1, 1, 0, 0, 0],
                        [8192, 0, 60, 1, 1, 0, 0, 0],
                        [6144, 0, 45, 1, 1, 0, 0, 0],
                        [4096, 0, 30, 1, 1, 0, 0, 0],
                        [3072, 0, 25, 1, 1, 0, 0, 0],
                        [2048, 0, 20, 1, 1, 0, 0, 0],
                        [1536, 0, 10, 1, 1, 0, 0, 0],
                        [1024, 0, 7.5, 1, 1, 0, 0, 0]
                    ],
                    // <5-2>動き優先(NQ)
                    [
                        // デフォルト値
                        [6],
                        // 値リスト
                        [16384, 0, 60, 1, 1, 0, 0, 0],
                        [14336, 0, 60, 1, 1, 0, 0, 0],
                        [12288, 0, 60, 1, 1, 0, 0, 0],
                        [10240, 0, 60, 1, 1, 0, 0, 0],
                        [8192, 0, 60, 1, 1, 0, 0, 0],
                        [6144, 0, 60, 1, 1, 0, 0, 0],
                        [4096, 0, 45, 1, 1, 0, 0, 0],
                        [3072, 0, 30, 1, 1, 0, 0, 0],
                        [2048, 0, 30, 1, 1, 0, 0, 0],
                        [1536, 0, 20, 1, 1, 0, 0, 0],
                        [1024, 0, 15, 1, 1, 0, 0, 0]
                    ]
                ],
                // <2-01>HD
                [
                    // <5-0>画質優先(SF)
                    [
                        // デフォルト値
                        [6],
                        // 値リスト
                        [16384, 0, 60, 1, 1, 0, 0, 0],
                        [14336, 0, 60, 1, 1, 0, 0, 0],
                        [12288, 0, 60, 1, 1, 0, 0, 0],
                        [10240, 0, 60, 1, 1, 0, 0, 0],
                        [8192, 0, 45, 1, 1, 0, 0, 0],
                        [6144, 0, 30, 1, 1, 0, 0, 0],
                        [4096, 0, 20, 1, 1, 0, 0, 0],
                        [3072, 0, 15, 1, 1, 0, 0, 0],
                        [2048, 0, 10, 1, 1, 0, 0, 0],
                        [1536, 0, 7.5, 1, 1, 0, 0, 0],
                        [1024, 0, 5, 1, 1, 0, 0, 0]
                    ],
                    // <5-1>標準(FQ)
                    [
                        // デフォルト値
                        [6],
                        // 値リスト
                        [16384, 0, 60, 1, 1, 0, 0, 0],
                        [14336, 0, 60, 1, 1, 0, 0, 0],
                        [12288, 0, 60, 1, 1, 0, 0, 0],
                        [10240, 0, 60, 1, 1, 0, 0, 0],
                        [8192, 0, 60, 1, 1, 0, 0, 0],
                        [6144, 0, 45, 1, 1, 0, 0, 0],
                        [4096, 0, 30, 1, 1, 0, 0, 0],
                        [3072, 0, 25, 1, 1, 0, 0, 0],
                        [2048, 0, 20, 1, 1, 0, 0, 0],
                        [1536, 0, 10, 1, 1, 0, 0, 0],
                        [1024, 0, 7.5, 1, 1, 0, 0, 0]
                    ],
                    // <5-2>動き優先(NQ)
                    [
                        // デフォルト値
                        [6],
                        // 値リスト
                        [16384, 0, 60, 1, 1, 0, 0, 0],
                        [14336, 0, 60, 1, 1, 0, 0, 0],
                        [12288, 0, 60, 1, 1, 0, 0, 0],
                        [10240, 0, 60, 1, 1, 0, 0, 0],
                        [8192, 0, 60, 1, 1, 0, 0, 0],
                        [6144, 0, 60, 1, 1, 0, 0, 0],
                        [4096, 0, 45, 1, 1, 0, 0, 0],
                        [3072, 0, 30, 1, 1, 0, 0, 0],
                        [2048, 0, 30, 1, 1, 0, 0, 0],
                        [1536, 0, 20, 1, 1, 0, 0, 0],
                        [1024, 0, 15, 1, 1, 0, 0, 0]
                    ]
                ]
            ],
            // <4-1>フレームレート優先
            [
                // <2-00>FHD
                [
                    // -
                    [
                        // デフォルト値
                        [6],
                        // 値リスト
                        [16384, 0, 60, 1, 1, 0, 0, 0],
                        [14336, 0, 60, 1, 1, 0, 0, 0],
                        [12288, 0, 60, 1, 1, 0, 0, 0],
                        [10240, 0, 60, 1, 1, 0, 0, 0],
                        [8192, 0, 60, 1, 1, 0, 0, 0],
                        [6144, 0, 60, 1, 1, 0, 0, 0],
                        [4096, 0, 60, 1, 1, 0, 0, 0],
                        [3072, 0, 60, 1, 1, 0, 0, 0],
                        [2048, 0, 30, 1, 1, 0, 0, 0],
                        [1536, 0, 15, 1, 1, 0, 0, 0],
                        [1024, 0, 7.5, 1, 1, 0, 0, 0]
                    ]
                ],
                // <2-01>HD
                [
                    // -
                    [
                        // デフォルト値
                        [6],
                        // 値リスト
                        [16384, 0, 60, 1, 1, 0, 0, 0],
                        [14336, 0, 60, 1, 1, 0, 0, 0],
                        [12288, 0, 60, 1, 1, 0, 0, 0],
                        [10240, 0, 60, 1, 1, 0, 0, 0],
                        [8192, 0, 60, 1, 1, 0, 0, 0],
                        [6144, 0, 60, 1, 1, 0, 0, 0],
                        [4096, 0, 60, 1, 1, 0, 0, 0],
                        [3072, 0, 60, 1, 1, 0, 0, 0],
                        [2048, 0, 60, 1, 1, 0, 0, 0],
                        [1536, 0, 60, 1, 1, 0, 0, 0],
                        [1024, 0, 30, 1, 1, 0, 0, 0]
                    ]
                ]
            ],
            // <4-2>AdvancedVBR[高]
            [
                // <2-00>FHD
                [
                    // -
                    [
                        // デフォルト値
                        [6],
                        // 値リスト
                        [16384, 0, 60, 1, 1, 0, 0, 0],
                        [14336, 0, 60, 1, 1, 0, 0, 0],
                        [12288, 0, 60, 1, 1, 0, 0, 0],
                        [10240, 0, 60, 1, 1, 0, 0, 0],
                        [8192, 0, 60, 1, 1, 0, 0, 0],
                        [6144, 0, 60, 1, 1, 0, 0, 0],
                        [4096, 0, 60, 1, 1, 0, 0, 0],
                        [3072, 0, 60, 1, 1, 0, 0, 0],
                        [2048, 0, 30, 1, 1, 0, 0, 0],
                        [1536, 0, 15, 1, 1, 0, 0, 0],
                        [1024, 0, 7.5, 1, 1, 0, 0, 0]
                    ]
                ],
                // <2-01>HD
                [
                    // -
                    [
                        // デフォルト値
                        [6],
                        // 値リスト
                        [16384, 0, 60, 1, 1, 0, 0, 0],
                        [14336, 0, 60, 1, 1, 0, 0, 0],
                        [12288, 0, 60, 1, 1, 0, 0, 0],
                        [10240, 0, 60, 1, 1, 0, 0, 0],
                        [8192, 0, 60, 1, 1, 0, 0, 0],
                        [6144, 0, 60, 1, 1, 0, 0, 0],
                        [4096, 0, 60, 1, 1, 0, 0, 0],
                        [3072, 0, 60, 1, 1, 0, 0, 0],
                        [2048, 0, 60, 1, 1, 0, 0, 0],
                        [1536, 0, 60, 1, 1, 0, 0, 0],
                        [1024, 0, 30, 1, 1, 0, 0, 0]
                    ]
                ]
            ],
            // <4-3>AdvancedVBR[中]
            [
                // <2-00>FHD
                [
                    // -
                    [
                        // デフォルト値
                        [6],
                        // 値リスト
                        [16384, 0, 60, 1, 1, 0, 0, 0],
                        [14336, 0, 60, 1, 1, 0, 0, 0],
                        [12288, 0, 60, 1, 1, 0, 0, 0],
                        [10240, 0, 60, 1, 1, 0, 0, 0],
                        [8192, 0, 60, 1, 1, 0, 0, 0],
                        [6144, 0, 60, 1, 1, 0, 0, 0],
                        [4096, 0, 60, 1, 1, 0, 0, 0],
                        [3072, 0, 60, 1, 1, 0, 0, 0],
                        [2048, 0, 30, 1, 1, 0, 0, 0],
                        [1536, 0, 15, 1, 1, 0, 0, 0],
                        [1024, 0, 7.5, 1, 1, 0, 0, 0]
                    ]
                ],
                // <2-01>HD
                [
                    // -
                    [
                        // デフォルト値
                        [6],
                        // 値リスト
                        [16384, 0, 60, 1, 1, 0, 0, 0],
                        [14336, 0, 60, 1, 1, 0, 0, 0],
                        [12288, 0, 60, 1, 1, 0, 0, 0],
                        [10240, 0, 60, 1, 1, 0, 0, 0],
                        [8192, 0, 60, 1, 1, 0, 0, 0],
                        [6144, 0, 60, 1, 1, 0, 0, 0],
                        [4096, 0, 60, 1, 1, 0, 0, 0],
                        [3072, 0, 60, 1, 1, 0, 0, 0],
                        [2048, 0, 60, 1, 1, 0, 0, 0],
                        [1536, 0, 60, 1, 1, 0, 0, 0],
                        [1024, 0, 30, 1, 1, 0, 0, 0]
                    ]
                ]
            ],
            // <4-4>AdvancedVBR[低]
            [
                // <2-00>FHD
                [
                    // -
                    [
                        // デフォルト値
                        [6],
                        // 値リスト
                        [16384, 0, 60, 1, 1, 0, 0, 0],
                        [14336, 0, 60, 1, 1, 0, 0, 0],
                        [12288, 0, 60, 1, 1, 0, 0, 0],
                        [10240, 0, 60, 1, 1, 0, 0, 0],
                        [8192, 0, 60, 1, 1, 0, 0, 0],
                        [6144, 0, 60, 1, 1, 0, 0, 0],
                        [4096, 0, 60, 1, 1, 0, 0, 0],
                        [3072, 0, 60, 1, 1, 0, 0, 0],
                        [2048, 0, 30, 1, 1, 0, 0, 0],
                        [1536, 0, 15, 1, 1, 0, 0, 0],
                        [1024, 0, 7.5, 1, 1, 0, 0, 0]
                    ]
                ],
                // <2-01>HD
                [
                    // -
                    [
                        // デフォルト値
                        [6],
                        // 値リスト
                        [16384, 0, 60, 1, 1, 0, 0, 0],
                        [14336, 0, 60, 1, 1, 0, 0, 0],
                        [12288, 0, 60, 1, 1, 0, 0, 0],
                        [10240, 0, 60, 1, 1, 0, 0, 0],
                        [8192, 0, 60, 1, 1, 0, 0, 0],
                        [6144, 0, 60, 1, 1, 0, 0, 0],
                        [4096, 0, 60, 1, 1, 0, 0, 0],
                        [3072, 0, 60, 1, 1, 0, 0, 0],
                        [2048, 0, 60, 1, 1, 0, 0, 0],
                        [1536, 0, 60, 1, 1, 0, 0, 0],
                        [1024, 0, 30, 1, 1, 0, 0, 0]
                    ]
                ]
            ]
        ],
        // <3-2>3M
        [
            // <4-0>ビットレート優先
            [
                // <2-00>QXGA
                [
                    // <5-0>画質優先(SF)
                    [
                        // デフォルト値
                        [6],
                        // 値リスト
                        [16384, 0, 30, 1, 1, 0, 0, 1],
                        [14336, 0, 30, 1, 1, 0, 0, 1],
                        [12288, 0, 30, 1, 1, 0, 0, 1],
                        [10240, 0, 22.5, 1, 1, 0, 0, 1],
                        [8192, 0, 20, 1, 1, 0, 0, 1],
                        [6144, 0, 15, 1, 1, 0, 0, 1],
                        [4096, 0, 10, 1, 1, 0, 0, 1],
                        [3072, 0, 7.5, 1, 1, 0, 0, 1],
                        [2048, 0, 5, 1, 1, 0, 0, 1],
                        [1536, 0, 3, 1, 1, 0, 0, 1],
                        [1024, 0, 2, 1, 1, 0, 0, 1]
                    ],
                    // <5-1>標準(FQ)
                    [
                        // デフォルト値
                        [6],
                        // 値リスト
                        [16384, 0, 30, 1, 1, 0, 0, 1],
                        [14336, 0, 30, 1, 1, 0, 0, 1],
                        [12288, 0, 30, 1, 1, 0, 0, 1],
                        [10240, 0, 30, 1, 1, 0, 0, 1],
                        [8192, 0, 25, 1, 1, 0, 0, 1],
                        [6144, 0, 22.5, 1, 1, 0, 0, 1],
                        [4096, 0, 20, 1, 1, 0, 0, 1],
                        [3072, 0, 10, 1, 1, 0, 0, 1],
                        [2048, 0, 7.5, 1, 1, 0, 0, 1],
                        [1536, 0, 5, 1, 1, 0, 0, 1],
                        [1024, 0, 3, 1, 1, 0, 0, 1]
                    ],
                    // <5-2>動き優先(NQ)
                    [
                        // デフォルト値
                        [6],
                        // 値リスト
                        [16384, 0, 30, 1, 1, 0, 0, 1],
                        [14336, 0, 30, 1, 1, 0, 0, 1],
                        [12288, 0, 30, 1, 1, 0, 0, 1],
                        [10240, 0, 30, 1, 1, 0, 0, 1],
                        [8192, 0, 30, 1, 1, 0, 0, 1],
                        [6144, 0, 30, 1, 1, 0, 0, 1],
                        [4096, 0, 30, 1, 1, 0, 0, 1],
                        [3072, 0, 20, 1, 1, 0, 0, 1],
                        [2048, 0, 15, 1, 1, 0, 0, 1],
                        [1536, 0, 10, 1, 1, 0, 0, 1],
                        [1024, 0, 7.5, 1, 1, 0, 0, 1]
                    ]
                ],
                // <2-01>SXVGA
                [
                    // <5-0>画質優先(SF)
                    [
                        // デフォルト値
                        [2],
                        // 値リスト
                        [8192, 0, 30, 1, 1, 0, 0, 1],
                        [6144, 0, 30, 1, 1, 0, 0, 1],
                        [4096, 0, 20, 1, 1, 0, 0, 1],
                        [3072, 0, 15, 1, 1, 0, 0, 1],
                        [2048, 0, 10, 1, 1, 0, 0, 1],
                        [1536, 0, 7.5, 1, 1, 0, 0, 1],
                        [1024, 0, 5, 1, 1, 0, 0, 1],
                        [768, 0, 3, 1, 1, 0, 0, 1],
                        [512, 0, 2, 1, 1, 0, 0, 1],
                        [384, 0, 1, 1, 1, 0, 0, 1],
                        [256, 0, 1, 1, 1, 0, 0, 1]
                    ],
                    // <5-1>標準(FQ)
                    [
                        // デフォルト値
                        [2],
                        // 値リスト
                        [8192, 0, 30, 1, 1, 0, 0, 1],
                        [6144, 0, 30, 1, 1, 0, 0, 1],
                        [4096, 0, 30, 1, 1, 0, 0, 1],
                        [3072, 0, 25, 1, 1, 0, 0, 1],
                        [2048, 0, 20, 1, 1, 0, 0, 1],
                        [1536, 0, 10, 1, 1, 0, 0, 1],
                        [1024, 0, 7.5, 1, 1, 0, 0, 1],
                        [768, 0, 5, 1, 1, 0, 0, 1],
                        [512, 0, 3, 1, 1, 0, 0, 1],
                        [384, 0, 2, 1, 1, 0, 0, 1],
                        [256, 0, 1, 1, 1, 0, 0, 1]
                    ],
                    // <5-2>動き優先(NQ)
                    [
                        // デフォルト値
                        [2],
                        // 値リスト
                        [8192, 0, 30, 1, 1, 0, 0, 1],
                        [6144, 0, 30, 1, 1, 0, 0, 1],
                        [4096, 0, 30, 1, 1, 0, 0, 1],
                        [3072, 0, 30, 1, 1, 0, 0, 1],
                        [2048, 0, 30, 1, 1, 0, 0, 1],
                        [1536, 0, 20, 1, 1, 0, 0, 1],
                        [1024, 0, 15, 1, 1, 0, 0, 1],
                        [768, 0, 10, 1, 1, 0, 0, 1],
                        [512, 0, 7.5, 1, 1, 0, 0, 1],
                        [384, 0, 5, 1, 1, 0, 0, 1],
                        [256, 0, 3, 1, 1, 0, 0, 1]
                    ]
                ],
                // <2-02>SVGA
                [
                    // <5-0>画質優先(SF)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 22.5, 1, 1, 0, 0, 1],
                        [3072, 0, 20, 1, 1, 0, 0, 1],
                        [2048, 0, 15, 1, 1, 0, 0, 1],
                        [1536, 0, 10, 1, 1, 0, 0, 1],
                        [1024, 0, 7.5, 1, 1, 0, 0, 1],
                        [768, 0, 5, 1, 1, 0, 0, 1],
                        [512, 0, 3, 1, 1, 0, 0, 1],
                        [384, 0, 2, 1, 1, 0, 0, 1],
                        [256, 0, 1, 1, 1, 0, 0, 1],
                        [128, 0, 1, 1, 1, 0, 0, 1]
                    ],
                    // <5-1>標準(FQ)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 0, 0, 1],
                        [3072, 0, 30, 1, 1, 0, 0, 1],
                        [2048, 0, 25, 1, 1, 0, 0, 1],
                        [1536, 0, 20, 1, 1, 0, 0, 1],
                        [1024, 0, 10, 1, 1, 0, 0, 1],
                        [768, 0, 7.5, 1, 1, 0, 0, 1],
                        [512, 0, 5, 1, 1, 0, 0, 1],
                        [384, 0, 3, 1, 1, 0, 0, 1],
                        [256, 0, 2, 1, 1, 0, 0, 1],
                        [128, 0, 1, 1, 1, 0, 0, 1]
                    ],
                    // <5-2>動き優先(NQ)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 0, 0, 1],
                        [3072, 0, 30, 1, 1, 0, 0, 1],
                        [2048, 0, 30, 1, 1, 0, 0, 1],
                        [1536, 0, 30, 1, 1, 0, 0, 1],
                        [1024, 0, 20, 1, 1, 0, 0, 1],
                        [768, 0, 15, 1, 1, 0, 0, 1],
                        [512, 0, 10, 1, 1, 0, 0, 1],
                        [384, 0, 7.5, 1, 1, 0, 0, 1],
                        [256, 0, 5, 1, 1, 0, 0, 1],
                        [128, 0, 3, 1, 1, 0, 0, 1]
                    ]
                ],
                // <2-03>VGA
                [
                    // <5-0>画質優先(SF)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 22.5, 1, 1, 0, 0, 1],
                        [3072, 0, 20, 1, 1, 0, 0, 1],
                        [2048, 0, 15, 1, 1, 0, 0, 1],
                        [1536, 0, 15, 1, 1, 0, 0, 1],
                        [1024, 0, 10, 1, 1, 0, 0, 1],
                        [768, 0, 7.5, 1, 1, 0, 0, 1],
                        [512, 0, 5, 1, 1, 0, 0, 1],
                        [384, 0, 3, 1, 1, 0, 0, 1],
                        [256, 0, 2, 1, 1, 0, 0, 1],
                        [128, 0, 1, 1, 1, 0, 0, 1],
                        [64, 0, 1, 1, 1, 0, 0, 1]
                    ],
                    // <5-1>標準(FQ)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 0, 0, 1],
                        [3072, 0, 30, 1, 1, 0, 0, 1],
                        [2048, 0, 30, 1, 1, 0, 0, 1],
                        [1536, 0, 30, 1, 1, 0, 0, 1],
                        [1024, 0, 22.5, 1, 1, 0, 0, 1],
                        [768, 0, 20, 1, 1, 0, 0, 1],
                        [512, 0, 15, 1, 1, 0, 0, 1],
                        [384, 0, 10, 1, 1, 0, 0, 1],
                        [256, 0, 7.5, 1, 1, 0, 0, 1],
                        [128, 0, 5, 1, 1, 0, 0, 1],
                        [64, 0, 2, 1, 1, 0, 0, 1]
                    ],
                    // <5-2>動き優先(NQ)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 0, 0, 1],
                        [3072, 0, 30, 1, 1, 0, 0, 1],
                        [2048, 0, 30, 1, 1, 0, 0, 1],
                        [1536, 0, 30, 1, 1, 0, 0, 1],
                        [1024, 0, 30, 1, 1, 0, 0, 1],
                        [768, 0, 30, 1, 1, 0, 0, 1],
                        [512, 0, 20, 1, 1, 0, 0, 1],
                        [384, 0, 15, 1, 1, 0, 0, 1],
                        [256, 0, 10, 1, 1, 0, 0, 1],
                        [128, 0, 7.5, 1, 1, 0, 0, 1],
                        [64, 0, 3, 1, 1, 0, 0, 1]
                    ]
                ],
                // <2-04>400x300
                [
                    // <5-0>画質優先(SF)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 0, 0, 0],
                        [3072, 0, 30, 1, 1, 0, 0, 0],
                        [2048, 0, 22.5, 1, 1, 0, 0, 0],
                        [1536, 0, 20, 1, 1, 0, 0, 0],
                        [1024, 0, 15, 1, 1, 0, 0, 0],
                        [768, 0, 10, 1, 1, 0, 0, 0],
                        [512, 0, 7.5, 1, 1, 0, 0, 0],
                        [384, 0, 5, 1, 1, 0, 0, 0],
                        [256, 0, 3, 1, 1, 0, 0, 0],
                        [128, 0, 2, 1, 1, 0, 0, 0],
                        [64, 0, 1, 1, 1, 0, 0, 0]
                    ],
                    // <5-1>標準(FQ)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 0, 0, 0],
                        [3072, 0, 30, 1, 1, 0, 0, 0],
                        [2048, 0, 30, 1, 1, 0, 0, 0],
                        [1536, 0, 30, 1, 1, 0, 0, 0],
                        [1024, 0, 30, 1, 1, 0, 0, 0],
                        [768, 0, 22.5, 1, 1, 0, 0, 0],
                        [512, 0, 20, 1, 1, 0, 0, 0],
                        [384, 0, 15, 1, 1, 0, 0, 0],
                        [256, 0, 10, 1, 1, 0, 0, 0],
                        [128, 0, 7.5, 1, 1, 0, 0, 0],
                        [64, 0, 5, 1, 1, 0, 0, 0]
                    ],
                    // <5-2>動き優先(NQ)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 0, 0, 0],
                        [3072, 0, 30, 1, 1, 0, 0, 0],
                        [2048, 0, 30, 1, 1, 0, 0, 0],
                        [1536, 0, 30, 1, 1, 0, 0, 0],
                        [1024, 0, 30, 1, 1, 0, 0, 0],
                        [768, 0, 30, 1, 1, 0, 0, 0],
                        [512, 0, 30, 1, 1, 0, 0, 0],
                        [384, 0, 20, 1, 1, 0, 0, 0],
                        [256, 0, 15, 1, 1, 0, 0, 0],
                        [128, 0, 10, 1, 1, 0, 0, 0],
                        [64, 0, 7.5, 1, 1, 0, 0, 0]
                    ]
                ],
                // <2-05>QVGA
                [
                    // <5-0>画質優先(SF)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 0, 0, 1],
                        [3072, 0, 30, 1, 1, 0, 0, 1],
                        [2048, 0, 30, 1, 1, 0, 0, 1],
                        [1536, 0, 20, 1, 1, 0, 0, 1],
                        [1024, 0, 15, 1, 1, 0, 0, 1],
                        [768, 0, 15, 1, 1, 0, 0, 1],
                        [512, 0, 10, 1, 1, 0, 0, 1],
                        [384, 0, 7.5, 1, 1, 0, 0, 1],
                        [256, 0, 5, 1, 1, 0, 0, 1],
                        [128, 0, 2, 1, 1, 0, 0, 1],
                        [64, 0, 1, 1, 1, 0, 0, 1]
                    ],
                    // <5-1>標準(FQ)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 0, 0, 1],
                        [3072, 0, 30, 1, 1, 0, 0, 1],
                        [2048, 0, 30, 1, 1, 0, 0, 1],
                        [1536, 0, 30, 1, 1, 0, 0, 1],
                        [1024, 0, 30, 1, 1, 0, 0, 1],
                        [768, 0, 30, 1, 1, 0, 0, 1],
                        [512, 0, 25, 1, 1, 0, 0, 1],
                        [384, 0, 20, 1, 1, 0, 0, 1],
                        [256, 0, 15, 1, 1, 0, 0, 1],
                        [128, 0, 10, 1, 1, 0, 0, 1],
                        [64, 0, 5, 1, 1, 0, 0, 1]
                    ],
                    // <5-2>動き優先(NQ)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 0, 0, 1],
                        [3072, 0, 30, 1, 1, 0, 0, 1],
                        [2048, 0, 30, 1, 1, 0, 0, 1],
                        [1536, 0, 30, 1, 1, 0, 0, 1],
                        [1024, 0, 30, 1, 1, 0, 0, 1],
                        [768, 0, 30, 1, 1, 0, 0, 1],
                        [512, 0, 30, 1, 1, 0, 0, 1],
                        [384, 0, 30, 1, 1, 0, 0, 1],
                        [256, 0, 25, 1, 1, 0, 0, 1],
                        [128, 0, 15, 1, 1, 0, 0, 1],
                        [64, 0, 10, 1, 1, 0, 0, 1]
                    ]
                ],
                // <2-06>QQVGA
                [
                    // <5-0>画質優先(SF)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [2048, 0, 30, 1, 1, 0, 0, 0],
                        [1536, 0, 30, 1, 1, 0, 0, 0],
                        [1024, 0, 30, 1, 1, 0, 0, 0],
                        [768, 0, 30, 1, 1, 0, 0, 0],
                        [512, 0, 20, 1, 1, 0, 0, 0],
                        [384, 0, 15, 1, 1, 0, 0, 0],
                        [256, 0, 15, 1, 1, 0, 0, 0],
                        [128, 0, 10, 1, 1, 0, 0, 0],
                        [64, 0, 7.5, 1, 1, 0, 0, 0]
                    ],
                    // <5-1>標準(FQ)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [2048, 0, 30, 1, 1, 0, 0, 0],
                        [1536, 0, 30, 1, 1, 0, 0, 0],
                        [1024, 0, 30, 1, 1, 0, 0, 0],
                        [768, 0, 30, 1, 1, 0, 0, 0],
                        [512, 0, 30, 1, 1, 0, 0, 0],
                        [384, 0, 30, 1, 1, 0, 0, 0],
                        [256, 0, 30, 1, 1, 0, 0, 0],
                        [128, 0, 25, 1, 1, 0, 0, 0],
                        [64, 0, 15, 1, 1, 0, 0, 0]
                    ],
                    // <5-2>動き優先(NQ)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [2048, 0, 30, 1, 1, 0, 0, 0],
                        [1536, 0, 30, 1, 1, 0, 0, 0],
                        [1024, 0, 30, 1, 1, 0, 0, 0],
                        [768, 0, 30, 1, 1, 0, 0, 0],
                        [512, 0, 30, 1, 1, 0, 0, 0],
                        [384, 0, 30, 1, 1, 0, 0, 0],
                        [256, 0, 30, 1, 1, 0, 0, 0],
                        [128, 0, 30, 1, 1, 0, 0, 0],
                        [64, 0, 20, 1, 1, 0, 0, 0]
                    ]
                ]
            ],
            // <4-1>フレームレート優先
            [
                // <2-00>QXGA
                [
                    // -
                    [
                        // デフォルト値
                        [6],
                        // 値リスト
                        [16384, 0, 30, 1, 1, 0, 0, 1],
                        [14336, 0, 30, 1, 1, 0, 0, 1],
                        [12288, 0, 30, 1, 1, 0, 0, 1],
                        [10240, 0, 30, 1, 1, 0, 0, 1],
                        [8192, 0, 30, 1, 1, 0, 0, 1],
                        [6144, 0, 30, 1, 1, 0, 0, 1],
                        [4096, 0, 30, 1, 1, 0, 0, 1],
                        [3072, 0, 30, 1, 1, 0, 0, 1],
                        [2048, 0, 15, 1, 1, 0, 0, 1],
                        [1536, 0, 7.5, 1, 1, 0, 0, 1],
                        [1024, 0, 1, 1, 1, 0, 0, 1]
                    ]
                ],
                // <2-01>SXVGA
                [
                    // -
                    [
                        // デフォルト値
                        [2],
                        // 値リスト
                        [8192, 0, 30, 1, 1, 0, 0, 1],
                        [6144, 0, 30, 1, 1, 0, 0, 1],
                        [4096, 0, 30, 1, 1, 0, 0, 1],
                        [3072, 0, 30, 1, 1, 0, 0, 1],
                        [2048, 0, 30, 1, 1, 0, 0, 1],
                        [1536, 0, 30, 1, 1, 0, 0, 1],
                        [1024, 0, 30, 1, 1, 0, 0, 1],
                        [768, 0, 10, 1, 1, 0, 0, 1],
                        [512, 0, 1, 1, 1, 0, 0, 1],
                        [384, 0, 0, 1, 1, 0, 0, 1],
                        [256, 0, 0, 1, 1, 0, 0, 1]
                    ]
                ],
                // <2-02>SVGA
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 0, 0, 1],
                        [3072, 0, 30, 1, 1, 0, 0, 1],
                        [2048, 0, 30, 1, 1, 0, 0, 1],
                        [1536, 0, 30, 1, 1, 0, 0, 1],
                        [1024, 0, 30, 1, 1, 0, 0, 1],
                        [768, 0, 15, 1, 1, 0, 0, 1],
                        [512, 0, 7.5, 1, 1, 0, 0, 1],
                        [384, 0, 1, 1, 1, 0, 0, 1],
                        [256, 0, 0, 1, 1, 0, 0, 1],
                        [128, 0, 0, 1, 1, 0, 0, 1]
                    ]
                ],
                // <2-03>VGA
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 0, 0, 1],
                        [3072, 0, 30, 1, 1, 0, 0, 1],
                        [2048, 0, 30, 1, 1, 0, 0, 1],
                        [1536, 0, 30, 1, 1, 0, 0, 1],
                        [1024, 0, 30, 1, 1, 0, 0, 1],
                        [768, 0, 30, 1, 1, 0, 0, 1],
                        [512, 0, 30, 1, 1, 0, 0, 1],
                        [384, 0, 15, 1, 1, 0, 0, 1],
                        [256, 0, 1, 1, 1, 0, 0, 1],
                        [128, 0, 0, 1, 1, 0, 0, 1],
                        [64, 0, 0, 1, 1, 0, 0, 1]
                    ]
                ],
                // <2-04>400x300
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 0, 0, 0],
                        [3072, 0, 30, 1, 1, 0, 0, 0],
                        [2048, 0, 30, 1, 1, 0, 0, 0],
                        [1536, 0, 30, 1, 1, 0, 0, 0],
                        [1024, 0, 30, 1, 1, 0, 0, 0],
                        [768, 0, 30, 1, 1, 0, 0, 0],
                        [512, 0, 30, 1, 1, 0, 0, 0],
                        [384, 0, 30, 1, 1, 0, 0, 0],
                        [256, 0, 10, 1, 1, 0, 0, 0],
                        [128, 0, 1, 1, 1, 0, 0, 0],
                        [64, 0, 0, 1, 1, 0, 0, 0]
                    ]
                ],
                // <2-05>QVGA
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 0, 0, 1],
                        [3072, 0, 30, 1, 1, 0, 0, 1],
                        [2048, 0, 30, 1, 1, 0, 0, 1],
                        [1536, 0, 30, 1, 1, 0, 0, 1],
                        [1024, 0, 30, 1, 1, 0, 0, 1],
                        [768, 0, 30, 1, 1, 0, 0, 1],
                        [512, 0, 30, 1, 1, 0, 0, 1],
                        [384, 0, 30, 1, 1, 0, 0, 1],
                        [256, 0, 20, 1, 1, 0, 0, 1],
                        [128, 0, 1, 1, 1, 0, 0, 1],
                        [64, 0, 0, 1, 1, 0, 0, 1]
                    ]
                ],
                // <2-06>QQVGA
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [2048, 0, 30, 1, 1, 0, 0, 0],
                        [1536, 0, 30, 1, 1, 0, 0, 0],
                        [1024, 0, 30, 1, 1, 0, 0, 0],
                        [768, 0, 30, 1, 1, 0, 0, 0],
                        [512, 0, 30, 1, 1, 0, 0, 0],
                        [384, 0, 30, 1, 1, 0, 0, 0],
                        [256, 0, 30, 1, 1, 0, 0, 0],
                        [128, 0, 7.5, 1, 1, 0, 0, 0],
                        [64, 0, 1, 1, 1, 0, 0, 0]
                    ]
                ]
            ],
            // <4-2>AdvancedVBR[高]
            [
                // <2-00>QXGA
                [
                    // -
                    [
                        // デフォルト値
                        [6],
                        // 値リスト
                        [16384, 0, 30, 1, 1, 0, 0, 1],
                        [14336, 0, 30, 1, 1, 0, 0, 1],
                        [12288, 0, 30, 1, 1, 0, 0, 1],
                        [10240, 0, 30, 1, 1, 0, 0, 1],
                        [8192, 0, 30, 1, 1, 0, 0, 1],
                        [6144, 0, 30, 1, 1, 0, 0, 1],
                        [4096, 0, 30, 1, 1, 0, 0, 1],
                        [3072, 0, 30, 1, 1, 0, 0, 1],
                        [2048, 0, 15, 1, 1, 0, 0, 1],
                        [1536, 0, 7.5, 1, 1, 0, 0, 1],
                        [1024, 0, 1, 1, 1, 0, 0, 1]
                    ]
                ],
                // <2-01>SXVGA
                [
                    // -
                    [
                        // デフォルト値
                        [2],
                        // 値リスト
                        [8192, 0, 30, 1, 1, 0, 0, 1],
                        [6144, 0, 30, 1, 1, 0, 0, 1],
                        [4096, 0, 30, 1, 1, 0, 0, 1],
                        [3072, 0, 30, 1, 1, 0, 0, 1],
                        [2048, 0, 30, 1, 1, 0, 0, 1],
                        [1536, 0, 30, 1, 1, 0, 0, 1],
                        [1024, 0, 30, 1, 1, 0, 0, 1],
                        [768, 0, 10, 1, 1, 0, 0, 1],
                        [512, 0, 1, 1, 1, 0, 0, 1],
                        [384, 0, 0, 1, 1, 0, 0, 1],
                        [256, 0, 0, 1, 1, 0, 0, 1]
                    ]
                ],
                // <2-02>SVGA
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 0, 0, 1],
                        [3072, 0, 30, 1, 1, 0, 0, 1],
                        [2048, 0, 30, 1, 1, 0, 0, 1],
                        [1536, 0, 30, 1, 1, 0, 0, 1],
                        [1024, 0, 30, 1, 1, 0, 0, 1],
                        [768, 0, 15, 1, 1, 0, 0, 1],
                        [512, 0, 7.5, 1, 1, 0, 0, 1],
                        [384, 0, 1, 1, 1, 0, 0, 1],
                        [256, 0, 0, 1, 1, 0, 0, 1],
                        [128, 0, 0, 1, 1, 0, 0, 1]
                    ]
                ],
                // <2-03>VGA
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 0, 0, 1],
                        [3072, 0, 30, 1, 1, 0, 0, 1],
                        [2048, 0, 30, 1, 1, 0, 0, 1],
                        [1536, 0, 30, 1, 1, 0, 0, 1],
                        [1024, 0, 30, 1, 1, 0, 0, 1],
                        [768, 0, 30, 1, 1, 0, 0, 1],
                        [512, 0, 30, 1, 1, 0, 0, 1],
                        [384, 0, 15, 1, 1, 0, 0, 1],
                        [256, 0, 1, 1, 1, 0, 0, 1],
                        [128, 0, 0, 1, 1, 0, 0, 1],
                        [64, 0, 0, 1, 1, 0, 0, 1]
                    ]
                ],
                // <2-04>400x300
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 0, 0, 0],
                        [3072, 0, 30, 1, 1, 0, 0, 0],
                        [2048, 0, 30, 1, 1, 0, 0, 0],
                        [1536, 0, 30, 1, 1, 0, 0, 0],
                        [1024, 0, 30, 1, 1, 0, 0, 0],
                        [768, 0, 30, 1, 1, 0, 0, 0],
                        [512, 0, 30, 1, 1, 0, 0, 0],
                        [384, 0, 30, 1, 1, 0, 0, 0],
                        [256, 0, 10, 1, 1, 0, 0, 0],
                        [128, 0, 1, 1, 1, 0, 0, 0],
                        [64, 0, 0, 1, 1, 0, 0, 0]
                    ]
                ],
                // <2-05>QVGA
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 0, 0, 1],
                        [3072, 0, 30, 1, 1, 0, 0, 1],
                        [2048, 0, 30, 1, 1, 0, 0, 1],
                        [1536, 0, 30, 1, 1, 0, 0, 1],
                        [1024, 0, 30, 1, 1, 0, 0, 1],
                        [768, 0, 30, 1, 1, 0, 0, 1],
                        [512, 0, 30, 1, 1, 0, 0, 1],
                        [384, 0, 30, 1, 1, 0, 0, 1],
                        [256, 0, 20, 1, 1, 0, 0, 1],
                        [128, 0, 1, 1, 1, 0, 0, 1],
                        [64, 0, 0, 1, 1, 0, 0, 1]
                    ]
                ],
                // <2-06>QQVGA
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [2048, 0, 30, 1, 1, 0, 0, 0],
                        [1536, 0, 30, 1, 1, 0, 0, 0],
                        [1024, 0, 30, 1, 1, 0, 0, 0],
                        [768, 0, 30, 1, 1, 0, 0, 0],
                        [512, 0, 30, 1, 1, 0, 0, 0],
                        [384, 0, 30, 1, 1, 0, 0, 0],
                        [256, 0, 30, 1, 1, 0, 0, 0],
                        [128, 0, 7.5, 1, 1, 0, 0, 0],
                        [64, 0, 1, 1, 1, 0, 0, 0]
                    ]
                ]
            ],
            // <4-3>AdvancedVBR[中]
            [
                // <2-00>QXGA
                [
                    // -
                    [
                        // デフォルト値
                        [6],
                        // 値リスト
                        [16384, 0, 30, 1, 1, 0, 0, 1],
                        [14336, 0, 30, 1, 1, 0, 0, 1],
                        [12288, 0, 30, 1, 1, 0, 0, 1],
                        [10240, 0, 30, 1, 1, 0, 0, 1],
                        [8192, 0, 30, 1, 1, 0, 0, 1],
                        [6144, 0, 30, 1, 1, 0, 0, 1],
                        [4096, 0, 30, 1, 1, 0, 0, 1],
                        [3072, 0, 30, 1, 1, 0, 0, 1],
                        [2048, 0, 15, 1, 1, 0, 0, 1],
                        [1536, 0, 7.5, 1, 1, 0, 0, 1],
                        [1024, 0, 1, 1, 1, 0, 0, 1]
                    ]
                ],
                // <2-01>SXVGA
                [
                    // -
                    [
                        // デフォルト値
                        [2],
                        // 値リスト
                        [8192, 0, 30, 1, 1, 0, 0, 1],
                        [6144, 0, 30, 1, 1, 0, 0, 1],
                        [4096, 0, 30, 1, 1, 0, 0, 1],
                        [3072, 0, 30, 1, 1, 0, 0, 1],
                        [2048, 0, 30, 1, 1, 0, 0, 1],
                        [1536, 0, 30, 1, 1, 0, 0, 1],
                        [1024, 0, 30, 1, 1, 0, 0, 1],
                        [768, 0, 10, 1, 1, 0, 0, 1],
                        [512, 0, 1, 1, 1, 0, 0, 1],
                        [384, 0, 0, 1, 1, 0, 0, 1],
                        [256, 0, 0, 1, 1, 0, 0, 1]
                    ]
                ],
                // <2-02>SVGA
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 0, 0, 1],
                        [3072, 0, 30, 1, 1, 0, 0, 1],
                        [2048, 0, 30, 1, 1, 0, 0, 1],
                        [1536, 0, 30, 1, 1, 0, 0, 1],
                        [1024, 0, 30, 1, 1, 0, 0, 1],
                        [768, 0, 15, 1, 1, 0, 0, 1],
                        [512, 0, 7.5, 1, 1, 0, 0, 1],
                        [384, 0, 1, 1, 1, 0, 0, 1],
                        [256, 0, 0, 1, 1, 0, 0, 1],
                        [128, 0, 0, 1, 1, 0, 0, 1]
                    ]
                ],
                // <2-03>VGA
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 0, 0, 1],
                        [3072, 0, 30, 1, 1, 0, 0, 1],
                        [2048, 0, 30, 1, 1, 0, 0, 1],
                        [1536, 0, 30, 1, 1, 0, 0, 1],
                        [1024, 0, 30, 1, 1, 0, 0, 1],
                        [768, 0, 30, 1, 1, 0, 0, 1],
                        [512, 0, 30, 1, 1, 0, 0, 1],
                        [384, 0, 15, 1, 1, 0, 0, 1],
                        [256, 0, 1, 1, 1, 0, 0, 1],
                        [128, 0, 0, 1, 1, 0, 0, 1],
                        [64, 0, 0, 1, 1, 0, 0, 1]
                    ]
                ],
                // <2-04>400x300
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 0, 0, 0],
                        [3072, 0, 30, 1, 1, 0, 0, 0],
                        [2048, 0, 30, 1, 1, 0, 0, 0],
                        [1536, 0, 30, 1, 1, 0, 0, 0],
                        [1024, 0, 30, 1, 1, 0, 0, 0],
                        [768, 0, 30, 1, 1, 0, 0, 0],
                        [512, 0, 30, 1, 1, 0, 0, 0],
                        [384, 0, 30, 1, 1, 0, 0, 0],
                        [256, 0, 10, 1, 1, 0, 0, 0],
                        [128, 0, 1, 1, 1, 0, 0, 0],
                        [64, 0, 0, 1, 1, 0, 0, 0]
                    ]
                ],
                // <2-05>QVGA
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 0, 0, 1],
                        [3072, 0, 30, 1, 1, 0, 0, 1],
                        [2048, 0, 30, 1, 1, 0, 0, 1],
                        [1536, 0, 30, 1, 1, 0, 0, 1],
                        [1024, 0, 30, 1, 1, 0, 0, 1],
                        [768, 0, 30, 1, 1, 0, 0, 1],
                        [512, 0, 30, 1, 1, 0, 0, 1],
                        [384, 0, 30, 1, 1, 0, 0, 1],
                        [256, 0, 20, 1, 1, 0, 0, 1],
                        [128, 0, 1, 1, 1, 0, 0, 1],
                        [64, 0, 0, 1, 1, 0, 0, 1]
                    ]
                ],
                // <2-06>QQVGA
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [2048, 0, 30, 1, 1, 0, 0, 0],
                        [1536, 0, 30, 1, 1, 0, 0, 0],
                        [1024, 0, 30, 1, 1, 0, 0, 0],
                        [768, 0, 30, 1, 1, 0, 0, 0],
                        [512, 0, 30, 1, 1, 0, 0, 0],
                        [384, 0, 30, 1, 1, 0, 0, 0],
                        [256, 0, 30, 1, 1, 0, 0, 0],
                        [128, 0, 7.5, 1, 1, 0, 0, 0],
                        [64, 0, 1, 1, 1, 0, 0, 0]
                    ]
                ]
            ],
            // <4-4>AdvancedVBR[低]
            [
                // <2-00>QXGA
                [
                    // -
                    [
                        // デフォルト値
                        [6],
                        // 値リスト
                        [16384, 0, 30, 1, 1, 0, 0, 1],
                        [14336, 0, 30, 1, 1, 0, 0, 1],
                        [12288, 0, 30, 1, 1, 0, 0, 1],
                        [10240, 0, 30, 1, 1, 0, 0, 1],
                        [8192, 0, 30, 1, 1, 0, 0, 1],
                        [6144, 0, 30, 1, 1, 0, 0, 1],
                        [4096, 0, 30, 1, 1, 0, 0, 1],
                        [3072, 0, 30, 1, 1, 0, 0, 1],
                        [2048, 0, 15, 1, 1, 0, 0, 1],
                        [1536, 0, 7.5, 1, 1, 0, 0, 1],
                        [1024, 0, 1, 1, 1, 0, 0, 1]
                    ]
                ],
                // <2-01>SXVGA
                [
                    // -
                    [
                        // デフォルト値
                        [2],
                        // 値リスト
                        [8192, 0, 30, 1, 1, 0, 0, 1],
                        [6144, 0, 30, 1, 1, 0, 0, 1],
                        [4096, 0, 30, 1, 1, 0, 0, 1],
                        [3072, 0, 30, 1, 1, 0, 0, 1],
                        [2048, 0, 30, 1, 1, 0, 0, 1],
                        [1536, 0, 30, 1, 1, 0, 0, 1],
                        [1024, 0, 30, 1, 1, 0, 0, 1],
                        [768, 0, 10, 1, 1, 0, 0, 1],
                        [512, 0, 1, 1, 1, 0, 0, 1],
                        [384, 0, 0, 1, 1, 0, 0, 1],
                        [256, 0, 0, 1, 1, 0, 0, 1]
                    ]
                ],
                // <2-02>SVGA
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 0, 0, 1],
                        [3072, 0, 30, 1, 1, 0, 0, 1],
                        [2048, 0, 30, 1, 1, 0, 0, 1],
                        [1536, 0, 30, 1, 1, 0, 0, 1],
                        [1024, 0, 30, 1, 1, 0, 0, 1],
                        [768, 0, 15, 1, 1, 0, 0, 1],
                        [512, 0, 7.5, 1, 1, 0, 0, 1],
                        [384, 0, 1, 1, 1, 0, 0, 1],
                        [256, 0, 0, 1, 1, 0, 0, 1],
                        [128, 0, 0, 1, 1, 0, 0, 1]
                    ]
                ],
                // <2-03>VGA
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 0, 0, 1],
                        [3072, 0, 30, 1, 1, 0, 0, 1],
                        [2048, 0, 30, 1, 1, 0, 0, 1],
                        [1536, 0, 30, 1, 1, 0, 0, 1],
                        [1024, 0, 30, 1, 1, 0, 0, 1],
                        [768, 0, 30, 1, 1, 0, 0, 1],
                        [512, 0, 30, 1, 1, 0, 0, 1],
                        [384, 0, 15, 1, 1, 0, 0, 1],
                        [256, 0, 1, 1, 1, 0, 0, 1],
                        [128, 0, 0, 1, 1, 0, 0, 1],
                        [64, 0, 0, 1, 1, 0, 0, 1]
                    ]
                ],
                // <2-04>400x300
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 0, 0, 0],
                        [3072, 0, 30, 1, 1, 0, 0, 0],
                        [2048, 0, 30, 1, 1, 0, 0, 0],
                        [1536, 0, 30, 1, 1, 0, 0, 0],
                        [1024, 0, 30, 1, 1, 0, 0, 0],
                        [768, 0, 30, 1, 1, 0, 0, 0],
                        [512, 0, 30, 1, 1, 0, 0, 0],
                        [384, 0, 30, 1, 1, 0, 0, 0],
                        [256, 0, 10, 1, 1, 0, 0, 0],
                        [128, 0, 1, 1, 1, 0, 0, 0],
                        [64, 0, 0, 1, 1, 0, 0, 0]
                    ]
                ],
                // <2-05>QVGA
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 0, 0, 1],
                        [3072, 0, 30, 1, 1, 0, 0, 1],
                        [2048, 0, 30, 1, 1, 0, 0, 1],
                        [1536, 0, 30, 1, 1, 0, 0, 1],
                        [1024, 0, 30, 1, 1, 0, 0, 1],
                        [768, 0, 30, 1, 1, 0, 0, 1],
                        [512, 0, 30, 1, 1, 0, 0, 1],
                        [384, 0, 30, 1, 1, 0, 0, 1],
                        [256, 0, 20, 1, 1, 0, 0, 1],
                        [128, 0, 1, 1, 1, 0, 0, 1],
                        [64, 0, 0, 1, 1, 0, 0, 1]
                    ]
                ],
                // <2-06>QQVGA
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [2048, 0, 30, 1, 1, 0, 0, 0],
                        [1536, 0, 30, 1, 1, 0, 0, 0],
                        [1024, 0, 30, 1, 1, 0, 0, 0],
                        [768, 0, 30, 1, 1, 0, 0, 0],
                        [512, 0, 30, 1, 1, 0, 0, 0],
                        [384, 0, 30, 1, 1, 0, 0, 0],
                        [256, 0, 30, 1, 1, 0, 0, 0],
                        [128, 0, 7.5, 1, 1, 0, 0, 0],
                        [64, 0, 1, 1, 1, 0, 0, 0]
                    ]
                ]
            ]
        ]
    ],
    // ----------------------------------------------------
    // 【H.264-03】S**61*/S**31*
    [
        // <3-0>1.3M
        [
            // <4-0>ビットレート優先
            [
                // <2-00>SXVGA
                [
                    // <5-0>画質優先(SF)
                    [
                        // デフォルト値
                        [2],
                        // 値リスト
                        [8192, 0, 30, 1, 1, 0, 0, 1],
                        [6144, 0, 30, 1, 1, 0, 0, 1],
                        [4096, 0, 20, 1, 1, 0, 0, 1],
                        [3072, 0, 15, 1, 1, 0, 0, 1],
                        [2048, 0, 10, 1, 1, 0, 0, 1],
                        [1536, 0, 7.5, 1, 1, 0, 0, 1],
                        [1024, 0, 5, 1, 1, 0, 0, 1],
                        [768, 0, 3, 1, 1, 0, 0, 1],
                        [512, 0, 2, 1, 1, 0, 0, 1],
                        [384, 0, 1, 1, 1, 0, 0, 1],
                        [256, 0, 1, 1, 1, 0, 0, 1]
                    ],
                    // <5-1>標準(FQ)
                    [
                        // デフォルト値
                        [2],
                        // 値リスト
                        [8192, 0, 30, 1, 1, 0, 0, 1],
                        [6144, 0, 30, 1, 1, 0, 0, 1],
                        [4096, 0, 30, 1, 1, 0, 0, 1],
                        [3072, 0, 25, 1, 1, 0, 0, 1],
                        [2048, 0, 20, 1, 1, 0, 0, 1],
                        [1536, 0, 10, 1, 1, 0, 0, 1],
                        [1024, 0, 7.5, 1, 1, 0, 0, 1],
                        [768, 0, 5, 1, 1, 0, 0, 1],
                        [512, 0, 3, 1, 1, 0, 0, 1],
                        [384, 0, 2, 1, 1, 0, 0, 1],
                        [256, 0, 1, 1, 1, 0, 0, 1]
                    ],
                    // <5-2>動き優先(NQ)
                    [
                        // デフォルト値
                        [2],
                        // 値リスト
                        [8192, 0, 30, 1, 1, 0, 0, 1],
                        [6144, 0, 30, 1, 1, 0, 0, 1],
                        [4096, 0, 30, 1, 1, 0, 0, 1],
                        [3072, 0, 30, 1, 1, 0, 0, 1],
                        [2048, 0, 30, 1, 1, 0, 0, 1],
                        [1536, 0, 20, 1, 1, 0, 0, 1],
                        [1024, 0, 15, 1, 1, 0, 0, 1],
                        [768, 0, 10, 1, 1, 0, 0, 1],
                        [512, 0, 7.5, 1, 1, 0, 0, 1],
                        [384, 0, 5, 1, 1, 0, 0, 1],
                        [256, 0, 3, 1, 1, 0, 0, 1]
                    ]
                ],
                // <2-01>SVGA
                [
                    // <5-0>画質優先(SF)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 22.5, 1, 1, 0, 0, 1],
                        [3072, 0, 20, 1, 1, 0, 0, 1],
                        [2048, 0, 15, 1, 1, 0, 0, 1],
                        [1536, 0, 10, 1, 1, 0, 0, 1],
                        [1024, 0, 7.5, 1, 1, 0, 0, 1],
                        [768, 0, 5, 1, 1, 0, 0, 1],
                        [512, 0, 3, 1, 1, 0, 0, 1],
                        [384, 0, 2, 1, 1, 0, 0, 1],
                        [256, 0, 1, 1, 1, 0, 0, 1],
                        [128, 0, 1, 1, 1, 0, 0, 1]
                    ],
                    // <5-1>標準(FQ)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 0, 0, 1],
                        [3072, 0, 30, 1, 1, 0, 0, 1],
                        [2048, 0, 25, 1, 1, 0, 0, 1],
                        [1536, 0, 20, 1, 1, 0, 0, 1],
                        [1024, 0, 10, 1, 1, 0, 0, 1],
                        [768, 0, 7.5, 1, 1, 0, 0, 1],
                        [512, 0, 5, 1, 1, 0, 0, 1],
                        [384, 0, 3, 1, 1, 0, 0, 1],
                        [256, 0, 2, 1, 1, 0, 0, 1],
                        [128, 0, 1, 1, 1, 0, 0, 1]
                    ],
                    // <5-2>動き優先(NQ)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 0, 0, 1],
                        [3072, 0, 30, 1, 1, 0, 0, 1],
                        [2048, 0, 30, 1, 1, 0, 0, 1],
                        [1536, 0, 30, 1, 1, 0, 0, 1],
                        [1024, 0, 20, 1, 1, 0, 0, 1],
                        [768, 0, 15, 1, 1, 0, 0, 1],
                        [512, 0, 10, 1, 1, 0, 0, 1],
                        [384, 0, 7.5, 1, 1, 0, 0, 1],
                        [256, 0, 5, 1, 1, 0, 0, 1],
                        [128, 0, 3, 1, 1, 0, 0, 1]
                    ]
                ],
                // <2-02>VGA
                [
                    // <5-0>画質優先(SF)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 22.5, 1, 1, 0, 0, 1],
                        [3072, 0, 20, 1, 1, 0, 0, 1],
                        [2048, 0, 15, 1, 1, 0, 0, 1],
                        [1536, 0, 15, 1, 1, 0, 0, 1],
                        [1024, 0, 10, 1, 1, 0, 0, 1],
                        [768, 0, 7.5, 1, 1, 0, 0, 1],
                        [512, 0, 5, 1, 1, 0, 0, 1],
                        [384, 0, 3, 1, 1, 0, 0, 1],
                        [256, 0, 2, 1, 1, 0, 0, 1],
                        [128, 0, 1, 1, 1, 0, 0, 1],
                        [64, 0, 1, 1, 1, 0, 0, 1]
                    ],
                    // <5-1>標準(FQ)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 0, 0, 1],
                        [3072, 0, 30, 1, 1, 0, 0, 1],
                        [2048, 0, 30, 1, 1, 0, 0, 1],
                        [1536, 0, 30, 1, 1, 0, 0, 1],
                        [1024, 0, 22.5, 1, 1, 0, 0, 1],
                        [768, 0, 20, 1, 1, 0, 0, 1],
                        [512, 0, 15, 1, 1, 0, 0, 1],
                        [384, 0, 10, 1, 1, 0, 0, 1],
                        [256, 0, 7.5, 1, 1, 0, 0, 1],
                        [128, 0, 5, 1, 1, 0, 0, 1],
                        [64, 0, 2, 1, 1, 0, 0, 1]
                    ],
                    // <5-2>動き優先(NQ)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 0, 0, 1],
                        [3072, 0, 30, 1, 1, 0, 0, 1],
                        [2048, 0, 30, 1, 1, 0, 0, 1],
                        [1536, 0, 30, 1, 1, 0, 0, 1],
                        [1024, 0, 30, 1, 1, 0, 0, 1],
                        [768, 0, 30, 1, 1, 0, 0, 1],
                        [512, 0, 20, 1, 1, 0, 0, 1],
                        [384, 0, 15, 1, 1, 0, 0, 1],
                        [256, 0, 10, 1, 1, 0, 0, 1],
                        [128, 0, 7.5, 1, 1, 0, 0, 1],
                        [64, 0, 3, 1, 1, 0, 0, 1]
                    ]
                ],
                // <2-03>400x300
                [
                    // <5-0>画質優先(SF)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 0, 0, 0],
                        [3072, 0, 30, 1, 1, 0, 0, 0],
                        [2048, 0, 22.5, 1, 1, 0, 0, 0],
                        [1536, 0, 20, 1, 1, 0, 0, 0],
                        [1024, 0, 15, 1, 1, 0, 0, 0],
                        [768, 0, 10, 1, 1, 0, 0, 0],
                        [512, 0, 7.5, 1, 1, 0, 0, 0],
                        [384, 0, 5, 1, 1, 0, 0, 0],
                        [256, 0, 3, 1, 1, 0, 0, 0],
                        [128, 0, 2, 1, 1, 0, 0, 0],
                        [64, 0, 1, 1, 1, 0, 0, 0]
                    ],
                    // <5-1>標準(FQ)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 0, 0, 0],
                        [3072, 0, 30, 1, 1, 0, 0, 0],
                        [2048, 0, 30, 1, 1, 0, 0, 0],
                        [1536, 0, 30, 1, 1, 0, 0, 0],
                        [1024, 0, 30, 1, 1, 0, 0, 0],
                        [768, 0, 22.5, 1, 1, 0, 0, 0],
                        [512, 0, 20, 1, 1, 0, 0, 0],
                        [384, 0, 15, 1, 1, 0, 0, 0],
                        [256, 0, 10, 1, 1, 0, 0, 0],
                        [128, 0, 7.5, 1, 1, 0, 0, 0],
                        [64, 0, 5, 1, 1, 0, 0, 0]
                    ],
                    // <5-2>動き優先(NQ)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 0, 0, 0],
                        [3072, 0, 30, 1, 1, 0, 0, 0],
                        [2048, 0, 30, 1, 1, 0, 0, 0],
                        [1536, 0, 30, 1, 1, 0, 0, 0],
                        [1024, 0, 30, 1, 1, 0, 0, 0],
                        [768, 0, 30, 1, 1, 0, 0, 0],
                        [512, 0, 30, 1, 1, 0, 0, 0],
                        [384, 0, 20, 1, 1, 0, 0, 0],
                        [256, 0, 15, 1, 1, 0, 0, 0],
                        [128, 0, 10, 1, 1, 0, 0, 0],
                        [64, 0, 7.5, 1, 1, 0, 0, 0]
                    ]
                ],
                // <2-04>QVGA
                [
                    // <5-0>画質優先(SF)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 0, 0, 1],
                        [3072, 0, 30, 1, 1, 0, 0, 1],
                        [2048, 0, 30, 1, 1, 0, 0, 1],
                        [1536, 0, 20, 1, 1, 0, 0, 1],
                        [1024, 0, 15, 1, 1, 0, 0, 1],
                        [768, 0, 15, 1, 1, 0, 0, 1],
                        [512, 0, 10, 1, 1, 0, 0, 1],
                        [384, 0, 7.5, 1, 1, 0, 0, 1],
                        [256, 0, 5, 1, 1, 0, 0, 1],
                        [128, 0, 2, 1, 1, 0, 0, 1],
                        [64, 0, 1, 1, 1, 0, 0, 1]
                    ],
                    // <5-1>標準(FQ)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 0, 0, 1],
                        [3072, 0, 30, 1, 1, 0, 0, 1],
                        [2048, 0, 30, 1, 1, 0, 0, 1],
                        [1536, 0, 30, 1, 1, 0, 0, 1],
                        [1024, 0, 30, 1, 1, 0, 0, 1],
                        [768, 0, 30, 1, 1, 0, 0, 1],
                        [512, 0, 25, 1, 1, 0, 0, 1],
                        [384, 0, 20, 1, 1, 0, 0, 1],
                        [256, 0, 15, 1, 1, 0, 0, 1],
                        [128, 0, 10, 1, 1, 0, 0, 1],
                        [64, 0, 5, 1, 1, 0, 0, 1]
                    ],
                    // <5-2>動き優先(NQ)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 0, 0, 1],
                        [3072, 0, 30, 1, 1, 0, 0, 1],
                        [2048, 0, 30, 1, 1, 0, 0, 1],
                        [1536, 0, 30, 1, 1, 0, 0, 1],
                        [1024, 0, 30, 1, 1, 0, 0, 1],
                        [768, 0, 30, 1, 1, 0, 0, 1],
                        [512, 0, 30, 1, 1, 0, 0, 1],
                        [384, 0, 30, 1, 1, 0, 0, 1],
                        [256, 0, 25, 1, 1, 0, 0, 1],
                        [128, 0, 15, 1, 1, 0, 0, 1],
                        [64, 0, 10, 1, 1, 0, 0, 1]
                    ]
                ],
                // <2-05>QQVGA
                [
                    // <5-0>画質優先(SF)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [2048, 0, 30, 1, 1, 0, 0, 0],
                        [1536, 0, 30, 1, 1, 0, 0, 0],
                        [1024, 0, 30, 1, 1, 0, 0, 0],
                        [768, 0, 30, 1, 1, 0, 0, 0],
                        [512, 0, 20, 1, 1, 0, 0, 0],
                        [384, 0, 15, 1, 1, 0, 0, 0],
                        [256, 0, 15, 1, 1, 0, 0, 0],
                        [128, 0, 10, 1, 1, 0, 0, 0],
                        [64, 0, 7.5, 1, 1, 0, 0, 0]
                    ],
                    // <5-1>標準(FQ)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [2048, 0, 30, 1, 1, 0, 0, 0],
                        [1536, 0, 30, 1, 1, 0, 0, 0],
                        [1024, 0, 30, 1, 1, 0, 0, 0],
                        [768, 0, 30, 1, 1, 0, 0, 0],
                        [512, 0, 30, 1, 1, 0, 0, 0],
                        [384, 0, 30, 1, 1, 0, 0, 0],
                        [256, 0, 30, 1, 1, 0, 0, 0],
                        [128, 0, 25, 1, 1, 0, 0, 0],
                        [64, 0, 15, 1, 1, 0, 0, 0]
                    ],
                    // <5-2>動き優先(NQ)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [2048, 0, 30, 1, 1, 0, 0, 0],
                        [1536, 0, 30, 1, 1, 0, 0, 0],
                        [1024, 0, 30, 1, 1, 0, 0, 0],
                        [768, 0, 30, 1, 1, 0, 0, 0],
                        [512, 0, 30, 1, 1, 0, 0, 0],
                        [384, 0, 30, 1, 1, 0, 0, 0],
                        [256, 0, 30, 1, 1, 0, 0, 0],
                        [128, 0, 30, 1, 1, 0, 0, 0],
                        [64, 0, 20, 1, 1, 0, 0, 0]
                    ]
                ],
                // <2-06>HD
                [
                    // <5-0>画質優先(SF)
                    [
                        // デフォルト値
                        [2],
                        // 値リスト
                        [8192, 0, 30, 1, 1, 0, 0, 1],
                        [6144, 0, 30, 1, 1, 0, 0, 1],
                        [4096, 0, 20, 1, 1, 0, 0, 1],
                        [3072, 0, 15, 1, 1, 0, 0, 1],
                        [2048, 0, 10, 1, 1, 0, 0, 1],
                        [1536, 0, 7.5, 1, 1, 0, 0, 1],
                        [1024, 0, 5, 1, 1, 0, 0, 1],
                        [768, 0, 3, 1, 1, 0, 0, 1],
                        [512, 0, 2, 1, 1, 0, 0, 1],
                        [384, 0, 1, 1, 1, 0, 0, 1],
                        [256, 0, 1, 1, 1, 0, 0, 1]
                    ],
                    // <5-1>標準(FQ)
                    [
                        // デフォルト値
                        [2],
                        // 値リスト
                        [8192, 0, 30, 1, 1, 0, 0, 1],
                        [6144, 0, 30, 1, 1, 0, 0, 1],
                        [4096, 0, 30, 1, 1, 0, 0, 1],
                        [3072, 0, 25, 1, 1, 0, 0, 1],
                        [2048, 0, 20, 1, 1, 0, 0, 1],
                        [1536, 0, 10, 1, 1, 0, 0, 1],
                        [1024, 0, 7.5, 1, 1, 0, 0, 1],
                        [768, 0, 5, 1, 1, 0, 0, 1],
                        [512, 0, 3, 1, 1, 0, 0, 1],
                        [384, 0, 2, 1, 1, 0, 0, 1],
                        [256, 0, 1, 1, 1, 0, 0, 1]
                    ],
                    // <5-2>動き優先(NQ)
                    [
                        // デフォルト値
                        [2],
                        // 値リスト
                        [8192, 0, 30, 1, 1, 0, 0, 1],
                        [6144, 0, 30, 1, 1, 0, 0, 1],
                        [4096, 0, 30, 1, 1, 0, 0, 1],
                        [3072, 0, 30, 1, 1, 0, 0, 1],
                        [2048, 0, 30, 1, 1, 0, 0, 1],
                        [1536, 0, 20, 1, 1, 0, 0, 1],
                        [1024, 0, 15, 1, 1, 0, 0, 1],
                        [768, 0, 10, 1, 1, 0, 0, 1],
                        [512, 0, 7.5, 1, 1, 0, 0, 1],
                        [384, 0, 5, 1, 1, 0, 0, 1],
                        [256, 0, 3, 1, 1, 0, 0, 1]
                    ]
                ],
                // <2-07>HVGAW
                [
                    // <5-0>画質優先(SF)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 22.5, 1, 1, 0, 0, 1],
                        [3072, 0, 20, 1, 1, 0, 0, 1],
                        [2048, 0, 15, 1, 1, 0, 0, 1],
                        [1536, 0, 15, 1, 1, 0, 0, 1],
                        [1024, 0, 10, 1, 1, 0, 0, 1],
                        [768, 0, 7.5, 1, 1, 0, 0, 1],
                        [512, 0, 5, 1, 1, 0, 0, 1],
                        [384, 0, 3, 1, 1, 0, 0, 1],
                        [256, 0, 2, 1, 1, 0, 0, 1],
                        [128, 0, 1, 1, 1, 0, 0, 1],
                        [64, 0, 1, 1, 1, 0, 0, 1]
                    ],
                    // <5-1>標準(FQ)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 0, 0, 1],
                        [3072, 0, 30, 1, 1, 0, 0, 1],
                        [2048, 0, 30, 1, 1, 0, 0, 1],
                        [1536, 0, 30, 1, 1, 0, 0, 1],
                        [1024, 0, 22.5, 1, 1, 0, 0, 1],
                        [768, 0, 20, 1, 1, 0, 0, 1],
                        [512, 0, 15, 1, 1, 0, 0, 1],
                        [384, 0, 10, 1, 1, 0, 0, 1],
                        [256, 0, 7.5, 1, 1, 0, 0, 1],
                        [128, 0, 5, 1, 1, 0, 0, 1],
                        [64, 0, 2, 1, 1, 0, 0, 1]
                    ],
                    // <5-2>動き優先(NQ)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 0, 0, 1],
                        [3072, 0, 30, 1, 1, 0, 0, 1],
                        [2048, 0, 30, 1, 1, 0, 0, 1],
                        [1536, 0, 30, 1, 1, 0, 0, 1],
                        [1024, 0, 30, 1, 1, 0, 0, 1],
                        [768, 0, 30, 1, 1, 0, 0, 1],
                        [512, 0, 20, 1, 1, 0, 0, 1],
                        [384, 0, 15, 1, 1, 0, 0, 1],
                        [256, 0, 10, 1, 1, 0, 0, 1],
                        [128, 0, 7.5, 1, 1, 0, 0, 1],
                        [64, 0, 3, 1, 1, 0, 0, 1]
                    ]
                ],
                // <2-08>180P
                [
                    // <5-0>画質優先(SF)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 0, 0, 1],
                        [3072, 0, 30, 1, 1, 0, 0, 1],
                        [2048, 0, 30, 1, 1, 0, 0, 1],
                        [1536, 0, 20, 1, 1, 0, 0, 1],
                        [1024, 0, 15, 1, 1, 0, 0, 1],
                        [768, 0, 15, 1, 1, 0, 0, 1],
                        [512, 0, 10, 1, 1, 0, 0, 1],
                        [384, 0, 7.5, 1, 1, 0, 0, 1],
                        [256, 0, 5, 1, 1, 0, 0, 1],
                        [128, 0, 2, 1, 1, 0, 0, 1],
                        [64, 0, 1, 1, 1, 0, 0, 1]
                    ],
                    // <5-1>標準(FQ)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 0, 0, 1],
                        [3072, 0, 30, 1, 1, 0, 0, 1],
                        [2048, 0, 30, 1, 1, 0, 0, 1],
                        [1536, 0, 30, 1, 1, 0, 0, 1],
                        [1024, 0, 30, 1, 1, 0, 0, 1],
                        [768, 0, 30, 1, 1, 0, 0, 1],
                        [512, 0, 25, 1, 1, 0, 0, 1],
                        [384, 0, 20, 1, 1, 0, 0, 1],
                        [256, 0, 15, 1, 1, 0, 0, 1],
                        [128, 0, 10, 1, 1, 0, 0, 1],
                        [64, 0, 5, 1, 1, 0, 0, 1]
                    ],
                    // <5-2>動き優先(NQ)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 0, 0, 1],
                        [3072, 0, 30, 1, 1, 0, 0, 1],
                        [2048, 0, 30, 1, 1, 0, 0, 1],
                        [1536, 0, 30, 1, 1, 0, 0, 1],
                        [1024, 0, 30, 1, 1, 0, 0, 1],
                        [768, 0, 30, 1, 1, 0, 0, 1],
                        [512, 0, 30, 1, 1, 0, 0, 1],
                        [384, 0, 30, 1, 1, 0, 0, 1],
                        [256, 0, 25, 1, 1, 0, 0, 1],
                        [128, 0, 15, 1, 1, 0, 0, 1],
                        [64, 0, 10, 1, 1, 0, 0, 1]
                    ]
                ],
                // <2-09>160x90
                [
                    // <5-0>画質優先(SF)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [2048, 0, 30, 1, 1, 0, 0, 0],
                        [1536, 0, 30, 1, 1, 0, 0, 0],
                        [1024, 0, 30, 1, 1, 0, 0, 0],
                        [768, 0, 30, 1, 1, 0, 0, 0],
                        [512, 0, 20, 1, 1, 0, 0, 0],
                        [384, 0, 15, 1, 1, 0, 0, 0],
                        [256, 0, 15, 1, 1, 0, 0, 0],
                        [128, 0, 10, 1, 1, 0, 0, 0],
                        [64, 0, 7.5, 1, 1, 0, 0, 0]
                    ],
                    // <5-1>標準(FQ)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [2048, 0, 30, 1, 1, 0, 0, 0],
                        [1536, 0, 30, 1, 1, 0, 0, 0],
                        [1024, 0, 30, 1, 1, 0, 0, 0],
                        [768, 0, 30, 1, 1, 0, 0, 0],
                        [512, 0, 30, 1, 1, 0, 0, 0],
                        [384, 0, 30, 1, 1, 0, 0, 0],
                        [256, 0, 30, 1, 1, 0, 0, 0],
                        [128, 0, 25, 1, 1, 0, 0, 0],
                        [64, 0, 15, 1, 1, 0, 0, 0]
                    ],
                    // <5-2>動き優先(NQ)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [2048, 0, 30, 1, 1, 0, 0, 0],
                        [1536, 0, 30, 1, 1, 0, 0, 0],
                        [1024, 0, 30, 1, 1, 0, 0, 0],
                        [768, 0, 30, 1, 1, 0, 0, 0],
                        [512, 0, 30, 1, 1, 0, 0, 0],
                        [384, 0, 30, 1, 1, 0, 0, 0],
                        [256, 0, 30, 1, 1, 0, 0, 0],
                        [128, 0, 30, 1, 1, 0, 0, 0],
                        [64, 0, 20, 1, 1, 0, 0, 0]
                    ]
                ]
            ],
            // <4-1>フレームレート優先
            [
                // <2-00>SXVGA
                [
                    // -
                    [
                        // デフォルト値
                        [2],
                        // 値リスト
                        [8192, 0, 30, 1, 1, 0, 0, 1],
                        [6144, 0, 30, 1, 1, 0, 0, 1],
                        [4096, 0, 30, 1, 1, 0, 0, 1],
                        [3072, 0, 30, 1, 1, 0, 0, 1],
                        [2048, 0, 30, 1, 1, 0, 0, 1],
                        [1536, 0, 30, 1, 1, 0, 0, 1],
                        [1024, 0, 30, 1, 1, 0, 0, 1],
                        [768, 0, 10, 1, 1, 0, 0, 1],
                        [512, 0, 1, 1, 1, 0, 0, 1],
                        [384, 0, 0, 1, 1, 0, 0, 1],
                        [256, 0, 0, 1, 1, 0, 0, 1]
                    ]
                ],
                // <2-01>SVGA
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 0, 0, 1],
                        [3072, 0, 30, 1, 1, 0, 0, 1],
                        [2048, 0, 30, 1, 1, 0, 0, 1],
                        [1536, 0, 30, 1, 1, 0, 0, 1],
                        [1024, 0, 30, 1, 1, 0, 0, 1],
                        [768, 0, 15, 1, 1, 0, 0, 1],
                        [512, 0, 7.5, 1, 1, 0, 0, 1],
                        [384, 0, 1, 1, 1, 0, 0, 1],
                        [256, 0, 0, 1, 1, 0, 0, 1],
                        [128, 0, 0, 1, 1, 0, 0, 1]
                    ]
                ],
                // <2-02>VGA
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 0, 0, 1],
                        [3072, 0, 30, 1, 1, 0, 0, 1],
                        [2048, 0, 30, 1, 1, 0, 0, 1],
                        [1536, 0, 30, 1, 1, 0, 0, 1],
                        [1024, 0, 30, 1, 1, 0, 0, 1],
                        [768, 0, 30, 1, 1, 0, 0, 1],
                        [512, 0, 30, 1, 1, 0, 0, 1],
                        [384, 0, 15, 1, 1, 0, 0, 1],
                        [256, 0, 1, 1, 1, 0, 0, 1],
                        [128, 0, 0, 1, 1, 0, 0, 1],
                        [64, 0, 0, 1, 1, 0, 0, 1]
                    ]
                ],
                // <2-03>400x300
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 0, 0, 0],
                        [3072, 0, 30, 1, 1, 0, 0, 0],
                        [2048, 0, 30, 1, 1, 0, 0, 0],
                        [1536, 0, 30, 1, 1, 0, 0, 0],
                        [1024, 0, 30, 1, 1, 0, 0, 0],
                        [768, 0, 30, 1, 1, 0, 0, 0],
                        [512, 0, 30, 1, 1, 0, 0, 0],
                        [384, 0, 30, 1, 1, 0, 0, 0],
                        [256, 0, 10, 1, 1, 0, 0, 0],
                        [128, 0, 1, 1, 1, 0, 0, 0],
                        [64, 0, 0, 1, 1, 0, 0, 0]
                    ]
                ],
                // <2-04>QVGA
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 0, 0, 1],
                        [3072, 0, 30, 1, 1, 0, 0, 1],
                        [2048, 0, 30, 1, 1, 0, 0, 1],
                        [1536, 0, 30, 1, 1, 0, 0, 1],
                        [1024, 0, 30, 1, 1, 0, 0, 1],
                        [768, 0, 30, 1, 1, 0, 0, 1],
                        [512, 0, 30, 1, 1, 0, 0, 1],
                        [384, 0, 30, 1, 1, 0, 0, 1],
                        [256, 0, 20, 1, 1, 0, 0, 1],
                        [128, 0, 1, 1, 1, 0, 0, 1],
                        [64, 0, 0, 1, 1, 0, 0, 1]
                    ]
                ],
                // <2-05>QQVGA
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [2048, 0, 30, 1, 1, 0, 0, 0],
                        [1536, 0, 30, 1, 1, 0, 0, 0],
                        [1024, 0, 30, 1, 1, 0, 0, 0],
                        [768, 0, 30, 1, 1, 0, 0, 0],
                        [512, 0, 30, 1, 1, 0, 0, 0],
                        [384, 0, 30, 1, 1, 0, 0, 0],
                        [256, 0, 30, 1, 1, 0, 0, 0],
                        [128, 0, 7.5, 1, 1, 0, 0, 0],
                        [64, 0, 1, 1, 1, 0, 0, 0]
                    ]
                ],
                // <2-06>HD
                [
                    // -
                    [
                        // デフォルト値
                        [2],
                        // 値リスト
                        [8192, 0, 30, 1, 1, 0, 0, 1],
                        [6144, 0, 30, 1, 1, 0, 0, 1],
                        [4096, 0, 30, 1, 1, 0, 0, 1],
                        [3072, 0, 30, 1, 1, 0, 0, 1],
                        [2048, 0, 30, 1, 1, 0, 0, 1],
                        [1536, 0, 30, 1, 1, 0, 0, 1],
                        [1024, 0, 30, 1, 1, 0, 0, 1],
                        [768, 0, 20, 1, 1, 0, 0, 1],
                        [512, 0, 7.5, 1, 1, 0, 0, 1],
                        [384, 0, 1, 1, 1, 0, 0, 1],
                        [256, 0, 0, 1, 1, 0, 0, 1]
                    ]
                ],
                // <2-07>HVGAW
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 0, 0, 1],
                        [3072, 0, 30, 1, 1, 0, 0, 1],
                        [2048, 0, 30, 1, 1, 0, 0, 1],
                        [1536, 0, 30, 1, 1, 0, 0, 1],
                        [1024, 0, 30, 1, 1, 0, 0, 1],
                        [768, 0, 30, 1, 1, 0, 0, 1],
                        [512, 0, 30, 1, 1, 0, 0, 1],
                        [384, 0, 15, 1, 1, 0, 0, 1],
                        [256, 0, 1, 1, 1, 0, 0, 1],
                        [128, 0, 0, 1, 1, 0, 0, 1],
                        [64, 0, 0, 1, 1, 0, 0, 1]
                    ]
                ],
                // <2-08>180P
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 0, 0, 1],
                        [3072, 0, 30, 1, 1, 0, 0, 1],
                        [2048, 0, 30, 1, 1, 0, 0, 1],
                        [1536, 0, 30, 1, 1, 0, 0, 1],
                        [1024, 0, 30, 1, 1, 0, 0, 1],
                        [768, 0, 30, 1, 1, 0, 0, 1],
                        [512, 0, 30, 1, 1, 0, 0, 1],
                        [384, 0, 30, 1, 1, 0, 0, 1],
                        [256, 0, 20, 1, 1, 0, 0, 1],
                        [128, 0, 1, 1, 1, 0, 0, 1],
                        [64, 0, 0, 1, 1, 0, 0, 1]
                    ]
                ],
                // <2-09>160x90
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [2048, 0, 30, 1, 1, 0, 0, 0],
                        [1536, 0, 30, 1, 1, 0, 0, 0],
                        [1024, 0, 30, 1, 1, 0, 0, 0],
                        [768, 0, 30, 1, 1, 0, 0, 0],
                        [512, 0, 30, 1, 1, 0, 0, 0],
                        [384, 0, 30, 1, 1, 0, 0, 0],
                        [256, 0, 30, 1, 1, 0, 0, 0],
                        [128, 0, 7.5, 1, 1, 0, 0, 0],
                        [64, 0, 1, 1, 1, 0, 0, 0]
                    ]
                ]
            ],
            // <4-2>AdvancedVBR[高]
            [
                // <2-00>SXVGA
                [
                    // -
                    [
                        // デフォルト値
                        [2],
                        // 値リスト
                        [8192, 0, 30, 1, 1, 0, 0, 1],
                        [6144, 0, 30, 1, 1, 0, 0, 1],
                        [4096, 0, 30, 1, 1, 0, 0, 1],
                        [3072, 0, 30, 1, 1, 0, 0, 1],
                        [2048, 0, 30, 1, 1, 0, 0, 1],
                        [1536, 0, 30, 1, 1, 0, 0, 1],
                        [1024, 0, 30, 1, 1, 0, 0, 1],
                        [768, 0, 10, 1, 1, 0, 0, 1],
                        [512, 0, 1, 1, 1, 0, 0, 1],
                        [384, 0, 0, 1, 1, 0, 0, 1],
                        [256, 0, 0, 1, 1, 0, 0, 1]
                    ]
                ],
                // <2-01>SVGA
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 0, 0, 1],
                        [3072, 0, 30, 1, 1, 0, 0, 1],
                        [2048, 0, 30, 1, 1, 0, 0, 1],
                        [1536, 0, 30, 1, 1, 0, 0, 1],
                        [1024, 0, 30, 1, 1, 0, 0, 1],
                        [768, 0, 15, 1, 1, 0, 0, 1],
                        [512, 0, 7.5, 1, 1, 0, 0, 1],
                        [384, 0, 1, 1, 1, 0, 0, 1],
                        [256, 0, 0, 1, 1, 0, 0, 1],
                        [128, 0, 0, 1, 1, 0, 0, 1]
                    ]
                ],
                // <2-02>VGA
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 0, 0, 1],
                        [3072, 0, 30, 1, 1, 0, 0, 1],
                        [2048, 0, 30, 1, 1, 0, 0, 1],
                        [1536, 0, 30, 1, 1, 0, 0, 1],
                        [1024, 0, 30, 1, 1, 0, 0, 1],
                        [768, 0, 30, 1, 1, 0, 0, 1],
                        [512, 0, 30, 1, 1, 0, 0, 1],
                        [384, 0, 15, 1, 1, 0, 0, 1],
                        [256, 0, 1, 1, 1, 0, 0, 1],
                        [128, 0, 0, 1, 1, 0, 0, 1],
                        [64, 0, 0, 1, 1, 0, 0, 1]
                    ]
                ],
                // <2-03>400x300
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 0, 0, 0],
                        [3072, 0, 30, 1, 1, 0, 0, 0],
                        [2048, 0, 30, 1, 1, 0, 0, 0],
                        [1536, 0, 30, 1, 1, 0, 0, 0],
                        [1024, 0, 30, 1, 1, 0, 0, 0],
                        [768, 0, 30, 1, 1, 0, 0, 0],
                        [512, 0, 30, 1, 1, 0, 0, 0],
                        [384, 0, 30, 1, 1, 0, 0, 0],
                        [256, 0, 10, 1, 1, 0, 0, 0],
                        [128, 0, 1, 1, 1, 0, 0, 0],
                        [64, 0, 0, 1, 1, 0, 0, 0]
                    ]
                ],
                // <2-04>QVGA
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 0, 0, 1],
                        [3072, 0, 30, 1, 1, 0, 0, 1],
                        [2048, 0, 30, 1, 1, 0, 0, 1],
                        [1536, 0, 30, 1, 1, 0, 0, 1],
                        [1024, 0, 30, 1, 1, 0, 0, 1],
                        [768, 0, 30, 1, 1, 0, 0, 1],
                        [512, 0, 30, 1, 1, 0, 0, 1],
                        [384, 0, 30, 1, 1, 0, 0, 1],
                        [256, 0, 20, 1, 1, 0, 0, 1],
                        [128, 0, 1, 1, 1, 0, 0, 1],
                        [64, 0, 0, 1, 1, 0, 0, 1]
                    ]
                ],
                // <2-05>QQVGA
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [2048, 0, 30, 1, 1, 0, 0, 0],
                        [1536, 0, 30, 1, 1, 0, 0, 0],
                        [1024, 0, 30, 1, 1, 0, 0, 0],
                        [768, 0, 30, 1, 1, 0, 0, 0],
                        [512, 0, 30, 1, 1, 0, 0, 0],
                        [384, 0, 30, 1, 1, 0, 0, 0],
                        [256, 0, 30, 1, 1, 0, 0, 0],
                        [128, 0, 7.5, 1, 1, 0, 0, 0],
                        [64, 0, 1, 1, 1, 0, 0, 0]
                    ]
                ],
                // <2-06>HD
                [
                    // -
                    [
                        // デフォルト値
                        [2],
                        // 値リスト
                        [8192, 0, 30, 1, 1, 0, 0, 1],
                        [6144, 0, 30, 1, 1, 0, 0, 1],
                        [4096, 0, 30, 1, 1, 0, 0, 1],
                        [3072, 0, 30, 1, 1, 0, 0, 1],
                        [2048, 0, 30, 1, 1, 0, 0, 1],
                        [1536, 0, 30, 1, 1, 0, 0, 1],
                        [1024, 0, 30, 1, 1, 0, 0, 1],
                        [768, 0, 20, 1, 1, 0, 0, 1],
                        [512, 0, 7.5, 1, 1, 0, 0, 1],
                        [384, 0, 1, 1, 1, 0, 0, 1],
                        [256, 0, 0, 1, 1, 0, 0, 1]
                    ]
                ],
                // <2-07>HVGAW
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 0, 0, 1],
                        [3072, 0, 30, 1, 1, 0, 0, 1],
                        [2048, 0, 30, 1, 1, 0, 0, 1],
                        [1536, 0, 30, 1, 1, 0, 0, 1],
                        [1024, 0, 30, 1, 1, 0, 0, 1],
                        [768, 0, 30, 1, 1, 0, 0, 1],
                        [512, 0, 30, 1, 1, 0, 0, 1],
                        [384, 0, 15, 1, 1, 0, 0, 1],
                        [256, 0, 1, 1, 1, 0, 0, 1],
                        [128, 0, 0, 1, 1, 0, 0, 1],
                        [64, 0, 0, 1, 1, 0, 0, 1]
                    ]
                ],
                // <2-08>180P
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 0, 0, 1],
                        [3072, 0, 30, 1, 1, 0, 0, 1],
                        [2048, 0, 30, 1, 1, 0, 0, 1],
                        [1536, 0, 30, 1, 1, 0, 0, 1],
                        [1024, 0, 30, 1, 1, 0, 0, 1],
                        [768, 0, 30, 1, 1, 0, 0, 1],
                        [512, 0, 30, 1, 1, 0, 0, 1],
                        [384, 0, 30, 1, 1, 0, 0, 1],
                        [256, 0, 20, 1, 1, 0, 0, 1],
                        [128, 0, 1, 1, 1, 0, 0, 1],
                        [64, 0, 0, 1, 1, 0, 0, 1]
                    ]
                ],
                // <2-09>160x90
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [2048, 0, 30, 1, 1, 0, 0, 0],
                        [1536, 0, 30, 1, 1, 0, 0, 0],
                        [1024, 0, 30, 1, 1, 0, 0, 0],
                        [768, 0, 30, 1, 1, 0, 0, 0],
                        [512, 0, 30, 1, 1, 0, 0, 0],
                        [384, 0, 30, 1, 1, 0, 0, 0],
                        [256, 0, 30, 1, 1, 0, 0, 0],
                        [128, 0, 7.5, 1, 1, 0, 0, 0],
                        [64, 0, 1, 1, 1, 0, 0, 0]
                    ]
                ]
            ],
            // <4-3>AdvancedVBR[中]
            [
                // <2-00>SXVGA
                [
                    // -
                    [
                        // デフォルト値
                        [2],
                        // 値リスト
                        [8192, 0, 30, 1, 1, 0, 0, 1],
                        [6144, 0, 30, 1, 1, 0, 0, 1],
                        [4096, 0, 30, 1, 1, 0, 0, 1],
                        [3072, 0, 30, 1, 1, 0, 0, 1],
                        [2048, 0, 30, 1, 1, 0, 0, 1],
                        [1536, 0, 30, 1, 1, 0, 0, 1],
                        [1024, 0, 30, 1, 1, 0, 0, 1],
                        [768, 0, 10, 1, 1, 0, 0, 1],
                        [512, 0, 1, 1, 1, 0, 0, 1],
                        [384, 0, 0, 1, 1, 0, 0, 1],
                        [256, 0, 0, 1, 1, 0, 0, 1]
                    ]
                ],
                // <2-01>SVGA
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 0, 0, 1],
                        [3072, 0, 30, 1, 1, 0, 0, 1],
                        [2048, 0, 30, 1, 1, 0, 0, 1],
                        [1536, 0, 30, 1, 1, 0, 0, 1],
                        [1024, 0, 30, 1, 1, 0, 0, 1],
                        [768, 0, 15, 1, 1, 0, 0, 1],
                        [512, 0, 7.5, 1, 1, 0, 0, 1],
                        [384, 0, 1, 1, 1, 0, 0, 1],
                        [256, 0, 0, 1, 1, 0, 0, 1],
                        [128, 0, 0, 1, 1, 0, 0, 1]
                    ]
                ],
                // <2-02>VGA
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 0, 0, 1],
                        [3072, 0, 30, 1, 1, 0, 0, 1],
                        [2048, 0, 30, 1, 1, 0, 0, 1],
                        [1536, 0, 30, 1, 1, 0, 0, 1],
                        [1024, 0, 30, 1, 1, 0, 0, 1],
                        [768, 0, 30, 1, 1, 0, 0, 1],
                        [512, 0, 30, 1, 1, 0, 0, 1],
                        [384, 0, 15, 1, 1, 0, 0, 1],
                        [256, 0, 1, 1, 1, 0, 0, 1],
                        [128, 0, 0, 1, 1, 0, 0, 1],
                        [64, 0, 0, 1, 1, 0, 0, 1]
                    ]
                ],
                // <2-03>400x300
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 0, 0, 0],
                        [3072, 0, 30, 1, 1, 0, 0, 0],
                        [2048, 0, 30, 1, 1, 0, 0, 0],
                        [1536, 0, 30, 1, 1, 0, 0, 0],
                        [1024, 0, 30, 1, 1, 0, 0, 0],
                        [768, 0, 30, 1, 1, 0, 0, 0],
                        [512, 0, 30, 1, 1, 0, 0, 0],
                        [384, 0, 30, 1, 1, 0, 0, 0],
                        [256, 0, 10, 1, 1, 0, 0, 0],
                        [128, 0, 1, 1, 1, 0, 0, 0],
                        [64, 0, 0, 1, 1, 0, 0, 0]
                    ]
                ],
                // <2-04>QVGA
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 0, 0, 1],
                        [3072, 0, 30, 1, 1, 0, 0, 1],
                        [2048, 0, 30, 1, 1, 0, 0, 1],
                        [1536, 0, 30, 1, 1, 0, 0, 1],
                        [1024, 0, 30, 1, 1, 0, 0, 1],
                        [768, 0, 30, 1, 1, 0, 0, 1],
                        [512, 0, 30, 1, 1, 0, 0, 1],
                        [384, 0, 30, 1, 1, 0, 0, 1],
                        [256, 0, 20, 1, 1, 0, 0, 1],
                        [128, 0, 1, 1, 1, 0, 0, 1],
                        [64, 0, 0, 1, 1, 0, 0, 1]
                    ]
                ],
                // <2-05>QQVGA
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [2048, 0, 30, 1, 1, 0, 0, 0],
                        [1536, 0, 30, 1, 1, 0, 0, 0],
                        [1024, 0, 30, 1, 1, 0, 0, 0],
                        [768, 0, 30, 1, 1, 0, 0, 0],
                        [512, 0, 30, 1, 1, 0, 0, 0],
                        [384, 0, 30, 1, 1, 0, 0, 0],
                        [256, 0, 30, 1, 1, 0, 0, 0],
                        [128, 0, 7.5, 1, 1, 0, 0, 0],
                        [64, 0, 1, 1, 1, 0, 0, 0]
                    ]
                ],
                // <2-06>HD
                [
                    // -
                    [
                        // デフォルト値
                        [2],
                        // 値リスト
                        [8192, 0, 30, 1, 1, 0, 0, 1],
                        [6144, 0, 30, 1, 1, 0, 0, 1],
                        [4096, 0, 30, 1, 1, 0, 0, 1],
                        [3072, 0, 30, 1, 1, 0, 0, 1],
                        [2048, 0, 30, 1, 1, 0, 0, 1],
                        [1536, 0, 30, 1, 1, 0, 0, 1],
                        [1024, 0, 30, 1, 1, 0, 0, 1],
                        [768, 0, 20, 1, 1, 0, 0, 1],
                        [512, 0, 7.5, 1, 1, 0, 0, 1],
                        [384, 0, 1, 1, 1, 0, 0, 1],
                        [256, 0, 0, 1, 1, 0, 0, 1]
                    ]
                ],
                // <2-07>HVGAW
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 0, 0, 1],
                        [3072, 0, 30, 1, 1, 0, 0, 1],
                        [2048, 0, 30, 1, 1, 0, 0, 1],
                        [1536, 0, 30, 1, 1, 0, 0, 1],
                        [1024, 0, 30, 1, 1, 0, 0, 1],
                        [768, 0, 30, 1, 1, 0, 0, 1],
                        [512, 0, 30, 1, 1, 0, 0, 1],
                        [384, 0, 15, 1, 1, 0, 0, 1],
                        [256, 0, 1, 1, 1, 0, 0, 1],
                        [128, 0, 0, 1, 1, 0, 0, 1],
                        [64, 0, 0, 1, 1, 0, 0, 1]
                    ]
                ],
                // <2-08>180P
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 0, 0, 1],
                        [3072, 0, 30, 1, 1, 0, 0, 1],
                        [2048, 0, 30, 1, 1, 0, 0, 1],
                        [1536, 0, 30, 1, 1, 0, 0, 1],
                        [1024, 0, 30, 1, 1, 0, 0, 1],
                        [768, 0, 30, 1, 1, 0, 0, 1],
                        [512, 0, 30, 1, 1, 0, 0, 1],
                        [384, 0, 30, 1, 1, 0, 0, 1],
                        [256, 0, 20, 1, 1, 0, 0, 1],
                        [128, 0, 1, 1, 1, 0, 0, 1],
                        [64, 0, 0, 1, 1, 0, 0, 1]
                    ]
                ],
                // <2-09>160x90
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [2048, 0, 30, 1, 1, 0, 0, 0],
                        [1536, 0, 30, 1, 1, 0, 0, 0],
                        [1024, 0, 30, 1, 1, 0, 0, 0],
                        [768, 0, 30, 1, 1, 0, 0, 0],
                        [512, 0, 30, 1, 1, 0, 0, 0],
                        [384, 0, 30, 1, 1, 0, 0, 0],
                        [256, 0, 30, 1, 1, 0, 0, 0],
                        [128, 0, 7.5, 1, 1, 0, 0, 0],
                        [64, 0, 1, 1, 1, 0, 0, 0]
                    ]
                ]
            ],
            // <4-4>AdvancedVBR[低]
            [
                // <2-00>SXVGA
                [
                    // -
                    [
                        // デフォルト値
                        [2],
                        // 値リスト
                        [8192, 0, 30, 1, 1, 0, 0, 1],
                        [6144, 0, 30, 1, 1, 0, 0, 1],
                        [4096, 0, 30, 1, 1, 0, 0, 1],
                        [3072, 0, 30, 1, 1, 0, 0, 1],
                        [2048, 0, 30, 1, 1, 0, 0, 1],
                        [1536, 0, 30, 1, 1, 0, 0, 1],
                        [1024, 0, 30, 1, 1, 0, 0, 1],
                        [768, 0, 10, 1, 1, 0, 0, 1],
                        [512, 0, 1, 1, 1, 0, 0, 1],
                        [384, 0, 0, 1, 1, 0, 0, 1],
                        [256, 0, 0, 1, 1, 0, 0, 1]
                    ]
                ],
                // <2-01>SVGA
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 0, 0, 1],
                        [3072, 0, 30, 1, 1, 0, 0, 1],
                        [2048, 0, 30, 1, 1, 0, 0, 1],
                        [1536, 0, 30, 1, 1, 0, 0, 1],
                        [1024, 0, 30, 1, 1, 0, 0, 1],
                        [768, 0, 15, 1, 1, 0, 0, 1],
                        [512, 0, 7.5, 1, 1, 0, 0, 1],
                        [384, 0, 1, 1, 1, 0, 0, 1],
                        [256, 0, 0, 1, 1, 0, 0, 1],
                        [128, 0, 0, 1, 1, 0, 0, 1]
                    ]
                ],
                // <2-02>VGA
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 0, 0, 1],
                        [3072, 0, 30, 1, 1, 0, 0, 1],
                        [2048, 0, 30, 1, 1, 0, 0, 1],
                        [1536, 0, 30, 1, 1, 0, 0, 1],
                        [1024, 0, 30, 1, 1, 0, 0, 1],
                        [768, 0, 30, 1, 1, 0, 0, 1],
                        [512, 0, 30, 1, 1, 0, 0, 1],
                        [384, 0, 15, 1, 1, 0, 0, 1],
                        [256, 0, 1, 1, 1, 0, 0, 1],
                        [128, 0, 0, 1, 1, 0, 0, 1],
                        [64, 0, 0, 1, 1, 0, 0, 1]
                    ]
                ],
                // <2-03>400x300
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 0, 0, 0],
                        [3072, 0, 30, 1, 1, 0, 0, 0],
                        [2048, 0, 30, 1, 1, 0, 0, 0],
                        [1536, 0, 30, 1, 1, 0, 0, 0],
                        [1024, 0, 30, 1, 1, 0, 0, 0],
                        [768, 0, 30, 1, 1, 0, 0, 0],
                        [512, 0, 30, 1, 1, 0, 0, 0],
                        [384, 0, 30, 1, 1, 0, 0, 0],
                        [256, 0, 10, 1, 1, 0, 0, 0],
                        [128, 0, 1, 1, 1, 0, 0, 0],
                        [64, 0, 0, 1, 1, 0, 0, 0]
                    ]
                ],
                // <2-04>QVGA
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 0, 0, 1],
                        [3072, 0, 30, 1, 1, 0, 0, 1],
                        [2048, 0, 30, 1, 1, 0, 0, 1],
                        [1536, 0, 30, 1, 1, 0, 0, 1],
                        [1024, 0, 30, 1, 1, 0, 0, 1],
                        [768, 0, 30, 1, 1, 0, 0, 1],
                        [512, 0, 30, 1, 1, 0, 0, 1],
                        [384, 0, 30, 1, 1, 0, 0, 1],
                        [256, 0, 20, 1, 1, 0, 0, 1],
                        [128, 0, 1, 1, 1, 0, 0, 1],
                        [64, 0, 0, 1, 1, 0, 0, 1]
                    ]
                ],
                // <2-05>QQVGA
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [2048, 0, 30, 1, 1, 0, 0, 0],
                        [1536, 0, 30, 1, 1, 0, 0, 0],
                        [1024, 0, 30, 1, 1, 0, 0, 0],
                        [768, 0, 30, 1, 1, 0, 0, 0],
                        [512, 0, 30, 1, 1, 0, 0, 0],
                        [384, 0, 30, 1, 1, 0, 0, 0],
                        [256, 0, 30, 1, 1, 0, 0, 0],
                        [128, 0, 7.5, 1, 1, 0, 0, 0],
                        [64, 0, 1, 1, 1, 0, 0, 0]
                    ]
                ],
                // <2-06>HD
                [
                    // -
                    [
                        // デフォルト値
                        [2],
                        // 値リスト
                        [8192, 0, 30, 1, 1, 0, 0, 1],
                        [6144, 0, 30, 1, 1, 0, 0, 1],
                        [4096, 0, 30, 1, 1, 0, 0, 1],
                        [3072, 0, 30, 1, 1, 0, 0, 1],
                        [2048, 0, 30, 1, 1, 0, 0, 1],
                        [1536, 0, 30, 1, 1, 0, 0, 1],
                        [1024, 0, 30, 1, 1, 0, 0, 1],
                        [768, 0, 20, 1, 1, 0, 0, 1],
                        [512, 0, 7.5, 1, 1, 0, 0, 1],
                        [384, 0, 1, 1, 1, 0, 0, 1],
                        [256, 0, 0, 1, 1, 0, 0, 1]
                    ]
                ],
                // <2-07>HVGAW
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 0, 0, 1],
                        [3072, 0, 30, 1, 1, 0, 0, 1],
                        [2048, 0, 30, 1, 1, 0, 0, 1],
                        [1536, 0, 30, 1, 1, 0, 0, 1],
                        [1024, 0, 30, 1, 1, 0, 0, 1],
                        [768, 0, 30, 1, 1, 0, 0, 1],
                        [512, 0, 30, 1, 1, 0, 0, 1],
                        [384, 0, 15, 1, 1, 0, 0, 1],
                        [256, 0, 1, 1, 1, 0, 0, 1],
                        [128, 0, 0, 1, 1, 0, 0, 1],
                        [64, 0, 0, 1, 1, 0, 0, 1]
                    ]
                ],
                // <2-08>180P
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 0, 0, 1],
                        [3072, 0, 30, 1, 1, 0, 0, 1],
                        [2048, 0, 30, 1, 1, 0, 0, 1],
                        [1536, 0, 30, 1, 1, 0, 0, 1],
                        [1024, 0, 30, 1, 1, 0, 0, 1],
                        [768, 0, 30, 1, 1, 0, 0, 1],
                        [512, 0, 30, 1, 1, 0, 0, 1],
                        [384, 0, 30, 1, 1, 0, 0, 1],
                        [256, 0, 20, 1, 1, 0, 0, 1],
                        [128, 0, 1, 1, 1, 0, 0, 1],
                        [64, 0, 0, 1, 1, 0, 0, 1]
                    ]
                ],
                // <2-09>160x90
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [2048, 0, 30, 1, 1, 0, 0, 0],
                        [1536, 0, 30, 1, 1, 0, 0, 0],
                        [1024, 0, 30, 1, 1, 0, 0, 0],
                        [768, 0, 30, 1, 1, 0, 0, 0],
                        [512, 0, 30, 1, 1, 0, 0, 0],
                        [384, 0, 30, 1, 1, 0, 0, 0],
                        [256, 0, 30, 1, 1, 0, 0, 0],
                        [128, 0, 7.5, 1, 1, 0, 0, 0],
                        [64, 0, 1, 1, 1, 0, 0, 0]
                    ]
                ]
            ]
        ],
        // <3-1>1.3M(60fps)
        [
            // <4-0>ビットレート優先
            [
                // <2-00>HD
                [
                    // <5-0>画質優先(SF)
                    [
                        // デフォルト値
                        [6],
                        // 値リスト
                        [16384, 0, 60, 1, 1, 0, 0, 0],
                        [14336, 0, 60, 1, 1, 0, 0, 0],
                        [12288, 0, 60, 1, 1, 0, 0, 0],
                        [10240, 0, 60, 1, 1, 0, 0, 0],
                        [8192, 0, 45, 1, 1, 0, 0, 0],
                        [6144, 0, 30, 1, 1, 0, 0, 0],
                        [4096, 0, 20, 1, 1, 0, 0, 0],
                        [3072, 0, 15, 1, 1, 0, 0, 0],
                        [2048, 0, 10, 1, 1, 0, 0, 0],
                        [1536, 0, 7.5, 1, 1, 0, 0, 0],
                        [1024, 0, 5, 1, 1, 0, 0, 0]
                    ],
                    // <5-1>標準(FQ)
                    [
                        // デフォルト値
                        [6],
                        // 値リスト
                        [16384, 0, 60, 1, 1, 0, 0, 0],
                        [14336, 0, 60, 1, 1, 0, 0, 0],
                        [12288, 0, 60, 1, 1, 0, 0, 0],
                        [10240, 0, 60, 1, 1, 0, 0, 0],
                        [8192, 0, 60, 1, 1, 0, 0, 0],
                        [6144, 0, 45, 1, 1, 0, 0, 0],
                        [4096, 0, 30, 1, 1, 0, 0, 0],
                        [3072, 0, 25, 1, 1, 0, 0, 0],
                        [2048, 0, 20, 1, 1, 0, 0, 0],
                        [1536, 0, 10, 1, 1, 0, 0, 0],
                        [1024, 0, 7.5, 1, 1, 0, 0, 0]
                    ],
                    // <5-2>動き優先(NQ)
                    [
                        // デフォルト値
                        [6],
                        // 値リスト
                        [16384, 0, 60, 1, 1, 0, 0, 0],
                        [14336, 0, 60, 1, 1, 0, 0, 0],
                        [12288, 0, 60, 1, 1, 0, 0, 0],
                        [10240, 0, 60, 1, 1, 0, 0, 0],
                        [8192, 0, 60, 1, 1, 0, 0, 0],
                        [6144, 0, 60, 1, 1, 0, 0, 0],
                        [4096, 0, 45, 1, 1, 0, 0, 0],
                        [3072, 0, 30, 1, 1, 0, 0, 0],
                        [2048, 0, 30, 1, 1, 0, 0, 0],
                        [1536, 0, 20, 1, 1, 0, 0, 0],
                        [1024, 0, 15, 1, 1, 0, 0, 0]
                    ]
                ]
            ],
            // <4-1>フレームレート優先
            [
                // <2-00>HD
                [
                    // -
                    [
                        // デフォルト値
                        [6],
                        // 値リスト
                        [16384, 0, 60, 1, 1, 0, 0, 0],
                        [14336, 0, 60, 1, 1, 0, 0, 0],
                        [12288, 0, 60, 1, 1, 0, 0, 0],
                        [10240, 0, 60, 1, 1, 0, 0, 0],
                        [8192, 0, 60, 1, 1, 0, 0, 0],
                        [6144, 0, 60, 1, 1, 0, 0, 0],
                        [4096, 0, 60, 1, 1, 0, 0, 0],
                        [3072, 0, 60, 1, 1, 0, 0, 0],
                        [2048, 0, 60, 1, 1, 0, 0, 0],
                        [1536, 0, 60, 1, 1, 0, 0, 0],
                        [1024, 0, 30, 1, 1, 0, 0, 0]
                    ]
                ]
            ],
            // <4-2>AdvancedVBR[高]
            [
                // <2-00>HD
                [
                    // -
                    [
                        // デフォルト値
                        [6],
                        // 値リスト
                        [16384, 0, 60, 1, 1, 0, 0, 0],
                        [14336, 0, 60, 1, 1, 0, 0, 0],
                        [12288, 0, 60, 1, 1, 0, 0, 0],
                        [10240, 0, 60, 1, 1, 0, 0, 0],
                        [8192, 0, 60, 1, 1, 0, 0, 0],
                        [6144, 0, 60, 1, 1, 0, 0, 0],
                        [4096, 0, 60, 1, 1, 0, 0, 0],
                        [3072, 0, 60, 1, 1, 0, 0, 0],
                        [2048, 0, 60, 1, 1, 0, 0, 0],
                        [1536, 0, 60, 1, 1, 0, 0, 0],
                        [1024, 0, 30, 1, 1, 0, 0, 0]
                    ]
                ]
            ],
            // <4-3>AdvancedVBR[中]
            [
                // <2-00>HD
                [
                    // -
                    [
                        // デフォルト値
                        [6],
                        // 値リスト
                        [16384, 0, 60, 1, 1, 0, 0, 0],
                        [14336, 0, 60, 1, 1, 0, 0, 0],
                        [12288, 0, 60, 1, 1, 0, 0, 0],
                        [10240, 0, 60, 1, 1, 0, 0, 0],
                        [8192, 0, 60, 1, 1, 0, 0, 0],
                        [6144, 0, 60, 1, 1, 0, 0, 0],
                        [4096, 0, 60, 1, 1, 0, 0, 0],
                        [3072, 0, 60, 1, 1, 0, 0, 0],
                        [2048, 0, 60, 1, 1, 0, 0, 0],
                        [1536, 0, 60, 1, 1, 0, 0, 0],
                        [1024, 0, 30, 1, 1, 0, 0, 0]
                    ]
                ]
            ],
            // <4-4>AdvancedVBR[低]
            [
                // <2-00>HD
                [
                    // -
                    [
                        // デフォルト値
                        [6],
                        // 値リスト
                        [16384, 0, 60, 1, 1, 0, 0, 0],
                        [14336, 0, 60, 1, 1, 0, 0, 0],
                        [12288, 0, 60, 1, 1, 0, 0, 0],
                        [10240, 0, 60, 1, 1, 0, 0, 0],
                        [8192, 0, 60, 1, 1, 0, 0, 0],
                        [6144, 0, 60, 1, 1, 0, 0, 0],
                        [4096, 0, 60, 1, 1, 0, 0, 0],
                        [3072, 0, 60, 1, 1, 0, 0, 0],
                        [2048, 0, 60, 1, 1, 0, 0, 0],
                        [1536, 0, 60, 1, 1, 0, 0, 0],
                        [1024, 0, 30, 1, 1, 0, 0, 0]
                    ]
                ]
            ]
        ]
    ],
    // ----------------------------------------------------
    // 【H.264-04】SF4**/SW4**
    [
        // <3-0>1M
        [
            // <4-0>ビットレート優先
            [
                // <2-00>HD
                [
                    // <5-0>画質優先(SF)
                    [
                        // デフォルト値
                        [2],
                        // 値リスト
                        [8192, 0, 30, 1, 1, 0, 0, 1],
                        [6144, 0, 25, 1, 1, 0, 0, 1],
                        [4096, 0, 20, 1, 1, 0, 0, 1],
                        [3072, 0, 15, 1, 1, 0, 0, 1],
                        [2048, 0, 10, 1, 1, 0, 0, 1],
                        [1536, 0, 7.5, 1, 1, 0, 0, 1],
                        [1024, 0, 5, 1, 1, 0, 0, 1],
                        [768, 0, 3, 1, 1, 0, 0, 1],
                        [512, 0, 2, 1, 1, 0, 0, 1],
                        [384, 0, 1, 1, 1, 0, 0, 1],
                        [256, 0, 1, 1, 1, 0, 0, 1]
                    ],
                    // <5-1>標準(FQ)
                    [
                        // デフォルト値
                        [2],
                        // 値リスト
                        [8192, 0, 30, 1, 1, 0, 0, 1],
                        [6144, 0, 30, 1, 1, 0, 0, 1],
                        [4096, 0, 30, 1, 1, 0, 0, 1],
                        [3072, 0, 25, 1, 1, 0, 0, 1],
                        [2048, 0, 20, 1, 1, 0, 0, 1],
                        [1536, 0, 10, 1, 1, 0, 0, 1],
                        [1024, 0, 7.5, 1, 1, 0, 0, 1],
                        [768, 0, 5, 1, 1, 0, 0, 1],
                        [512, 0, 3, 1, 1, 0, 0, 1],
                        [384, 0, 2, 1, 1, 0, 0, 1],
                        [256, 0, 1, 1, 1, 0, 0, 1]
                    ],
                    // <5-2>動き優先(NQ)
                    [
                        // デフォルト値
                        [2],
                        // 値リスト
                        [8192, 0, 30, 1, 1, 0, 0, 1],
                        [6144, 0, 30, 1, 1, 0, 0, 1],
                        [4096, 0, 30, 1, 1, 0, 0, 1],
                        [3072, 0, 30, 1, 1, 0, 0, 1],
                        [2048, 0, 30, 1, 1, 0, 0, 1],
                        [1536, 0, 20, 1, 1, 0, 0, 1],
                        [1024, 0, 15, 1, 1, 0, 0, 1],
                        [768, 0, 10, 1, 1, 0, 0, 1],
                        [512, 0, 7.5, 1, 1, 0, 0, 1],
                        [384, 0, 5, 1, 1, 0, 0, 1],
                        [256, 0, 3, 1, 1, 0, 0, 1]
                    ]
                ],
                // <2-01>HVGAW
                [
                    // <5-0>画質優先(SF)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 22.5, 1, 1, 0, 0, 1],
                        [3072, 0, 20, 1, 1, 0, 0, 1],
                        [2048, 0, 15, 1, 1, 0, 0, 1],
                        [1536, 0, 15, 1, 1, 0, 0, 1],
                        [1024, 0, 10, 1, 1, 0, 0, 1],
                        [768, 0, 7.5, 1, 1, 0, 0, 1],
                        [512, 0, 5, 1, 1, 0, 0, 1],
                        [384, 0, 3, 1, 1, 0, 0, 1],
                        [256, 0, 2, 1, 1, 0, 0, 1],
                        [128, 0, 1, 1, 1, 0, 0, 1],
                        [64, 0, 1, 1, 1, 0, 0, 1]
                    ],
                    // <5-1>標準(FQ)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 0, 0, 1],
                        [3072, 0, 30, 1, 1, 0, 0, 1],
                        [2048, 0, 30, 1, 1, 0, 0, 1],
                        [1536, 0, 30, 1, 1, 0, 0, 1],
                        [1024, 0, 22.5, 1, 1, 0, 0, 1],
                        [768, 0, 20, 1, 1, 0, 0, 1],
                        [512, 0, 15, 1, 1, 0, 0, 1],
                        [384, 0, 10, 1, 1, 0, 0, 1],
                        [256, 0, 7.5, 1, 1, 0, 0, 1],
                        [128, 0, 5, 1, 1, 0, 0, 1],
                        [64, 0, 2, 1, 1, 0, 0, 1]
                    ],
                    // <5-2>動き優先(NQ)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 0, 0, 1],
                        [3072, 0, 30, 1, 1, 0, 0, 1],
                        [2048, 0, 30, 1, 1, 0, 0, 1],
                        [1536, 0, 30, 1, 1, 0, 0, 1],
                        [1024, 0, 30, 1, 1, 0, 0, 1],
                        [768, 0, 30, 1, 1, 0, 0, 1],
                        [512, 0, 20, 1, 1, 0, 0, 1],
                        [384, 0, 15, 1, 1, 0, 0, 1],
                        [256, 0, 10, 1, 1, 0, 0, 1],
                        [128, 0, 7.5, 1, 1, 0, 0, 1],
                        [64, 0, 3, 1, 1, 0, 0, 1]
                    ]
                ],
                // <2-02>180P
                [
                    // <5-0>画質優先(SF)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 0, 0, 1],
                        [3072, 0, 30, 1, 1, 0, 0, 1],
                        [2048, 0, 30, 1, 1, 0, 0, 1],
                        [1536, 0, 20, 1, 1, 0, 0, 1],
                        [1024, 0, 15, 1, 1, 0, 0, 1],
                        [768, 0, 15, 1, 1, 0, 0, 1],
                        [512, 0, 10, 1, 1, 0, 0, 1],
                        [384, 0, 7.5, 1, 1, 0, 0, 1],
                        [256, 0, 5, 1, 1, 0, 0, 1],
                        [128, 0, 2, 1, 1, 0, 0, 1],
                        [64, 0, 1, 1, 1, 0, 0, 1]
                    ],
                    // <5-1>標準(FQ)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 0, 0, 1],
                        [3072, 0, 30, 1, 1, 0, 0, 1],
                        [2048, 0, 30, 1, 1, 0, 0, 1],
                        [1536, 0, 30, 1, 1, 0, 0, 1],
                        [1024, 0, 30, 1, 1, 0, 0, 1],
                        [768, 0, 30, 1, 1, 0, 0, 1],
                        [512, 0, 25, 1, 1, 0, 0, 1],
                        [384, 0, 20, 1, 1, 0, 0, 1],
                        [256, 0, 15, 1, 1, 0, 0, 1],
                        [128, 0, 10, 1, 1, 0, 0, 1],
                        [64, 0, 5, 1, 1, 0, 0, 1]
                    ],
                    // <5-2>動き優先(NQ)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 0, 0, 1],
                        [3072, 0, 30, 1, 1, 0, 0, 1],
                        [2048, 0, 30, 1, 1, 0, 0, 1],
                        [1536, 0, 30, 1, 1, 0, 0, 1],
                        [1024, 0, 30, 1, 1, 0, 0, 1],
                        [768, 0, 30, 1, 1, 0, 0, 1],
                        [512, 0, 30, 1, 1, 0, 0, 1],
                        [384, 0, 30, 1, 1, 0, 0, 1],
                        [256, 0, 25, 1, 1, 0, 0, 1],
                        [128, 0, 15, 1, 1, 0, 0, 1],
                        [64, 0, 10, 1, 1, 0, 0, 1]
                    ]
                ]
            ],
            // <4-1>フレームレート優先
            [
                // <2-00>HD
                [
                    // -
                    [
                        // デフォルト値
                        [2],
                        // 値リスト
                        [8192, 0, 30, 1, 1, 0, 0, 1],
                        [6144, 0, 30, 1, 1, 0, 0, 1],
                        [4096, 0, 30, 1, 1, 0, 0, 1],
                        [3072, 0, 30, 1, 1, 0, 0, 1],
                        [2048, 0, 30, 1, 1, 0, 0, 1],
                        [1536, 0, 30, 1, 1, 0, 0, 1],
                        [1024, 0, 20, 1, 1, 0, 0, 1],
                        [768, 0, 7.5, 1, 1, 0, 0, 1],
                        [512, 0, 1, 1, 1, 0, 0, 1],
                        [384, 0, 0, 1, 1, 0, 0, 1],
                        [256, 0, 0, 1, 1, 0, 0, 1]
                    ]
                ],
                // <2-01>HVGAW
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 0, 0, 1],
                        [3072, 0, 30, 1, 1, 0, 0, 1],
                        [2048, 0, 30, 1, 1, 0, 0, 1],
                        [1536, 0, 30, 1, 1, 0, 0, 1],
                        [1024, 0, 30, 1, 1, 0, 0, 1],
                        [768, 0, 30, 1, 1, 0, 0, 1],
                        [512, 0, 30, 1, 1, 0, 0, 1],
                        [384, 0, 15, 1, 1, 0, 0, 1],
                        [256, 0, 1, 1, 1, 0, 0, 1],
                        [128, 0, 0, 1, 1, 0, 0, 1],
                        [64, 0, 0, 1, 1, 0, 0, 1]
                    ]
                ],
                // <2-02>180P
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 0, 0, 1],
                        [3072, 0, 30, 1, 1, 0, 0, 1],
                        [2048, 0, 30, 1, 1, 0, 0, 1],
                        [1536, 0, 30, 1, 1, 0, 0, 1],
                        [1024, 0, 30, 1, 1, 0, 0, 1],
                        [768, 0, 30, 1, 1, 0, 0, 1],
                        [512, 0, 30, 1, 1, 0, 0, 1],
                        [384, 0, 30, 1, 1, 0, 0, 1],
                        [256, 0, 15, 1, 1, 0, 0, 1],
                        [128, 0, 1, 1, 1, 0, 0, 1],
                        [64, 0, 0, 1, 1, 0, 0, 1]
                    ]
                ]
            ],
            // <4-2>AdvancedVBR[高]
            [
                // <2-00>HD
                [
                    // -
                    [
                        // デフォルト値
                        [2],
                        // 値リスト
                        [8192, 0, 30, 1, 1, 0, 0, 1],
                        [6144, 0, 30, 1, 1, 0, 0, 1],
                        [4096, 0, 30, 1, 1, 0, 0, 1],
                        [3072, 0, 30, 1, 1, 0, 0, 1],
                        [2048, 0, 30, 1, 1, 0, 0, 1],
                        [1536, 0, 30, 1, 1, 0, 0, 1],
                        [1024, 0, 20, 1, 1, 0, 0, 1],
                        [768, 0, 7.5, 1, 1, 0, 0, 1],
                        [512, 0, 1, 1, 1, 0, 0, 1],
                        [384, 0, 0, 1, 1, 0, 0, 1],
                        [256, 0, 0, 1, 1, 0, 0, 1]
                    ]
                ],
                // <2-01>HVGAW
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 0, 0, 1],
                        [3072, 0, 30, 1, 1, 0, 0, 1],
                        [2048, 0, 30, 1, 1, 0, 0, 1],
                        [1536, 0, 30, 1, 1, 0, 0, 1],
                        [1024, 0, 30, 1, 1, 0, 0, 1],
                        [768, 0, 30, 1, 1, 0, 0, 1],
                        [512, 0, 30, 1, 1, 0, 0, 1],
                        [384, 0, 15, 1, 1, 0, 0, 1],
                        [256, 0, 1, 1, 1, 0, 0, 1],
                        [128, 0, 0, 1, 1, 0, 0, 1],
                        [64, 0, 0, 1, 1, 0, 0, 1]
                    ]
                ],
                // <2-02>180P
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 0, 0, 1],
                        [3072, 0, 30, 1, 1, 0, 0, 1],
                        [2048, 0, 30, 1, 1, 0, 0, 1],
                        [1536, 0, 30, 1, 1, 0, 0, 1],
                        [1024, 0, 30, 1, 1, 0, 0, 1],
                        [768, 0, 30, 1, 1, 0, 0, 1],
                        [512, 0, 30, 1, 1, 0, 0, 1],
                        [384, 0, 30, 1, 1, 0, 0, 1],
                        [256, 0, 15, 1, 1, 0, 0, 1],
                        [128, 0, 1, 1, 1, 0, 0, 1],
                        [64, 0, 0, 1, 1, 0, 0, 1]
                    ]
                ]
            ],
            // <4-3>AdvancedVBR[中]
            [
                // <2-00>HD
                [
                    // -
                    [
                        // デフォルト値
                        [2],
                        // 値リスト
                        [8192, 0, 30, 1, 1, 0, 0, 1],
                        [6144, 0, 30, 1, 1, 0, 0, 1],
                        [4096, 0, 30, 1, 1, 0, 0, 1],
                        [3072, 0, 30, 1, 1, 0, 0, 1],
                        [2048, 0, 30, 1, 1, 0, 0, 1],
                        [1536, 0, 30, 1, 1, 0, 0, 1],
                        [1024, 0, 20, 1, 1, 0, 0, 1],
                        [768, 0, 7.5, 1, 1, 0, 0, 1],
                        [512, 0, 1, 1, 1, 0, 0, 1],
                        [384, 0, 0, 1, 1, 0, 0, 1],
                        [256, 0, 0, 1, 1, 0, 0, 1]
                    ]
                ],
                // <2-01>HVGAW
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 0, 0, 1],
                        [3072, 0, 30, 1, 1, 0, 0, 1],
                        [2048, 0, 30, 1, 1, 0, 0, 1],
                        [1536, 0, 30, 1, 1, 0, 0, 1],
                        [1024, 0, 30, 1, 1, 0, 0, 1],
                        [768, 0, 30, 1, 1, 0, 0, 1],
                        [512, 0, 30, 1, 1, 0, 0, 1],
                        [384, 0, 15, 1, 1, 0, 0, 1],
                        [256, 0, 1, 1, 1, 0, 0, 1],
                        [128, 0, 0, 1, 1, 0, 0, 1],
                        [64, 0, 0, 1, 1, 0, 0, 1]
                    ]
                ],
                // <2-02>180P
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 0, 0, 1],
                        [3072, 0, 30, 1, 1, 0, 0, 1],
                        [2048, 0, 30, 1, 1, 0, 0, 1],
                        [1536, 0, 30, 1, 1, 0, 0, 1],
                        [1024, 0, 30, 1, 1, 0, 0, 1],
                        [768, 0, 30, 1, 1, 0, 0, 1],
                        [512, 0, 30, 1, 1, 0, 0, 1],
                        [384, 0, 30, 1, 1, 0, 0, 1],
                        [256, 0, 15, 1, 1, 0, 0, 1],
                        [128, 0, 1, 1, 1, 0, 0, 1],
                        [64, 0, 0, 1, 1, 0, 0, 1]
                    ]
                ]
            ],
            // <4-4>AdvancedVBR[低]
            [
                // <2-00>HD
                [
                    // -
                    [
                        // デフォルト値
                        [2],
                        // 値リスト
                        [8192, 0, 30, 1, 1, 0, 0, 1],
                        [6144, 0, 30, 1, 1, 0, 0, 1],
                        [4096, 0, 30, 1, 1, 0, 0, 1],
                        [3072, 0, 30, 1, 1, 0, 0, 1],
                        [2048, 0, 30, 1, 1, 0, 0, 1],
                        [1536, 0, 30, 1, 1, 0, 0, 1],
                        [1024, 0, 20, 1, 1, 0, 0, 1],
                        [768, 0, 7.5, 1, 1, 0, 0, 1],
                        [512, 0, 1, 1, 1, 0, 0, 1],
                        [384, 0, 0, 1, 1, 0, 0, 1],
                        [256, 0, 0, 1, 1, 0, 0, 1]
                    ]
                ],
                // <2-01>HVGAW
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 0, 0, 1],
                        [3072, 0, 30, 1, 1, 0, 0, 1],
                        [2048, 0, 30, 1, 1, 0, 0, 1],
                        [1536, 0, 30, 1, 1, 0, 0, 1],
                        [1024, 0, 30, 1, 1, 0, 0, 1],
                        [768, 0, 30, 1, 1, 0, 0, 1],
                        [512, 0, 30, 1, 1, 0, 0, 1],
                        [384, 0, 15, 1, 1, 0, 0, 1],
                        [256, 0, 1, 1, 1, 0, 0, 1],
                        [128, 0, 0, 1, 1, 0, 0, 1],
                        [64, 0, 0, 1, 1, 0, 0, 1]
                    ]
                ],
                // <2-02>180P
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 0, 0, 1],
                        [3072, 0, 30, 1, 1, 0, 0, 1],
                        [2048, 0, 30, 1, 1, 0, 0, 1],
                        [1536, 0, 30, 1, 1, 0, 0, 1],
                        [1024, 0, 30, 1, 1, 0, 0, 1],
                        [768, 0, 30, 1, 1, 0, 0, 1],
                        [512, 0, 30, 1, 1, 0, 0, 1],
                        [384, 0, 30, 1, 1, 0, 0, 1],
                        [256, 0, 15, 1, 1, 0, 0, 1],
                        [128, 0, 1, 1, 1, 0, 0, 1],
                        [64, 0, 0, 1, 1, 0, 0, 1]
                    ]
                ]
            ]
        ],
        // <3-1>1.3M
        [
            // <4-0>ビットレート優先
            [
                // <2-00>SXVGA
                [
                    // <5-0>画質優先(SF)
                    [
                        // デフォルト値
                        [2],
                        // 値リスト
                        [8192, 0, 30, 1, 1, 0, 0, 1],
                        [6144, 0, 25, 1, 1, 0, 0, 1],
                        [4096, 0, 20, 1, 1, 0, 0, 1],
                        [3072, 0, 15, 1, 1, 0, 0, 1],
                        [2048, 0, 10, 1, 1, 0, 0, 1],
                        [1536, 0, 7.5, 1, 1, 0, 0, 1],
                        [1024, 0, 5, 1, 1, 0, 0, 1],
                        [768, 0, 3, 1, 1, 0, 0, 1],
                        [512, 0, 2, 1, 1, 0, 0, 1],
                        [384, 0, 1, 1, 1, 0, 0, 1],
                        [256, 0, 1, 1, 1, 0, 0, 1]
                    ],
                    // <5-1>標準(FQ)
                    [
                        // デフォルト値
                        [2],
                        // 値リスト
                        [8192, 0, 30, 1, 1, 0, 0, 1],
                        [6144, 0, 30, 1, 1, 0, 0, 1],
                        [4096, 0, 30, 1, 1, 0, 0, 1],
                        [3072, 0, 25, 1, 1, 0, 0, 1],
                        [2048, 0, 20, 1, 1, 0, 0, 1],
                        [1536, 0, 10, 1, 1, 0, 0, 1],
                        [1024, 0, 7.5, 1, 1, 0, 0, 1],
                        [768, 0, 5, 1, 1, 0, 0, 1],
                        [512, 0, 3, 1, 1, 0, 0, 1],
                        [384, 0, 2, 1, 1, 0, 0, 1],
                        [256, 0, 1, 1, 1, 0, 0, 1]
                    ],
                    // <5-2>動き優先(NQ)
                    [
                        // デフォルト値
                        [2],
                        // 値リスト
                        [8192, 0, 30, 1, 1, 0, 0, 1],
                        [6144, 0, 30, 1, 1, 0, 0, 1],
                        [4096, 0, 30, 1, 1, 0, 0, 1],
                        [3072, 0, 30, 1, 1, 0, 0, 1],
                        [2048, 0, 30, 1, 1, 0, 0, 1],
                        [1536, 0, 20, 1, 1, 0, 0, 1],
                        [1024, 0, 15, 1, 1, 0, 0, 1],
                        [768, 0, 10, 1, 1, 0, 0, 1],
                        [512, 0, 7.5, 1, 1, 0, 0, 1],
                        [384, 0, 5, 1, 1, 0, 0, 1],
                        [256, 0, 3, 1, 1, 0, 0, 1]
                    ]
                ],
                // <2-01>VGA
                [
                    // <5-0>画質優先(SF)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 22.5, 1, 1, 0, 0, 1],
                        [3072, 0, 20, 1, 1, 0, 0, 1],
                        [2048, 0, 15, 1, 1, 0, 0, 1],
                        [1536, 0, 15, 1, 1, 0, 0, 1],
                        [1024, 0, 10, 1, 1, 0, 0, 1],
                        [768, 0, 7.5, 1, 1, 0, 0, 1],
                        [512, 0, 5, 1, 1, 0, 0, 1],
                        [384, 0, 3, 1, 1, 0, 0, 1],
                        [256, 0, 2, 1, 1, 0, 0, 1],
                        [128, 0, 1, 1, 1, 0, 0, 1],
                        [64, 0, 1, 1, 1, 0, 0, 1]
                    ],
                    // <5-1>標準(FQ)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 0, 0, 1],
                        [3072, 0, 30, 1, 1, 0, 0, 1],
                        [2048, 0, 30, 1, 1, 0, 0, 1],
                        [1536, 0, 30, 1, 1, 0, 0, 1],
                        [1024, 0, 22.5, 1, 1, 0, 0, 1],
                        [768, 0, 20, 1, 1, 0, 0, 1],
                        [512, 0, 15, 1, 1, 0, 0, 1],
                        [384, 0, 10, 1, 1, 0, 0, 1],
                        [256, 0, 7.5, 1, 1, 0, 0, 1],
                        [128, 0, 5, 1, 1, 0, 0, 1],
                        [64, 0, 2, 1, 1, 0, 0, 1]
                    ],
                    // <5-2>動き優先(NQ)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 0, 0, 1],
                        [3072, 0, 30, 1, 1, 0, 0, 1],
                        [2048, 0, 30, 1, 1, 0, 0, 1],
                        [1536, 0, 30, 1, 1, 0, 0, 1],
                        [1024, 0, 30, 1, 1, 0, 0, 1],
                        [768, 0, 30, 1, 1, 0, 0, 1],
                        [512, 0, 20, 1, 1, 0, 0, 1],
                        [384, 0, 15, 1, 1, 0, 0, 1],
                        [256, 0, 10, 1, 1, 0, 0, 1],
                        [128, 0, 7.5, 1, 1, 0, 0, 1],
                        [64, 0, 3, 1, 1, 0, 0, 1]
                    ]
                ],
                // <2-02>QVGA
                [
                    // <5-0>画質優先(SF)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 0, 0, 1],
                        [3072, 0, 30, 1, 1, 0, 0, 1],
                        [2048, 0, 30, 1, 1, 0, 0, 1],
                        [1536, 0, 20, 1, 1, 0, 0, 1],
                        [1024, 0, 15, 1, 1, 0, 0, 1],
                        [768, 0, 15, 1, 1, 0, 0, 1],
                        [512, 0, 10, 1, 1, 0, 0, 1],
                        [384, 0, 7.5, 1, 1, 0, 0, 1],
                        [256, 0, 5, 1, 1, 0, 0, 1],
                        [128, 0, 2, 1, 1, 0, 0, 1],
                        [64, 0, 1, 1, 1, 0, 0, 1]
                    ],
                    // <5-1>標準(FQ)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 0, 0, 1],
                        [3072, 0, 30, 1, 1, 0, 0, 1],
                        [2048, 0, 30, 1, 1, 0, 0, 1],
                        [1536, 0, 30, 1, 1, 0, 0, 1],
                        [1024, 0, 30, 1, 1, 0, 0, 1],
                        [768, 0, 30, 1, 1, 0, 0, 1],
                        [512, 0, 25, 1, 1, 0, 0, 1],
                        [384, 0, 20, 1, 1, 0, 0, 1],
                        [256, 0, 15, 1, 1, 0, 0, 1],
                        [128, 0, 10, 1, 1, 0, 0, 1],
                        [64, 0, 5, 1, 1, 0, 0, 1]
                    ],
                    // <5-2>動き優先(NQ)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 0, 0, 1],
                        [3072, 0, 30, 1, 1, 0, 0, 1],
                        [2048, 0, 30, 1, 1, 0, 0, 1],
                        [1536, 0, 30, 1, 1, 0, 0, 1],
                        [1024, 0, 30, 1, 1, 0, 0, 1],
                        [768, 0, 30, 1, 1, 0, 0, 1],
                        [512, 0, 30, 1, 1, 0, 0, 1],
                        [384, 0, 30, 1, 1, 0, 0, 1],
                        [256, 0, 25, 1, 1, 0, 0, 1],
                        [128, 0, 15, 1, 1, 0, 0, 1],
                        [64, 0, 10, 1, 1, 0, 0, 1]
                    ]
                ]
            ],
            // <4-1>フレームレート優先
            [
                // <2-00>SXVGA
                [
                    // -
                    [
                        // デフォルト値
                        [2],
                        // 値リスト
                        [8192, 0, 30, 1, 1, 0, 0, 1],
                        [6144, 0, 30, 1, 1, 0, 0, 1],
                        [4096, 0, 30, 1, 1, 0, 0, 1],
                        [3072, 0, 30, 1, 1, 0, 0, 1],
                        [2048, 0, 30, 1, 1, 0, 0, 1],
                        [1536, 0, 30, 1, 1, 0, 0, 1],
                        [1024, 0, 20, 1, 1, 0, 0, 1],
                        [768, 0, 1, 1, 1, 0, 0, 1],
                        [512, 0, 0, 1, 1, 0, 0, 1],
                        [384, 0, 0, 1, 1, 0, 0, 1],
                        [256, 0, 0, 1, 1, 0, 0, 1]
                    ]
                ],
                // <2-01>VGA
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 0, 0, 1],
                        [3072, 0, 30, 1, 1, 0, 0, 1],
                        [2048, 0, 30, 1, 1, 0, 0, 1],
                        [1536, 0, 30, 1, 1, 0, 0, 1],
                        [1024, 0, 30, 1, 1, 0, 0, 1],
                        [768, 0, 30, 1, 1, 0, 0, 1],
                        [512, 0, 30, 1, 1, 0, 0, 1],
                        [384, 0, 15, 1, 1, 0, 0, 1],
                        [256, 0, 1, 1, 1, 0, 0, 1],
                        [128, 0, 0, 1, 1, 0, 0, 1],
                        [64, 0, 0, 1, 1, 0, 0, 1]
                    ]
                ],
                // <2-02>QVGA
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 0, 0, 1],
                        [3072, 0, 30, 1, 1, 0, 0, 1],
                        [2048, 0, 30, 1, 1, 0, 0, 1],
                        [1536, 0, 30, 1, 1, 0, 0, 1],
                        [1024, 0, 30, 1, 1, 0, 0, 1],
                        [768, 0, 30, 1, 1, 0, 0, 1],
                        [512, 0, 30, 1, 1, 0, 0, 1],
                        [384, 0, 30, 1, 1, 0, 0, 1],
                        [256, 0, 15, 1, 1, 0, 0, 1],
                        [128, 0, 1, 1, 1, 0, 0, 1],
                        [64, 0, 0, 1, 1, 0, 0, 1]
                    ]
                ]
            ],
            // <4-2>AdvancedVBR[高]
            [
                // <2-00>SXVGA
                [
                    // -
                    [
                        // デフォルト値
                        [2],
                        // 値リスト
                        [8192, 0, 30, 1, 1, 0, 0, 1],
                        [6144, 0, 30, 1, 1, 0, 0, 1],
                        [4096, 0, 30, 1, 1, 0, 0, 1],
                        [3072, 0, 30, 1, 1, 0, 0, 1],
                        [2048, 0, 30, 1, 1, 0, 0, 1],
                        [1536, 0, 30, 1, 1, 0, 0, 1],
                        [1024, 0, 20, 1, 1, 0, 0, 1],
                        [768, 0, 1, 1, 1, 0, 0, 1],
                        [512, 0, 0, 1, 1, 0, 0, 1],
                        [384, 0, 0, 1, 1, 0, 0, 1],
                        [256, 0, 0, 1, 1, 0, 0, 1]
                    ]
                ],
                // <2-01>VGA
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 0, 0, 1],
                        [3072, 0, 30, 1, 1, 0, 0, 1],
                        [2048, 0, 30, 1, 1, 0, 0, 1],
                        [1536, 0, 30, 1, 1, 0, 0, 1],
                        [1024, 0, 30, 1, 1, 0, 0, 1],
                        [768, 0, 30, 1, 1, 0, 0, 1],
                        [512, 0, 30, 1, 1, 0, 0, 1],
                        [384, 0, 15, 1, 1, 0, 0, 1],
                        [256, 0, 1, 1, 1, 0, 0, 1],
                        [128, 0, 0, 1, 1, 0, 0, 1],
                        [64, 0, 0, 1, 1, 0, 0, 1]
                    ]
                ],
                // <2-02>QVGA
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 0, 0, 1],
                        [3072, 0, 30, 1, 1, 0, 0, 1],
                        [2048, 0, 30, 1, 1, 0, 0, 1],
                        [1536, 0, 30, 1, 1, 0, 0, 1],
                        [1024, 0, 30, 1, 1, 0, 0, 1],
                        [768, 0, 30, 1, 1, 0, 0, 1],
                        [512, 0, 30, 1, 1, 0, 0, 1],
                        [384, 0, 30, 1, 1, 0, 0, 1],
                        [256, 0, 15, 1, 1, 0, 0, 1],
                        [128, 0, 1, 1, 1, 0, 0, 1],
                        [64, 0, 0, 1, 1, 0, 0, 1]
                    ]
                ]
            ],
            // <4-3>AdvancedVBR[中]
            [
                // <2-00>SXVGA
                [
                    // -
                    [
                        // デフォルト値
                        [2],
                        // 値リスト
                        [8192, 0, 30, 1, 1, 0, 0, 1],
                        [6144, 0, 30, 1, 1, 0, 0, 1],
                        [4096, 0, 30, 1, 1, 0, 0, 1],
                        [3072, 0, 30, 1, 1, 0, 0, 1],
                        [2048, 0, 30, 1, 1, 0, 0, 1],
                        [1536, 0, 30, 1, 1, 0, 0, 1],
                        [1024, 0, 20, 1, 1, 0, 0, 1],
                        [768, 0, 1, 1, 1, 0, 0, 1],
                        [512, 0, 0, 1, 1, 0, 0, 1],
                        [384, 0, 0, 1, 1, 0, 0, 1],
                        [256, 0, 0, 1, 1, 0, 0, 1]
                    ]
                ],
                // <2-01>VGA
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 0, 0, 1],
                        [3072, 0, 30, 1, 1, 0, 0, 1],
                        [2048, 0, 30, 1, 1, 0, 0, 1],
                        [1536, 0, 30, 1, 1, 0, 0, 1],
                        [1024, 0, 30, 1, 1, 0, 0, 1],
                        [768, 0, 30, 1, 1, 0, 0, 1],
                        [512, 0, 30, 1, 1, 0, 0, 1],
                        [384, 0, 15, 1, 1, 0, 0, 1],
                        [256, 0, 1, 1, 1, 0, 0, 1],
                        [128, 0, 0, 1, 1, 0, 0, 1],
                        [64, 0, 0, 1, 1, 0, 0, 1]
                    ]
                ],
                // <2-02>QVGA
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 0, 0, 1],
                        [3072, 0, 30, 1, 1, 0, 0, 1],
                        [2048, 0, 30, 1, 1, 0, 0, 1],
                        [1536, 0, 30, 1, 1, 0, 0, 1],
                        [1024, 0, 30, 1, 1, 0, 0, 1],
                        [768, 0, 30, 1, 1, 0, 0, 1],
                        [512, 0, 30, 1, 1, 0, 0, 1],
                        [384, 0, 30, 1, 1, 0, 0, 1],
                        [256, 0, 15, 1, 1, 0, 0, 1],
                        [128, 0, 1, 1, 1, 0, 0, 1],
                        [64, 0, 0, 1, 1, 0, 0, 1]
                    ]
                ]
            ],
            // <4-4>AdvancedVBR[低]
            [
                // <2-00>SXVGA
                [
                    // -
                    [
                        // デフォルト値
                        [2],
                        // 値リスト
                        [8192, 0, 30, 1, 1, 0, 0, 1],
                        [6144, 0, 30, 1, 1, 0, 0, 1],
                        [4096, 0, 30, 1, 1, 0, 0, 1],
                        [3072, 0, 30, 1, 1, 0, 0, 1],
                        [2048, 0, 30, 1, 1, 0, 0, 1],
                        [1536, 0, 30, 1, 1, 0, 0, 1],
                        [1024, 0, 20, 1, 1, 0, 0, 1],
                        [768, 0, 1, 1, 1, 0, 0, 1],
                        [512, 0, 0, 1, 1, 0, 0, 1],
                        [384, 0, 0, 1, 1, 0, 0, 1],
                        [256, 0, 0, 1, 1, 0, 0, 1]
                    ]
                ],
                // <2-01>VGA
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 0, 0, 1],
                        [3072, 0, 30, 1, 1, 0, 0, 1],
                        [2048, 0, 30, 1, 1, 0, 0, 1],
                        [1536, 0, 30, 1, 1, 0, 0, 1],
                        [1024, 0, 30, 1, 1, 0, 0, 1],
                        [768, 0, 30, 1, 1, 0, 0, 1],
                        [512, 0, 30, 1, 1, 0, 0, 1],
                        [384, 0, 15, 1, 1, 0, 0, 1],
                        [256, 0, 1, 1, 1, 0, 0, 1],
                        [128, 0, 0, 1, 1, 0, 0, 1],
                        [64, 0, 0, 1, 1, 0, 0, 1]
                    ]
                ],
                // <2-02>QVGA
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 0, 0, 1],
                        [3072, 0, 30, 1, 1, 0, 0, 1],
                        [2048, 0, 30, 1, 1, 0, 0, 1],
                        [1536, 0, 30, 1, 1, 0, 0, 1],
                        [1024, 0, 30, 1, 1, 0, 0, 1],
                        [768, 0, 30, 1, 1, 0, 0, 1],
                        [512, 0, 30, 1, 1, 0, 0, 1],
                        [384, 0, 30, 1, 1, 0, 0, 1],
                        [256, 0, 15, 1, 1, 0, 0, 1],
                        [128, 0, 1, 1, 1, 0, 0, 1],
                        [64, 0, 0, 1, 1, 0, 0, 1]
                    ]
                ]
            ]
        ],
        // <3-2>2M
        [
            // <4-0>ビットレート優先
            [
                // <2-00>FHD
                [
                    // <5-0>画質優先(SF)
                    [
                        // デフォルト値
                        [5],
                        // 値リスト
                        [14336, 0, 30, 1, 1, 0, 0, 1],
                        [12288, 0, 30, 1, 1, 0, 0, 1],
                        [10240, 0, 30, 1, 1, 0, 0, 1],
                        [8192, 0, 30, 1, 1, 0, 0, 1],
                        [6144, 0, 25, 1, 1, 0, 0, 1],
                        [4096, 0, 20, 1, 1, 0, 0, 1],
                        [3072, 0, 15, 1, 1, 0, 0, 1],
                        [2048, 0, 10, 1, 1, 0, 0, 1],
                        [1536, 0, 7.5, 1, 1, 0, 0, 1],
                        [1024, 0, 5, 1, 1, 0, 0, 1],
                        [768, 0, 3, 1, 1, 0, 0, 1],
                        [512, 0, 2, 1, 1, 0, 0, 1]
                    ],
                    // <5-1>標準(FQ)
                    [
                        // デフォルト値
                        [5],
                        // 値リスト
                        [14336, 0, 30, 1, 1, 0, 0, 1],
                        [12288, 0, 30, 1, 1, 0, 0, 1],
                        [10240, 0, 30, 1, 1, 0, 0, 1],
                        [8192, 0, 30, 1, 1, 0, 0, 1],
                        [6144, 0, 30, 1, 1, 0, 0, 1],
                        [4096, 0, 30, 1, 1, 0, 0, 1],
                        [3072, 0, 25, 1, 1, 0, 0, 1],
                        [2048, 0, 20, 1, 1, 0, 0, 1],
                        [1536, 0, 10, 1, 1, 0, 0, 1],
                        [1024, 0, 7.5, 1, 1, 0, 0, 1],
                        [768, 0, 5, 1, 1, 0, 0, 1],
                        [512, 0, 3, 1, 1, 0, 0, 1]
                    ],
                    // <5-2>動き優先(NQ)
                    [
                        // デフォルト値
                        [5],
                        // 値リスト
                        [14336, 0, 30, 1, 1, 0, 0, 1],
                        [12288, 0, 30, 1, 1, 0, 0, 1],
                        [10240, 0, 30, 1, 1, 0, 0, 1],
                        [8192, 0, 30, 1, 1, 0, 0, 1],
                        [6144, 0, 30, 1, 1, 0, 0, 1],
                        [4096, 0, 30, 1, 1, 0, 0, 1],
                        [3072, 0, 30, 1, 1, 0, 0, 1],
                        [2048, 0, 30, 1, 1, 0, 0, 1],
                        [1536, 0, 20, 1, 1, 0, 0, 1],
                        [1024, 0, 15, 1, 1, 0, 0, 1],
                        [768, 0, 10, 1, 1, 0, 0, 1],
                        [512, 0, 7.5, 1, 1, 0, 0, 1]
                    ]
                ],
                // <2-01>HVGAW
                [
                    // <5-0>画質優先(SF)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 22.5, 1, 1, 0, 0, 1],
                        [3072, 0, 20, 1, 1, 0, 0, 1],
                        [2048, 0, 15, 1, 1, 0, 0, 1],
                        [1536, 0, 15, 1, 1, 0, 0, 1],
                        [1024, 0, 10, 1, 1, 0, 0, 1],
                        [768, 0, 7.5, 1, 1, 0, 0, 1],
                        [512, 0, 5, 1, 1, 0, 0, 1],
                        [384, 0, 3, 1, 1, 0, 0, 1],
                        [256, 0, 2, 1, 1, 0, 0, 1],
                        [128, 0, 1, 1, 1, 0, 0, 1],
                        [64, 0, 1, 1, 1, 0, 0, 1]
                    ],
                    // <5-1>標準(FQ)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 0, 0, 1],
                        [3072, 0, 30, 1, 1, 0, 0, 1],
                        [2048, 0, 30, 1, 1, 0, 0, 1],
                        [1536, 0, 30, 1, 1, 0, 0, 1],
                        [1024, 0, 22.5, 1, 1, 0, 0, 1],
                        [768, 0, 20, 1, 1, 0, 0, 1],
                        [512, 0, 15, 1, 1, 0, 0, 1],
                        [384, 0, 10, 1, 1, 0, 0, 1],
                        [256, 0, 7.5, 1, 1, 0, 0, 1],
                        [128, 0, 5, 1, 1, 0, 0, 1],
                        [64, 0, 2, 1, 1, 0, 0, 1]
                    ],
                    // <5-2>動き優先(NQ)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 0, 0, 1],
                        [3072, 0, 30, 1, 1, 0, 0, 1],
                        [2048, 0, 30, 1, 1, 0, 0, 1],
                        [1536, 0, 30, 1, 1, 0, 0, 1],
                        [1024, 0, 30, 1, 1, 0, 0, 1],
                        [768, 0, 30, 1, 1, 0, 0, 1],
                        [512, 0, 20, 1, 1, 0, 0, 1],
                        [384, 0, 15, 1, 1, 0, 0, 1],
                        [256, 0, 10, 1, 1, 0, 0, 1],
                        [128, 0, 7.5, 1, 1, 0, 0, 1],
                        [64, 0, 3, 1, 1, 0, 0, 1]
                    ]
                ],
                // <2-02>180P
                [
                    // <5-0>画質優先(SF)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 0, 0, 1],
                        [3072, 0, 30, 1, 1, 0, 0, 1],
                        [2048, 0, 30, 1, 1, 0, 0, 1],
                        [1536, 0, 20, 1, 1, 0, 0, 1],
                        [1024, 0, 15, 1, 1, 0, 0, 1],
                        [768, 0, 15, 1, 1, 0, 0, 1],
                        [512, 0, 10, 1, 1, 0, 0, 1],
                        [384, 0, 7.5, 1, 1, 0, 0, 1],
                        [256, 0, 5, 1, 1, 0, 0, 1],
                        [128, 0, 2, 1, 1, 0, 0, 1],
                        [64, 0, 1, 1, 1, 0, 0, 1]
                    ],
                    // <5-1>標準(FQ)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 0, 0, 1],
                        [3072, 0, 30, 1, 1, 0, 0, 1],
                        [2048, 0, 30, 1, 1, 0, 0, 1],
                        [1536, 0, 30, 1, 1, 0, 0, 1],
                        [1024, 0, 30, 1, 1, 0, 0, 1],
                        [768, 0, 30, 1, 1, 0, 0, 1],
                        [512, 0, 25, 1, 1, 0, 0, 1],
                        [384, 0, 20, 1, 1, 0, 0, 1],
                        [256, 0, 15, 1, 1, 0, 0, 1],
                        [128, 0, 10, 1, 1, 0, 0, 1],
                        [64, 0, 5, 1, 1, 0, 0, 1]
                    ],
                    // <5-2>動き優先(NQ)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 0, 0, 1],
                        [3072, 0, 30, 1, 1, 0, 0, 1],
                        [2048, 0, 30, 1, 1, 0, 0, 1],
                        [1536, 0, 30, 1, 1, 0, 0, 1],
                        [1024, 0, 30, 1, 1, 0, 0, 1],
                        [768, 0, 30, 1, 1, 0, 0, 1],
                        [512, 0, 30, 1, 1, 0, 0, 1],
                        [384, 0, 30, 1, 1, 0, 0, 1],
                        [256, 0, 25, 1, 1, 0, 0, 1],
                        [128, 0, 15, 1, 1, 0, 0, 1],
                        [64, 0, 10, 1, 1, 0, 0, 1]
                    ]
                ]
            ],
            // <4-1>フレームレート優先
            [
                // <2-00>FHD
                [
                    // -
                    [
                        // デフォルト値
                        [5],
                        // 値リスト
                        [14336, 0, 30, 1, 1, 0, 0, 1],
                        [12288, 0, 30, 1, 1, 0, 0, 1],
                        [10240, 0, 30, 1, 1, 0, 0, 1],
                        [8192, 0, 30, 1, 1, 0, 0, 1],
                        [6144, 0, 30, 1, 1, 0, 0, 1],
                        [4096, 0, 30, 1, 1, 0, 0, 1],
                        [3072, 0, 30, 1, 1, 0, 0, 1],
                        [2048, 0, 15, 1, 1, 0, 0, 1],
                        [1536, 0, 7.5, 1, 1, 0, 0, 1],
                        [1024, 0, 1, 1, 1, 0, 0, 1],
                        [768, 0, 0, 1, 1, 0, 0, 1],
                        [512, 0, 0, 1, 1, 0, 0, 1]
                    ]
                ],
                // <2-01>HVGAW
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 0, 0, 1],
                        [3072, 0, 30, 1, 1, 0, 0, 1],
                        [2048, 0, 30, 1, 1, 0, 0, 1],
                        [1536, 0, 30, 1, 1, 0, 0, 1],
                        [1024, 0, 30, 1, 1, 0, 0, 1],
                        [768, 0, 30, 1, 1, 0, 0, 1],
                        [512, 0, 30, 1, 1, 0, 0, 1],
                        [384, 0, 15, 1, 1, 0, 0, 1],
                        [256, 0, 1, 1, 1, 0, 0, 1],
                        [128, 0, 0, 1, 1, 0, 0, 1],
                        [64, 0, 0, 1, 1, 0, 0, 1]
                    ]
                ],
                // <2-02>180P
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 0, 0, 1],
                        [3072, 0, 30, 1, 1, 0, 0, 1],
                        [2048, 0, 30, 1, 1, 0, 0, 1],
                        [1536, 0, 30, 1, 1, 0, 0, 1],
                        [1024, 0, 30, 1, 1, 0, 0, 1],
                        [768, 0, 30, 1, 1, 0, 0, 1],
                        [512, 0, 30, 1, 1, 0, 0, 1],
                        [384, 0, 30, 1, 1, 0, 0, 1],
                        [256, 0, 15, 1, 1, 0, 0, 1],
                        [128, 0, 1, 1, 1, 0, 0, 1],
                        [64, 0, 0, 1, 1, 0, 0, 1]
                    ]
                ]
            ],
            // <4-2>AdvancedVBR[高]
            [
                // <2-00>FHD
                [
                    // -
                    [
                        // デフォルト値
                        [5],
                        // 値リスト
                        [14336, 0, 30, 1, 1, 0, 0, 1],
                        [12288, 0, 30, 1, 1, 0, 0, 1],
                        [10240, 0, 30, 1, 1, 0, 0, 1],
                        [8192, 0, 30, 1, 1, 0, 0, 1],
                        [6144, 0, 30, 1, 1, 0, 0, 1],
                        [4096, 0, 30, 1, 1, 0, 0, 1],
                        [3072, 0, 30, 1, 1, 0, 0, 1],
                        [2048, 0, 15, 1, 1, 0, 0, 1],
                        [1536, 0, 7.5, 1, 1, 0, 0, 1],
                        [1024, 0, 1, 1, 1, 0, 0, 1],
                        [768, 0, 0, 1, 1, 0, 0, 1],
                        [512, 0, 0, 1, 1, 0, 0, 1]
                    ]
                ],
                // <2-01>HVGAW
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 0, 0, 1],
                        [3072, 0, 30, 1, 1, 0, 0, 1],
                        [2048, 0, 30, 1, 1, 0, 0, 1],
                        [1536, 0, 30, 1, 1, 0, 0, 1],
                        [1024, 0, 30, 1, 1, 0, 0, 1],
                        [768, 0, 30, 1, 1, 0, 0, 1],
                        [512, 0, 30, 1, 1, 0, 0, 1],
                        [384, 0, 15, 1, 1, 0, 0, 1],
                        [256, 0, 1, 1, 1, 0, 0, 1],
                        [128, 0, 0, 1, 1, 0, 0, 1],
                        [64, 0, 0, 1, 1, 0, 0, 1]
                    ]
                ],
                // <2-02>180P
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 0, 0, 1],
                        [3072, 0, 30, 1, 1, 0, 0, 1],
                        [2048, 0, 30, 1, 1, 0, 0, 1],
                        [1536, 0, 30, 1, 1, 0, 0, 1],
                        [1024, 0, 30, 1, 1, 0, 0, 1],
                        [768, 0, 30, 1, 1, 0, 0, 1],
                        [512, 0, 30, 1, 1, 0, 0, 1],
                        [384, 0, 30, 1, 1, 0, 0, 1],
                        [256, 0, 15, 1, 1, 0, 0, 1],
                        [128, 0, 1, 1, 1, 0, 0, 1],
                        [64, 0, 0, 1, 1, 0, 0, 1]
                    ]
                ]
            ],
            // <4-3>AdvancedVBR[中]
            [
                // <2-00>FHD
                [
                    // -
                    [
                        // デフォルト値
                        [5],
                        // 値リスト
                        [14336, 0, 30, 1, 1, 0, 0, 1],
                        [12288, 0, 30, 1, 1, 0, 0, 1],
                        [10240, 0, 30, 1, 1, 0, 0, 1],
                        [8192, 0, 30, 1, 1, 0, 0, 1],
                        [6144, 0, 30, 1, 1, 0, 0, 1],
                        [4096, 0, 30, 1, 1, 0, 0, 1],
                        [3072, 0, 30, 1, 1, 0, 0, 1],
                        [2048, 0, 15, 1, 1, 0, 0, 1],
                        [1536, 0, 7.5, 1, 1, 0, 0, 1],
                        [1024, 0, 1, 1, 1, 0, 0, 1],
                        [768, 0, 0, 1, 1, 0, 0, 1],
                        [512, 0, 0, 1, 1, 0, 0, 1]
                    ]
                ],
                // <2-01>HVGAW
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 0, 0, 1],
                        [3072, 0, 30, 1, 1, 0, 0, 1],
                        [2048, 0, 30, 1, 1, 0, 0, 1],
                        [1536, 0, 30, 1, 1, 0, 0, 1],
                        [1024, 0, 30, 1, 1, 0, 0, 1],
                        [768, 0, 30, 1, 1, 0, 0, 1],
                        [512, 0, 30, 1, 1, 0, 0, 1],
                        [384, 0, 15, 1, 1, 0, 0, 1],
                        [256, 0, 1, 1, 1, 0, 0, 1],
                        [128, 0, 0, 1, 1, 0, 0, 1],
                        [64, 0, 0, 1, 1, 0, 0, 1]
                    ]
                ],
                // <2-02>180P
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 0, 0, 1],
                        [3072, 0, 30, 1, 1, 0, 0, 1],
                        [2048, 0, 30, 1, 1, 0, 0, 1],
                        [1536, 0, 30, 1, 1, 0, 0, 1],
                        [1024, 0, 30, 1, 1, 0, 0, 1],
                        [768, 0, 30, 1, 1, 0, 0, 1],
                        [512, 0, 30, 1, 1, 0, 0, 1],
                        [384, 0, 30, 1, 1, 0, 0, 1],
                        [256, 0, 15, 1, 1, 0, 0, 1],
                        [128, 0, 1, 1, 1, 0, 0, 1],
                        [64, 0, 0, 1, 1, 0, 0, 1]
                    ]
                ]
            ],
            // <4-4>AdvancedVBR[低]
            [
                // <2-00>FHD
                [
                    // -
                    [
                        // デフォルト値
                        [5],
                        // 値リスト
                        [14336, 0, 30, 1, 1, 0, 0, 1],
                        [12288, 0, 30, 1, 1, 0, 0, 1],
                        [10240, 0, 30, 1, 1, 0, 0, 1],
                        [8192, 0, 30, 1, 1, 0, 0, 1],
                        [6144, 0, 30, 1, 1, 0, 0, 1],
                        [4096, 0, 30, 1, 1, 0, 0, 1],
                        [3072, 0, 30, 1, 1, 0, 0, 1],
                        [2048, 0, 15, 1, 1, 0, 0, 1],
                        [1536, 0, 7.5, 1, 1, 0, 0, 1],
                        [1024, 0, 1, 1, 1, 0, 0, 1],
                        [768, 0, 0, 1, 1, 0, 0, 1],
                        [512, 0, 0, 1, 1, 0, 0, 1]
                    ]
                ],
                // <2-01>HVGAW
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 0, 0, 1],
                        [3072, 0, 30, 1, 1, 0, 0, 1],
                        [2048, 0, 30, 1, 1, 0, 0, 1],
                        [1536, 0, 30, 1, 1, 0, 0, 1],
                        [1024, 0, 30, 1, 1, 0, 0, 1],
                        [768, 0, 30, 1, 1, 0, 0, 1],
                        [512, 0, 30, 1, 1, 0, 0, 1],
                        [384, 0, 15, 1, 1, 0, 0, 1],
                        [256, 0, 1, 1, 1, 0, 0, 1],
                        [128, 0, 0, 1, 1, 0, 0, 1],
                        [64, 0, 0, 1, 1, 0, 0, 1]
                    ]
                ],
                // <2-02>180P
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 0, 0, 1],
                        [3072, 0, 30, 1, 1, 0, 0, 1],
                        [2048, 0, 30, 1, 1, 0, 0, 1],
                        [1536, 0, 30, 1, 1, 0, 0, 1],
                        [1024, 0, 30, 1, 1, 0, 0, 1],
                        [768, 0, 30, 1, 1, 0, 0, 1],
                        [512, 0, 30, 1, 1, 0, 0, 1],
                        [384, 0, 30, 1, 1, 0, 0, 1],
                        [256, 0, 15, 1, 1, 0, 0, 1],
                        [128, 0, 1, 1, 1, 0, 0, 1],
                        [64, 0, 0, 1, 1, 0, 0, 1]
                    ]
                ]
            ]
        ],
        // <3-3>3M
        [
            // <4-0>ビットレート優先
            [
                // <2-00>SXVGA
                [
                    // <5-0>画質優先(SF)
                    [
                        // デフォルト値
                        [2],
                        // 値リスト
                        [8192, 0, 15, 1, 1, 0, 0, 0],
                        [6144, 0, 15, 1, 1, 0, 0, 0],
                        [4096, 0, 15, 1, 1, 0, 0, 0],
                        [3072, 0, 15, 1, 1, 0, 0, 0],
                        [2048, 0, 10, 1, 1, 0, 0, 0],
                        [1536, 0, 7.5, 1, 1, 0, 0, 0],
                        [1024, 0, 5, 1, 1, 0, 0, 0],
                        [768, 0, 3, 1, 1, 0, 0, 0],
                        [512, 0, 2, 1, 1, 0, 0, 0],
                        [384, 0, 1, 1, 1, 0, 0, 0],
                        [256, 0, 1, 1, 1, 0, 0, 0]
                    ],
                    // <5-1>標準(FQ)
                    [
                        // デフォルト値
                        [2],
                        // 値リスト
                        [8192, 0, 15, 1, 1, 0, 0, 0],
                        [6144, 0, 15, 1, 1, 0, 0, 0],
                        [4096, 0, 15, 1, 1, 0, 0, 0],
                        [3072, 0, 15, 1, 1, 0, 0, 0],
                        [2048, 0, 15, 1, 1, 0, 0, 0],
                        [1536, 0, 10, 1, 1, 0, 0, 0],
                        [1024, 0, 7.5, 1, 1, 0, 0, 0],
                        [768, 0, 5, 1, 1, 0, 0, 0],
                        [512, 0, 3, 1, 1, 0, 0, 0],
                        [384, 0, 2, 1, 1, 0, 0, 0],
                        [256, 0, 1, 1, 1, 0, 0, 0]
                    ],
                    // <5-2>動き優先(NQ)
                    [
                        // デフォルト値
                        [2],
                        // 値リスト
                        [8192, 0, 15, 1, 1, 0, 0, 0],
                        [6144, 0, 15, 1, 1, 0, 0, 0],
                        [4096, 0, 15, 1, 1, 0, 0, 0],
                        [3072, 0, 15, 1, 1, 0, 0, 0],
                        [2048, 0, 15, 1, 1, 0, 0, 0],
                        [1536, 0, 15, 1, 1, 0, 0, 0],
                        [1024, 0, 15, 1, 1, 0, 0, 0],
                        [768, 0, 10, 1, 1, 0, 0, 0],
                        [512, 0, 7.5, 1, 1, 0, 0, 0],
                        [384, 0, 5, 1, 1, 0, 0, 0],
                        [256, 0, 3, 1, 1, 0, 0, 0]
                    ]
                ]
            ],
            // <4-1>フレームレート優先
            [
                // <2-00>SXVGA
                [
                    // -
                    [
                        // デフォルト値
                        [2],
                        // 値リスト
                        [8192, 0, 15, 1, 1, 0, 0, 0],
                        [6144, 0, 15, 1, 1, 0, 0, 0],
                        [4096, 0, 15, 1, 1, 0, 0, 0],
                        [3072, 0, 15, 1, 1, 0, 0, 0],
                        [2048, 0, 15, 1, 1, 0, 0, 0],
                        [1536, 0, 15, 1, 1, 0, 0, 0],
                        [1024, 0, 15, 1, 1, 0, 0, 0],
                        [768, 0, 1, 1, 1, 0, 0, 0],
                        [512, 0, 0, 1, 1, 0, 0, 0],
                        [384, 0, 0, 1, 1, 0, 0, 0],
                        [256, 0, 0, 1, 1, 0, 0, 0]
                    ]
                ]
            ],
            // <4-2>AdvancedVBR[高]
            [
                // <2-00>SXVGA
                [
                    // -
                    [
                        // デフォルト値
                        [2],
                        // 値リスト
                        [8192, 0, 15, 1, 1, 0, 0, 0],
                        [6144, 0, 15, 1, 1, 0, 0, 0],
                        [4096, 0, 15, 1, 1, 0, 0, 0],
                        [3072, 0, 15, 1, 1, 0, 0, 0],
                        [2048, 0, 15, 1, 1, 0, 0, 0],
                        [1536, 0, 15, 1, 1, 0, 0, 0],
                        [1024, 0, 15, 1, 1, 0, 0, 0],
                        [768, 0, 1, 1, 1, 0, 0, 0],
                        [512, 0, 0, 1, 1, 0, 0, 0],
                        [384, 0, 0, 1, 1, 0, 0, 0],
                        [256, 0, 0, 1, 1, 0, 0, 0]
                    ]
                ]
            ],
            // <4-3>AdvancedVBR[中]
            [
                // <2-00>SXVGA
                [
                    // -
                    [
                        // デフォルト値
                        [2],
                        // 値リスト
                        [8192, 0, 15, 1, 1, 0, 0, 0],
                        [6144, 0, 15, 1, 1, 0, 0, 0],
                        [4096, 0, 15, 1, 1, 0, 0, 0],
                        [3072, 0, 15, 1, 1, 0, 0, 0],
                        [2048, 0, 15, 1, 1, 0, 0, 0],
                        [1536, 0, 15, 1, 1, 0, 0, 0],
                        [1024, 0, 15, 1, 1, 0, 0, 0],
                        [768, 0, 1, 1, 1, 0, 0, 0],
                        [512, 0, 0, 1, 1, 0, 0, 0],
                        [384, 0, 0, 1, 1, 0, 0, 0],
                        [256, 0, 0, 1, 1, 0, 0, 0]
                    ]
                ]
            ],
            // <4-4>AdvancedVBR[低]
            [
                // <2-00>SXVGA
                [
                    // -
                    [
                        // デフォルト値
                        [2],
                        // 値リスト
                        [8192, 0, 15, 1, 1, 0, 0, 0],
                        [6144, 0, 15, 1, 1, 0, 0, 0],
                        [4096, 0, 15, 1, 1, 0, 0, 0],
                        [3072, 0, 15, 1, 1, 0, 0, 0],
                        [2048, 0, 15, 1, 1, 0, 0, 0],
                        [1536, 0, 15, 1, 1, 0, 0, 0],
                        [1024, 0, 15, 1, 1, 0, 0, 0],
                        [768, 0, 1, 1, 1, 0, 0, 0],
                        [512, 0, 0, 1, 1, 0, 0, 0],
                        [384, 0, 0, 1, 1, 0, 0, 0],
                        [256, 0, 0, 1, 1, 0, 0, 0]
                    ]
                ]
            ]
        ],
        // <3-4>2モード
        [
            // <4-0>ビットレート優先
            [
                // <2-00>FHD
                [
                    // <5-0>画質優先(SF)
                    [
                        // デフォルト値
                        [5],
                        // 値リスト
                        [14336, 0, 15, 1, 1, 0, 0, 0],
                        [12288, 0, 15, 1, 1, 0, 0, 0],
                        [10240, 0, 15, 1, 1, 0, 0, 0],
                        [8192, 0, 15, 1, 1, 0, 0, 0],
                        [6144, 0, 15, 1, 1, 0, 0, 0],
                        [4096, 0, 15, 1, 1, 0, 0, 0],
                        [3072, 0, 15, 1, 1, 0, 0, 0],
                        [2048, 0, 10, 1, 1, 0, 0, 0],
                        [1536, 0, 7.5, 1, 1, 0, 0, 0],
                        [1024, 0, 5, 1, 1, 0, 0, 0],
                        [768, 0, 3, 1, 1, 0, 0, 0],
                        [512, 0, 2, 1, 1, 0, 0, 0]
                    ],
                    // <5-1>標準(FQ)
                    [
                        // デフォルト値
                        [5],
                        // 値リスト
                        [14336, 0, 15, 1, 1, 0, 0, 0],
                        [12288, 0, 15, 1, 1, 0, 0, 0],
                        [10240, 0, 15, 1, 1, 0, 0, 0],
                        [8192, 0, 15, 1, 1, 0, 0, 0],
                        [6144, 0, 15, 1, 1, 0, 0, 0],
                        [4096, 0, 15, 1, 1, 0, 0, 0],
                        [3072, 0, 15, 1, 1, 0, 0, 0],
                        [2048, 0, 15, 1, 1, 0, 0, 0],
                        [1536, 0, 10, 1, 1, 0, 0, 0],
                        [1024, 0, 7.5, 1, 1, 0, 0, 0],
                        [768, 0, 5, 1, 1, 0, 0, 0],
                        [512, 0, 3, 1, 1, 0, 0, 0]
                    ],
                    // <5-2>動き優先(NQ)
                    [
                        // デフォルト値
                        [5],
                        // 値リスト
                        [14336, 0, 15, 1, 1, 0, 0, 0],
                        [12288, 0, 15, 1, 1, 0, 0, 0],
                        [10240, 0, 15, 1, 1, 0, 0, 0],
                        [8192, 0, 15, 1, 1, 0, 0, 0],
                        [6144, 0, 15, 1, 1, 0, 0, 0],
                        [4096, 0, 15, 1, 1, 0, 0, 0],
                        [3072, 0, 15, 1, 1, 0, 0, 0],
                        [2048, 0, 15, 1, 1, 0, 0, 0],
                        [1536, 0, 15, 1, 1, 0, 0, 0],
                        [1024, 0, 15, 1, 1, 0, 0, 0],
                        [768, 0, 10, 1, 1, 0, 0, 0],
                        [512, 0, 7.5, 1, 1, 0, 0, 0]
                    ]
                ],
                // <2-01>HVGAW
                [
                    // <5-0>画質優先(SF)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 15, 1, 1, 0, 0, 0],
                        [3072, 0, 15, 1, 1, 0, 0, 0],
                        [2048, 0, 15, 1, 1, 0, 0, 0],
                        [1536, 0, 15, 1, 1, 0, 0, 0],
                        [1024, 0, 10, 1, 1, 0, 0, 0],
                        [768, 0, 7.5, 1, 1, 0, 0, 0],
                        [512, 0, 5, 1, 1, 0, 0, 0],
                        [384, 0, 3, 1, 1, 0, 0, 0],
                        [256, 0, 2, 1, 1, 0, 0, 0],
                        [128, 0, 1, 1, 1, 0, 0, 0],
                        [64, 0, 1, 1, 1, 0, 0, 0]
                    ],
                    // <5-1>標準(FQ)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 15, 1, 1, 0, 0, 0],
                        [3072, 0, 15, 1, 1, 0, 0, 0],
                        [2048, 0, 15, 1, 1, 0, 0, 0],
                        [1536, 0, 15, 1, 1, 0, 0, 0],
                        [1024, 0, 15, 1, 1, 0, 0, 0],
                        [768, 0, 15, 1, 1, 0, 0, 0],
                        [512, 0, 15, 1, 1, 0, 0, 0],
                        [384, 0, 10, 1, 1, 0, 0, 0],
                        [256, 0, 7.5, 1, 1, 0, 0, 0],
                        [128, 0, 5, 1, 1, 0, 0, 0],
                        [64, 0, 2, 1, 1, 0, 0, 0]
                    ],
                    // <5-2>動き優先(NQ)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 15, 1, 1, 0, 0, 0],
                        [3072, 0, 15, 1, 1, 0, 0, 0],
                        [2048, 0, 15, 1, 1, 0, 0, 0],
                        [1536, 0, 15, 1, 1, 0, 0, 0],
                        [1024, 0, 15, 1, 1, 0, 0, 0],
                        [768, 0, 15, 1, 1, 0, 0, 0],
                        [512, 0, 15, 1, 1, 0, 0, 0],
                        [384, 0, 15, 1, 1, 0, 0, 0],
                        [256, 0, 10, 1, 1, 0, 0, 0],
                        [128, 0, 7.5, 1, 1, 0, 0, 0],
                        [64, 0, 3, 1, 1, 0, 0, 0]
                    ]
                ],
                // <2-02>180P
                [
                    // <5-0>画質優先(SF)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 15, 1, 1, 0, 0, 0],
                        [3072, 0, 15, 1, 1, 0, 0, 0],
                        [2048, 0, 15, 1, 1, 0, 0, 0],
                        [1536, 0, 15, 1, 1, 0, 0, 0],
                        [1024, 0, 15, 1, 1, 0, 0, 0],
                        [768, 0, 15, 1, 1, 0, 0, 0],
                        [512, 0, 10, 1, 1, 0, 0, 0],
                        [384, 0, 7.5, 1, 1, 0, 0, 0],
                        [256, 0, 5, 1, 1, 0, 0, 0],
                        [128, 0, 2, 1, 1, 0, 0, 0],
                        [64, 0, 1, 1, 1, 0, 0, 0]
                    ],
                    // <5-1>標準(FQ)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 15, 1, 1, 0, 0, 0],
                        [3072, 0, 15, 1, 1, 0, 0, 0],
                        [2048, 0, 15, 1, 1, 0, 0, 0],
                        [1536, 0, 15, 1, 1, 0, 0, 0],
                        [1024, 0, 15, 1, 1, 0, 0, 0],
                        [768, 0, 15, 1, 1, 0, 0, 0],
                        [512, 0, 15, 1, 1, 0, 0, 0],
                        [384, 0, 15, 1, 1, 0, 0, 0],
                        [256, 0, 15, 1, 1, 0, 0, 0],
                        [128, 0, 10, 1, 1, 0, 0, 0],
                        [64, 0, 5, 1, 1, 0, 0, 0]
                    ],
                    // <5-2>動き優先(NQ)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 15, 1, 1, 0, 0, 0],
                        [3072, 0, 15, 1, 1, 0, 0, 0],
                        [2048, 0, 15, 1, 1, 0, 0, 0],
                        [1536, 0, 15, 1, 1, 0, 0, 0],
                        [1024, 0, 15, 1, 1, 0, 0, 0],
                        [768, 0, 15, 1, 1, 0, 0, 0],
                        [512, 0, 15, 1, 1, 0, 0, 0],
                        [384, 0, 15, 1, 1, 0, 0, 0],
                        [256, 0, 15, 1, 1, 0, 0, 0],
                        [128, 0, 15, 1, 1, 0, 0, 0],
                        [64, 0, 10, 1, 1, 0, 0, 0]
                    ]
                ],
                // <2-03>SXVGA
                [
                    // <5-0>画質優先(SF)
                    [
                        // デフォルト値
                        [2],
                        // 値リスト
                        [8192, 0, 15, 1, 1, 0, 0, 1],
                        [6144, 0, 15, 1, 1, 0, 0, 1],
                        [4096, 0, 15, 1, 1, 0, 0, 1],
                        [3072, 0, 15, 1, 1, 0, 0, 1],
                        [2048, 0, 10, 1, 1, 0, 0, 1],
                        [1536, 0, 7.5, 1, 1, 0, 0, 1],
                        [1024, 0, 5, 1, 1, 0, 0, 1],
                        [768, 0, 3, 1, 1, 0, 0, 1],
                        [512, 0, 2, 1, 1, 0, 0, 1],
                        [384, 0, 1, 1, 1, 0, 0, 1],
                        [256, 0, 1, 1, 1, 0, 0, 1]
                    ],
                    // <5-1>標準(FQ)
                    [
                        // デフォルト値
                        [2],
                        // 値リスト
                        [8192, 0, 15, 1, 1, 0, 0, 1],
                        [6144, 0, 15, 1, 1, 0, 0, 1],
                        [4096, 0, 15, 1, 1, 0, 0, 1],
                        [3072, 0, 15, 1, 1, 0, 0, 1],
                        [2048, 0, 15, 1, 1, 0, 0, 1],
                        [1536, 0, 10, 1, 1, 0, 0, 1],
                        [1024, 0, 7.5, 1, 1, 0, 0, 1],
                        [768, 0, 5, 1, 1, 0, 0, 1],
                        [512, 0, 3, 1, 1, 0, 0, 1],
                        [384, 0, 2, 1, 1, 0, 0, 1],
                        [256, 0, 1, 1, 1, 0, 0, 1]
                    ],
                    // <5-2>動き優先(NQ)
                    [
                        // デフォルト値
                        [2],
                        // 値リスト
                        [8192, 0, 15, 1, 1, 0, 0, 1],
                        [6144, 0, 15, 1, 1, 0, 0, 1],
                        [4096, 0, 15, 1, 1, 0, 0, 1],
                        [3072, 0, 15, 1, 1, 0, 0, 1],
                        [2048, 0, 15, 1, 1, 0, 0, 1],
                        [1536, 0, 15, 1, 1, 0, 0, 1],
                        [1024, 0, 15, 1, 1, 0, 0, 1],
                        [768, 0, 10, 1, 1, 0, 0, 1],
                        [512, 0, 7.5, 1, 1, 0, 0, 1],
                        [384, 0, 5, 1, 1, 0, 0, 1],
                        [256, 0, 3, 1, 1, 0, 0, 1]
                    ]
                ],
                // <2-04>VGA
                [
                    // <5-0>画質優先(SF)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 15, 1, 1, 0, 0, 1],
                        [3072, 0, 15, 1, 1, 0, 0, 1],
                        [2048, 0, 15, 1, 1, 0, 0, 1],
                        [1536, 0, 15, 1, 1, 0, 0, 1],
                        [1024, 0, 10, 1, 1, 0, 0, 1],
                        [768, 0, 7.5, 1, 1, 0, 0, 1],
                        [512, 0, 5, 1, 1, 0, 0, 1],
                        [384, 0, 3, 1, 1, 0, 0, 1],
                        [256, 0, 2, 1, 1, 0, 0, 1],
                        [128, 0, 1, 1, 1, 0, 0, 1],
                        [64, 0, 1, 1, 1, 0, 0, 1]
                    ],
                    // <5-1>標準(FQ)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 15, 1, 1, 0, 0, 1],
                        [3072, 0, 15, 1, 1, 0, 0, 1],
                        [2048, 0, 15, 1, 1, 0, 0, 1],
                        [1536, 0, 15, 1, 1, 0, 0, 1],
                        [1024, 0, 15, 1, 1, 0, 0, 1],
                        [768, 0, 15, 1, 1, 0, 0, 1],
                        [512, 0, 15, 1, 1, 0, 0, 1],
                        [384, 0, 10, 1, 1, 0, 0, 1],
                        [256, 0, 7.5, 1, 1, 0, 0, 1],
                        [128, 0, 5, 1, 1, 0, 0, 1],
                        [64, 0, 2, 1, 1, 0, 0, 1]
                    ],
                    // <5-2>動き優先(NQ)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 15, 1, 1, 0, 0, 1],
                        [3072, 0, 15, 1, 1, 0, 0, 1],
                        [2048, 0, 15, 1, 1, 0, 0, 1],
                        [1536, 0, 15, 1, 1, 0, 0, 1],
                        [1024, 0, 15, 1, 1, 0, 0, 1],
                        [768, 0, 15, 1, 1, 0, 0, 1],
                        [512, 0, 15, 1, 1, 0, 0, 1],
                        [384, 0, 15, 1, 1, 0, 0, 1],
                        [256, 0, 10, 1, 1, 0, 0, 1],
                        [128, 0, 7.5, 1, 1, 0, 0, 1],
                        [64, 0, 3, 1, 1, 0, 0, 1]
                    ]
                ],
                // <2-05>QVGA
                [
                    // <5-0>画質優先(SF)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 15, 1, 1, 0, 0, 1],
                        [3072, 0, 15, 1, 1, 0, 0, 1],
                        [2048, 0, 15, 1, 1, 0, 0, 1],
                        [1536, 0, 15, 1, 1, 0, 0, 1],
                        [1024, 0, 15, 1, 1, 0, 0, 1],
                        [768, 0, 15, 1, 1, 0, 0, 1],
                        [512, 0, 10, 1, 1, 0, 0, 1],
                        [384, 0, 7.5, 1, 1, 0, 0, 1],
                        [256, 0, 5, 1, 1, 0, 0, 1],
                        [128, 0, 2, 1, 1, 0, 0, 1],
                        [64, 0, 1, 1, 1, 0, 0, 1]
                    ],
                    // <5-1>標準(FQ)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 15, 1, 1, 0, 0, 1],
                        [3072, 0, 15, 1, 1, 0, 0, 1],
                        [2048, 0, 15, 1, 1, 0, 0, 1],
                        [1536, 0, 15, 1, 1, 0, 0, 1],
                        [1024, 0, 15, 1, 1, 0, 0, 1],
                        [768, 0, 15, 1, 1, 0, 0, 1],
                        [512, 0, 15, 1, 1, 0, 0, 1],
                        [384, 0, 15, 1, 1, 0, 0, 1],
                        [256, 0, 15, 1, 1, 0, 0, 1],
                        [128, 0, 10, 1, 1, 0, 0, 1],
                        [64, 0, 5, 1, 1, 0, 0, 1]
                    ],
                    // <5-2>動き優先(NQ)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 15, 1, 1, 0, 0, 1],
                        [3072, 0, 15, 1, 1, 0, 0, 1],
                        [2048, 0, 15, 1, 1, 0, 0, 1],
                        [1536, 0, 15, 1, 1, 0, 0, 1],
                        [1024, 0, 15, 1, 1, 0, 0, 1],
                        [768, 0, 15, 1, 1, 0, 0, 1],
                        [512, 0, 15, 1, 1, 0, 0, 1],
                        [384, 0, 15, 1, 1, 0, 0, 1],
                        [256, 0, 15, 1, 1, 0, 0, 1],
                        [128, 0, 15, 1, 1, 0, 0, 1],
                        [64, 0, 10, 1, 1, 0, 0, 1]
                    ]
                ]
            ],
            // <4-1>フレームレート優先
            [
                // <2-00>FHD
                [
                    // -
                    [
                        // デフォルト値
                        [5],
                        // 値リスト
                        [14336, 0, 15, 1, 1, 0, 0, 0],
                        [12288, 0, 15, 1, 1, 0, 0, 0],
                        [10240, 0, 15, 1, 1, 0, 0, 0],
                        [8192, 0, 15, 1, 1, 0, 0, 0],
                        [6144, 0, 15, 1, 1, 0, 0, 0],
                        [4096, 0, 15, 1, 1, 0, 0, 0],
                        [3072, 0, 15, 1, 1, 0, 0, 0],
                        [2048, 0, 15, 1, 1, 0, 0, 0],
                        [1536, 0, 7.5, 1, 1, 0, 0, 0],
                        [1024, 0, 1, 1, 1, 0, 0, 0],
                        [768, 0, 0, 1, 1, 0, 0, 0],
                        [512, 0, 0, 1, 1, 0, 0, 0]
                    ]
                ],
                // <2-01>HVGAW
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 15, 1, 1, 0, 0, 0],
                        [3072, 0, 15, 1, 1, 0, 0, 0],
                        [2048, 0, 15, 1, 1, 0, 0, 0],
                        [1536, 0, 15, 1, 1, 0, 0, 0],
                        [1024, 0, 15, 1, 1, 0, 0, 0],
                        [768, 0, 15, 1, 1, 0, 0, 0],
                        [512, 0, 15, 1, 1, 0, 0, 0],
                        [384, 0, 15, 1, 1, 0, 0, 0],
                        [256, 0, 1, 1, 1, 0, 0, 0],
                        [128, 0, 0, 1, 1, 0, 0, 0],
                        [64, 0, 0, 1, 1, 0, 0, 0]
                    ]
                ],
                // <2-02>180P
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 15, 1, 1, 0, 0, 0],
                        [3072, 0, 15, 1, 1, 0, 0, 0],
                        [2048, 0, 15, 1, 1, 0, 0, 0],
                        [1536, 0, 15, 1, 1, 0, 0, 0],
                        [1024, 0, 15, 1, 1, 0, 0, 0],
                        [768, 0, 15, 1, 1, 0, 0, 0],
                        [512, 0, 15, 1, 1, 0, 0, 0],
                        [384, 0, 15, 1, 1, 0, 0, 0],
                        [256, 0, 15, 1, 1, 0, 0, 0],
                        [128, 0, 1, 1, 1, 0, 0, 0],
                        [64, 0, 0, 1, 1, 0, 0, 0]
                    ]
                ],
                // <2-03>SXVGA
                [
                    // -
                    [
                        // デフォルト値
                        [2],
                        // 値リスト
                        [8192, 0, 15, 1, 1, 0, 0, 1],
                        [6144, 0, 15, 1, 1, 0, 0, 1],
                        [4096, 0, 15, 1, 1, 0, 0, 1],
                        [3072, 0, 15, 1, 1, 0, 0, 1],
                        [2048, 0, 15, 1, 1, 0, 0, 1],
                        [1536, 0, 15, 1, 1, 0, 0, 1],
                        [1024, 0, 15, 1, 1, 0, 0, 1],
                        [768, 0, 1, 1, 1, 0, 0, 1],
                        [512, 0, 0, 1, 1, 0, 0, 1],
                        [384, 0, 0, 1, 1, 0, 0, 1],
                        [256, 0, 0, 1, 1, 0, 0, 1]
                    ]
                ],
                // <2-04>VGA
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 15, 1, 1, 0, 0, 1],
                        [3072, 0, 15, 1, 1, 0, 0, 1],
                        [2048, 0, 15, 1, 1, 0, 0, 1],
                        [1536, 0, 15, 1, 1, 0, 0, 1],
                        [1024, 0, 15, 1, 1, 0, 0, 1],
                        [768, 0, 15, 1, 1, 0, 0, 1],
                        [512, 0, 15, 1, 1, 0, 0, 1],
                        [384, 0, 15, 1, 1, 0, 0, 1],
                        [256, 0, 1, 1, 1, 0, 0, 1],
                        [128, 0, 0, 1, 1, 0, 0, 1],
                        [64, 0, 0, 1, 1, 0, 0, 1]
                    ]
                ],
                // <2-05>QVGA
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 15, 1, 1, 0, 0, 1],
                        [3072, 0, 15, 1, 1, 0, 0, 1],
                        [2048, 0, 15, 1, 1, 0, 0, 1],
                        [1536, 0, 15, 1, 1, 0, 0, 1],
                        [1024, 0, 15, 1, 1, 0, 0, 1],
                        [768, 0, 15, 1, 1, 0, 0, 1],
                        [512, 0, 15, 1, 1, 0, 0, 1],
                        [384, 0, 15, 1, 1, 0, 0, 1],
                        [256, 0, 15, 1, 1, 0, 0, 1],
                        [128, 0, 1, 1, 1, 0, 0, 1],
                        [64, 0, 0, 1, 1, 0, 0, 1]
                    ]
                ]
            ],
            // <4-2>AdvancedVBR[高]
            [
                // <2-00>FHD
                [
                    // -
                    [
                        // デフォルト値
                        [5],
                        // 値リスト
                        [14336, 0, 15, 1, 1, 0, 0, 0],
                        [12288, 0, 15, 1, 1, 0, 0, 0],
                        [10240, 0, 15, 1, 1, 0, 0, 0],
                        [8192, 0, 15, 1, 1, 0, 0, 0],
                        [6144, 0, 15, 1, 1, 0, 0, 0],
                        [4096, 0, 15, 1, 1, 0, 0, 0],
                        [3072, 0, 15, 1, 1, 0, 0, 0],
                        [2048, 0, 15, 1, 1, 0, 0, 0],
                        [1536, 0, 7.5, 1, 1, 0, 0, 0],
                        [1024, 0, 1, 1, 1, 0, 0, 0],
                        [768, 0, 0, 1, 1, 0, 0, 0],
                        [512, 0, 0, 1, 1, 0, 0, 0]
                    ]
                ],
                // <2-01>HVGAW
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 15, 1, 1, 0, 0, 0],
                        [3072, 0, 15, 1, 1, 0, 0, 0],
                        [2048, 0, 15, 1, 1, 0, 0, 0],
                        [1536, 0, 15, 1, 1, 0, 0, 0],
                        [1024, 0, 15, 1, 1, 0, 0, 0],
                        [768, 0, 15, 1, 1, 0, 0, 0],
                        [512, 0, 15, 1, 1, 0, 0, 0],
                        [384, 0, 15, 1, 1, 0, 0, 0],
                        [256, 0, 1, 1, 1, 0, 0, 0],
                        [128, 0, 0, 1, 1, 0, 0, 0],
                        [64, 0, 0, 1, 1, 0, 0, 0]
                    ]
                ],
                // <2-02>180P
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 15, 1, 1, 0, 0, 0],
                        [3072, 0, 15, 1, 1, 0, 0, 0],
                        [2048, 0, 15, 1, 1, 0, 0, 0],
                        [1536, 0, 15, 1, 1, 0, 0, 0],
                        [1024, 0, 15, 1, 1, 0, 0, 0],
                        [768, 0, 15, 1, 1, 0, 0, 0],
                        [512, 0, 15, 1, 1, 0, 0, 0],
                        [384, 0, 15, 1, 1, 0, 0, 0],
                        [256, 0, 15, 1, 1, 0, 0, 0],
                        [128, 0, 1, 1, 1, 0, 0, 0],
                        [64, 0, 0, 1, 1, 0, 0, 0]
                    ]
                ],
                // <2-03>SXVGA
                [
                    // -
                    [
                        // デフォルト値
                        [2],
                        // 値リスト
                        [8192, 0, 15, 1, 1, 0, 0, 1],
                        [6144, 0, 15, 1, 1, 0, 0, 1],
                        [4096, 0, 15, 1, 1, 0, 0, 1],
                        [3072, 0, 15, 1, 1, 0, 0, 1],
                        [2048, 0, 15, 1, 1, 0, 0, 1],
                        [1536, 0, 15, 1, 1, 0, 0, 1],
                        [1024, 0, 15, 1, 1, 0, 0, 1],
                        [768, 0, 1, 1, 1, 0, 0, 1],
                        [512, 0, 0, 1, 1, 0, 0, 1],
                        [384, 0, 0, 1, 1, 0, 0, 1],
                        [256, 0, 0, 1, 1, 0, 0, 1]
                    ]
                ],
                // <2-04>VGA
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 15, 1, 1, 0, 0, 1],
                        [3072, 0, 15, 1, 1, 0, 0, 1],
                        [2048, 0, 15, 1, 1, 0, 0, 1],
                        [1536, 0, 15, 1, 1, 0, 0, 1],
                        [1024, 0, 15, 1, 1, 0, 0, 1],
                        [768, 0, 15, 1, 1, 0, 0, 1],
                        [512, 0, 15, 1, 1, 0, 0, 1],
                        [384, 0, 15, 1, 1, 0, 0, 1],
                        [256, 0, 1, 1, 1, 0, 0, 1],
                        [128, 0, 0, 1, 1, 0, 0, 1],
                        [64, 0, 0, 1, 1, 0, 0, 1]
                    ]
                ],
                // <2-05>QVGA
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 15, 1, 1, 0, 0, 1],
                        [3072, 0, 15, 1, 1, 0, 0, 1],
                        [2048, 0, 15, 1, 1, 0, 0, 1],
                        [1536, 0, 15, 1, 1, 0, 0, 1],
                        [1024, 0, 15, 1, 1, 0, 0, 1],
                        [768, 0, 15, 1, 1, 0, 0, 1],
                        [512, 0, 15, 1, 1, 0, 0, 1],
                        [384, 0, 15, 1, 1, 0, 0, 1],
                        [256, 0, 15, 1, 1, 0, 0, 1],
                        [128, 0, 1, 1, 1, 0, 0, 1],
                        [64, 0, 0, 1, 1, 0, 0, 1]
                    ]
                ]
            ],
            // <4-3>AdvancedVBR[中]
            [
                // <2-00>FHD
                [
                    // -
                    [
                        // デフォルト値
                        [5],
                        // 値リスト
                        [14336, 0, 15, 1, 1, 0, 0, 0],
                        [12288, 0, 15, 1, 1, 0, 0, 0],
                        [10240, 0, 15, 1, 1, 0, 0, 0],
                        [8192, 0, 15, 1, 1, 0, 0, 0],
                        [6144, 0, 15, 1, 1, 0, 0, 0],
                        [4096, 0, 15, 1, 1, 0, 0, 0],
                        [3072, 0, 15, 1, 1, 0, 0, 0],
                        [2048, 0, 15, 1, 1, 0, 0, 0],
                        [1536, 0, 7.5, 1, 1, 0, 0, 0],
                        [1024, 0, 1, 1, 1, 0, 0, 0],
                        [768, 0, 0, 1, 1, 0, 0, 0],
                        [512, 0, 0, 1, 1, 0, 0, 0]
                    ]
                ],
                // <2-01>HVGAW
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 15, 1, 1, 0, 0, 0],
                        [3072, 0, 15, 1, 1, 0, 0, 0],
                        [2048, 0, 15, 1, 1, 0, 0, 0],
                        [1536, 0, 15, 1, 1, 0, 0, 0],
                        [1024, 0, 15, 1, 1, 0, 0, 0],
                        [768, 0, 15, 1, 1, 0, 0, 0],
                        [512, 0, 15, 1, 1, 0, 0, 0],
                        [384, 0, 15, 1, 1, 0, 0, 0],
                        [256, 0, 1, 1, 1, 0, 0, 0],
                        [128, 0, 0, 1, 1, 0, 0, 0],
                        [64, 0, 0, 1, 1, 0, 0, 0]
                    ]
                ],
                // <2-02>180P
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 15, 1, 1, 0, 0, 0],
                        [3072, 0, 15, 1, 1, 0, 0, 0],
                        [2048, 0, 15, 1, 1, 0, 0, 0],
                        [1536, 0, 15, 1, 1, 0, 0, 0],
                        [1024, 0, 15, 1, 1, 0, 0, 0],
                        [768, 0, 15, 1, 1, 0, 0, 0],
                        [512, 0, 15, 1, 1, 0, 0, 0],
                        [384, 0, 15, 1, 1, 0, 0, 0],
                        [256, 0, 15, 1, 1, 0, 0, 0],
                        [128, 0, 1, 1, 1, 0, 0, 0],
                        [64, 0, 0, 1, 1, 0, 0, 0]
                    ]
                ],
                // <2-03>SXVGA
                [
                    // -
                    [
                        // デフォルト値
                        [2],
                        // 値リスト
                        [8192, 0, 15, 1, 1, 0, 0, 1],
                        [6144, 0, 15, 1, 1, 0, 0, 1],
                        [4096, 0, 15, 1, 1, 0, 0, 1],
                        [3072, 0, 15, 1, 1, 0, 0, 1],
                        [2048, 0, 15, 1, 1, 0, 0, 1],
                        [1536, 0, 15, 1, 1, 0, 0, 1],
                        [1024, 0, 15, 1, 1, 0, 0, 1],
                        [768, 0, 1, 1, 1, 0, 0, 1],
                        [512, 0, 0, 1, 1, 0, 0, 1],
                        [384, 0, 0, 1, 1, 0, 0, 1],
                        [256, 0, 0, 1, 1, 0, 0, 1]
                    ]
                ],
                // <2-04>VGA
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 15, 1, 1, 0, 0, 1],
                        [3072, 0, 15, 1, 1, 0, 0, 1],
                        [2048, 0, 15, 1, 1, 0, 0, 1],
                        [1536, 0, 15, 1, 1, 0, 0, 1],
                        [1024, 0, 15, 1, 1, 0, 0, 1],
                        [768, 0, 15, 1, 1, 0, 0, 1],
                        [512, 0, 15, 1, 1, 0, 0, 1],
                        [384, 0, 15, 1, 1, 0, 0, 1],
                        [256, 0, 1, 1, 1, 0, 0, 1],
                        [128, 0, 0, 1, 1, 0, 0, 1],
                        [64, 0, 0, 1, 1, 0, 0, 1]
                    ]
                ],
                // <2-05>QVGA
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 15, 1, 1, 0, 0, 1],
                        [3072, 0, 15, 1, 1, 0, 0, 1],
                        [2048, 0, 15, 1, 1, 0, 0, 1],
                        [1536, 0, 15, 1, 1, 0, 0, 1],
                        [1024, 0, 15, 1, 1, 0, 0, 1],
                        [768, 0, 15, 1, 1, 0, 0, 1],
                        [512, 0, 15, 1, 1, 0, 0, 1],
                        [384, 0, 15, 1, 1, 0, 0, 1],
                        [256, 0, 15, 1, 1, 0, 0, 1],
                        [128, 0, 1, 1, 1, 0, 0, 1],
                        [64, 0, 0, 1, 1, 0, 0, 1]
                    ]
                ]
            ],
            // <4-4>AdvancedVBR[低]
            [
                // <2-00>FHD
                [
                    // -
                    [
                        // デフォルト値
                        [5],
                        // 値リスト
                        [14336, 0, 15, 1, 1, 0, 0, 0],
                        [12288, 0, 15, 1, 1, 0, 0, 0],
                        [10240, 0, 15, 1, 1, 0, 0, 0],
                        [8192, 0, 15, 1, 1, 0, 0, 0],
                        [6144, 0, 15, 1, 1, 0, 0, 0],
                        [4096, 0, 15, 1, 1, 0, 0, 0],
                        [3072, 0, 15, 1, 1, 0, 0, 0],
                        [2048, 0, 15, 1, 1, 0, 0, 0],
                        [1536, 0, 7.5, 1, 1, 0, 0, 0],
                        [1024, 0, 1, 1, 1, 0, 0, 0],
                        [768, 0, 0, 1, 1, 0, 0, 0],
                        [512, 0, 0, 1, 1, 0, 0, 0]
                    ]
                ],
                // <2-01>HVGAW
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 15, 1, 1, 0, 0, 0],
                        [3072, 0, 15, 1, 1, 0, 0, 0],
                        [2048, 0, 15, 1, 1, 0, 0, 0],
                        [1536, 0, 15, 1, 1, 0, 0, 0],
                        [1024, 0, 15, 1, 1, 0, 0, 0],
                        [768, 0, 15, 1, 1, 0, 0, 0],
                        [512, 0, 15, 1, 1, 0, 0, 0],
                        [384, 0, 15, 1, 1, 0, 0, 0],
                        [256, 0, 1, 1, 1, 0, 0, 0],
                        [128, 0, 0, 1, 1, 0, 0, 0],
                        [64, 0, 0, 1, 1, 0, 0, 0]
                    ]
                ],
                // <2-02>180P
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 15, 1, 1, 0, 0, 0],
                        [3072, 0, 15, 1, 1, 0, 0, 0],
                        [2048, 0, 15, 1, 1, 0, 0, 0],
                        [1536, 0, 15, 1, 1, 0, 0, 0],
                        [1024, 0, 15, 1, 1, 0, 0, 0],
                        [768, 0, 15, 1, 1, 0, 0, 0],
                        [512, 0, 15, 1, 1, 0, 0, 0],
                        [384, 0, 15, 1, 1, 0, 0, 0],
                        [256, 0, 15, 1, 1, 0, 0, 0],
                        [128, 0, 1, 1, 1, 0, 0, 0],
                        [64, 0, 0, 1, 1, 0, 0, 0]
                    ]
                ],
                // <2-03>SXVGA
                [
                    // -
                    [
                        // デフォルト値
                        [2],
                        // 値リスト
                        [8192, 0, 15, 1, 1, 0, 0, 1],
                        [6144, 0, 15, 1, 1, 0, 0, 1],
                        [4096, 0, 15, 1, 1, 0, 0, 1],
                        [3072, 0, 15, 1, 1, 0, 0, 1],
                        [2048, 0, 15, 1, 1, 0, 0, 1],
                        [1536, 0, 15, 1, 1, 0, 0, 1],
                        [1024, 0, 15, 1, 1, 0, 0, 1],
                        [768, 0, 1, 1, 1, 0, 0, 1],
                        [512, 0, 0, 1, 1, 0, 0, 1],
                        [384, 0, 0, 1, 1, 0, 0, 1],
                        [256, 0, 0, 1, 1, 0, 0, 1]
                    ]
                ],
                // <2-04>VGA
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 15, 1, 1, 0, 0, 1],
                        [3072, 0, 15, 1, 1, 0, 0, 1],
                        [2048, 0, 15, 1, 1, 0, 0, 1],
                        [1536, 0, 15, 1, 1, 0, 0, 1],
                        [1024, 0, 15, 1, 1, 0, 0, 1],
                        [768, 0, 15, 1, 1, 0, 0, 1],
                        [512, 0, 15, 1, 1, 0, 0, 1],
                        [384, 0, 15, 1, 1, 0, 0, 1],
                        [256, 0, 1, 1, 1, 0, 0, 1],
                        [128, 0, 0, 1, 1, 0, 0, 1],
                        [64, 0, 0, 1, 1, 0, 0, 1]
                    ]
                ],
                // <2-05>QVGA
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 15, 1, 1, 0, 0, 1],
                        [3072, 0, 15, 1, 1, 0, 0, 1],
                        [2048, 0, 15, 1, 1, 0, 0, 1],
                        [1536, 0, 15, 1, 1, 0, 0, 1],
                        [1024, 0, 15, 1, 1, 0, 0, 1],
                        [768, 0, 15, 1, 1, 0, 0, 1],
                        [512, 0, 15, 1, 1, 0, 0, 1],
                        [384, 0, 15, 1, 1, 0, 0, 1],
                        [256, 0, 15, 1, 1, 0, 0, 1],
                        [128, 0, 1, 1, 1, 0, 0, 1],
                        [64, 0, 0, 1, 1, 0, 0, 1]
                    ]
                ]
            ]
        ],
        // <3-5>VGA(4)
        [
            // <4-0>ビットレート優先
            [
                // <2-00>VGA
                [
                    // <5-0>画質優先(SF)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 22.5, 1, 1, 0, 0, 1],
                        [3072, 0, 20, 1, 1, 0, 0, 1],
                        [2048, 0, 15, 1, 1, 0, 0, 1],
                        [1536, 0, 15, 1, 1, 0, 0, 1],
                        [1024, 0, 10, 1, 1, 0, 0, 1],
                        [768, 0, 7.5, 1, 1, 0, 0, 1],
                        [512, 0, 5, 1, 1, 0, 0, 1],
                        [384, 0, 3, 1, 1, 0, 0, 1],
                        [256, 0, 2, 1, 1, 0, 0, 1],
                        [128, 0, 1, 1, 1, 0, 0, 1],
                        [64, 0, 1, 1, 1, 0, 0, 1]
                    ],
                    // <5-1>標準(FQ)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 0, 0, 1],
                        [3072, 0, 30, 1, 1, 0, 0, 1],
                        [2048, 0, 30, 1, 1, 0, 0, 1],
                        [1536, 0, 30, 1, 1, 0, 0, 1],
                        [1024, 0, 22.5, 1, 1, 0, 0, 1],
                        [768, 0, 20, 1, 1, 0, 0, 1],
                        [512, 0, 15, 1, 1, 0, 0, 1],
                        [384, 0, 10, 1, 1, 0, 0, 1],
                        [256, 0, 7.5, 1, 1, 0, 0, 1],
                        [128, 0, 5, 1, 1, 0, 0, 1],
                        [64, 0, 2, 1, 1, 0, 0, 1]
                    ],
                    // <5-2>動き優先(NQ)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 0, 0, 1],
                        [3072, 0, 30, 1, 1, 0, 0, 1],
                        [2048, 0, 30, 1, 1, 0, 0, 1],
                        [1536, 0, 30, 1, 1, 0, 0, 1],
                        [1024, 0, 30, 1, 1, 0, 0, 1],
                        [768, 0, 30, 1, 1, 0, 0, 1],
                        [512, 0, 20, 1, 1, 0, 0, 1],
                        [384, 0, 15, 1, 1, 0, 0, 1],
                        [256, 0, 10, 1, 1, 0, 0, 1],
                        [128, 0, 7.5, 1, 1, 0, 0, 1],
                        [64, 0, 3, 1, 1, 0, 0, 1]
                    ]
                ]
            ],
            // <4-1>フレームレート優先
            [
                // <2-00>VGA
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 0, 0, 1],
                        [3072, 0, 30, 1, 1, 0, 0, 1],
                        [2048, 0, 30, 1, 1, 0, 0, 1],
                        [1536, 0, 30, 1, 1, 0, 0, 1],
                        [1024, 0, 30, 1, 1, 0, 0, 1],
                        [768, 0, 30, 1, 1, 0, 0, 1],
                        [512, 0, 30, 1, 1, 0, 0, 1],
                        [384, 0, 15, 1, 1, 0, 0, 1],
                        [256, 0, 1, 1, 1, 0, 0, 1],
                        [128, 0, 0, 1, 1, 0, 0, 1],
                        [64, 0, 0, 1, 1, 0, 0, 1]
                    ]
                ]
            ],
            // <4-2>AdvancedVBR[高]
            [
                // <2-00>VGA
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 0, 0, 1],
                        [3072, 0, 30, 1, 1, 0, 0, 1],
                        [2048, 0, 30, 1, 1, 0, 0, 1],
                        [1536, 0, 30, 1, 1, 0, 0, 1],
                        [1024, 0, 30, 1, 1, 0, 0, 1],
                        [768, 0, 30, 1, 1, 0, 0, 1],
                        [512, 0, 30, 1, 1, 0, 0, 1],
                        [384, 0, 15, 1, 1, 0, 0, 1],
                        [256, 0, 1, 1, 1, 0, 0, 1],
                        [128, 0, 0, 1, 1, 0, 0, 1],
                        [64, 0, 0, 1, 1, 0, 0, 1]
                    ]
                ]
            ],
            // <4-3>AdvancedVBR[中]
            [
                // <2-00>VGA
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 0, 0, 1],
                        [3072, 0, 30, 1, 1, 0, 0, 1],
                        [2048, 0, 30, 1, 1, 0, 0, 1],
                        [1536, 0, 30, 1, 1, 0, 0, 1],
                        [1024, 0, 30, 1, 1, 0, 0, 1],
                        [768, 0, 30, 1, 1, 0, 0, 1],
                        [512, 0, 30, 1, 1, 0, 0, 1],
                        [384, 0, 15, 1, 1, 0, 0, 1],
                        [256, 0, 1, 1, 1, 0, 0, 1],
                        [128, 0, 0, 1, 1, 0, 0, 1],
                        [64, 0, 0, 1, 1, 0, 0, 1]
                    ]
                ]
            ],
            // <4-4>AdvancedVBR[低]
            [
                // <2-00>VGA
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 0, 0, 1],
                        [3072, 0, 30, 1, 1, 0, 0, 1],
                        [2048, 0, 30, 1, 1, 0, 0, 1],
                        [1536, 0, 30, 1, 1, 0, 0, 1],
                        [1024, 0, 30, 1, 1, 0, 0, 1],
                        [768, 0, 30, 1, 1, 0, 0, 1],
                        [512, 0, 30, 1, 1, 0, 0, 1],
                        [384, 0, 15, 1, 1, 0, 0, 1],
                        [256, 0, 1, 1, 1, 0, 0, 1],
                        [128, 0, 0, 1, 1, 0, 0, 1],
                        [64, 0, 0, 1, 1, 0, 0, 1]
                    ]
                ]
            ]
        ]
    ],
    // ----------------------------------------------------
    // 【H.264-05】SF4**/SW4**+SMR10
    [
        // <3-0>1M
        [
            // <4-0>ビットレート優先
            [
                // <2-00>HD
                [
                    // <5-0>画質優先(SF)
                    [
                        // デフォルト値
                        [2],
                        // 値リスト
                        [8192, 0, 30, 0, 1, 0, 0, 1],
                        [6144, 0, 25, 0, 1, 0, 0, 1],
                        [4096, 0, 20, 0, 1, 0, 0, 1],
                        [3072, 0, 15, 0, 1, 0, 0, 1],
                        [2048, 0, 10, 0, 1, 0, 0, 1],
                        [1536, 0, 7.5, 0, 1, 0, 0, 1],
                        [1024, 0, 5, 0, 1, 0, 0, 1],
                        [768, 0, 3, 0, 1, 0, 0, 1],
                        [512, 0, 2, 0, 1, 0, 0, 1],
                        [384, 0, 1, 0, 1, 0, 0, 1],
                        [256, 0, 1, 0, 1, 0, 0, 1]
                    ],
                    // <5-1>標準(FQ)
                    [
                        // デフォルト値
                        [2],
                        // 値リスト
                        [8192, 0, 30, 0, 1, 0, 0, 1],
                        [6144, 0, 30, 0, 1, 0, 0, 1],
                        [4096, 0, 30, 0, 1, 0, 0, 1],
                        [3072, 0, 25, 0, 1, 0, 0, 1],
                        [2048, 0, 20, 0, 1, 0, 0, 1],
                        [1536, 0, 10, 0, 1, 0, 0, 1],
                        [1024, 0, 7.5, 0, 1, 0, 0, 1],
                        [768, 0, 5, 0, 1, 0, 0, 1],
                        [512, 0, 3, 0, 1, 0, 0, 1],
                        [384, 0, 2, 0, 1, 0, 0, 1],
                        [256, 0, 1, 0, 1, 0, 0, 1]
                    ],
                    // <5-2>動き優先(NQ)
                    [
                        // デフォルト値
                        [2],
                        // 値リスト
                        [8192, 0, 30, 0, 1, 0, 0, 1],
                        [6144, 0, 30, 0, 1, 0, 0, 1],
                        [4096, 0, 30, 0, 1, 0, 0, 1],
                        [3072, 0, 30, 0, 1, 0, 0, 1],
                        [2048, 0, 30, 0, 1, 0, 0, 1],
                        [1536, 0, 20, 0, 1, 0, 0, 1],
                        [1024, 0, 15, 0, 1, 0, 0, 1],
                        [768, 0, 10, 0, 1, 0, 0, 1],
                        [512, 0, 7.5, 0, 1, 0, 0, 1],
                        [384, 0, 5, 0, 1, 0, 0, 1],
                        [256, 0, 3, 0, 1, 0, 0, 1]
                    ]
                ],
                // <2-01>HVGAW
                [
                    // <5-0>画質優先(SF)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 22.5, 0, 1, 0, 0, 1],
                        [3072, 0, 20, 0, 1, 0, 0, 1],
                        [2048, 0, 15, 0, 1, 0, 0, 1],
                        [1536, 0, 15, 0, 1, 0, 0, 1],
                        [1024, 0, 10, 0, 1, 0, 0, 1],
                        [768, 0, 7.5, 0, 1, 0, 0, 1],
                        [512, 0, 5, 0, 1, 0, 0, 1],
                        [384, 0, 3, 0, 1, 0, 0, 1],
                        [256, 0, 2, 0, 1, 0, 0, 1],
                        [128, 0, 1, 0, 1, 0, 0, 1],
                        [64, 0, 1, 0, 1, 0, 0, 1]
                    ],
                    // <5-1>標準(FQ)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 0, 1, 0, 0, 1],
                        [3072, 0, 30, 0, 1, 0, 0, 1],
                        [2048, 0, 30, 0, 1, 0, 0, 1],
                        [1536, 0, 30, 0, 1, 0, 0, 1],
                        [1024, 0, 22.5, 0, 1, 0, 0, 1],
                        [768, 0, 20, 0, 1, 0, 0, 1],
                        [512, 0, 15, 0, 1, 0, 0, 1],
                        [384, 0, 10, 0, 1, 0, 0, 1],
                        [256, 0, 7.5, 0, 1, 0, 0, 1],
                        [128, 0, 5, 0, 1, 0, 0, 1],
                        [64, 0, 2, 0, 1, 0, 0, 1]
                    ],
                    // <5-2>動き優先(NQ)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 0, 1, 0, 0, 1],
                        [3072, 0, 30, 0, 1, 0, 0, 1],
                        [2048, 0, 30, 0, 1, 0, 0, 1],
                        [1536, 0, 30, 0, 1, 0, 0, 1],
                        [1024, 0, 30, 0, 1, 0, 0, 1],
                        [768, 0, 30, 0, 1, 0, 0, 1],
                        [512, 0, 20, 0, 1, 0, 0, 1],
                        [384, 0, 15, 0, 1, 0, 0, 1],
                        [256, 0, 10, 0, 1, 0, 0, 1],
                        [128, 0, 7.5, 0, 1, 0, 0, 1],
                        [64, 0, 3, 0, 1, 0, 0, 1]
                    ]
                ],
                // <2-02>180P
                [
                    // <5-0>画質優先(SF)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 0, 1, 0, 0, 1],
                        [3072, 0, 30, 0, 1, 0, 0, 1],
                        [2048, 0, 30, 0, 1, 0, 0, 1],
                        [1536, 0, 20, 0, 1, 0, 0, 1],
                        [1024, 0, 15, 0, 1, 0, 0, 1],
                        [768, 0, 15, 0, 1, 0, 0, 1],
                        [512, 0, 10, 0, 1, 0, 0, 1],
                        [384, 0, 7.5, 0, 1, 0, 0, 1],
                        [256, 0, 5, 0, 1, 0, 0, 1],
                        [128, 0, 2, 0, 1, 0, 0, 1],
                        [64, 0, 1, 0, 1, 0, 0, 1]
                    ],
                    // <5-1>標準(FQ)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 0, 1, 0, 0, 1],
                        [3072, 0, 30, 0, 1, 0, 0, 1],
                        [2048, 0, 30, 0, 1, 0, 0, 1],
                        [1536, 0, 30, 0, 1, 0, 0, 1],
                        [1024, 0, 30, 0, 1, 0, 0, 1],
                        [768, 0, 30, 0, 1, 0, 0, 1],
                        [512, 0, 25, 0, 1, 0, 0, 1],
                        [384, 0, 20, 0, 1, 0, 0, 1],
                        [256, 0, 15, 0, 1, 0, 0, 1],
                        [128, 0, 10, 0, 1, 0, 0, 1],
                        [64, 0, 5, 0, 1, 0, 0, 1]
                    ],
                    // <5-2>動き優先(NQ)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 0, 1, 0, 0, 1],
                        [3072, 0, 30, 0, 1, 0, 0, 1],
                        [2048, 0, 30, 0, 1, 0, 0, 1],
                        [1536, 0, 30, 0, 1, 0, 0, 1],
                        [1024, 0, 30, 0, 1, 0, 0, 1],
                        [768, 0, 30, 0, 1, 0, 0, 1],
                        [512, 0, 30, 0, 1, 0, 0, 1],
                        [384, 0, 30, 0, 1, 0, 0, 1],
                        [256, 0, 25, 0, 1, 0, 0, 1],
                        [128, 0, 15, 0, 1, 0, 0, 1],
                        [64, 0, 10, 0, 1, 0, 0, 1]
                    ]
                ]
            ],
            // <4-1>フレームレート優先
            [
                // <2-00>HD
                [
                    // -
                    [
                        // デフォルト値
                        [2],
                        // 値リスト
                        [8192, 0, 30, 0, 1, 0, 0, 1],
                        [6144, 0, 30, 0, 1, 0, 0, 1],
                        [4096, 0, 30, 0, 1, 0, 0, 1],
                        [3072, 0, 30, 0, 1, 0, 0, 1],
                        [2048, 0, 30, 0, 1, 0, 0, 1],
                        [1536, 0, 30, 0, 1, 0, 0, 1],
                        [1024, 0, 20, 0, 1, 0, 0, 1],
                        [768, 0, 7.5, 0, 1, 0, 0, 1],
                        [512, 0, 1, 0, 1, 0, 0, 1],
                        [384, 0, 0, 0, 1, 0, 0, 1],
                        [256, 0, 0, 0, 1, 0, 0, 1]
                    ]
                ],
                // <2-01>HVGAW
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 0, 1, 0, 0, 1],
                        [3072, 0, 30, 0, 1, 0, 0, 1],
                        [2048, 0, 30, 0, 1, 0, 0, 1],
                        [1536, 0, 30, 0, 1, 0, 0, 1],
                        [1024, 0, 30, 0, 1, 0, 0, 1],
                        [768, 0, 30, 0, 1, 0, 0, 1],
                        [512, 0, 30, 0, 1, 0, 0, 1],
                        [384, 0, 15, 0, 1, 0, 0, 1],
                        [256, 0, 1, 0, 1, 0, 0, 1],
                        [128, 0, 0, 0, 1, 0, 0, 1],
                        [64, 0, 0, 0, 1, 0, 0, 1]
                    ]
                ],
                // <2-02>180P
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 0, 1, 0, 0, 1],
                        [3072, 0, 30, 0, 1, 0, 0, 1],
                        [2048, 0, 30, 0, 1, 0, 0, 1],
                        [1536, 0, 30, 0, 1, 0, 0, 1],
                        [1024, 0, 30, 0, 1, 0, 0, 1],
                        [768, 0, 30, 0, 1, 0, 0, 1],
                        [512, 0, 30, 0, 1, 0, 0, 1],
                        [384, 0, 30, 0, 1, 0, 0, 1],
                        [256, 0, 15, 0, 1, 0, 0, 1],
                        [128, 0, 1, 0, 1, 0, 0, 1],
                        [64, 0, 0, 0, 1, 0, 0, 1]
                    ]
                ]
            ],
            // <4-2>AdvancedVBR[高]
            [
                // <2-00>HD
                [
                    // -
                    [
                        // デフォルト値
                        [2],
                        // 値リスト
                        [8192, 0, 30, 0, 1, 0, 0, 1],
                        [6144, 0, 30, 0, 1, 0, 0, 1],
                        [4096, 0, 30, 0, 1, 0, 0, 1],
                        [3072, 0, 30, 0, 1, 0, 0, 1],
                        [2048, 0, 30, 0, 1, 0, 0, 1],
                        [1536, 0, 30, 0, 1, 0, 0, 1],
                        [1024, 0, 20, 0, 1, 0, 0, 1],
                        [768, 0, 7.5, 0, 1, 0, 0, 1],
                        [512, 0, 1, 0, 1, 0, 0, 1],
                        [384, 0, 0, 0, 1, 0, 0, 1],
                        [256, 0, 0, 0, 1, 0, 0, 1]
                    ]
                ],
                // <2-01>HVGAW
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 0, 1, 0, 0, 1],
                        [3072, 0, 30, 0, 1, 0, 0, 1],
                        [2048, 0, 30, 0, 1, 0, 0, 1],
                        [1536, 0, 30, 0, 1, 0, 0, 1],
                        [1024, 0, 30, 0, 1, 0, 0, 1],
                        [768, 0, 30, 0, 1, 0, 0, 1],
                        [512, 0, 30, 0, 1, 0, 0, 1],
                        [384, 0, 15, 0, 1, 0, 0, 1],
                        [256, 0, 1, 0, 1, 0, 0, 1],
                        [128, 0, 0, 0, 1, 0, 0, 1],
                        [64, 0, 0, 0, 1, 0, 0, 1]
                    ]
                ],
                // <2-02>180P
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 0, 1, 0, 0, 1],
                        [3072, 0, 30, 0, 1, 0, 0, 1],
                        [2048, 0, 30, 0, 1, 0, 0, 1],
                        [1536, 0, 30, 0, 1, 0, 0, 1],
                        [1024, 0, 30, 0, 1, 0, 0, 1],
                        [768, 0, 30, 0, 1, 0, 0, 1],
                        [512, 0, 30, 0, 1, 0, 0, 1],
                        [384, 0, 30, 0, 1, 0, 0, 1],
                        [256, 0, 15, 0, 1, 0, 0, 1],
                        [128, 0, 1, 0, 1, 0, 0, 1],
                        [64, 0, 0, 0, 1, 0, 0, 1]
                    ]
                ]
            ],
            // <4-3>AdvancedVBR[中]
            [
                // <2-00>HD
                [
                    // -
                    [
                        // デフォルト値
                        [2],
                        // 値リスト
                        [8192, 0, 30, 0, 1, 0, 0, 1],
                        [6144, 0, 30, 0, 1, 0, 0, 1],
                        [4096, 0, 30, 0, 1, 0, 0, 1],
                        [3072, 0, 30, 0, 1, 0, 0, 1],
                        [2048, 0, 30, 0, 1, 0, 0, 1],
                        [1536, 0, 30, 0, 1, 0, 0, 1],
                        [1024, 0, 20, 0, 1, 0, 0, 1],
                        [768, 0, 7.5, 0, 1, 0, 0, 1],
                        [512, 0, 1, 0, 1, 0, 0, 1],
                        [384, 0, 0, 0, 1, 0, 0, 1],
                        [256, 0, 0, 0, 1, 0, 0, 1]
                    ]
                ],
                // <2-01>HVGAW
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 0, 1, 0, 0, 1],
                        [3072, 0, 30, 0, 1, 0, 0, 1],
                        [2048, 0, 30, 0, 1, 0, 0, 1],
                        [1536, 0, 30, 0, 1, 0, 0, 1],
                        [1024, 0, 30, 0, 1, 0, 0, 1],
                        [768, 0, 30, 0, 1, 0, 0, 1],
                        [512, 0, 30, 0, 1, 0, 0, 1],
                        [384, 0, 15, 0, 1, 0, 0, 1],
                        [256, 0, 1, 0, 1, 0, 0, 1],
                        [128, 0, 0, 0, 1, 0, 0, 1],
                        [64, 0, 0, 0, 1, 0, 0, 1]
                    ]
                ],
                // <2-02>180P
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 0, 1, 0, 0, 1],
                        [3072, 0, 30, 0, 1, 0, 0, 1],
                        [2048, 0, 30, 0, 1, 0, 0, 1],
                        [1536, 0, 30, 0, 1, 0, 0, 1],
                        [1024, 0, 30, 0, 1, 0, 0, 1],
                        [768, 0, 30, 0, 1, 0, 0, 1],
                        [512, 0, 30, 0, 1, 0, 0, 1],
                        [384, 0, 30, 0, 1, 0, 0, 1],
                        [256, 0, 15, 0, 1, 0, 0, 1],
                        [128, 0, 1, 0, 1, 0, 0, 1],
                        [64, 0, 0, 0, 1, 0, 0, 1]
                    ]
                ]
            ],
            // <4-4>AdvancedVBR[低]
            [
                // <2-00>HD
                [
                    // -
                    [
                        // デフォルト値
                        [2],
                        // 値リスト
                        [8192, 0, 30, 0, 1, 0, 0, 1],
                        [6144, 0, 30, 0, 1, 0, 0, 1],
                        [4096, 0, 30, 0, 1, 0, 0, 1],
                        [3072, 0, 30, 0, 1, 0, 0, 1],
                        [2048, 0, 30, 0, 1, 0, 0, 1],
                        [1536, 0, 30, 0, 1, 0, 0, 1],
                        [1024, 0, 20, 0, 1, 0, 0, 1],
                        [768, 0, 7.5, 0, 1, 0, 0, 1],
                        [512, 0, 1, 0, 1, 0, 0, 1],
                        [384, 0, 0, 0, 1, 0, 0, 1],
                        [256, 0, 0, 0, 1, 0, 0, 1]
                    ]
                ],
                // <2-01>HVGAW
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 0, 1, 0, 0, 1],
                        [3072, 0, 30, 0, 1, 0, 0, 1],
                        [2048, 0, 30, 0, 1, 0, 0, 1],
                        [1536, 0, 30, 0, 1, 0, 0, 1],
                        [1024, 0, 30, 0, 1, 0, 0, 1],
                        [768, 0, 30, 0, 1, 0, 0, 1],
                        [512, 0, 30, 0, 1, 0, 0, 1],
                        [384, 0, 15, 0, 1, 0, 0, 1],
                        [256, 0, 1, 0, 1, 0, 0, 1],
                        [128, 0, 0, 0, 1, 0, 0, 1],
                        [64, 0, 0, 0, 1, 0, 0, 1]
                    ]
                ],
                // <2-02>180P
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 0, 1, 0, 0, 1],
                        [3072, 0, 30, 0, 1, 0, 0, 1],
                        [2048, 0, 30, 0, 1, 0, 0, 1],
                        [1536, 0, 30, 0, 1, 0, 0, 1],
                        [1024, 0, 30, 0, 1, 0, 0, 1],
                        [768, 0, 30, 0, 1, 0, 0, 1],
                        [512, 0, 30, 0, 1, 0, 0, 1],
                        [384, 0, 30, 0, 1, 0, 0, 1],
                        [256, 0, 15, 0, 1, 0, 0, 1],
                        [128, 0, 1, 0, 1, 0, 0, 1],
                        [64, 0, 0, 0, 1, 0, 0, 1]
                    ]
                ]
            ]
        ],
        // <3-1>1.3M
        [
            // <4-0>ビットレート優先
            [
                // <2-00>SXVGA
                [
                    // <5-0>画質優先(SF)
                    [
                        // デフォルト値
                        [2],
                        // 値リスト
                        [8192, 0, 30, 0, 1, 0, 0, 1],
                        [6144, 0, 25, 0, 1, 0, 0, 1],
                        [4096, 0, 20, 0, 1, 0, 0, 1],
                        [3072, 0, 15, 0, 1, 0, 0, 1],
                        [2048, 0, 10, 0, 1, 0, 0, 1],
                        [1536, 0, 7.5, 0, 1, 0, 0, 1],
                        [1024, 0, 5, 0, 1, 0, 0, 1],
                        [768, 0, 3, 0, 1, 0, 0, 1],
                        [512, 0, 2, 0, 1, 0, 0, 1],
                        [384, 0, 1, 0, 1, 0, 0, 1],
                        [256, 0, 1, 0, 1, 0, 0, 1]
                    ],
                    // <5-1>標準(FQ)
                    [
                        // デフォルト値
                        [2],
                        // 値リスト
                        [8192, 0, 30, 0, 1, 0, 0, 1],
                        [6144, 0, 30, 0, 1, 0, 0, 1],
                        [4096, 0, 30, 0, 1, 0, 0, 1],
                        [3072, 0, 25, 0, 1, 0, 0, 1],
                        [2048, 0, 20, 0, 1, 0, 0, 1],
                        [1536, 0, 10, 0, 1, 0, 0, 1],
                        [1024, 0, 7.5, 0, 1, 0, 0, 1],
                        [768, 0, 5, 0, 1, 0, 0, 1],
                        [512, 0, 3, 0, 1, 0, 0, 1],
                        [384, 0, 2, 0, 1, 0, 0, 1],
                        [256, 0, 1, 0, 1, 0, 0, 1]
                    ],
                    // <5-2>動き優先(NQ)
                    [
                        // デフォルト値
                        [2],
                        // 値リスト
                        [8192, 0, 30, 0, 1, 0, 0, 1],
                        [6144, 0, 30, 0, 1, 0, 0, 1],
                        [4096, 0, 30, 0, 1, 0, 0, 1],
                        [3072, 0, 30, 0, 1, 0, 0, 1],
                        [2048, 0, 30, 0, 1, 0, 0, 1],
                        [1536, 0, 20, 0, 1, 0, 0, 1],
                        [1024, 0, 15, 0, 1, 0, 0, 1],
                        [768, 0, 10, 0, 1, 0, 0, 1],
                        [512, 0, 7.5, 0, 1, 0, 0, 1],
                        [384, 0, 5, 0, 1, 0, 0, 1],
                        [256, 0, 3, 0, 1, 0, 0, 1]
                    ]
                ],
                // <2-01>VGA
                [
                    // <5-0>画質優先(SF)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 22.5, 0, 1, 0, 0, 1],
                        [3072, 0, 20, 0, 1, 0, 0, 1],
                        [2048, 0, 15, 0, 1, 0, 0, 1],
                        [1536, 0, 15, 0, 1, 0, 0, 1],
                        [1024, 0, 10, 0, 1, 0, 0, 1],
                        [768, 0, 7.5, 0, 1, 0, 0, 1],
                        [512, 0, 5, 0, 1, 0, 0, 1],
                        [384, 0, 3, 0, 1, 0, 0, 1],
                        [256, 0, 2, 0, 1, 0, 0, 1],
                        [128, 0, 1, 0, 1, 0, 0, 1],
                        [64, 0, 1, 0, 1, 0, 0, 1]
                    ],
                    // <5-1>標準(FQ)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 0, 1, 0, 0, 1],
                        [3072, 0, 30, 0, 1, 0, 0, 1],
                        [2048, 0, 30, 0, 1, 0, 0, 1],
                        [1536, 0, 30, 0, 1, 0, 0, 1],
                        [1024, 0, 22.5, 0, 1, 0, 0, 1],
                        [768, 0, 20, 0, 1, 0, 0, 1],
                        [512, 0, 15, 0, 1, 0, 0, 1],
                        [384, 0, 10, 0, 1, 0, 0, 1],
                        [256, 0, 7.5, 0, 1, 0, 0, 1],
                        [128, 0, 5, 0, 1, 0, 0, 1],
                        [64, 0, 2, 0, 1, 0, 0, 1]
                    ],
                    // <5-2>動き優先(NQ)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 0, 1, 0, 0, 1],
                        [3072, 0, 30, 0, 1, 0, 0, 1],
                        [2048, 0, 30, 0, 1, 0, 0, 1],
                        [1536, 0, 30, 0, 1, 0, 0, 1],
                        [1024, 0, 30, 0, 1, 0, 0, 1],
                        [768, 0, 30, 0, 1, 0, 0, 1],
                        [512, 0, 20, 0, 1, 0, 0, 1],
                        [384, 0, 15, 0, 1, 0, 0, 1],
                        [256, 0, 10, 0, 1, 0, 0, 1],
                        [128, 0, 7.5, 0, 1, 0, 0, 1],
                        [64, 0, 3, 0, 1, 0, 0, 1]
                    ]
                ],
                // <2-02>QVGA
                [
                    // <5-0>画質優先(SF)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 0, 1, 0, 0, 1],
                        [3072, 0, 30, 0, 1, 0, 0, 1],
                        [2048, 0, 30, 0, 1, 0, 0, 1],
                        [1536, 0, 20, 0, 1, 0, 0, 1],
                        [1024, 0, 15, 0, 1, 0, 0, 1],
                        [768, 0, 15, 0, 1, 0, 0, 1],
                        [512, 0, 10, 0, 1, 0, 0, 1],
                        [384, 0, 7.5, 0, 1, 0, 0, 1],
                        [256, 0, 5, 0, 1, 0, 0, 1],
                        [128, 0, 2, 0, 1, 0, 0, 1],
                        [64, 0, 1, 0, 1, 0, 0, 1]
                    ],
                    // <5-1>標準(FQ)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 0, 1, 0, 0, 1],
                        [3072, 0, 30, 0, 1, 0, 0, 1],
                        [2048, 0, 30, 0, 1, 0, 0, 1],
                        [1536, 0, 30, 0, 1, 0, 0, 1],
                        [1024, 0, 30, 0, 1, 0, 0, 1],
                        [768, 0, 30, 0, 1, 0, 0, 1],
                        [512, 0, 25, 0, 1, 0, 0, 1],
                        [384, 0, 20, 0, 1, 0, 0, 1],
                        [256, 0, 15, 0, 1, 0, 0, 1],
                        [128, 0, 10, 0, 1, 0, 0, 1],
                        [64, 0, 5, 0, 1, 0, 0, 1]
                    ],
                    // <5-2>動き優先(NQ)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 0, 1, 0, 0, 1],
                        [3072, 0, 30, 0, 1, 0, 0, 1],
                        [2048, 0, 30, 0, 1, 0, 0, 1],
                        [1536, 0, 30, 0, 1, 0, 0, 1],
                        [1024, 0, 30, 0, 1, 0, 0, 1],
                        [768, 0, 30, 0, 1, 0, 0, 1],
                        [512, 0, 30, 0, 1, 0, 0, 1],
                        [384, 0, 30, 0, 1, 0, 0, 1],
                        [256, 0, 25, 0, 1, 0, 0, 1],
                        [128, 0, 15, 0, 1, 0, 0, 1],
                        [64, 0, 10, 0, 1, 0, 0, 1]
                    ]
                ]
            ],
            // <4-1>フレームレート優先
            [
                // <2-00>SXVGA
                [
                    // -
                    [
                        // デフォルト値
                        [2],
                        // 値リスト
                        [8192, 0, 30, 0, 1, 0, 0, 1],
                        [6144, 0, 30, 0, 1, 0, 0, 1],
                        [4096, 0, 30, 0, 1, 0, 0, 1],
                        [3072, 0, 30, 0, 1, 0, 0, 1],
                        [2048, 0, 30, 0, 1, 0, 0, 1],
                        [1536, 0, 30, 0, 1, 0, 0, 1],
                        [1024, 0, 20, 0, 1, 0, 0, 1],
                        [768, 0, 1, 0, 1, 0, 0, 1],
                        [512, 0, 0, 0, 1, 0, 0, 1],
                        [384, 0, 0, 0, 1, 0, 0, 1],
                        [256, 0, 0, 0, 1, 0, 0, 1]
                    ]
                ],
                // <2-01>VGA
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 0, 1, 0, 0, 1],
                        [3072, 0, 30, 0, 1, 0, 0, 1],
                        [2048, 0, 30, 0, 1, 0, 0, 1],
                        [1536, 0, 30, 0, 1, 0, 0, 1],
                        [1024, 0, 30, 0, 1, 0, 0, 1],
                        [768, 0, 30, 0, 1, 0, 0, 1],
                        [512, 0, 30, 0, 1, 0, 0, 1],
                        [384, 0, 15, 0, 1, 0, 0, 1],
                        [256, 0, 1, 0, 1, 0, 0, 1],
                        [128, 0, 0, 0, 1, 0, 0, 1],
                        [64, 0, 0, 0, 1, 0, 0, 1]
                    ]
                ],
                // <2-02>QVGA
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 0, 1, 0, 0, 1],
                        [3072, 0, 30, 0, 1, 0, 0, 1],
                        [2048, 0, 30, 0, 1, 0, 0, 1],
                        [1536, 0, 30, 0, 1, 0, 0, 1],
                        [1024, 0, 30, 0, 1, 0, 0, 1],
                        [768, 0, 30, 0, 1, 0, 0, 1],
                        [512, 0, 30, 0, 1, 0, 0, 1],
                        [384, 0, 30, 0, 1, 0, 0, 1],
                        [256, 0, 15, 0, 1, 0, 0, 1],
                        [128, 0, 1, 0, 1, 0, 0, 1],
                        [64, 0, 0, 0, 1, 0, 0, 1]
                    ]
                ]
            ],
            // <4-2>AdvancedVBR[高]
            [
                // <2-00>SXVGA
                [
                    // -
                    [
                        // デフォルト値
                        [2],
                        // 値リスト
                        [8192, 0, 30, 0, 1, 0, 0, 1],
                        [6144, 0, 30, 0, 1, 0, 0, 1],
                        [4096, 0, 30, 0, 1, 0, 0, 1],
                        [3072, 0, 30, 0, 1, 0, 0, 1],
                        [2048, 0, 30, 0, 1, 0, 0, 1],
                        [1536, 0, 30, 0, 1, 0, 0, 1],
                        [1024, 0, 20, 0, 1, 0, 0, 1],
                        [768, 0, 1, 0, 1, 0, 0, 1],
                        [512, 0, 0, 0, 1, 0, 0, 1],
                        [384, 0, 0, 0, 1, 0, 0, 1],
                        [256, 0, 0, 0, 1, 0, 0, 1]
                    ]
                ],
                // <2-01>VGA
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 0, 1, 0, 0, 1],
                        [3072, 0, 30, 0, 1, 0, 0, 1],
                        [2048, 0, 30, 0, 1, 0, 0, 1],
                        [1536, 0, 30, 0, 1, 0, 0, 1],
                        [1024, 0, 30, 0, 1, 0, 0, 1],
                        [768, 0, 30, 0, 1, 0, 0, 1],
                        [512, 0, 30, 0, 1, 0, 0, 1],
                        [384, 0, 15, 0, 1, 0, 0, 1],
                        [256, 0, 1, 0, 1, 0, 0, 1],
                        [128, 0, 0, 0, 1, 0, 0, 1],
                        [64, 0, 0, 0, 1, 0, 0, 1]
                    ]
                ],
                // <2-02>QVGA
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 0, 1, 0, 0, 1],
                        [3072, 0, 30, 0, 1, 0, 0, 1],
                        [2048, 0, 30, 0, 1, 0, 0, 1],
                        [1536, 0, 30, 0, 1, 0, 0, 1],
                        [1024, 0, 30, 0, 1, 0, 0, 1],
                        [768, 0, 30, 0, 1, 0, 0, 1],
                        [512, 0, 30, 0, 1, 0, 0, 1],
                        [384, 0, 30, 0, 1, 0, 0, 1],
                        [256, 0, 15, 0, 1, 0, 0, 1],
                        [128, 0, 1, 0, 1, 0, 0, 1],
                        [64, 0, 0, 0, 1, 0, 0, 1]
                    ]
                ]
            ],
            // <4-3>AdvancedVBR[中]
            [
                // <2-00>SXVGA
                [
                    // -
                    [
                        // デフォルト値
                        [2],
                        // 値リスト
                        [8192, 0, 30, 0, 1, 0, 0, 1],
                        [6144, 0, 30, 0, 1, 0, 0, 1],
                        [4096, 0, 30, 0, 1, 0, 0, 1],
                        [3072, 0, 30, 0, 1, 0, 0, 1],
                        [2048, 0, 30, 0, 1, 0, 0, 1],
                        [1536, 0, 30, 0, 1, 0, 0, 1],
                        [1024, 0, 20, 0, 1, 0, 0, 1],
                        [768, 0, 1, 0, 1, 0, 0, 1],
                        [512, 0, 0, 0, 1, 0, 0, 1],
                        [384, 0, 0, 0, 1, 0, 0, 1],
                        [256, 0, 0, 0, 1, 0, 0, 1]
                    ]
                ],
                // <2-01>VGA
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 0, 1, 0, 0, 1],
                        [3072, 0, 30, 0, 1, 0, 0, 1],
                        [2048, 0, 30, 0, 1, 0, 0, 1],
                        [1536, 0, 30, 0, 1, 0, 0, 1],
                        [1024, 0, 30, 0, 1, 0, 0, 1],
                        [768, 0, 30, 0, 1, 0, 0, 1],
                        [512, 0, 30, 0, 1, 0, 0, 1],
                        [384, 0, 15, 0, 1, 0, 0, 1],
                        [256, 0, 1, 0, 1, 0, 0, 1],
                        [128, 0, 0, 0, 1, 0, 0, 1],
                        [64, 0, 0, 0, 1, 0, 0, 1]
                    ]
                ],
                // <2-02>QVGA
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 0, 1, 0, 0, 1],
                        [3072, 0, 30, 0, 1, 0, 0, 1],
                        [2048, 0, 30, 0, 1, 0, 0, 1],
                        [1536, 0, 30, 0, 1, 0, 0, 1],
                        [1024, 0, 30, 0, 1, 0, 0, 1],
                        [768, 0, 30, 0, 1, 0, 0, 1],
                        [512, 0, 30, 0, 1, 0, 0, 1],
                        [384, 0, 30, 0, 1, 0, 0, 1],
                        [256, 0, 15, 0, 1, 0, 0, 1],
                        [128, 0, 1, 0, 1, 0, 0, 1],
                        [64, 0, 0, 0, 1, 0, 0, 1]
                    ]
                ]
            ],
            // <4-4>AdvancedVBR[低]
            [
                // <2-00>SXVGA
                [
                    // -
                    [
                        // デフォルト値
                        [2],
                        // 値リスト
                        [8192, 0, 30, 0, 1, 0, 0, 1],
                        [6144, 0, 30, 0, 1, 0, 0, 1],
                        [4096, 0, 30, 0, 1, 0, 0, 1],
                        [3072, 0, 30, 0, 1, 0, 0, 1],
                        [2048, 0, 30, 0, 1, 0, 0, 1],
                        [1536, 0, 30, 0, 1, 0, 0, 1],
                        [1024, 0, 20, 0, 1, 0, 0, 1],
                        [768, 0, 1, 0, 1, 0, 0, 1],
                        [512, 0, 0, 0, 1, 0, 0, 1],
                        [384, 0, 0, 0, 1, 0, 0, 1],
                        [256, 0, 0, 0, 1, 0, 0, 1]
                    ]
                ],
                // <2-01>VGA
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 0, 1, 0, 0, 1],
                        [3072, 0, 30, 0, 1, 0, 0, 1],
                        [2048, 0, 30, 0, 1, 0, 0, 1],
                        [1536, 0, 30, 0, 1, 0, 0, 1],
                        [1024, 0, 30, 0, 1, 0, 0, 1],
                        [768, 0, 30, 0, 1, 0, 0, 1],
                        [512, 0, 30, 0, 1, 0, 0, 1],
                        [384, 0, 15, 0, 1, 0, 0, 1],
                        [256, 0, 1, 0, 1, 0, 0, 1],
                        [128, 0, 0, 0, 1, 0, 0, 1],
                        [64, 0, 0, 0, 1, 0, 0, 1]
                    ]
                ],
                // <2-02>QVGA
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 0, 1, 0, 0, 1],
                        [3072, 0, 30, 0, 1, 0, 0, 1],
                        [2048, 0, 30, 0, 1, 0, 0, 1],
                        [1536, 0, 30, 0, 1, 0, 0, 1],
                        [1024, 0, 30, 0, 1, 0, 0, 1],
                        [768, 0, 30, 0, 1, 0, 0, 1],
                        [512, 0, 30, 0, 1, 0, 0, 1],
                        [384, 0, 30, 0, 1, 0, 0, 1],
                        [256, 0, 15, 0, 1, 0, 0, 1],
                        [128, 0, 1, 0, 1, 0, 0, 1],
                        [64, 0, 0, 0, 1, 0, 0, 1]
                    ]
                ]
            ]
        ],
        // <3-2>2M
        [
            // <4-0>ビットレート優先
            [
                // <2-00>FHD
                [
                    // <5-0>画質優先(SF)
                    [
                        // デフォルト値
                        [5],
                        // 値リスト
                        [14336, 0, 30, 0, 1, 0, 0, 1],
                        [12288, 0, 30, 0, 1, 0, 0, 1],
                        [10240, 0, 30, 0, 1, 0, 0, 1],
                        [8192, 0, 30, 0, 1, 0, 0, 1],
                        [6144, 0, 25, 0, 1, 0, 0, 1],
                        [4096, 0, 20, 0, 1, 0, 0, 1],
                        [3072, 0, 15, 0, 1, 0, 0, 1],
                        [2048, 0, 10, 0, 1, 0, 0, 1],
                        [1536, 0, 7.5, 0, 1, 0, 0, 1],
                        [1024, 0, 5, 0, 1, 0, 0, 1],
                        [768, 0, 3, 0, 1, 0, 0, 1],
                        [512, 0, 2, 0, 1, 0, 0, 1]
                    ],
                    // <5-1>標準(FQ)
                    [
                        // デフォルト値
                        [5],
                        // 値リスト
                        [14336, 0, 30, 0, 1, 0, 0, 1],
                        [12288, 0, 30, 0, 1, 0, 0, 1],
                        [10240, 0, 30, 0, 1, 0, 0, 1],
                        [8192, 0, 30, 0, 1, 0, 0, 1],
                        [6144, 0, 30, 0, 1, 0, 0, 1],
                        [4096, 0, 30, 0, 1, 0, 0, 1],
                        [3072, 0, 25, 0, 1, 0, 0, 1],
                        [2048, 0, 20, 0, 1, 0, 0, 1],
                        [1536, 0, 10, 0, 1, 0, 0, 1],
                        [1024, 0, 7.5, 0, 1, 0, 0, 1],
                        [768, 0, 5, 0, 1, 0, 0, 1],
                        [512, 0, 3, 0, 1, 0, 0, 1]
                    ],
                    // <5-2>動き優先(NQ)
                    [
                        // デフォルト値
                        [5],
                        // 値リスト
                        [14336, 0, 30, 0, 1, 0, 0, 1],
                        [12288, 0, 30, 0, 1, 0, 0, 1],
                        [10240, 0, 30, 0, 1, 0, 0, 1],
                        [8192, 0, 30, 0, 1, 0, 0, 1],
                        [6144, 0, 30, 0, 1, 0, 0, 1],
                        [4096, 0, 30, 0, 1, 0, 0, 1],
                        [3072, 0, 30, 0, 1, 0, 0, 1],
                        [2048, 0, 30, 0, 1, 0, 0, 1],
                        [1536, 0, 20, 0, 1, 0, 0, 1],
                        [1024, 0, 15, 0, 1, 0, 0, 1],
                        [768, 0, 10, 0, 1, 0, 0, 1],
                        [512, 0, 7.5, 0, 1, 0, 0, 1]
                    ]
                ],
                // <2-01>HVGAW
                [
                    // <5-0>画質優先(SF)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 22.5, 0, 1, 0, 0, 1],
                        [3072, 0, 20, 0, 1, 0, 0, 1],
                        [2048, 0, 15, 0, 1, 0, 0, 1],
                        [1536, 0, 15, 0, 1, 0, 0, 1],
                        [1024, 0, 10, 0, 1, 0, 0, 1],
                        [768, 0, 7.5, 0, 1, 0, 0, 1],
                        [512, 0, 5, 0, 1, 0, 0, 1],
                        [384, 0, 3, 0, 1, 0, 0, 1],
                        [256, 0, 2, 0, 1, 0, 0, 1],
                        [128, 0, 1, 0, 1, 0, 0, 1],
                        [64, 0, 1, 0, 1, 0, 0, 1]
                    ],
                    // <5-1>標準(FQ)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 0, 1, 0, 0, 1],
                        [3072, 0, 30, 0, 1, 0, 0, 1],
                        [2048, 0, 30, 0, 1, 0, 0, 1],
                        [1536, 0, 30, 0, 1, 0, 0, 1],
                        [1024, 0, 22.5, 0, 1, 0, 0, 1],
                        [768, 0, 20, 0, 1, 0, 0, 1],
                        [512, 0, 15, 0, 1, 0, 0, 1],
                        [384, 0, 10, 0, 1, 0, 0, 1],
                        [256, 0, 7.5, 0, 1, 0, 0, 1],
                        [128, 0, 5, 0, 1, 0, 0, 1],
                        [64, 0, 2, 0, 1, 0, 0, 1]
                    ],
                    // <5-2>動き優先(NQ)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 0, 1, 0, 0, 1],
                        [3072, 0, 30, 0, 1, 0, 0, 1],
                        [2048, 0, 30, 0, 1, 0, 0, 1],
                        [1536, 0, 30, 0, 1, 0, 0, 1],
                        [1024, 0, 30, 0, 1, 0, 0, 1],
                        [768, 0, 30, 0, 1, 0, 0, 1],
                        [512, 0, 20, 0, 1, 0, 0, 1],
                        [384, 0, 15, 0, 1, 0, 0, 1],
                        [256, 0, 10, 0, 1, 0, 0, 1],
                        [128, 0, 7.5, 0, 1, 0, 0, 1],
                        [64, 0, 3, 0, 1, 0, 0, 1]
                    ]
                ],
                // <2-02>180P
                [
                    // <5-0>画質優先(SF)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 0, 1, 0, 0, 1],
                        [3072, 0, 30, 0, 1, 0, 0, 1],
                        [2048, 0, 30, 0, 1, 0, 0, 1],
                        [1536, 0, 20, 0, 1, 0, 0, 1],
                        [1024, 0, 15, 0, 1, 0, 0, 1],
                        [768, 0, 15, 0, 1, 0, 0, 1],
                        [512, 0, 10, 0, 1, 0, 0, 1],
                        [384, 0, 7.5, 0, 1, 0, 0, 1],
                        [256, 0, 5, 0, 1, 0, 0, 1],
                        [128, 0, 2, 0, 1, 0, 0, 1],
                        [64, 0, 1, 0, 1, 0, 0, 1]
                    ],
                    // <5-1>標準(FQ)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 0, 1, 0, 0, 1],
                        [3072, 0, 30, 0, 1, 0, 0, 1],
                        [2048, 0, 30, 0, 1, 0, 0, 1],
                        [1536, 0, 30, 0, 1, 0, 0, 1],
                        [1024, 0, 30, 0, 1, 0, 0, 1],
                        [768, 0, 30, 0, 1, 0, 0, 1],
                        [512, 0, 25, 0, 1, 0, 0, 1],
                        [384, 0, 20, 0, 1, 0, 0, 1],
                        [256, 0, 15, 0, 1, 0, 0, 1],
                        [128, 0, 10, 0, 1, 0, 0, 1],
                        [64, 0, 5, 0, 1, 0, 0, 1]
                    ],
                    // <5-2>動き優先(NQ)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 0, 1, 0, 0, 1],
                        [3072, 0, 30, 0, 1, 0, 0, 1],
                        [2048, 0, 30, 0, 1, 0, 0, 1],
                        [1536, 0, 30, 0, 1, 0, 0, 1],
                        [1024, 0, 30, 0, 1, 0, 0, 1],
                        [768, 0, 30, 0, 1, 0, 0, 1],
                        [512, 0, 30, 0, 1, 0, 0, 1],
                        [384, 0, 30, 0, 1, 0, 0, 1],
                        [256, 0, 25, 0, 1, 0, 0, 1],
                        [128, 0, 15, 0, 1, 0, 0, 1],
                        [64, 0, 10, 0, 1, 0, 0, 1]
                    ]
                ]
            ],
            // <4-1>フレームレート優先
            [
                // <2-00>FHD
                [
                    // -
                    [
                        // デフォルト値
                        [5],
                        // 値リスト
                        [14336, 0, 30, 0, 1, 0, 0, 1],
                        [12288, 0, 30, 0, 1, 0, 0, 1],
                        [10240, 0, 30, 0, 1, 0, 0, 1],
                        [8192, 0, 30, 0, 1, 0, 0, 1],
                        [6144, 0, 30, 0, 1, 0, 0, 1],
                        [4096, 0, 30, 0, 1, 0, 0, 1],
                        [3072, 0, 30, 0, 1, 0, 0, 1],
                        [2048, 0, 15, 0, 1, 0, 0, 1],
                        [1536, 0, 7.5, 0, 1, 0, 0, 1],
                        [1024, 0, 1, 0, 1, 0, 0, 1],
                        [768, 0, 0, 0, 1, 0, 0, 1],
                        [512, 0, 0, 0, 1, 0, 0, 1]
                    ]
                ],
                // <2-01>HVGAW
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 0, 1, 0, 0, 1],
                        [3072, 0, 30, 0, 1, 0, 0, 1],
                        [2048, 0, 30, 0, 1, 0, 0, 1],
                        [1536, 0, 30, 0, 1, 0, 0, 1],
                        [1024, 0, 30, 0, 1, 0, 0, 1],
                        [768, 0, 30, 0, 1, 0, 0, 1],
                        [512, 0, 30, 0, 1, 0, 0, 1],
                        [384, 0, 15, 0, 1, 0, 0, 1],
                        [256, 0, 1, 0, 1, 0, 0, 1],
                        [128, 0, 0, 0, 1, 0, 0, 1],
                        [64, 0, 0, 0, 1, 0, 0, 1]
                    ]
                ],
                // <2-02>180P
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 0, 1, 0, 0, 1],
                        [3072, 0, 30, 0, 1, 0, 0, 1],
                        [2048, 0, 30, 0, 1, 0, 0, 1],
                        [1536, 0, 30, 0, 1, 0, 0, 1],
                        [1024, 0, 30, 0, 1, 0, 0, 1],
                        [768, 0, 30, 0, 1, 0, 0, 1],
                        [512, 0, 30, 0, 1, 0, 0, 1],
                        [384, 0, 30, 0, 1, 0, 0, 1],
                        [256, 0, 15, 0, 1, 0, 0, 1],
                        [128, 0, 1, 0, 1, 0, 0, 1],
                        [64, 0, 0, 0, 1, 0, 0, 1]
                    ]
                ]
            ],
            // <4-2>AdvancedVBR[高]
            [
                // <2-00>FHD
                [
                    // -
                    [
                        // デフォルト値
                        [5],
                        // 値リスト
                        [14336, 0, 30, 0, 1, 0, 0, 1],
                        [12288, 0, 30, 0, 1, 0, 0, 1],
                        [10240, 0, 30, 0, 1, 0, 0, 1],
                        [8192, 0, 30, 0, 1, 0, 0, 1],
                        [6144, 0, 30, 0, 1, 0, 0, 1],
                        [4096, 0, 30, 0, 1, 0, 0, 1],
                        [3072, 0, 30, 0, 1, 0, 0, 1],
                        [2048, 0, 15, 0, 1, 0, 0, 1],
                        [1536, 0, 7.5, 0, 1, 0, 0, 1],
                        [1024, 0, 1, 0, 1, 0, 0, 1],
                        [768, 0, 0, 0, 1, 0, 0, 1],
                        [512, 0, 0, 0, 1, 0, 0, 1]
                    ]
                ],
                // <2-01>HVGAW
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 0, 1, 0, 0, 1],
                        [3072, 0, 30, 0, 1, 0, 0, 1],
                        [2048, 0, 30, 0, 1, 0, 0, 1],
                        [1536, 0, 30, 0, 1, 0, 0, 1],
                        [1024, 0, 30, 0, 1, 0, 0, 1],
                        [768, 0, 30, 0, 1, 0, 0, 1],
                        [512, 0, 30, 0, 1, 0, 0, 1],
                        [384, 0, 15, 0, 1, 0, 0, 1],
                        [256, 0, 1, 0, 1, 0, 0, 1],
                        [128, 0, 0, 0, 1, 0, 0, 1],
                        [64, 0, 0, 0, 1, 0, 0, 1]
                    ]
                ],
                // <2-02>180P
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 0, 1, 0, 0, 1],
                        [3072, 0, 30, 0, 1, 0, 0, 1],
                        [2048, 0, 30, 0, 1, 0, 0, 1],
                        [1536, 0, 30, 0, 1, 0, 0, 1],
                        [1024, 0, 30, 0, 1, 0, 0, 1],
                        [768, 0, 30, 0, 1, 0, 0, 1],
                        [512, 0, 30, 0, 1, 0, 0, 1],
                        [384, 0, 30, 0, 1, 0, 0, 1],
                        [256, 0, 15, 0, 1, 0, 0, 1],
                        [128, 0, 1, 0, 1, 0, 0, 1],
                        [64, 0, 0, 0, 1, 0, 0, 1]
                    ]
                ]
            ],
            // <4-3>AdvancedVBR[中]
            [
                // <2-00>FHD
                [
                    // -
                    [
                        // デフォルト値
                        [5],
                        // 値リスト
                        [14336, 0, 30, 0, 1, 0, 0, 1],
                        [12288, 0, 30, 0, 1, 0, 0, 1],
                        [10240, 0, 30, 0, 1, 0, 0, 1],
                        [8192, 0, 30, 0, 1, 0, 0, 1],
                        [6144, 0, 30, 0, 1, 0, 0, 1],
                        [4096, 0, 30, 0, 1, 0, 0, 1],
                        [3072, 0, 30, 0, 1, 0, 0, 1],
                        [2048, 0, 15, 0, 1, 0, 0, 1],
                        [1536, 0, 7.5, 0, 1, 0, 0, 1],
                        [1024, 0, 1, 0, 1, 0, 0, 1],
                        [768, 0, 0, 0, 1, 0, 0, 1],
                        [512, 0, 0, 0, 1, 0, 0, 1]
                    ]
                ],
                // <2-01>HVGAW
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 0, 1, 0, 0, 1],
                        [3072, 0, 30, 0, 1, 0, 0, 1],
                        [2048, 0, 30, 0, 1, 0, 0, 1],
                        [1536, 0, 30, 0, 1, 0, 0, 1],
                        [1024, 0, 30, 0, 1, 0, 0, 1],
                        [768, 0, 30, 0, 1, 0, 0, 1],
                        [512, 0, 30, 0, 1, 0, 0, 1],
                        [384, 0, 15, 0, 1, 0, 0, 1],
                        [256, 0, 1, 0, 1, 0, 0, 1],
                        [128, 0, 0, 0, 1, 0, 0, 1],
                        [64, 0, 0, 0, 1, 0, 0, 1]
                    ]
                ],
                // <2-02>180P
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 0, 1, 0, 0, 1],
                        [3072, 0, 30, 0, 1, 0, 0, 1],
                        [2048, 0, 30, 0, 1, 0, 0, 1],
                        [1536, 0, 30, 0, 1, 0, 0, 1],
                        [1024, 0, 30, 0, 1, 0, 0, 1],
                        [768, 0, 30, 0, 1, 0, 0, 1],
                        [512, 0, 30, 0, 1, 0, 0, 1],
                        [384, 0, 30, 0, 1, 0, 0, 1],
                        [256, 0, 15, 0, 1, 0, 0, 1],
                        [128, 0, 1, 0, 1, 0, 0, 1],
                        [64, 0, 0, 0, 1, 0, 0, 1]
                    ]
                ]
            ],
            // <4-4>AdvancedVBR[低]
            [
                // <2-00>FHD
                [
                    // -
                    [
                        // デフォルト値
                        [5],
                        // 値リスト
                        [14336, 0, 30, 0, 1, 0, 0, 1],
                        [12288, 0, 30, 0, 1, 0, 0, 1],
                        [10240, 0, 30, 0, 1, 0, 0, 1],
                        [8192, 0, 30, 0, 1, 0, 0, 1],
                        [6144, 0, 30, 0, 1, 0, 0, 1],
                        [4096, 0, 30, 0, 1, 0, 0, 1],
                        [3072, 0, 30, 0, 1, 0, 0, 1],
                        [2048, 0, 15, 0, 1, 0, 0, 1],
                        [1536, 0, 7.5, 0, 1, 0, 0, 1],
                        [1024, 0, 1, 0, 1, 0, 0, 1],
                        [768, 0, 0, 0, 1, 0, 0, 1],
                        [512, 0, 0, 0, 1, 0, 0, 1]
                    ]
                ],
                // <2-01>HVGAW
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 0, 1, 0, 0, 1],
                        [3072, 0, 30, 0, 1, 0, 0, 1],
                        [2048, 0, 30, 0, 1, 0, 0, 1],
                        [1536, 0, 30, 0, 1, 0, 0, 1],
                        [1024, 0, 30, 0, 1, 0, 0, 1],
                        [768, 0, 30, 0, 1, 0, 0, 1],
                        [512, 0, 30, 0, 1, 0, 0, 1],
                        [384, 0, 15, 0, 1, 0, 0, 1],
                        [256, 0, 1, 0, 1, 0, 0, 1],
                        [128, 0, 0, 0, 1, 0, 0, 1],
                        [64, 0, 0, 0, 1, 0, 0, 1]
                    ]
                ],
                // <2-02>180P
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 0, 1, 0, 0, 1],
                        [3072, 0, 30, 0, 1, 0, 0, 1],
                        [2048, 0, 30, 0, 1, 0, 0, 1],
                        [1536, 0, 30, 0, 1, 0, 0, 1],
                        [1024, 0, 30, 0, 1, 0, 0, 1],
                        [768, 0, 30, 0, 1, 0, 0, 1],
                        [512, 0, 30, 0, 1, 0, 0, 1],
                        [384, 0, 30, 0, 1, 0, 0, 1],
                        [256, 0, 15, 0, 1, 0, 0, 1],
                        [128, 0, 1, 0, 1, 0, 0, 1],
                        [64, 0, 0, 0, 1, 0, 0, 1]
                    ]
                ]
            ]
        ],
        // <3-3>3M
        [
            // <4-0>ビットレート優先
            [
                // <2-00>SXVGA
                [
                    // <5-0>画質優先(SF)
                    [
                        // デフォルト値
                        [2],
                        // 値リスト
                        [8192, 0, 15, 0, 1, 0, 0, 0],
                        [6144, 0, 15, 0, 1, 0, 0, 0],
                        [4096, 0, 15, 0, 1, 0, 0, 0],
                        [3072, 0, 15, 0, 1, 0, 0, 0],
                        [2048, 0, 10, 0, 1, 0, 0, 0],
                        [1536, 0, 7.5, 0, 1, 0, 0, 0],
                        [1024, 0, 5, 0, 1, 0, 0, 0],
                        [768, 0, 3, 0, 1, 0, 0, 0],
                        [512, 0, 2, 0, 1, 0, 0, 0],
                        [384, 0, 1, 0, 1, 0, 0, 0],
                        [256, 0, 1, 0, 1, 0, 0, 0]
                    ],
                    // <5-1>標準(FQ)
                    [
                        // デフォルト値
                        [2],
                        // 値リスト
                        [8192, 0, 15, 0, 1, 0, 0, 0],
                        [6144, 0, 15, 0, 1, 0, 0, 0],
                        [4096, 0, 15, 0, 1, 0, 0, 0],
                        [3072, 0, 15, 0, 1, 0, 0, 0],
                        [2048, 0, 15, 0, 1, 0, 0, 0],
                        [1536, 0, 10, 0, 1, 0, 0, 0],
                        [1024, 0, 7.5, 0, 1, 0, 0, 0],
                        [768, 0, 5, 0, 1, 0, 0, 0],
                        [512, 0, 3, 0, 1, 0, 0, 0],
                        [384, 0, 2, 0, 1, 0, 0, 0],
                        [256, 0, 1, 0, 1, 0, 0, 0]
                    ],
                    // <5-2>動き優先(NQ)
                    [
                        // デフォルト値
                        [2],
                        // 値リスト
                        [8192, 0, 15, 0, 1, 0, 0, 0],
                        [6144, 0, 15, 0, 1, 0, 0, 0],
                        [4096, 0, 15, 0, 1, 0, 0, 0],
                        [3072, 0, 15, 0, 1, 0, 0, 0],
                        [2048, 0, 15, 0, 1, 0, 0, 0],
                        [1536, 0, 15, 0, 1, 0, 0, 0],
                        [1024, 0, 15, 0, 1, 0, 0, 0],
                        [768, 0, 10, 0, 1, 0, 0, 0],
                        [512, 0, 7.5, 0, 1, 0, 0, 0],
                        [384, 0, 5, 0, 1, 0, 0, 0],
                        [256, 0, 3, 0, 1, 0, 0, 0]
                    ]
                ]
            ],
            // <4-1>フレームレート優先
            [
                // <2-00>SXVGA
                [
                    // -
                    [
                        // デフォルト値
                        [2],
                        // 値リスト
                        [8192, 0, 15, 0, 1, 0, 0, 0],
                        [6144, 0, 15, 0, 1, 0, 0, 0],
                        [4096, 0, 15, 0, 1, 0, 0, 0],
                        [3072, 0, 15, 0, 1, 0, 0, 0],
                        [2048, 0, 15, 0, 1, 0, 0, 0],
                        [1536, 0, 15, 0, 1, 0, 0, 0],
                        [1024, 0, 15, 0, 1, 0, 0, 0],
                        [768, 0, 1, 0, 1, 0, 0, 0],
                        [512, 0, 0, 0, 1, 0, 0, 0],
                        [384, 0, 0, 0, 1, 0, 0, 0],
                        [256, 0, 0, 0, 1, 0, 0, 0]
                    ]
                ]
            ],
            // <4-2>AdvancedVBR[高]
            [
                // <2-00>SXVGA
                [
                    // -
                    [
                        // デフォルト値
                        [2],
                        // 値リスト
                        [8192, 0, 15, 0, 1, 0, 0, 0],
                        [6144, 0, 15, 0, 1, 0, 0, 0],
                        [4096, 0, 15, 0, 1, 0, 0, 0],
                        [3072, 0, 15, 0, 1, 0, 0, 0],
                        [2048, 0, 15, 0, 1, 0, 0, 0],
                        [1536, 0, 15, 0, 1, 0, 0, 0],
                        [1024, 0, 15, 0, 1, 0, 0, 0],
                        [768, 0, 1, 0, 1, 0, 0, 0],
                        [512, 0, 0, 0, 1, 0, 0, 0],
                        [384, 0, 0, 0, 1, 0, 0, 0],
                        [256, 0, 0, 0, 1, 0, 0, 0]
                    ]
                ]
            ],
            // <4-3>AdvancedVBR[中]
            [
                // <2-00>SXVGA
                [
                    // -
                    [
                        // デフォルト値
                        [2],
                        // 値リスト
                        [8192, 0, 15, 0, 1, 0, 0, 0],
                        [6144, 0, 15, 0, 1, 0, 0, 0],
                        [4096, 0, 15, 0, 1, 0, 0, 0],
                        [3072, 0, 15, 0, 1, 0, 0, 0],
                        [2048, 0, 15, 0, 1, 0, 0, 0],
                        [1536, 0, 15, 0, 1, 0, 0, 0],
                        [1024, 0, 15, 0, 1, 0, 0, 0],
                        [768, 0, 1, 0, 1, 0, 0, 0],
                        [512, 0, 0, 0, 1, 0, 0, 0],
                        [384, 0, 0, 0, 1, 0, 0, 0],
                        [256, 0, 0, 0, 1, 0, 0, 0]
                    ]
                ]
            ],
            // <4-4>AdvancedVBR[低]
            [
                // <2-00>SXVGA
                [
                    // -
                    [
                        // デフォルト値
                        [2],
                        // 値リスト
                        [8192, 0, 15, 0, 1, 0, 0, 0],
                        [6144, 0, 15, 0, 1, 0, 0, 0],
                        [4096, 0, 15, 0, 1, 0, 0, 0],
                        [3072, 0, 15, 0, 1, 0, 0, 0],
                        [2048, 0, 15, 0, 1, 0, 0, 0],
                        [1536, 0, 15, 0, 1, 0, 0, 0],
                        [1024, 0, 15, 0, 1, 0, 0, 0],
                        [768, 0, 1, 0, 1, 0, 0, 0],
                        [512, 0, 0, 0, 1, 0, 0, 0],
                        [384, 0, 0, 0, 1, 0, 0, 0],
                        [256, 0, 0, 0, 1, 0, 0, 0]
                    ]
                ]
            ]
        ],
        // <3-4>2モード
        [
            // <4-0>ビットレート優先
            [
                // <2-00>FHD
                [
                    // <5-0>画質優先(SF)
                    [
                        // デフォルト値
                        [5],
                        // 値リスト
                        [14336, 0, 15, 0, 1, 0, 0, 0],
                        [12288, 0, 15, 0, 1, 0, 0, 0],
                        [10240, 0, 15, 0, 1, 0, 0, 0],
                        [8192, 0, 15, 0, 1, 0, 0, 0],
                        [6144, 0, 15, 0, 1, 0, 0, 0],
                        [4096, 0, 15, 0, 1, 0, 0, 0],
                        [3072, 0, 15, 0, 1, 0, 0, 0],
                        [2048, 0, 10, 0, 1, 0, 0, 0],
                        [1536, 0, 7.5, 0, 1, 0, 0, 0],
                        [1024, 0, 5, 0, 1, 0, 0, 0],
                        [768, 0, 3, 0, 1, 0, 0, 0],
                        [512, 0, 2, 0, 1, 0, 0, 0]
                    ],
                    // <5-1>標準(FQ)
                    [
                        // デフォルト値
                        [5],
                        // 値リスト
                        [14336, 0, 15, 0, 1, 0, 0, 0],
                        [12288, 0, 15, 0, 1, 0, 0, 0],
                        [10240, 0, 15, 0, 1, 0, 0, 0],
                        [8192, 0, 15, 0, 1, 0, 0, 0],
                        [6144, 0, 15, 0, 1, 0, 0, 0],
                        [4096, 0, 15, 0, 1, 0, 0, 0],
                        [3072, 0, 15, 0, 1, 0, 0, 0],
                        [2048, 0, 15, 0, 1, 0, 0, 0],
                        [1536, 0, 10, 0, 1, 0, 0, 0],
                        [1024, 0, 7.5, 0, 1, 0, 0, 0],
                        [768, 0, 5, 0, 1, 0, 0, 0],
                        [512, 0, 3, 0, 1, 0, 0, 0]
                    ],
                    // <5-2>動き優先(NQ)
                    [
                        // デフォルト値
                        [5],
                        // 値リスト
                        [14336, 0, 15, 0, 1, 0, 0, 0],
                        [12288, 0, 15, 0, 1, 0, 0, 0],
                        [10240, 0, 15, 0, 1, 0, 0, 0],
                        [8192, 0, 15, 0, 1, 0, 0, 0],
                        [6144, 0, 15, 0, 1, 0, 0, 0],
                        [4096, 0, 15, 0, 1, 0, 0, 0],
                        [3072, 0, 15, 0, 1, 0, 0, 0],
                        [2048, 0, 15, 0, 1, 0, 0, 0],
                        [1536, 0, 15, 0, 1, 0, 0, 0],
                        [1024, 0, 15, 0, 1, 0, 0, 0],
                        [768, 0, 10, 0, 1, 0, 0, 0],
                        [512, 0, 7.5, 0, 1, 0, 0, 0]
                    ]
                ],
                // <2-01>HVGAW
                [
                    // <5-0>画質優先(SF)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 15, 0, 1, 0, 0, 0],
                        [3072, 0, 15, 0, 1, 0, 0, 0],
                        [2048, 0, 15, 0, 1, 0, 0, 0],
                        [1536, 0, 15, 0, 1, 0, 0, 0],
                        [1024, 0, 10, 0, 1, 0, 0, 0],
                        [768, 0, 7.5, 0, 1, 0, 0, 0],
                        [512, 0, 5, 0, 1, 0, 0, 0],
                        [384, 0, 3, 0, 1, 0, 0, 0],
                        [256, 0, 2, 0, 1, 0, 0, 0],
                        [128, 0, 1, 0, 1, 0, 0, 0],
                        [64, 0, 1, 0, 1, 0, 0, 0]
                    ],
                    // <5-1>標準(FQ)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 15, 0, 1, 0, 0, 0],
                        [3072, 0, 15, 0, 1, 0, 0, 0],
                        [2048, 0, 15, 0, 1, 0, 0, 0],
                        [1536, 0, 15, 0, 1, 0, 0, 0],
                        [1024, 0, 15, 0, 1, 0, 0, 0],
                        [768, 0, 15, 0, 1, 0, 0, 0],
                        [512, 0, 15, 0, 1, 0, 0, 0],
                        [384, 0, 10, 0, 1, 0, 0, 0],
                        [256, 0, 7.5, 0, 1, 0, 0, 0],
                        [128, 0, 5, 0, 1, 0, 0, 0],
                        [64, 0, 2, 0, 1, 0, 0, 0]
                    ],
                    // <5-2>動き優先(NQ)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 15, 0, 1, 0, 0, 0],
                        [3072, 0, 15, 0, 1, 0, 0, 0],
                        [2048, 0, 15, 0, 1, 0, 0, 0],
                        [1536, 0, 15, 0, 1, 0, 0, 0],
                        [1024, 0, 15, 0, 1, 0, 0, 0],
                        [768, 0, 15, 0, 1, 0, 0, 0],
                        [512, 0, 15, 0, 1, 0, 0, 0],
                        [384, 0, 15, 0, 1, 0, 0, 0],
                        [256, 0, 10, 0, 1, 0, 0, 0],
                        [128, 0, 7.5, 0, 1, 0, 0, 0],
                        [64, 0, 3, 0, 1, 0, 0, 0]
                    ]
                ],
                // <2-02>180P
                [
                    // <5-0>画質優先(SF)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 15, 0, 1, 0, 0, 0],
                        [3072, 0, 15, 0, 1, 0, 0, 0],
                        [2048, 0, 15, 0, 1, 0, 0, 0],
                        [1536, 0, 15, 0, 1, 0, 0, 0],
                        [1024, 0, 15, 0, 1, 0, 0, 0],
                        [768, 0, 15, 0, 1, 0, 0, 0],
                        [512, 0, 10, 0, 1, 0, 0, 0],
                        [384, 0, 7.5, 0, 1, 0, 0, 0],
                        [256, 0, 5, 0, 1, 0, 0, 0],
                        [128, 0, 2, 0, 1, 0, 0, 0],
                        [64, 0, 1, 0, 1, 0, 0, 0]
                    ],
                    // <5-1>標準(FQ)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 15, 0, 1, 0, 0, 0],
                        [3072, 0, 15, 0, 1, 0, 0, 0],
                        [2048, 0, 15, 0, 1, 0, 0, 0],
                        [1536, 0, 15, 0, 1, 0, 0, 0],
                        [1024, 0, 15, 0, 1, 0, 0, 0],
                        [768, 0, 15, 0, 1, 0, 0, 0],
                        [512, 0, 15, 0, 1, 0, 0, 0],
                        [384, 0, 15, 0, 1, 0, 0, 0],
                        [256, 0, 15, 0, 1, 0, 0, 0],
                        [128, 0, 10, 0, 1, 0, 0, 0],
                        [64, 0, 5, 0, 1, 0, 0, 0]
                    ],
                    // <5-2>動き優先(NQ)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 15, 0, 1, 0, 0, 0],
                        [3072, 0, 15, 0, 1, 0, 0, 0],
                        [2048, 0, 15, 0, 1, 0, 0, 0],
                        [1536, 0, 15, 0, 1, 0, 0, 0],
                        [1024, 0, 15, 0, 1, 0, 0, 0],
                        [768, 0, 15, 0, 1, 0, 0, 0],
                        [512, 0, 15, 0, 1, 0, 0, 0],
                        [384, 0, 15, 0, 1, 0, 0, 0],
                        [256, 0, 15, 0, 1, 0, 0, 0],
                        [128, 0, 15, 0, 1, 0, 0, 0],
                        [64, 0, 10, 0, 1, 0, 0, 0]
                    ]
                ],
                // <2-03>SXVGA
                [
                    // <5-0>画質優先(SF)
                    [
                        // デフォルト値
                        [2],
                        // 値リスト
                        [8192, 0, 15, 0, 1, 0, 0, 1],
                        [6144, 0, 15, 0, 1, 0, 0, 1],
                        [4096, 0, 15, 0, 1, 0, 0, 1],
                        [3072, 0, 15, 0, 1, 0, 0, 1],
                        [2048, 0, 10, 0, 1, 0, 0, 1],
                        [1536, 0, 7.5, 0, 1, 0, 0, 1],
                        [1024, 0, 5, 0, 1, 0, 0, 1],
                        [768, 0, 3, 0, 1, 0, 0, 1],
                        [512, 0, 2, 0, 1, 0, 0, 1],
                        [384, 0, 1, 0, 1, 0, 0, 1],
                        [256, 0, 1, 0, 1, 0, 0, 1]
                    ],
                    // <5-1>標準(FQ)
                    [
                        // デフォルト値
                        [2],
                        // 値リスト
                        [8192, 0, 15, 0, 1, 0, 0, 1],
                        [6144, 0, 15, 0, 1, 0, 0, 1],
                        [4096, 0, 15, 0, 1, 0, 0, 1],
                        [3072, 0, 15, 0, 1, 0, 0, 1],
                        [2048, 0, 15, 0, 1, 0, 0, 1],
                        [1536, 0, 10, 0, 1, 0, 0, 1],
                        [1024, 0, 7.5, 0, 1, 0, 0, 1],
                        [768, 0, 5, 0, 1, 0, 0, 1],
                        [512, 0, 3, 0, 1, 0, 0, 1],
                        [384, 0, 2, 0, 1, 0, 0, 1],
                        [256, 0, 1, 0, 1, 0, 0, 1]
                    ],
                    // <5-2>動き優先(NQ)
                    [
                        // デフォルト値
                        [2],
                        // 値リスト
                        [8192, 0, 15, 0, 1, 0, 0, 1],
                        [6144, 0, 15, 0, 1, 0, 0, 1],
                        [4096, 0, 15, 0, 1, 0, 0, 1],
                        [3072, 0, 15, 0, 1, 0, 0, 1],
                        [2048, 0, 15, 0, 1, 0, 0, 1],
                        [1536, 0, 15, 0, 1, 0, 0, 1],
                        [1024, 0, 15, 0, 1, 0, 0, 1],
                        [768, 0, 10, 0, 1, 0, 0, 1],
                        [512, 0, 7.5, 0, 1, 0, 0, 1],
                        [384, 0, 5, 0, 1, 0, 0, 1],
                        [256, 0, 3, 0, 1, 0, 0, 1]
                    ]
                ],
                // <2-04>VGA
                [
                    // <5-0>画質優先(SF)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 15, 0, 1, 0, 0, 1],
                        [3072, 0, 15, 0, 1, 0, 0, 1],
                        [2048, 0, 15, 0, 1, 0, 0, 1],
                        [1536, 0, 15, 0, 1, 0, 0, 1],
                        [1024, 0, 10, 0, 1, 0, 0, 1],
                        [768, 0, 7.5, 0, 1, 0, 0, 1],
                        [512, 0, 5, 0, 1, 0, 0, 1],
                        [384, 0, 3, 0, 1, 0, 0, 1],
                        [256, 0, 2, 0, 1, 0, 0, 1],
                        [128, 0, 1, 0, 1, 0, 0, 1],
                        [64, 0, 1, 0, 1, 0, 0, 1]
                    ],
                    // <5-1>標準(FQ)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 15, 0, 1, 0, 0, 1],
                        [3072, 0, 15, 0, 1, 0, 0, 1],
                        [2048, 0, 15, 0, 1, 0, 0, 1],
                        [1536, 0, 15, 0, 1, 0, 0, 1],
                        [1024, 0, 15, 0, 1, 0, 0, 1],
                        [768, 0, 15, 0, 1, 0, 0, 1],
                        [512, 0, 15, 0, 1, 0, 0, 1],
                        [384, 0, 10, 0, 1, 0, 0, 1],
                        [256, 0, 7.5, 0, 1, 0, 0, 1],
                        [128, 0, 5, 0, 1, 0, 0, 1],
                        [64, 0, 2, 0, 1, 0, 0, 1]
                    ],
                    // <5-2>動き優先(NQ)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 15, 0, 1, 0, 0, 1],
                        [3072, 0, 15, 0, 1, 0, 0, 1],
                        [2048, 0, 15, 0, 1, 0, 0, 1],
                        [1536, 0, 15, 0, 1, 0, 0, 1],
                        [1024, 0, 15, 0, 1, 0, 0, 1],
                        [768, 0, 15, 0, 1, 0, 0, 1],
                        [512, 0, 15, 0, 1, 0, 0, 1],
                        [384, 0, 15, 0, 1, 0, 0, 1],
                        [256, 0, 10, 0, 1, 0, 0, 1],
                        [128, 0, 7.5, 0, 1, 0, 0, 1],
                        [64, 0, 3, 0, 1, 0, 0, 1]
                    ]
                ],
                // <2-05>QVGA
                [
                    // <5-0>画質優先(SF)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 15, 0, 1, 0, 0, 1],
                        [3072, 0, 15, 0, 1, 0, 0, 1],
                        [2048, 0, 15, 0, 1, 0, 0, 1],
                        [1536, 0, 15, 0, 1, 0, 0, 1],
                        [1024, 0, 15, 0, 1, 0, 0, 1],
                        [768, 0, 15, 0, 1, 0, 0, 1],
                        [512, 0, 10, 0, 1, 0, 0, 1],
                        [384, 0, 7.5, 0, 1, 0, 0, 1],
                        [256, 0, 5, 0, 1, 0, 0, 1],
                        [128, 0, 2, 0, 1, 0, 0, 1],
                        [64, 0, 1, 0, 1, 0, 0, 1]
                    ],
                    // <5-1>標準(FQ)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 15, 0, 1, 0, 0, 1],
                        [3072, 0, 15, 0, 1, 0, 0, 1],
                        [2048, 0, 15, 0, 1, 0, 0, 1],
                        [1536, 0, 15, 0, 1, 0, 0, 1],
                        [1024, 0, 15, 0, 1, 0, 0, 1],
                        [768, 0, 15, 0, 1, 0, 0, 1],
                        [512, 0, 15, 0, 1, 0, 0, 1],
                        [384, 0, 15, 0, 1, 0, 0, 1],
                        [256, 0, 15, 0, 1, 0, 0, 1],
                        [128, 0, 10, 0, 1, 0, 0, 1],
                        [64, 0, 5, 0, 1, 0, 0, 1]
                    ],
                    // <5-2>動き優先(NQ)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 15, 0, 1, 0, 0, 1],
                        [3072, 0, 15, 0, 1, 0, 0, 1],
                        [2048, 0, 15, 0, 1, 0, 0, 1],
                        [1536, 0, 15, 0, 1, 0, 0, 1],
                        [1024, 0, 15, 0, 1, 0, 0, 1],
                        [768, 0, 15, 0, 1, 0, 0, 1],
                        [512, 0, 15, 0, 1, 0, 0, 1],
                        [384, 0, 15, 0, 1, 0, 0, 1],
                        [256, 0, 15, 0, 1, 0, 0, 1],
                        [128, 0, 15, 0, 1, 0, 0, 1],
                        [64, 0, 10, 0, 1, 0, 0, 1]
                    ]
                ]
            ],
            // <4-1>フレームレート優先
            [
                // <2-00>FHD
                [
                    // -
                    [
                        // デフォルト値
                        [5],
                        // 値リスト
                        [14336, 0, 15, 0, 1, 0, 0, 0],
                        [12288, 0, 15, 0, 1, 0, 0, 0],
                        [10240, 0, 15, 0, 1, 0, 0, 0],
                        [8192, 0, 15, 0, 1, 0, 0, 0],
                        [6144, 0, 15, 0, 1, 0, 0, 0],
                        [4096, 0, 15, 0, 1, 0, 0, 0],
                        [3072, 0, 15, 0, 1, 0, 0, 0],
                        [2048, 0, 15, 0, 1, 0, 0, 0],
                        [1536, 0, 7.5, 0, 1, 0, 0, 0],
                        [1024, 0, 1, 0, 1, 0, 0, 0],
                        [768, 0, 0, 0, 1, 0, 0, 0],
                        [512, 0, 0, 0, 1, 0, 0, 0]
                    ]
                ],
                // <2-01>HVGAW
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 15, 0, 1, 0, 0, 0],
                        [3072, 0, 15, 0, 1, 0, 0, 0],
                        [2048, 0, 15, 0, 1, 0, 0, 0],
                        [1536, 0, 15, 0, 1, 0, 0, 0],
                        [1024, 0, 15, 0, 1, 0, 0, 0],
                        [768, 0, 15, 0, 1, 0, 0, 0],
                        [512, 0, 15, 0, 1, 0, 0, 0],
                        [384, 0, 15, 0, 1, 0, 0, 0],
                        [256, 0, 1, 0, 1, 0, 0, 0],
                        [128, 0, 0, 0, 1, 0, 0, 0],
                        [64, 0, 0, 0, 1, 0, 0, 0]
                    ]
                ],
                // <2-02>180P
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 15, 0, 1, 0, 0, 0],
                        [3072, 0, 15, 0, 1, 0, 0, 0],
                        [2048, 0, 15, 0, 1, 0, 0, 0],
                        [1536, 0, 15, 0, 1, 0, 0, 0],
                        [1024, 0, 15, 0, 1, 0, 0, 0],
                        [768, 0, 15, 0, 1, 0, 0, 0],
                        [512, 0, 15, 0, 1, 0, 0, 0],
                        [384, 0, 15, 0, 1, 0, 0, 0],
                        [256, 0, 15, 0, 1, 0, 0, 0],
                        [128, 0, 1, 0, 1, 0, 0, 0],
                        [64, 0, 0, 0, 1, 0, 0, 0]
                    ]
                ],
                // <2-03>SXVGA
                [
                    // -
                    [
                        // デフォルト値
                        [2],
                        // 値リスト
                        [8192, 0, 15, 0, 1, 0, 0, 1],
                        [6144, 0, 15, 0, 1, 0, 0, 1],
                        [4096, 0, 15, 0, 1, 0, 0, 1],
                        [3072, 0, 15, 0, 1, 0, 0, 1],
                        [2048, 0, 15, 0, 1, 0, 0, 1],
                        [1536, 0, 15, 0, 1, 0, 0, 1],
                        [1024, 0, 15, 0, 1, 0, 0, 1],
                        [768, 0, 1, 0, 1, 0, 0, 1],
                        [512, 0, 0, 0, 1, 0, 0, 1],
                        [384, 0, 0, 0, 1, 0, 0, 1],
                        [256, 0, 0, 0, 1, 0, 0, 1]
                    ]
                ],
                // <2-04>VGA
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 15, 0, 1, 0, 0, 1],
                        [3072, 0, 15, 0, 1, 0, 0, 1],
                        [2048, 0, 15, 0, 1, 0, 0, 1],
                        [1536, 0, 15, 0, 1, 0, 0, 1],
                        [1024, 0, 15, 0, 1, 0, 0, 1],
                        [768, 0, 15, 0, 1, 0, 0, 1],
                        [512, 0, 15, 0, 1, 0, 0, 1],
                        [384, 0, 15, 0, 1, 0, 0, 1],
                        [256, 0, 1, 0, 1, 0, 0, 1],
                        [128, 0, 0, 0, 1, 0, 0, 1],
                        [64, 0, 0, 0, 1, 0, 0, 1]
                    ]
                ],
                // <2-05>QVGA
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 15, 0, 1, 0, 0, 1],
                        [3072, 0, 15, 0, 1, 0, 0, 1],
                        [2048, 0, 15, 0, 1, 0, 0, 1],
                        [1536, 0, 15, 0, 1, 0, 0, 1],
                        [1024, 0, 15, 0, 1, 0, 0, 1],
                        [768, 0, 15, 0, 1, 0, 0, 1],
                        [512, 0, 15, 0, 1, 0, 0, 1],
                        [384, 0, 15, 0, 1, 0, 0, 1],
                        [256, 0, 15, 0, 1, 0, 0, 1],
                        [128, 0, 1, 0, 1, 0, 0, 1],
                        [64, 0, 0, 0, 1, 0, 0, 1]
                    ]
                ]
            ],
            // <4-2>AdvancedVBR[高]
            [
                // <2-00>FHD
                [
                    // -
                    [
                        // デフォルト値
                        [5],
                        // 値リスト
                        [14336, 0, 15, 0, 1, 0, 0, 0],
                        [12288, 0, 15, 0, 1, 0, 0, 0],
                        [10240, 0, 15, 0, 1, 0, 0, 0],
                        [8192, 0, 15, 0, 1, 0, 0, 0],
                        [6144, 0, 15, 0, 1, 0, 0, 0],
                        [4096, 0, 15, 0, 1, 0, 0, 0],
                        [3072, 0, 15, 0, 1, 0, 0, 0],
                        [2048, 0, 15, 0, 1, 0, 0, 0],
                        [1536, 0, 7.5, 0, 1, 0, 0, 0],
                        [1024, 0, 1, 0, 1, 0, 0, 0],
                        [768, 0, 0, 0, 1, 0, 0, 0],
                        [512, 0, 0, 0, 1, 0, 0, 0]
                    ]
                ],
                // <2-01>HVGAW
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 15, 0, 1, 0, 0, 0],
                        [3072, 0, 15, 0, 1, 0, 0, 0],
                        [2048, 0, 15, 0, 1, 0, 0, 0],
                        [1536, 0, 15, 0, 1, 0, 0, 0],
                        [1024, 0, 15, 0, 1, 0, 0, 0],
                        [768, 0, 15, 0, 1, 0, 0, 0],
                        [512, 0, 15, 0, 1, 0, 0, 0],
                        [384, 0, 15, 0, 1, 0, 0, 0],
                        [256, 0, 1, 0, 1, 0, 0, 0],
                        [128, 0, 0, 0, 1, 0, 0, 0],
                        [64, 0, 0, 0, 1, 0, 0, 0]
                    ]
                ],
                // <2-02>180P
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 15, 0, 1, 0, 0, 0],
                        [3072, 0, 15, 0, 1, 0, 0, 0],
                        [2048, 0, 15, 0, 1, 0, 0, 0],
                        [1536, 0, 15, 0, 1, 0, 0, 0],
                        [1024, 0, 15, 0, 1, 0, 0, 0],
                        [768, 0, 15, 0, 1, 0, 0, 0],
                        [512, 0, 15, 0, 1, 0, 0, 0],
                        [384, 0, 15, 0, 1, 0, 0, 0],
                        [256, 0, 15, 0, 1, 0, 0, 0],
                        [128, 0, 1, 0, 1, 0, 0, 0],
                        [64, 0, 0, 0, 1, 0, 0, 0]
                    ]
                ],
                // <2-03>SXVGA
                [
                    // -
                    [
                        // デフォルト値
                        [2],
                        // 値リスト
                        [8192, 0, 15, 0, 1, 0, 0, 1],
                        [6144, 0, 15, 0, 1, 0, 0, 1],
                        [4096, 0, 15, 0, 1, 0, 0, 1],
                        [3072, 0, 15, 0, 1, 0, 0, 1],
                        [2048, 0, 15, 0, 1, 0, 0, 1],
                        [1536, 0, 15, 0, 1, 0, 0, 1],
                        [1024, 0, 15, 0, 1, 0, 0, 1],
                        [768, 0, 1, 0, 1, 0, 0, 1],
                        [512, 0, 0, 0, 1, 0, 0, 1],
                        [384, 0, 0, 0, 1, 0, 0, 1],
                        [256, 0, 0, 0, 1, 0, 0, 1]
                    ]
                ],
                // <2-04>VGA
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 15, 0, 1, 0, 0, 1],
                        [3072, 0, 15, 0, 1, 0, 0, 1],
                        [2048, 0, 15, 0, 1, 0, 0, 1],
                        [1536, 0, 15, 0, 1, 0, 0, 1],
                        [1024, 0, 15, 0, 1, 0, 0, 1],
                        [768, 0, 15, 0, 1, 0, 0, 1],
                        [512, 0, 15, 0, 1, 0, 0, 1],
                        [384, 0, 15, 0, 1, 0, 0, 1],
                        [256, 0, 1, 0, 1, 0, 0, 1],
                        [128, 0, 0, 0, 1, 0, 0, 1],
                        [64, 0, 0, 0, 1, 0, 0, 1]
                    ]
                ],
                // <2-05>QVGA
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 15, 0, 1, 0, 0, 1],
                        [3072, 0, 15, 0, 1, 0, 0, 1],
                        [2048, 0, 15, 0, 1, 0, 0, 1],
                        [1536, 0, 15, 0, 1, 0, 0, 1],
                        [1024, 0, 15, 0, 1, 0, 0, 1],
                        [768, 0, 15, 0, 1, 0, 0, 1],
                        [512, 0, 15, 0, 1, 0, 0, 1],
                        [384, 0, 15, 0, 1, 0, 0, 1],
                        [256, 0, 15, 0, 1, 0, 0, 1],
                        [128, 0, 1, 0, 1, 0, 0, 1],
                        [64, 0, 0, 0, 1, 0, 0, 1]
                    ]
                ]
            ],
            // <4-3>AdvancedVBR[中]
            [
                // <2-00>FHD
                [
                    // -
                    [
                        // デフォルト値
                        [5],
                        // 値リスト
                        [14336, 0, 15, 0, 1, 0, 0, 0],
                        [12288, 0, 15, 0, 1, 0, 0, 0],
                        [10240, 0, 15, 0, 1, 0, 0, 0],
                        [8192, 0, 15, 0, 1, 0, 0, 0],
                        [6144, 0, 15, 0, 1, 0, 0, 0],
                        [4096, 0, 15, 0, 1, 0, 0, 0],
                        [3072, 0, 15, 0, 1, 0, 0, 0],
                        [2048, 0, 15, 0, 1, 0, 0, 0],
                        [1536, 0, 7.5, 0, 1, 0, 0, 0],
                        [1024, 0, 1, 0, 1, 0, 0, 0],
                        [768, 0, 0, 0, 1, 0, 0, 0],
                        [512, 0, 0, 0, 1, 0, 0, 0]
                    ]
                ],
                // <2-01>HVGAW
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 15, 0, 1, 0, 0, 0],
                        [3072, 0, 15, 0, 1, 0, 0, 0],
                        [2048, 0, 15, 0, 1, 0, 0, 0],
                        [1536, 0, 15, 0, 1, 0, 0, 0],
                        [1024, 0, 15, 0, 1, 0, 0, 0],
                        [768, 0, 15, 0, 1, 0, 0, 0],
                        [512, 0, 15, 0, 1, 0, 0, 0],
                        [384, 0, 15, 0, 1, 0, 0, 0],
                        [256, 0, 1, 0, 1, 0, 0, 0],
                        [128, 0, 0, 0, 1, 0, 0, 0],
                        [64, 0, 0, 0, 1, 0, 0, 0]
                    ]
                ],
                // <2-02>180P
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 15, 0, 1, 0, 0, 0],
                        [3072, 0, 15, 0, 1, 0, 0, 0],
                        [2048, 0, 15, 0, 1, 0, 0, 0],
                        [1536, 0, 15, 0, 1, 0, 0, 0],
                        [1024, 0, 15, 0, 1, 0, 0, 0],
                        [768, 0, 15, 0, 1, 0, 0, 0],
                        [512, 0, 15, 0, 1, 0, 0, 0],
                        [384, 0, 15, 0, 1, 0, 0, 0],
                        [256, 0, 15, 0, 1, 0, 0, 0],
                        [128, 0, 1, 0, 1, 0, 0, 0],
                        [64, 0, 0, 0, 1, 0, 0, 0]
                    ]
                ],
                // <2-03>SXVGA
                [
                    // -
                    [
                        // デフォルト値
                        [2],
                        // 値リスト
                        [8192, 0, 15, 0, 1, 0, 0, 1],
                        [6144, 0, 15, 0, 1, 0, 0, 1],
                        [4096, 0, 15, 0, 1, 0, 0, 1],
                        [3072, 0, 15, 0, 1, 0, 0, 1],
                        [2048, 0, 15, 0, 1, 0, 0, 1],
                        [1536, 0, 15, 0, 1, 0, 0, 1],
                        [1024, 0, 15, 0, 1, 0, 0, 1],
                        [768, 0, 1, 0, 1, 0, 0, 1],
                        [512, 0, 0, 0, 1, 0, 0, 1],
                        [384, 0, 0, 0, 1, 0, 0, 1],
                        [256, 0, 0, 0, 1, 0, 0, 1]
                    ]
                ],
                // <2-04>VGA
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 15, 0, 1, 0, 0, 1],
                        [3072, 0, 15, 0, 1, 0, 0, 1],
                        [2048, 0, 15, 0, 1, 0, 0, 1],
                        [1536, 0, 15, 0, 1, 0, 0, 1],
                        [1024, 0, 15, 0, 1, 0, 0, 1],
                        [768, 0, 15, 0, 1, 0, 0, 1],
                        [512, 0, 15, 0, 1, 0, 0, 1],
                        [384, 0, 15, 0, 1, 0, 0, 1],
                        [256, 0, 1, 0, 1, 0, 0, 1],
                        [128, 0, 0, 0, 1, 0, 0, 1],
                        [64, 0, 0, 0, 1, 0, 0, 1]
                    ]
                ],
                // <2-05>QVGA
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 15, 0, 1, 0, 0, 1],
                        [3072, 0, 15, 0, 1, 0, 0, 1],
                        [2048, 0, 15, 0, 1, 0, 0, 1],
                        [1536, 0, 15, 0, 1, 0, 0, 1],
                        [1024, 0, 15, 0, 1, 0, 0, 1],
                        [768, 0, 15, 0, 1, 0, 0, 1],
                        [512, 0, 15, 0, 1, 0, 0, 1],
                        [384, 0, 15, 0, 1, 0, 0, 1],
                        [256, 0, 15, 0, 1, 0, 0, 1],
                        [128, 0, 1, 0, 1, 0, 0, 1],
                        [64, 0, 0, 0, 1, 0, 0, 1]
                    ]
                ]
            ],
            // <4-4>AdvancedVBR[低]
            [
                // <2-00>FHD
                [
                    // -
                    [
                        // デフォルト値
                        [5],
                        // 値リスト
                        [14336, 0, 15, 0, 1, 0, 0, 0],
                        [12288, 0, 15, 0, 1, 0, 0, 0],
                        [10240, 0, 15, 0, 1, 0, 0, 0],
                        [8192, 0, 15, 0, 1, 0, 0, 0],
                        [6144, 0, 15, 0, 1, 0, 0, 0],
                        [4096, 0, 15, 0, 1, 0, 0, 0],
                        [3072, 0, 15, 0, 1, 0, 0, 0],
                        [2048, 0, 15, 0, 1, 0, 0, 0],
                        [1536, 0, 7.5, 0, 1, 0, 0, 0],
                        [1024, 0, 1, 0, 1, 0, 0, 0],
                        [768, 0, 0, 0, 1, 0, 0, 0],
                        [512, 0, 0, 0, 1, 0, 0, 0]
                    ]
                ],
                // <2-01>HVGAW
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 15, 0, 1, 0, 0, 0],
                        [3072, 0, 15, 0, 1, 0, 0, 0],
                        [2048, 0, 15, 0, 1, 0, 0, 0],
                        [1536, 0, 15, 0, 1, 0, 0, 0],
                        [1024, 0, 15, 0, 1, 0, 0, 0],
                        [768, 0, 15, 0, 1, 0, 0, 0],
                        [512, 0, 15, 0, 1, 0, 0, 0],
                        [384, 0, 15, 0, 1, 0, 0, 0],
                        [256, 0, 1, 0, 1, 0, 0, 0],
                        [128, 0, 0, 0, 1, 0, 0, 0],
                        [64, 0, 0, 0, 1, 0, 0, 0]
                    ]
                ],
                // <2-02>180P
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 15, 0, 1, 0, 0, 0],
                        [3072, 0, 15, 0, 1, 0, 0, 0],
                        [2048, 0, 15, 0, 1, 0, 0, 0],
                        [1536, 0, 15, 0, 1, 0, 0, 0],
                        [1024, 0, 15, 0, 1, 0, 0, 0],
                        [768, 0, 15, 0, 1, 0, 0, 0],
                        [512, 0, 15, 0, 1, 0, 0, 0],
                        [384, 0, 15, 0, 1, 0, 0, 0],
                        [256, 0, 15, 0, 1, 0, 0, 0],
                        [128, 0, 1, 0, 1, 0, 0, 0],
                        [64, 0, 0, 0, 1, 0, 0, 0]
                    ]
                ],
                // <2-03>SXVGA
                [
                    // -
                    [
                        // デフォルト値
                        [2],
                        // 値リスト
                        [8192, 0, 15, 0, 1, 0, 0, 1],
                        [6144, 0, 15, 0, 1, 0, 0, 1],
                        [4096, 0, 15, 0, 1, 0, 0, 1],
                        [3072, 0, 15, 0, 1, 0, 0, 1],
                        [2048, 0, 15, 0, 1, 0, 0, 1],
                        [1536, 0, 15, 0, 1, 0, 0, 1],
                        [1024, 0, 15, 0, 1, 0, 0, 1],
                        [768, 0, 1, 0, 1, 0, 0, 1],
                        [512, 0, 0, 0, 1, 0, 0, 1],
                        [384, 0, 0, 0, 1, 0, 0, 1],
                        [256, 0, 0, 0, 1, 0, 0, 1]
                    ]
                ],
                // <2-04>VGA
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 15, 0, 1, 0, 0, 1],
                        [3072, 0, 15, 0, 1, 0, 0, 1],
                        [2048, 0, 15, 0, 1, 0, 0, 1],
                        [1536, 0, 15, 0, 1, 0, 0, 1],
                        [1024, 0, 15, 0, 1, 0, 0, 1],
                        [768, 0, 15, 0, 1, 0, 0, 1],
                        [512, 0, 15, 0, 1, 0, 0, 1],
                        [384, 0, 15, 0, 1, 0, 0, 1],
                        [256, 0, 1, 0, 1, 0, 0, 1],
                        [128, 0, 0, 0, 1, 0, 0, 1],
                        [64, 0, 0, 0, 1, 0, 0, 1]
                    ]
                ],
                // <2-05>QVGA
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 15, 0, 1, 0, 0, 1],
                        [3072, 0, 15, 0, 1, 0, 0, 1],
                        [2048, 0, 15, 0, 1, 0, 0, 1],
                        [1536, 0, 15, 0, 1, 0, 0, 1],
                        [1024, 0, 15, 0, 1, 0, 0, 1],
                        [768, 0, 15, 0, 1, 0, 0, 1],
                        [512, 0, 15, 0, 1, 0, 0, 1],
                        [384, 0, 15, 0, 1, 0, 0, 1],
                        [256, 0, 15, 0, 1, 0, 0, 1],
                        [128, 0, 1, 0, 1, 0, 0, 1],
                        [64, 0, 0, 0, 1, 0, 0, 1]
                    ]
                ]
            ]
        ]
    ],
    // ----------------------------------------------------
    // 【H.264-06】SF*4**(4K/9M)
    [
        // <3-0>9M(FE)
        [
            // <4-0>ビットレート優先
            [
                // <2-00>2992x2992
                [
                    // <5-0>画質優先(SF)
                    [
                        // デフォルト値
                        [6],
                        // 値リスト
                        [16384, 0, 15, 1, 1, 0, 0, 1],
                        [14336, 0, 15, 1, 1, 0, 0, 1],
                        [12288, 0, 15, 1, 1, 0, 0, 1],
                        [10240, 0, 15, 1, 1, 0, 0, 1],
                        [8192, 0, 10, 1, 1, 0, 0, 1],
                        [6144, 0, 7.5, 1, 1, 0, 0, 1],
                        [4096, 0, 5, 1, 1, 0, 0, 1],
                        [3072, 0, 3, 1, 1, 0, 0, 1]
                    ],
                    // <5-1>標準(FQ)
                    [
                        // デフォルト値
                        [6],
                        // 値リスト
                        [16384, 0, 15, 1, 1, 0, 0, 1],
                        [14336, 0, 15, 1, 1, 0, 0, 1],
                        [12288, 0, 15, 1, 1, 0, 0, 1],
                        [10240, 0, 15, 1, 1, 0, 0, 1],
                        [8192, 0, 15, 1, 1, 0, 0, 1],
                        [6144, 0, 10, 1, 1, 0, 0, 1],
                        [4096, 0, 7.5, 1, 1, 0, 0, 1],
                        [3072, 0, 5, 1, 1, 0, 0, 1]
                    ],
                    // <5-2>動き優先(NQ)
                    [
                        // デフォルト値
                        [6],
                        // 値リスト
                        [16384, 0, 15, 1, 1, 0, 0, 1],
                        [14336, 0, 15, 1, 1, 0, 0, 1],
                        [12288, 0, 15, 1, 1, 0, 0, 1],
                        [10240, 0, 15, 1, 1, 0, 0, 1],
                        [8192, 0, 15, 1, 1, 0, 0, 1],
                        [6144, 0, 15, 1, 1, 0, 0, 1],
                        [4096, 0, 15, 1, 1, 0, 0, 1],
                        [3072, 0, 10, 1, 1, 0, 0, 1]
                    ]
                ],
                // <2-01>1280x1280
                [
                    // <5-0>画質優先(SF)
                    [
                        // デフォルト値
                        [2],
                        // 値リスト
                        [8192, 0, 15, 1, 1, 0, 0, 1],
                        [6144, 0, 15, 1, 1, 0, 0, 1],
                        [4096, 0, 15, 1, 1, 0, 0, 1],
                        [3072, 0, 15, 1, 1, 0, 0, 1],
                        [2048, 0, 10, 1, 1, 0, 0, 1],
                        [1536, 0, 7.5, 1, 1, 0, 0, 1],
                        [1024, 0, 5, 1, 1, 0, 0, 1],
                        [768, 0, 3, 1, 1, 0, 0, 1],
                        [512, 0, 2, 1, 1, 0, 0, 1],
                        [384, 0, 1, 1, 1, 0, 0, 1],
                        [256, 0, 1, 1, 1, 0, 0, 1]
                    ],
                    // <5-1>標準(FQ)
                    [
                        // デフォルト値
                        [2],
                        // 値リスト
                        [8192, 0, 15, 1, 1, 0, 0, 1],
                        [6144, 0, 15, 1, 1, 0, 0, 1],
                        [4096, 0, 15, 1, 1, 0, 0, 1],
                        [3072, 0, 15, 1, 1, 0, 0, 1],
                        [2048, 0, 15, 1, 1, 0, 0, 1],
                        [1536, 0, 10, 1, 1, 0, 0, 1],
                        [1024, 0, 7.5, 1, 1, 0, 0, 1],
                        [768, 0, 5, 1, 1, 0, 0, 1],
                        [512, 0, 3, 1, 1, 0, 0, 1],
                        [384, 0, 2, 1, 1, 0, 0, 1],
                        [256, 0, 1, 1, 1, 0, 0, 1]
                    ],
                    // <5-2>動き優先(NQ)
                    [
                        // デフォルト値
                        [2],
                        // 値リスト
                        [8192, 0, 15, 1, 1, 0, 0, 1],
                        [6144, 0, 15, 1, 1, 0, 0, 1],
                        [4096, 0, 15, 1, 1, 0, 0, 1],
                        [3072, 0, 15, 1, 1, 0, 0, 1],
                        [2048, 0, 15, 1, 1, 0, 0, 1],
                        [1536, 0, 15, 1, 1, 0, 0, 1],
                        [1024, 0, 15, 1, 1, 0, 0, 1],
                        [768, 0, 10, 1, 1, 0, 0, 1],
                        [512, 0, 7.5, 1, 1, 0, 0, 1],
                        [384, 0, 5, 1, 1, 0, 0, 1],
                        [256, 0, 3, 1, 1, 0, 0, 1]
                    ]
                ],
                // <2-02>640x640
                [
                    // <5-0>画質優先(SF)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 15, 1, 1, 0, 0, 0],
                        [3072, 0, 15, 1, 1, 0, 0, 0],
                        [2048, 0, 15, 1, 1, 0, 0, 0],
                        [1536, 0, 15, 1, 1, 0, 0, 0],
                        [1024, 0, 10, 1, 1, 0, 0, 0],
                        [768, 0, 7.5, 1, 1, 0, 0, 0],
                        [512, 0, 5, 1, 1, 0, 0, 0],
                        [384, 0, 3, 1, 1, 0, 0, 0],
                        [256, 0, 2, 1, 1, 0, 0, 0],
                        [128, 0, 1, 1, 1, 0, 0, 0],
                        [64, 0, 1, 1, 1, 0, 0, 0]
                    ],
                    // <5-1>標準(FQ)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 15, 1, 1, 0, 0, 0],
                        [3072, 0, 15, 1, 1, 0, 0, 0],
                        [2048, 0, 15, 1, 1, 0, 0, 0],
                        [1536, 0, 15, 1, 1, 0, 0, 0],
                        [1024, 0, 15, 1, 1, 0, 0, 0],
                        [768, 0, 15, 1, 1, 0, 0, 0],
                        [512, 0, 15, 1, 1, 0, 0, 0],
                        [384, 0, 10, 1, 1, 0, 0, 0],
                        [256, 0, 7.5, 1, 1, 0, 0, 0],
                        [128, 0, 5, 1, 1, 0, 0, 0],
                        [64, 0, 2, 1, 1, 0, 0, 0]
                    ],
                    // <5-2>動き優先(NQ)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 15, 1, 1, 0, 0, 0],
                        [3072, 0, 15, 1, 1, 0, 0, 0],
                        [2048, 0, 15, 1, 1, 0, 0, 0],
                        [1536, 0, 15, 1, 1, 0, 0, 0],
                        [1024, 0, 15, 1, 1, 0, 0, 0],
                        [768, 0, 15, 1, 1, 0, 0, 0],
                        [512, 0, 15, 1, 1, 0, 0, 0],
                        [384, 0, 15, 1, 1, 0, 0, 0],
                        [256, 0, 10, 1, 1, 0, 0, 0],
                        [128, 0, 7.5, 1, 1, 0, 0, 0],
                        [64, 0, 3, 1, 1, 0, 0, 0]
                    ]
                ],
                // <2-03>320x320
                [
                    // <5-0>画質優先(SF)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 15, 1, 1, 0, 0, 0],
                        [3072, 0, 15, 1, 1, 0, 0, 0],
                        [2048, 0, 15, 1, 1, 0, 0, 0],
                        [1536, 0, 15, 1, 1, 0, 0, 0],
                        [1024, 0, 15, 1, 1, 0, 0, 0],
                        [768, 0, 10, 1, 1, 0, 0, 0],
                        [512, 0, 7.5, 1, 1, 0, 0, 0],
                        [384, 0, 5, 1, 1, 0, 0, 0],
                        [256, 0, 3, 1, 1, 0, 0, 0],
                        [128, 0, 2, 1, 1, 0, 0, 0],
                        [64, 0, 1, 1, 1, 0, 0, 0]
                    ],
                    // <5-1>標準(FQ)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 15, 1, 1, 0, 0, 0],
                        [3072, 0, 15, 1, 1, 0, 0, 0],
                        [2048, 0, 15, 1, 1, 0, 0, 0],
                        [1536, 0, 15, 1, 1, 0, 0, 0],
                        [1024, 0, 15, 1, 1, 0, 0, 0],
                        [768, 0, 15, 1, 1, 0, 0, 0],
                        [512, 0, 15, 1, 1, 0, 0, 0],
                        [384, 0, 15, 1, 1, 0, 0, 0],
                        [256, 0, 10, 1, 1, 0, 0, 0],
                        [128, 0, 7.5, 1, 1, 0, 0, 0],
                        [64, 0, 5, 1, 1, 0, 0, 0]
                    ],
                    // <5-2>動き優先(NQ)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 15, 1, 1, 0, 0, 0],
                        [3072, 0, 15, 1, 1, 0, 0, 0],
                        [2048, 0, 15, 1, 1, 0, 0, 0],
                        [1536, 0, 15, 1, 1, 0, 0, 0],
                        [1024, 0, 15, 1, 1, 0, 0, 0],
                        [768, 0, 15, 1, 1, 0, 0, 0],
                        [512, 0, 15, 1, 1, 0, 0, 0],
                        [384, 0, 15, 1, 1, 0, 0, 0],
                        [256, 0, 15, 1, 1, 0, 0, 0],
                        [128, 0, 10, 1, 1, 0, 0, 0],
                        [64, 0, 7.5, 1, 1, 0, 0, 0]
                    ]
                ]
            ],
            // <4-1>フレームレート優先
            [
                // <2-00>2992x2992
                [
                    // -
                    [
                        // デフォルト値
                        [4],
                        // 値リスト
                        [16384, 0, 15, 1, 1, 0, 0, 1],
                        [14336, 0, 15, 1, 1, 0, 0, 1],
                        [12288, 0, 15, 1, 1, 0, 0, 1],
                        [10240, 0, 15, 1, 1, 0, 0, 1],
                        [8192, 0, 15, 1, 1, 0, 0, 1],
                        [6144, 0, 12, 1, 1, 0, 0, 1],
                        [4096, 0, 1, 1, 1, 0, 0, 1],
                        [3072, 0, 0, 1, 1, 0, 0, 1]
                    ]
                ],
                // <2-01>1280x1280
                [
                    // -
                    [
                        // デフォルト値
                        [5],
                        // 値リスト
                        [8192, 0, 15, 1, 1, 0, 0, 1],
                        [6144, 0, 15, 1, 1, 0, 0, 1],
                        [4096, 0, 15, 1, 1, 0, 0, 1],
                        [3072, 0, 15, 1, 1, 0, 0, 1],
                        [2048, 0, 15, 1, 1, 0, 0, 1],
                        [1536, 0, 15, 1, 1, 0, 0, 1],
                        [1024, 0, 1, 1, 1, 0, 0, 1],
                        [768, 0, 0, 1, 1, 0, 0, 1],
                        [512, 0, 0, 1, 1, 0, 0, 1],
                        [384, 0, 0, 1, 1, 0, 0, 1],
                        [256, 0, 0, 1, 1, 0, 0, 1]
                    ]
                ],
                // <2-02>640x640
                [
                    // -
                    [
                        // デフォルト値
                        [6],
                        // 値リスト
                        [4096, 0, 15, 1, 1, 0, 0, 0],
                        [3072, 0, 15, 1, 1, 0, 0, 0],
                        [2048, 0, 15, 1, 1, 0, 0, 0],
                        [1536, 0, 15, 1, 1, 0, 0, 0],
                        [1024, 0, 15, 1, 1, 0, 0, 0],
                        [768, 0, 15, 1, 1, 0, 0, 0],
                        [512, 0, 15, 1, 1, 0, 0, 0],
                        [384, 0, 1, 1, 1, 0, 0, 0],
                        [256, 0, 0, 1, 1, 0, 0, 0],
                        [128, 0, 0, 1, 1, 0, 0, 0],
                        [64, 0, 0, 1, 1, 0, 0, 0]
                    ]
                ],
                // <2-03>320x320
                [
                    // -
                    [
                        // デフォルト値
                        [8],
                        // 値リスト
                        [4096, 0, 15, 1, 1, 0, 0, 0],
                        [3072, 0, 15, 1, 1, 0, 0, 0],
                        [2048, 0, 15, 1, 1, 0, 0, 0],
                        [1536, 0, 15, 1, 1, 0, 0, 0],
                        [1024, 0, 15, 1, 1, 0, 0, 0],
                        [768, 0, 15, 1, 1, 0, 0, 0],
                        [512, 0, 15, 1, 1, 0, 0, 0],
                        [384, 0, 15, 1, 1, 0, 0, 0],
                        [256, 0, 15, 1, 1, 0, 0, 0],
                        [128, 0, 1, 1, 1, 0, 0, 0],
                        [64, 0, 0, 1, 1, 0, 0, 0]
                    ]
                ]
            ],
            // <4-2>AdvancedVBR[高]
            [
                // <2-00>2992x2992
                [
                    // -
                    [
                        // デフォルト値
                        [4],
                        // 値リスト
                        [16384, 0, 15, 1, 1, 0, 0, 1],
                        [14336, 0, 15, 1, 1, 0, 0, 1],
                        [12288, 0, 15, 1, 1, 0, 0, 1],
                        [10240, 0, 15, 1, 1, 0, 0, 1],
                        [8192, 0, 15, 1, 1, 0, 0, 1],
                        [6144, 0, 12, 1, 1, 0, 0, 1],
                        [4096, 0, 1, 1, 1, 0, 0, 1],
                        [3072, 0, 0, 1, 1, 0, 0, 1]
                    ]
                ],
                // <2-01>1280x1280
                [
                    // -
                    [
                        // デフォルト値
                        [5],
                        // 値リスト
                        [8192, 0, 15, 1, 1, 0, 0, 1],
                        [6144, 0, 15, 1, 1, 0, 0, 1],
                        [4096, 0, 15, 1, 1, 0, 0, 1],
                        [3072, 0, 15, 1, 1, 0, 0, 1],
                        [2048, 0, 15, 1, 1, 0, 0, 1],
                        [1536, 0, 15, 1, 1, 0, 0, 1],
                        [1024, 0, 1, 1, 1, 0, 0, 1],
                        [768, 0, 0, 1, 1, 0, 0, 1],
                        [512, 0, 0, 1, 1, 0, 0, 1],
                        [384, 0, 0, 1, 1, 0, 0, 1],
                        [256, 0, 0, 1, 1, 0, 0, 1]
                    ]
                ],
                // <2-02>640x640
                [
                    // -
                    [
                        // デフォルト値
                        [6],
                        // 値リスト
                        [4096, 0, 15, 1, 1, 0, 0, 0],
                        [3072, 0, 15, 1, 1, 0, 0, 0],
                        [2048, 0, 15, 1, 1, 0, 0, 0],
                        [1536, 0, 15, 1, 1, 0, 0, 0],
                        [1024, 0, 15, 1, 1, 0, 0, 0],
                        [768, 0, 15, 1, 1, 0, 0, 0],
                        [512, 0, 15, 1, 1, 0, 0, 0],
                        [384, 0, 1, 1, 1, 0, 0, 0],
                        [256, 0, 0, 1, 1, 0, 0, 0],
                        [128, 0, 0, 1, 1, 0, 0, 0],
                        [64, 0, 0, 1, 1, 0, 0, 0]
                    ]
                ],
                // <2-03>320x320
                [
                    // -
                    [
                        // デフォルト値
                        [8],
                        // 値リスト
                        [4096, 0, 15, 1, 1, 0, 0, 0],
                        [3072, 0, 15, 1, 1, 0, 0, 0],
                        [2048, 0, 15, 1, 1, 0, 0, 0],
                        [1536, 0, 15, 1, 1, 0, 0, 0],
                        [1024, 0, 15, 1, 1, 0, 0, 0],
                        [768, 0, 15, 1, 1, 0, 0, 0],
                        [512, 0, 15, 1, 1, 0, 0, 0],
                        [384, 0, 15, 1, 1, 0, 0, 0],
                        [256, 0, 15, 1, 1, 0, 0, 0],
                        [128, 0, 1, 1, 1, 0, 0, 0],
                        [64, 0, 0, 1, 1, 0, 0, 0]
                    ]
                ]
            ],
            // <4-3>AdvancedVBR[中]
            [
                // <2-00>2992x2992
                [
                    // -
                    [
                        // デフォルト値
                        [4],
                        // 値リスト
                        [16384, 0, 15, 1, 1, 0, 0, 1],
                        [14336, 0, 15, 1, 1, 0, 0, 1],
                        [12288, 0, 15, 1, 1, 0, 0, 1],
                        [10240, 0, 15, 1, 1, 0, 0, 1],
                        [8192, 0, 15, 1, 1, 0, 0, 1],
                        [6144, 0, 12, 1, 1, 0, 0, 1],
                        [4096, 0, 1, 1, 1, 0, 0, 1],
                        [3072, 0, 0, 1, 1, 0, 0, 1]
                    ]
                ],
                // <2-01>1280x1280
                [
                    // -
                    [
                        // デフォルト値
                        [5],
                        // 値リスト
                        [8192, 0, 15, 1, 1, 0, 0, 1],
                        [6144, 0, 15, 1, 1, 0, 0, 1],
                        [4096, 0, 15, 1, 1, 0, 0, 1],
                        [3072, 0, 15, 1, 1, 0, 0, 1],
                        [2048, 0, 15, 1, 1, 0, 0, 1],
                        [1536, 0, 15, 1, 1, 0, 0, 1],
                        [1024, 0, 1, 1, 1, 0, 0, 1],
                        [768, 0, 0, 1, 1, 0, 0, 1],
                        [512, 0, 0, 1, 1, 0, 0, 1],
                        [384, 0, 0, 1, 1, 0, 0, 1],
                        [256, 0, 0, 1, 1, 0, 0, 1]
                    ]
                ],
                // <2-02>640x640
                [
                    // -
                    [
                        // デフォルト値
                        [6],
                        // 値リスト
                        [4096, 0, 15, 1, 1, 0, 0, 0],
                        [3072, 0, 15, 1, 1, 0, 0, 0],
                        [2048, 0, 15, 1, 1, 0, 0, 0],
                        [1536, 0, 15, 1, 1, 0, 0, 0],
                        [1024, 0, 15, 1, 1, 0, 0, 0],
                        [768, 0, 15, 1, 1, 0, 0, 0],
                        [512, 0, 15, 1, 1, 0, 0, 0],
                        [384, 0, 1, 1, 1, 0, 0, 0],
                        [256, 0, 0, 1, 1, 0, 0, 0],
                        [128, 0, 0, 1, 1, 0, 0, 0],
                        [64, 0, 0, 1, 1, 0, 0, 0]
                    ]
                ],
                // <2-03>320x320
                [
                    // -
                    [
                        // デフォルト値
                        [8],
                        // 値リスト
                        [4096, 0, 15, 1, 1, 0, 0, 0],
                        [3072, 0, 15, 1, 1, 0, 0, 0],
                        [2048, 0, 15, 1, 1, 0, 0, 0],
                        [1536, 0, 15, 1, 1, 0, 0, 0],
                        [1024, 0, 15, 1, 1, 0, 0, 0],
                        [768, 0, 15, 1, 1, 0, 0, 0],
                        [512, 0, 15, 1, 1, 0, 0, 0],
                        [384, 0, 15, 1, 1, 0, 0, 0],
                        [256, 0, 15, 1, 1, 0, 0, 0],
                        [128, 0, 1, 1, 1, 0, 0, 0],
                        [64, 0, 0, 1, 1, 0, 0, 0]
                    ]
                ]
            ],
            // <4-4>AdvancedVBR[低]
            [
                // <2-00>2992x2992
                [
                    // -
                    [
                        // デフォルト値
                        [4],
                        // 値リスト
                        [16384, 0, 15, 1, 1, 0, 0, 1],
                        [14336, 0, 15, 1, 1, 0, 0, 1],
                        [12288, 0, 15, 1, 1, 0, 0, 1],
                        [10240, 0, 15, 1, 1, 0, 0, 1],
                        [8192, 0, 15, 1, 1, 0, 0, 1],
                        [6144, 0, 12, 1, 1, 0, 0, 1],
                        [4096, 0, 1, 1, 1, 0, 0, 1],
                        [3072, 0, 0, 1, 1, 0, 0, 1]
                    ]
                ],
                // <2-01>1280x1280
                [
                    // -
                    [
                        // デフォルト値
                        [5],
                        // 値リスト
                        [8192, 0, 15, 1, 1, 0, 0, 1],
                        [6144, 0, 15, 1, 1, 0, 0, 1],
                        [4096, 0, 15, 1, 1, 0, 0, 1],
                        [3072, 0, 15, 1, 1, 0, 0, 1],
                        [2048, 0, 15, 1, 1, 0, 0, 1],
                        [1536, 0, 15, 1, 1, 0, 0, 1],
                        [1024, 0, 1, 1, 1, 0, 0, 1],
                        [768, 0, 0, 1, 1, 0, 0, 1],
                        [512, 0, 0, 1, 1, 0, 0, 1],
                        [384, 0, 0, 1, 1, 0, 0, 1],
                        [256, 0, 0, 1, 1, 0, 0, 1]
                    ]
                ],
                // <2-02>640x640
                [
                    // -
                    [
                        // デフォルト値
                        [6],
                        // 値リスト
                        [4096, 0, 15, 1, 1, 0, 0, 0],
                        [3072, 0, 15, 1, 1, 0, 0, 0],
                        [2048, 0, 15, 1, 1, 0, 0, 0],
                        [1536, 0, 15, 1, 1, 0, 0, 0],
                        [1024, 0, 15, 1, 1, 0, 0, 0],
                        [768, 0, 15, 1, 1, 0, 0, 0],
                        [512, 0, 15, 1, 1, 0, 0, 0],
                        [384, 0, 1, 1, 1, 0, 0, 0],
                        [256, 0, 0, 1, 1, 0, 0, 0],
                        [128, 0, 0, 1, 1, 0, 0, 0],
                        [64, 0, 0, 1, 1, 0, 0, 0]
                    ]
                ],
                // <2-03>320x320
                [
                    // -
                    [
                        // デフォルト値
                        [8],
                        // 値リスト
                        [4096, 0, 15, 1, 1, 0, 0, 0],
                        [3072, 0, 15, 1, 1, 0, 0, 0],
                        [2048, 0, 15, 1, 1, 0, 0, 0],
                        [1536, 0, 15, 1, 1, 0, 0, 0],
                        [1024, 0, 15, 1, 1, 0, 0, 0],
                        [768, 0, 15, 1, 1, 0, 0, 0],
                        [512, 0, 15, 1, 1, 0, 0, 0],
                        [384, 0, 15, 1, 1, 0, 0, 0],
                        [256, 0, 15, 1, 1, 0, 0, 0],
                        [128, 0, 1, 1, 1, 0, 0, 0],
                        [64, 0, 0, 1, 1, 0, 0, 0]
                    ]
                ]
            ]
        ],
        // <3-1>4M(FE)
        [
            // <4-0>ビットレート優先
            [
                // <2-00>2048x2048
                [
                    // <5-0>画質優先(SF)
                    [
                        // デフォルト値
                        [6],
                        // 値リスト
                        [16384, 0, 30, 1, 1, 0, 0, 1],
                        [14336, 0, 30, 1, 1, 0, 0, 1],
                        [12288, 0, 30, 1, 1, 0, 0, 1],
                        [10240, 0, 22.5, 1, 1, 0, 0, 1],
                        [8192, 0, 20, 1, 1, 0, 0, 1],
                        [6144, 0, 15, 1, 1, 0, 0, 1],
                        [4096, 0, 10, 1, 1, 0, 0, 1],
                        [3072, 0, 7.5, 1, 1, 0, 0, 1],
                        [2048, 0, 5, 1, 1, 0, 0, 1],
                        [1536, 0, 3, 1, 1, 0, 0, 1]
                    ],
                    // <5-1>標準(FQ)
                    [
                        // デフォルト値
                        [6],
                        // 値リスト
                        [16384, 0, 30, 1, 1, 0, 0, 1],
                        [14336, 0, 30, 1, 1, 0, 0, 1],
                        [12288, 0, 30, 1, 1, 0, 0, 1],
                        [10240, 0, 30, 1, 1, 0, 0, 1],
                        [8192, 0, 25, 1, 1, 0, 0, 1],
                        [6144, 0, 22.5, 1, 1, 0, 0, 1],
                        [4096, 0, 20, 1, 1, 0, 0, 1],
                        [3072, 0, 10, 1, 1, 0, 0, 1],
                        [2048, 0, 7.5, 1, 1, 0, 0, 1],
                        [1536, 0, 5, 1, 1, 0, 0, 1]
                    ],
                    // <5-2>動き優先(NQ)
                    [
                        // デフォルト値
                        [6],
                        // 値リスト
                        [16384, 0, 30, 1, 1, 0, 0, 1],
                        [14336, 0, 30, 1, 1, 0, 0, 1],
                        [12288, 0, 30, 1, 1, 0, 0, 1],
                        [10240, 0, 30, 1, 1, 0, 0, 1],
                        [8192, 0, 30, 1, 1, 0, 0, 1],
                        [6144, 0, 30, 1, 1, 0, 0, 1],
                        [4096, 0, 30, 1, 1, 0, 0, 1],
                        [3072, 0, 20, 1, 1, 0, 0, 1],
                        [2048, 0, 15, 1, 1, 0, 0, 1],
                        [1536, 0, 10, 1, 1, 0, 0, 1]
                    ]
                ],
                // <2-01>1280x1280
                [
                    // <5-0>画質優先(SF)
                    [
                        // デフォルト値
                        [2],
                        // 値リスト
                        [8192, 0, 22.5, 1, 1, 0, 0, 1],
                        [6144, 0, 20, 1, 1, 0, 0, 1],
                        [4096, 0, 15, 1, 1, 0, 0, 1],
                        [3072, 0, 15, 1, 1, 0, 0, 1],
                        [2048, 0, 10, 1, 1, 0, 0, 1],
                        [1536, 0, 7.5, 1, 1, 0, 0, 1],
                        [1024, 0, 5, 1, 1, 0, 0, 1],
                        [768, 0, 3, 1, 1, 0, 0, 1],
                        [512, 0, 2, 1, 1, 0, 0, 1],
                        [384, 0, 1, 1, 1, 0, 0, 1],
                        [256, 0, 1, 1, 1, 0, 0, 1]
                    ],
                    // <5-1>標準(FQ)
                    [
                        // デフォルト値
                        [2],
                        // 値リスト
                        [8192, 0, 30, 1, 1, 0, 0, 1],
                        [6144, 0, 30, 1, 1, 0, 0, 1],
                        [4096, 0, 30, 1, 1, 0, 0, 1],
                        [3072, 0, 30, 1, 1, 0, 0, 1],
                        [2048, 0, 22.5, 1, 1, 0, 0, 1],
                        [1536, 0, 20, 1, 1, 0, 0, 1],
                        [1024, 0, 15, 1, 1, 0, 0, 1],
                        [768, 0, 10, 1, 1, 0, 0, 1],
                        [512, 0, 7.5, 1, 1, 0, 0, 1],
                        [384, 0, 5, 1, 1, 0, 0, 1],
                        [256, 0, 1, 1, 1, 0, 0, 1]
                    ],
                    // <5-2>動き優先(NQ)
                    [
                        // デフォルト値
                        [2],
                        // 値リスト
                        [8192, 0, 30, 1, 1, 0, 0, 1],
                        [6144, 0, 30, 1, 1, 0, 0, 1],
                        [4096, 0, 30, 1, 1, 0, 0, 1],
                        [3072, 0, 30, 1, 1, 0, 0, 1],
                        [2048, 0, 30, 1, 1, 0, 0, 1],
                        [1536, 0, 30, 1, 1, 0, 0, 1],
                        [1024, 0, 20, 1, 1, 0, 0, 1],
                        [768, 0, 15, 1, 1, 0, 0, 1],
                        [512, 0, 10, 1, 1, 0, 0, 1],
                        [384, 0, 7.5, 1, 1, 0, 0, 1],
                        [256, 0, 3, 1, 1, 0, 0, 1]
                    ]
                ],
                // <2-02>640x640
                [
                    // <5-0>画質優先(SF)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 22.5, 1, 1, 0, 0, 0],
                        [3072, 0, 20, 1, 1, 0, 0, 0],
                        [2048, 0, 15, 1, 1, 0, 0, 0],
                        [1536, 0, 15, 1, 1, 0, 0, 0],
                        [1024, 0, 10, 1, 1, 0, 0, 0],
                        [768, 0, 7.5, 1, 1, 0, 0, 0],
                        [512, 0, 5, 1, 1, 0, 0, 0],
                        [384, 0, 3, 1, 1, 0, 0, 0],
                        [256, 0, 2, 1, 1, 0, 0, 0],
                        [128, 0, 1, 1, 1, 0, 0, 0],
                        [64, 0, 1, 1, 1, 0, 0, 0]
                    ],
                    // <5-1>標準(FQ)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 0, 0, 0],
                        [3072, 0, 30, 1, 1, 0, 0, 0],
                        [2048, 0, 30, 1, 1, 0, 0, 0],
                        [1536, 0, 30, 1, 1, 0, 0, 0],
                        [1024, 0, 22.5, 1, 1, 0, 0, 0],
                        [768, 0, 20, 1, 1, 0, 0, 0],
                        [512, 0, 15, 1, 1, 0, 0, 0],
                        [384, 0, 10, 1, 1, 0, 0, 0],
                        [256, 0, 7.5, 1, 1, 0, 0, 0],
                        [128, 0, 5, 1, 1, 0, 0, 0],
                        [64, 0, 2, 1, 1, 0, 0, 0]
                    ],
                    // <5-2>動き優先(NQ)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 0, 0, 0],
                        [3072, 0, 30, 1, 1, 0, 0, 0],
                        [2048, 0, 30, 1, 1, 0, 0, 0],
                        [1536, 0, 30, 1, 1, 0, 0, 0],
                        [1024, 0, 30, 1, 1, 0, 0, 0],
                        [768, 0, 30, 1, 1, 0, 0, 0],
                        [512, 0, 20, 1, 1, 0, 0, 0],
                        [384, 0, 15, 1, 1, 0, 0, 0],
                        [256, 0, 10, 1, 1, 0, 0, 0],
                        [128, 0, 7.5, 1, 1, 0, 0, 0],
                        [64, 0, 3, 1, 1, 0, 0, 0]
                    ]
                ],
                // <2-03>320x320
                [
                    // <5-0>画質優先(SF)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 0, 0, 0],
                        [3072, 0, 30, 1, 1, 0, 0, 0],
                        [2048, 0, 22.5, 1, 1, 0, 0, 0],
                        [1536, 0, 20, 1, 1, 0, 0, 0],
                        [1024, 0, 15, 1, 1, 0, 0, 0],
                        [768, 0, 10, 1, 1, 0, 0, 0],
                        [512, 0, 7.5, 1, 1, 0, 0, 0],
                        [384, 0, 5, 1, 1, 0, 0, 0],
                        [256, 0, 3, 1, 1, 0, 0, 0],
                        [128, 0, 2, 1, 1, 0, 0, 0],
                        [64, 0, 1, 1, 1, 0, 0, 0]
                    ],
                    // <5-1>標準(FQ)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 0, 0, 0],
                        [3072, 0, 30, 1, 1, 0, 0, 0],
                        [2048, 0, 30, 1, 1, 0, 0, 0],
                        [1536, 0, 30, 1, 1, 0, 0, 0],
                        [1024, 0, 30, 1, 1, 0, 0, 0],
                        [768, 0, 22.5, 1, 1, 0, 0, 0],
                        [512, 0, 20, 1, 1, 0, 0, 0],
                        [384, 0, 15, 1, 1, 0, 0, 0],
                        [256, 0, 10, 1, 1, 0, 0, 0],
                        [128, 0, 7.5, 1, 1, 0, 0, 0],
                        [64, 0, 5, 1, 1, 0, 0, 0]
                    ],
                    // <5-2>動き優先(NQ)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 0, 0, 0],
                        [3072, 0, 30, 1, 1, 0, 0, 0],
                        [2048, 0, 30, 1, 1, 0, 0, 0],
                        [1536, 0, 30, 1, 1, 0, 0, 0],
                        [1024, 0, 30, 1, 1, 0, 0, 0],
                        [768, 0, 30, 1, 1, 0, 0, 0],
                        [512, 0, 30, 1, 1, 0, 0, 0],
                        [384, 0, 20, 1, 1, 0, 0, 0],
                        [256, 0, 15, 1, 1, 0, 0, 0],
                        [128, 0, 10, 1, 1, 0, 0, 0],
                        [64, 0, 7.5, 1, 1, 0, 0, 0]
                    ]
                ]
            ],
            // <4-1>フレームレート優先
            [
                // <2-00>2048x2048
                [
                    // -
                    [
                        // デフォルト値
                        [6],
                        // 値リスト
                        [16384, 0, 30, 1, 1, 0, 0, 1],
                        [14336, 0, 30, 1, 1, 0, 0, 1],
                        [12288, 0, 30, 1, 1, 0, 0, 1],
                        [10240, 0, 30, 1, 1, 0, 0, 1],
                        [8192, 0, 30, 1, 1, 0, 0, 1],
                        [6144, 0, 30, 1, 1, 0, 0, 1],
                        [4096, 0, 30, 1, 1, 0, 0, 1],
                        [3072, 0, 15, 1, 1, 0, 0, 1],
                        [2048, 0, 1, 1, 1, 0, 0, 1],
                        [1536, 0, 0, 1, 1, 0, 0, 1]
                    ]
                ],
                // <2-01>1280x1280
                [
                    // -
                    [
                        // デフォルト値
                        [4],
                        // 値リスト
                        [8192, 0, 30, 1, 1, 0, 0, 1],
                        [6144, 0, 30, 1, 1, 0, 0, 1],
                        [4096, 0, 30, 1, 1, 0, 0, 1],
                        [3072, 0, 30, 1, 1, 0, 0, 1],
                        [2048, 0, 30, 1, 1, 0, 0, 1],
                        [1536, 0, 15, 1, 1, 0, 0, 1],
                        [1024, 0, 1, 1, 1, 0, 0, 1],
                        [768, 0, 0, 1, 1, 0, 0, 1],
                        [512, 0, 0, 1, 1, 0, 0, 1],
                        [384, 0, 0, 1, 1, 0, 0, 1],
                        [256, 0, 0, 1, 1, 0, 0, 1]
                    ]
                ],
                // <2-02>640x640
                [
                    // -
                    [
                        // デフォルト値
                        [5],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 0, 0, 0],
                        [3072, 0, 30, 1, 1, 0, 0, 0],
                        [2048, 0, 30, 1, 1, 0, 0, 0],
                        [1536, 0, 30, 1, 1, 0, 0, 0],
                        [1024, 0, 30, 1, 1, 0, 0, 0],
                        [768, 0, 30, 1, 1, 0, 0, 0],
                        [512, 0, 15, 1, 1, 0, 0, 0],
                        [384, 0, 1, 1, 1, 0, 0, 0],
                        [256, 0, 0, 1, 1, 0, 0, 0],
                        [128, 0, 0, 1, 1, 0, 0, 0],
                        [64, 0, 0, 1, 1, 0, 0, 0]
                    ]
                ],
                // <2-03>320x320
                [
                    // -
                    [
                        // デフォルト値
                        [7],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 0, 0, 0],
                        [3072, 0, 30, 1, 1, 0, 0, 0],
                        [2048, 0, 30, 1, 1, 0, 0, 0],
                        [1536, 0, 30, 1, 1, 0, 0, 0],
                        [1024, 0, 30, 1, 1, 0, 0, 0],
                        [768, 0, 30, 1, 1, 0, 0, 0],
                        [512, 0, 30, 1, 1, 0, 0, 0],
                        [384, 0, 30, 1, 1, 0, 0, 0],
                        [256, 0, 15, 1, 1, 0, 0, 0],
                        [128, 0, 1, 1, 1, 0, 0, 0],
                        [64, 0, 0, 1, 1, 0, 0, 0]
                    ]
                ]
            ],
            // <4-2>AdvancedVBR[高]
            [
                // <2-00>2048x2048
                [
                    // -
                    [
                        // デフォルト値
                        [6],
                        // 値リスト
                        [16384, 0, 30, 1, 1, 0, 0, 1],
                        [14336, 0, 30, 1, 1, 0, 0, 1],
                        [12288, 0, 30, 1, 1, 0, 0, 1],
                        [10240, 0, 30, 1, 1, 0, 0, 1],
                        [8192, 0, 30, 1, 1, 0, 0, 1],
                        [6144, 0, 30, 1, 1, 0, 0, 1],
                        [4096, 0, 30, 1, 1, 0, 0, 1],
                        [3072, 0, 15, 1, 1, 0, 0, 1],
                        [2048, 0, 1, 1, 1, 0, 0, 1],
                        [1536, 0, 0, 1, 1, 0, 0, 1]
                    ]
                ],
                // <2-01>1280x1280
                [
                    // -
                    [
                        // デフォルト値
                        [4],
                        // 値リスト
                        [8192, 0, 30, 1, 1, 0, 0, 1],
                        [6144, 0, 30, 1, 1, 0, 0, 1],
                        [4096, 0, 30, 1, 1, 0, 0, 1],
                        [3072, 0, 30, 1, 1, 0, 0, 1],
                        [2048, 0, 30, 1, 1, 0, 0, 1],
                        [1536, 0, 15, 1, 1, 0, 0, 1],
                        [1024, 0, 1, 1, 1, 0, 0, 1],
                        [768, 0, 0, 1, 1, 0, 0, 1],
                        [512, 0, 0, 1, 1, 0, 0, 1],
                        [384, 0, 0, 1, 1, 0, 0, 1],
                        [256, 0, 0, 1, 1, 0, 0, 1]
                    ]
                ],
                // <2-02>640x640
                [
                    // -
                    [
                        // デフォルト値
                        [5],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 0, 0, 0],
                        [3072, 0, 30, 1, 1, 0, 0, 0],
                        [2048, 0, 30, 1, 1, 0, 0, 0],
                        [1536, 0, 30, 1, 1, 0, 0, 0],
                        [1024, 0, 30, 1, 1, 0, 0, 0],
                        [768, 0, 30, 1, 1, 0, 0, 0],
                        [512, 0, 15, 1, 1, 0, 0, 0],
                        [384, 0, 1, 1, 1, 0, 0, 0],
                        [256, 0, 0, 1, 1, 0, 0, 0],
                        [128, 0, 0, 1, 1, 0, 0, 0],
                        [64, 0, 0, 1, 1, 0, 0, 0]
                    ]
                ],
                // <2-03>320x320
                [
                    // -
                    [
                        // デフォルト値
                        [7],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 0, 0, 0],
                        [3072, 0, 30, 1, 1, 0, 0, 0],
                        [2048, 0, 30, 1, 1, 0, 0, 0],
                        [1536, 0, 30, 1, 1, 0, 0, 0],
                        [1024, 0, 30, 1, 1, 0, 0, 0],
                        [768, 0, 30, 1, 1, 0, 0, 0],
                        [512, 0, 30, 1, 1, 0, 0, 0],
                        [384, 0, 30, 1, 1, 0, 0, 0],
                        [256, 0, 15, 1, 1, 0, 0, 0],
                        [128, 0, 1, 1, 1, 0, 0, 0],
                        [64, 0, 0, 1, 1, 0, 0, 0]
                    ]
                ]
            ],
            // <4-3>AdvancedVBR[中]
            [
                // <2-00>2048x2048
                [
                    // -
                    [
                        // デフォルト値
                        [6],
                        // 値リスト
                        [16384, 0, 30, 1, 1, 0, 0, 1],
                        [14336, 0, 30, 1, 1, 0, 0, 1],
                        [12288, 0, 30, 1, 1, 0, 0, 1],
                        [10240, 0, 30, 1, 1, 0, 0, 1],
                        [8192, 0, 30, 1, 1, 0, 0, 1],
                        [6144, 0, 30, 1, 1, 0, 0, 1],
                        [4096, 0, 30, 1, 1, 0, 0, 1],
                        [3072, 0, 15, 1, 1, 0, 0, 1],
                        [2048, 0, 1, 1, 1, 0, 0, 1],
                        [1536, 0, 0, 1, 1, 0, 0, 1]
                    ]
                ],
                // <2-01>1280x1280
                [
                    // -
                    [
                        // デフォルト値
                        [4],
                        // 値リスト
                        [8192, 0, 30, 1, 1, 0, 0, 1],
                        [6144, 0, 30, 1, 1, 0, 0, 1],
                        [4096, 0, 30, 1, 1, 0, 0, 1],
                        [3072, 0, 30, 1, 1, 0, 0, 1],
                        [2048, 0, 30, 1, 1, 0, 0, 1],
                        [1536, 0, 15, 1, 1, 0, 0, 1],
                        [1024, 0, 1, 1, 1, 0, 0, 1],
                        [768, 0, 0, 1, 1, 0, 0, 1],
                        [512, 0, 0, 1, 1, 0, 0, 1],
                        [384, 0, 0, 1, 1, 0, 0, 1],
                        [256, 0, 0, 1, 1, 0, 0, 1]
                    ]
                ],
                // <2-02>640x640
                [
                    // -
                    [
                        // デフォルト値
                        [5],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 0, 0, 0],
                        [3072, 0, 30, 1, 1, 0, 0, 0],
                        [2048, 0, 30, 1, 1, 0, 0, 0],
                        [1536, 0, 30, 1, 1, 0, 0, 0],
                        [1024, 0, 30, 1, 1, 0, 0, 0],
                        [768, 0, 30, 1, 1, 0, 0, 0],
                        [512, 0, 15, 1, 1, 0, 0, 0],
                        [384, 0, 1, 1, 1, 0, 0, 0],
                        [256, 0, 0, 1, 1, 0, 0, 0],
                        [128, 0, 0, 1, 1, 0, 0, 0],
                        [64, 0, 0, 1, 1, 0, 0, 0]
                    ]
                ],
                // <2-03>320x320
                [
                    // -
                    [
                        // デフォルト値
                        [7],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 0, 0, 0],
                        [3072, 0, 30, 1, 1, 0, 0, 0],
                        [2048, 0, 30, 1, 1, 0, 0, 0],
                        [1536, 0, 30, 1, 1, 0, 0, 0],
                        [1024, 0, 30, 1, 1, 0, 0, 0],
                        [768, 0, 30, 1, 1, 0, 0, 0],
                        [512, 0, 30, 1, 1, 0, 0, 0],
                        [384, 0, 30, 1, 1, 0, 0, 0],
                        [256, 0, 15, 1, 1, 0, 0, 0],
                        [128, 0, 1, 1, 1, 0, 0, 0],
                        [64, 0, 0, 1, 1, 0, 0, 0]
                    ]
                ]
            ],
            // <4-4>AdvancedVBR[低]
            [
                // <2-00>2048x2048
                [
                    // -
                    [
                        // デフォルト値
                        [6],
                        // 値リスト
                        [16384, 0, 30, 1, 1, 0, 0, 1],
                        [14336, 0, 30, 1, 1, 0, 0, 1],
                        [12288, 0, 30, 1, 1, 0, 0, 1],
                        [10240, 0, 30, 1, 1, 0, 0, 1],
                        [8192, 0, 30, 1, 1, 0, 0, 1],
                        [6144, 0, 30, 1, 1, 0, 0, 1],
                        [4096, 0, 30, 1, 1, 0, 0, 1],
                        [3072, 0, 15, 1, 1, 0, 0, 1],
                        [2048, 0, 1, 1, 1, 0, 0, 1],
                        [1536, 0, 0, 1, 1, 0, 0, 1]
                    ]
                ],
                // <2-01>1280x1280
                [
                    // -
                    [
                        // デフォルト値
                        [4],
                        // 値リスト
                        [8192, 0, 30, 1, 1, 0, 0, 1],
                        [6144, 0, 30, 1, 1, 0, 0, 1],
                        [4096, 0, 30, 1, 1, 0, 0, 1],
                        [3072, 0, 30, 1, 1, 0, 0, 1],
                        [2048, 0, 30, 1, 1, 0, 0, 1],
                        [1536, 0, 15, 1, 1, 0, 0, 1],
                        [1024, 0, 1, 1, 1, 0, 0, 1],
                        [768, 0, 0, 1, 1, 0, 0, 1],
                        [512, 0, 0, 1, 1, 0, 0, 1],
                        [384, 0, 0, 1, 1, 0, 0, 1],
                        [256, 0, 0, 1, 1, 0, 0, 1]
                    ]
                ],
                // <2-02>640x640
                [
                    // -
                    [
                        // デフォルト値
                        [5],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 0, 0, 0],
                        [3072, 0, 30, 1, 1, 0, 0, 0],
                        [2048, 0, 30, 1, 1, 0, 0, 0],
                        [1536, 0, 30, 1, 1, 0, 0, 0],
                        [1024, 0, 30, 1, 1, 0, 0, 0],
                        [768, 0, 30, 1, 1, 0, 0, 0],
                        [512, 0, 15, 1, 1, 0, 0, 0],
                        [384, 0, 1, 1, 1, 0, 0, 0],
                        [256, 0, 0, 1, 1, 0, 0, 0],
                        [128, 0, 0, 1, 1, 0, 0, 0],
                        [64, 0, 0, 1, 1, 0, 0, 0]
                    ]
                ],
                // <2-03>320x320
                [
                    // -
                    [
                        // デフォルト値
                        [7],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 0, 0, 0],
                        [3072, 0, 30, 1, 1, 0, 0, 0],
                        [2048, 0, 30, 1, 1, 0, 0, 0],
                        [1536, 0, 30, 1, 1, 0, 0, 0],
                        [1024, 0, 30, 1, 1, 0, 0, 0],
                        [768, 0, 30, 1, 1, 0, 0, 0],
                        [512, 0, 30, 1, 1, 0, 0, 0],
                        [384, 0, 30, 1, 1, 0, 0, 0],
                        [256, 0, 15, 1, 1, 0, 0, 0],
                        [128, 0, 1, 1, 1, 0, 0, 0],
                        [64, 0, 0, 1, 1, 0, 0, 0]
                    ]
                ]
            ]
        ],
        // <3-2>DP/P
        [
            // <4-0>ビットレート優先
            [
                // <2-00>WQHD
                [
                    // <5-0>画質優先(SF)
                    [
                        // デフォルト値
                        [6],
                        // 値リスト
                        [16384, 0, 15, 1, 1, 0, 0, 1],
                        [14336, 0, 15, 1, 1, 0, 0, 1],
                        [12288, 0, 15, 1, 1, 0, 0, 1],
                        [10240, 0, 15, 1, 1, 0, 0, 1],
                        [8192, 0, 15, 1, 1, 0, 0, 1],
                        [6144, 0, 15, 1, 1, 0, 0, 1],
                        [4096, 0, 10, 1, 1, 0, 0, 1],
                        [3072, 0, 7.5, 1, 1, 0, 0, 1],
                        [2048, 0, 5, 1, 1, 0, 0, 1],
                        [1536, 0, 3, 1, 1, 0, 0, 1]
                    ],
                    // <5-1>標準(FQ)
                    [
                        // デフォルト値
                        [6],
                        // 値リスト
                        [16384, 0, 15, 1, 1, 0, 0, 1],
                        [14336, 0, 15, 1, 1, 0, 0, 1],
                        [12288, 0, 15, 1, 1, 0, 0, 1],
                        [10240, 0, 15, 1, 1, 0, 0, 1],
                        [8192, 0, 15, 1, 1, 0, 0, 1],
                        [6144, 0, 15, 1, 1, 0, 0, 1],
                        [4096, 0, 15, 1, 1, 0, 0, 1],
                        [3072, 0, 10, 1, 1, 0, 0, 1],
                        [2048, 0, 7.5, 1, 1, 0, 0, 1],
                        [1536, 0, 5, 1, 1, 0, 0, 1]
                    ],
                    // <5-2>動き優先(NQ)
                    [
                        // デフォルト値
                        [6],
                        // 値リスト
                        [16384, 0, 15, 1, 1, 0, 0, 1],
                        [14336, 0, 15, 1, 1, 0, 0, 1],
                        [12288, 0, 15, 1, 1, 0, 0, 1],
                        [10240, 0, 15, 1, 1, 0, 0, 1],
                        [8192, 0, 15, 1, 1, 0, 0, 1],
                        [6144, 0, 15, 1, 1, 0, 0, 1],
                        [4096, 0, 15, 1, 1, 0, 0, 1],
                        [3072, 0, 15, 1, 1, 0, 0, 1],
                        [2048, 0, 15, 1, 1, 0, 0, 1],
                        [1536, 0, 10, 1, 1, 0, 0, 1]
                    ]
                ],
                // <2-01>FHD
                [
                    // <5-0>画質優先(SF)
                    [
                        // デフォルト値
                        [5],
                        // 値リスト
                        [14336, 0, 15, 1, 1, 0, 0, 1],
                        [12288, 0, 15, 1, 1, 0, 0, 1],
                        [10240, 0, 15, 1, 1, 0, 0, 1],
                        [8192, 0, 15, 1, 1, 0, 0, 1],
                        [6144, 0, 15, 1, 1, 0, 0, 1],
                        [4096, 0, 15, 1, 1, 0, 0, 1],
                        [3072, 0, 15, 1, 1, 0, 0, 1],
                        [2048, 0, 10, 1, 1, 0, 0, 1],
                        [1536, 0, 7.5, 1, 1, 0, 0, 1],
                        [1024, 0, 5, 1, 1, 0, 0, 1],
                        [768, 0, 3, 1, 1, 0, 0, 1],
                        [512, 0, 2, 1, 1, 0, 0, 1]
                    ],
                    // <5-1>標準(FQ)
                    [
                        // デフォルト値
                        [5],
                        // 値リスト
                        [14336, 0, 15, 1, 1, 0, 0, 1],
                        [12288, 0, 15, 1, 1, 0, 0, 1],
                        [10240, 0, 15, 1, 1, 0, 0, 1],
                        [8192, 0, 15, 1, 1, 0, 0, 1],
                        [6144, 0, 15, 1, 1, 0, 0, 1],
                        [4096, 0, 15, 1, 1, 0, 0, 1],
                        [3072, 0, 15, 1, 1, 0, 0, 1],
                        [2048, 0, 15, 1, 1, 0, 0, 1],
                        [1536, 0, 10, 1, 1, 0, 0, 1],
                        [1024, 0, 7.5, 1, 1, 0, 0, 1],
                        [768, 0, 5, 1, 1, 0, 0, 1],
                        [512, 0, 3, 1, 1, 0, 0, 1]
                    ],
                    // <5-2>動き優先(NQ)
                    [
                        // デフォルト値
                        [5],
                        // 値リスト
                        [14336, 0, 15, 1, 1, 0, 0, 1],
                        [12288, 0, 15, 1, 1, 0, 0, 1],
                        [10240, 0, 15, 1, 1, 0, 0, 1],
                        [8192, 0, 15, 1, 1, 0, 0, 1],
                        [6144, 0, 15, 1, 1, 0, 0, 1],
                        [4096, 0, 15, 1, 1, 0, 0, 1],
                        [3072, 0, 15, 1, 1, 0, 0, 1],
                        [2048, 0, 15, 1, 1, 0, 0, 1],
                        [1536, 0, 15, 1, 1, 0, 0, 1],
                        [1024, 0, 15, 1, 1, 0, 0, 1],
                        [768, 0, 10, 1, 1, 0, 0, 1],
                        [512, 0, 7.5, 1, 1, 0, 0, 1]
                    ]
                ],
                // <2-02>HD
                [
                    // <5-0>画質優先(SF)
                    [
                        // デフォルト値
                        [2],
                        // 値リスト
                        [8192, 0, 15, 1, 1, 0, 0, 1],
                        [6144, 0, 15, 1, 1, 0, 0, 1],
                        [4096, 0, 15, 1, 1, 0, 0, 1],
                        [3072, 0, 15, 1, 1, 0, 0, 1],
                        [2048, 0, 10, 1, 1, 0, 0, 1],
                        [1536, 0, 7.5, 1, 1, 0, 0, 1],
                        [1024, 0, 5, 1, 1, 0, 0, 1],
                        [768, 0, 3, 1, 1, 0, 0, 1],
                        [512, 0, 2, 1, 1, 0, 0, 1],
                        [384, 0, 1, 1, 1, 0, 0, 1],
                        [256, 0, 1, 1, 1, 0, 0, 1]
                    ],
                    // <5-1>標準(FQ)
                    [
                        // デフォルト値
                        [2],
                        // 値リスト
                        [8192, 0, 15, 1, 1, 0, 0, 1],
                        [6144, 0, 15, 1, 1, 0, 0, 1],
                        [4096, 0, 15, 1, 1, 0, 0, 1],
                        [3072, 0, 15, 1, 1, 0, 0, 1],
                        [2048, 0, 15, 1, 1, 0, 0, 1],
                        [1536, 0, 10, 1, 1, 0, 0, 1],
                        [1024, 0, 7.5, 1, 1, 0, 0, 1],
                        [768, 0, 5, 1, 1, 0, 0, 1],
                        [512, 0, 3, 1, 1, 0, 0, 1],
                        [384, 0, 2, 1, 1, 0, 0, 1],
                        [256, 0, 1, 1, 1, 0, 0, 1]
                    ],
                    // <5-2>動き優先(NQ)
                    [
                        // デフォルト値
                        [2],
                        // 値リスト
                        [8192, 0, 15, 1, 1, 0, 0, 1],
                        [6144, 0, 15, 1, 1, 0, 0, 1],
                        [4096, 0, 15, 1, 1, 0, 0, 1],
                        [3072, 0, 15, 1, 1, 0, 0, 1],
                        [2048, 0, 15, 1, 1, 0, 0, 1],
                        [1536, 0, 15, 1, 1, 0, 0, 1],
                        [1024, 0, 15, 1, 1, 0, 0, 1],
                        [768, 0, 10, 1, 1, 0, 0, 1],
                        [512, 0, 7.5, 1, 1, 0, 0, 1],
                        [384, 0, 5, 1, 1, 0, 0, 1],
                        [256, 0, 3, 1, 1, 0, 0, 1]
                    ]
                ],
                // <2-03>HVGAW
                [
                    // <5-0>画質優先(SF)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 15, 1, 1, 0, 0, 1],
                        [3072, 0, 15, 1, 1, 0, 0, 1],
                        [2048, 0, 15, 1, 1, 0, 0, 1],
                        [1536, 0, 15, 1, 1, 0, 0, 1],
                        [1024, 0, 10, 1, 1, 0, 0, 1],
                        [768, 0, 7.5, 1, 1, 0, 0, 1],
                        [512, 0, 5, 1, 1, 0, 0, 1],
                        [384, 0, 3, 1, 1, 0, 0, 1],
                        [256, 0, 2, 1, 1, 0, 0, 1],
                        [128, 0, 1, 1, 1, 0, 0, 1],
                        [64, 0, 1, 1, 1, 0, 0, 1]
                    ],
                    // <5-1>標準(FQ)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 15, 1, 1, 0, 0, 1],
                        [3072, 0, 15, 1, 1, 0, 0, 1],
                        [2048, 0, 15, 1, 1, 0, 0, 1],
                        [1536, 0, 15, 1, 1, 0, 0, 1],
                        [1024, 0, 15, 1, 1, 0, 0, 1],
                        [768, 0, 15, 1, 1, 0, 0, 1],
                        [512, 0, 15, 1, 1, 0, 0, 1],
                        [384, 0, 10, 1, 1, 0, 0, 1],
                        [256, 0, 7.5, 1, 1, 0, 0, 1],
                        [128, 0, 5, 1, 1, 0, 0, 1],
                        [64, 0, 2, 1, 1, 0, 0, 1]
                    ],
                    // <5-2>動き優先(NQ)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 15, 1, 1, 0, 0, 1],
                        [3072, 0, 15, 1, 1, 0, 0, 1],
                        [2048, 0, 15, 1, 1, 0, 0, 1],
                        [1536, 0, 15, 1, 1, 0, 0, 1],
                        [1024, 0, 15, 1, 1, 0, 0, 1],
                        [768, 0, 15, 1, 1, 0, 0, 1],
                        [512, 0, 15, 1, 1, 0, 0, 1],
                        [384, 0, 15, 1, 1, 0, 0, 1],
                        [256, 0, 10, 1, 1, 0, 0, 1],
                        [128, 0, 7.5, 1, 1, 0, 0, 1],
                        [64, 0, 3, 1, 1, 0, 0, 1]
                    ]
                ],
                // <2-04>180P
                [
                    // <5-0>画質優先(SF)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 15, 1, 1, 0, 0, 0],
                        [3072, 0, 15, 1, 1, 0, 0, 0],
                        [2048, 0, 15, 1, 1, 0, 0, 0],
                        [1536, 0, 15, 1, 1, 0, 0, 0],
                        [1024, 0, 15, 1, 1, 0, 0, 0],
                        [768, 0, 15, 1, 1, 0, 0, 0],
                        [512, 0, 10, 1, 1, 0, 0, 0],
                        [384, 0, 7.5, 1, 1, 0, 0, 0],
                        [256, 0, 5, 1, 1, 0, 0, 0],
                        [128, 0, 2, 1, 1, 0, 0, 0],
                        [64, 0, 1, 1, 1, 0, 0, 0]
                    ],
                    // <5-1>標準(FQ)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 15, 1, 1, 0, 0, 0],
                        [3072, 0, 15, 1, 1, 0, 0, 0],
                        [2048, 0, 15, 1, 1, 0, 0, 0],
                        [1536, 0, 15, 1, 1, 0, 0, 0],
                        [1024, 0, 15, 1, 1, 0, 0, 0],
                        [768, 0, 15, 1, 1, 0, 0, 0],
                        [512, 0, 15, 1, 1, 0, 0, 0],
                        [384, 0, 15, 1, 1, 0, 0, 0],
                        [256, 0, 15, 1, 1, 0, 0, 0],
                        [128, 0, 10, 1, 1, 0, 0, 0],
                        [64, 0, 5, 1, 1, 0, 0, 0]
                    ],
                    // <5-2>動き優先(NQ)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 15, 1, 1, 0, 0, 0],
                        [3072, 0, 15, 1, 1, 0, 0, 0],
                        [2048, 0, 15, 1, 1, 0, 0, 0],
                        [1536, 0, 15, 1, 1, 0, 0, 0],
                        [1024, 0, 15, 1, 1, 0, 0, 0],
                        [768, 0, 15, 1, 1, 0, 0, 0],
                        [512, 0, 15, 1, 1, 0, 0, 0],
                        [384, 0, 15, 1, 1, 0, 0, 0],
                        [256, 0, 15, 1, 1, 0, 0, 0],
                        [128, 0, 15, 1, 1, 0, 0, 0],
                        [64, 0, 10, 1, 1, 0, 0, 0]
                    ]
                ]
            ],
            // <4-1>フレームレート優先
            [
                // <2-00>WQHD
                [
                    // -
                    [
                        // デフォルト値
                        [7],
                        // 値リスト
                        [16384, 0, 15, 1, 1, 0, 0, 1],
                        [14336, 0, 15, 1, 1, 0, 0, 1],
                        [12288, 0, 15, 1, 1, 0, 0, 1],
                        [10240, 0, 15, 1, 1, 0, 0, 1],
                        [8192, 0, 15, 1, 1, 0, 0, 1],
                        [6144, 0, 15, 1, 1, 0, 0, 1],
                        [4096, 0, 15, 1, 1, 0, 0, 1],
                        [3072, 0, 15, 1, 1, 0, 0, 1],
                        [2048, 0, 1, 1, 1, 0, 0, 1],
                        [1536, 0, 0, 1, 1, 0, 0, 1]
                    ]
                ],
                // <2-01>FHD
                [
                    // -
                    [
                        // デフォルト値
                        [7],
                        // 値リスト
                        [14336, 0, 15, 1, 1, 0, 0, 1],
                        [12288, 0, 15, 1, 1, 0, 0, 1],
                        [10240, 0, 15, 1, 1, 0, 0, 1],
                        [8192, 0, 15, 1, 1, 0, 0, 1],
                        [6144, 0, 15, 1, 1, 0, 0, 1],
                        [4096, 0, 15, 1, 1, 0, 0, 1],
                        [3072, 0, 15, 1, 1, 0, 0, 1],
                        [2048, 0, 15, 1, 1, 0, 0, 1],
                        [1536, 0, 7.5, 1, 1, 0, 0, 1],
                        [1024, 0, 1, 1, 1, 0, 0, 1],
                        [768, 0, 0, 1, 1, 0, 0, 1],
                        [512, 0, 0, 1, 1, 0, 0, 1]
                    ]
                ],
                // <2-02>HD
                [
                    // -
                    [
                        // デフォルト値
                        [6],
                        // 値リスト
                        [8192, 0, 15, 1, 1, 0, 0, 1],
                        [6144, 0, 15, 1, 1, 0, 0, 1],
                        [4096, 0, 15, 1, 1, 0, 0, 1],
                        [3072, 0, 15, 1, 1, 0, 0, 1],
                        [2048, 0, 15, 1, 1, 0, 0, 1],
                        [1536, 0, 15, 1, 1, 0, 0, 1],
                        [1024, 0, 15, 1, 1, 0, 0, 1],
                        [768, 0, 7.5, 1, 1, 0, 0, 1],
                        [512, 0, 1, 1, 1, 0, 0, 1],
                        [384, 0, 0, 1, 1, 0, 0, 1],
                        [256, 0, 0, 1, 1, 0, 0, 1]
                    ]
                ],
                // <2-03>HVGAW
                [
                    // -
                    [
                        // デフォルト値
                        [7],
                        // 値リスト
                        [4096, 0, 15, 1, 1, 0, 0, 1],
                        [3072, 0, 15, 1, 1, 0, 0, 1],
                        [2048, 0, 15, 1, 1, 0, 0, 1],
                        [1536, 0, 15, 1, 1, 0, 0, 1],
                        [1024, 0, 15, 1, 1, 0, 0, 1],
                        [768, 0, 15, 1, 1, 0, 0, 1],
                        [512, 0, 15, 1, 1, 0, 0, 1],
                        [384, 0, 15, 1, 1, 0, 0, 1],
                        [256, 0, 1, 1, 1, 0, 0, 1],
                        [128, 0, 0, 1, 1, 0, 0, 1],
                        [64, 0, 0, 1, 1, 0, 0, 1]
                    ]
                ],
                // <2-04>180P
                [
                    // -
                    [
                        // デフォルト値
                        [8],
                        // 値リスト
                        [4096, 0, 15, 1, 1, 0, 0, 0],
                        [3072, 0, 15, 1, 1, 0, 0, 0],
                        [2048, 0, 15, 1, 1, 0, 0, 0],
                        [1536, 0, 15, 1, 1, 0, 0, 0],
                        [1024, 0, 15, 1, 1, 0, 0, 0],
                        [768, 0, 15, 1, 1, 0, 0, 0],
                        [512, 0, 15, 1, 1, 0, 0, 0],
                        [384, 0, 15, 1, 1, 0, 0, 0],
                        [256, 0, 15, 1, 1, 0, 0, 0],
                        [128, 0, 1, 1, 1, 0, 0, 0],
                        [64, 0, 0, 1, 1, 0, 0, 0]
                    ]
                ]
            ],
            // <4-2>AdvancedVBR[高]
            [
                // <2-00>WQHD
                [
                    // -
                    [
                        // デフォルト値
                        [7],
                        // 値リスト
                        [16384, 0, 15, 1, 1, 0, 0, 1],
                        [14336, 0, 15, 1, 1, 0, 0, 1],
                        [12288, 0, 15, 1, 1, 0, 0, 1],
                        [10240, 0, 15, 1, 1, 0, 0, 1],
                        [8192, 0, 15, 1, 1, 0, 0, 1],
                        [6144, 0, 15, 1, 1, 0, 0, 1],
                        [4096, 0, 15, 1, 1, 0, 0, 1],
                        [3072, 0, 15, 1, 1, 0, 0, 1],
                        [2048, 0, 1, 1, 1, 0, 0, 1],
                        [1536, 0, 0, 1, 1, 0, 0, 1]
                    ]
                ],
                // <2-01>FHD
                [
                    // -
                    [
                        // デフォルト値
                        [7],
                        // 値リスト
                        [14336, 0, 15, 1, 1, 0, 0, 1],
                        [12288, 0, 15, 1, 1, 0, 0, 1],
                        [10240, 0, 15, 1, 1, 0, 0, 1],
                        [8192, 0, 15, 1, 1, 0, 0, 1],
                        [6144, 0, 15, 1, 1, 0, 0, 1],
                        [4096, 0, 15, 1, 1, 0, 0, 1],
                        [3072, 0, 15, 1, 1, 0, 0, 1],
                        [2048, 0, 15, 1, 1, 0, 0, 1],
                        [1536, 0, 7.5, 1, 1, 0, 0, 1],
                        [1024, 0, 1, 1, 1, 0, 0, 1],
                        [768, 0, 0, 1, 1, 0, 0, 1],
                        [512, 0, 0, 1, 1, 0, 0, 1]
                    ]
                ],
                // <2-02>HD
                [
                    // -
                    [
                        // デフォルト値
                        [6],
                        // 値リスト
                        [8192, 0, 15, 1, 1, 0, 0, 1],
                        [6144, 0, 15, 1, 1, 0, 0, 1],
                        [4096, 0, 15, 1, 1, 0, 0, 1],
                        [3072, 0, 15, 1, 1, 0, 0, 1],
                        [2048, 0, 15, 1, 1, 0, 0, 1],
                        [1536, 0, 15, 1, 1, 0, 0, 1],
                        [1024, 0, 15, 1, 1, 0, 0, 1],
                        [768, 0, 7.5, 1, 1, 0, 0, 1],
                        [512, 0, 1, 1, 1, 0, 0, 1],
                        [384, 0, 0, 1, 1, 0, 0, 1],
                        [256, 0, 0, 1, 1, 0, 0, 1]
                    ]
                ],
                // <2-03>HVGAW
                [
                    // -
                    [
                        // デフォルト値
                        [7],
                        // 値リスト
                        [4096, 0, 15, 1, 1, 0, 0, 1],
                        [3072, 0, 15, 1, 1, 0, 0, 1],
                        [2048, 0, 15, 1, 1, 0, 0, 1],
                        [1536, 0, 15, 1, 1, 0, 0, 1],
                        [1024, 0, 15, 1, 1, 0, 0, 1],
                        [768, 0, 15, 1, 1, 0, 0, 1],
                        [512, 0, 15, 1, 1, 0, 0, 1],
                        [384, 0, 15, 1, 1, 0, 0, 1],
                        [256, 0, 1, 1, 1, 0, 0, 1],
                        [128, 0, 0, 1, 1, 0, 0, 1],
                        [64, 0, 0, 1, 1, 0, 0, 1]
                    ]
                ],
                // <2-04>180P
                [
                    // -
                    [
                        // デフォルト値
                        [8],
                        // 値リスト
                        [4096, 0, 15, 1, 1, 0, 0, 0],
                        [3072, 0, 15, 1, 1, 0, 0, 0],
                        [2048, 0, 15, 1, 1, 0, 0, 0],
                        [1536, 0, 15, 1, 1, 0, 0, 0],
                        [1024, 0, 15, 1, 1, 0, 0, 0],
                        [768, 0, 15, 1, 1, 0, 0, 0],
                        [512, 0, 15, 1, 1, 0, 0, 0],
                        [384, 0, 15, 1, 1, 0, 0, 0],
                        [256, 0, 15, 1, 1, 0, 0, 0],
                        [128, 0, 1, 1, 1, 0, 0, 0],
                        [64, 0, 0, 1, 1, 0, 0, 0]
                    ]
                ]
            ],
            // <4-3>AdvancedVBR[中]
            [
                // <2-00>WQHD
                [
                    // -
                    [
                        // デフォルト値
                        [7],
                        // 値リスト
                        [16384, 0, 15, 1, 1, 0, 0, 1],
                        [14336, 0, 15, 1, 1, 0, 0, 1],
                        [12288, 0, 15, 1, 1, 0, 0, 1],
                        [10240, 0, 15, 1, 1, 0, 0, 1],
                        [8192, 0, 15, 1, 1, 0, 0, 1],
                        [6144, 0, 15, 1, 1, 0, 0, 1],
                        [4096, 0, 15, 1, 1, 0, 0, 1],
                        [3072, 0, 15, 1, 1, 0, 0, 1],
                        [2048, 0, 1, 1, 1, 0, 0, 1],
                        [1536, 0, 0, 1, 1, 0, 0, 1]
                    ]
                ],
                // <2-01>FHD
                [
                    // -
                    [
                        // デフォルト値
                        [7],
                        // 値リスト
                        [14336, 0, 15, 1, 1, 0, 0, 1],
                        [12288, 0, 15, 1, 1, 0, 0, 1],
                        [10240, 0, 15, 1, 1, 0, 0, 1],
                        [8192, 0, 15, 1, 1, 0, 0, 1],
                        [6144, 0, 15, 1, 1, 0, 0, 1],
                        [4096, 0, 15, 1, 1, 0, 0, 1],
                        [3072, 0, 15, 1, 1, 0, 0, 1],
                        [2048, 0, 15, 1, 1, 0, 0, 1],
                        [1536, 0, 7.5, 1, 1, 0, 0, 1],
                        [1024, 0, 1, 1, 1, 0, 0, 1],
                        [768, 0, 0, 1, 1, 0, 0, 1],
                        [512, 0, 0, 1, 1, 0, 0, 1]
                    ]
                ],
                // <2-02>HD
                [
                    // -
                    [
                        // デフォルト値
                        [6],
                        // 値リスト
                        [8192, 0, 15, 1, 1, 0, 0, 1],
                        [6144, 0, 15, 1, 1, 0, 0, 1],
                        [4096, 0, 15, 1, 1, 0, 0, 1],
                        [3072, 0, 15, 1, 1, 0, 0, 1],
                        [2048, 0, 15, 1, 1, 0, 0, 1],
                        [1536, 0, 15, 1, 1, 0, 0, 1],
                        [1024, 0, 15, 1, 1, 0, 0, 1],
                        [768, 0, 7.5, 1, 1, 0, 0, 1],
                        [512, 0, 1, 1, 1, 0, 0, 1],
                        [384, 0, 0, 1, 1, 0, 0, 1],
                        [256, 0, 0, 1, 1, 0, 0, 1]
                    ]
                ],
                // <2-03>HVGAW
                [
                    // -
                    [
                        // デフォルト値
                        [7],
                        // 値リスト
                        [4096, 0, 15, 1, 1, 0, 0, 1],
                        [3072, 0, 15, 1, 1, 0, 0, 1],
                        [2048, 0, 15, 1, 1, 0, 0, 1],
                        [1536, 0, 15, 1, 1, 0, 0, 1],
                        [1024, 0, 15, 1, 1, 0, 0, 1],
                        [768, 0, 15, 1, 1, 0, 0, 1],
                        [512, 0, 15, 1, 1, 0, 0, 1],
                        [384, 0, 15, 1, 1, 0, 0, 1],
                        [256, 0, 1, 1, 1, 0, 0, 1],
                        [128, 0, 0, 1, 1, 0, 0, 1],
                        [64, 0, 0, 1, 1, 0, 0, 1]
                    ]
                ],
                // <2-04>180P
                [
                    // -
                    [
                        // デフォルト値
                        [8],
                        // 値リスト
                        [4096, 0, 15, 1, 1, 0, 0, 0],
                        [3072, 0, 15, 1, 1, 0, 0, 0],
                        [2048, 0, 15, 1, 1, 0, 0, 0],
                        [1536, 0, 15, 1, 1, 0, 0, 0],
                        [1024, 0, 15, 1, 1, 0, 0, 0],
                        [768, 0, 15, 1, 1, 0, 0, 0],
                        [512, 0, 15, 1, 1, 0, 0, 0],
                        [384, 0, 15, 1, 1, 0, 0, 0],
                        [256, 0, 15, 1, 1, 0, 0, 0],
                        [128, 0, 1, 1, 1, 0, 0, 0],
                        [64, 0, 0, 1, 1, 0, 0, 0]
                    ]
                ]
            ],
            // <4-4>AdvancedVBR[低]
            [
                // <2-00>WQHD
                [
                    // -
                    [
                        // デフォルト値
                        [7],
                        // 値リスト
                        [16384, 0, 15, 1, 1, 0, 0, 1],
                        [14336, 0, 15, 1, 1, 0, 0, 1],
                        [12288, 0, 15, 1, 1, 0, 0, 1],
                        [10240, 0, 15, 1, 1, 0, 0, 1],
                        [8192, 0, 15, 1, 1, 0, 0, 1],
                        [6144, 0, 15, 1, 1, 0, 0, 1],
                        [4096, 0, 15, 1, 1, 0, 0, 1],
                        [3072, 0, 15, 1, 1, 0, 0, 1],
                        [2048, 0, 1, 1, 1, 0, 0, 1],
                        [1536, 0, 0, 1, 1, 0, 0, 1]
                    ]
                ],
                // <2-01>FHD
                [
                    // -
                    [
                        // デフォルト値
                        [7],
                        // 値リスト
                        [14336, 0, 15, 1, 1, 0, 0, 1],
                        [12288, 0, 15, 1, 1, 0, 0, 1],
                        [10240, 0, 15, 1, 1, 0, 0, 1],
                        [8192, 0, 15, 1, 1, 0, 0, 1],
                        [6144, 0, 15, 1, 1, 0, 0, 1],
                        [4096, 0, 15, 1, 1, 0, 0, 1],
                        [3072, 0, 15, 1, 1, 0, 0, 1],
                        [2048, 0, 15, 1, 1, 0, 0, 1],
                        [1536, 0, 7.5, 1, 1, 0, 0, 1],
                        [1024, 0, 1, 1, 1, 0, 0, 1],
                        [768, 0, 0, 1, 1, 0, 0, 1],
                        [512, 0, 0, 1, 1, 0, 0, 1]
                    ]
                ],
                // <2-02>HD
                [
                    // -
                    [
                        // デフォルト値
                        [6],
                        // 値リスト
                        [8192, 0, 15, 1, 1, 0, 0, 1],
                        [6144, 0, 15, 1, 1, 0, 0, 1],
                        [4096, 0, 15, 1, 1, 0, 0, 1],
                        [3072, 0, 15, 1, 1, 0, 0, 1],
                        [2048, 0, 15, 1, 1, 0, 0, 1],
                        [1536, 0, 15, 1, 1, 0, 0, 1],
                        [1024, 0, 15, 1, 1, 0, 0, 1],
                        [768, 0, 7.5, 1, 1, 0, 0, 1],
                        [512, 0, 1, 1, 1, 0, 0, 1],
                        [384, 0, 0, 1, 1, 0, 0, 1],
                        [256, 0, 0, 1, 1, 0, 0, 1]
                    ]
                ],
                // <2-03>HVGAW
                [
                    // -
                    [
                        // デフォルト値
                        [7],
                        // 値リスト
                        [4096, 0, 15, 1, 1, 0, 0, 1],
                        [3072, 0, 15, 1, 1, 0, 0, 1],
                        [2048, 0, 15, 1, 1, 0, 0, 1],
                        [1536, 0, 15, 1, 1, 0, 0, 1],
                        [1024, 0, 15, 1, 1, 0, 0, 1],
                        [768, 0, 15, 1, 1, 0, 0, 1],
                        [512, 0, 15, 1, 1, 0, 0, 1],
                        [384, 0, 15, 1, 1, 0, 0, 1],
                        [256, 0, 1, 1, 1, 0, 0, 1],
                        [128, 0, 0, 1, 1, 0, 0, 1],
                        [64, 0, 0, 1, 1, 0, 0, 1]
                    ]
                ],
                // <2-04>180P
                [
                    // -
                    [
                        // デフォルト値
                        [8],
                        // 値リスト
                        [4096, 0, 15, 1, 1, 0, 0, 0],
                        [3072, 0, 15, 1, 1, 0, 0, 0],
                        [2048, 0, 15, 1, 1, 0, 0, 0],
                        [1536, 0, 15, 1, 1, 0, 0, 0],
                        [1024, 0, 15, 1, 1, 0, 0, 0],
                        [768, 0, 15, 1, 1, 0, 0, 0],
                        [512, 0, 15, 1, 1, 0, 0, 0],
                        [384, 0, 15, 1, 1, 0, 0, 0],
                        [256, 0, 15, 1, 1, 0, 0, 0],
                        [128, 0, 1, 1, 1, 0, 0, 0],
                        [64, 0, 0, 1, 1, 0, 0, 0]
                    ]
                ]
            ]
        ],
        // <3-3>4PTZ/1PTZ
        [
            // <4-0>ビットレート優先
            [
                // <2-00>2560x1920
                [
                    // <5-0>画質優先(SF)
                    [
                        // デフォルト値
                        [6],
                        // 値リスト
                        [16384, 0, 15, 1, 1, 0, 0, 0],
                        [14336, 0, 15, 1, 1, 0, 0, 0],
                        [12288, 0, 15, 1, 1, 0, 0, 0],
                        [10240, 0, 15, 1, 1, 0, 0, 0],
                        [8192, 0, 15, 1, 1, 0, 0, 0],
                        [6144, 0, 15, 1, 1, 0, 0, 0],
                        [4096, 0, 10, 1, 1, 0, 0, 0],
                        [3072, 0, 7.5, 1, 1, 0, 0, 0],
                        [2048, 0, 5, 1, 1, 0, 0, 0],
                        [1536, 0, 3, 1, 1, 0, 0, 0]
                    ],
                    // <5-1>標準(FQ)
                    [
                        // デフォルト値
                        [6],
                        // 値リスト
                        [16384, 0, 15, 1, 1, 0, 0, 0],
                        [14336, 0, 15, 1, 1, 0, 0, 0],
                        [12288, 0, 15, 1, 1, 0, 0, 0],
                        [10240, 0, 15, 1, 1, 0, 0, 0],
                        [8192, 0, 15, 1, 1, 0, 0, 0],
                        [6144, 0, 15, 1, 1, 0, 0, 0],
                        [4096, 0, 15, 1, 1, 0, 0, 0],
                        [3072, 0, 10, 1, 1, 0, 0, 0],
                        [2048, 0, 7.5, 1, 1, 0, 0, 0],
                        [1536, 0, 5, 1, 1, 0, 0, 0]
                    ],
                    // <5-2>動き優先(NQ)
                    [
                        // デフォルト値
                        [6],
                        // 値リスト
                        [16384, 0, 15, 1, 1, 0, 0, 0],
                        [14336, 0, 15, 1, 1, 0, 0, 0],
                        [12288, 0, 15, 1, 1, 0, 0, 0],
                        [10240, 0, 15, 1, 1, 0, 0, 0],
                        [8192, 0, 15, 1, 1, 0, 0, 0],
                        [6144, 0, 15, 1, 1, 0, 0, 0],
                        [4096, 0, 15, 1, 1, 0, 0, 0],
                        [3072, 0, 15, 1, 1, 0, 0, 0],
                        [2048, 0, 15, 1, 1, 0, 0, 0],
                        [1536, 0, 10, 1, 1, 0, 0, 0]
                    ]
                ],
                // <2-01>QXGA
                [
                    // <5-0>画質優先(SF)
                    [
                        // デフォルト値
                        [6],
                        // 値リスト
                        [16384, 0, 15, 1, 1, 0, 0, 0],
                        [14336, 0, 15, 1, 1, 0, 0, 0],
                        [12288, 0, 15, 1, 1, 0, 0, 0],
                        [10240, 0, 15, 1, 1, 0, 0, 0],
                        [8192, 0, 15, 1, 1, 0, 0, 0],
                        [6144, 0, 15, 1, 1, 0, 0, 0],
                        [4096, 0, 10, 1, 1, 0, 0, 0],
                        [3072, 0, 7.5, 1, 1, 0, 0, 0],
                        [2048, 0, 5, 1, 1, 0, 0, 0],
                        [1536, 0, 3, 1, 1, 0, 0, 0],
                        [1024, 0, 2, 1, 1, 0, 0, 0]
                    ],
                    // <5-1>標準(FQ)
                    [
                        // デフォルト値
                        [6],
                        // 値リスト
                        [16384, 0, 15, 1, 1, 0, 0, 0],
                        [14336, 0, 15, 1, 1, 0, 0, 0],
                        [12288, 0, 15, 1, 1, 0, 0, 0],
                        [10240, 0, 15, 1, 1, 0, 0, 0],
                        [8192, 0, 15, 1, 1, 0, 0, 0],
                        [6144, 0, 15, 1, 1, 0, 0, 0],
                        [4096, 0, 15, 1, 1, 0, 0, 0],
                        [3072, 0, 10, 1, 1, 0, 0, 0],
                        [2048, 0, 7.5, 1, 1, 0, 0, 0],
                        [1536, 0, 5, 1, 1, 0, 0, 0],
                        [1024, 0, 3, 1, 1, 0, 0, 0]
                    ],
                    // <5-2>動き優先(NQ)
                    [
                        // デフォルト値
                        [6],
                        // 値リスト
                        [16384, 0, 15, 1, 1, 0, 0, 0],
                        [14336, 0, 15, 1, 1, 0, 0, 0],
                        [12288, 0, 15, 1, 1, 0, 0, 0],
                        [10240, 0, 15, 1, 1, 0, 0, 0],
                        [8192, 0, 15, 1, 1, 0, 0, 0],
                        [6144, 0, 15, 1, 1, 0, 0, 0],
                        [4096, 0, 15, 1, 1, 0, 0, 0],
                        [3072, 0, 15, 1, 1, 0, 0, 0],
                        [2048, 0, 15, 1, 1, 0, 0, 0],
                        [1536, 0, 10, 1, 1, 0, 0, 0],
                        [1024, 0, 7.5, 1, 1, 0, 0, 0]
                    ]
                ],
                // <2-02>UXGA
                [
                    // <5-0>画質優先(SF)
                    [
                        // デフォルト値
                        [5],
                        // 値リスト
                        [14336, 0, 15, 1, 1, 0, 0, 0],
                        [12288, 0, 15, 1, 1, 0, 0, 0],
                        [10240, 0, 15, 1, 1, 0, 0, 0],
                        [8192, 0, 15, 1, 1, 0, 0, 0],
                        [6144, 0, 15, 1, 1, 0, 0, 0],
                        [4096, 0, 15, 1, 1, 0, 0, 0],
                        [3072, 0, 15, 1, 1, 0, 0, 0],
                        [2048, 0, 10, 1, 1, 0, 0, 0],
                        [1536, 0, 7.5, 1, 1, 0, 0, 0],
                        [1024, 0, 5, 1, 1, 0, 0, 0],
                        [768, 0, 3, 1, 1, 0, 0, 0],
                        [512, 0, 2, 1, 1, 0, 0, 0]
                    ],
                    // <5-1>標準(FQ)
                    [
                        // デフォルト値
                        [5],
                        // 値リスト
                        [14336, 0, 15, 1, 1, 0, 0, 0],
                        [12288, 0, 15, 1, 1, 0, 0, 0],
                        [10240, 0, 15, 1, 1, 0, 0, 0],
                        [8192, 0, 15, 1, 1, 0, 0, 0],
                        [6144, 0, 15, 1, 1, 0, 0, 0],
                        [4096, 0, 15, 1, 1, 0, 0, 0],
                        [3072, 0, 15, 1, 1, 0, 0, 0],
                        [2048, 0, 15, 1, 1, 0, 0, 0],
                        [1536, 0, 10, 1, 1, 0, 0, 0],
                        [1024, 0, 7.5, 1, 1, 0, 0, 0],
                        [768, 0, 5, 1, 1, 0, 0, 0],
                        [512, 0, 3, 1, 1, 0, 0, 0]
                    ],
                    // <5-2>動き優先(NQ)
                    [
                        // デフォルト値
                        [5],
                        // 値リスト
                        [14336, 0, 15, 1, 1, 0, 0, 0],
                        [12288, 0, 15, 1, 1, 0, 0, 0],
                        [10240, 0, 15, 1, 1, 0, 0, 0],
                        [8192, 0, 15, 1, 1, 0, 0, 0],
                        [6144, 0, 15, 1, 1, 0, 0, 0],
                        [4096, 0, 15, 1, 1, 0, 0, 0],
                        [3072, 0, 15, 1, 1, 0, 0, 0],
                        [2048, 0, 15, 1, 1, 0, 0, 0],
                        [1536, 0, 15, 1, 1, 0, 0, 0],
                        [1024, 0, 15, 1, 1, 0, 0, 0],
                        [768, 0, 10, 1, 1, 0, 0, 0],
                        [512, 0, 7.5, 1, 1, 0, 0, 0]
                    ]
                ],
                // <2-03>SXVGA
                [
                    // <5-0>画質優先(SF)
                    [
                        // デフォルト値
                        [2],
                        // 値リスト
                        [8192, 0, 15, 1, 1, 0, 0, 1],
                        [6144, 0, 15, 1, 1, 0, 0, 1],
                        [4096, 0, 15, 1, 1, 0, 0, 1],
                        [3072, 0, 15, 1, 1, 0, 0, 1],
                        [2048, 0, 10, 1, 1, 0, 0, 1],
                        [1536, 0, 7.5, 1, 1, 0, 0, 1],
                        [1024, 0, 5, 1, 1, 0, 0, 1],
                        [768, 0, 3, 1, 1, 0, 0, 1],
                        [512, 0, 2, 1, 1, 0, 0, 1],
                        [384, 0, 1, 1, 1, 0, 0, 1],
                        [256, 0, 1, 1, 1, 0, 0, 1]
                    ],
                    // <5-1>標準(FQ)
                    [
                        // デフォルト値
                        [2],
                        // 値リスト
                        [8192, 0, 15, 1, 1, 0, 0, 1],
                        [6144, 0, 15, 1, 1, 0, 0, 1],
                        [4096, 0, 15, 1, 1, 0, 0, 1],
                        [3072, 0, 15, 1, 1, 0, 0, 1],
                        [2048, 0, 15, 1, 1, 0, 0, 1],
                        [1536, 0, 10, 1, 1, 0, 0, 1],
                        [1024, 0, 7.5, 1, 1, 0, 0, 1],
                        [768, 0, 5, 1, 1, 0, 0, 1],
                        [512, 0, 3, 1, 1, 0, 0, 1],
                        [384, 0, 2, 1, 1, 0, 0, 1],
                        [256, 0, 1, 1, 1, 0, 0, 1]
                    ],
                    // <5-2>動き優先(NQ)
                    [
                        // デフォルト値
                        [2],
                        // 値リスト
                        [8192, 0, 15, 1, 1, 0, 0, 1],
                        [6144, 0, 15, 1, 1, 0, 0, 1],
                        [4096, 0, 15, 1, 1, 0, 0, 1],
                        [3072, 0, 15, 1, 1, 0, 0, 1],
                        [2048, 0, 15, 1, 1, 0, 0, 1],
                        [1536, 0, 15, 1, 1, 0, 0, 1],
                        [1024, 0, 15, 1, 1, 0, 0, 1],
                        [768, 0, 10, 1, 1, 0, 0, 1],
                        [512, 0, 7.5, 1, 1, 0, 0, 1],
                        [384, 0, 5, 1, 1, 0, 0, 1],
                        [256, 0, 3, 1, 1, 0, 0, 1]
                    ]
                ],
                // <2-04>SVGA
                [
                    // <5-0>画質優先(SF)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 15, 1, 1, 0, 0, 1],
                        [3072, 0, 15, 1, 1, 0, 0, 1],
                        [2048, 0, 15, 1, 1, 0, 0, 1],
                        [1536, 0, 10, 1, 1, 0, 0, 1],
                        [1024, 0, 7.5, 1, 1, 0, 0, 1],
                        [768, 0, 5, 1, 1, 0, 0, 1],
                        [512, 0, 3, 1, 1, 0, 0, 1],
                        [384, 0, 2, 1, 1, 0, 0, 1],
                        [256, 0, 1, 1, 1, 0, 0, 1],
                        [128, 0, 1, 1, 1, 0, 0, 1]
                    ],
                    // <5-1>標準(FQ)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 15, 1, 1, 0, 0, 1],
                        [3072, 0, 15, 1, 1, 0, 0, 1],
                        [2048, 0, 15, 1, 1, 0, 0, 1],
                        [1536, 0, 15, 1, 1, 0, 0, 1],
                        [1024, 0, 10, 1, 1, 0, 0, 1],
                        [768, 0, 7.5, 1, 1, 0, 0, 1],
                        [512, 0, 5, 1, 1, 0, 0, 1],
                        [384, 0, 3, 1, 1, 0, 0, 1],
                        [256, 0, 2, 1, 1, 0, 0, 1],
                        [128, 0, 1, 1, 1, 0, 0, 1]
                    ],
                    // <5-2>動き優先(NQ)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 15, 1, 1, 0, 0, 1],
                        [3072, 0, 15, 1, 1, 0, 0, 1],
                        [2048, 0, 15, 1, 1, 0, 0, 1],
                        [1536, 0, 15, 1, 1, 0, 0, 1],
                        [1024, 0, 15, 1, 1, 0, 0, 1],
                        [768, 0, 15, 1, 1, 0, 0, 1],
                        [512, 0, 10, 1, 1, 0, 0, 1],
                        [384, 0, 7.5, 1, 1, 0, 0, 1],
                        [256, 0, 5, 1, 1, 0, 0, 1],
                        [128, 0, 3, 1, 1, 0, 0, 1]
                    ]
                ],
                // <2-05>VGA
                [
                    // <5-0>画質優先(SF)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 15, 1, 1, 0, 0, 0],
                        [3072, 0, 15, 1, 1, 0, 0, 0],
                        [2048, 0, 15, 1, 1, 0, 0, 0],
                        [1536, 0, 15, 1, 1, 0, 0, 0],
                        [1024, 0, 10, 1, 1, 0, 0, 0],
                        [768, 0, 7.5, 1, 1, 0, 0, 0],
                        [512, 0, 5, 1, 1, 0, 0, 0],
                        [384, 0, 3, 1, 1, 0, 0, 0],
                        [256, 0, 2, 1, 1, 0, 0, 0],
                        [128, 0, 1, 1, 1, 0, 0, 0],
                        [64, 0, 1, 1, 1, 0, 0, 0]
                    ],
                    // <5-1>標準(FQ)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 15, 1, 1, 0, 0, 0],
                        [3072, 0, 15, 1, 1, 0, 0, 0],
                        [2048, 0, 15, 1, 1, 0, 0, 0],
                        [1536, 0, 15, 1, 1, 0, 0, 0],
                        [1024, 0, 15, 1, 1, 0, 0, 0],
                        [768, 0, 15, 1, 1, 0, 0, 0],
                        [512, 0, 15, 1, 1, 0, 0, 0],
                        [384, 0, 10, 1, 1, 0, 0, 0],
                        [256, 0, 7.5, 1, 1, 0, 0, 0],
                        [128, 0, 5, 1, 1, 0, 0, 0],
                        [64, 0, 2, 1, 1, 0, 0, 0]
                    ],
                    // <5-2>動き優先(NQ)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 15, 1, 1, 0, 0, 0],
                        [3072, 0, 15, 1, 1, 0, 0, 0],
                        [2048, 0, 15, 1, 1, 0, 0, 0],
                        [1536, 0, 15, 1, 1, 0, 0, 0],
                        [1024, 0, 15, 1, 1, 0, 0, 0],
                        [768, 0, 15, 1, 1, 0, 0, 0],
                        [512, 0, 15, 1, 1, 0, 0, 0],
                        [384, 0, 15, 1, 1, 0, 0, 0],
                        [256, 0, 10, 1, 1, 0, 0, 0],
                        [128, 0, 7.5, 1, 1, 0, 0, 0],
                        [64, 0, 3, 1, 1, 0, 0, 0]
                    ]
                ],
                // <2-06>QVGA
                [
                    // <5-0>画質優先(SF)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 15, 1, 1, 0, 0, 0],
                        [3072, 0, 15, 1, 1, 0, 0, 0],
                        [2048, 0, 15, 1, 1, 0, 0, 0],
                        [1536, 0, 15, 1, 1, 0, 0, 0],
                        [1024, 0, 15, 1, 1, 0, 0, 0],
                        [768, 0, 15, 1, 1, 0, 0, 0],
                        [512, 0, 10, 1, 1, 0, 0, 0],
                        [384, 0, 7.5, 1, 1, 0, 0, 0],
                        [256, 0, 5, 1, 1, 0, 0, 0],
                        [128, 0, 2, 1, 1, 0, 0, 0],
                        [64, 0, 1, 1, 1, 0, 0, 0]
                    ],
                    // <5-1>標準(FQ)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 15, 1, 1, 0, 0, 0],
                        [3072, 0, 15, 1, 1, 0, 0, 0],
                        [2048, 0, 15, 1, 1, 0, 0, 0],
                        [1536, 0, 15, 1, 1, 0, 0, 0],
                        [1024, 0, 15, 1, 1, 0, 0, 0],
                        [768, 0, 15, 1, 1, 0, 0, 0],
                        [512, 0, 15, 1, 1, 0, 0, 0],
                        [384, 0, 15, 1, 1, 0, 0, 0],
                        [256, 0, 15, 1, 1, 0, 0, 0],
                        [128, 0, 10, 1, 1, 0, 0, 0],
                        [64, 0, 5, 1, 1, 0, 0, 0]
                    ],
                    // <5-2>動き優先(NQ)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 15, 1, 1, 0, 0, 0],
                        [3072, 0, 15, 1, 1, 0, 0, 0],
                        [2048, 0, 15, 1, 1, 0, 0, 0],
                        [1536, 0, 15, 1, 1, 0, 0, 0],
                        [1024, 0, 15, 1, 1, 0, 0, 0],
                        [768, 0, 15, 1, 1, 0, 0, 0],
                        [512, 0, 15, 1, 1, 0, 0, 0],
                        [384, 0, 15, 1, 1, 0, 0, 0],
                        [256, 0, 15, 1, 1, 0, 0, 0],
                        [128, 0, 15, 1, 1, 0, 0, 0],
                        [64, 0, 10, 1, 1, 0, 0, 0]
                    ]
                ]
            ],
            // <4-1>フレームレート優先
            [
                // <2-00>2560x1920
                [
                    // -
                    [
                        // デフォルト値
                        [6],
                        // 値リスト
                        [16384, 0, 15, 1, 1, 0, 0, 0],
                        [14336, 0, 15, 1, 1, 0, 0, 0],
                        [12288, 0, 15, 1, 1, 0, 0, 0],
                        [10240, 0, 15, 1, 1, 0, 0, 0],
                        [8192, 0, 15, 1, 1, 0, 0, 0],
                        [6144, 0, 15, 1, 1, 0, 0, 0],
                        [4096, 0, 15, 1, 1, 0, 0, 0],
                        [3072, 0, 3, 1, 1, 0, 0, 0],
                        [2048, 0, 1, 1, 1, 0, 0, 0],
                        [1536, 0, 0, 1, 1, 0, 0, 0]
                    ]
                ],
                // <2-01>QXGA
                [
                    // -
                    [
                        // デフォルト値
                        [7],
                        // 値リスト
                        [16384, 0, 15, 1, 1, 0, 0, 0],
                        [14336, 0, 15, 1, 1, 0, 0, 0],
                        [12288, 0, 15, 1, 1, 0, 0, 0],
                        [10240, 0, 15, 1, 1, 0, 0, 0],
                        [8192, 0, 15, 1, 1, 0, 0, 0],
                        [6144, 0, 15, 1, 1, 0, 0, 0],
                        [4096, 0, 15, 1, 1, 0, 0, 0],
                        [3072, 0, 15, 1, 1, 0, 0, 0],
                        [2048, 0, 12, 1, 1, 0, 0, 0],
                        [1536, 0, 1, 1, 1, 0, 0, 0],
                        [1024, 0, 0, 1, 1, 0, 0, 0]
                    ]
                ],
                // <2-02>UXGA
                [
                    // -
                    [
                        // デフォルト値
                        [7],
                        // 値リスト
                        [14336, 0, 15, 1, 1, 0, 0, 0],
                        [12288, 0, 15, 1, 1, 0, 0, 0],
                        [10240, 0, 15, 1, 1, 0, 0, 0],
                        [8192, 0, 15, 1, 1, 0, 0, 0],
                        [6144, 0, 15, 1, 1, 0, 0, 0],
                        [4096, 0, 15, 1, 1, 0, 0, 0],
                        [3072, 0, 15, 1, 1, 0, 0, 0],
                        [2048, 0, 15, 1, 1, 0, 0, 0],
                        [1536, 0, 7.5, 1, 1, 0, 0, 0],
                        [1024, 0, 1, 1, 1, 0, 0, 0],
                        [768, 0, 0, 1, 1, 0, 0, 0],
                        [512, 0, 0, 1, 1, 0, 0, 0]
                    ]
                ],
                // <2-03>SXVGA
                [
                    // -
                    [
                        // デフォルト値
                        [6],
                        // 値リスト
                        [8192, 0, 15, 1, 1, 0, 0, 1],
                        [6144, 0, 15, 1, 1, 0, 0, 1],
                        [4096, 0, 15, 1, 1, 0, 0, 1],
                        [3072, 0, 15, 1, 1, 0, 0, 1],
                        [2048, 0, 15, 1, 1, 0, 0, 1],
                        [1536, 0, 15, 1, 1, 0, 0, 1],
                        [1024, 0, 15, 1, 1, 0, 0, 1],
                        [768, 0, 1, 1, 1, 0, 0, 1],
                        [512, 0, 0, 1, 1, 0, 0, 1],
                        [384, 0, 0, 1, 1, 0, 0, 1],
                        [256, 0, 0, 1, 1, 0, 0, 1]
                    ]
                ],
                // <2-04>SVGA
                [
                    // -
                    [
                        // デフォルト値
                        [4],
                        // 値リスト
                        [4096, 0, 15, 1, 1, 0, 0, 1],
                        [3072, 0, 15, 1, 1, 0, 0, 1],
                        [2048, 0, 15, 1, 1, 0, 0, 1],
                        [1536, 0, 15, 1, 1, 0, 0, 1],
                        [1024, 0, 15, 1, 1, 0, 0, 1],
                        [768, 0, 7.5, 1, 1, 0, 0, 1],
                        [512, 0, 1, 1, 1, 0, 0, 1],
                        [384, 0, 1, 1, 1, 0, 0, 1],
                        [256, 0, 0, 1, 1, 0, 0, 1],
                        [128, 0, 0, 1, 1, 0, 0, 1]
                    ]
                ],
                // <2-05>VGA
                [
                    // -
                    [
                        // デフォルト値
                        [7],
                        // 値リスト
                        [4096, 0, 15, 1, 1, 0, 0, 0],
                        [3072, 0, 15, 1, 1, 0, 0, 0],
                        [2048, 0, 15, 1, 1, 0, 0, 0],
                        [1536, 0, 15, 1, 1, 0, 0, 0],
                        [1024, 0, 15, 1, 1, 0, 0, 0],
                        [768, 0, 15, 1, 1, 0, 0, 0],
                        [512, 0, 15, 1, 1, 0, 0, 0],
                        [384, 0, 15, 1, 1, 0, 0, 0],
                        [256, 0, 1, 1, 1, 0, 0, 0],
                        [128, 0, 0, 1, 1, 0, 0, 0],
                        [64, 0, 0, 1, 1, 0, 0, 0]
                    ]
                ],
                // <2-06>QVGA
                [
                    // -
                    [
                        // デフォルト値
                        [8],
                        // 値リスト
                        [4096, 0, 15, 1, 1, 0, 0, 0],
                        [3072, 0, 15, 1, 1, 0, 0, 0],
                        [2048, 0, 15, 1, 1, 0, 0, 0],
                        [1536, 0, 15, 1, 1, 0, 0, 0],
                        [1024, 0, 15, 1, 1, 0, 0, 0],
                        [768, 0, 15, 1, 1, 0, 0, 0],
                        [512, 0, 15, 1, 1, 0, 0, 0],
                        [384, 0, 15, 1, 1, 0, 0, 0],
                        [256, 0, 15, 1, 1, 0, 0, 0],
                        [128, 0, 1, 1, 1, 0, 0, 0],
                        [64, 0, 0, 1, 1, 0, 0, 0]
                    ]
                ]
            ],
            // <4-2>AdvancedVBR[高]
            [
                // <2-00>2560x1920
                [
                    // -
                    [
                        // デフォルト値
                        [6],
                        // 値リスト
                        [16384, 0, 15, 1, 1, 0, 0, 0],
                        [14336, 0, 15, 1, 1, 0, 0, 0],
                        [12288, 0, 15, 1, 1, 0, 0, 0],
                        [10240, 0, 15, 1, 1, 0, 0, 0],
                        [8192, 0, 15, 1, 1, 0, 0, 0],
                        [6144, 0, 15, 1, 1, 0, 0, 0],
                        [4096, 0, 15, 1, 1, 0, 0, 0],
                        [3072, 0, 3, 1, 1, 0, 0, 0],
                        [2048, 0, 1, 1, 1, 0, 0, 0],
                        [1536, 0, 0, 1, 1, 0, 0, 0]
                    ]
                ],
                // <2-01>QXGA
                [
                    // -
                    [
                        // デフォルト値
                        [7],
                        // 値リスト
                        [16384, 0, 15, 1, 1, 0, 0, 0],
                        [14336, 0, 15, 1, 1, 0, 0, 0],
                        [12288, 0, 15, 1, 1, 0, 0, 0],
                        [10240, 0, 15, 1, 1, 0, 0, 0],
                        [8192, 0, 15, 1, 1, 0, 0, 0],
                        [6144, 0, 15, 1, 1, 0, 0, 0],
                        [4096, 0, 15, 1, 1, 0, 0, 0],
                        [3072, 0, 15, 1, 1, 0, 0, 0],
                        [2048, 0, 12, 1, 1, 0, 0, 0],
                        [1536, 0, 1, 1, 1, 0, 0, 0],
                        [1024, 0, 0, 1, 1, 0, 0, 0]
                    ]
                ],
                // <2-02>UXGA
                [
                    // -
                    [
                        // デフォルト値
                        [7],
                        // 値リスト
                        [14336, 0, 15, 1, 1, 0, 0, 0],
                        [12288, 0, 15, 1, 1, 0, 0, 0],
                        [10240, 0, 15, 1, 1, 0, 0, 0],
                        [8192, 0, 15, 1, 1, 0, 0, 0],
                        [6144, 0, 15, 1, 1, 0, 0, 0],
                        [4096, 0, 15, 1, 1, 0, 0, 0],
                        [3072, 0, 15, 1, 1, 0, 0, 0],
                        [2048, 0, 15, 1, 1, 0, 0, 0],
                        [1536, 0, 7.5, 1, 1, 0, 0, 0],
                        [1024, 0, 1, 1, 1, 0, 0, 0],
                        [768, 0, 0, 1, 1, 0, 0, 0],
                        [512, 0, 0, 1, 1, 0, 0, 0]
                    ]
                ],
                // <2-03>SXVGA
                [
                    // -
                    [
                        // デフォルト値
                        [6],
                        // 値リスト
                        [8192, 0, 15, 1, 1, 0, 0, 1],
                        [6144, 0, 15, 1, 1, 0, 0, 1],
                        [4096, 0, 15, 1, 1, 0, 0, 1],
                        [3072, 0, 15, 1, 1, 0, 0, 1],
                        [2048, 0, 15, 1, 1, 0, 0, 1],
                        [1536, 0, 15, 1, 1, 0, 0, 1],
                        [1024, 0, 15, 1, 1, 0, 0, 1],
                        [768, 0, 1, 1, 1, 0, 0, 1],
                        [512, 0, 0, 1, 1, 0, 0, 1],
                        [384, 0, 0, 1, 1, 0, 0, 1],
                        [256, 0, 0, 1, 1, 0, 0, 1]
                    ]
                ],
                // <2-04>SVGA
                [
                    // -
                    [
                        // デフォルト値
                        [4],
                        // 値リスト
                        [4096, 0, 15, 1, 1, 0, 0, 1],
                        [3072, 0, 15, 1, 1, 0, 0, 1],
                        [2048, 0, 15, 1, 1, 0, 0, 1],
                        [1536, 0, 15, 1, 1, 0, 0, 1],
                        [1024, 0, 15, 1, 1, 0, 0, 1],
                        [768, 0, 7.5, 1, 1, 0, 0, 1],
                        [512, 0, 1, 1, 1, 0, 0, 1],
                        [384, 0, 1, 1, 1, 0, 0, 1],
                        [256, 0, 0, 1, 1, 0, 0, 1],
                        [128, 0, 0, 1, 1, 0, 0, 1]
                    ]
                ],
                // <2-05>VGA
                [
                    // -
                    [
                        // デフォルト値
                        [7],
                        // 値リスト
                        [4096, 0, 15, 1, 1, 0, 0, 0],
                        [3072, 0, 15, 1, 1, 0, 0, 0],
                        [2048, 0, 15, 1, 1, 0, 0, 0],
                        [1536, 0, 15, 1, 1, 0, 0, 0],
                        [1024, 0, 15, 1, 1, 0, 0, 0],
                        [768, 0, 15, 1, 1, 0, 0, 0],
                        [512, 0, 15, 1, 1, 0, 0, 0],
                        [384, 0, 15, 1, 1, 0, 0, 0],
                        [256, 0, 1, 1, 1, 0, 0, 0],
                        [128, 0, 0, 1, 1, 0, 0, 0],
                        [64, 0, 0, 1, 1, 0, 0, 0]
                    ]
                ],
                // <2-06>QVGA
                [
                    // -
                    [
                        // デフォルト値
                        [8],
                        // 値リスト
                        [4096, 0, 15, 1, 1, 0, 0, 0],
                        [3072, 0, 15, 1, 1, 0, 0, 0],
                        [2048, 0, 15, 1, 1, 0, 0, 0],
                        [1536, 0, 15, 1, 1, 0, 0, 0],
                        [1024, 0, 15, 1, 1, 0, 0, 0],
                        [768, 0, 15, 1, 1, 0, 0, 0],
                        [512, 0, 15, 1, 1, 0, 0, 0],
                        [384, 0, 15, 1, 1, 0, 0, 0],
                        [256, 0, 15, 1, 1, 0, 0, 0],
                        [128, 0, 1, 1, 1, 0, 0, 0],
                        [64, 0, 0, 1, 1, 0, 0, 0]
                    ]
                ]
            ],
            // <4-3>AdvancedVBR[中]
            [
                // <2-00>2560x1920
                [
                    // -
                    [
                        // デフォルト値
                        [6],
                        // 値リスト
                        [16384, 0, 15, 1, 1, 0, 0, 0],
                        [14336, 0, 15, 1, 1, 0, 0, 0],
                        [12288, 0, 15, 1, 1, 0, 0, 0],
                        [10240, 0, 15, 1, 1, 0, 0, 0],
                        [8192, 0, 15, 1, 1, 0, 0, 0],
                        [6144, 0, 15, 1, 1, 0, 0, 0],
                        [4096, 0, 15, 1, 1, 0, 0, 0],
                        [3072, 0, 3, 1, 1, 0, 0, 0],
                        [2048, 0, 1, 1, 1, 0, 0, 0],
                        [1536, 0, 0, 1, 1, 0, 0, 0]
                    ]
                ],
                // <2-01>QXGA
                [
                    // -
                    [
                        // デフォルト値
                        [7],
                        // 値リスト
                        [16384, 0, 15, 1, 1, 0, 0, 0],
                        [14336, 0, 15, 1, 1, 0, 0, 0],
                        [12288, 0, 15, 1, 1, 0, 0, 0],
                        [10240, 0, 15, 1, 1, 0, 0, 0],
                        [8192, 0, 15, 1, 1, 0, 0, 0],
                        [6144, 0, 15, 1, 1, 0, 0, 0],
                        [4096, 0, 15, 1, 1, 0, 0, 0],
                        [3072, 0, 15, 1, 1, 0, 0, 0],
                        [2048, 0, 12, 1, 1, 0, 0, 0],
                        [1536, 0, 1, 1, 1, 0, 0, 0],
                        [1024, 0, 0, 1, 1, 0, 0, 0]
                    ]
                ],
                // <2-02>UXGA
                [
                    // -
                    [
                        // デフォルト値
                        [7],
                        // 値リスト
                        [14336, 0, 15, 1, 1, 0, 0, 0],
                        [12288, 0, 15, 1, 1, 0, 0, 0],
                        [10240, 0, 15, 1, 1, 0, 0, 0],
                        [8192, 0, 15, 1, 1, 0, 0, 0],
                        [6144, 0, 15, 1, 1, 0, 0, 0],
                        [4096, 0, 15, 1, 1, 0, 0, 0],
                        [3072, 0, 15, 1, 1, 0, 0, 0],
                        [2048, 0, 15, 1, 1, 0, 0, 0],
                        [1536, 0, 7.5, 1, 1, 0, 0, 0],
                        [1024, 0, 1, 1, 1, 0, 0, 0],
                        [768, 0, 0, 1, 1, 0, 0, 0],
                        [512, 0, 0, 1, 1, 0, 0, 0]
                    ]
                ],
                // <2-03>SXVGA
                [
                    // -
                    [
                        // デフォルト値
                        [6],
                        // 値リスト
                        [8192, 0, 15, 1, 1, 0, 0, 1],
                        [6144, 0, 15, 1, 1, 0, 0, 1],
                        [4096, 0, 15, 1, 1, 0, 0, 1],
                        [3072, 0, 15, 1, 1, 0, 0, 1],
                        [2048, 0, 15, 1, 1, 0, 0, 1],
                        [1536, 0, 15, 1, 1, 0, 0, 1],
                        [1024, 0, 15, 1, 1, 0, 0, 1],
                        [768, 0, 1, 1, 1, 0, 0, 1],
                        [512, 0, 0, 1, 1, 0, 0, 1],
                        [384, 0, 0, 1, 1, 0, 0, 1],
                        [256, 0, 0, 1, 1, 0, 0, 1]
                    ]
                ],
                // <2-04>SVGA
                [
                    // -
                    [
                        // デフォルト値
                        [4],
                        // 値リスト
                        [4096, 0, 15, 1, 1, 0, 0, 1],
                        [3072, 0, 15, 1, 1, 0, 0, 1],
                        [2048, 0, 15, 1, 1, 0, 0, 1],
                        [1536, 0, 15, 1, 1, 0, 0, 1],
                        [1024, 0, 15, 1, 1, 0, 0, 1],
                        [768, 0, 7.5, 1, 1, 0, 0, 1],
                        [512, 0, 1, 1, 1, 0, 0, 1],
                        [384, 0, 1, 1, 1, 0, 0, 1],
                        [256, 0, 0, 1, 1, 0, 0, 1],
                        [128, 0, 0, 1, 1, 0, 0, 1]
                    ]
                ],
                // <2-05>VGA
                [
                    // -
                    [
                        // デフォルト値
                        [7],
                        // 値リスト
                        [4096, 0, 15, 1, 1, 0, 0, 0],
                        [3072, 0, 15, 1, 1, 0, 0, 0],
                        [2048, 0, 15, 1, 1, 0, 0, 0],
                        [1536, 0, 15, 1, 1, 0, 0, 0],
                        [1024, 0, 15, 1, 1, 0, 0, 0],
                        [768, 0, 15, 1, 1, 0, 0, 0],
                        [512, 0, 15, 1, 1, 0, 0, 0],
                        [384, 0, 15, 1, 1, 0, 0, 0],
                        [256, 0, 1, 1, 1, 0, 0, 0],
                        [128, 0, 0, 1, 1, 0, 0, 0],
                        [64, 0, 0, 1, 1, 0, 0, 0]
                    ]
                ],
                // <2-06>QVGA
                [
                    // -
                    [
                        // デフォルト値
                        [8],
                        // 値リスト
                        [4096, 0, 15, 1, 1, 0, 0, 0],
                        [3072, 0, 15, 1, 1, 0, 0, 0],
                        [2048, 0, 15, 1, 1, 0, 0, 0],
                        [1536, 0, 15, 1, 1, 0, 0, 0],
                        [1024, 0, 15, 1, 1, 0, 0, 0],
                        [768, 0, 15, 1, 1, 0, 0, 0],
                        [512, 0, 15, 1, 1, 0, 0, 0],
                        [384, 0, 15, 1, 1, 0, 0, 0],
                        [256, 0, 15, 1, 1, 0, 0, 0],
                        [128, 0, 1, 1, 1, 0, 0, 0],
                        [64, 0, 0, 1, 1, 0, 0, 0]
                    ]
                ]
            ],
            // <4-4>AdvancedVBR[低]
            [
                // <2-00>2560x1920
                [
                    // -
                    [
                        // デフォルト値
                        [6],
                        // 値リスト
                        [16384, 0, 15, 1, 1, 0, 0, 0],
                        [14336, 0, 15, 1, 1, 0, 0, 0],
                        [12288, 0, 15, 1, 1, 0, 0, 0],
                        [10240, 0, 15, 1, 1, 0, 0, 0],
                        [8192, 0, 15, 1, 1, 0, 0, 0],
                        [6144, 0, 15, 1, 1, 0, 0, 0],
                        [4096, 0, 15, 1, 1, 0, 0, 0],
                        [3072, 0, 3, 1, 1, 0, 0, 0],
                        [2048, 0, 1, 1, 1, 0, 0, 0],
                        [1536, 0, 0, 1, 1, 0, 0, 0]
                    ]
                ],
                // <2-01>QXGA
                [
                    // -
                    [
                        // デフォルト値
                        [7],
                        // 値リスト
                        [16384, 0, 15, 1, 1, 0, 0, 0],
                        [14336, 0, 15, 1, 1, 0, 0, 0],
                        [12288, 0, 15, 1, 1, 0, 0, 0],
                        [10240, 0, 15, 1, 1, 0, 0, 0],
                        [8192, 0, 15, 1, 1, 0, 0, 0],
                        [6144, 0, 15, 1, 1, 0, 0, 0],
                        [4096, 0, 15, 1, 1, 0, 0, 0],
                        [3072, 0, 15, 1, 1, 0, 0, 0],
                        [2048, 0, 12, 1, 1, 0, 0, 0],
                        [1536, 0, 1, 1, 1, 0, 0, 0],
                        [1024, 0, 0, 1, 1, 0, 0, 0]
                    ]
                ],
                // <2-02>UXGA
                [
                    // -
                    [
                        // デフォルト値
                        [7],
                        // 値リスト
                        [14336, 0, 15, 1, 1, 0, 0, 0],
                        [12288, 0, 15, 1, 1, 0, 0, 0],
                        [10240, 0, 15, 1, 1, 0, 0, 0],
                        [8192, 0, 15, 1, 1, 0, 0, 0],
                        [6144, 0, 15, 1, 1, 0, 0, 0],
                        [4096, 0, 15, 1, 1, 0, 0, 0],
                        [3072, 0, 15, 1, 1, 0, 0, 0],
                        [2048, 0, 15, 1, 1, 0, 0, 0],
                        [1536, 0, 7.5, 1, 1, 0, 0, 0],
                        [1024, 0, 1, 1, 1, 0, 0, 0],
                        [768, 0, 0, 1, 1, 0, 0, 0],
                        [512, 0, 0, 1, 1, 0, 0, 0]
                    ]
                ],
                // <2-03>SXVGA
                [
                    // -
                    [
                        // デフォルト値
                        [6],
                        // 値リスト
                        [8192, 0, 15, 1, 1, 0, 0, 1],
                        [6144, 0, 15, 1, 1, 0, 0, 1],
                        [4096, 0, 15, 1, 1, 0, 0, 1],
                        [3072, 0, 15, 1, 1, 0, 0, 1],
                        [2048, 0, 15, 1, 1, 0, 0, 1],
                        [1536, 0, 15, 1, 1, 0, 0, 1],
                        [1024, 0, 15, 1, 1, 0, 0, 1],
                        [768, 0, 1, 1, 1, 0, 0, 1],
                        [512, 0, 0, 1, 1, 0, 0, 1],
                        [384, 0, 0, 1, 1, 0, 0, 1],
                        [256, 0, 0, 1, 1, 0, 0, 1]
                    ]
                ],
                // <2-04>SVGA
                [
                    // -
                    [
                        // デフォルト値
                        [4],
                        // 値リスト
                        [4096, 0, 15, 1, 1, 0, 0, 1],
                        [3072, 0, 15, 1, 1, 0, 0, 1],
                        [2048, 0, 15, 1, 1, 0, 0, 1],
                        [1536, 0, 15, 1, 1, 0, 0, 1],
                        [1024, 0, 15, 1, 1, 0, 0, 1],
                        [768, 0, 7.5, 1, 1, 0, 0, 1],
                        [512, 0, 1, 1, 1, 0, 0, 1],
                        [384, 0, 1, 1, 1, 0, 0, 1],
                        [256, 0, 0, 1, 1, 0, 0, 1],
                        [128, 0, 0, 1, 1, 0, 0, 1]
                    ]
                ],
                // <2-05>VGA
                [
                    // -
                    [
                        // デフォルト値
                        [7],
                        // 値リスト
                        [4096, 0, 15, 1, 1, 0, 0, 0],
                        [3072, 0, 15, 1, 1, 0, 0, 0],
                        [2048, 0, 15, 1, 1, 0, 0, 0],
                        [1536, 0, 15, 1, 1, 0, 0, 0],
                        [1024, 0, 15, 1, 1, 0, 0, 0],
                        [768, 0, 15, 1, 1, 0, 0, 0],
                        [512, 0, 15, 1, 1, 0, 0, 0],
                        [384, 0, 15, 1, 1, 0, 0, 0],
                        [256, 0, 1, 1, 1, 0, 0, 0],
                        [128, 0, 0, 1, 1, 0, 0, 0],
                        [64, 0, 0, 1, 1, 0, 0, 0]
                    ]
                ],
                // <2-06>QVGA
                [
                    // -
                    [
                        // デフォルト値
                        [8],
                        // 値リスト
                        [4096, 0, 15, 1, 1, 0, 0, 0],
                        [3072, 0, 15, 1, 1, 0, 0, 0],
                        [2048, 0, 15, 1, 1, 0, 0, 0],
                        [1536, 0, 15, 1, 1, 0, 0, 0],
                        [1024, 0, 15, 1, 1, 0, 0, 0],
                        [768, 0, 15, 1, 1, 0, 0, 0],
                        [512, 0, 15, 1, 1, 0, 0, 0],
                        [384, 0, 15, 1, 1, 0, 0, 0],
                        [256, 0, 15, 1, 1, 0, 0, 0],
                        [128, 0, 1, 1, 1, 0, 0, 0],
                        [64, 0, 0, 1, 1, 0, 0, 0]
                    ]
                ]
            ]
        ],
        // <3-4>8M(FE+DP/P)
        [
            // <4-0>ビットレート優先
            [
                // <2-00>2816x2816
                [
                    // <5-0>画質優先(SF)
                    [
                        // デフォルト値
                        [6],
                        // 値リスト
                        [16384, 0, 7.5, 1, 1, 0, 0, 0],
                        [14336, 0, 7.5, 1, 1, 0, 0, 0],
                        [12288, 0, 7.5, 1, 1, 0, 0, 0],
                        [10240, 0, 7.5, 1, 1, 0, 0, 0],
                        [8192, 0, 7.5, 1, 1, 0, 0, 0],
                        [6144, 0, 7.5, 1, 1, 0, 0, 0],
                        [4096, 0, 7.5, 1, 1, 0, 0, 0],
                        [3072, 0, 5, 1, 1, 0, 0, 0],
                        [2048, 0, 3, 1, 1, 0, 0, 0]
                    ],
                    // <5-1>標準(FQ)
                    [
                        // デフォルト値
                        [6],
                        // 値リスト
                        [16384, 0, 7.5, 1, 1, 0, 0, 0],
                        [14336, 0, 7.5, 1, 1, 0, 0, 0],
                        [12288, 0, 7.5, 1, 1, 0, 0, 0],
                        [10240, 0, 7.5, 1, 1, 0, 0, 0],
                        [8192, 0, 7.5, 1, 1, 0, 0, 0],
                        [6144, 0, 7.5, 1, 1, 0, 0, 0],
                        [4096, 0, 7.5, 1, 1, 0, 0, 0],
                        [3072, 0, 7.5, 1, 1, 0, 0, 0],
                        [2048, 0, 5, 1, 1, 0, 0, 0]
                    ],
                    // <5-2>動き優先(NQ)
                    [
                        // デフォルト値
                        [6],
                        // 値リスト
                        [16384, 0, 7.5, 1, 1, 0, 0, 0],
                        [14336, 0, 7.5, 1, 1, 0, 0, 0],
                        [12288, 0, 7.5, 1, 1, 0, 0, 0],
                        [10240, 0, 7.5, 1, 1, 0, 0, 0],
                        [8192, 0, 7.5, 1, 1, 0, 0, 0],
                        [6144, 0, 7.5, 1, 1, 0, 0, 0],
                        [4096, 0, 7.5, 1, 1, 0, 0, 0],
                        [3072, 0, 7.5, 1, 1, 0, 0, 0],
                        [2048, 0, 7.5, 1, 1, 0, 0, 0]
                    ]
                ],
                // <2-01>1280x1280
                [
                    // <5-0>画質優先(SF)
                    [
                        // デフォルト値
                        [2],
                        // 値リスト
                        [8192, 0, 7.5, 1, 1, 0, 0, 1],
                        [6144, 0, 7.5, 1, 1, 0, 0, 1],
                        [4096, 0, 7.5, 1, 1, 0, 0, 1],
                        [3072, 0, 7.5, 1, 1, 0, 0, 1],
                        [2048, 0, 7.5, 1, 1, 0, 0, 1],
                        [1536, 0, 7.5, 1, 1, 0, 0, 1],
                        [1024, 0, 5, 1, 1, 0, 0, 1],
                        [768, 0, 3, 1, 1, 0, 0, 1],
                        [512, 0, 2, 1, 1, 0, 0, 1],
                        [384, 0, 1, 1, 1, 0, 0, 1],
                        [256, 0, 1, 1, 1, 0, 0, 1]
                    ],
                    // <5-1>標準(FQ)
                    [
                        // デフォルト値
                        [2],
                        // 値リスト
                        [8192, 0, 7.5, 1, 1, 0, 0, 1],
                        [6144, 0, 7.5, 1, 1, 0, 0, 1],
                        [4096, 0, 7.5, 1, 1, 0, 0, 1],
                        [3072, 0, 7.5, 1, 1, 0, 0, 1],
                        [2048, 0, 7.5, 1, 1, 0, 0, 1],
                        [1536, 0, 7.5, 1, 1, 0, 0, 1],
                        [1024, 0, 7.5, 1, 1, 0, 0, 1],
                        [768, 0, 5, 1, 1, 0, 0, 1],
                        [512, 0, 3, 1, 1, 0, 0, 1],
                        [384, 0, 2, 1, 1, 0, 0, 1],
                        [256, 0, 1, 1, 1, 0, 0, 1]
                    ],
                    // <5-2>動き優先(NQ)
                    [
                        // デフォルト値
                        [2],
                        // 値リスト
                        [8192, 0, 7.5, 1, 1, 0, 0, 1],
                        [6144, 0, 7.5, 1, 1, 0, 0, 1],
                        [4096, 0, 7.5, 1, 1, 0, 0, 1],
                        [3072, 0, 7.5, 1, 1, 0, 0, 1],
                        [2048, 0, 7.5, 1, 1, 0, 0, 1],
                        [1536, 0, 7.5, 1, 1, 0, 0, 1],
                        [1024, 0, 7.5, 1, 1, 0, 0, 1],
                        [768, 0, 7.5, 1, 1, 0, 0, 1],
                        [512, 0, 7.5, 1, 1, 0, 0, 1],
                        [384, 0, 5, 1, 1, 0, 0, 1],
                        [256, 0, 3, 1, 1, 0, 0, 1]
                    ]
                ],
                // <2-02>640x640
                [
                    // <5-0>画質優先(SF)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 7.5, 1, 1, 0, 0, 0],
                        [3072, 0, 7.5, 1, 1, 0, 0, 0],
                        [2048, 0, 7.5, 1, 1, 0, 0, 0],
                        [1536, 0, 7.5, 1, 1, 0, 0, 0],
                        [1024, 0, 7.5, 1, 1, 0, 0, 0],
                        [768, 0, 7.5, 1, 1, 0, 0, 0],
                        [512, 0, 5, 1, 1, 0, 0, 0],
                        [384, 0, 3, 1, 1, 0, 0, 0],
                        [256, 0, 2, 1, 1, 0, 0, 0],
                        [128, 0, 1, 1, 1, 0, 0, 0],
                        [64, 0, 1, 1, 1, 0, 0, 0]
                    ],
                    // <5-1>標準(FQ)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 7.5, 1, 1, 0, 0, 0],
                        [3072, 0, 7.5, 1, 1, 0, 0, 0],
                        [2048, 0, 7.5, 1, 1, 0, 0, 0],
                        [1536, 0, 7.5, 1, 1, 0, 0, 0],
                        [1024, 0, 7.5, 1, 1, 0, 0, 0],
                        [768, 0, 7.5, 1, 1, 0, 0, 0],
                        [512, 0, 7.5, 1, 1, 0, 0, 0],
                        [384, 0, 7.5, 1, 1, 0, 0, 0],
                        [256, 0, 7.5, 1, 1, 0, 0, 0],
                        [128, 0, 5, 1, 1, 0, 0, 0],
                        [64, 0, 2, 1, 1, 0, 0, 0]
                    ],
                    // <5-2>動き優先(NQ)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 7.5, 1, 1, 0, 0, 0],
                        [3072, 0, 7.5, 1, 1, 0, 0, 0],
                        [2048, 0, 7.5, 1, 1, 0, 0, 0],
                        [1536, 0, 7.5, 1, 1, 0, 0, 0],
                        [1024, 0, 7.5, 1, 1, 0, 0, 0],
                        [768, 0, 7.5, 1, 1, 0, 0, 0],
                        [512, 0, 7.5, 1, 1, 0, 0, 0],
                        [384, 0, 7.5, 1, 1, 0, 0, 0],
                        [256, 0, 7.5, 1, 1, 0, 0, 0],
                        [128, 0, 7.5, 1, 1, 0, 0, 0],
                        [64, 0, 3, 1, 1, 0, 0, 0]
                    ]
                ],
                // <2-03>320x320
                [
                    // <5-0>画質優先(SF)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 7.5, 1, 1, 0, 0, 0],
                        [3072, 0, 7.5, 1, 1, 0, 0, 0],
                        [2048, 0, 7.5, 1, 1, 0, 0, 0],
                        [1536, 0, 7.5, 1, 1, 0, 0, 0],
                        [1024, 0, 7.5, 1, 1, 0, 0, 0],
                        [768, 0, 7.5, 1, 1, 0, 0, 0],
                        [512, 0, 7.5, 1, 1, 0, 0, 0],
                        [384, 0, 5, 1, 1, 0, 0, 0],
                        [256, 0, 3, 1, 1, 0, 0, 0],
                        [128, 0, 2, 1, 1, 0, 0, 0],
                        [64, 0, 1, 1, 1, 0, 0, 0]
                    ],
                    // <5-1>標準(FQ)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 7.5, 1, 1, 0, 0, 0],
                        [3072, 0, 7.5, 1, 1, 0, 0, 0],
                        [2048, 0, 7.5, 1, 1, 0, 0, 0],
                        [1536, 0, 7.5, 1, 1, 0, 0, 0],
                        [1024, 0, 7.5, 1, 1, 0, 0, 0],
                        [768, 0, 7.5, 1, 1, 0, 0, 0],
                        [512, 0, 7.5, 1, 1, 0, 0, 0],
                        [384, 0, 7.5, 1, 1, 0, 0, 0],
                        [256, 0, 7.5, 1, 1, 0, 0, 0],
                        [128, 0, 7.5, 1, 1, 0, 0, 0],
                        [64, 0, 5, 1, 1, 0, 0, 0]
                    ],
                    // <5-2>動き優先(NQ)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 7.5, 1, 1, 0, 0, 0],
                        [3072, 0, 7.5, 1, 1, 0, 0, 0],
                        [2048, 0, 7.5, 1, 1, 0, 0, 0],
                        [1536, 0, 7.5, 1, 1, 0, 0, 0],
                        [1024, 0, 7.5, 1, 1, 0, 0, 0],
                        [768, 0, 7.5, 1, 1, 0, 0, 0],
                        [512, 0, 7.5, 1, 1, 0, 0, 0],
                        [384, 0, 7.5, 1, 1, 0, 0, 0],
                        [256, 0, 7.5, 1, 1, 0, 0, 0],
                        [128, 0, 7.5, 1, 1, 0, 0, 0],
                        [64, 0, 7.5, 1, 1, 0, 0, 0]
                    ]
                ],
                // <2-04>HD
                [
                    // <5-0>画質優先(SF)
                    [
                        // デフォルト値
                        [2],
                        // 値リスト
                        [8192, 0, 7.5, 1, 1, 0, 0, 0],
                        [6144, 0, 7.5, 1, 1, 0, 0, 0],
                        [4096, 0, 7.5, 1, 1, 0, 0, 0],
                        [3072, 0, 7.5, 1, 1, 0, 0, 0],
                        [2048, 0, 7.5, 1, 1, 0, 0, 0],
                        [1536, 0, 7.5, 1, 1, 0, 0, 0],
                        [1024, 0, 5, 1, 1, 0, 0, 0],
                        [768, 0, 3, 1, 1, 0, 0, 0],
                        [512, 0, 2, 1, 1, 0, 0, 0],
                        [384, 0, 1, 1, 1, 0, 0, 0],
                        [256, 0, 1, 1, 1, 0, 0, 0]
                    ],
                    // <5-1>標準(FQ)
                    [
                        // デフォルト値
                        [2],
                        // 値リスト
                        [8192, 0, 7.5, 1, 1, 0, 0, 0],
                        [6144, 0, 7.5, 1, 1, 0, 0, 0],
                        [4096, 0, 7.5, 1, 1, 0, 0, 0],
                        [3072, 0, 7.5, 1, 1, 0, 0, 0],
                        [2048, 0, 7.5, 1, 1, 0, 0, 0],
                        [1536, 0, 7.5, 1, 1, 0, 0, 0],
                        [1024, 0, 7.5, 1, 1, 0, 0, 0],
                        [768, 0, 5, 1, 1, 0, 0, 0],
                        [512, 0, 3, 1, 1, 0, 0, 0],
                        [384, 0, 2, 1, 1, 0, 0, 0],
                        [256, 0, 1, 1, 1, 0, 0, 0]
                    ],
                    // <5-2>動き優先(NQ)
                    [
                        // デフォルト値
                        [2],
                        // 値リスト
                        [8192, 0, 7.5, 1, 1, 0, 0, 0],
                        [6144, 0, 7.5, 1, 1, 0, 0, 0],
                        [4096, 0, 7.5, 1, 1, 0, 0, 0],
                        [3072, 0, 7.5, 1, 1, 0, 0, 0],
                        [2048, 0, 7.5, 1, 1, 0, 0, 0],
                        [1536, 0, 7.5, 1, 1, 0, 0, 0],
                        [1024, 0, 7.5, 1, 1, 0, 0, 0],
                        [768, 0, 7.5, 1, 1, 0, 0, 0],
                        [512, 0, 7.5, 1, 1, 0, 0, 0],
                        [384, 0, 5, 1, 1, 0, 0, 0],
                        [256, 0, 3, 1, 1, 0, 0, 0]
                    ]
                ],
                // <2-05>HVGAW
                [
                    // <5-0>画質優先(SF)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 7.5, 1, 1, 0, 0, 0],
                        [3072, 0, 7.5, 1, 1, 0, 0, 0],
                        [2048, 0, 7.5, 1, 1, 0, 0, 0],
                        [1536, 0, 7.5, 1, 1, 0, 0, 0],
                        [1024, 0, 7.5, 1, 1, 0, 0, 0],
                        [768, 0, 7.5, 1, 1, 0, 0, 0],
                        [512, 0, 5, 1, 1, 0, 0, 0],
                        [384, 0, 3, 1, 1, 0, 0, 0],
                        [256, 0, 2, 1, 1, 0, 0, 0],
                        [128, 0, 1, 1, 1, 0, 0, 0],
                        [64, 0, 1, 1, 1, 0, 0, 0]
                    ],
                    // <5-1>標準(FQ)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 7.5, 1, 1, 0, 0, 0],
                        [3072, 0, 7.5, 1, 1, 0, 0, 0],
                        [2048, 0, 7.5, 1, 1, 0, 0, 0],
                        [1536, 0, 7.5, 1, 1, 0, 0, 0],
                        [1024, 0, 7.5, 1, 1, 0, 0, 0],
                        [768, 0, 7.5, 1, 1, 0, 0, 0],
                        [512, 0, 7.5, 1, 1, 0, 0, 0],
                        [384, 0, 7.5, 1, 1, 0, 0, 0],
                        [256, 0, 7.5, 1, 1, 0, 0, 0],
                        [128, 0, 5, 1, 1, 0, 0, 0],
                        [64, 0, 2, 1, 1, 0, 0, 0]
                    ],
                    // <5-2>動き優先(NQ)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 7.5, 1, 1, 0, 0, 0],
                        [3072, 0, 7.5, 1, 1, 0, 0, 0],
                        [2048, 0, 7.5, 1, 1, 0, 0, 0],
                        [1536, 0, 7.5, 1, 1, 0, 0, 0],
                        [1024, 0, 7.5, 1, 1, 0, 0, 0],
                        [768, 0, 7.5, 1, 1, 0, 0, 0],
                        [512, 0, 7.5, 1, 1, 0, 0, 0],
                        [384, 0, 7.5, 1, 1, 0, 0, 0],
                        [256, 0, 7.5, 1, 1, 0, 0, 0],
                        [128, 0, 7.5, 1, 1, 0, 0, 0],
                        [64, 0, 3, 1, 1, 0, 0, 0]
                    ]
                ]
            ],
            // <4-1>フレームレート優先
            [
                // <2-00>2816x2816
                [
                    // -
                    [
                        // デフォルト値
                        [5],
                        // 値リスト
                        [16384, 0, 7.5, 1, 1, 0, 0, 0],
                        [14336, 0, 7.5, 1, 1, 0, 0, 0],
                        [12288, 0, 7.5, 1, 1, 0, 0, 0],
                        [10240, 0, 7.5, 1, 1, 0, 0, 0],
                        [8192, 0, 7.5, 1, 1, 0, 0, 0],
                        [6144, 0, 7.5, 1, 1, 0, 0, 0],
                        [4096, 0, 1, 1, 1, 0, 0, 0],
                        [3072, 0, 0, 1, 1, 0, 0, 0],
                        [2048, 0, 0, 1, 1, 0, 0, 0]
                    ]
                ],
                // <2-01>1280x1280
                [
                    // -
                    [
                        // デフォルト値
                        [5],
                        // 値リスト
                        [8192, 0, 7.5, 1, 1, 0, 0, 1],
                        [6144, 0, 7.5, 1, 1, 0, 0, 1],
                        [4096, 0, 7.5, 1, 1, 0, 0, 1],
                        [3072, 0, 7.5, 1, 1, 0, 0, 1],
                        [2048, 0, 7.5, 1, 1, 0, 0, 1],
                        [1536, 0, 7.5, 1, 1, 0, 0, 1],
                        [1024, 0, 1, 1, 1, 0, 0, 1],
                        [768, 0, 0, 1, 1, 0, 0, 1],
                        [512, 0, 0, 1, 1, 0, 0, 1],
                        [384, 0, 0, 1, 1, 0, 0, 1],
                        [256, 0, 0, 1, 1, 0, 0, 1]
                    ]
                ],
                // <2-02>640x640
                [
                    // -
                    [
                        // デフォルト値
                        [6],
                        // 値リスト
                        [4096, 0, 7.5, 1, 1, 0, 0, 0],
                        [3072, 0, 7.5, 1, 1, 0, 0, 0],
                        [2048, 0, 7.5, 1, 1, 0, 0, 0],
                        [1536, 0, 7.5, 1, 1, 0, 0, 0],
                        [1024, 0, 7.5, 1, 1, 0, 0, 0],
                        [768, 0, 7.5, 1, 1, 0, 0, 0],
                        [512, 0, 7.5, 1, 1, 0, 0, 0],
                        [384, 0, 1, 1, 1, 0, 0, 0],
                        [256, 0, 0, 1, 1, 0, 0, 0],
                        [128, 0, 0, 1, 1, 0, 0, 0],
                        [64, 0, 0, 1, 1, 0, 0, 0]
                    ]
                ],
                // <2-03>320x320
                [
                    // -
                    [
                        // デフォルト値
                        [8],
                        // 値リスト
                        [4096, 0, 7.5, 1, 1, 0, 0, 0],
                        [3072, 0, 7.5, 1, 1, 0, 0, 0],
                        [2048, 0, 7.5, 1, 1, 0, 0, 0],
                        [1536, 0, 7.5, 1, 1, 0, 0, 0],
                        [1024, 0, 7.5, 1, 1, 0, 0, 0],
                        [768, 0, 7.5, 1, 1, 0, 0, 0],
                        [512, 0, 7.5, 1, 1, 0, 0, 0],
                        [384, 0, 7.5, 1, 1, 0, 0, 0],
                        [256, 0, 7.5, 1, 1, 0, 0, 0],
                        [128, 0, 1, 1, 1, 0, 0, 0],
                        [64, 0, 0, 1, 1, 0, 0, 0]
                    ]
                ],
                // <2-04>HD
                [
                    // -
                    [
                        // デフォルト値
                        [7],
                        // 値リスト
                        [8192, 0, 7.5, 1, 1, 0, 0, 0],
                        [6144, 0, 7.5, 1, 1, 0, 0, 0],
                        [4096, 0, 7.5, 1, 1, 0, 0, 0],
                        [3072, 0, 7.5, 1, 1, 0, 0, 0],
                        [2048, 0, 7.5, 1, 1, 0, 0, 0],
                        [1536, 0, 7.5, 1, 1, 0, 0, 0],
                        [1024, 0, 7.5, 1, 1, 0, 0, 0],
                        [768, 0, 7.5, 1, 1, 0, 0, 0],
                        [512, 0, 1, 1, 1, 0, 0, 0],
                        [384, 0, 0, 1, 1, 0, 0, 0],
                        [256, 0, 0, 1, 1, 0, 0, 0]
                    ]
                ],
                // <2-05>HVGAW
                [
                    // -
                    [
                        // デフォルト値
                        [7],
                        // 値リスト
                        [4096, 0, 7.5, 1, 1, 0, 0, 0],
                        [3072, 0, 7.5, 1, 1, 0, 0, 0],
                        [2048, 0, 7.5, 1, 1, 0, 0, 0],
                        [1536, 0, 7.5, 1, 1, 0, 0, 0],
                        [1024, 0, 7.5, 1, 1, 0, 0, 0],
                        [768, 0, 7.5, 1, 1, 0, 0, 0],
                        [512, 0, 7.5, 1, 1, 0, 0, 0],
                        [384, 0, 7.5, 1, 1, 0, 0, 0],
                        [256, 0, 1, 1, 1, 0, 0, 0],
                        [128, 0, 0, 1, 1, 0, 0, 0],
                        [64, 0, 0, 1, 1, 0, 0, 0]
                    ]
                ]
            ],
            // <4-2>AdvancedVBR[高]
            [
                // <2-00>2816x2816
                [
                    // -
                    [
                        // デフォルト値
                        [5],
                        // 値リスト
                        [16384, 0, 7.5, 1, 1, 0, 0, 0],
                        [14336, 0, 7.5, 1, 1, 0, 0, 0],
                        [12288, 0, 7.5, 1, 1, 0, 0, 0],
                        [10240, 0, 7.5, 1, 1, 0, 0, 0],
                        [8192, 0, 7.5, 1, 1, 0, 0, 0],
                        [6144, 0, 7.5, 1, 1, 0, 0, 0],
                        [4096, 0, 1, 1, 1, 0, 0, 0],
                        [3072, 0, 0, 1, 1, 0, 0, 0],
                        [2048, 0, 0, 1, 1, 0, 0, 0]
                    ]
                ],
                // <2-01>1280x1280
                [
                    // -
                    [
                        // デフォルト値
                        [5],
                        // 値リスト
                        [8192, 0, 7.5, 1, 1, 0, 0, 1],
                        [6144, 0, 7.5, 1, 1, 0, 0, 1],
                        [4096, 0, 7.5, 1, 1, 0, 0, 1],
                        [3072, 0, 7.5, 1, 1, 0, 0, 1],
                        [2048, 0, 7.5, 1, 1, 0, 0, 1],
                        [1536, 0, 7.5, 1, 1, 0, 0, 1],
                        [1024, 0, 1, 1, 1, 0, 0, 1],
                        [768, 0, 0, 1, 1, 0, 0, 1],
                        [512, 0, 0, 1, 1, 0, 0, 1],
                        [384, 0, 0, 1, 1, 0, 0, 1],
                        [256, 0, 0, 1, 1, 0, 0, 1]
                    ]
                ],
                // <2-02>640x640
                [
                    // -
                    [
                        // デフォルト値
                        [6],
                        // 値リスト
                        [4096, 0, 7.5, 1, 1, 0, 0, 0],
                        [3072, 0, 7.5, 1, 1, 0, 0, 0],
                        [2048, 0, 7.5, 1, 1, 0, 0, 0],
                        [1536, 0, 7.5, 1, 1, 0, 0, 0],
                        [1024, 0, 7.5, 1, 1, 0, 0, 0],
                        [768, 0, 7.5, 1, 1, 0, 0, 0],
                        [512, 0, 7.5, 1, 1, 0, 0, 0],
                        [384, 0, 1, 1, 1, 0, 0, 0],
                        [256, 0, 0, 1, 1, 0, 0, 0],
                        [128, 0, 0, 1, 1, 0, 0, 0],
                        [64, 0, 0, 1, 1, 0, 0, 0]
                    ]
                ],
                // <2-03>320x320
                [
                    // -
                    [
                        // デフォルト値
                        [8],
                        // 値リスト
                        [4096, 0, 7.5, 1, 1, 0, 0, 0],
                        [3072, 0, 7.5, 1, 1, 0, 0, 0],
                        [2048, 0, 7.5, 1, 1, 0, 0, 0],
                        [1536, 0, 7.5, 1, 1, 0, 0, 0],
                        [1024, 0, 7.5, 1, 1, 0, 0, 0],
                        [768, 0, 7.5, 1, 1, 0, 0, 0],
                        [512, 0, 7.5, 1, 1, 0, 0, 0],
                        [384, 0, 7.5, 1, 1, 0, 0, 0],
                        [256, 0, 7.5, 1, 1, 0, 0, 0],
                        [128, 0, 1, 1, 1, 0, 0, 0],
                        [64, 0, 0, 1, 1, 0, 0, 0]
                    ]
                ],
                // <2-04>HD
                [
                    // -
                    [
                        // デフォルト値
                        [7],
                        // 値リスト
                        [8192, 0, 7.5, 1, 1, 0, 0, 0],
                        [6144, 0, 7.5, 1, 1, 0, 0, 0],
                        [4096, 0, 7.5, 1, 1, 0, 0, 0],
                        [3072, 0, 7.5, 1, 1, 0, 0, 0],
                        [2048, 0, 7.5, 1, 1, 0, 0, 0],
                        [1536, 0, 7.5, 1, 1, 0, 0, 0],
                        [1024, 0, 7.5, 1, 1, 0, 0, 0],
                        [768, 0, 7.5, 1, 1, 0, 0, 0],
                        [512, 0, 1, 1, 1, 0, 0, 0],
                        [384, 0, 0, 1, 1, 0, 0, 0],
                        [256, 0, 0, 1, 1, 0, 0, 0]
                    ]
                ],
                // <2-05>HVGAW
                [
                    // -
                    [
                        // デフォルト値
                        [7],
                        // 値リスト
                        [4096, 0, 7.5, 1, 1, 0, 0, 0],
                        [3072, 0, 7.5, 1, 1, 0, 0, 0],
                        [2048, 0, 7.5, 1, 1, 0, 0, 0],
                        [1536, 0, 7.5, 1, 1, 0, 0, 0],
                        [1024, 0, 7.5, 1, 1, 0, 0, 0],
                        [768, 0, 7.5, 1, 1, 0, 0, 0],
                        [512, 0, 7.5, 1, 1, 0, 0, 0],
                        [384, 0, 7.5, 1, 1, 0, 0, 0],
                        [256, 0, 1, 1, 1, 0, 0, 0],
                        [128, 0, 0, 1, 1, 0, 0, 0],
                        [64, 0, 0, 1, 1, 0, 0, 0]
                    ]
                ]
            ],
            // <4-3>AdvancedVBR[中]
            [
                // <2-00>2816x2816
                [
                    // -
                    [
                        // デフォルト値
                        [5],
                        // 値リスト
                        [16384, 0, 7.5, 1, 1, 0, 0, 0],
                        [14336, 0, 7.5, 1, 1, 0, 0, 0],
                        [12288, 0, 7.5, 1, 1, 0, 0, 0],
                        [10240, 0, 7.5, 1, 1, 0, 0, 0],
                        [8192, 0, 7.5, 1, 1, 0, 0, 0],
                        [6144, 0, 7.5, 1, 1, 0, 0, 0],
                        [4096, 0, 1, 1, 1, 0, 0, 0],
                        [3072, 0, 0, 1, 1, 0, 0, 0],
                        [2048, 0, 0, 1, 1, 0, 0, 0]
                    ]
                ],
                // <2-01>1280x1280
                [
                    // -
                    [
                        // デフォルト値
                        [5],
                        // 値リスト
                        [8192, 0, 7.5, 1, 1, 0, 0, 1],
                        [6144, 0, 7.5, 1, 1, 0, 0, 1],
                        [4096, 0, 7.5, 1, 1, 0, 0, 1],
                        [3072, 0, 7.5, 1, 1, 0, 0, 1],
                        [2048, 0, 7.5, 1, 1, 0, 0, 1],
                        [1536, 0, 7.5, 1, 1, 0, 0, 1],
                        [1024, 0, 1, 1, 1, 0, 0, 1],
                        [768, 0, 0, 1, 1, 0, 0, 1],
                        [512, 0, 0, 1, 1, 0, 0, 1],
                        [384, 0, 0, 1, 1, 0, 0, 1],
                        [256, 0, 0, 1, 1, 0, 0, 1]
                    ]
                ],
                // <2-02>640x640
                [
                    // -
                    [
                        // デフォルト値
                        [6],
                        // 値リスト
                        [4096, 0, 7.5, 1, 1, 0, 0, 0],
                        [3072, 0, 7.5, 1, 1, 0, 0, 0],
                        [2048, 0, 7.5, 1, 1, 0, 0, 0],
                        [1536, 0, 7.5, 1, 1, 0, 0, 0],
                        [1024, 0, 7.5, 1, 1, 0, 0, 0],
                        [768, 0, 7.5, 1, 1, 0, 0, 0],
                        [512, 0, 7.5, 1, 1, 0, 0, 0],
                        [384, 0, 1, 1, 1, 0, 0, 0],
                        [256, 0, 0, 1, 1, 0, 0, 0],
                        [128, 0, 0, 1, 1, 0, 0, 0],
                        [64, 0, 0, 1, 1, 0, 0, 0]
                    ]
                ],
                // <2-03>320x320
                [
                    // -
                    [
                        // デフォルト値
                        [8],
                        // 値リスト
                        [4096, 0, 7.5, 1, 1, 0, 0, 0],
                        [3072, 0, 7.5, 1, 1, 0, 0, 0],
                        [2048, 0, 7.5, 1, 1, 0, 0, 0],
                        [1536, 0, 7.5, 1, 1, 0, 0, 0],
                        [1024, 0, 7.5, 1, 1, 0, 0, 0],
                        [768, 0, 7.5, 1, 1, 0, 0, 0],
                        [512, 0, 7.5, 1, 1, 0, 0, 0],
                        [384, 0, 7.5, 1, 1, 0, 0, 0],
                        [256, 0, 7.5, 1, 1, 0, 0, 0],
                        [128, 0, 1, 1, 1, 0, 0, 0],
                        [64, 0, 0, 1, 1, 0, 0, 0]
                    ]
                ],
                // <2-04>HD
                [
                    // -
                    [
                        // デフォルト値
                        [7],
                        // 値リスト
                        [8192, 0, 7.5, 1, 1, 0, 0, 0],
                        [6144, 0, 7.5, 1, 1, 0, 0, 0],
                        [4096, 0, 7.5, 1, 1, 0, 0, 0],
                        [3072, 0, 7.5, 1, 1, 0, 0, 0],
                        [2048, 0, 7.5, 1, 1, 0, 0, 0],
                        [1536, 0, 7.5, 1, 1, 0, 0, 0],
                        [1024, 0, 7.5, 1, 1, 0, 0, 0],
                        [768, 0, 7.5, 1, 1, 0, 0, 0],
                        [512, 0, 1, 1, 1, 0, 0, 0],
                        [384, 0, 0, 1, 1, 0, 0, 0],
                        [256, 0, 0, 1, 1, 0, 0, 0]
                    ]
                ],
                // <2-05>HVGAW
                [
                    // -
                    [
                        // デフォルト値
                        [7],
                        // 値リスト
                        [4096, 0, 7.5, 1, 1, 0, 0, 0],
                        [3072, 0, 7.5, 1, 1, 0, 0, 0],
                        [2048, 0, 7.5, 1, 1, 0, 0, 0],
                        [1536, 0, 7.5, 1, 1, 0, 0, 0],
                        [1024, 0, 7.5, 1, 1, 0, 0, 0],
                        [768, 0, 7.5, 1, 1, 0, 0, 0],
                        [512, 0, 7.5, 1, 1, 0, 0, 0],
                        [384, 0, 7.5, 1, 1, 0, 0, 0],
                        [256, 0, 1, 1, 1, 0, 0, 0],
                        [128, 0, 0, 1, 1, 0, 0, 0],
                        [64, 0, 0, 1, 1, 0, 0, 0]
                    ]
                ]
            ],
            // <4-4>AdvancedVBR[低]
            [
                // <2-00>2816x2816
                [
                    // -
                    [
                        // デフォルト値
                        [5],
                        // 値リスト
                        [16384, 0, 7.5, 1, 1, 0, 0, 0],
                        [14336, 0, 7.5, 1, 1, 0, 0, 0],
                        [12288, 0, 7.5, 1, 1, 0, 0, 0],
                        [10240, 0, 7.5, 1, 1, 0, 0, 0],
                        [8192, 0, 7.5, 1, 1, 0, 0, 0],
                        [6144, 0, 7.5, 1, 1, 0, 0, 0],
                        [4096, 0, 1, 1, 1, 0, 0, 0],
                        [3072, 0, 0, 1, 1, 0, 0, 0],
                        [2048, 0, 0, 1, 1, 0, 0, 0]
                    ]
                ],
                // <2-01>1280x1280
                [
                    // -
                    [
                        // デフォルト値
                        [5],
                        // 値リスト
                        [8192, 0, 7.5, 1, 1, 0, 0, 1],
                        [6144, 0, 7.5, 1, 1, 0, 0, 1],
                        [4096, 0, 7.5, 1, 1, 0, 0, 1],
                        [3072, 0, 7.5, 1, 1, 0, 0, 1],
                        [2048, 0, 7.5, 1, 1, 0, 0, 1],
                        [1536, 0, 7.5, 1, 1, 0, 0, 1],
                        [1024, 0, 1, 1, 1, 0, 0, 1],
                        [768, 0, 0, 1, 1, 0, 0, 1],
                        [512, 0, 0, 1, 1, 0, 0, 1],
                        [384, 0, 0, 1, 1, 0, 0, 1],
                        [256, 0, 0, 1, 1, 0, 0, 1]
                    ]
                ],
                // <2-02>640x640
                [
                    // -
                    [
                        // デフォルト値
                        [6],
                        // 値リスト
                        [4096, 0, 7.5, 1, 1, 0, 0, 0],
                        [3072, 0, 7.5, 1, 1, 0, 0, 0],
                        [2048, 0, 7.5, 1, 1, 0, 0, 0],
                        [1536, 0, 7.5, 1, 1, 0, 0, 0],
                        [1024, 0, 7.5, 1, 1, 0, 0, 0],
                        [768, 0, 7.5, 1, 1, 0, 0, 0],
                        [512, 0, 7.5, 1, 1, 0, 0, 0],
                        [384, 0, 1, 1, 1, 0, 0, 0],
                        [256, 0, 0, 1, 1, 0, 0, 0],
                        [128, 0, 0, 1, 1, 0, 0, 0],
                        [64, 0, 0, 1, 1, 0, 0, 0]
                    ]
                ],
                // <2-03>320x320
                [
                    // -
                    [
                        // デフォルト値
                        [8],
                        // 値リスト
                        [4096, 0, 7.5, 1, 1, 0, 0, 0],
                        [3072, 0, 7.5, 1, 1, 0, 0, 0],
                        [2048, 0, 7.5, 1, 1, 0, 0, 0],
                        [1536, 0, 7.5, 1, 1, 0, 0, 0],
                        [1024, 0, 7.5, 1, 1, 0, 0, 0],
                        [768, 0, 7.5, 1, 1, 0, 0, 0],
                        [512, 0, 7.5, 1, 1, 0, 0, 0],
                        [384, 0, 7.5, 1, 1, 0, 0, 0],
                        [256, 0, 7.5, 1, 1, 0, 0, 0],
                        [128, 0, 1, 1, 1, 0, 0, 0],
                        [64, 0, 0, 1, 1, 0, 0, 0]
                    ]
                ],
                // <2-04>HD
                [
                    // -
                    [
                        // デフォルト値
                        [7],
                        // 値リスト
                        [8192, 0, 7.5, 1, 1, 0, 0, 0],
                        [6144, 0, 7.5, 1, 1, 0, 0, 0],
                        [4096, 0, 7.5, 1, 1, 0, 0, 0],
                        [3072, 0, 7.5, 1, 1, 0, 0, 0],
                        [2048, 0, 7.5, 1, 1, 0, 0, 0],
                        [1536, 0, 7.5, 1, 1, 0, 0, 0],
                        [1024, 0, 7.5, 1, 1, 0, 0, 0],
                        [768, 0, 7.5, 1, 1, 0, 0, 0],
                        [512, 0, 1, 1, 1, 0, 0, 0],
                        [384, 0, 0, 1, 1, 0, 0, 0],
                        [256, 0, 0, 1, 1, 0, 0, 0]
                    ]
                ],
                // <2-05>HVGAW
                [
                    // -
                    [
                        // デフォルト値
                        [7],
                        // 値リスト
                        [4096, 0, 7.5, 1, 1, 0, 0, 0],
                        [3072, 0, 7.5, 1, 1, 0, 0, 0],
                        [2048, 0, 7.5, 1, 1, 0, 0, 0],
                        [1536, 0, 7.5, 1, 1, 0, 0, 0],
                        [1024, 0, 7.5, 1, 1, 0, 0, 0],
                        [768, 0, 7.5, 1, 1, 0, 0, 0],
                        [512, 0, 7.5, 1, 1, 0, 0, 0],
                        [384, 0, 7.5, 1, 1, 0, 0, 0],
                        [256, 0, 1, 1, 1, 0, 0, 0],
                        [128, 0, 0, 1, 1, 0, 0, 0],
                        [64, 0, 0, 1, 1, 0, 0, 0]
                    ]
                ]
            ]
        ],
        // <3-5>4M(FE+DP/P)
        [
            // <4-0>ビットレート優先
            [
                // <2-00>2048x2048
                [
                    // <5-0>画質優先(SF)
                    [
                        // デフォルト値
                        [6],
                        // 値リスト
                        [16384, 0, 15, 1, 1, 0, 0, 1],
                        [14336, 0, 15, 1, 1, 0, 0, 1],
                        [12288, 0, 15, 1, 1, 0, 0, 1],
                        [10240, 0, 15, 1, 1, 0, 0, 1],
                        [8192, 0, 15, 1, 1, 0, 0, 1],
                        [6144, 0, 15, 1, 1, 0, 0, 1],
                        [4096, 0, 10, 1, 1, 0, 0, 1],
                        [3072, 0, 7.5, 1, 1, 0, 0, 1],
                        [2048, 0, 5, 1, 1, 0, 0, 1],
                        [1536, 0, 3, 1, 1, 0, 0, 1]
                    ],
                    // <5-1>標準(FQ)
                    [
                        // デフォルト値
                        [6],
                        // 値リスト
                        [16384, 0, 15, 1, 1, 0, 0, 1],
                        [14336, 0, 15, 1, 1, 0, 0, 1],
                        [12288, 0, 15, 1, 1, 0, 0, 1],
                        [10240, 0, 15, 1, 1, 0, 0, 1],
                        [8192, 0, 15, 1, 1, 0, 0, 1],
                        [6144, 0, 15, 1, 1, 0, 0, 1],
                        [4096, 0, 15, 1, 1, 0, 0, 1],
                        [3072, 0, 10, 1, 1, 0, 0, 1],
                        [2048, 0, 7.5, 1, 1, 0, 0, 1],
                        [1536, 0, 5, 1, 1, 0, 0, 1]
                    ],
                    // <5-2>動き優先(NQ)
                    [
                        // デフォルト値
                        [6],
                        // 値リスト
                        [16384, 0, 15, 1, 1, 0, 0, 1],
                        [14336, 0, 15, 1, 1, 0, 0, 1],
                        [12288, 0, 15, 1, 1, 0, 0, 1],
                        [10240, 0, 15, 1, 1, 0, 0, 1],
                        [8192, 0, 15, 1, 1, 0, 0, 1],
                        [6144, 0, 15, 1, 1, 0, 0, 1],
                        [4096, 0, 15, 1, 1, 0, 0, 1],
                        [3072, 0, 15, 1, 1, 0, 0, 1],
                        [2048, 0, 15, 1, 1, 0, 0, 1],
                        [1536, 0, 10, 1, 1, 0, 0, 1]
                    ]
                ],
                // <2-01>1280x1280
                [
                    // <5-0>画質優先(SF)
                    [
                        // デフォルト値
                        [2],
                        // 値リスト
                        [8192, 0, 15, 1, 1, 0, 0, 1],
                        [6144, 0, 15, 1, 1, 0, 0, 1],
                        [4096, 0, 15, 1, 1, 0, 0, 1],
                        [3072, 0, 15, 1, 1, 0, 0, 1],
                        [2048, 0, 10, 1, 1, 0, 0, 1],
                        [1536, 0, 7.5, 1, 1, 0, 0, 1],
                        [1024, 0, 5, 1, 1, 0, 0, 1],
                        [768, 0, 3, 1, 1, 0, 0, 1],
                        [512, 0, 2, 1, 1, 0, 0, 1],
                        [384, 0, 1, 1, 1, 0, 0, 1],
                        [256, 0, 1, 1, 1, 0, 0, 1]
                    ],
                    // <5-1>標準(FQ)
                    [
                        // デフォルト値
                        [2],
                        // 値リスト
                        [8192, 0, 15, 1, 1, 0, 0, 1],
                        [6144, 0, 15, 1, 1, 0, 0, 1],
                        [4096, 0, 15, 1, 1, 0, 0, 1],
                        [3072, 0, 15, 1, 1, 0, 0, 1],
                        [2048, 0, 15, 1, 1, 0, 0, 1],
                        [1536, 0, 10, 1, 1, 0, 0, 1],
                        [1024, 0, 7.5, 1, 1, 0, 0, 1],
                        [768, 0, 5, 1, 1, 0, 0, 1],
                        [512, 0, 3, 1, 1, 0, 0, 1],
                        [384, 0, 2, 1, 1, 0, 0, 1],
                        [256, 0, 1, 1, 1, 0, 0, 1]
                    ],
                    // <5-2>動き優先(NQ)
                    [
                        // デフォルト値
                        [2],
                        // 値リスト
                        [8192, 0, 15, 1, 1, 0, 0, 1],
                        [6144, 0, 15, 1, 1, 0, 0, 1],
                        [4096, 0, 15, 1, 1, 0, 0, 1],
                        [3072, 0, 15, 1, 1, 0, 0, 1],
                        [2048, 0, 15, 1, 1, 0, 0, 1],
                        [1536, 0, 15, 1, 1, 0, 0, 1],
                        [1024, 0, 15, 1, 1, 0, 0, 1],
                        [768, 0, 10, 1, 1, 0, 0, 1],
                        [512, 0, 7.5, 1, 1, 0, 0, 1],
                        [384, 0, 5, 1, 1, 0, 0, 1],
                        [256, 0, 3, 1, 1, 0, 0, 1]
                    ]
                ],
                // <2-02>640x640
                [
                    // <5-0>画質優先(SF)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 15, 1, 1, 0, 0, 0],
                        [3072, 0, 15, 1, 1, 0, 0, 0],
                        [2048, 0, 15, 1, 1, 0, 0, 0],
                        [1536, 0, 15, 1, 1, 0, 0, 0],
                        [1024, 0, 10, 1, 1, 0, 0, 0],
                        [768, 0, 7.5, 1, 1, 0, 0, 0],
                        [512, 0, 5, 1, 1, 0, 0, 0],
                        [384, 0, 3, 1, 1, 0, 0, 0],
                        [256, 0, 2, 1, 1, 0, 0, 0],
                        [128, 0, 1, 1, 1, 0, 0, 0],
                        [64, 0, 1, 1, 1, 0, 0, 0]
                    ],
                    // <5-1>標準(FQ)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 15, 1, 1, 0, 0, 0],
                        [3072, 0, 15, 1, 1, 0, 0, 0],
                        [2048, 0, 15, 1, 1, 0, 0, 0],
                        [1536, 0, 15, 1, 1, 0, 0, 0],
                        [1024, 0, 15, 1, 1, 0, 0, 0],
                        [768, 0, 15, 1, 1, 0, 0, 0],
                        [512, 0, 15, 1, 1, 0, 0, 0],
                        [384, 0, 10, 1, 1, 0, 0, 0],
                        [256, 0, 7.5, 1, 1, 0, 0, 0],
                        [128, 0, 5, 1, 1, 0, 0, 0],
                        [64, 0, 2, 1, 1, 0, 0, 0]
                    ],
                    // <5-2>動き優先(NQ)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 15, 1, 1, 0, 0, 0],
                        [3072, 0, 15, 1, 1, 0, 0, 0],
                        [2048, 0, 15, 1, 1, 0, 0, 0],
                        [1536, 0, 15, 1, 1, 0, 0, 0],
                        [1024, 0, 15, 1, 1, 0, 0, 0],
                        [768, 0, 15, 1, 1, 0, 0, 0],
                        [512, 0, 15, 1, 1, 0, 0, 0],
                        [384, 0, 15, 1, 1, 0, 0, 0],
                        [256, 0, 10, 1, 1, 0, 0, 0],
                        [128, 0, 7.5, 1, 1, 0, 0, 0],
                        [64, 0, 3, 1, 1, 0, 0, 0]
                    ]
                ],
                // <2-03>320x320
                [
                    // <5-0>画質優先(SF)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 15, 1, 1, 0, 0, 0],
                        [3072, 0, 15, 1, 1, 0, 0, 0],
                        [2048, 0, 15, 1, 1, 0, 0, 0],
                        [1536, 0, 15, 1, 1, 0, 0, 0],
                        [1024, 0, 15, 1, 1, 0, 0, 0],
                        [768, 0, 10, 1, 1, 0, 0, 0],
                        [512, 0, 7.5, 1, 1, 0, 0, 0],
                        [384, 0, 5, 1, 1, 0, 0, 0],
                        [256, 0, 3, 1, 1, 0, 0, 0],
                        [128, 0, 2, 1, 1, 0, 0, 0],
                        [64, 0, 1, 1, 1, 0, 0, 0]
                    ],
                    // <5-1>標準(FQ)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 15, 1, 1, 0, 0, 0],
                        [3072, 0, 15, 1, 1, 0, 0, 0],
                        [2048, 0, 15, 1, 1, 0, 0, 0],
                        [1536, 0, 15, 1, 1, 0, 0, 0],
                        [1024, 0, 15, 1, 1, 0, 0, 0],
                        [768, 0, 15, 1, 1, 0, 0, 0],
                        [512, 0, 15, 1, 1, 0, 0, 0],
                        [384, 0, 15, 1, 1, 0, 0, 0],
                        [256, 0, 10, 1, 1, 0, 0, 0],
                        [128, 0, 7.5, 1, 1, 0, 0, 0],
                        [64, 0, 5, 1, 1, 0, 0, 0]
                    ],
                    // <5-2>動き優先(NQ)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 15, 1, 1, 0, 0, 0],
                        [3072, 0, 15, 1, 1, 0, 0, 0],
                        [2048, 0, 15, 1, 1, 0, 0, 0],
                        [1536, 0, 15, 1, 1, 0, 0, 0],
                        [1024, 0, 15, 1, 1, 0, 0, 0],
                        [768, 0, 15, 1, 1, 0, 0, 0],
                        [512, 0, 15, 1, 1, 0, 0, 0],
                        [384, 0, 15, 1, 1, 0, 0, 0],
                        [256, 0, 15, 1, 1, 0, 0, 0],
                        [128, 0, 10, 1, 1, 0, 0, 0],
                        [64, 0, 7.5, 1, 1, 0, 0, 0]
                    ]
                ],
                // <2-04>HD
                [
                    // <5-0>画質優先(SF)
                    [
                        // デフォルト値
                        [2],
                        // 値リスト
                        [8192, 0, 15, 1, 1, 0, 0, 0],
                        [6144, 0, 15, 1, 1, 0, 0, 0],
                        [4096, 0, 15, 1, 1, 0, 0, 0],
                        [3072, 0, 15, 1, 1, 0, 0, 0],
                        [2048, 0, 10, 1, 1, 0, 0, 0],
                        [1536, 0, 7.5, 1, 1, 0, 0, 0],
                        [1024, 0, 5, 1, 1, 0, 0, 0],
                        [768, 0, 3, 1, 1, 0, 0, 0],
                        [512, 0, 2, 1, 1, 0, 0, 0],
                        [384, 0, 1, 1, 1, 0, 0, 0],
                        [256, 0, 1, 1, 1, 0, 0, 0]
                    ],
                    // <5-1>標準(FQ)
                    [
                        // デフォルト値
                        [2],
                        // 値リスト
                        [8192, 0, 15, 1, 1, 0, 0, 0],
                        [6144, 0, 15, 1, 1, 0, 0, 0],
                        [4096, 0, 15, 1, 1, 0, 0, 0],
                        [3072, 0, 15, 1, 1, 0, 0, 0],
                        [2048, 0, 15, 1, 1, 0, 0, 0],
                        [1536, 0, 10, 1, 1, 0, 0, 0],
                        [1024, 0, 7.5, 1, 1, 0, 0, 0],
                        [768, 0, 5, 1, 1, 0, 0, 0],
                        [512, 0, 3, 1, 1, 0, 0, 0],
                        [384, 0, 2, 1, 1, 0, 0, 0],
                        [256, 0, 1, 1, 1, 0, 0, 0]
                    ],
                    // <5-2>動き優先(NQ)
                    [
                        // デフォルト値
                        [2],
                        // 値リスト
                        [8192, 0, 15, 1, 1, 0, 0, 0],
                        [6144, 0, 15, 1, 1, 0, 0, 0],
                        [4096, 0, 15, 1, 1, 0, 0, 0],
                        [3072, 0, 15, 1, 1, 0, 0, 0],
                        [2048, 0, 15, 1, 1, 0, 0, 0],
                        [1536, 0, 15, 1, 1, 0, 0, 0],
                        [1024, 0, 15, 1, 1, 0, 0, 0],
                        [768, 0, 10, 1, 1, 0, 0, 0],
                        [512, 0, 7.5, 1, 1, 0, 0, 0],
                        [384, 0, 5, 1, 1, 0, 0, 0],
                        [256, 0, 3, 1, 1, 0, 0, 0]
                    ]
                ],
                // <2-05>HVGAW
                [
                    // <5-0>画質優先(SF)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 15, 1, 1, 0, 0, 0],
                        [3072, 0, 15, 1, 1, 0, 0, 0],
                        [2048, 0, 15, 1, 1, 0, 0, 0],
                        [1536, 0, 15, 1, 1, 0, 0, 0],
                        [1024, 0, 10, 1, 1, 0, 0, 0],
                        [768, 0, 7.5, 1, 1, 0, 0, 0],
                        [512, 0, 5, 1, 1, 0, 0, 0],
                        [384, 0, 3, 1, 1, 0, 0, 0],
                        [256, 0, 2, 1, 1, 0, 0, 0],
                        [128, 0, 1, 1, 1, 0, 0, 0],
                        [64, 0, 1, 1, 1, 0, 0, 0]
                    ],
                    // <5-1>標準(FQ)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 15, 1, 1, 0, 0, 0],
                        [3072, 0, 15, 1, 1, 0, 0, 0],
                        [2048, 0, 15, 1, 1, 0, 0, 0],
                        [1536, 0, 15, 1, 1, 0, 0, 0],
                        [1024, 0, 15, 1, 1, 0, 0, 0],
                        [768, 0, 15, 1, 1, 0, 0, 0],
                        [512, 0, 15, 1, 1, 0, 0, 0],
                        [384, 0, 10, 1, 1, 0, 0, 0],
                        [256, 0, 7.5, 1, 1, 0, 0, 0],
                        [128, 0, 5, 1, 1, 0, 0, 0],
                        [64, 0, 2, 1, 1, 0, 0, 0]
                    ],
                    // <5-2>動き優先(NQ)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 15, 1, 1, 0, 0, 0],
                        [3072, 0, 15, 1, 1, 0, 0, 0],
                        [2048, 0, 15, 1, 1, 0, 0, 0],
                        [1536, 0, 15, 1, 1, 0, 0, 0],
                        [1024, 0, 15, 1, 1, 0, 0, 0],
                        [768, 0, 15, 1, 1, 0, 0, 0],
                        [512, 0, 15, 1, 1, 0, 0, 0],
                        [384, 0, 15, 1, 1, 0, 0, 0],
                        [256, 0, 10, 1, 1, 0, 0, 0],
                        [128, 0, 7.5, 1, 1, 0, 0, 0],
                        [64, 0, 3, 1, 1, 0, 0, 0]
                    ]
                ]
            ],
            // <4-1>フレームレート優先
            [
                // <2-00>2048x2048
                [
                    // -
                    [
                        // デフォルト値
                        [7],
                        // 値リスト
                        [16384, 0, 15, 1, 1, 0, 0, 1],
                        [14336, 0, 15, 1, 1, 0, 0, 1],
                        [12288, 0, 15, 1, 1, 0, 0, 1],
                        [10240, 0, 15, 1, 1, 0, 0, 1],
                        [8192, 0, 15, 1, 1, 0, 0, 1],
                        [6144, 0, 15, 1, 1, 0, 0, 1],
                        [4096, 0, 15, 1, 1, 0, 0, 1],
                        [3072, 0, 15, 1, 1, 0, 0, 1],
                        [2048, 0, 1, 1, 1, 0, 0, 1],
                        [1536, 0, 0, 1, 1, 0, 0, 1]
                    ]
                ],
                // <2-01>1280x1280
                [
                    // -
                    [
                        // デフォルト値
                        [5],
                        // 値リスト
                        [8192, 0, 15, 1, 1, 0, 0, 1],
                        [6144, 0, 15, 1, 1, 0, 0, 1],
                        [4096, 0, 15, 1, 1, 0, 0, 1],
                        [3072, 0, 15, 1, 1, 0, 0, 1],
                        [2048, 0, 15, 1, 1, 0, 0, 1],
                        [1536, 0, 15, 1, 1, 0, 0, 1],
                        [1024, 0, 1, 1, 1, 0, 0, 1],
                        [768, 0, 0, 1, 1, 0, 0, 1],
                        [512, 0, 0, 1, 1, 0, 0, 1],
                        [384, 0, 0, 1, 1, 0, 0, 1],
                        [256, 0, 0, 1, 1, 0, 0, 1]
                    ]
                ],
                // <2-02>640x640
                [
                    // -
                    [
                        // デフォルト値
                        [6],
                        // 値リスト
                        [4096, 0, 15, 1, 1, 0, 0, 0],
                        [3072, 0, 15, 1, 1, 0, 0, 0],
                        [2048, 0, 15, 1, 1, 0, 0, 0],
                        [1536, 0, 15, 1, 1, 0, 0, 0],
                        [1024, 0, 15, 1, 1, 0, 0, 0],
                        [768, 0, 15, 1, 1, 0, 0, 0],
                        [512, 0, 15, 1, 1, 0, 0, 0],
                        [384, 0, 1, 1, 1, 0, 0, 0],
                        [256, 0, 0, 1, 1, 0, 0, 0],
                        [128, 0, 0, 1, 1, 0, 0, 0],
                        [64, 0, 0, 1, 1, 0, 0, 0]
                    ]
                ],
                // <2-03>320x320
                [
                    // -
                    [
                        // デフォルト値
                        [8],
                        // 値リスト
                        [4096, 0, 15, 1, 1, 0, 0, 0],
                        [3072, 0, 15, 1, 1, 0, 0, 0],
                        [2048, 0, 15, 1, 1, 0, 0, 0],
                        [1536, 0, 15, 1, 1, 0, 0, 0],
                        [1024, 0, 15, 1, 1, 0, 0, 0],
                        [768, 0, 15, 1, 1, 0, 0, 0],
                        [512, 0, 15, 1, 1, 0, 0, 0],
                        [384, 0, 15, 1, 1, 0, 0, 0],
                        [256, 0, 15, 1, 1, 0, 0, 0],
                        [128, 0, 1, 1, 1, 0, 0, 0],
                        [64, 0, 0, 1, 1, 0, 0, 0]
                    ]
                ],
                // <2-04>HD
                [
                    // -
                    [
                        // デフォルト値
                        [6],
                        // 値リスト
                        [8192, 0, 15, 1, 1, 0, 0, 0],
                        [6144, 0, 15, 1, 1, 0, 0, 0],
                        [4096, 0, 15, 1, 1, 0, 0, 0],
                        [3072, 0, 15, 1, 1, 0, 0, 0],
                        [2048, 0, 15, 1, 1, 0, 0, 0],
                        [1536, 0, 15, 1, 1, 0, 0, 0],
                        [1024, 0, 15, 1, 1, 0, 0, 0],
                        [768, 0, 7.5, 1, 1, 0, 0, 0],
                        [512, 0, 1, 1, 1, 0, 0, 0],
                        [384, 0, 0, 1, 1, 0, 0, 0],
                        [256, 0, 0, 1, 1, 0, 0, 0],
                        [128, 0, 0, 1, 1, 0, 0, 0],
                        [64, 0, 0, 1, 1, 0, 0, 0]
                    ]
                ],
                // <2-05>HVGAW
                [
                    // -
                    [
                        // デフォルト値
                        [7],
                        // 値リスト
                        [4096, 0, 15, 1, 1, 0, 0, 0],
                        [3072, 0, 15, 1, 1, 0, 0, 0],
                        [2048, 0, 15, 1, 1, 0, 0, 0],
                        [1536, 0, 15, 1, 1, 0, 0, 0],
                        [1024, 0, 15, 1, 1, 0, 0, 0],
                        [768, 0, 15, 1, 1, 0, 0, 0],
                        [512, 0, 15, 1, 1, 0, 0, 0],
                        [384, 0, 15, 1, 1, 0, 0, 0],
                        [256, 0, 1, 1, 1, 0, 0, 0],
                        [128, 0, 0, 1, 1, 0, 0, 0],
                        [64, 0, 0, 1, 1, 0, 0, 0]
                    ]
                ]
            ],
            // <4-2>AdvancedVBR[高]
            [
                // <2-00>2048x2048
                [
                    // -
                    [
                        // デフォルト値
                        [7],
                        // 値リスト
                        [16384, 0, 15, 1, 1, 0, 0, 1],
                        [14336, 0, 15, 1, 1, 0, 0, 1],
                        [12288, 0, 15, 1, 1, 0, 0, 1],
                        [10240, 0, 15, 1, 1, 0, 0, 1],
                        [8192, 0, 15, 1, 1, 0, 0, 1],
                        [6144, 0, 15, 1, 1, 0, 0, 1],
                        [4096, 0, 15, 1, 1, 0, 0, 1],
                        [3072, 0, 15, 1, 1, 0, 0, 1],
                        [2048, 0, 1, 1, 1, 0, 0, 1],
                        [1536, 0, 0, 1, 1, 0, 0, 1]
                    ]
                ],
                // <2-01>1280x1280
                [
                    // -
                    [
                        // デフォルト値
                        [5],
                        // 値リスト
                        [8192, 0, 15, 1, 1, 0, 0, 1],
                        [6144, 0, 15, 1, 1, 0, 0, 1],
                        [4096, 0, 15, 1, 1, 0, 0, 1],
                        [3072, 0, 15, 1, 1, 0, 0, 1],
                        [2048, 0, 15, 1, 1, 0, 0, 1],
                        [1536, 0, 15, 1, 1, 0, 0, 1],
                        [1024, 0, 1, 1, 1, 0, 0, 1],
                        [768, 0, 0, 1, 1, 0, 0, 1],
                        [512, 0, 0, 1, 1, 0, 0, 1],
                        [384, 0, 0, 1, 1, 0, 0, 1],
                        [256, 0, 0, 1, 1, 0, 0, 1]
                    ]
                ],
                // <2-02>640x640
                [
                    // -
                    [
                        // デフォルト値
                        [6],
                        // 値リスト
                        [4096, 0, 15, 1, 1, 0, 0, 0],
                        [3072, 0, 15, 1, 1, 0, 0, 0],
                        [2048, 0, 15, 1, 1, 0, 0, 0],
                        [1536, 0, 15, 1, 1, 0, 0, 0],
                        [1024, 0, 15, 1, 1, 0, 0, 0],
                        [768, 0, 15, 1, 1, 0, 0, 0],
                        [512, 0, 15, 1, 1, 0, 0, 0],
                        [384, 0, 1, 1, 1, 0, 0, 0],
                        [256, 0, 0, 1, 1, 0, 0, 0],
                        [128, 0, 0, 1, 1, 0, 0, 0],
                        [64, 0, 0, 1, 1, 0, 0, 0]
                    ]
                ],
                // <2-03>320x320
                [
                    // -
                    [
                        // デフォルト値
                        [8],
                        // 値リスト
                        [4096, 0, 15, 1, 1, 0, 0, 0],
                        [3072, 0, 15, 1, 1, 0, 0, 0],
                        [2048, 0, 15, 1, 1, 0, 0, 0],
                        [1536, 0, 15, 1, 1, 0, 0, 0],
                        [1024, 0, 15, 1, 1, 0, 0, 0],
                        [768, 0, 15, 1, 1, 0, 0, 0],
                        [512, 0, 15, 1, 1, 0, 0, 0],
                        [384, 0, 15, 1, 1, 0, 0, 0],
                        [256, 0, 15, 1, 1, 0, 0, 0],
                        [128, 0, 1, 1, 1, 0, 0, 0],
                        [64, 0, 0, 1, 1, 0, 0, 0]
                    ]
                ],
                // <2-04>HD
                [
                    // -
                    [
                        // デフォルト値
                        [6],
                        // 値リスト
                        [8192, 0, 15, 1, 1, 0, 0, 0],
                        [6144, 0, 15, 1, 1, 0, 0, 0],
                        [4096, 0, 15, 1, 1, 0, 0, 0],
                        [3072, 0, 15, 1, 1, 0, 0, 0],
                        [2048, 0, 15, 1, 1, 0, 0, 0],
                        [1536, 0, 15, 1, 1, 0, 0, 0],
                        [1024, 0, 15, 1, 1, 0, 0, 0],
                        [768, 0, 7.5, 1, 1, 0, 0, 0],
                        [512, 0, 1, 1, 1, 0, 0, 0],
                        [384, 0, 0, 1, 1, 0, 0, 0],
                        [256, 0, 0, 1, 1, 0, 0, 0],
                        [128, 0, 0, 1, 1, 0, 0, 0],
                        [64, 0, 0, 1, 1, 0, 0, 0]
                    ]
                ],
                // <2-05>HVGAW
                [
                    // -
                    [
                        // デフォルト値
                        [7],
                        // 値リスト
                        [4096, 0, 15, 1, 1, 0, 0, 0],
                        [3072, 0, 15, 1, 1, 0, 0, 0],
                        [2048, 0, 15, 1, 1, 0, 0, 0],
                        [1536, 0, 15, 1, 1, 0, 0, 0],
                        [1024, 0, 15, 1, 1, 0, 0, 0],
                        [768, 0, 15, 1, 1, 0, 0, 0],
                        [512, 0, 15, 1, 1, 0, 0, 0],
                        [384, 0, 15, 1, 1, 0, 0, 0],
                        [256, 0, 1, 1, 1, 0, 0, 0],
                        [128, 0, 0, 1, 1, 0, 0, 0],
                        [64, 0, 0, 1, 1, 0, 0, 0]
                    ]
                ]
            ],
            // <4-3>AdvancedVBR[中]
            [
                // <2-00>2048x2048
                [
                    // -
                    [
                        // デフォルト値
                        [7],
                        // 値リスト
                        [16384, 0, 15, 1, 1, 0, 0, 1],
                        [14336, 0, 15, 1, 1, 0, 0, 1],
                        [12288, 0, 15, 1, 1, 0, 0, 1],
                        [10240, 0, 15, 1, 1, 0, 0, 1],
                        [8192, 0, 15, 1, 1, 0, 0, 1],
                        [6144, 0, 15, 1, 1, 0, 0, 1],
                        [4096, 0, 15, 1, 1, 0, 0, 1],
                        [3072, 0, 15, 1, 1, 0, 0, 1],
                        [2048, 0, 1, 1, 1, 0, 0, 1],
                        [1536, 0, 0, 1, 1, 0, 0, 1]
                    ]
                ],
                // <2-01>1280x1280
                [
                    // -
                    [
                        // デフォルト値
                        [5],
                        // 値リスト
                        [8192, 0, 15, 1, 1, 0, 0, 1],
                        [6144, 0, 15, 1, 1, 0, 0, 1],
                        [4096, 0, 15, 1, 1, 0, 0, 1],
                        [3072, 0, 15, 1, 1, 0, 0, 1],
                        [2048, 0, 15, 1, 1, 0, 0, 1],
                        [1536, 0, 15, 1, 1, 0, 0, 1],
                        [1024, 0, 1, 1, 1, 0, 0, 1],
                        [768, 0, 0, 1, 1, 0, 0, 1],
                        [512, 0, 0, 1, 1, 0, 0, 1],
                        [384, 0, 0, 1, 1, 0, 0, 1],
                        [256, 0, 0, 1, 1, 0, 0, 1]
                    ]
                ],
                // <2-02>640x640
                [
                    // -
                    [
                        // デフォルト値
                        [6],
                        // 値リスト
                        [4096, 0, 15, 1, 1, 0, 0, 0],
                        [3072, 0, 15, 1, 1, 0, 0, 0],
                        [2048, 0, 15, 1, 1, 0, 0, 0],
                        [1536, 0, 15, 1, 1, 0, 0, 0],
                        [1024, 0, 15, 1, 1, 0, 0, 0],
                        [768, 0, 15, 1, 1, 0, 0, 0],
                        [512, 0, 15, 1, 1, 0, 0, 0],
                        [384, 0, 1, 1, 1, 0, 0, 0],
                        [256, 0, 0, 1, 1, 0, 0, 0],
                        [128, 0, 0, 1, 1, 0, 0, 0],
                        [64, 0, 0, 1, 1, 0, 0, 0]
                    ]
                ],
                // <2-03>320x320
                [
                    // -
                    [
                        // デフォルト値
                        [8],
                        // 値リスト
                        [4096, 0, 15, 1, 1, 0, 0, 0],
                        [3072, 0, 15, 1, 1, 0, 0, 0],
                        [2048, 0, 15, 1, 1, 0, 0, 0],
                        [1536, 0, 15, 1, 1, 0, 0, 0],
                        [1024, 0, 15, 1, 1, 0, 0, 0],
                        [768, 0, 15, 1, 1, 0, 0, 0],
                        [512, 0, 15, 1, 1, 0, 0, 0],
                        [384, 0, 15, 1, 1, 0, 0, 0],
                        [256, 0, 15, 1, 1, 0, 0, 0],
                        [128, 0, 1, 1, 1, 0, 0, 0],
                        [64, 0, 0, 1, 1, 0, 0, 0]
                    ]
                ],
                // <2-04>HD
                [
                    // -
                    [
                        // デフォルト値
                        [6],
                        // 値リスト
                        [8192, 0, 15, 1, 1, 0, 0, 0],
                        [6144, 0, 15, 1, 1, 0, 0, 0],
                        [4096, 0, 15, 1, 1, 0, 0, 0],
                        [3072, 0, 15, 1, 1, 0, 0, 0],
                        [2048, 0, 15, 1, 1, 0, 0, 0],
                        [1536, 0, 15, 1, 1, 0, 0, 0],
                        [1024, 0, 15, 1, 1, 0, 0, 0],
                        [768, 0, 7.5, 1, 1, 0, 0, 0],
                        [512, 0, 1, 1, 1, 0, 0, 0],
                        [384, 0, 0, 1, 1, 0, 0, 0],
                        [256, 0, 0, 1, 1, 0, 0, 0],
                        [128, 0, 0, 1, 1, 0, 0, 0],
                        [64, 0, 0, 1, 1, 0, 0, 0]
                    ]
                ],
                // <2-05>HVGAW
                [
                    // -
                    [
                        // デフォルト値
                        [7],
                        // 値リスト
                        [4096, 0, 15, 1, 1, 0, 0, 0],
                        [3072, 0, 15, 1, 1, 0, 0, 0],
                        [2048, 0, 15, 1, 1, 0, 0, 0],
                        [1536, 0, 15, 1, 1, 0, 0, 0],
                        [1024, 0, 15, 1, 1, 0, 0, 0],
                        [768, 0, 15, 1, 1, 0, 0, 0],
                        [512, 0, 15, 1, 1, 0, 0, 0],
                        [384, 0, 15, 1, 1, 0, 0, 0],
                        [256, 0, 1, 1, 1, 0, 0, 0],
                        [128, 0, 0, 1, 1, 0, 0, 0],
                        [64, 0, 0, 1, 1, 0, 0, 0]
                    ]
                ]
            ],
            // <4-4>AdvancedVBR[低]
            [
                // <2-00>2048x2048
                [
                    // -
                    [
                        // デフォルト値
                        [7],
                        // 値リスト
                        [16384, 0, 15, 1, 1, 0, 0, 1],
                        [14336, 0, 15, 1, 1, 0, 0, 1],
                        [12288, 0, 15, 1, 1, 0, 0, 1],
                        [10240, 0, 15, 1, 1, 0, 0, 1],
                        [8192, 0, 15, 1, 1, 0, 0, 1],
                        [6144, 0, 15, 1, 1, 0, 0, 1],
                        [4096, 0, 15, 1, 1, 0, 0, 1],
                        [3072, 0, 15, 1, 1, 0, 0, 1],
                        [2048, 0, 1, 1, 1, 0, 0, 1],
                        [1536, 0, 0, 1, 1, 0, 0, 1]
                    ]
                ],
                // <2-01>1280x1280
                [
                    // -
                    [
                        // デフォルト値
                        [5],
                        // 値リスト
                        [8192, 0, 15, 1, 1, 0, 0, 1],
                        [6144, 0, 15, 1, 1, 0, 0, 1],
                        [4096, 0, 15, 1, 1, 0, 0, 1],
                        [3072, 0, 15, 1, 1, 0, 0, 1],
                        [2048, 0, 15, 1, 1, 0, 0, 1],
                        [1536, 0, 15, 1, 1, 0, 0, 1],
                        [1024, 0, 1, 1, 1, 0, 0, 1],
                        [768, 0, 0, 1, 1, 0, 0, 1],
                        [512, 0, 0, 1, 1, 0, 0, 1],
                        [384, 0, 0, 1, 1, 0, 0, 1],
                        [256, 0, 0, 1, 1, 0, 0, 1]
                    ]
                ],
                // <2-02>640x640
                [
                    // -
                    [
                        // デフォルト値
                        [6],
                        // 値リスト
                        [4096, 0, 15, 1, 1, 0, 0, 0],
                        [3072, 0, 15, 1, 1, 0, 0, 0],
                        [2048, 0, 15, 1, 1, 0, 0, 0],
                        [1536, 0, 15, 1, 1, 0, 0, 0],
                        [1024, 0, 15, 1, 1, 0, 0, 0],
                        [768, 0, 15, 1, 1, 0, 0, 0],
                        [512, 0, 15, 1, 1, 0, 0, 0],
                        [384, 0, 1, 1, 1, 0, 0, 0],
                        [256, 0, 0, 1, 1, 0, 0, 0],
                        [128, 0, 0, 1, 1, 0, 0, 0],
                        [64, 0, 0, 1, 1, 0, 0, 0]
                    ]
                ],
                // <2-03>320x320
                [
                    // -
                    [
                        // デフォルト値
                        [8],
                        // 値リスト
                        [4096, 0, 15, 1, 1, 0, 0, 0],
                        [3072, 0, 15, 1, 1, 0, 0, 0],
                        [2048, 0, 15, 1, 1, 0, 0, 0],
                        [1536, 0, 15, 1, 1, 0, 0, 0],
                        [1024, 0, 15, 1, 1, 0, 0, 0],
                        [768, 0, 15, 1, 1, 0, 0, 0],
                        [512, 0, 15, 1, 1, 0, 0, 0],
                        [384, 0, 15, 1, 1, 0, 0, 0],
                        [256, 0, 15, 1, 1, 0, 0, 0],
                        [128, 0, 1, 1, 1, 0, 0, 0],
                        [64, 0, 0, 1, 1, 0, 0, 0]
                    ]
                ],
                // <2-04>HD
                [
                    // -
                    [
                        // デフォルト値
                        [6],
                        // 値リスト
                        [8192, 0, 15, 1, 1, 0, 0, 0],
                        [6144, 0, 15, 1, 1, 0, 0, 0],
                        [4096, 0, 15, 1, 1, 0, 0, 0],
                        [3072, 0, 15, 1, 1, 0, 0, 0],
                        [2048, 0, 15, 1, 1, 0, 0, 0],
                        [1536, 0, 15, 1, 1, 0, 0, 0],
                        [1024, 0, 15, 1, 1, 0, 0, 0],
                        [768, 0, 7.5, 1, 1, 0, 0, 0],
                        [512, 0, 1, 1, 1, 0, 0, 0],
                        [384, 0, 0, 1, 1, 0, 0, 0],
                        [256, 0, 0, 1, 1, 0, 0, 0],
                        [128, 0, 0, 1, 1, 0, 0, 0],
                        [64, 0, 0, 1, 1, 0, 0, 0]
                    ]
                ],
                // <2-05>HVGAW
                [
                    // -
                    [
                        // デフォルト値
                        [7],
                        // 値リスト
                        [4096, 0, 15, 1, 1, 0, 0, 0],
                        [3072, 0, 15, 1, 1, 0, 0, 0],
                        [2048, 0, 15, 1, 1, 0, 0, 0],
                        [1536, 0, 15, 1, 1, 0, 0, 0],
                        [1024, 0, 15, 1, 1, 0, 0, 0],
                        [768, 0, 15, 1, 1, 0, 0, 0],
                        [512, 0, 15, 1, 1, 0, 0, 0],
                        [384, 0, 15, 1, 1, 0, 0, 0],
                        [256, 0, 1, 1, 1, 0, 0, 0],
                        [128, 0, 0, 1, 1, 0, 0, 0],
                        [64, 0, 0, 1, 1, 0, 0, 0]
                    ]
                ]
            ]
        ],
        // <3-6>8M(FE+4PTZ)
        [
            // <4-0>ビットレート優先
            [
                // <2-00>2816x2816
                [
                    // <5-0>画質優先(SF)
                    [
                        // デフォルト値
                        [6],
                        // 値リスト
                        [16384, 0, 7.5, 1, 1, 0, 0, 0],
                        [14336, 0, 7.5, 1, 1, 0, 0, 0],
                        [12288, 0, 7.5, 1, 1, 0, 0, 0],
                        [10240, 0, 7.5, 1, 1, 0, 0, 0],
                        [8192, 0, 7.5, 1, 1, 0, 0, 0],
                        [6144, 0, 7.5, 1, 1, 0, 0, 0],
                        [4096, 0, 7.5, 1, 1, 0, 0, 0],
                        [3072, 0, 5, 1, 1, 0, 0, 0],
                        [2048, 0, 3, 1, 1, 0, 0, 0]
                    ],
                    // <5-1>標準(FQ)
                    [
                        // デフォルト値
                        [6],
                        // 値リスト
                        [16384, 0, 7.5, 1, 1, 0, 0, 0],
                        [14336, 0, 7.5, 1, 1, 0, 0, 0],
                        [12288, 0, 7.5, 1, 1, 0, 0, 0],
                        [10240, 0, 7.5, 1, 1, 0, 0, 0],
                        [8192, 0, 7.5, 1, 1, 0, 0, 0],
                        [6144, 0, 7.5, 1, 1, 0, 0, 0],
                        [4096, 0, 7.5, 1, 1, 0, 0, 0],
                        [3072, 0, 7.5, 1, 1, 0, 0, 0],
                        [2048, 0, 5, 1, 1, 0, 0, 0]
                    ],
                    // <5-2>動き優先(NQ)
                    [
                        // デフォルト値
                        [6],
                        // 値リスト
                        [16384, 0, 7.5, 1, 1, 0, 0, 0],
                        [14336, 0, 7.5, 1, 1, 0, 0, 0],
                        [12288, 0, 7.5, 1, 1, 0, 0, 0],
                        [10240, 0, 7.5, 1, 1, 0, 0, 0],
                        [8192, 0, 7.5, 1, 1, 0, 0, 0],
                        [6144, 0, 7.5, 1, 1, 0, 0, 0],
                        [4096, 0, 7.5, 1, 1, 0, 0, 0],
                        [3072, 0, 7.5, 1, 1, 0, 0, 0],
                        [2048, 0, 7.5, 1, 1, 0, 0, 0]
                    ]
                ],
                // <2-01>1280x1280
                [
                    // <5-0>画質優先(SF)
                    [
                        // デフォルト値
                        [2],
                        // 値リスト
                        [8192, 0, 7.5, 1, 1, 0, 0, 0],
                        [6144, 0, 7.5, 1, 1, 0, 0, 0],
                        [4096, 0, 7.5, 1, 1, 0, 0, 0],
                        [3072, 0, 7.5, 1, 1, 0, 0, 0],
                        [2048, 0, 7.5, 1, 1, 0, 0, 0],
                        [1536, 0, 7.5, 1, 1, 0, 0, 0],
                        [1024, 0, 5, 1, 1, 0, 0, 0],
                        [768, 0, 3, 1, 1, 0, 0, 0],
                        [512, 0, 2, 1, 1, 0, 0, 0],
                        [384, 0, 1, 1, 1, 0, 0, 0],
                        [256, 0, 1, 1, 1, 0, 0, 0]
                    ],
                    // <5-1>標準(FQ)
                    [
                        // デフォルト値
                        [2],
                        // 値リスト
                        [8192, 0, 7.5, 1, 1, 0, 0, 0],
                        [6144, 0, 7.5, 1, 1, 0, 0, 0],
                        [4096, 0, 7.5, 1, 1, 0, 0, 0],
                        [3072, 0, 7.5, 1, 1, 0, 0, 0],
                        [2048, 0, 7.5, 1, 1, 0, 0, 0],
                        [1536, 0, 7.5, 1, 1, 0, 0, 0],
                        [1024, 0, 7.5, 1, 1, 0, 0, 0],
                        [768, 0, 5, 1, 1, 0, 0, 0],
                        [512, 0, 3, 1, 1, 0, 0, 0],
                        [384, 0, 2, 1, 1, 0, 0, 0],
                        [256, 0, 1, 1, 1, 0, 0, 0]
                    ],
                    // <5-2>動き優先(NQ)
                    [
                        // デフォルト値
                        [2],
                        // 値リスト
                        [8192, 0, 7.5, 1, 1, 0, 0, 0],
                        [6144, 0, 7.5, 1, 1, 0, 0, 0],
                        [4096, 0, 7.5, 1, 1, 0, 0, 0],
                        [3072, 0, 7.5, 1, 1, 0, 0, 0],
                        [2048, 0, 7.5, 1, 1, 0, 0, 0],
                        [1536, 0, 7.5, 1, 1, 0, 0, 0],
                        [1024, 0, 7.5, 1, 1, 0, 0, 0],
                        [768, 0, 7.5, 1, 1, 0, 0, 0],
                        [512, 0, 7.5, 1, 1, 0, 0, 0],
                        [384, 0, 5, 1, 1, 0, 0, 0],
                        [256, 0, 3, 1, 1, 0, 0, 0]
                    ]
                ],
                // <2-02>640x640
                [
                    // <5-0>画質優先(SF)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 7.5, 1, 1, 0, 0, 0],
                        [3072, 0, 7.5, 1, 1, 0, 0, 0],
                        [2048, 0, 7.5, 1, 1, 0, 0, 0],
                        [1536, 0, 7.5, 1, 1, 0, 0, 0],
                        [1024, 0, 7.5, 1, 1, 0, 0, 0],
                        [768, 0, 7.5, 1, 1, 0, 0, 0],
                        [512, 0, 5, 1, 1, 0, 0, 0],
                        [384, 0, 3, 1, 1, 0, 0, 0],
                        [256, 0, 2, 1, 1, 0, 0, 0],
                        [128, 0, 1, 1, 1, 0, 0, 0],
                        [64, 0, 1, 1, 1, 0, 0, 0]
                    ],
                    // <5-1>標準(FQ)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 7.5, 1, 1, 0, 0, 0],
                        [3072, 0, 7.5, 1, 1, 0, 0, 0],
                        [2048, 0, 7.5, 1, 1, 0, 0, 0],
                        [1536, 0, 7.5, 1, 1, 0, 0, 0],
                        [1024, 0, 7.5, 1, 1, 0, 0, 0],
                        [768, 0, 7.5, 1, 1, 0, 0, 0],
                        [512, 0, 7.5, 1, 1, 0, 0, 0],
                        [384, 0, 7.5, 1, 1, 0, 0, 0],
                        [256, 0, 7.5, 1, 1, 0, 0, 0],
                        [128, 0, 5, 1, 1, 0, 0, 0],
                        [64, 0, 2, 1, 1, 0, 0, 0]
                    ],
                    // <5-2>動き優先(NQ)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 7.5, 1, 1, 0, 0, 0],
                        [3072, 0, 7.5, 1, 1, 0, 0, 0],
                        [2048, 0, 7.5, 1, 1, 0, 0, 0],
                        [1536, 0, 7.5, 1, 1, 0, 0, 0],
                        [1024, 0, 7.5, 1, 1, 0, 0, 0],
                        [768, 0, 7.5, 1, 1, 0, 0, 0],
                        [512, 0, 7.5, 1, 1, 0, 0, 0],
                        [384, 0, 7.5, 1, 1, 0, 0, 0],
                        [256, 0, 7.5, 1, 1, 0, 0, 0],
                        [128, 0, 7.5, 1, 1, 0, 0, 0],
                        [64, 0, 3, 1, 1, 0, 0, 0]
                    ]
                ],
                // <2-03>320x320
                [
                    // <5-0>画質優先(SF)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 7.5, 1, 1, 0, 0, 0],
                        [3072, 0, 7.5, 1, 1, 0, 0, 0],
                        [2048, 0, 7.5, 1, 1, 0, 0, 0],
                        [1536, 0, 7.5, 1, 1, 0, 0, 0],
                        [1024, 0, 7.5, 1, 1, 0, 0, 0],
                        [768, 0, 7.5, 1, 1, 0, 0, 0],
                        [512, 0, 7.5, 1, 1, 0, 0, 0],
                        [384, 0, 5, 1, 1, 0, 0, 0],
                        [256, 0, 3, 1, 1, 0, 0, 0],
                        [128, 0, 2, 1, 1, 0, 0, 0],
                        [64, 0, 1, 1, 1, 0, 0, 0]
                    ],
                    // <5-1>標準(FQ)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 7.5, 1, 1, 0, 0, 0],
                        [3072, 0, 7.5, 1, 1, 0, 0, 0],
                        [2048, 0, 7.5, 1, 1, 0, 0, 0],
                        [1536, 0, 7.5, 1, 1, 0, 0, 0],
                        [1024, 0, 7.5, 1, 1, 0, 0, 0],
                        [768, 0, 7.5, 1, 1, 0, 0, 0],
                        [512, 0, 7.5, 1, 1, 0, 0, 0],
                        [384, 0, 7.5, 1, 1, 0, 0, 0],
                        [256, 0, 7.5, 1, 1, 0, 0, 0],
                        [128, 0, 7.5, 1, 1, 0, 0, 0],
                        [64, 0, 5, 1, 1, 0, 0, 0]
                    ],
                    // <5-2>動き優先(NQ)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 7.5, 1, 1, 0, 0, 0],
                        [3072, 0, 7.5, 1, 1, 0, 0, 0],
                        [2048, 0, 7.5, 1, 1, 0, 0, 0],
                        [1536, 0, 7.5, 1, 1, 0, 0, 0],
                        [1024, 0, 7.5, 1, 1, 0, 0, 0],
                        [768, 0, 7.5, 1, 1, 0, 0, 0],
                        [512, 0, 7.5, 1, 1, 0, 0, 0],
                        [384, 0, 7.5, 1, 1, 0, 0, 0],
                        [256, 0, 7.5, 1, 1, 0, 0, 0],
                        [128, 0, 7.5, 1, 1, 0, 0, 0],
                        [64, 0, 7.5, 1, 1, 0, 0, 0]
                    ]
                ],
                // <2-04>SXVGA
                [
                    // <5-0>画質優先(SF)
                    [
                        // デフォルト値
                        [2],
                        // 値リスト
                        [8192, 0, 7.5, 1, 1, 0, 0, 0],
                        [6144, 0, 7.5, 1, 1, 0, 0, 0],
                        [4096, 0, 7.5, 1, 1, 0, 0, 0],
                        [3072, 0, 7.5, 1, 1, 0, 0, 0],
                        [2048, 0, 7.5, 1, 1, 0, 0, 0],
                        [1536, 0, 7.5, 1, 1, 0, 0, 0],
                        [1024, 0, 5, 1, 1, 0, 0, 0],
                        [768, 0, 3, 1, 1, 0, 0, 0],
                        [512, 0, 2, 1, 1, 0, 0, 0],
                        [384, 0, 1, 1, 1, 0, 0, 0],
                        [256, 0, 1, 1, 1, 0, 0, 0]
                    ],
                    // <5-1>標準(FQ)
                    [
                        // デフォルト値
                        [2],
                        // 値リスト
                        [8192, 0, 7.5, 1, 1, 0, 0, 0],
                        [6144, 0, 7.5, 1, 1, 0, 0, 0],
                        [4096, 0, 7.5, 1, 1, 0, 0, 0],
                        [3072, 0, 7.5, 1, 1, 0, 0, 0],
                        [2048, 0, 7.5, 1, 1, 0, 0, 0],
                        [1536, 0, 7.5, 1, 1, 0, 0, 0],
                        [1024, 0, 7.5, 1, 1, 0, 0, 0],
                        [768, 0, 5, 1, 1, 0, 0, 0],
                        [512, 0, 3, 1, 1, 0, 0, 0],
                        [384, 0, 2, 1, 1, 0, 0, 0],
                        [256, 0, 1, 1, 1, 0, 0, 0]
                    ],
                    // <5-2>動き優先(NQ)
                    [
                        // デフォルト値
                        [2],
                        // 値リスト
                        [8192, 0, 7.5, 1, 1, 0, 0, 0],
                        [6144, 0, 7.5, 1, 1, 0, 0, 0],
                        [4096, 0, 7.5, 1, 1, 0, 0, 0],
                        [3072, 0, 7.5, 1, 1, 0, 0, 0],
                        [2048, 0, 7.5, 1, 1, 0, 0, 0],
                        [1536, 0, 7.5, 1, 1, 0, 0, 0],
                        [1024, 0, 7.5, 1, 1, 0, 0, 0],
                        [768, 0, 7.5, 1, 1, 0, 0, 0],
                        [512, 0, 7.5, 1, 1, 0, 0, 0],
                        [384, 0, 5, 1, 1, 0, 0, 0],
                        [256, 0, 3, 1, 1, 0, 0, 0]
                    ]
                ],
                // <2-05>SVGA
                [
                    // <5-0>画質優先(SF)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 7.5, 1, 1, 0, 0, 0],
                        [3072, 0, 7.5, 1, 1, 0, 0, 0],
                        [2048, 0, 7.5, 1, 1, 0, 0, 0],
                        [1536, 0, 7.5, 1, 1, 0, 0, 0],
                        [1024, 0, 7.5, 1, 1, 0, 0, 0],
                        [768, 0, 5, 1, 1, 0, 0, 0],
                        [512, 0, 3, 1, 1, 0, 0, 0],
                        [384, 0, 2, 1, 1, 0, 0, 0],
                        [256, 0, 1, 1, 1, 0, 0, 0],
                        [128, 0, 1, 1, 1, 0, 0, 0]
                    ],
                    // <5-1>標準(FQ)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 7.5, 1, 1, 0, 0, 0],
                        [3072, 0, 7.5, 1, 1, 0, 0, 0],
                        [2048, 0, 7.5, 1, 1, 0, 0, 0],
                        [1536, 0, 7.5, 1, 1, 0, 0, 0],
                        [1024, 0, 7.5, 1, 1, 0, 0, 0],
                        [768, 0, 7.5, 1, 1, 0, 0, 0],
                        [512, 0, 5, 1, 1, 0, 0, 0],
                        [384, 0, 3, 1, 1, 0, 0, 0],
                        [256, 0, 2, 1, 1, 0, 0, 0],
                        [128, 0, 1, 1, 1, 0, 0, 0]
                    ],
                    // <5-2>動き優先(NQ)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 7.5, 1, 1, 0, 0, 0],
                        [3072, 0, 7.5, 1, 1, 0, 0, 0],
                        [2048, 0, 7.5, 1, 1, 0, 0, 0],
                        [1536, 0, 7.5, 1, 1, 0, 0, 0],
                        [1024, 0, 7.5, 1, 1, 0, 0, 0],
                        [768, 0, 7.5, 1, 1, 0, 0, 0],
                        [512, 0, 7.5, 1, 1, 0, 0, 0],
                        [384, 0, 7.5, 1, 1, 0, 0, 0],
                        [256, 0, 5, 1, 1, 0, 0, 0],
                        [128, 0, 3, 1, 1, 0, 0, 0]
                    ]
                ],
                // <2-06>VGA
                [
                    // <5-0>画質優先(SF)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 7.5, 1, 1, 0, 0, 0],
                        [3072, 0, 7.5, 1, 1, 0, 0, 0],
                        [2048, 0, 7.5, 1, 1, 0, 0, 0],
                        [1536, 0, 7.5, 1, 1, 0, 0, 0],
                        [1024, 0, 7.5, 1, 1, 0, 0, 0],
                        [768, 0, 7.5, 1, 1, 0, 0, 0],
                        [512, 0, 5, 1, 1, 0, 0, 0],
                        [384, 0, 3, 1, 1, 0, 0, 0],
                        [256, 0, 2, 1, 1, 0, 0, 0],
                        [128, 0, 1, 1, 1, 0, 0, 0],
                        [64, 0, 1, 1, 1, 0, 0, 0]
                    ],
                    // <5-1>標準(FQ)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 7.5, 1, 1, 0, 0, 0],
                        [3072, 0, 7.5, 1, 1, 0, 0, 0],
                        [2048, 0, 7.5, 1, 1, 0, 0, 0],
                        [1536, 0, 7.5, 1, 1, 0, 0, 0],
                        [1024, 0, 7.5, 1, 1, 0, 0, 0],
                        [768, 0, 7.5, 1, 1, 0, 0, 0],
                        [512, 0, 7.5, 1, 1, 0, 0, 0],
                        [384, 0, 7.5, 1, 1, 0, 0, 0],
                        [256, 0, 7.5, 1, 1, 0, 0, 0],
                        [128, 0, 5, 1, 1, 0, 0, 0],
                        [64, 0, 2, 1, 1, 0, 0, 0]
                    ],
                    // <5-2>動き優先(NQ)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 7.5, 1, 1, 0, 0, 0],
                        [3072, 0, 7.5, 1, 1, 0, 0, 0],
                        [2048, 0, 7.5, 1, 1, 0, 0, 0],
                        [1536, 0, 7.5, 1, 1, 0, 0, 0],
                        [1024, 0, 7.5, 1, 1, 0, 0, 0],
                        [768, 0, 7.5, 1, 1, 0, 0, 0],
                        [512, 0, 7.5, 1, 1, 0, 0, 0],
                        [384, 0, 7.5, 1, 1, 0, 0, 0],
                        [256, 0, 7.5, 1, 1, 0, 0, 0],
                        [128, 0, 7.5, 1, 1, 0, 0, 0],
                        [64, 0, 3, 1, 1, 0, 0, 0]
                    ]
                ]
            ],
            // <4-1>フレームレート優先
            [
                // <2-00>2816x2816
                [
                    // -
                    [
                        // デフォルト値
                        [5],
                        // 値リスト
                        [16384, 0, 7.5, 1, 1, 0, 0, 0],
                        [14336, 0, 7.5, 1, 1, 0, 0, 0],
                        [12288, 0, 7.5, 1, 1, 0, 0, 0],
                        [10240, 0, 7.5, 1, 1, 0, 0, 0],
                        [8192, 0, 7.5, 1, 1, 0, 0, 0],
                        [6144, 0, 7.5, 1, 1, 0, 0, 0],
                        [4096, 0, 1, 1, 1, 0, 0, 0],
                        [3072, 0, 0, 1, 1, 0, 0, 0],
                        [2048, 0, 0, 1, 1, 0, 0, 0]
                    ]
                ],
                // <2-01>1280x1280
                [
                    // -
                    [
                        // デフォルト値
                        [5],
                        // 値リスト
                        [8192, 0, 7.5, 1, 1, 0, 0, 0],
                        [6144, 0, 7.5, 1, 1, 0, 0, 0],
                        [4096, 0, 7.5, 1, 1, 0, 0, 0],
                        [3072, 0, 7.5, 1, 1, 0, 0, 0],
                        [2048, 0, 7.5, 1, 1, 0, 0, 0],
                        [1536, 0, 7.5, 1, 1, 0, 0, 0],
                        [1024, 0, 1, 1, 1, 0, 0, 0],
                        [768, 0, 0, 1, 1, 0, 0, 0],
                        [512, 0, 0, 1, 1, 0, 0, 0],
                        [384, 0, 0, 1, 1, 0, 0, 0],
                        [256, 0, 0, 1, 1, 0, 0, 0]
                    ]
                ],
                // <2-02>640x640
                [
                    // -
                    [
                        // デフォルト値
                        [6],
                        // 値リスト
                        [4096, 0, 7.5, 1, 1, 0, 0, 0],
                        [3072, 0, 7.5, 1, 1, 0, 0, 0],
                        [2048, 0, 7.5, 1, 1, 0, 0, 0],
                        [1536, 0, 7.5, 1, 1, 0, 0, 0],
                        [1024, 0, 7.5, 1, 1, 0, 0, 0],
                        [768, 0, 7.5, 1, 1, 0, 0, 0],
                        [512, 0, 7.5, 1, 1, 0, 0, 0],
                        [384, 0, 1, 1, 1, 0, 0, 0],
                        [256, 0, 0, 1, 1, 0, 0, 0],
                        [128, 0, 0, 1, 1, 0, 0, 0],
                        [64, 0, 0, 1, 1, 0, 0, 0]
                    ]
                ],
                // <2-03>320x320
                [
                    // -
                    [
                        // デフォルト値
                        [8],
                        // 値リスト
                        [4096, 0, 7.5, 1, 1, 0, 0, 0],
                        [3072, 0, 7.5, 1, 1, 0, 0, 0],
                        [2048, 0, 7.5, 1, 1, 0, 0, 0],
                        [1536, 0, 7.5, 1, 1, 0, 0, 0],
                        [1024, 0, 7.5, 1, 1, 0, 0, 0],
                        [768, 0, 7.5, 1, 1, 0, 0, 0],
                        [512, 0, 7.5, 1, 1, 0, 0, 0],
                        [384, 0, 7.5, 1, 1, 0, 0, 0],
                        [256, 0, 7.5, 1, 1, 0, 0, 0],
                        [128, 0, 1, 1, 1, 0, 0, 0],
                        [64, 0, 0, 1, 1, 0, 0, 0]
                    ]
                ],
                // <2-04>SXVGA
                [
                    // -
                    [
                        // デフォルト値
                        [6],
                        // 値リスト
                        [8192, 0, 7.5, 1, 1, 0, 0, 0],
                        [6144, 0, 7.5, 1, 1, 0, 0, 0],
                        [4096, 0, 7.5, 1, 1, 0, 0, 0],
                        [3072, 0, 7.5, 1, 1, 0, 0, 0],
                        [2048, 0, 7.5, 1, 1, 0, 0, 0],
                        [1536, 0, 7.5, 1, 1, 0, 0, 0],
                        [1024, 0, 7.5, 1, 1, 0, 0, 0],
                        [768, 0, 1, 1, 1, 0, 0, 0],
                        [512, 0, 0, 1, 1, 0, 0, 0],
                        [384, 0, 0, 1, 1, 0, 0, 0],
                        [256, 0, 0, 1, 1, 0, 0, 0]
                    ]
                ],
                // <2-05>SVGA
                [
                    // -
                    [
                        // デフォルト値
                        [5],
                        // 値リスト
                        [4096, 0, 7.5, 1, 1, 0, 0, 0],
                        [3072, 0, 7.5, 1, 1, 0, 0, 0],
                        [2048, 0, 7.5, 1, 1, 0, 0, 0],
                        [1536, 0, 7.5, 1, 1, 0, 0, 0],
                        [1024, 0, 7.5, 1, 1, 0, 0, 0],
                        [768, 0, 7.5, 1, 1, 0, 0, 0],
                        [512, 0, 1, 1, 1, 0, 0, 0],
                        [384, 0, 1, 1, 1, 0, 0, 0],
                        [256, 0, 0, 1, 1, 0, 0, 0],
                        [128, 0, 0, 1, 1, 0, 0, 0]
                    ]
                ],
                // <2-06>VGA
                [
                    // -
                    [
                        // デフォルト値
                        [7],
                        // 値リスト
                        [4096, 0, 7.5, 1, 1, 0, 0, 0],
                        [3072, 0, 7.5, 1, 1, 0, 0, 0],
                        [2048, 0, 7.5, 1, 1, 0, 0, 0],
                        [1536, 0, 7.5, 1, 1, 0, 0, 0],
                        [1024, 0, 7.5, 1, 1, 0, 0, 0],
                        [768, 0, 7.5, 1, 1, 0, 0, 0],
                        [512, 0, 7.5, 1, 1, 0, 0, 0],
                        [384, 0, 7.5, 1, 1, 0, 0, 0],
                        [256, 0, 1, 1, 1, 0, 0, 0],
                        [128, 0, 0, 1, 1, 0, 0, 0],
                        [64, 0, 0, 1, 1, 0, 0, 0]
                    ]
                ]
            ],
            // <4-2>AdvancedVBR[高]
            [
                // <2-00>2816x2816
                [
                    // -
                    [
                        // デフォルト値
                        [5],
                        // 値リスト
                        [16384, 0, 7.5, 1, 1, 0, 0, 0],
                        [14336, 0, 7.5, 1, 1, 0, 0, 0],
                        [12288, 0, 7.5, 1, 1, 0, 0, 0],
                        [10240, 0, 7.5, 1, 1, 0, 0, 0],
                        [8192, 0, 7.5, 1, 1, 0, 0, 0],
                        [6144, 0, 7.5, 1, 1, 0, 0, 0],
                        [4096, 0, 1, 1, 1, 0, 0, 0],
                        [3072, 0, 0, 1, 1, 0, 0, 0],
                        [2048, 0, 0, 1, 1, 0, 0, 0]
                    ]
                ],
                // <2-01>1280x1280
                [
                    // -
                    [
                        // デフォルト値
                        [5],
                        // 値リスト
                        [8192, 0, 7.5, 1, 1, 0, 0, 0],
                        [6144, 0, 7.5, 1, 1, 0, 0, 0],
                        [4096, 0, 7.5, 1, 1, 0, 0, 0],
                        [3072, 0, 7.5, 1, 1, 0, 0, 0],
                        [2048, 0, 7.5, 1, 1, 0, 0, 0],
                        [1536, 0, 7.5, 1, 1, 0, 0, 0],
                        [1024, 0, 1, 1, 1, 0, 0, 0],
                        [768, 0, 0, 1, 1, 0, 0, 0],
                        [512, 0, 0, 1, 1, 0, 0, 0],
                        [384, 0, 0, 1, 1, 0, 0, 0],
                        [256, 0, 0, 1, 1, 0, 0, 0]
                    ]
                ],
                // <2-02>640x640
                [
                    // -
                    [
                        // デフォルト値
                        [6],
                        // 値リスト
                        [4096, 0, 7.5, 1, 1, 0, 0, 0],
                        [3072, 0, 7.5, 1, 1, 0, 0, 0],
                        [2048, 0, 7.5, 1, 1, 0, 0, 0],
                        [1536, 0, 7.5, 1, 1, 0, 0, 0],
                        [1024, 0, 7.5, 1, 1, 0, 0, 0],
                        [768, 0, 7.5, 1, 1, 0, 0, 0],
                        [512, 0, 7.5, 1, 1, 0, 0, 0],
                        [384, 0, 1, 1, 1, 0, 0, 0],
                        [256, 0, 0, 1, 1, 0, 0, 0],
                        [128, 0, 0, 1, 1, 0, 0, 0],
                        [64, 0, 0, 1, 1, 0, 0, 0]
                    ]
                ],
                // <2-03>320x320
                [
                    // -
                    [
                        // デフォルト値
                        [8],
                        // 値リスト
                        [4096, 0, 7.5, 1, 1, 0, 0, 0],
                        [3072, 0, 7.5, 1, 1, 0, 0, 0],
                        [2048, 0, 7.5, 1, 1, 0, 0, 0],
                        [1536, 0, 7.5, 1, 1, 0, 0, 0],
                        [1024, 0, 7.5, 1, 1, 0, 0, 0],
                        [768, 0, 7.5, 1, 1, 0, 0, 0],
                        [512, 0, 7.5, 1, 1, 0, 0, 0],
                        [384, 0, 7.5, 1, 1, 0, 0, 0],
                        [256, 0, 7.5, 1, 1, 0, 0, 0],
                        [128, 0, 1, 1, 1, 0, 0, 0],
                        [64, 0, 0, 1, 1, 0, 0, 0]
                    ]
                ],
                // <2-04>SXVGA
                [
                    // -
                    [
                        // デフォルト値
                        [6],
                        // 値リスト
                        [8192, 0, 7.5, 1, 1, 0, 0, 0],
                        [6144, 0, 7.5, 1, 1, 0, 0, 0],
                        [4096, 0, 7.5, 1, 1, 0, 0, 0],
                        [3072, 0, 7.5, 1, 1, 0, 0, 0],
                        [2048, 0, 7.5, 1, 1, 0, 0, 0],
                        [1536, 0, 7.5, 1, 1, 0, 0, 0],
                        [1024, 0, 7.5, 1, 1, 0, 0, 0],
                        [768, 0, 1, 1, 1, 0, 0, 0],
                        [512, 0, 0, 1, 1, 0, 0, 0],
                        [384, 0, 0, 1, 1, 0, 0, 0],
                        [256, 0, 0, 1, 1, 0, 0, 0]
                    ]
                ],
                // <2-05>SVGA
                [
                    // -
                    [
                        // デフォルト値
                        [5],
                        // 値リスト
                        [4096, 0, 7.5, 1, 1, 0, 0, 0],
                        [3072, 0, 7.5, 1, 1, 0, 0, 0],
                        [2048, 0, 7.5, 1, 1, 0, 0, 0],
                        [1536, 0, 7.5, 1, 1, 0, 0, 0],
                        [1024, 0, 7.5, 1, 1, 0, 0, 0],
                        [768, 0, 7.5, 1, 1, 0, 0, 0],
                        [512, 0, 1, 1, 1, 0, 0, 0],
                        [384, 0, 1, 1, 1, 0, 0, 0],
                        [256, 0, 0, 1, 1, 0, 0, 0],
                        [128, 0, 0, 1, 1, 0, 0, 0]
                    ]
                ],
                // <2-06>VGA
                [
                    // -
                    [
                        // デフォルト値
                        [7],
                        // 値リスト
                        [4096, 0, 7.5, 1, 1, 0, 0, 0],
                        [3072, 0, 7.5, 1, 1, 0, 0, 0],
                        [2048, 0, 7.5, 1, 1, 0, 0, 0],
                        [1536, 0, 7.5, 1, 1, 0, 0, 0],
                        [1024, 0, 7.5, 1, 1, 0, 0, 0],
                        [768, 0, 7.5, 1, 1, 0, 0, 0],
                        [512, 0, 7.5, 1, 1, 0, 0, 0],
                        [384, 0, 7.5, 1, 1, 0, 0, 0],
                        [256, 0, 1, 1, 1, 0, 0, 0],
                        [128, 0, 0, 1, 1, 0, 0, 0],
                        [64, 0, 0, 1, 1, 0, 0, 0]
                    ]
                ]
            ],
            // <4-3>AdvancedVBR[中]
            [
                // <2-00>2816x2816
                [
                    // -
                    [
                        // デフォルト値
                        [5],
                        // 値リスト
                        [16384, 0, 7.5, 1, 1, 0, 0, 0],
                        [14336, 0, 7.5, 1, 1, 0, 0, 0],
                        [12288, 0, 7.5, 1, 1, 0, 0, 0],
                        [10240, 0, 7.5, 1, 1, 0, 0, 0],
                        [8192, 0, 7.5, 1, 1, 0, 0, 0],
                        [6144, 0, 7.5, 1, 1, 0, 0, 0],
                        [4096, 0, 1, 1, 1, 0, 0, 0],
                        [3072, 0, 0, 1, 1, 0, 0, 0],
                        [2048, 0, 0, 1, 1, 0, 0, 0]
                    ]
                ],
                // <2-01>1280x1280
                [
                    // -
                    [
                        // デフォルト値
                        [5],
                        // 値リスト
                        [8192, 0, 7.5, 1, 1, 0, 0, 0],
                        [6144, 0, 7.5, 1, 1, 0, 0, 0],
                        [4096, 0, 7.5, 1, 1, 0, 0, 0],
                        [3072, 0, 7.5, 1, 1, 0, 0, 0],
                        [2048, 0, 7.5, 1, 1, 0, 0, 0],
                        [1536, 0, 7.5, 1, 1, 0, 0, 0],
                        [1024, 0, 1, 1, 1, 0, 0, 0],
                        [768, 0, 0, 1, 1, 0, 0, 0],
                        [512, 0, 0, 1, 1, 0, 0, 0],
                        [384, 0, 0, 1, 1, 0, 0, 0],
                        [256, 0, 0, 1, 1, 0, 0, 0]
                    ]
                ],
                // <2-02>640x640
                [
                    // -
                    [
                        // デフォルト値
                        [6],
                        // 値リスト
                        [4096, 0, 7.5, 1, 1, 0, 0, 0],
                        [3072, 0, 7.5, 1, 1, 0, 0, 0],
                        [2048, 0, 7.5, 1, 1, 0, 0, 0],
                        [1536, 0, 7.5, 1, 1, 0, 0, 0],
                        [1024, 0, 7.5, 1, 1, 0, 0, 0],
                        [768, 0, 7.5, 1, 1, 0, 0, 0],
                        [512, 0, 7.5, 1, 1, 0, 0, 0],
                        [384, 0, 1, 1, 1, 0, 0, 0],
                        [256, 0, 0, 1, 1, 0, 0, 0],
                        [128, 0, 0, 1, 1, 0, 0, 0],
                        [64, 0, 0, 1, 1, 0, 0, 0]
                    ]
                ],
                // <2-03>320x320
                [
                    // -
                    [
                        // デフォルト値
                        [8],
                        // 値リスト
                        [4096, 0, 7.5, 1, 1, 0, 0, 0],
                        [3072, 0, 7.5, 1, 1, 0, 0, 0],
                        [2048, 0, 7.5, 1, 1, 0, 0, 0],
                        [1536, 0, 7.5, 1, 1, 0, 0, 0],
                        [1024, 0, 7.5, 1, 1, 0, 0, 0],
                        [768, 0, 7.5, 1, 1, 0, 0, 0],
                        [512, 0, 7.5, 1, 1, 0, 0, 0],
                        [384, 0, 7.5, 1, 1, 0, 0, 0],
                        [256, 0, 7.5, 1, 1, 0, 0, 0],
                        [128, 0, 1, 1, 1, 0, 0, 0],
                        [64, 0, 0, 1, 1, 0, 0, 0]
                    ]
                ],
                // <2-04>SXVGA
                [
                    // -
                    [
                        // デフォルト値
                        [6],
                        // 値リスト
                        [8192, 0, 7.5, 1, 1, 0, 0, 0],
                        [6144, 0, 7.5, 1, 1, 0, 0, 0],
                        [4096, 0, 7.5, 1, 1, 0, 0, 0],
                        [3072, 0, 7.5, 1, 1, 0, 0, 0],
                        [2048, 0, 7.5, 1, 1, 0, 0, 0],
                        [1536, 0, 7.5, 1, 1, 0, 0, 0],
                        [1024, 0, 7.5, 1, 1, 0, 0, 0],
                        [768, 0, 1, 1, 1, 0, 0, 0],
                        [512, 0, 0, 1, 1, 0, 0, 0],
                        [384, 0, 0, 1, 1, 0, 0, 0],
                        [256, 0, 0, 1, 1, 0, 0, 0]
                    ]
                ],
                // <2-05>SVGA
                [
                    // -
                    [
                        // デフォルト値
                        [5],
                        // 値リスト
                        [4096, 0, 7.5, 1, 1, 0, 0, 0],
                        [3072, 0, 7.5, 1, 1, 0, 0, 0],
                        [2048, 0, 7.5, 1, 1, 0, 0, 0],
                        [1536, 0, 7.5, 1, 1, 0, 0, 0],
                        [1024, 0, 7.5, 1, 1, 0, 0, 0],
                        [768, 0, 7.5, 1, 1, 0, 0, 0],
                        [512, 0, 1, 1, 1, 0, 0, 0],
                        [384, 0, 1, 1, 1, 0, 0, 0],
                        [256, 0, 0, 1, 1, 0, 0, 0],
                        [128, 0, 0, 1, 1, 0, 0, 0]
                    ]
                ],
                // <2-06>VGA
                [
                    // -
                    [
                        // デフォルト値
                        [7],
                        // 値リスト
                        [4096, 0, 7.5, 1, 1, 0, 0, 0],
                        [3072, 0, 7.5, 1, 1, 0, 0, 0],
                        [2048, 0, 7.5, 1, 1, 0, 0, 0],
                        [1536, 0, 7.5, 1, 1, 0, 0, 0],
                        [1024, 0, 7.5, 1, 1, 0, 0, 0],
                        [768, 0, 7.5, 1, 1, 0, 0, 0],
                        [512, 0, 7.5, 1, 1, 0, 0, 0],
                        [384, 0, 7.5, 1, 1, 0, 0, 0],
                        [256, 0, 1, 1, 1, 0, 0, 0],
                        [128, 0, 0, 1, 1, 0, 0, 0],
                        [64, 0, 0, 1, 1, 0, 0, 0]
                    ]
                ]
            ],
            // <4-4>AdvancedVBR[低]
            [
                // <2-00>2816x2816
                [
                    // -
                    [
                        // デフォルト値
                        [5],
                        // 値リスト
                        [16384, 0, 7.5, 1, 1, 0, 0, 0],
                        [14336, 0, 7.5, 1, 1, 0, 0, 0],
                        [12288, 0, 7.5, 1, 1, 0, 0, 0],
                        [10240, 0, 7.5, 1, 1, 0, 0, 0],
                        [8192, 0, 7.5, 1, 1, 0, 0, 0],
                        [6144, 0, 7.5, 1, 1, 0, 0, 0],
                        [4096, 0, 1, 1, 1, 0, 0, 0],
                        [3072, 0, 0, 1, 1, 0, 0, 0],
                        [2048, 0, 0, 1, 1, 0, 0, 0]
                    ]
                ],
                // <2-01>1280x1280
                [
                    // -
                    [
                        // デフォルト値
                        [5],
                        // 値リスト
                        [8192, 0, 7.5, 1, 1, 0, 0, 0],
                        [6144, 0, 7.5, 1, 1, 0, 0, 0],
                        [4096, 0, 7.5, 1, 1, 0, 0, 0],
                        [3072, 0, 7.5, 1, 1, 0, 0, 0],
                        [2048, 0, 7.5, 1, 1, 0, 0, 0],
                        [1536, 0, 7.5, 1, 1, 0, 0, 0],
                        [1024, 0, 1, 1, 1, 0, 0, 0],
                        [768, 0, 0, 1, 1, 0, 0, 0],
                        [512, 0, 0, 1, 1, 0, 0, 0],
                        [384, 0, 0, 1, 1, 0, 0, 0],
                        [256, 0, 0, 1, 1, 0, 0, 0]
                    ]
                ],
                // <2-02>640x640
                [
                    // -
                    [
                        // デフォルト値
                        [6],
                        // 値リスト
                        [4096, 0, 7.5, 1, 1, 0, 0, 0],
                        [3072, 0, 7.5, 1, 1, 0, 0, 0],
                        [2048, 0, 7.5, 1, 1, 0, 0, 0],
                        [1536, 0, 7.5, 1, 1, 0, 0, 0],
                        [1024, 0, 7.5, 1, 1, 0, 0, 0],
                        [768, 0, 7.5, 1, 1, 0, 0, 0],
                        [512, 0, 7.5, 1, 1, 0, 0, 0],
                        [384, 0, 1, 1, 1, 0, 0, 0],
                        [256, 0, 0, 1, 1, 0, 0, 0],
                        [128, 0, 0, 1, 1, 0, 0, 0],
                        [64, 0, 0, 1, 1, 0, 0, 0]
                    ]
                ],
                // <2-03>320x320
                [
                    // -
                    [
                        // デフォルト値
                        [8],
                        // 値リスト
                        [4096, 0, 7.5, 1, 1, 0, 0, 0],
                        [3072, 0, 7.5, 1, 1, 0, 0, 0],
                        [2048, 0, 7.5, 1, 1, 0, 0, 0],
                        [1536, 0, 7.5, 1, 1, 0, 0, 0],
                        [1024, 0, 7.5, 1, 1, 0, 0, 0],
                        [768, 0, 7.5, 1, 1, 0, 0, 0],
                        [512, 0, 7.5, 1, 1, 0, 0, 0],
                        [384, 0, 7.5, 1, 1, 0, 0, 0],
                        [256, 0, 7.5, 1, 1, 0, 0, 0],
                        [128, 0, 1, 1, 1, 0, 0, 0],
                        [64, 0, 0, 1, 1, 0, 0, 0]
                    ]
                ],
                // <2-04>SXVGA
                [
                    // -
                    [
                        // デフォルト値
                        [6],
                        // 値リスト
                        [8192, 0, 7.5, 1, 1, 0, 0, 0],
                        [6144, 0, 7.5, 1, 1, 0, 0, 0],
                        [4096, 0, 7.5, 1, 1, 0, 0, 0],
                        [3072, 0, 7.5, 1, 1, 0, 0, 0],
                        [2048, 0, 7.5, 1, 1, 0, 0, 0],
                        [1536, 0, 7.5, 1, 1, 0, 0, 0],
                        [1024, 0, 7.5, 1, 1, 0, 0, 0],
                        [768, 0, 1, 1, 1, 0, 0, 0],
                        [512, 0, 0, 1, 1, 0, 0, 0],
                        [384, 0, 0, 1, 1, 0, 0, 0],
                        [256, 0, 0, 1, 1, 0, 0, 0]
                    ]
                ],
                // <2-05>SVGA
                [
                    // -
                    [
                        // デフォルト値
                        [5],
                        // 値リスト
                        [4096, 0, 7.5, 1, 1, 0, 0, 0],
                        [3072, 0, 7.5, 1, 1, 0, 0, 0],
                        [2048, 0, 7.5, 1, 1, 0, 0, 0],
                        [1536, 0, 7.5, 1, 1, 0, 0, 0],
                        [1024, 0, 7.5, 1, 1, 0, 0, 0],
                        [768, 0, 7.5, 1, 1, 0, 0, 0],
                        [512, 0, 1, 1, 1, 0, 0, 0],
                        [384, 0, 1, 1, 1, 0, 0, 0],
                        [256, 0, 0, 1, 1, 0, 0, 0],
                        [128, 0, 0, 1, 1, 0, 0, 0]
                    ]
                ],
                // <2-06>VGA
                [
                    // -
                    [
                        // デフォルト値
                        [7],
                        // 値リスト
                        [4096, 0, 7.5, 1, 1, 0, 0, 0],
                        [3072, 0, 7.5, 1, 1, 0, 0, 0],
                        [2048, 0, 7.5, 1, 1, 0, 0, 0],
                        [1536, 0, 7.5, 1, 1, 0, 0, 0],
                        [1024, 0, 7.5, 1, 1, 0, 0, 0],
                        [768, 0, 7.5, 1, 1, 0, 0, 0],
                        [512, 0, 7.5, 1, 1, 0, 0, 0],
                        [384, 0, 7.5, 1, 1, 0, 0, 0],
                        [256, 0, 1, 1, 1, 0, 0, 0],
                        [128, 0, 0, 1, 1, 0, 0, 0],
                        [64, 0, 0, 1, 1, 0, 0, 0]
                    ]
                ]
            ]
        ],
        // <3-7>4M(FE+4PTZ)
        [
            // <4-0>ビットレート優先
            [
                // <2-00>2048x2048
                [
                    // <5-0>画質優先(SF)
                    [
                        // デフォルト値
                        [6],
                        // 値リスト
                        [16384, 0, 15, 1, 1, 0, 0, 0],
                        [14336, 0, 15, 1, 1, 0, 0, 0],
                        [12288, 0, 15, 1, 1, 0, 0, 0],
                        [10240, 0, 15, 1, 1, 0, 0, 0],
                        [8192, 0, 15, 1, 1, 0, 0, 0],
                        [6144, 0, 15, 1, 1, 0, 0, 0],
                        [4096, 0, 10, 1, 1, 0, 0, 0],
                        [3072, 0, 7.5, 1, 1, 0, 0, 0],
                        [2048, 0, 5, 1, 1, 0, 0, 0],
                        [1536, 0, 3, 1, 1, 0, 0, 0]
                    ],
                    // <5-1>標準(FQ)
                    [
                        // デフォルト値
                        [6],
                        // 値リスト
                        [16384, 0, 15, 1, 1, 0, 0, 0],
                        [14336, 0, 15, 1, 1, 0, 0, 0],
                        [12288, 0, 15, 1, 1, 0, 0, 0],
                        [10240, 0, 15, 1, 1, 0, 0, 0],
                        [8192, 0, 15, 1, 1, 0, 0, 0],
                        [6144, 0, 15, 1, 1, 0, 0, 0],
                        [4096, 0, 15, 1, 1, 0, 0, 0],
                        [3072, 0, 10, 1, 1, 0, 0, 0],
                        [2048, 0, 7.5, 1, 1, 0, 0, 0],
                        [1536, 0, 5, 1, 1, 0, 0, 0]
                    ],
                    // <5-2>動き優先(NQ)
                    [
                        // デフォルト値
                        [6],
                        // 値リスト
                        [16384, 0, 15, 1, 1, 0, 0, 0],
                        [14336, 0, 15, 1, 1, 0, 0, 0],
                        [12288, 0, 15, 1, 1, 0, 0, 0],
                        [10240, 0, 15, 1, 1, 0, 0, 0],
                        [8192, 0, 15, 1, 1, 0, 0, 0],
                        [6144, 0, 15, 1, 1, 0, 0, 0],
                        [4096, 0, 15, 1, 1, 0, 0, 0],
                        [3072, 0, 15, 1, 1, 0, 0, 0],
                        [2048, 0, 15, 1, 1, 0, 0, 0],
                        [1536, 0, 10, 1, 1, 0, 0, 0]
                    ]
                ],
                // <2-01>1280x1280
                [
                    // <5-0>画質優先(SF)
                    [
                        // デフォルト値
                        [2],
                        // 値リスト
                        [8192, 0, 15, 1, 1, 0, 0, 0],
                        [6144, 0, 15, 1, 1, 0, 0, 0],
                        [4096, 0, 15, 1, 1, 0, 0, 0],
                        [3072, 0, 15, 1, 1, 0, 0, 0],
                        [2048, 0, 10, 1, 1, 0, 0, 0],
                        [1536, 0, 7.5, 1, 1, 0, 0, 0],
                        [1024, 0, 5, 1, 1, 0, 0, 0],
                        [768, 0, 3, 1, 1, 0, 0, 0],
                        [512, 0, 2, 1, 1, 0, 0, 0],
                        [384, 0, 1, 1, 1, 0, 0, 0],
                        [256, 0, 1, 1, 1, 0, 0, 0]
                    ],
                    // <5-1>標準(FQ)
                    [
                        // デフォルト値
                        [2],
                        // 値リスト
                        [8192, 0, 15, 1, 1, 0, 0, 0],
                        [6144, 0, 15, 1, 1, 0, 0, 0],
                        [4096, 0, 15, 1, 1, 0, 0, 0],
                        [3072, 0, 15, 1, 1, 0, 0, 0],
                        [2048, 0, 15, 1, 1, 0, 0, 0],
                        [1536, 0, 10, 1, 1, 0, 0, 0],
                        [1024, 0, 7.5, 1, 1, 0, 0, 0],
                        [768, 0, 5, 1, 1, 0, 0, 0],
                        [512, 0, 3, 1, 1, 0, 0, 0],
                        [384, 0, 2, 1, 1, 0, 0, 0],
                        [256, 0, 1, 1, 1, 0, 0, 0]
                    ],
                    // <5-2>動き優先(NQ)
                    [
                        // デフォルト値
                        [2],
                        // 値リスト
                        [8192, 0, 15, 1, 1, 0, 0, 0],
                        [6144, 0, 15, 1, 1, 0, 0, 0],
                        [4096, 0, 15, 1, 1, 0, 0, 0],
                        [3072, 0, 15, 1, 1, 0, 0, 0],
                        [2048, 0, 15, 1, 1, 0, 0, 0],
                        [1536, 0, 15, 1, 1, 0, 0, 0],
                        [1024, 0, 15, 1, 1, 0, 0, 0],
                        [768, 0, 10, 1, 1, 0, 0, 0],
                        [512, 0, 7.5, 1, 1, 0, 0, 0],
                        [384, 0, 5, 1, 1, 0, 0, 0],
                        [256, 0, 3, 1, 1, 0, 0, 0]
                    ]
                ],
                // <2-02>640x640
                [
                    // <5-0>画質優先(SF)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 15, 1, 1, 0, 0, 0],
                        [3072, 0, 15, 1, 1, 0, 0, 0],
                        [2048, 0, 15, 1, 1, 0, 0, 0],
                        [1536, 0, 15, 1, 1, 0, 0, 0],
                        [1024, 0, 10, 1, 1, 0, 0, 0],
                        [768, 0, 7.5, 1, 1, 0, 0, 0],
                        [512, 0, 5, 1, 1, 0, 0, 0],
                        [384, 0, 3, 1, 1, 0, 0, 0],
                        [256, 0, 2, 1, 1, 0, 0, 0],
                        [128, 0, 1, 1, 1, 0, 0, 0],
                        [64, 0, 1, 1, 1, 0, 0, 0]
                    ],
                    // <5-1>標準(FQ)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 15, 1, 1, 0, 0, 0],
                        [3072, 0, 15, 1, 1, 0, 0, 0],
                        [2048, 0, 15, 1, 1, 0, 0, 0],
                        [1536, 0, 15, 1, 1, 0, 0, 0],
                        [1024, 0, 15, 1, 1, 0, 0, 0],
                        [768, 0, 15, 1, 1, 0, 0, 0],
                        [512, 0, 15, 1, 1, 0, 0, 0],
                        [384, 0, 10, 1, 1, 0, 0, 0],
                        [256, 0, 7.5, 1, 1, 0, 0, 0],
                        [128, 0, 5, 1, 1, 0, 0, 0],
                        [64, 0, 2, 1, 1, 0, 0, 0]
                    ],
                    // <5-2>動き優先(NQ)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 15, 1, 1, 0, 0, 0],
                        [3072, 0, 15, 1, 1, 0, 0, 0],
                        [2048, 0, 15, 1, 1, 0, 0, 0],
                        [1536, 0, 15, 1, 1, 0, 0, 0],
                        [1024, 0, 15, 1, 1, 0, 0, 0],
                        [768, 0, 15, 1, 1, 0, 0, 0],
                        [512, 0, 15, 1, 1, 0, 0, 0],
                        [384, 0, 15, 1, 1, 0, 0, 0],
                        [256, 0, 10, 1, 1, 0, 0, 0],
                        [128, 0, 7.5, 1, 1, 0, 0, 0],
                        [64, 0, 3, 1, 1, 0, 0, 0]
                    ]
                ],
                // <2-03>320x320
                [
                    // <5-0>画質優先(SF)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 15, 1, 1, 0, 0, 0],
                        [3072, 0, 15, 1, 1, 0, 0, 0],
                        [2048, 0, 15, 1, 1, 0, 0, 0],
                        [1536, 0, 15, 1, 1, 0, 0, 0],
                        [1024, 0, 15, 1, 1, 0, 0, 0],
                        [768, 0, 10, 1, 1, 0, 0, 0],
                        [512, 0, 7.5, 1, 1, 0, 0, 0],
                        [384, 0, 5, 1, 1, 0, 0, 0],
                        [256, 0, 3, 1, 1, 0, 0, 0],
                        [128, 0, 2, 1, 1, 0, 0, 0],
                        [64, 0, 1, 1, 1, 0, 0, 0]
                    ],
                    // <5-1>標準(FQ)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 15, 1, 1, 0, 0, 0],
                        [3072, 0, 15, 1, 1, 0, 0, 0],
                        [2048, 0, 15, 1, 1, 0, 0, 0],
                        [1536, 0, 15, 1, 1, 0, 0, 0],
                        [1024, 0, 15, 1, 1, 0, 0, 0],
                        [768, 0, 15, 1, 1, 0, 0, 0],
                        [512, 0, 15, 1, 1, 0, 0, 0],
                        [384, 0, 15, 1, 1, 0, 0, 0],
                        [256, 0, 10, 1, 1, 0, 0, 0],
                        [128, 0, 7.5, 1, 1, 0, 0, 0],
                        [64, 0, 5, 1, 1, 0, 0, 0]
                    ],
                    // <5-2>動き優先(NQ)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 15, 1, 1, 0, 0, 0],
                        [3072, 0, 15, 1, 1, 0, 0, 0],
                        [2048, 0, 15, 1, 1, 0, 0, 0],
                        [1536, 0, 15, 1, 1, 0, 0, 0],
                        [1024, 0, 15, 1, 1, 0, 0, 0],
                        [768, 0, 15, 1, 1, 0, 0, 0],
                        [512, 0, 15, 1, 1, 0, 0, 0],
                        [384, 0, 15, 1, 1, 0, 0, 0],
                        [256, 0, 15, 1, 1, 0, 0, 0],
                        [128, 0, 10, 1, 1, 0, 0, 0],
                        [64, 0, 7.5, 1, 1, 0, 0, 0]
                    ]
                ],
                // <2-04>SXVGA
                [
                    // <5-0>画質優先(SF)
                    [
                        // デフォルト値
                        [2],
                        // 値リスト
                        [8192, 0, 15, 1, 1, 0, 0, 0],
                        [6144, 0, 15, 1, 1, 0, 0, 0],
                        [4096, 0, 15, 1, 1, 0, 0, 0],
                        [3072, 0, 15, 1, 1, 0, 0, 0],
                        [2048, 0, 10, 1, 1, 0, 0, 0],
                        [1536, 0, 7.5, 1, 1, 0, 0, 0],
                        [1024, 0, 5, 1, 1, 0, 0, 0],
                        [768, 0, 3, 1, 1, 0, 0, 0],
                        [512, 0, 2, 1, 1, 0, 0, 0],
                        [384, 0, 1, 1, 1, 0, 0, 0],
                        [256, 0, 1, 1, 1, 0, 0, 0]
                    ],
                    // <5-1>標準(FQ)
                    [
                        // デフォルト値
                        [2],
                        // 値リスト
                        [8192, 0, 15, 1, 1, 0, 0, 0],
                        [6144, 0, 15, 1, 1, 0, 0, 0],
                        [4096, 0, 15, 1, 1, 0, 0, 0],
                        [3072, 0, 15, 1, 1, 0, 0, 0],
                        [2048, 0, 15, 1, 1, 0, 0, 0],
                        [1536, 0, 10, 1, 1, 0, 0, 0],
                        [1024, 0, 7.5, 1, 1, 0, 0, 0],
                        [768, 0, 5, 1, 1, 0, 0, 0],
                        [512, 0, 3, 1, 1, 0, 0, 0],
                        [384, 0, 2, 1, 1, 0, 0, 0],
                        [256, 0, 1, 1, 1, 0, 0, 0]
                    ],
                    // <5-2>動き優先(NQ)
                    [
                        // デフォルト値
                        [2],
                        // 値リスト
                        [8192, 0, 15, 1, 1, 0, 0, 0],
                        [6144, 0, 15, 1, 1, 0, 0, 0],
                        [4096, 0, 15, 1, 1, 0, 0, 0],
                        [3072, 0, 15, 1, 1, 0, 0, 0],
                        [2048, 0, 15, 1, 1, 0, 0, 0],
                        [1536, 0, 15, 1, 1, 0, 0, 0],
                        [1024, 0, 15, 1, 1, 0, 0, 0],
                        [768, 0, 10, 1, 1, 0, 0, 0],
                        [512, 0, 7.5, 1, 1, 0, 0, 0],
                        [384, 0, 5, 1, 1, 0, 0, 0],
                        [256, 0, 3, 1, 1, 0, 0, 0]
                    ]
                ],
                // <2-05>SVGA
                [
                    // <5-0>画質優先(SF)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 15, 1, 1, 0, 0, 0],
                        [3072, 0, 15, 1, 1, 0, 0, 0],
                        [2048, 0, 15, 1, 1, 0, 0, 0],
                        [1536, 0, 10, 1, 1, 0, 0, 0],
                        [1024, 0, 7.5, 1, 1, 0, 0, 0],
                        [768, 0, 5, 1, 1, 0, 0, 0],
                        [512, 0, 3, 1, 1, 0, 0, 0],
                        [384, 0, 2, 1, 1, 0, 0, 0],
                        [256, 0, 1, 1, 1, 0, 0, 0],
                        [128, 0, 1, 1, 1, 0, 0, 0]
                    ],
                    // <5-1>標準(FQ)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 15, 1, 1, 0, 0, 0],
                        [3072, 0, 15, 1, 1, 0, 0, 0],
                        [2048, 0, 15, 1, 1, 0, 0, 0],
                        [1536, 0, 15, 1, 1, 0, 0, 0],
                        [1024, 0, 10, 1, 1, 0, 0, 0],
                        [768, 0, 7.5, 1, 1, 0, 0, 0],
                        [512, 0, 5, 1, 1, 0, 0, 0],
                        [384, 0, 3, 1, 1, 0, 0, 0],
                        [256, 0, 2, 1, 1, 0, 0, 0],
                        [128, 0, 1, 1, 1, 0, 0, 0]
                    ],
                    // <5-2>動き優先(NQ)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 15, 1, 1, 0, 0, 0],
                        [3072, 0, 15, 1, 1, 0, 0, 0],
                        [2048, 0, 15, 1, 1, 0, 0, 0],
                        [1536, 0, 15, 1, 1, 0, 0, 0],
                        [1024, 0, 15, 1, 1, 0, 0, 0],
                        [768, 0, 15, 1, 1, 0, 0, 0],
                        [512, 0, 10, 1, 1, 0, 0, 0],
                        [384, 0, 7.5, 1, 1, 0, 0, 0],
                        [256, 0, 5, 1, 1, 0, 0, 0],
                        [128, 0, 3, 1, 1, 0, 0, 0]
                    ]
                ],
                // <2-06>VGA
                [
                    // <5-0>画質優先(SF)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 15, 1, 1, 0, 0, 0],
                        [3072, 0, 15, 1, 1, 0, 0, 0],
                        [2048, 0, 15, 1, 1, 0, 0, 0],
                        [1536, 0, 15, 1, 1, 0, 0, 0],
                        [1024, 0, 10, 1, 1, 0, 0, 0],
                        [768, 0, 7.5, 1, 1, 0, 0, 0],
                        [512, 0, 5, 1, 1, 0, 0, 0],
                        [384, 0, 3, 1, 1, 0, 0, 0],
                        [256, 0, 2, 1, 1, 0, 0, 0],
                        [128, 0, 1, 1, 1, 0, 0, 0],
                        [64, 0, 1, 1, 1, 0, 0, 0]
                    ],
                    // <5-1>標準(FQ)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 15, 1, 1, 0, 0, 0],
                        [3072, 0, 15, 1, 1, 0, 0, 0],
                        [2048, 0, 15, 1, 1, 0, 0, 0],
                        [1536, 0, 15, 1, 1, 0, 0, 0],
                        [1024, 0, 15, 1, 1, 0, 0, 0],
                        [768, 0, 15, 1, 1, 0, 0, 0],
                        [512, 0, 15, 1, 1, 0, 0, 0],
                        [384, 0, 10, 1, 1, 0, 0, 0],
                        [256, 0, 7.5, 1, 1, 0, 0, 0],
                        [128, 0, 5, 1, 1, 0, 0, 0],
                        [64, 0, 2, 1, 1, 0, 0, 0]
                    ],
                    // <5-2>動き優先(NQ)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 15, 1, 1, 0, 0, 0],
                        [3072, 0, 15, 1, 1, 0, 0, 0],
                        [2048, 0, 15, 1, 1, 0, 0, 0],
                        [1536, 0, 15, 1, 1, 0, 0, 0],
                        [1024, 0, 15, 1, 1, 0, 0, 0],
                        [768, 0, 15, 1, 1, 0, 0, 0],
                        [512, 0, 15, 1, 1, 0, 0, 0],
                        [384, 0, 15, 1, 1, 0, 0, 0],
                        [256, 0, 10, 1, 1, 0, 0, 0],
                        [128, 0, 7.5, 1, 1, 0, 0, 0],
                        [64, 0, 3, 1, 1, 0, 0, 0]
                    ]
                ]
            ],
            // <4-1>フレームレート優先
            [
                // <2-00>2048x2048
                [
                    // -
                    [
                        // デフォルト値
                        [7],
                        // 値リスト
                        [16384, 0, 15, 1, 1, 0, 0, 0],
                        [14336, 0, 15, 1, 1, 0, 0, 0],
                        [12288, 0, 15, 1, 1, 0, 0, 0],
                        [10240, 0, 15, 1, 1, 0, 0, 0],
                        [8192, 0, 15, 1, 1, 0, 0, 0],
                        [6144, 0, 15, 1, 1, 0, 0, 0],
                        [4096, 0, 15, 1, 1, 0, 0, 0],
                        [3072, 0, 15, 1, 1, 0, 0, 0],
                        [2048, 0, 1, 1, 1, 0, 0, 0],
                        [1536, 0, 0, 1, 1, 0, 0, 0]
                    ]
                ],
                // <2-01>1280x1280
                [
                    // -
                    [
                        // デフォルト値
                        [5],
                        // 値リスト
                        [8192, 0, 15, 1, 1, 0, 0, 0],
                        [6144, 0, 15, 1, 1, 0, 0, 0],
                        [4096, 0, 15, 1, 1, 0, 0, 0],
                        [3072, 0, 15, 1, 1, 0, 0, 0],
                        [2048, 0, 15, 1, 1, 0, 0, 0],
                        [1536, 0, 15, 1, 1, 0, 0, 0],
                        [1024, 0, 1, 1, 1, 0, 0, 0],
                        [768, 0, 0, 1, 1, 0, 0, 0],
                        [512, 0, 0, 1, 1, 0, 0, 0],
                        [384, 0, 0, 1, 1, 0, 0, 0],
                        [256, 0, 0, 1, 1, 0, 0, 0]
                    ]
                ],
                // <2-02>640x640
                [
                    // -
                    [
                        // デフォルト値
                        [6],
                        // 値リスト
                        [4096, 0, 15, 1, 1, 0, 0, 0],
                        [3072, 0, 15, 1, 1, 0, 0, 0],
                        [2048, 0, 15, 1, 1, 0, 0, 0],
                        [1536, 0, 15, 1, 1, 0, 0, 0],
                        [1024, 0, 15, 1, 1, 0, 0, 0],
                        [768, 0, 15, 1, 1, 0, 0, 0],
                        [512, 0, 15, 1, 1, 0, 0, 0],
                        [384, 0, 1, 1, 1, 0, 0, 0],
                        [256, 0, 0, 1, 1, 0, 0, 0],
                        [128, 0, 0, 1, 1, 0, 0, 0],
                        [64, 0, 0, 1, 1, 0, 0, 0]
                    ]
                ],
                // <2-03>320x320
                [
                    // -
                    [
                        // デフォルト値
                        [8],
                        // 値リスト
                        [4096, 0, 15, 1, 1, 0, 0, 0],
                        [3072, 0, 15, 1, 1, 0, 0, 0],
                        [2048, 0, 15, 1, 1, 0, 0, 0],
                        [1536, 0, 15, 1, 1, 0, 0, 0],
                        [1024, 0, 15, 1, 1, 0, 0, 0],
                        [768, 0, 15, 1, 1, 0, 0, 0],
                        [512, 0, 15, 1, 1, 0, 0, 0],
                        [384, 0, 15, 1, 1, 0, 0, 0],
                        [256, 0, 15, 1, 1, 0, 0, 0],
                        [128, 0, 1, 1, 1, 0, 0, 0],
                        [64, 0, 0, 1, 1, 0, 0, 0]
                    ]
                ],
                // <2-04>SXVGA
                [
                    // -
                    [
                        // デフォルト値
                        [6],
                        // 値リスト
                        [8192, 0, 15, 1, 1, 0, 0, 0],
                        [6144, 0, 15, 1, 1, 0, 0, 0],
                        [4096, 0, 15, 1, 1, 0, 0, 0],
                        [3072, 0, 15, 1, 1, 0, 0, 0],
                        [2048, 0, 15, 1, 1, 0, 0, 0],
                        [1536, 0, 15, 1, 1, 0, 0, 0],
                        [1024, 0, 15, 1, 1, 0, 0, 0],
                        [768, 0, 1, 1, 1, 0, 0, 0],
                        [512, 0, 0, 1, 1, 0, 0, 0],
                        [384, 0, 0, 1, 1, 0, 0, 0],
                        [256, 0, 0, 1, 1, 0, 0, 0]
                    ]
                ],
                // <2-05>SVGA
                [
                    // -
                    [
                        // デフォルト値
                        [4],
                        // 値リスト
                        [4096, 0, 15, 1, 1, 0, 0, 0],
                        [3072, 0, 15, 1, 1, 0, 0, 0],
                        [2048, 0, 15, 1, 1, 0, 0, 0],
                        [1536, 0, 15, 1, 1, 0, 0, 0],
                        [1024, 0, 15, 1, 1, 0, 0, 0],
                        [768, 0, 7.5, 1, 1, 0, 0, 0],
                        [512, 0, 1, 1, 1, 0, 0, 0],
                        [384, 0, 1, 1, 1, 0, 0, 0],
                        [256, 0, 0, 1, 1, 0, 0, 0],
                        [128, 0, 0, 1, 1, 0, 0, 0]
                    ]
                ],
                // <2-06>VGA
                [
                    // -
                    [
                        // デフォルト値
                        [7],
                        // 値リスト
                        [4096, 0, 15, 1, 1, 0, 0, 0],
                        [3072, 0, 15, 1, 1, 0, 0, 0],
                        [2048, 0, 15, 1, 1, 0, 0, 0],
                        [1536, 0, 15, 1, 1, 0, 0, 0],
                        [1024, 0, 15, 1, 1, 0, 0, 0],
                        [768, 0, 15, 1, 1, 0, 0, 0],
                        [512, 0, 15, 1, 1, 0, 0, 0],
                        [384, 0, 15, 1, 1, 0, 0, 0],
                        [256, 0, 1, 1, 1, 0, 0, 0],
                        [128, 0, 0, 1, 1, 0, 0, 0],
                        [64, 0, 0, 1, 1, 0, 0, 0]
                    ]
                ]
            ],
            // <4-2>AdvancedVBR[高]
            [
                // <2-00>2048x2048
                [
                    // -
                    [
                        // デフォルト値
                        [7],
                        // 値リスト
                        [16384, 0, 15, 1, 1, 0, 0, 0],
                        [14336, 0, 15, 1, 1, 0, 0, 0],
                        [12288, 0, 15, 1, 1, 0, 0, 0],
                        [10240, 0, 15, 1, 1, 0, 0, 0],
                        [8192, 0, 15, 1, 1, 0, 0, 0],
                        [6144, 0, 15, 1, 1, 0, 0, 0],
                        [4096, 0, 15, 1, 1, 0, 0, 0],
                        [3072, 0, 15, 1, 1, 0, 0, 0],
                        [2048, 0, 1, 1, 1, 0, 0, 0],
                        [1536, 0, 0, 1, 1, 0, 0, 0]
                    ]
                ],
                // <2-01>1280x1280
                [
                    // -
                    [
                        // デフォルト値
                        [5],
                        // 値リスト
                        [8192, 0, 15, 1, 1, 0, 0, 0],
                        [6144, 0, 15, 1, 1, 0, 0, 0],
                        [4096, 0, 15, 1, 1, 0, 0, 0],
                        [3072, 0, 15, 1, 1, 0, 0, 0],
                        [2048, 0, 15, 1, 1, 0, 0, 0],
                        [1536, 0, 15, 1, 1, 0, 0, 0],
                        [1024, 0, 1, 1, 1, 0, 0, 0],
                        [768, 0, 0, 1, 1, 0, 0, 0],
                        [512, 0, 0, 1, 1, 0, 0, 0],
                        [384, 0, 0, 1, 1, 0, 0, 0],
                        [256, 0, 0, 1, 1, 0, 0, 0]
                    ]
                ],
                // <2-02>640x640
                [
                    // -
                    [
                        // デフォルト値
                        [6],
                        // 値リスト
                        [4096, 0, 15, 1, 1, 0, 0, 0],
                        [3072, 0, 15, 1, 1, 0, 0, 0],
                        [2048, 0, 15, 1, 1, 0, 0, 0],
                        [1536, 0, 15, 1, 1, 0, 0, 0],
                        [1024, 0, 15, 1, 1, 0, 0, 0],
                        [768, 0, 15, 1, 1, 0, 0, 0],
                        [512, 0, 15, 1, 1, 0, 0, 0],
                        [384, 0, 1, 1, 1, 0, 0, 0],
                        [256, 0, 0, 1, 1, 0, 0, 0],
                        [128, 0, 0, 1, 1, 0, 0, 0],
                        [64, 0, 0, 1, 1, 0, 0, 0]
                    ]
                ],
                // <2-03>320x320
                [
                    // -
                    [
                        // デフォルト値
                        [8],
                        // 値リスト
                        [4096, 0, 15, 1, 1, 0, 0, 0],
                        [3072, 0, 15, 1, 1, 0, 0, 0],
                        [2048, 0, 15, 1, 1, 0, 0, 0],
                        [1536, 0, 15, 1, 1, 0, 0, 0],
                        [1024, 0, 15, 1, 1, 0, 0, 0],
                        [768, 0, 15, 1, 1, 0, 0, 0],
                        [512, 0, 15, 1, 1, 0, 0, 0],
                        [384, 0, 15, 1, 1, 0, 0, 0],
                        [256, 0, 15, 1, 1, 0, 0, 0],
                        [128, 0, 1, 1, 1, 0, 0, 0],
                        [64, 0, 0, 1, 1, 0, 0, 0]
                    ]
                ],
                // <2-04>SXVGA
                [
                    // -
                    [
                        // デフォルト値
                        [6],
                        // 値リスト
                        [8192, 0, 15, 1, 1, 0, 0, 0],
                        [6144, 0, 15, 1, 1, 0, 0, 0],
                        [4096, 0, 15, 1, 1, 0, 0, 0],
                        [3072, 0, 15, 1, 1, 0, 0, 0],
                        [2048, 0, 15, 1, 1, 0, 0, 0],
                        [1536, 0, 15, 1, 1, 0, 0, 0],
                        [1024, 0, 15, 1, 1, 0, 0, 0],
                        [768, 0, 1, 1, 1, 0, 0, 0],
                        [512, 0, 0, 1, 1, 0, 0, 0],
                        [384, 0, 0, 1, 1, 0, 0, 0],
                        [256, 0, 0, 1, 1, 0, 0, 0]
                    ]
                ],
                // <2-05>SVGA
                [
                    // -
                    [
                        // デフォルト値
                        [4],
                        // 値リスト
                        [4096, 0, 15, 1, 1, 0, 0, 0],
                        [3072, 0, 15, 1, 1, 0, 0, 0],
                        [2048, 0, 15, 1, 1, 0, 0, 0],
                        [1536, 0, 15, 1, 1, 0, 0, 0],
                        [1024, 0, 15, 1, 1, 0, 0, 0],
                        [768, 0, 7.5, 1, 1, 0, 0, 0],
                        [512, 0, 1, 1, 1, 0, 0, 0],
                        [384, 0, 1, 1, 1, 0, 0, 0],
                        [256, 0, 0, 1, 1, 0, 0, 0],
                        [128, 0, 0, 1, 1, 0, 0, 0]
                    ]
                ],
                // <2-06>VGA
                [
                    // -
                    [
                        // デフォルト値
                        [7],
                        // 値リスト
                        [4096, 0, 15, 1, 1, 0, 0, 0],
                        [3072, 0, 15, 1, 1, 0, 0, 0],
                        [2048, 0, 15, 1, 1, 0, 0, 0],
                        [1536, 0, 15, 1, 1, 0, 0, 0],
                        [1024, 0, 15, 1, 1, 0, 0, 0],
                        [768, 0, 15, 1, 1, 0, 0, 0],
                        [512, 0, 15, 1, 1, 0, 0, 0],
                        [384, 0, 15, 1, 1, 0, 0, 0],
                        [256, 0, 1, 1, 1, 0, 0, 0],
                        [128, 0, 0, 1, 1, 0, 0, 0],
                        [64, 0, 0, 1, 1, 0, 0, 0]
                    ]
                ]
            ],
            // <4-3>AdvancedVBR[中]
            [
                // <2-00>2048x2048
                [
                    // -
                    [
                        // デフォルト値
                        [7],
                        // 値リスト
                        [16384, 0, 15, 1, 1, 0, 0, 0],
                        [14336, 0, 15, 1, 1, 0, 0, 0],
                        [12288, 0, 15, 1, 1, 0, 0, 0],
                        [10240, 0, 15, 1, 1, 0, 0, 0],
                        [8192, 0, 15, 1, 1, 0, 0, 0],
                        [6144, 0, 15, 1, 1, 0, 0, 0],
                        [4096, 0, 15, 1, 1, 0, 0, 0],
                        [3072, 0, 15, 1, 1, 0, 0, 0],
                        [2048, 0, 1, 1, 1, 0, 0, 0],
                        [1536, 0, 0, 1, 1, 0, 0, 0]
                    ]
                ],
                // <2-01>1280x1280
                [
                    // -
                    [
                        // デフォルト値
                        [5],
                        // 値リスト
                        [8192, 0, 15, 1, 1, 0, 0, 0],
                        [6144, 0, 15, 1, 1, 0, 0, 0],
                        [4096, 0, 15, 1, 1, 0, 0, 0],
                        [3072, 0, 15, 1, 1, 0, 0, 0],
                        [2048, 0, 15, 1, 1, 0, 0, 0],
                        [1536, 0, 15, 1, 1, 0, 0, 0],
                        [1024, 0, 1, 1, 1, 0, 0, 0],
                        [768, 0, 0, 1, 1, 0, 0, 0],
                        [512, 0, 0, 1, 1, 0, 0, 0],
                        [384, 0, 0, 1, 1, 0, 0, 0],
                        [256, 0, 0, 1, 1, 0, 0, 0]
                    ]
                ],
                // <2-02>640x640
                [
                    // -
                    [
                        // デフォルト値
                        [6],
                        // 値リスト
                        [4096, 0, 15, 1, 1, 0, 0, 0],
                        [3072, 0, 15, 1, 1, 0, 0, 0],
                        [2048, 0, 15, 1, 1, 0, 0, 0],
                        [1536, 0, 15, 1, 1, 0, 0, 0],
                        [1024, 0, 15, 1, 1, 0, 0, 0],
                        [768, 0, 15, 1, 1, 0, 0, 0],
                        [512, 0, 15, 1, 1, 0, 0, 0],
                        [384, 0, 1, 1, 1, 0, 0, 0],
                        [256, 0, 0, 1, 1, 0, 0, 0],
                        [128, 0, 0, 1, 1, 0, 0, 0],
                        [64, 0, 0, 1, 1, 0, 0, 0]
                    ]
                ],
                // <2-03>320x320
                [
                    // -
                    [
                        // デフォルト値
                        [8],
                        // 値リスト
                        [4096, 0, 15, 1, 1, 0, 0, 0],
                        [3072, 0, 15, 1, 1, 0, 0, 0],
                        [2048, 0, 15, 1, 1, 0, 0, 0],
                        [1536, 0, 15, 1, 1, 0, 0, 0],
                        [1024, 0, 15, 1, 1, 0, 0, 0],
                        [768, 0, 15, 1, 1, 0, 0, 0],
                        [512, 0, 15, 1, 1, 0, 0, 0],
                        [384, 0, 15, 1, 1, 0, 0, 0],
                        [256, 0, 15, 1, 1, 0, 0, 0],
                        [128, 0, 1, 1, 1, 0, 0, 0],
                        [64, 0, 0, 1, 1, 0, 0, 0]
                    ]
                ],
                // <2-04>SXVGA
                [
                    // -
                    [
                        // デフォルト値
                        [6],
                        // 値リスト
                        [8192, 0, 15, 1, 1, 0, 0, 0],
                        [6144, 0, 15, 1, 1, 0, 0, 0],
                        [4096, 0, 15, 1, 1, 0, 0, 0],
                        [3072, 0, 15, 1, 1, 0, 0, 0],
                        [2048, 0, 15, 1, 1, 0, 0, 0],
                        [1536, 0, 15, 1, 1, 0, 0, 0],
                        [1024, 0, 15, 1, 1, 0, 0, 0],
                        [768, 0, 1, 1, 1, 0, 0, 0],
                        [512, 0, 0, 1, 1, 0, 0, 0],
                        [384, 0, 0, 1, 1, 0, 0, 0],
                        [256, 0, 0, 1, 1, 0, 0, 0]
                    ]
                ],
                // <2-05>SVGA
                [
                    // -
                    [
                        // デフォルト値
                        [4],
                        // 値リスト
                        [4096, 0, 15, 1, 1, 0, 0, 0],
                        [3072, 0, 15, 1, 1, 0, 0, 0],
                        [2048, 0, 15, 1, 1, 0, 0, 0],
                        [1536, 0, 15, 1, 1, 0, 0, 0],
                        [1024, 0, 15, 1, 1, 0, 0, 0],
                        [768, 0, 7.5, 1, 1, 0, 0, 0],
                        [512, 0, 1, 1, 1, 0, 0, 0],
                        [384, 0, 1, 1, 1, 0, 0, 0],
                        [256, 0, 0, 1, 1, 0, 0, 0],
                        [128, 0, 0, 1, 1, 0, 0, 0]
                    ]
                ],
                // <2-06>VGA
                [
                    // -
                    [
                        // デフォルト値
                        [7],
                        // 値リスト
                        [4096, 0, 15, 1, 1, 0, 0, 0],
                        [3072, 0, 15, 1, 1, 0, 0, 0],
                        [2048, 0, 15, 1, 1, 0, 0, 0],
                        [1536, 0, 15, 1, 1, 0, 0, 0],
                        [1024, 0, 15, 1, 1, 0, 0, 0],
                        [768, 0, 15, 1, 1, 0, 0, 0],
                        [512, 0, 15, 1, 1, 0, 0, 0],
                        [384, 0, 15, 1, 1, 0, 0, 0],
                        [256, 0, 1, 1, 1, 0, 0, 0],
                        [128, 0, 0, 1, 1, 0, 0, 0],
                        [64, 0, 0, 1, 1, 0, 0, 0]
                    ]
                ]
            ],
            // <4-4>AdvancedVBR[低]
            [
                // <2-00>2048x2048
                [
                    // -
                    [
                        // デフォルト値
                        [7],
                        // 値リスト
                        [16384, 0, 15, 1, 1, 0, 0, 0],
                        [14336, 0, 15, 1, 1, 0, 0, 0],
                        [12288, 0, 15, 1, 1, 0, 0, 0],
                        [10240, 0, 15, 1, 1, 0, 0, 0],
                        [8192, 0, 15, 1, 1, 0, 0, 0],
                        [6144, 0, 15, 1, 1, 0, 0, 0],
                        [4096, 0, 15, 1, 1, 0, 0, 0],
                        [3072, 0, 15, 1, 1, 0, 0, 0],
                        [2048, 0, 1, 1, 1, 0, 0, 0],
                        [1536, 0, 0, 1, 1, 0, 0, 0]
                    ]
                ],
                // <2-01>1280x1280
                [
                    // -
                    [
                        // デフォルト値
                        [5],
                        // 値リスト
                        [8192, 0, 15, 1, 1, 0, 0, 0],
                        [6144, 0, 15, 1, 1, 0, 0, 0],
                        [4096, 0, 15, 1, 1, 0, 0, 0],
                        [3072, 0, 15, 1, 1, 0, 0, 0],
                        [2048, 0, 15, 1, 1, 0, 0, 0],
                        [1536, 0, 15, 1, 1, 0, 0, 0],
                        [1024, 0, 1, 1, 1, 0, 0, 0],
                        [768, 0, 0, 1, 1, 0, 0, 0],
                        [512, 0, 0, 1, 1, 0, 0, 0],
                        [384, 0, 0, 1, 1, 0, 0, 0],
                        [256, 0, 0, 1, 1, 0, 0, 0]
                    ]
                ],
                // <2-02>640x640
                [
                    // -
                    [
                        // デフォルト値
                        [6],
                        // 値リスト
                        [4096, 0, 15, 1, 1, 0, 0, 0],
                        [3072, 0, 15, 1, 1, 0, 0, 0],
                        [2048, 0, 15, 1, 1, 0, 0, 0],
                        [1536, 0, 15, 1, 1, 0, 0, 0],
                        [1024, 0, 15, 1, 1, 0, 0, 0],
                        [768, 0, 15, 1, 1, 0, 0, 0],
                        [512, 0, 15, 1, 1, 0, 0, 0],
                        [384, 0, 1, 1, 1, 0, 0, 0],
                        [256, 0, 0, 1, 1, 0, 0, 0],
                        [128, 0, 0, 1, 1, 0, 0, 0],
                        [64, 0, 0, 1, 1, 0, 0, 0]
                    ]
                ],
                // <2-03>320x320
                [
                    // -
                    [
                        // デフォルト値
                        [8],
                        // 値リスト
                        [4096, 0, 15, 1, 1, 0, 0, 0],
                        [3072, 0, 15, 1, 1, 0, 0, 0],
                        [2048, 0, 15, 1, 1, 0, 0, 0],
                        [1536, 0, 15, 1, 1, 0, 0, 0],
                        [1024, 0, 15, 1, 1, 0, 0, 0],
                        [768, 0, 15, 1, 1, 0, 0, 0],
                        [512, 0, 15, 1, 1, 0, 0, 0],
                        [384, 0, 15, 1, 1, 0, 0, 0],
                        [256, 0, 15, 1, 1, 0, 0, 0],
                        [128, 0, 1, 1, 1, 0, 0, 0],
                        [64, 0, 0, 1, 1, 0, 0, 0]
                    ]
                ],
                // <2-04>SXVGA
                [
                    // -
                    [
                        // デフォルト値
                        [6],
                        // 値リスト
                        [8192, 0, 15, 1, 1, 0, 0, 0],
                        [6144, 0, 15, 1, 1, 0, 0, 0],
                        [4096, 0, 15, 1, 1, 0, 0, 0],
                        [3072, 0, 15, 1, 1, 0, 0, 0],
                        [2048, 0, 15, 1, 1, 0, 0, 0],
                        [1536, 0, 15, 1, 1, 0, 0, 0],
                        [1024, 0, 15, 1, 1, 0, 0, 0],
                        [768, 0, 1, 1, 1, 0, 0, 0],
                        [512, 0, 0, 1, 1, 0, 0, 0],
                        [384, 0, 0, 1, 1, 0, 0, 0],
                        [256, 0, 0, 1, 1, 0, 0, 0]
                    ]
                ],
                // <2-05>SVGA
                [
                    // -
                    [
                        // デフォルト値
                        [4],
                        // 値リスト
                        [4096, 0, 15, 1, 1, 0, 0, 0],
                        [3072, 0, 15, 1, 1, 0, 0, 0],
                        [2048, 0, 15, 1, 1, 0, 0, 0],
                        [1536, 0, 15, 1, 1, 0, 0, 0],
                        [1024, 0, 15, 1, 1, 0, 0, 0],
                        [768, 0, 7.5, 1, 1, 0, 0, 0],
                        [512, 0, 1, 1, 1, 0, 0, 0],
                        [384, 0, 1, 1, 1, 0, 0, 0],
                        [256, 0, 0, 1, 1, 0, 0, 0],
                        [128, 0, 0, 1, 1, 0, 0, 0]
                    ]
                ],
                // <2-06>VGA
                [
                    // -
                    [
                        // デフォルト値
                        [7],
                        // 値リスト
                        [4096, 0, 15, 1, 1, 0, 0, 0],
                        [3072, 0, 15, 1, 1, 0, 0, 0],
                        [2048, 0, 15, 1, 1, 0, 0, 0],
                        [1536, 0, 15, 1, 1, 0, 0, 0],
                        [1024, 0, 15, 1, 1, 0, 0, 0],
                        [768, 0, 15, 1, 1, 0, 0, 0],
                        [512, 0, 15, 1, 1, 0, 0, 0],
                        [384, 0, 15, 1, 1, 0, 0, 0],
                        [256, 0, 1, 1, 1, 0, 0, 0],
                        [128, 0, 0, 1, 1, 0, 0, 0],
                        [64, 0, 0, 1, 1, 0, 0, 0]
                    ]
                ]
            ]
        ],
        // <3-8>4ストリーム
        [
            // <4-0>ビットレート優先
            [
                // <2-00>SXVGA
                [
                    // <5-0>画質優先(SF)
                    [
                        // デフォルト値
                        [2],
                        // 値リスト
                        [8192, 0, 15, 1, 1, 0, 0, 0],
                        [6144, 0, 15, 1, 1, 0, 0, 0],
                        [4096, 0, 15, 1, 1, 0, 0, 0],
                        [3072, 0, 15, 1, 1, 0, 0, 0],
                        [2048, 0, 10, 1, 1, 0, 0, 0],
                        [1536, 0, 7.5, 1, 1, 0, 0, 0],
                        [1024, 0, 5, 1, 1, 0, 0, 0],
                        [768, 0, 3, 1, 1, 0, 0, 0],
                        [512, 0, 2, 1, 1, 0, 0, 0],
                        [384, 0, 1, 1, 1, 0, 0, 0],
                        [256, 0, 1, 1, 1, 0, 0, 0]
                    ],
                    // <5-1>標準(FQ)
                    [
                        // デフォルト値
                        [2],
                        // 値リスト
                        [8192, 0, 15, 1, 1, 0, 0, 0],
                        [6144, 0, 15, 1, 1, 0, 0, 0],
                        [4096, 0, 15, 1, 1, 0, 0, 0],
                        [3072, 0, 15, 1, 1, 0, 0, 0],
                        [2048, 0, 15, 1, 1, 0, 0, 0],
                        [1536, 0, 10, 1, 1, 0, 0, 0],
                        [1024, 0, 7.5, 1, 1, 0, 0, 0],
                        [768, 0, 5, 1, 1, 0, 0, 0],
                        [512, 0, 3, 1, 1, 0, 0, 0],
                        [384, 0, 2, 1, 1, 0, 0, 0],
                        [256, 0, 1, 1, 1, 0, 0, 0]
                    ],
                    // <5-2>動き優先(NQ)
                    [
                        // デフォルト値
                        [2],
                        // 値リスト
                        [8192, 0, 15, 1, 1, 0, 0, 0],
                        [6144, 0, 15, 1, 1, 0, 0, 0],
                        [4096, 0, 15, 1, 1, 0, 0, 0],
                        [3072, 0, 15, 1, 1, 0, 0, 0],
                        [2048, 0, 15, 1, 1, 0, 0, 0],
                        [1536, 0, 15, 1, 1, 0, 0, 0],
                        [1024, 0, 15, 1, 1, 0, 0, 0],
                        [768, 0, 10, 1, 1, 0, 0, 0],
                        [512, 0, 7.5, 1, 1, 0, 0, 0],
                        [384, 0, 5, 1, 1, 0, 0, 0],
                        [256, 0, 3, 1, 1, 0, 0, 0]
                    ]
                ],
                // <2-01>SVGA
                [
                    // <5-0>画質優先(SF)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 15, 1, 1, 0, 0, 0],
                        [3072, 0, 15, 1, 1, 0, 0, 0],
                        [2048, 0, 15, 1, 1, 0, 0, 0],
                        [1536, 0, 10, 1, 1, 0, 0, 0],
                        [1024, 0, 7.5, 1, 1, 0, 0, 0],
                        [768, 0, 5, 1, 1, 0, 0, 0],
                        [512, 0, 3, 1, 1, 0, 0, 0],
                        [384, 0, 2, 1, 1, 0, 0, 0],
                        [256, 0, 1, 1, 1, 0, 0, 0],
                        [128, 0, 1, 1, 1, 0, 0, 0]
                    ],
                    // <5-1>標準(FQ)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 15, 1, 1, 0, 0, 0],
                        [3072, 0, 15, 1, 1, 0, 0, 0],
                        [2048, 0, 15, 1, 1, 0, 0, 0],
                        [1536, 0, 15, 1, 1, 0, 0, 0],
                        [1024, 0, 10, 1, 1, 0, 0, 0],
                        [768, 0, 7.5, 1, 1, 0, 0, 0],
                        [512, 0, 5, 1, 1, 0, 0, 0],
                        [384, 0, 3, 1, 1, 0, 0, 0],
                        [256, 0, 2, 1, 1, 0, 0, 0],
                        [128, 0, 1, 1, 1, 0, 0, 0]
                    ],
                    // <5-2>動き優先(NQ)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 15, 1, 1, 0, 0, 0],
                        [3072, 0, 15, 1, 1, 0, 0, 0],
                        [2048, 0, 15, 1, 1, 0, 0, 0],
                        [1536, 0, 15, 1, 1, 0, 0, 0],
                        [1024, 0, 15, 1, 1, 0, 0, 0],
                        [768, 0, 15, 1, 1, 0, 0, 0],
                        [512, 0, 10, 1, 1, 0, 0, 0],
                        [384, 0, 7.5, 1, 1, 0, 0, 0],
                        [256, 0, 5, 1, 1, 0, 0, 0],
                        [128, 0, 3, 1, 1, 0, 0, 0]
                    ]
                ],
                // <2-02>VGA
                [
                    // <5-0>画質優先(SF)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 15, 1, 1, 0, 0, 0],
                        [3072, 0, 15, 1, 1, 0, 0, 0],
                        [2048, 0, 15, 1, 1, 0, 0, 0],
                        [1536, 0, 15, 1, 1, 0, 0, 0],
                        [1024, 0, 10, 1, 1, 0, 0, 0],
                        [768, 0, 7.5, 1, 1, 0, 0, 0],
                        [512, 0, 5, 1, 1, 0, 0, 0],
                        [384, 0, 3, 1, 1, 0, 0, 0],
                        [256, 0, 2, 1, 1, 0, 0, 0],
                        [128, 0, 1, 1, 1, 0, 0, 0],
                        [64, 0, 1, 1, 1, 0, 0, 0]
                    ],
                    // <5-1>標準(FQ)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 15, 1, 1, 0, 0, 0],
                        [3072, 0, 15, 1, 1, 0, 0, 0],
                        [2048, 0, 15, 1, 1, 0, 0, 0],
                        [1536, 0, 15, 1, 1, 0, 0, 0],
                        [1024, 0, 15, 1, 1, 0, 0, 0],
                        [768, 0, 15, 1, 1, 0, 0, 0],
                        [512, 0, 15, 1, 1, 0, 0, 0],
                        [384, 0, 10, 1, 1, 0, 0, 0],
                        [256, 0, 7.5, 1, 1, 0, 0, 0],
                        [128, 0, 5, 1, 1, 0, 0, 0],
                        [64, 0, 2, 1, 1, 0, 0, 0]
                    ],
                    // <5-2>動き優先(NQ)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 15, 1, 1, 0, 0, 0],
                        [3072, 0, 15, 1, 1, 0, 0, 0],
                        [2048, 0, 15, 1, 1, 0, 0, 0],
                        [1536, 0, 15, 1, 1, 0, 0, 0],
                        [1024, 0, 15, 1, 1, 0, 0, 0],
                        [768, 0, 15, 1, 1, 0, 0, 0],
                        [512, 0, 15, 1, 1, 0, 0, 0],
                        [384, 0, 15, 1, 1, 0, 0, 0],
                        [256, 0, 10, 1, 1, 0, 0, 0],
                        [128, 0, 7.5, 1, 1, 0, 0, 0],
                        [64, 0, 3, 1, 1, 0, 0, 0]
                    ]
                ],
                // <2-03>QVGA
                [
                    // <5-0>画質優先(SF)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 15, 1, 1, 0, 0, 0],
                        [3072, 0, 15, 1, 1, 0, 0, 0],
                        [2048, 0, 15, 1, 1, 0, 0, 0],
                        [1536, 0, 15, 1, 1, 0, 0, 0],
                        [1024, 0, 15, 1, 1, 0, 0, 0],
                        [768, 0, 15, 1, 1, 0, 0, 0],
                        [512, 0, 10, 1, 1, 0, 0, 0],
                        [384, 0, 7.5, 1, 1, 0, 0, 0],
                        [256, 0, 5, 1, 1, 0, 0, 0],
                        [128, 0, 2, 1, 1, 0, 0, 0],
                        [64, 0, 1, 1, 1, 0, 0, 0]
                    ],
                    // <5-1>標準(FQ)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 15, 1, 1, 0, 0, 0],
                        [3072, 0, 15, 1, 1, 0, 0, 0],
                        [2048, 0, 15, 1, 1, 0, 0, 0],
                        [1536, 0, 15, 1, 1, 0, 0, 0],
                        [1024, 0, 15, 1, 1, 0, 0, 0],
                        [768, 0, 15, 1, 1, 0, 0, 0],
                        [512, 0, 15, 1, 1, 0, 0, 0],
                        [384, 0, 15, 1, 1, 0, 0, 0],
                        [256, 0, 15, 1, 1, 0, 0, 0],
                        [128, 0, 10, 1, 1, 0, 0, 0],
                        [64, 0, 5, 1, 1, 0, 0, 0]
                    ],
                    // <5-2>動き優先(NQ)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 15, 1, 1, 0, 0, 0],
                        [3072, 0, 15, 1, 1, 0, 0, 0],
                        [2048, 0, 15, 1, 1, 0, 0, 0],
                        [1536, 0, 15, 1, 1, 0, 0, 0],
                        [1024, 0, 15, 1, 1, 0, 0, 0],
                        [768, 0, 15, 1, 1, 0, 0, 0],
                        [512, 0, 15, 1, 1, 0, 0, 0],
                        [384, 0, 15, 1, 1, 0, 0, 0],
                        [256, 0, 15, 1, 1, 0, 0, 0],
                        [128, 0, 15, 1, 1, 0, 0, 0],
                        [64, 0, 10, 1, 1, 0, 0, 0]
                    ]
                ]
            ],
            // <4-1>フレームレート優先
            [
                // <2-00>SXVGA
                [
                    // -
                    [
                        // デフォルト値
                        [6],
                        // 値リスト
                        [8192, 0, 15, 1, 1, 0, 0, 0],
                        [6144, 0, 15, 1, 1, 0, 0, 0],
                        [4096, 0, 15, 1, 1, 0, 0, 0],
                        [3072, 0, 15, 1, 1, 0, 0, 0],
                        [2048, 0, 15, 1, 1, 0, 0, 0],
                        [1536, 0, 15, 1, 1, 0, 0, 0],
                        [1024, 0, 15, 1, 1, 0, 0, 0],
                        [768, 0, 1, 1, 1, 0, 0, 0],
                        [512, 0, 0, 1, 1, 0, 0, 0],
                        [384, 0, 0, 1, 1, 0, 0, 0],
                        [256, 0, 0, 1, 1, 0, 0, 0]
                    ]
                ],
                // <2-01>SVGA
                [
                    // -
                    [
                        // デフォルト値
                        [4],
                        // 値リスト
                        [4096, 0, 15, 1, 1, 0, 0, 0],
                        [3072, 0, 15, 1, 1, 0, 0, 0],
                        [2048, 0, 15, 1, 1, 0, 0, 0],
                        [1536, 0, 15, 1, 1, 0, 0, 0],
                        [1024, 0, 15, 1, 1, 0, 0, 0],
                        [768, 0, 7.5, 1, 1, 0, 0, 0],
                        [512, 0, 1, 1, 1, 0, 0, 0],
                        [384, 0, 1, 1, 1, 0, 0, 0],
                        [256, 0, 0, 1, 1, 0, 0, 0],
                        [128, 0, 0, 1, 1, 0, 0, 0]
                    ]
                ],
                // <2-02>VGA
                [
                    // -
                    [
                        // デフォルト値
                        [7],
                        // 値リスト
                        [4096, 0, 15, 1, 1, 0, 0, 0],
                        [3072, 0, 15, 1, 1, 0, 0, 0],
                        [2048, 0, 15, 1, 1, 0, 0, 0],
                        [1536, 0, 15, 1, 1, 0, 0, 0],
                        [1024, 0, 15, 1, 1, 0, 0, 0],
                        [768, 0, 15, 1, 1, 0, 0, 0],
                        [512, 0, 15, 1, 1, 0, 0, 0],
                        [384, 0, 15, 1, 1, 0, 0, 0],
                        [256, 0, 1, 1, 1, 0, 0, 0],
                        [128, 0, 0, 1, 1, 0, 0, 0],
                        [64, 0, 0, 1, 1, 0, 0, 0]
                    ]
                ],
                // <2-03>QVGA
                [
                    // -
                    [
                        // デフォルト値
                        [8],
                        // 値リスト
                        [4096, 0, 15, 1, 1, 0, 0, 0],
                        [3072, 0, 15, 1, 1, 0, 0, 0],
                        [2048, 0, 15, 1, 1, 0, 0, 0],
                        [1536, 0, 15, 1, 1, 0, 0, 0],
                        [1024, 0, 15, 1, 1, 0, 0, 0],
                        [768, 0, 15, 1, 1, 0, 0, 0],
                        [512, 0, 15, 1, 1, 0, 0, 0],
                        [384, 0, 15, 1, 1, 0, 0, 0],
                        [256, 0, 15, 1, 1, 0, 0, 0],
                        [128, 0, 1, 1, 1, 0, 0, 0],
                        [64, 0, 0, 1, 1, 0, 0, 0]
                    ]
                ]
            ],
            // <4-2>AdvancedVBR[高]
            [
                // <2-00>SXVGA
                [
                    // -
                    [
                        // デフォルト値
                        [6],
                        // 値リスト
                        [8192, 0, 15, 1, 1, 0, 0, 0],
                        [6144, 0, 15, 1, 1, 0, 0, 0],
                        [4096, 0, 15, 1, 1, 0, 0, 0],
                        [3072, 0, 15, 1, 1, 0, 0, 0],
                        [2048, 0, 15, 1, 1, 0, 0, 0],
                        [1536, 0, 15, 1, 1, 0, 0, 0],
                        [1024, 0, 15, 1, 1, 0, 0, 0],
                        [768, 0, 1, 1, 1, 0, 0, 0],
                        [512, 0, 0, 1, 1, 0, 0, 0],
                        [384, 0, 0, 1, 1, 0, 0, 0],
                        [256, 0, 0, 1, 1, 0, 0, 0]
                    ]
                ],
                // <2-01>SVGA
                [
                    // -
                    [
                        // デフォルト値
                        [4],
                        // 値リスト
                        [4096, 0, 15, 1, 1, 0, 0, 0],
                        [3072, 0, 15, 1, 1, 0, 0, 0],
                        [2048, 0, 15, 1, 1, 0, 0, 0],
                        [1536, 0, 15, 1, 1, 0, 0, 0],
                        [1024, 0, 15, 1, 1, 0, 0, 0],
                        [768, 0, 7.5, 1, 1, 0, 0, 0],
                        [512, 0, 1, 1, 1, 0, 0, 0],
                        [384, 0, 1, 1, 1, 0, 0, 0],
                        [256, 0, 0, 1, 1, 0, 0, 0],
                        [128, 0, 0, 1, 1, 0, 0, 0]
                    ]
                ],
                // <2-02>VGA
                [
                    // -
                    [
                        // デフォルト値
                        [7],
                        // 値リスト
                        [4096, 0, 15, 1, 1, 0, 0, 0],
                        [3072, 0, 15, 1, 1, 0, 0, 0],
                        [2048, 0, 15, 1, 1, 0, 0, 0],
                        [1536, 0, 15, 1, 1, 0, 0, 0],
                        [1024, 0, 15, 1, 1, 0, 0, 0],
                        [768, 0, 15, 1, 1, 0, 0, 0],
                        [512, 0, 15, 1, 1, 0, 0, 0],
                        [384, 0, 15, 1, 1, 0, 0, 0],
                        [256, 0, 1, 1, 1, 0, 0, 0],
                        [128, 0, 0, 1, 1, 0, 0, 0],
                        [64, 0, 0, 1, 1, 0, 0, 0]
                    ]
                ],
                // <2-03>QVGA
                [
                    // -
                    [
                        // デフォルト値
                        [8],
                        // 値リスト
                        [4096, 0, 15, 1, 1, 0, 0, 0],
                        [3072, 0, 15, 1, 1, 0, 0, 0],
                        [2048, 0, 15, 1, 1, 0, 0, 0],
                        [1536, 0, 15, 1, 1, 0, 0, 0],
                        [1024, 0, 15, 1, 1, 0, 0, 0],
                        [768, 0, 15, 1, 1, 0, 0, 0],
                        [512, 0, 15, 1, 1, 0, 0, 0],
                        [384, 0, 15, 1, 1, 0, 0, 0],
                        [256, 0, 15, 1, 1, 0, 0, 0],
                        [128, 0, 1, 1, 1, 0, 0, 0],
                        [64, 0, 0, 1, 1, 0, 0, 0]
                    ]
                ]
            ],
            // <4-3>AdvancedVBR[中]
            [
                // <2-00>SXVGA
                [
                    // -
                    [
                        // デフォルト値
                        [6],
                        // 値リスト
                        [8192, 0, 15, 1, 1, 0, 0, 0],
                        [6144, 0, 15, 1, 1, 0, 0, 0],
                        [4096, 0, 15, 1, 1, 0, 0, 0],
                        [3072, 0, 15, 1, 1, 0, 0, 0],
                        [2048, 0, 15, 1, 1, 0, 0, 0],
                        [1536, 0, 15, 1, 1, 0, 0, 0],
                        [1024, 0, 15, 1, 1, 0, 0, 0],
                        [768, 0, 1, 1, 1, 0, 0, 0],
                        [512, 0, 0, 1, 1, 0, 0, 0],
                        [384, 0, 0, 1, 1, 0, 0, 0],
                        [256, 0, 0, 1, 1, 0, 0, 0]
                    ]
                ],
                // <2-01>SVGA
                [
                    // -
                    [
                        // デフォルト値
                        [4],
                        // 値リスト
                        [4096, 0, 15, 1, 1, 0, 0, 0],
                        [3072, 0, 15, 1, 1, 0, 0, 0],
                        [2048, 0, 15, 1, 1, 0, 0, 0],
                        [1536, 0, 15, 1, 1, 0, 0, 0],
                        [1024, 0, 15, 1, 1, 0, 0, 0],
                        [768, 0, 7.5, 1, 1, 0, 0, 0],
                        [512, 0, 1, 1, 1, 0, 0, 0],
                        [384, 0, 1, 1, 1, 0, 0, 0],
                        [256, 0, 0, 1, 1, 0, 0, 0],
                        [128, 0, 0, 1, 1, 0, 0, 0]
                    ]
                ],
                // <2-02>VGA
                [
                    // -
                    [
                        // デフォルト値
                        [7],
                        // 値リスト
                        [4096, 0, 15, 1, 1, 0, 0, 0],
                        [3072, 0, 15, 1, 1, 0, 0, 0],
                        [2048, 0, 15, 1, 1, 0, 0, 0],
                        [1536, 0, 15, 1, 1, 0, 0, 0],
                        [1024, 0, 15, 1, 1, 0, 0, 0],
                        [768, 0, 15, 1, 1, 0, 0, 0],
                        [512, 0, 15, 1, 1, 0, 0, 0],
                        [384, 0, 15, 1, 1, 0, 0, 0],
                        [256, 0, 1, 1, 1, 0, 0, 0],
                        [128, 0, 0, 1, 1, 0, 0, 0],
                        [64, 0, 0, 1, 1, 0, 0, 0]
                    ]
                ],
                // <2-03>QVGA
                [
                    // -
                    [
                        // デフォルト値
                        [8],
                        // 値リスト
                        [4096, 0, 15, 1, 1, 0, 0, 0],
                        [3072, 0, 15, 1, 1, 0, 0, 0],
                        [2048, 0, 15, 1, 1, 0, 0, 0],
                        [1536, 0, 15, 1, 1, 0, 0, 0],
                        [1024, 0, 15, 1, 1, 0, 0, 0],
                        [768, 0, 15, 1, 1, 0, 0, 0],
                        [512, 0, 15, 1, 1, 0, 0, 0],
                        [384, 0, 15, 1, 1, 0, 0, 0],
                        [256, 0, 15, 1, 1, 0, 0, 0],
                        [128, 0, 1, 1, 1, 0, 0, 0],
                        [64, 0, 0, 1, 1, 0, 0, 0]
                    ]
                ]
            ],
            // <4-4>AdvancedVBR[低]
            [
                // <2-00>SXVGA
                [
                    // -
                    [
                        // デフォルト値
                        [6],
                        // 値リスト
                        [8192, 0, 15, 1, 1, 0, 0, 0],
                        [6144, 0, 15, 1, 1, 0, 0, 0],
                        [4096, 0, 15, 1, 1, 0, 0, 0],
                        [3072, 0, 15, 1, 1, 0, 0, 0],
                        [2048, 0, 15, 1, 1, 0, 0, 0],
                        [1536, 0, 15, 1, 1, 0, 0, 0],
                        [1024, 0, 15, 1, 1, 0, 0, 0],
                        [768, 0, 1, 1, 1, 0, 0, 0],
                        [512, 0, 0, 1, 1, 0, 0, 0],
                        [384, 0, 0, 1, 1, 0, 0, 0],
                        [256, 0, 0, 1, 1, 0, 0, 0]
                    ]
                ],
                // <2-01>SVGA
                [
                    // -
                    [
                        // デフォルト値
                        [4],
                        // 値リスト
                        [4096, 0, 15, 1, 1, 0, 0, 0],
                        [3072, 0, 15, 1, 1, 0, 0, 0],
                        [2048, 0, 15, 1, 1, 0, 0, 0],
                        [1536, 0, 15, 1, 1, 0, 0, 0],
                        [1024, 0, 15, 1, 1, 0, 0, 0],
                        [768, 0, 7.5, 1, 1, 0, 0, 0],
                        [512, 0, 1, 1, 1, 0, 0, 0],
                        [384, 0, 1, 1, 1, 0, 0, 0],
                        [256, 0, 0, 1, 1, 0, 0, 0],
                        [128, 0, 0, 1, 1, 0, 0, 0]
                    ]
                ],
                // <2-02>VGA
                [
                    // -
                    [
                        // デフォルト値
                        [7],
                        // 値リスト
                        [4096, 0, 15, 1, 1, 0, 0, 0],
                        [3072, 0, 15, 1, 1, 0, 0, 0],
                        [2048, 0, 15, 1, 1, 0, 0, 0],
                        [1536, 0, 15, 1, 1, 0, 0, 0],
                        [1024, 0, 15, 1, 1, 0, 0, 0],
                        [768, 0, 15, 1, 1, 0, 0, 0],
                        [512, 0, 15, 1, 1, 0, 0, 0],
                        [384, 0, 15, 1, 1, 0, 0, 0],
                        [256, 0, 1, 1, 1, 0, 0, 0],
                        [128, 0, 0, 1, 1, 0, 0, 0],
                        [64, 0, 0, 1, 1, 0, 0, 0]
                    ]
                ],
                // <2-03>QVGA
                [
                    // -
                    [
                        // デフォルト値
                        [8],
                        // 値リスト
                        [4096, 0, 15, 1, 1, 0, 0, 0],
                        [3072, 0, 15, 1, 1, 0, 0, 0],
                        [2048, 0, 15, 1, 1, 0, 0, 0],
                        [1536, 0, 15, 1, 1, 0, 0, 0],
                        [1024, 0, 15, 1, 1, 0, 0, 0],
                        [768, 0, 15, 1, 1, 0, 0, 0],
                        [512, 0, 15, 1, 1, 0, 0, 0],
                        [384, 0, 15, 1, 1, 0, 0, 0],
                        [256, 0, 15, 1, 1, 0, 0, 0],
                        [128, 0, 1, 1, 1, 0, 0, 0],
                        [64, 0, 0, 1, 1, 0, 0, 0]
                    ]
                ]
            ]
        ]
    ],
    // ----------------------------------------------------
    // 【H.264-07】SF*4**(4K/9M)+SMR10
    [
        // <3-0>9M(FE)
        [
            // <4-0>ビットレート優先
            [
                // <2-00>2992x2992
                [
                    // <5-0>画質優先(SF)
                    [
                        // デフォルト値
                        [6],
                        // 値リスト
                        [16384, 0, 15, 0, 1, 0, 0, 1],
                        [14336, 0, 15, 0, 1, 0, 0, 1],
                        [12288, 0, 15, 0, 1, 0, 0, 1],
                        [10240, 0, 15, 0, 1, 0, 0, 1],
                        [8192, 0, 10, 0, 1, 0, 0, 1],
                        [6144, 0, 7.5, 0, 1, 0, 0, 1],
                        [4096, 0, 5, 0, 1, 0, 0, 1],
                        [3072, 0, 3, 0, 1, 0, 0, 1]
                    ],
                    // <5-1>標準(FQ)
                    [
                        // デフォルト値
                        [6],
                        // 値リスト
                        [16384, 0, 15, 0, 1, 0, 0, 1],
                        [14336, 0, 15, 0, 1, 0, 0, 1],
                        [12288, 0, 15, 0, 1, 0, 0, 1],
                        [10240, 0, 15, 0, 1, 0, 0, 1],
                        [8192, 0, 15, 0, 1, 0, 0, 1],
                        [6144, 0, 10, 0, 1, 0, 0, 1],
                        [4096, 0, 7.5, 0, 1, 0, 0, 1],
                        [3072, 0, 5, 0, 1, 0, 0, 1]
                    ],
                    // <5-2>動き優先(NQ)
                    [
                        // デフォルト値
                        [6],
                        // 値リスト
                        [16384, 0, 15, 0, 1, 0, 0, 1],
                        [14336, 0, 15, 0, 1, 0, 0, 1],
                        [12288, 0, 15, 0, 1, 0, 0, 1],
                        [10240, 0, 15, 0, 1, 0, 0, 1],
                        [8192, 0, 15, 0, 1, 0, 0, 1],
                        [6144, 0, 15, 0, 1, 0, 0, 1],
                        [4096, 0, 15, 0, 1, 0, 0, 1],
                        [3072, 0, 10, 0, 1, 0, 0, 1]
                    ]
                ],
                // <2-01>1280x1280
                [
                    // <5-0>画質優先(SF)
                    [
                        // デフォルト値
                        [2],
                        // 値リスト
                        [8192, 0, 15, 0, 1, 0, 0, 1],
                        [6144, 0, 15, 0, 1, 0, 0, 1],
                        [4096, 0, 15, 0, 1, 0, 0, 1],
                        [3072, 0, 15, 0, 1, 0, 0, 1],
                        [2048, 0, 10, 0, 1, 0, 0, 1],
                        [1536, 0, 7.5, 0, 1, 0, 0, 1],
                        [1024, 0, 5, 0, 1, 0, 0, 1],
                        [768, 0, 3, 0, 1, 0, 0, 1],
                        [512, 0, 2, 0, 1, 0, 0, 1],
                        [384, 0, 1, 0, 1, 0, 0, 1],
                        [256, 0, 1, 0, 1, 0, 0, 1]
                    ],
                    // <5-1>標準(FQ)
                    [
                        // デフォルト値
                        [2],
                        // 値リスト
                        [8192, 0, 15, 0, 1, 0, 0, 1],
                        [6144, 0, 15, 0, 1, 0, 0, 1],
                        [4096, 0, 15, 0, 1, 0, 0, 1],
                        [3072, 0, 15, 0, 1, 0, 0, 1],
                        [2048, 0, 15, 0, 1, 0, 0, 1],
                        [1536, 0, 10, 0, 1, 0, 0, 1],
                        [1024, 0, 7.5, 0, 1, 0, 0, 1],
                        [768, 0, 5, 0, 1, 0, 0, 1],
                        [512, 0, 3, 0, 1, 0, 0, 1],
                        [384, 0, 2, 0, 1, 0, 0, 1],
                        [256, 0, 1, 0, 1, 0, 0, 1]
                    ],
                    // <5-2>動き優先(NQ)
                    [
                        // デフォルト値
                        [2],
                        // 値リスト
                        [8192, 0, 15, 0, 1, 0, 0, 1],
                        [6144, 0, 15, 0, 1, 0, 0, 1],
                        [4096, 0, 15, 0, 1, 0, 0, 1],
                        [3072, 0, 15, 0, 1, 0, 0, 1],
                        [2048, 0, 15, 0, 1, 0, 0, 1],
                        [1536, 0, 15, 0, 1, 0, 0, 1],
                        [1024, 0, 15, 0, 1, 0, 0, 1],
                        [768, 0, 10, 0, 1, 0, 0, 1],
                        [512, 0, 7.5, 0, 1, 0, 0, 1],
                        [384, 0, 5, 0, 1, 0, 0, 1],
                        [256, 0, 3, 0, 1, 0, 0, 1]
                    ]
                ],
                // <2-02>640x640
                [
                    // <5-0>画質優先(SF)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 15, 0, 1, 0, 0, 0],
                        [3072, 0, 15, 0, 1, 0, 0, 0],
                        [2048, 0, 15, 0, 1, 0, 0, 0],
                        [1536, 0, 15, 0, 1, 0, 0, 0],
                        [1024, 0, 10, 0, 1, 0, 0, 0],
                        [768, 0, 7.5, 0, 1, 0, 0, 0],
                        [512, 0, 5, 0, 1, 0, 0, 0],
                        [384, 0, 3, 0, 1, 0, 0, 0],
                        [256, 0, 2, 0, 1, 0, 0, 0],
                        [128, 0, 1, 0, 1, 0, 0, 0],
                        [64, 0, 1, 0, 1, 0, 0, 0]
                    ],
                    // <5-1>標準(FQ)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 15, 0, 1, 0, 0, 0],
                        [3072, 0, 15, 0, 1, 0, 0, 0],
                        [2048, 0, 15, 0, 1, 0, 0, 0],
                        [1536, 0, 15, 0, 1, 0, 0, 0],
                        [1024, 0, 15, 0, 1, 0, 0, 0],
                        [768, 0, 15, 0, 1, 0, 0, 0],
                        [512, 0, 15, 0, 1, 0, 0, 0],
                        [384, 0, 10, 0, 1, 0, 0, 0],
                        [256, 0, 7.5, 0, 1, 0, 0, 0],
                        [128, 0, 5, 0, 1, 0, 0, 0],
                        [64, 0, 2, 0, 1, 0, 0, 0]
                    ],
                    // <5-2>動き優先(NQ)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 15, 0, 1, 0, 0, 0],
                        [3072, 0, 15, 0, 1, 0, 0, 0],
                        [2048, 0, 15, 0, 1, 0, 0, 0],
                        [1536, 0, 15, 0, 1, 0, 0, 0],
                        [1024, 0, 15, 0, 1, 0, 0, 0],
                        [768, 0, 15, 0, 1, 0, 0, 0],
                        [512, 0, 15, 0, 1, 0, 0, 0],
                        [384, 0, 15, 0, 1, 0, 0, 0],
                        [256, 0, 10, 0, 1, 0, 0, 0],
                        [128, 0, 7.5, 0, 1, 0, 0, 0],
                        [64, 0, 3, 0, 1, 0, 0, 0]
                    ]
                ],
                // <2-03>320x320
                [
                    // <5-0>画質優先(SF)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 15, 0, 1, 0, 0, 0],
                        [3072, 0, 15, 0, 1, 0, 0, 0],
                        [2048, 0, 15, 0, 1, 0, 0, 0],
                        [1536, 0, 15, 0, 1, 0, 0, 0],
                        [1024, 0, 15, 0, 1, 0, 0, 0],
                        [768, 0, 10, 0, 1, 0, 0, 0],
                        [512, 0, 7.5, 0, 1, 0, 0, 0],
                        [384, 0, 5, 0, 1, 0, 0, 0],
                        [256, 0, 3, 0, 1, 0, 0, 0],
                        [128, 0, 2, 0, 1, 0, 0, 0],
                        [64, 0, 1, 0, 1, 0, 0, 0]
                    ],
                    // <5-1>標準(FQ)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 15, 0, 1, 0, 0, 0],
                        [3072, 0, 15, 0, 1, 0, 0, 0],
                        [2048, 0, 15, 0, 1, 0, 0, 0],
                        [1536, 0, 15, 0, 1, 0, 0, 0],
                        [1024, 0, 15, 0, 1, 0, 0, 0],
                        [768, 0, 15, 0, 1, 0, 0, 0],
                        [512, 0, 15, 0, 1, 0, 0, 0],
                        [384, 0, 15, 0, 1, 0, 0, 0],
                        [256, 0, 10, 0, 1, 0, 0, 0],
                        [128, 0, 7.5, 0, 1, 0, 0, 0],
                        [64, 0, 5, 0, 1, 0, 0, 0]
                    ],
                    // <5-2>動き優先(NQ)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 15, 0, 1, 0, 0, 0],
                        [3072, 0, 15, 0, 1, 0, 0, 0],
                        [2048, 0, 15, 0, 1, 0, 0, 0],
                        [1536, 0, 15, 0, 1, 0, 0, 0],
                        [1024, 0, 15, 0, 1, 0, 0, 0],
                        [768, 0, 15, 0, 1, 0, 0, 0],
                        [512, 0, 15, 0, 1, 0, 0, 0],
                        [384, 0, 15, 0, 1, 0, 0, 0],
                        [256, 0, 15, 0, 1, 0, 0, 0],
                        [128, 0, 10, 0, 1, 0, 0, 0],
                        [64, 0, 7.5, 0, 1, 0, 0, 0]
                    ]
                ]
            ],
            // <4-1>フレームレート優先
            [
                // <2-00>2992x2992
                [
                    // -
                    [
                        // デフォルト値
                        [4],
                        // 値リスト
                        [16384, 0, 15, 0, 1, 0, 0, 1],
                        [14336, 0, 15, 0, 1, 0, 0, 1],
                        [12288, 0, 15, 0, 1, 0, 0, 1],
                        [10240, 0, 15, 0, 1, 0, 0, 1],
                        [8192, 0, 15, 0, 1, 0, 0, 1],
                        [6144, 0, 12, 0, 1, 0, 0, 1],
                        [4096, 0, 1, 0, 1, 0, 0, 1],
                        [3072, 0, 0, 0, 1, 0, 0, 1]
                    ]
                ],
                // <2-01>1280x1280
                [
                    // -
                    [
                        // デフォルト値
                        [5],
                        // 値リスト
                        [8192, 0, 15, 0, 1, 0, 0, 1],
                        [6144, 0, 15, 0, 1, 0, 0, 1],
                        [4096, 0, 15, 0, 1, 0, 0, 1],
                        [3072, 0, 15, 0, 1, 0, 0, 1],
                        [2048, 0, 15, 0, 1, 0, 0, 1],
                        [1536, 0, 15, 0, 1, 0, 0, 1],
                        [1024, 0, 1, 0, 1, 0, 0, 1],
                        [768, 0, 0, 0, 1, 0, 0, 1],
                        [512, 0, 0, 0, 1, 0, 0, 1],
                        [384, 0, 0, 0, 1, 0, 0, 1],
                        [256, 0, 0, 0, 1, 0, 0, 1]
                    ]
                ],
                // <2-02>640x640
                [
                    // -
                    [
                        // デフォルト値
                        [6],
                        // 値リスト
                        [4096, 0, 15, 0, 1, 0, 0, 0],
                        [3072, 0, 15, 0, 1, 0, 0, 0],
                        [2048, 0, 15, 0, 1, 0, 0, 0],
                        [1536, 0, 15, 0, 1, 0, 0, 0],
                        [1024, 0, 15, 0, 1, 0, 0, 0],
                        [768, 0, 15, 0, 1, 0, 0, 0],
                        [512, 0, 15, 0, 1, 0, 0, 0],
                        [384, 0, 1, 0, 1, 0, 0, 0],
                        [256, 0, 0, 0, 1, 0, 0, 0],
                        [128, 0, 0, 0, 1, 0, 0, 0],
                        [64, 0, 0, 0, 1, 0, 0, 0]
                    ]
                ],
                // <2-03>320x320
                [
                    // -
                    [
                        // デフォルト値
                        [8],
                        // 値リスト
                        [4096, 0, 15, 0, 1, 0, 0, 0],
                        [3072, 0, 15, 0, 1, 0, 0, 0],
                        [2048, 0, 15, 0, 1, 0, 0, 0],
                        [1536, 0, 15, 0, 1, 0, 0, 0],
                        [1024, 0, 15, 0, 1, 0, 0, 0],
                        [768, 0, 15, 0, 1, 0, 0, 0],
                        [512, 0, 15, 0, 1, 0, 0, 0],
                        [384, 0, 15, 0, 1, 0, 0, 0],
                        [256, 0, 15, 0, 1, 0, 0, 0],
                        [128, 0, 1, 0, 1, 0, 0, 0],
                        [64, 0, 0, 0, 1, 0, 0, 0]
                    ]
                ]
            ],
            // <4-2>AdvancedVBR[高]
            [
                // <2-00>2992x2992
                [
                    // -
                    [
                        // デフォルト値
                        [4],
                        // 値リスト
                        [16384, 0, 15, 0, 1, 0, 0, 1],
                        [14336, 0, 15, 0, 1, 0, 0, 1],
                        [12288, 0, 15, 0, 1, 0, 0, 1],
                        [10240, 0, 15, 0, 1, 0, 0, 1],
                        [8192, 0, 15, 0, 1, 0, 0, 1],
                        [6144, 0, 12, 0, 1, 0, 0, 1],
                        [4096, 0, 1, 0, 1, 0, 0, 1],
                        [3072, 0, 0, 0, 1, 0, 0, 1]
                    ]
                ],
                // <2-01>1280x1280
                [
                    // -
                    [
                        // デフォルト値
                        [5],
                        // 値リスト
                        [8192, 0, 15, 0, 1, 0, 0, 1],
                        [6144, 0, 15, 0, 1, 0, 0, 1],
                        [4096, 0, 15, 0, 1, 0, 0, 1],
                        [3072, 0, 15, 0, 1, 0, 0, 1],
                        [2048, 0, 15, 0, 1, 0, 0, 1],
                        [1536, 0, 15, 0, 1, 0, 0, 1],
                        [1024, 0, 1, 0, 1, 0, 0, 1],
                        [768, 0, 0, 0, 1, 0, 0, 1],
                        [512, 0, 0, 0, 1, 0, 0, 1],
                        [384, 0, 0, 0, 1, 0, 0, 1],
                        [256, 0, 0, 0, 1, 0, 0, 1]
                    ]
                ],
                // <2-02>640x640
                [
                    // -
                    [
                        // デフォルト値
                        [6],
                        // 値リスト
                        [4096, 0, 15, 0, 1, 0, 0, 0],
                        [3072, 0, 15, 0, 1, 0, 0, 0],
                        [2048, 0, 15, 0, 1, 0, 0, 0],
                        [1536, 0, 15, 0, 1, 0, 0, 0],
                        [1024, 0, 15, 0, 1, 0, 0, 0],
                        [768, 0, 15, 0, 1, 0, 0, 0],
                        [512, 0, 15, 0, 1, 0, 0, 0],
                        [384, 0, 1, 0, 1, 0, 0, 0],
                        [256, 0, 0, 0, 1, 0, 0, 0],
                        [128, 0, 0, 0, 1, 0, 0, 0],
                        [64, 0, 0, 0, 1, 0, 0, 0]
                    ]
                ],
                // <2-03>320x320
                [
                    // -
                    [
                        // デフォルト値
                        [8],
                        // 値リスト
                        [4096, 0, 15, 0, 1, 0, 0, 0],
                        [3072, 0, 15, 0, 1, 0, 0, 0],
                        [2048, 0, 15, 0, 1, 0, 0, 0],
                        [1536, 0, 15, 0, 1, 0, 0, 0],
                        [1024, 0, 15, 0, 1, 0, 0, 0],
                        [768, 0, 15, 0, 1, 0, 0, 0],
                        [512, 0, 15, 0, 1, 0, 0, 0],
                        [384, 0, 15, 0, 1, 0, 0, 0],
                        [256, 0, 15, 0, 1, 0, 0, 0],
                        [128, 0, 1, 0, 1, 0, 0, 0],
                        [64, 0, 0, 0, 1, 0, 0, 0]
                    ]
                ]
            ],
            // <4-3>AdvancedVBR[中]
            [
                // <2-00>2992x2992
                [
                    // -
                    [
                        // デフォルト値
                        [4],
                        // 値リスト
                        [16384, 0, 15, 0, 1, 0, 0, 1],
                        [14336, 0, 15, 0, 1, 0, 0, 1],
                        [12288, 0, 15, 0, 1, 0, 0, 1],
                        [10240, 0, 15, 0, 1, 0, 0, 1],
                        [8192, 0, 15, 0, 1, 0, 0, 1],
                        [6144, 0, 12, 0, 1, 0, 0, 1],
                        [4096, 0, 1, 0, 1, 0, 0, 1],
                        [3072, 0, 0, 0, 1, 0, 0, 1]
                    ]
                ],
                // <2-01>1280x1280
                [
                    // -
                    [
                        // デフォルト値
                        [5],
                        // 値リスト
                        [8192, 0, 15, 0, 1, 0, 0, 1],
                        [6144, 0, 15, 0, 1, 0, 0, 1],
                        [4096, 0, 15, 0, 1, 0, 0, 1],
                        [3072, 0, 15, 0, 1, 0, 0, 1],
                        [2048, 0, 15, 0, 1, 0, 0, 1],
                        [1536, 0, 15, 0, 1, 0, 0, 1],
                        [1024, 0, 1, 0, 1, 0, 0, 1],
                        [768, 0, 0, 0, 1, 0, 0, 1],
                        [512, 0, 0, 0, 1, 0, 0, 1],
                        [384, 0, 0, 0, 1, 0, 0, 1],
                        [256, 0, 0, 0, 1, 0, 0, 1]
                    ]
                ],
                // <2-02>640x640
                [
                    // -
                    [
                        // デフォルト値
                        [6],
                        // 値リスト
                        [4096, 0, 15, 0, 1, 0, 0, 0],
                        [3072, 0, 15, 0, 1, 0, 0, 0],
                        [2048, 0, 15, 0, 1, 0, 0, 0],
                        [1536, 0, 15, 0, 1, 0, 0, 0],
                        [1024, 0, 15, 0, 1, 0, 0, 0],
                        [768, 0, 15, 0, 1, 0, 0, 0],
                        [512, 0, 15, 0, 1, 0, 0, 0],
                        [384, 0, 1, 0, 1, 0, 0, 0],
                        [256, 0, 0, 0, 1, 0, 0, 0],
                        [128, 0, 0, 0, 1, 0, 0, 0],
                        [64, 0, 0, 0, 1, 0, 0, 0]
                    ]
                ],
                // <2-03>320x320
                [
                    // -
                    [
                        // デフォルト値
                        [8],
                        // 値リスト
                        [4096, 0, 15, 0, 1, 0, 0, 0],
                        [3072, 0, 15, 0, 1, 0, 0, 0],
                        [2048, 0, 15, 0, 1, 0, 0, 0],
                        [1536, 0, 15, 0, 1, 0, 0, 0],
                        [1024, 0, 15, 0, 1, 0, 0, 0],
                        [768, 0, 15, 0, 1, 0, 0, 0],
                        [512, 0, 15, 0, 1, 0, 0, 0],
                        [384, 0, 15, 0, 1, 0, 0, 0],
                        [256, 0, 15, 0, 1, 0, 0, 0],
                        [128, 0, 1, 0, 1, 0, 0, 0],
                        [64, 0, 0, 0, 1, 0, 0, 0]
                    ]
                ]
            ],
            // <4-4>AdvancedVBR[低]
            [
                // <2-00>2992x2992
                [
                    // -
                    [
                        // デフォルト値
                        [4],
                        // 値リスト
                        [16384, 0, 15, 0, 1, 0, 0, 1],
                        [14336, 0, 15, 0, 1, 0, 0, 1],
                        [12288, 0, 15, 0, 1, 0, 0, 1],
                        [10240, 0, 15, 0, 1, 0, 0, 1],
                        [8192, 0, 15, 0, 1, 0, 0, 1],
                        [6144, 0, 12, 0, 1, 0, 0, 1],
                        [4096, 0, 1, 0, 1, 0, 0, 1],
                        [3072, 0, 0, 0, 1, 0, 0, 1]
                    ]
                ],
                // <2-01>1280x1280
                [
                    // -
                    [
                        // デフォルト値
                        [5],
                        // 値リスト
                        [8192, 0, 15, 0, 1, 0, 0, 1],
                        [6144, 0, 15, 0, 1, 0, 0, 1],
                        [4096, 0, 15, 0, 1, 0, 0, 1],
                        [3072, 0, 15, 0, 1, 0, 0, 1],
                        [2048, 0, 15, 0, 1, 0, 0, 1],
                        [1536, 0, 15, 0, 1, 0, 0, 1],
                        [1024, 0, 1, 0, 1, 0, 0, 1],
                        [768, 0, 0, 0, 1, 0, 0, 1],
                        [512, 0, 0, 0, 1, 0, 0, 1],
                        [384, 0, 0, 0, 1, 0, 0, 1],
                        [256, 0, 0, 0, 1, 0, 0, 1]
                    ]
                ],
                // <2-02>640x640
                [
                    // -
                    [
                        // デフォルト値
                        [6],
                        // 値リスト
                        [4096, 0, 15, 0, 1, 0, 0, 0],
                        [3072, 0, 15, 0, 1, 0, 0, 0],
                        [2048, 0, 15, 0, 1, 0, 0, 0],
                        [1536, 0, 15, 0, 1, 0, 0, 0],
                        [1024, 0, 15, 0, 1, 0, 0, 0],
                        [768, 0, 15, 0, 1, 0, 0, 0],
                        [512, 0, 15, 0, 1, 0, 0, 0],
                        [384, 0, 1, 0, 1, 0, 0, 0],
                        [256, 0, 0, 0, 1, 0, 0, 0],
                        [128, 0, 0, 0, 1, 0, 0, 0],
                        [64, 0, 0, 0, 1, 0, 0, 0]
                    ]
                ],
                // <2-03>320x320
                [
                    // -
                    [
                        // デフォルト値
                        [8],
                        // 値リスト
                        [4096, 0, 15, 0, 1, 0, 0, 0],
                        [3072, 0, 15, 0, 1, 0, 0, 0],
                        [2048, 0, 15, 0, 1, 0, 0, 0],
                        [1536, 0, 15, 0, 1, 0, 0, 0],
                        [1024, 0, 15, 0, 1, 0, 0, 0],
                        [768, 0, 15, 0, 1, 0, 0, 0],
                        [512, 0, 15, 0, 1, 0, 0, 0],
                        [384, 0, 15, 0, 1, 0, 0, 0],
                        [256, 0, 15, 0, 1, 0, 0, 0],
                        [128, 0, 1, 0, 1, 0, 0, 0],
                        [64, 0, 0, 0, 1, 0, 0, 0]
                    ]
                ]
            ]
        ],
        // <3-1>4M(FE)
        [
            // <4-0>ビットレート優先
            [
                // <2-00>2048x2048
                [
                    // <5-0>画質優先(SF)
                    [
                        // デフォルト値
                        [6],
                        // 値リスト
                        [16384, 0, 30, 0, 1, 0, 0, 1],
                        [14336, 0, 30, 0, 1, 0, 0, 1],
                        [12288, 0, 30, 0, 1, 0, 0, 1],
                        [10240, 0, 22.5, 0, 1, 0, 0, 1],
                        [8192, 0, 20, 0, 1, 0, 0, 1],
                        [6144, 0, 15, 0, 1, 0, 0, 1],
                        [4096, 0, 10, 0, 1, 0, 0, 1],
                        [3072, 0, 7.5, 0, 1, 0, 0, 1],
                        [2048, 0, 5, 0, 1, 0, 0, 1],
                        [1536, 0, 3, 0, 1, 0, 0, 1]
                    ],
                    // <5-1>標準(FQ)
                    [
                        // デフォルト値
                        [6],
                        // 値リスト
                        [16384, 0, 30, 0, 1, 0, 0, 1],
                        [14336, 0, 30, 0, 1, 0, 0, 1],
                        [12288, 0, 30, 0, 1, 0, 0, 1],
                        [10240, 0, 30, 0, 1, 0, 0, 1],
                        [8192, 0, 25, 0, 1, 0, 0, 1],
                        [6144, 0, 22.5, 0, 1, 0, 0, 1],
                        [4096, 0, 20, 0, 1, 0, 0, 1],
                        [3072, 0, 10, 0, 1, 0, 0, 1],
                        [2048, 0, 7.5, 0, 1, 0, 0, 1],
                        [1536, 0, 5, 0, 1, 0, 0, 1]
                    ],
                    // <5-2>動き優先(NQ)
                    [
                        // デフォルト値
                        [6],
                        // 値リスト
                        [16384, 0, 30, 0, 1, 0, 0, 1],
                        [14336, 0, 30, 0, 1, 0, 0, 1],
                        [12288, 0, 30, 0, 1, 0, 0, 1],
                        [10240, 0, 30, 0, 1, 0, 0, 1],
                        [8192, 0, 30, 0, 1, 0, 0, 1],
                        [6144, 0, 30, 0, 1, 0, 0, 1],
                        [4096, 0, 30, 0, 1, 0, 0, 1],
                        [3072, 0, 20, 0, 1, 0, 0, 1],
                        [2048, 0, 15, 0, 1, 0, 0, 1],
                        [1536, 0, 10, 0, 1, 0, 0, 1]
                    ]
                ],
                // <2-01>1280x1280
                [
                    // <5-0>画質優先(SF)
                    [
                        // デフォルト値
                        [2],
                        // 値リスト
                        [8192, 0, 22.5, 0, 1, 0, 0, 1],
                        [6144, 0, 20, 0, 1, 0, 0, 1],
                        [4096, 0, 15, 0, 1, 0, 0, 1],
                        [3072, 0, 15, 0, 1, 0, 0, 1],
                        [2048, 0, 10, 0, 1, 0, 0, 1],
                        [1536, 0, 7.5, 0, 1, 0, 0, 1],
                        [1024, 0, 5, 0, 1, 0, 0, 1],
                        [768, 0, 3, 0, 1, 0, 0, 1],
                        [512, 0, 2, 0, 1, 0, 0, 1],
                        [384, 0, 1, 0, 1, 0, 0, 1],
                        [256, 0, 1, 0, 1, 0, 0, 1]
                    ],
                    // <5-1>標準(FQ)
                    [
                        // デフォルト値
                        [2],
                        // 値リスト
                        [8192, 0, 30, 0, 1, 0, 0, 1],
                        [6144, 0, 30, 0, 1, 0, 0, 1],
                        [4096, 0, 30, 0, 1, 0, 0, 1],
                        [3072, 0, 30, 0, 1, 0, 0, 1],
                        [2048, 0, 22.5, 0, 1, 0, 0, 1],
                        [1536, 0, 20, 0, 1, 0, 0, 1],
                        [1024, 0, 15, 0, 1, 0, 0, 1],
                        [768, 0, 10, 0, 1, 0, 0, 1],
                        [512, 0, 7.5, 0, 1, 0, 0, 1],
                        [384, 0, 5, 0, 1, 0, 0, 1],
                        [256, 0, 1, 0, 1, 0, 0, 1]
                    ],
                    // <5-2>動き優先(NQ)
                    [
                        // デフォルト値
                        [2],
                        // 値リスト
                        [8192, 0, 30, 0, 1, 0, 0, 1],
                        [6144, 0, 30, 0, 1, 0, 0, 1],
                        [4096, 0, 30, 0, 1, 0, 0, 1],
                        [3072, 0, 30, 0, 1, 0, 0, 1],
                        [2048, 0, 30, 0, 1, 0, 0, 1],
                        [1536, 0, 30, 0, 1, 0, 0, 1],
                        [1024, 0, 20, 0, 1, 0, 0, 1],
                        [768, 0, 15, 0, 1, 0, 0, 1],
                        [512, 0, 10, 0, 1, 0, 0, 1],
                        [384, 0, 7.5, 0, 1, 0, 0, 1],
                        [256, 0, 3, 0, 1, 0, 0, 1]
                    ]
                ],
                // <2-02>640x640
                [
                    // <5-0>画質優先(SF)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 22.5, 0, 1, 0, 0, 0],
                        [3072, 0, 20, 0, 1, 0, 0, 0],
                        [2048, 0, 15, 0, 1, 0, 0, 0],
                        [1536, 0, 15, 0, 1, 0, 0, 0],
                        [1024, 0, 10, 0, 1, 0, 0, 0],
                        [768, 0, 7.5, 0, 1, 0, 0, 0],
                        [512, 0, 5, 0, 1, 0, 0, 0],
                        [384, 0, 3, 0, 1, 0, 0, 0],
                        [256, 0, 2, 0, 1, 0, 0, 0],
                        [128, 0, 1, 0, 1, 0, 0, 0],
                        [64, 0, 1, 0, 1, 0, 0, 0]
                    ],
                    // <5-1>標準(FQ)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 0, 1, 0, 0, 0],
                        [3072, 0, 30, 0, 1, 0, 0, 0],
                        [2048, 0, 30, 0, 1, 0, 0, 0],
                        [1536, 0, 30, 0, 1, 0, 0, 0],
                        [1024, 0, 22.5, 0, 1, 0, 0, 0],
                        [768, 0, 20, 0, 1, 0, 0, 0],
                        [512, 0, 15, 0, 1, 0, 0, 0],
                        [384, 0, 10, 0, 1, 0, 0, 0],
                        [256, 0, 7.5, 0, 1, 0, 0, 0],
                        [128, 0, 5, 0, 1, 0, 0, 0],
                        [64, 0, 2, 0, 1, 0, 0, 0]
                    ],
                    // <5-2>動き優先(NQ)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 0, 1, 0, 0, 0],
                        [3072, 0, 30, 0, 1, 0, 0, 0],
                        [2048, 0, 30, 0, 1, 0, 0, 0],
                        [1536, 0, 30, 0, 1, 0, 0, 0],
                        [1024, 0, 30, 0, 1, 0, 0, 0],
                        [768, 0, 30, 0, 1, 0, 0, 0],
                        [512, 0, 20, 0, 1, 0, 0, 0],
                        [384, 0, 15, 0, 1, 0, 0, 0],
                        [256, 0, 10, 0, 1, 0, 0, 0],
                        [128, 0, 7.5, 0, 1, 0, 0, 0],
                        [64, 0, 3, 0, 1, 0, 0, 0]
                    ]
                ],
                // <2-03>320x320
                [
                    // <5-0>画質優先(SF)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 0, 1, 0, 0, 0],
                        [3072, 0, 30, 0, 1, 0, 0, 0],
                        [2048, 0, 22.5, 0, 1, 0, 0, 0],
                        [1536, 0, 20, 0, 1, 0, 0, 0],
                        [1024, 0, 15, 0, 1, 0, 0, 0],
                        [768, 0, 10, 0, 1, 0, 0, 0],
                        [512, 0, 7.5, 0, 1, 0, 0, 0],
                        [384, 0, 5, 0, 1, 0, 0, 0],
                        [256, 0, 3, 0, 1, 0, 0, 0],
                        [128, 0, 2, 0, 1, 0, 0, 0],
                        [64, 0, 1, 0, 1, 0, 0, 0]
                    ],
                    // <5-1>標準(FQ)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 0, 1, 0, 0, 0],
                        [3072, 0, 30, 0, 1, 0, 0, 0],
                        [2048, 0, 30, 0, 1, 0, 0, 0],
                        [1536, 0, 30, 0, 1, 0, 0, 0],
                        [1024, 0, 30, 0, 1, 0, 0, 0],
                        [768, 0, 22.5, 0, 1, 0, 0, 0],
                        [512, 0, 20, 0, 1, 0, 0, 0],
                        [384, 0, 15, 0, 1, 0, 0, 0],
                        [256, 0, 10, 0, 1, 0, 0, 0],
                        [128, 0, 7.5, 0, 1, 0, 0, 0],
                        [64, 0, 5, 0, 1, 0, 0, 0]
                    ],
                    // <5-2>動き優先(NQ)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 0, 1, 0, 0, 0],
                        [3072, 0, 30, 0, 1, 0, 0, 0],
                        [2048, 0, 30, 0, 1, 0, 0, 0],
                        [1536, 0, 30, 0, 1, 0, 0, 0],
                        [1024, 0, 30, 0, 1, 0, 0, 0],
                        [768, 0, 30, 0, 1, 0, 0, 0],
                        [512, 0, 30, 0, 1, 0, 0, 0],
                        [384, 0, 20, 0, 1, 0, 0, 0],
                        [256, 0, 15, 0, 1, 0, 0, 0],
                        [128, 0, 10, 0, 1, 0, 0, 0],
                        [64, 0, 7.5, 0, 1, 0, 0, 0]
                    ]
                ]
            ],
            // <4-1>フレームレート優先
            [
                // <2-00>2048x2048
                [
                    // -
                    [
                        // デフォルト値
                        [6],
                        // 値リスト
                        [16384, 0, 30, 0, 1, 0, 0, 1],
                        [14336, 0, 30, 0, 1, 0, 0, 1],
                        [12288, 0, 30, 0, 1, 0, 0, 1],
                        [10240, 0, 30, 0, 1, 0, 0, 1],
                        [8192, 0, 30, 0, 1, 0, 0, 1],
                        [6144, 0, 30, 0, 1, 0, 0, 1],
                        [4096, 0, 30, 0, 1, 0, 0, 1],
                        [3072, 0, 15, 0, 1, 0, 0, 1],
                        [2048, 0, 1, 0, 1, 0, 0, 1],
                        [1536, 0, 0, 0, 1, 0, 0, 1]
                    ]
                ],
                // <2-01>1280x1280
                [
                    // -
                    [
                        // デフォルト値
                        [4],
                        // 値リスト
                        [8192, 0, 30, 0, 1, 0, 0, 1],
                        [6144, 0, 30, 0, 1, 0, 0, 1],
                        [4096, 0, 30, 0, 1, 0, 0, 1],
                        [3072, 0, 30, 0, 1, 0, 0, 1],
                        [2048, 0, 30, 0, 1, 0, 0, 1],
                        [1536, 0, 15, 0, 1, 0, 0, 1],
                        [1024, 0, 1, 0, 1, 0, 0, 1],
                        [768, 0, 0, 0, 1, 0, 0, 1],
                        [512, 0, 0, 0, 1, 0, 0, 1],
                        [384, 0, 0, 0, 1, 0, 0, 1],
                        [256, 0, 0, 0, 1, 0, 0, 1]
                    ]
                ],
                // <2-02>640x640
                [
                    // -
                    [
                        // デフォルト値
                        [5],
                        // 値リスト
                        [4096, 0, 30, 0, 1, 0, 0, 0],
                        [3072, 0, 30, 0, 1, 0, 0, 0],
                        [2048, 0, 30, 0, 1, 0, 0, 0],
                        [1536, 0, 30, 0, 1, 0, 0, 0],
                        [1024, 0, 30, 0, 1, 0, 0, 0],
                        [768, 0, 30, 0, 1, 0, 0, 0],
                        [512, 0, 15, 0, 1, 0, 0, 0],
                        [384, 0, 1, 0, 1, 0, 0, 0],
                        [256, 0, 0, 0, 1, 0, 0, 0],
                        [128, 0, 0, 0, 1, 0, 0, 0],
                        [64, 0, 0, 0, 1, 0, 0, 0]
                    ]
                ],
                // <2-03>320x320
                [
                    // -
                    [
                        // デフォルト値
                        [7],
                        // 値リスト
                        [4096, 0, 30, 0, 1, 0, 0, 0],
                        [3072, 0, 30, 0, 1, 0, 0, 0],
                        [2048, 0, 30, 0, 1, 0, 0, 0],
                        [1536, 0, 30, 0, 1, 0, 0, 0],
                        [1024, 0, 30, 0, 1, 0, 0, 0],
                        [768, 0, 30, 0, 1, 0, 0, 0],
                        [512, 0, 30, 0, 1, 0, 0, 0],
                        [384, 0, 30, 0, 1, 0, 0, 0],
                        [256, 0, 15, 0, 1, 0, 0, 0],
                        [128, 0, 1, 0, 1, 0, 0, 0],
                        [64, 0, 0, 0, 1, 0, 0, 0]
                    ]
                ]
            ],
            // <4-2>AdvancedVBR[高]
            [
                // <2-00>2048x2048
                [
                    // -
                    [
                        // デフォルト値
                        [6],
                        // 値リスト
                        [16384, 0, 30, 0, 1, 0, 0, 1],
                        [14336, 0, 30, 0, 1, 0, 0, 1],
                        [12288, 0, 30, 0, 1, 0, 0, 1],
                        [10240, 0, 30, 0, 1, 0, 0, 1],
                        [8192, 0, 30, 0, 1, 0, 0, 1],
                        [6144, 0, 30, 0, 1, 0, 0, 1],
                        [4096, 0, 30, 0, 1, 0, 0, 1],
                        [3072, 0, 15, 0, 1, 0, 0, 1],
                        [2048, 0, 1, 0, 1, 0, 0, 1],
                        [1536, 0, 0, 0, 1, 0, 0, 1]
                    ]
                ],
                // <2-01>1280x1280
                [
                    // -
                    [
                        // デフォルト値
                        [4],
                        // 値リスト
                        [8192, 0, 30, 0, 1, 0, 0, 1],
                        [6144, 0, 30, 0, 1, 0, 0, 1],
                        [4096, 0, 30, 0, 1, 0, 0, 1],
                        [3072, 0, 30, 0, 1, 0, 0, 1],
                        [2048, 0, 30, 0, 1, 0, 0, 1],
                        [1536, 0, 15, 0, 1, 0, 0, 1],
                        [1024, 0, 1, 0, 1, 0, 0, 1],
                        [768, 0, 0, 0, 1, 0, 0, 1],
                        [512, 0, 0, 0, 1, 0, 0, 1],
                        [384, 0, 0, 0, 1, 0, 0, 1],
                        [256, 0, 0, 0, 1, 0, 0, 1]
                    ]
                ],
                // <2-02>640x640
                [
                    // -
                    [
                        // デフォルト値
                        [5],
                        // 値リスト
                        [4096, 0, 30, 0, 1, 0, 0, 0],
                        [3072, 0, 30, 0, 1, 0, 0, 0],
                        [2048, 0, 30, 0, 1, 0, 0, 0],
                        [1536, 0, 30, 0, 1, 0, 0, 0],
                        [1024, 0, 30, 0, 1, 0, 0, 0],
                        [768, 0, 30, 0, 1, 0, 0, 0],
                        [512, 0, 15, 0, 1, 0, 0, 0],
                        [384, 0, 1, 0, 1, 0, 0, 0],
                        [256, 0, 0, 0, 1, 0, 0, 0],
                        [128, 0, 0, 0, 1, 0, 0, 0],
                        [64, 0, 0, 0, 1, 0, 0, 0]
                    ]
                ],
                // <2-03>320x320
                [
                    // -
                    [
                        // デフォルト値
                        [7],
                        // 値リスト
                        [4096, 0, 30, 0, 1, 0, 0, 0],
                        [3072, 0, 30, 0, 1, 0, 0, 0],
                        [2048, 0, 30, 0, 1, 0, 0, 0],
                        [1536, 0, 30, 0, 1, 0, 0, 0],
                        [1024, 0, 30, 0, 1, 0, 0, 0],
                        [768, 0, 30, 0, 1, 0, 0, 0],
                        [512, 0, 30, 0, 1, 0, 0, 0],
                        [384, 0, 30, 0, 1, 0, 0, 0],
                        [256, 0, 15, 0, 1, 0, 0, 0],
                        [128, 0, 1, 0, 1, 0, 0, 0],
                        [64, 0, 0, 0, 1, 0, 0, 0]
                    ]
                ]
            ],
            // <4-3>AdvancedVBR[中]
            [
                // <2-00>2048x2048
                [
                    // -
                    [
                        // デフォルト値
                        [6],
                        // 値リスト
                        [16384, 0, 30, 0, 1, 0, 0, 1],
                        [14336, 0, 30, 0, 1, 0, 0, 1],
                        [12288, 0, 30, 0, 1, 0, 0, 1],
                        [10240, 0, 30, 0, 1, 0, 0, 1],
                        [8192, 0, 30, 0, 1, 0, 0, 1],
                        [6144, 0, 30, 0, 1, 0, 0, 1],
                        [4096, 0, 30, 0, 1, 0, 0, 1],
                        [3072, 0, 15, 0, 1, 0, 0, 1],
                        [2048, 0, 1, 0, 1, 0, 0, 1],
                        [1536, 0, 0, 0, 1, 0, 0, 1]
                    ]
                ],
                // <2-01>1280x1280
                [
                    // -
                    [
                        // デフォルト値
                        [4],
                        // 値リスト
                        [8192, 0, 30, 0, 1, 0, 0, 1],
                        [6144, 0, 30, 0, 1, 0, 0, 1],
                        [4096, 0, 30, 0, 1, 0, 0, 1],
                        [3072, 0, 30, 0, 1, 0, 0, 1],
                        [2048, 0, 30, 0, 1, 0, 0, 1],
                        [1536, 0, 15, 0, 1, 0, 0, 1],
                        [1024, 0, 1, 0, 1, 0, 0, 1],
                        [768, 0, 0, 0, 1, 0, 0, 1],
                        [512, 0, 0, 0, 1, 0, 0, 1],
                        [384, 0, 0, 0, 1, 0, 0, 1],
                        [256, 0, 0, 0, 1, 0, 0, 1]
                    ]
                ],
                // <2-02>640x640
                [
                    // -
                    [
                        // デフォルト値
                        [5],
                        // 値リスト
                        [4096, 0, 30, 0, 1, 0, 0, 0],
                        [3072, 0, 30, 0, 1, 0, 0, 0],
                        [2048, 0, 30, 0, 1, 0, 0, 0],
                        [1536, 0, 30, 0, 1, 0, 0, 0],
                        [1024, 0, 30, 0, 1, 0, 0, 0],
                        [768, 0, 30, 0, 1, 0, 0, 0],
                        [512, 0, 15, 0, 1, 0, 0, 0],
                        [384, 0, 1, 0, 1, 0, 0, 0],
                        [256, 0, 0, 0, 1, 0, 0, 0],
                        [128, 0, 0, 0, 1, 0, 0, 0],
                        [64, 0, 0, 0, 1, 0, 0, 0]
                    ]
                ],
                // <2-03>320x320
                [
                    // -
                    [
                        // デフォルト値
                        [7],
                        // 値リスト
                        [4096, 0, 30, 0, 1, 0, 0, 0],
                        [3072, 0, 30, 0, 1, 0, 0, 0],
                        [2048, 0, 30, 0, 1, 0, 0, 0],
                        [1536, 0, 30, 0, 1, 0, 0, 0],
                        [1024, 0, 30, 0, 1, 0, 0, 0],
                        [768, 0, 30, 0, 1, 0, 0, 0],
                        [512, 0, 30, 0, 1, 0, 0, 0],
                        [384, 0, 30, 0, 1, 0, 0, 0],
                        [256, 0, 15, 0, 1, 0, 0, 0],
                        [128, 0, 1, 0, 1, 0, 0, 0],
                        [64, 0, 0, 0, 1, 0, 0, 0]
                    ]
                ]
            ],
            // <4-4>AdvancedVBR[低]
            [
                // <2-00>2048x2048
                [
                    // -
                    [
                        // デフォルト値
                        [6],
                        // 値リスト
                        [16384, 0, 30, 0, 1, 0, 0, 1],
                        [14336, 0, 30, 0, 1, 0, 0, 1],
                        [12288, 0, 30, 0, 1, 0, 0, 1],
                        [10240, 0, 30, 0, 1, 0, 0, 1],
                        [8192, 0, 30, 0, 1, 0, 0, 1],
                        [6144, 0, 30, 0, 1, 0, 0, 1],
                        [4096, 0, 30, 0, 1, 0, 0, 1],
                        [3072, 0, 15, 0, 1, 0, 0, 1],
                        [2048, 0, 1, 0, 1, 0, 0, 1],
                        [1536, 0, 0, 0, 1, 0, 0, 1]
                    ]
                ],
                // <2-01>1280x1280
                [
                    // -
                    [
                        // デフォルト値
                        [4],
                        // 値リスト
                        [8192, 0, 30, 0, 1, 0, 0, 1],
                        [6144, 0, 30, 0, 1, 0, 0, 1],
                        [4096, 0, 30, 0, 1, 0, 0, 1],
                        [3072, 0, 30, 0, 1, 0, 0, 1],
                        [2048, 0, 30, 0, 1, 0, 0, 1],
                        [1536, 0, 15, 0, 1, 0, 0, 1],
                        [1024, 0, 1, 0, 1, 0, 0, 1],
                        [768, 0, 0, 0, 1, 0, 0, 1],
                        [512, 0, 0, 0, 1, 0, 0, 1],
                        [384, 0, 0, 0, 1, 0, 0, 1],
                        [256, 0, 0, 0, 1, 0, 0, 1]
                    ]
                ],
                // <2-02>640x640
                [
                    // -
                    [
                        // デフォルト値
                        [5],
                        // 値リスト
                        [4096, 0, 30, 0, 1, 0, 0, 0],
                        [3072, 0, 30, 0, 1, 0, 0, 0],
                        [2048, 0, 30, 0, 1, 0, 0, 0],
                        [1536, 0, 30, 0, 1, 0, 0, 0],
                        [1024, 0, 30, 0, 1, 0, 0, 0],
                        [768, 0, 30, 0, 1, 0, 0, 0],
                        [512, 0, 15, 0, 1, 0, 0, 0],
                        [384, 0, 1, 0, 1, 0, 0, 0],
                        [256, 0, 0, 0, 1, 0, 0, 0],
                        [128, 0, 0, 0, 1, 0, 0, 0],
                        [64, 0, 0, 0, 1, 0, 0, 0]
                    ]
                ],
                // <2-03>320x320
                [
                    // -
                    [
                        // デフォルト値
                        [7],
                        // 値リスト
                        [4096, 0, 30, 0, 1, 0, 0, 0],
                        [3072, 0, 30, 0, 1, 0, 0, 0],
                        [2048, 0, 30, 0, 1, 0, 0, 0],
                        [1536, 0, 30, 0, 1, 0, 0, 0],
                        [1024, 0, 30, 0, 1, 0, 0, 0],
                        [768, 0, 30, 0, 1, 0, 0, 0],
                        [512, 0, 30, 0, 1, 0, 0, 0],
                        [384, 0, 30, 0, 1, 0, 0, 0],
                        [256, 0, 15, 0, 1, 0, 0, 0],
                        [128, 0, 1, 0, 1, 0, 0, 0],
                        [64, 0, 0, 0, 1, 0, 0, 0]
                    ]
                ]
            ]
        ],
        // <3-2>DP/P
        [
            // <4-0>ビットレート優先
            [
                // <2-00>WQHD
                [
                    // <5-0>画質優先(SF)
                    [
                        // デフォルト値
                        [6],
                        // 値リスト
                        [16384, 0, 15, 0, 1, 0, 0, 1],
                        [14336, 0, 15, 0, 1, 0, 0, 1],
                        [12288, 0, 15, 0, 1, 0, 0, 1],
                        [10240, 0, 15, 0, 1, 0, 0, 1],
                        [8192, 0, 15, 0, 1, 0, 0, 1],
                        [6144, 0, 15, 0, 1, 0, 0, 1],
                        [4096, 0, 10, 0, 1, 0, 0, 1],
                        [3072, 0, 7.5, 0, 1, 0, 0, 1],
                        [2048, 0, 5, 0, 1, 0, 0, 1],
                        [1536, 0, 3, 0, 1, 0, 0, 1]
                    ],
                    // <5-1>標準(FQ)
                    [
                        // デフォルト値
                        [6],
                        // 値リスト
                        [16384, 0, 15, 0, 1, 0, 0, 1],
                        [14336, 0, 15, 0, 1, 0, 0, 1],
                        [12288, 0, 15, 0, 1, 0, 0, 1],
                        [10240, 0, 15, 0, 1, 0, 0, 1],
                        [8192, 0, 15, 0, 1, 0, 0, 1],
                        [6144, 0, 15, 0, 1, 0, 0, 1],
                        [4096, 0, 15, 0, 1, 0, 0, 1],
                        [3072, 0, 10, 0, 1, 0, 0, 1],
                        [2048, 0, 7.5, 0, 1, 0, 0, 1],
                        [1536, 0, 5, 0, 1, 0, 0, 1]
                    ],
                    // <5-2>動き優先(NQ)
                    [
                        // デフォルト値
                        [6],
                        // 値リスト
                        [16384, 0, 15, 0, 1, 0, 0, 1],
                        [14336, 0, 15, 0, 1, 0, 0, 1],
                        [12288, 0, 15, 0, 1, 0, 0, 1],
                        [10240, 0, 15, 0, 1, 0, 0, 1],
                        [8192, 0, 15, 0, 1, 0, 0, 1],
                        [6144, 0, 15, 0, 1, 0, 0, 1],
                        [4096, 0, 15, 0, 1, 0, 0, 1],
                        [3072, 0, 15, 0, 1, 0, 0, 1],
                        [2048, 0, 15, 0, 1, 0, 0, 1],
                        [1536, 0, 10, 0, 1, 0, 0, 1]
                    ]
                ],
                // <2-01>FHD
                [
                    // <5-0>画質優先(SF)
                    [
                        // デフォルト値
                        [5],
                        // 値リスト
                        [14336, 0, 15, 0, 1, 0, 0, 1],
                        [12288, 0, 15, 0, 1, 0, 0, 1],
                        [10240, 0, 15, 0, 1, 0, 0, 1],
                        [8192, 0, 15, 0, 1, 0, 0, 1],
                        [6144, 0, 15, 0, 1, 0, 0, 1],
                        [4096, 0, 15, 0, 1, 0, 0, 1],
                        [3072, 0, 15, 0, 1, 0, 0, 1],
                        [2048, 0, 10, 0, 1, 0, 0, 1],
                        [1536, 0, 7.5, 0, 1, 0, 0, 1],
                        [1024, 0, 5, 0, 1, 0, 0, 1],
                        [768, 0, 3, 0, 1, 0, 0, 1],
                        [512, 0, 2, 0, 1, 0, 0, 1]
                    ],
                    // <5-1>標準(FQ)
                    [
                        // デフォルト値
                        [5],
                        // 値リスト
                        [14336, 0, 15, 0, 1, 0, 0, 1],
                        [12288, 0, 15, 0, 1, 0, 0, 1],
                        [10240, 0, 15, 0, 1, 0, 0, 1],
                        [8192, 0, 15, 0, 1, 0, 0, 1],
                        [6144, 0, 15, 0, 1, 0, 0, 1],
                        [4096, 0, 15, 0, 1, 0, 0, 1],
                        [3072, 0, 15, 0, 1, 0, 0, 1],
                        [2048, 0, 15, 0, 1, 0, 0, 1],
                        [1536, 0, 10, 0, 1, 0, 0, 1],
                        [1024, 0, 7.5, 0, 1, 0, 0, 1],
                        [768, 0, 5, 0, 1, 0, 0, 1],
                        [512, 0, 3, 0, 1, 0, 0, 1]
                    ],
                    // <5-2>動き優先(NQ)
                    [
                        // デフォルト値
                        [5],
                        // 値リスト
                        [14336, 0, 15, 0, 1, 0, 0, 1],
                        [12288, 0, 15, 0, 1, 0, 0, 1],
                        [10240, 0, 15, 0, 1, 0, 0, 1],
                        [8192, 0, 15, 0, 1, 0, 0, 1],
                        [6144, 0, 15, 0, 1, 0, 0, 1],
                        [4096, 0, 15, 0, 1, 0, 0, 1],
                        [3072, 0, 15, 0, 1, 0, 0, 1],
                        [2048, 0, 15, 0, 1, 0, 0, 1],
                        [1536, 0, 15, 0, 1, 0, 0, 1],
                        [1024, 0, 15, 0, 1, 0, 0, 1],
                        [768, 0, 10, 0, 1, 0, 0, 1],
                        [512, 0, 7.5, 0, 1, 0, 0, 1]
                    ]
                ],
                // <2-02>HD
                [
                    // <5-0>画質優先(SF)
                    [
                        // デフォルト値
                        [2],
                        // 値リスト
                        [8192, 0, 15, 0, 1, 0, 0, 1],
                        [6144, 0, 15, 0, 1, 0, 0, 1],
                        [4096, 0, 15, 0, 1, 0, 0, 1],
                        [3072, 0, 15, 0, 1, 0, 0, 1],
                        [2048, 0, 10, 0, 1, 0, 0, 1],
                        [1536, 0, 7.5, 0, 1, 0, 0, 1],
                        [1024, 0, 5, 0, 1, 0, 0, 1],
                        [768, 0, 3, 0, 1, 0, 0, 1],
                        [512, 0, 2, 0, 1, 0, 0, 1],
                        [384, 0, 1, 0, 1, 0, 0, 1],
                        [256, 0, 1, 0, 1, 0, 0, 1]
                    ],
                    // <5-1>標準(FQ)
                    [
                        // デフォルト値
                        [2],
                        // 値リスト
                        [8192, 0, 15, 0, 1, 0, 0, 1],
                        [6144, 0, 15, 0, 1, 0, 0, 1],
                        [4096, 0, 15, 0, 1, 0, 0, 1],
                        [3072, 0, 15, 0, 1, 0, 0, 1],
                        [2048, 0, 15, 0, 1, 0, 0, 1],
                        [1536, 0, 10, 0, 1, 0, 0, 1],
                        [1024, 0, 7.5, 0, 1, 0, 0, 1],
                        [768, 0, 5, 0, 1, 0, 0, 1],
                        [512, 0, 3, 0, 1, 0, 0, 1],
                        [384, 0, 2, 0, 1, 0, 0, 1],
                        [256, 0, 1, 0, 1, 0, 0, 1]
                    ],
                    // <5-2>動き優先(NQ)
                    [
                        // デフォルト値
                        [2],
                        // 値リスト
                        [8192, 0, 15, 0, 1, 0, 0, 1],
                        [6144, 0, 15, 0, 1, 0, 0, 1],
                        [4096, 0, 15, 0, 1, 0, 0, 1],
                        [3072, 0, 15, 0, 1, 0, 0, 1],
                        [2048, 0, 15, 0, 1, 0, 0, 1],
                        [1536, 0, 15, 0, 1, 0, 0, 1],
                        [1024, 0, 15, 0, 1, 0, 0, 1],
                        [768, 0, 10, 0, 1, 0, 0, 1],
                        [512, 0, 7.5, 0, 1, 0, 0, 1],
                        [384, 0, 5, 0, 1, 0, 0, 1],
                        [256, 0, 3, 0, 1, 0, 0, 1]
                    ]
                ],
                // <2-03>HVGAW
                [
                    // <5-0>画質優先(SF)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 15, 0, 1, 0, 0, 1],
                        [3072, 0, 15, 0, 1, 0, 0, 1],
                        [2048, 0, 15, 0, 1, 0, 0, 1],
                        [1536, 0, 15, 0, 1, 0, 0, 1],
                        [1024, 0, 10, 0, 1, 0, 0, 1],
                        [768, 0, 7.5, 0, 1, 0, 0, 1],
                        [512, 0, 5, 0, 1, 0, 0, 1],
                        [384, 0, 3, 0, 1, 0, 0, 1],
                        [256, 0, 2, 0, 1, 0, 0, 1],
                        [128, 0, 1, 0, 1, 0, 0, 1],
                        [64, 0, 1, 0, 1, 0, 0, 1]
                    ],
                    // <5-1>標準(FQ)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 15, 0, 1, 0, 0, 1],
                        [3072, 0, 15, 0, 1, 0, 0, 1],
                        [2048, 0, 15, 0, 1, 0, 0, 1],
                        [1536, 0, 15, 0, 1, 0, 0, 1],
                        [1024, 0, 15, 0, 1, 0, 0, 1],
                        [768, 0, 15, 0, 1, 0, 0, 1],
                        [512, 0, 15, 0, 1, 0, 0, 1],
                        [384, 0, 10, 0, 1, 0, 0, 1],
                        [256, 0, 7.5, 0, 1, 0, 0, 1],
                        [128, 0, 5, 0, 1, 0, 0, 1],
                        [64, 0, 2, 0, 1, 0, 0, 1]
                    ],
                    // <5-2>動き優先(NQ)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 15, 0, 1, 0, 0, 1],
                        [3072, 0, 15, 0, 1, 0, 0, 1],
                        [2048, 0, 15, 0, 1, 0, 0, 1],
                        [1536, 0, 15, 0, 1, 0, 0, 1],
                        [1024, 0, 15, 0, 1, 0, 0, 1],
                        [768, 0, 15, 0, 1, 0, 0, 1],
                        [512, 0, 15, 0, 1, 0, 0, 1],
                        [384, 0, 15, 0, 1, 0, 0, 1],
                        [256, 0, 10, 0, 1, 0, 0, 1],
                        [128, 0, 7.5, 0, 1, 0, 0, 1],
                        [64, 0, 3, 0, 1, 0, 0, 1]
                    ]
                ],
                // <2-04>180P
                [
                    // <5-0>画質優先(SF)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 15, 0, 1, 0, 0, 0],
                        [3072, 0, 15, 0, 1, 0, 0, 0],
                        [2048, 0, 15, 0, 1, 0, 0, 0],
                        [1536, 0, 15, 0, 1, 0, 0, 0],
                        [1024, 0, 15, 0, 1, 0, 0, 0],
                        [768, 0, 15, 0, 1, 0, 0, 0],
                        [512, 0, 10, 0, 1, 0, 0, 0],
                        [384, 0, 7.5, 0, 1, 0, 0, 0],
                        [256, 0, 5, 0, 1, 0, 0, 0],
                        [128, 0, 2, 0, 1, 0, 0, 0],
                        [64, 0, 1, 0, 1, 0, 0, 0]
                    ],
                    // <5-1>標準(FQ)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 15, 0, 1, 0, 0, 0],
                        [3072, 0, 15, 0, 1, 0, 0, 0],
                        [2048, 0, 15, 0, 1, 0, 0, 0],
                        [1536, 0, 15, 0, 1, 0, 0, 0],
                        [1024, 0, 15, 0, 1, 0, 0, 0],
                        [768, 0, 15, 0, 1, 0, 0, 0],
                        [512, 0, 15, 0, 1, 0, 0, 0],
                        [384, 0, 15, 0, 1, 0, 0, 0],
                        [256, 0, 15, 0, 1, 0, 0, 0],
                        [128, 0, 10, 0, 1, 0, 0, 0],
                        [64, 0, 5, 0, 1, 0, 0, 0]
                    ],
                    // <5-2>動き優先(NQ)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 15, 0, 1, 0, 0, 0],
                        [3072, 0, 15, 0, 1, 0, 0, 0],
                        [2048, 0, 15, 0, 1, 0, 0, 0],
                        [1536, 0, 15, 0, 1, 0, 0, 0],
                        [1024, 0, 15, 0, 1, 0, 0, 0],
                        [768, 0, 15, 0, 1, 0, 0, 0],
                        [512, 0, 15, 0, 1, 0, 0, 0],
                        [384, 0, 15, 0, 1, 0, 0, 0],
                        [256, 0, 15, 0, 1, 0, 0, 0],
                        [128, 0, 15, 0, 1, 0, 0, 0],
                        [64, 0, 10, 0, 1, 0, 0, 0]
                    ]
                ]
            ],
            // <4-1>フレームレート優先
            [
                // <2-00>WQHD
                [
                    // -
                    [
                        // デフォルト値
                        [7],
                        // 値リスト
                        [16384, 0, 15, 0, 1, 0, 0, 1],
                        [14336, 0, 15, 0, 1, 0, 0, 1],
                        [12288, 0, 15, 0, 1, 0, 0, 1],
                        [10240, 0, 15, 0, 1, 0, 0, 1],
                        [8192, 0, 15, 0, 1, 0, 0, 1],
                        [6144, 0, 15, 0, 1, 0, 0, 1],
                        [4096, 0, 15, 0, 1, 0, 0, 1],
                        [3072, 0, 15, 0, 1, 0, 0, 1],
                        [2048, 0, 1, 0, 1, 0, 0, 1],
                        [1536, 0, 0, 0, 1, 0, 0, 1]
                    ]
                ],
                // <2-01>FHD
                [
                    // -
                    [
                        // デフォルト値
                        [7],
                        // 値リスト
                        [14336, 0, 15, 0, 1, 0, 0, 1],
                        [12288, 0, 15, 0, 1, 0, 0, 1],
                        [10240, 0, 15, 0, 1, 0, 0, 1],
                        [8192, 0, 15, 0, 1, 0, 0, 1],
                        [6144, 0, 15, 0, 1, 0, 0, 1],
                        [4096, 0, 15, 0, 1, 0, 0, 1],
                        [3072, 0, 15, 0, 1, 0, 0, 1],
                        [2048, 0, 15, 0, 1, 0, 0, 1],
                        [1536, 0, 7.5, 0, 1, 0, 0, 1],
                        [1024, 0, 1, 0, 1, 0, 0, 1],
                        [768, 0, 0, 0, 1, 0, 0, 1],
                        [512, 0, 0, 0, 1, 0, 0, 1]
                    ]
                ],
                // <2-02>HD
                [
                    // -
                    [
                        // デフォルト値
                        [6],
                        // 値リスト
                        [8192, 0, 15, 0, 1, 0, 0, 1],
                        [6144, 0, 15, 0, 1, 0, 0, 1],
                        [4096, 0, 15, 0, 1, 0, 0, 1],
                        [3072, 0, 15, 0, 1, 0, 0, 1],
                        [2048, 0, 15, 0, 1, 0, 0, 1],
                        [1536, 0, 15, 0, 1, 0, 0, 1],
                        [1024, 0, 15, 0, 1, 0, 0, 1],
                        [768, 0, 7.5, 0, 1, 0, 0, 1],
                        [512, 0, 1, 0, 1, 0, 0, 1],
                        [384, 0, 0, 0, 1, 0, 0, 1],
                        [256, 0, 0, 0, 1, 0, 0, 1]
                    ]
                ],
                // <2-03>HVGAW
                [
                    // -
                    [
                        // デフォルト値
                        [7],
                        // 値リスト
                        [4096, 0, 15, 0, 1, 0, 0, 1],
                        [3072, 0, 15, 0, 1, 0, 0, 1],
                        [2048, 0, 15, 0, 1, 0, 0, 1],
                        [1536, 0, 15, 0, 1, 0, 0, 1],
                        [1024, 0, 15, 0, 1, 0, 0, 1],
                        [768, 0, 15, 0, 1, 0, 0, 1],
                        [512, 0, 15, 0, 1, 0, 0, 1],
                        [384, 0, 15, 0, 1, 0, 0, 1],
                        [256, 0, 1, 0, 1, 0, 0, 1],
                        [128, 0, 0, 0, 1, 0, 0, 1],
                        [64, 0, 0, 0, 1, 0, 0, 1]
                    ]
                ],
                // <2-04>180P
                [
                    // -
                    [
                        // デフォルト値
                        [8],
                        // 値リスト
                        [4096, 0, 15, 0, 1, 0, 0, 0],
                        [3072, 0, 15, 0, 1, 0, 0, 0],
                        [2048, 0, 15, 0, 1, 0, 0, 0],
                        [1536, 0, 15, 0, 1, 0, 0, 0],
                        [1024, 0, 15, 0, 1, 0, 0, 0],
                        [768, 0, 15, 0, 1, 0, 0, 0],
                        [512, 0, 15, 0, 1, 0, 0, 0],
                        [384, 0, 15, 0, 1, 0, 0, 0],
                        [256, 0, 15, 0, 1, 0, 0, 0],
                        [128, 0, 1, 0, 1, 0, 0, 0],
                        [64, 0, 0, 0, 1, 0, 0, 0]
                    ]
                ]
            ],
            // <4-2>AdvancedVBR[高]
            [
                // <2-00>WQHD
                [
                    // -
                    [
                        // デフォルト値
                        [7],
                        // 値リスト
                        [16384, 0, 15, 0, 1, 0, 0, 1],
                        [14336, 0, 15, 0, 1, 0, 0, 1],
                        [12288, 0, 15, 0, 1, 0, 0, 1],
                        [10240, 0, 15, 0, 1, 0, 0, 1],
                        [8192, 0, 15, 0, 1, 0, 0, 1],
                        [6144, 0, 15, 0, 1, 0, 0, 1],
                        [4096, 0, 15, 0, 1, 0, 0, 1],
                        [3072, 0, 15, 0, 1, 0, 0, 1],
                        [2048, 0, 1, 0, 1, 0, 0, 1],
                        [1536, 0, 0, 0, 1, 0, 0, 1]
                    ]
                ],
                // <2-01>FHD
                [
                    // -
                    [
                        // デフォルト値
                        [7],
                        // 値リスト
                        [14336, 0, 15, 0, 1, 0, 0, 1],
                        [12288, 0, 15, 0, 1, 0, 0, 1],
                        [10240, 0, 15, 0, 1, 0, 0, 1],
                        [8192, 0, 15, 0, 1, 0, 0, 1],
                        [6144, 0, 15, 0, 1, 0, 0, 1],
                        [4096, 0, 15, 0, 1, 0, 0, 1],
                        [3072, 0, 15, 0, 1, 0, 0, 1],
                        [2048, 0, 15, 0, 1, 0, 0, 1],
                        [1536, 0, 7.5, 0, 1, 0, 0, 1],
                        [1024, 0, 1, 0, 1, 0, 0, 1],
                        [768, 0, 0, 0, 1, 0, 0, 1],
                        [512, 0, 0, 0, 1, 0, 0, 1]
                    ]
                ],
                // <2-02>HD
                [
                    // -
                    [
                        // デフォルト値
                        [6],
                        // 値リスト
                        [8192, 0, 15, 0, 1, 0, 0, 1],
                        [6144, 0, 15, 0, 1, 0, 0, 1],
                        [4096, 0, 15, 0, 1, 0, 0, 1],
                        [3072, 0, 15, 0, 1, 0, 0, 1],
                        [2048, 0, 15, 0, 1, 0, 0, 1],
                        [1536, 0, 15, 0, 1, 0, 0, 1],
                        [1024, 0, 15, 0, 1, 0, 0, 1],
                        [768, 0, 7.5, 0, 1, 0, 0, 1],
                        [512, 0, 1, 0, 1, 0, 0, 1],
                        [384, 0, 0, 0, 1, 0, 0, 1],
                        [256, 0, 0, 0, 1, 0, 0, 1]
                    ]
                ],
                // <2-03>HVGAW
                [
                    // -
                    [
                        // デフォルト値
                        [7],
                        // 値リスト
                        [4096, 0, 15, 0, 1, 0, 0, 1],
                        [3072, 0, 15, 0, 1, 0, 0, 1],
                        [2048, 0, 15, 0, 1, 0, 0, 1],
                        [1536, 0, 15, 0, 1, 0, 0, 1],
                        [1024, 0, 15, 0, 1, 0, 0, 1],
                        [768, 0, 15, 0, 1, 0, 0, 1],
                        [512, 0, 15, 0, 1, 0, 0, 1],
                        [384, 0, 15, 0, 1, 0, 0, 1],
                        [256, 0, 1, 0, 1, 0, 0, 1],
                        [128, 0, 0, 0, 1, 0, 0, 1],
                        [64, 0, 0, 0, 1, 0, 0, 1]
                    ]
                ],
                // <2-04>180P
                [
                    // -
                    [
                        // デフォルト値
                        [8],
                        // 値リスト
                        [4096, 0, 15, 0, 1, 0, 0, 0],
                        [3072, 0, 15, 0, 1, 0, 0, 0],
                        [2048, 0, 15, 0, 1, 0, 0, 0],
                        [1536, 0, 15, 0, 1, 0, 0, 0],
                        [1024, 0, 15, 0, 1, 0, 0, 0],
                        [768, 0, 15, 0, 1, 0, 0, 0],
                        [512, 0, 15, 0, 1, 0, 0, 0],
                        [384, 0, 15, 0, 1, 0, 0, 0],
                        [256, 0, 15, 0, 1, 0, 0, 0],
                        [128, 0, 1, 0, 1, 0, 0, 0],
                        [64, 0, 0, 0, 1, 0, 0, 0]
                    ]
                ]
            ],
            // <4-3>AdvancedVBR[中]
            [
                // <2-00>WQHD
                [
                    // -
                    [
                        // デフォルト値
                        [7],
                        // 値リスト
                        [16384, 0, 15, 0, 1, 0, 0, 1],
                        [14336, 0, 15, 0, 1, 0, 0, 1],
                        [12288, 0, 15, 0, 1, 0, 0, 1],
                        [10240, 0, 15, 0, 1, 0, 0, 1],
                        [8192, 0, 15, 0, 1, 0, 0, 1],
                        [6144, 0, 15, 0, 1, 0, 0, 1],
                        [4096, 0, 15, 0, 1, 0, 0, 1],
                        [3072, 0, 15, 0, 1, 0, 0, 1],
                        [2048, 0, 1, 0, 1, 0, 0, 1],
                        [1536, 0, 0, 0, 1, 0, 0, 1]
                    ]
                ],
                // <2-01>FHD
                [
                    // -
                    [
                        // デフォルト値
                        [7],
                        // 値リスト
                        [14336, 0, 15, 0, 1, 0, 0, 1],
                        [12288, 0, 15, 0, 1, 0, 0, 1],
                        [10240, 0, 15, 0, 1, 0, 0, 1],
                        [8192, 0, 15, 0, 1, 0, 0, 1],
                        [6144, 0, 15, 0, 1, 0, 0, 1],
                        [4096, 0, 15, 0, 1, 0, 0, 1],
                        [3072, 0, 15, 0, 1, 0, 0, 1],
                        [2048, 0, 15, 0, 1, 0, 0, 1],
                        [1536, 0, 7.5, 0, 1, 0, 0, 1],
                        [1024, 0, 1, 0, 1, 0, 0, 1],
                        [768, 0, 0, 0, 1, 0, 0, 1],
                        [512, 0, 0, 0, 1, 0, 0, 1]
                    ]
                ],
                // <2-02>HD
                [
                    // -
                    [
                        // デフォルト値
                        [6],
                        // 値リスト
                        [8192, 0, 15, 0, 1, 0, 0, 1],
                        [6144, 0, 15, 0, 1, 0, 0, 1],
                        [4096, 0, 15, 0, 1, 0, 0, 1],
                        [3072, 0, 15, 0, 1, 0, 0, 1],
                        [2048, 0, 15, 0, 1, 0, 0, 1],
                        [1536, 0, 15, 0, 1, 0, 0, 1],
                        [1024, 0, 15, 0, 1, 0, 0, 1],
                        [768, 0, 7.5, 0, 1, 0, 0, 1],
                        [512, 0, 1, 0, 1, 0, 0, 1],
                        [384, 0, 0, 0, 1, 0, 0, 1],
                        [256, 0, 0, 0, 1, 0, 0, 1]
                    ]
                ],
                // <2-03>HVGAW
                [
                    // -
                    [
                        // デフォルト値
                        [7],
                        // 値リスト
                        [4096, 0, 15, 0, 1, 0, 0, 1],
                        [3072, 0, 15, 0, 1, 0, 0, 1],
                        [2048, 0, 15, 0, 1, 0, 0, 1],
                        [1536, 0, 15, 0, 1, 0, 0, 1],
                        [1024, 0, 15, 0, 1, 0, 0, 1],
                        [768, 0, 15, 0, 1, 0, 0, 1],
                        [512, 0, 15, 0, 1, 0, 0, 1],
                        [384, 0, 15, 0, 1, 0, 0, 1],
                        [256, 0, 1, 0, 1, 0, 0, 1],
                        [128, 0, 0, 0, 1, 0, 0, 1],
                        [64, 0, 0, 0, 1, 0, 0, 1]
                    ]
                ],
                // <2-04>180P
                [
                    // -
                    [
                        // デフォルト値
                        [8],
                        // 値リスト
                        [4096, 0, 15, 0, 1, 0, 0, 0],
                        [3072, 0, 15, 0, 1, 0, 0, 0],
                        [2048, 0, 15, 0, 1, 0, 0, 0],
                        [1536, 0, 15, 0, 1, 0, 0, 0],
                        [1024, 0, 15, 0, 1, 0, 0, 0],
                        [768, 0, 15, 0, 1, 0, 0, 0],
                        [512, 0, 15, 0, 1, 0, 0, 0],
                        [384, 0, 15, 0, 1, 0, 0, 0],
                        [256, 0, 15, 0, 1, 0, 0, 0],
                        [128, 0, 1, 0, 1, 0, 0, 0],
                        [64, 0, 0, 0, 1, 0, 0, 0]
                    ]
                ]
            ],
            // <4-4>AdvancedVBR[低]
            [
                // <2-00>WQHD
                [
                    // -
                    [
                        // デフォルト値
                        [7],
                        // 値リスト
                        [16384, 0, 15, 0, 1, 0, 0, 1],
                        [14336, 0, 15, 0, 1, 0, 0, 1],
                        [12288, 0, 15, 0, 1, 0, 0, 1],
                        [10240, 0, 15, 0, 1, 0, 0, 1],
                        [8192, 0, 15, 0, 1, 0, 0, 1],
                        [6144, 0, 15, 0, 1, 0, 0, 1],
                        [4096, 0, 15, 0, 1, 0, 0, 1],
                        [3072, 0, 15, 0, 1, 0, 0, 1],
                        [2048, 0, 1, 0, 1, 0, 0, 1],
                        [1536, 0, 0, 0, 1, 0, 0, 1]
                    ]
                ],
                // <2-01>FHD
                [
                    // -
                    [
                        // デフォルト値
                        [7],
                        // 値リスト
                        [14336, 0, 15, 0, 1, 0, 0, 1],
                        [12288, 0, 15, 0, 1, 0, 0, 1],
                        [10240, 0, 15, 0, 1, 0, 0, 1],
                        [8192, 0, 15, 0, 1, 0, 0, 1],
                        [6144, 0, 15, 0, 1, 0, 0, 1],
                        [4096, 0, 15, 0, 1, 0, 0, 1],
                        [3072, 0, 15, 0, 1, 0, 0, 1],
                        [2048, 0, 15, 0, 1, 0, 0, 1],
                        [1536, 0, 7.5, 0, 1, 0, 0, 1],
                        [1024, 0, 1, 0, 1, 0, 0, 1],
                        [768, 0, 0, 0, 1, 0, 0, 1],
                        [512, 0, 0, 0, 1, 0, 0, 1]
                    ]
                ],
                // <2-02>HD
                [
                    // -
                    [
                        // デフォルト値
                        [6],
                        // 値リスト
                        [8192, 0, 15, 0, 1, 0, 0, 1],
                        [6144, 0, 15, 0, 1, 0, 0, 1],
                        [4096, 0, 15, 0, 1, 0, 0, 1],
                        [3072, 0, 15, 0, 1, 0, 0, 1],
                        [2048, 0, 15, 0, 1, 0, 0, 1],
                        [1536, 0, 15, 0, 1, 0, 0, 1],
                        [1024, 0, 15, 0, 1, 0, 0, 1],
                        [768, 0, 7.5, 0, 1, 0, 0, 1],
                        [512, 0, 1, 0, 1, 0, 0, 1],
                        [384, 0, 0, 0, 1, 0, 0, 1],
                        [256, 0, 0, 0, 1, 0, 0, 1]
                    ]
                ],
                // <2-03>HVGAW
                [
                    // -
                    [
                        // デフォルト値
                        [7],
                        // 値リスト
                        [4096, 0, 15, 0, 1, 0, 0, 1],
                        [3072, 0, 15, 0, 1, 0, 0, 1],
                        [2048, 0, 15, 0, 1, 0, 0, 1],
                        [1536, 0, 15, 0, 1, 0, 0, 1],
                        [1024, 0, 15, 0, 1, 0, 0, 1],
                        [768, 0, 15, 0, 1, 0, 0, 1],
                        [512, 0, 15, 0, 1, 0, 0, 1],
                        [384, 0, 15, 0, 1, 0, 0, 1],
                        [256, 0, 1, 0, 1, 0, 0, 1],
                        [128, 0, 0, 0, 1, 0, 0, 1],
                        [64, 0, 0, 0, 1, 0, 0, 1]
                    ]
                ],
                // <2-04>180P
                [
                    // -
                    [
                        // デフォルト値
                        [8],
                        // 値リスト
                        [4096, 0, 15, 0, 1, 0, 0, 0],
                        [3072, 0, 15, 0, 1, 0, 0, 0],
                        [2048, 0, 15, 0, 1, 0, 0, 0],
                        [1536, 0, 15, 0, 1, 0, 0, 0],
                        [1024, 0, 15, 0, 1, 0, 0, 0],
                        [768, 0, 15, 0, 1, 0, 0, 0],
                        [512, 0, 15, 0, 1, 0, 0, 0],
                        [384, 0, 15, 0, 1, 0, 0, 0],
                        [256, 0, 15, 0, 1, 0, 0, 0],
                        [128, 0, 1, 0, 1, 0, 0, 0],
                        [64, 0, 0, 0, 1, 0, 0, 0]
                    ]
                ]
            ]
        ],
        // <3-3>4PTZ/1PTZ
        [
            // <4-0>ビットレート優先
            [
                // <2-00>2560x1920
                [
                    // <5-0>画質優先(SF)
                    [
                        // デフォルト値
                        [6],
                        // 値リスト
                        [16384, 0, 15, 0, 1, 0, 0, 0],
                        [14336, 0, 15, 0, 1, 0, 0, 0],
                        [12288, 0, 15, 0, 1, 0, 0, 0],
                        [10240, 0, 15, 0, 1, 0, 0, 0],
                        [8192, 0, 15, 0, 1, 0, 0, 0],
                        [6144, 0, 15, 0, 1, 0, 0, 0],
                        [4096, 0, 10, 0, 1, 0, 0, 0],
                        [3072, 0, 7.5, 0, 1, 0, 0, 0],
                        [2048, 0, 5, 0, 1, 0, 0, 0],
                        [1536, 0, 3, 0, 1, 0, 0, 0]
                    ],
                    // <5-1>標準(FQ)
                    [
                        // デフォルト値
                        [6],
                        // 値リスト
                        [16384, 0, 15, 0, 1, 0, 0, 0],
                        [14336, 0, 15, 0, 1, 0, 0, 0],
                        [12288, 0, 15, 0, 1, 0, 0, 0],
                        [10240, 0, 15, 0, 1, 0, 0, 0],
                        [8192, 0, 15, 0, 1, 0, 0, 0],
                        [6144, 0, 15, 0, 1, 0, 0, 0],
                        [4096, 0, 15, 0, 1, 0, 0, 0],
                        [3072, 0, 10, 0, 1, 0, 0, 0],
                        [2048, 0, 7.5, 0, 1, 0, 0, 0],
                        [1536, 0, 5, 0, 1, 0, 0, 0]
                    ],
                    // <5-2>動き優先(NQ)
                    [
                        // デフォルト値
                        [6],
                        // 値リスト
                        [16384, 0, 15, 0, 1, 0, 0, 0],
                        [14336, 0, 15, 0, 1, 0, 0, 0],
                        [12288, 0, 15, 0, 1, 0, 0, 0],
                        [10240, 0, 15, 0, 1, 0, 0, 0],
                        [8192, 0, 15, 0, 1, 0, 0, 0],
                        [6144, 0, 15, 0, 1, 0, 0, 0],
                        [4096, 0, 15, 0, 1, 0, 0, 0],
                        [3072, 0, 15, 0, 1, 0, 0, 0],
                        [2048, 0, 15, 0, 1, 0, 0, 0],
                        [1536, 0, 10, 0, 1, 0, 0, 0]
                    ]
                ],
                // <2-01>QXGA
                [
                    // <5-0>画質優先(SF)
                    [
                        // デフォルト値
                        [6],
                        // 値リスト
                        [16384, 0, 15, 0, 1, 0, 0, 0],
                        [14336, 0, 15, 0, 1, 0, 0, 0],
                        [12288, 0, 15, 0, 1, 0, 0, 0],
                        [10240, 0, 15, 0, 1, 0, 0, 0],
                        [8192, 0, 15, 0, 1, 0, 0, 0],
                        [6144, 0, 15, 0, 1, 0, 0, 0],
                        [4096, 0, 10, 0, 1, 0, 0, 0],
                        [3072, 0, 7.5, 0, 1, 0, 0, 0],
                        [2048, 0, 5, 0, 1, 0, 0, 0],
                        [1536, 0, 3, 0, 1, 0, 0, 0],
                        [1024, 0, 2, 0, 1, 0, 0, 0]
                    ],
                    // <5-1>標準(FQ)
                    [
                        // デフォルト値
                        [6],
                        // 値リスト
                        [16384, 0, 15, 0, 1, 0, 0, 0],
                        [14336, 0, 15, 0, 1, 0, 0, 0],
                        [12288, 0, 15, 0, 1, 0, 0, 0],
                        [10240, 0, 15, 0, 1, 0, 0, 0],
                        [8192, 0, 15, 0, 1, 0, 0, 0],
                        [6144, 0, 15, 0, 1, 0, 0, 0],
                        [4096, 0, 15, 0, 1, 0, 0, 0],
                        [3072, 0, 10, 0, 1, 0, 0, 0],
                        [2048, 0, 7.5, 0, 1, 0, 0, 0],
                        [1536, 0, 5, 0, 1, 0, 0, 0],
                        [1024, 0, 3, 0, 1, 0, 0, 0]
                    ],
                    // <5-2>動き優先(NQ)
                    [
                        // デフォルト値
                        [6],
                        // 値リスト
                        [16384, 0, 15, 0, 1, 0, 0, 0],
                        [14336, 0, 15, 0, 1, 0, 0, 0],
                        [12288, 0, 15, 0, 1, 0, 0, 0],
                        [10240, 0, 15, 0, 1, 0, 0, 0],
                        [8192, 0, 15, 0, 1, 0, 0, 0],
                        [6144, 0, 15, 0, 1, 0, 0, 0],
                        [4096, 0, 15, 0, 1, 0, 0, 0],
                        [3072, 0, 15, 0, 1, 0, 0, 0],
                        [2048, 0, 15, 0, 1, 0, 0, 0],
                        [1536, 0, 10, 0, 1, 0, 0, 0],
                        [1024, 0, 7.5, 0, 1, 0, 0, 0]
                    ]
                ],
                // <2-02>UXGA
                [
                    // <5-0>画質優先(SF)
                    [
                        // デフォルト値
                        [5],
                        // 値リスト
                        [14336, 0, 15, 0, 1, 0, 0, 0],
                        [12288, 0, 15, 0, 1, 0, 0, 0],
                        [10240, 0, 15, 0, 1, 0, 0, 0],
                        [8192, 0, 15, 0, 1, 0, 0, 0],
                        [6144, 0, 15, 0, 1, 0, 0, 0],
                        [4096, 0, 15, 0, 1, 0, 0, 0],
                        [3072, 0, 15, 0, 1, 0, 0, 0],
                        [2048, 0, 10, 0, 1, 0, 0, 0],
                        [1536, 0, 7.5, 0, 1, 0, 0, 0],
                        [1024, 0, 5, 0, 1, 0, 0, 0],
                        [768, 0, 3, 0, 1, 0, 0, 0],
                        [512, 0, 2, 0, 1, 0, 0, 0]
                    ],
                    // <5-1>標準(FQ)
                    [
                        // デフォルト値
                        [5],
                        // 値リスト
                        [14336, 0, 15, 0, 1, 0, 0, 0],
                        [12288, 0, 15, 0, 1, 0, 0, 0],
                        [10240, 0, 15, 0, 1, 0, 0, 0],
                        [8192, 0, 15, 0, 1, 0, 0, 0],
                        [6144, 0, 15, 0, 1, 0, 0, 0],
                        [4096, 0, 15, 0, 1, 0, 0, 0],
                        [3072, 0, 15, 0, 1, 0, 0, 0],
                        [2048, 0, 15, 0, 1, 0, 0, 0],
                        [1536, 0, 10, 0, 1, 0, 0, 0],
                        [1024, 0, 7.5, 0, 1, 0, 0, 0],
                        [768, 0, 5, 0, 1, 0, 0, 0],
                        [512, 0, 3, 0, 1, 0, 0, 0]
                    ],
                    // <5-2>動き優先(NQ)
                    [
                        // デフォルト値
                        [5],
                        // 値リスト
                        [14336, 0, 15, 0, 1, 0, 0, 0],
                        [12288, 0, 15, 0, 1, 0, 0, 0],
                        [10240, 0, 15, 0, 1, 0, 0, 0],
                        [8192, 0, 15, 0, 1, 0, 0, 0],
                        [6144, 0, 15, 0, 1, 0, 0, 0],
                        [4096, 0, 15, 0, 1, 0, 0, 0],
                        [3072, 0, 15, 0, 1, 0, 0, 0],
                        [2048, 0, 15, 0, 1, 0, 0, 0],
                        [1536, 0, 15, 0, 1, 0, 0, 0],
                        [1024, 0, 15, 0, 1, 0, 0, 0],
                        [768, 0, 10, 0, 1, 0, 0, 0],
                        [512, 0, 7.5, 0, 1, 0, 0, 0]
                    ]
                ],
                // <2-03>SXVGA
                [
                    // <5-0>画質優先(SF)
                    [
                        // デフォルト値
                        [2],
                        // 値リスト
                        [8192, 0, 15, 0, 1, 0, 0, 1],
                        [6144, 0, 15, 0, 1, 0, 0, 1],
                        [4096, 0, 15, 0, 1, 0, 0, 1],
                        [3072, 0, 15, 0, 1, 0, 0, 1],
                        [2048, 0, 10, 0, 1, 0, 0, 1],
                        [1536, 0, 7.5, 0, 1, 0, 0, 1],
                        [1024, 0, 5, 0, 1, 0, 0, 1],
                        [768, 0, 3, 0, 1, 0, 0, 1],
                        [512, 0, 2, 0, 1, 0, 0, 1],
                        [384, 0, 1, 0, 1, 0, 0, 1],
                        [256, 0, 1, 0, 1, 0, 0, 1]
                    ],
                    // <5-1>標準(FQ)
                    [
                        // デフォルト値
                        [2],
                        // 値リスト
                        [8192, 0, 15, 0, 1, 0, 0, 1],
                        [6144, 0, 15, 0, 1, 0, 0, 1],
                        [4096, 0, 15, 0, 1, 0, 0, 1],
                        [3072, 0, 15, 0, 1, 0, 0, 1],
                        [2048, 0, 15, 0, 1, 0, 0, 1],
                        [1536, 0, 10, 0, 1, 0, 0, 1],
                        [1024, 0, 7.5, 0, 1, 0, 0, 1],
                        [768, 0, 5, 0, 1, 0, 0, 1],
                        [512, 0, 3, 0, 1, 0, 0, 1],
                        [384, 0, 2, 0, 1, 0, 0, 1],
                        [256, 0, 1, 0, 1, 0, 0, 1]
                    ],
                    // <5-2>動き優先(NQ)
                    [
                        // デフォルト値
                        [2],
                        // 値リスト
                        [8192, 0, 15, 0, 1, 0, 0, 1],
                        [6144, 0, 15, 0, 1, 0, 0, 1],
                        [4096, 0, 15, 0, 1, 0, 0, 1],
                        [3072, 0, 15, 0, 1, 0, 0, 1],
                        [2048, 0, 15, 0, 1, 0, 0, 1],
                        [1536, 0, 15, 0, 1, 0, 0, 1],
                        [1024, 0, 15, 0, 1, 0, 0, 1],
                        [768, 0, 10, 0, 1, 0, 0, 1],
                        [512, 0, 7.5, 0, 1, 0, 0, 1],
                        [384, 0, 5, 0, 1, 0, 0, 1],
                        [256, 0, 3, 0, 1, 0, 0, 1]
                    ]
                ],
                // <2-04>SVGA
                [
                    // <5-0>画質優先(SF)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 15, 0, 1, 0, 0, 1],
                        [3072, 0, 15, 0, 1, 0, 0, 1],
                        [2048, 0, 15, 0, 1, 0, 0, 1],
                        [1536, 0, 10, 0, 1, 0, 0, 1],
                        [1024, 0, 7.5, 0, 1, 0, 0, 1],
                        [768, 0, 5, 0, 1, 0, 0, 1],
                        [512, 0, 3, 0, 1, 0, 0, 1],
                        [384, 0, 2, 0, 1, 0, 0, 1],
                        [256, 0, 1, 0, 1, 0, 0, 1],
                        [128, 0, 1, 0, 1, 0, 0, 1]
                    ],
                    // <5-1>標準(FQ)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 15, 0, 1, 0, 0, 1],
                        [3072, 0, 15, 0, 1, 0, 0, 1],
                        [2048, 0, 15, 0, 1, 0, 0, 1],
                        [1536, 0, 15, 0, 1, 0, 0, 1],
                        [1024, 0, 10, 0, 1, 0, 0, 1],
                        [768, 0, 7.5, 0, 1, 0, 0, 1],
                        [512, 0, 5, 0, 1, 0, 0, 1],
                        [384, 0, 3, 0, 1, 0, 0, 1],
                        [256, 0, 2, 0, 1, 0, 0, 1],
                        [128, 0, 1, 0, 1, 0, 0, 1]
                    ],
                    // <5-2>動き優先(NQ)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 15, 0, 1, 0, 0, 1],
                        [3072, 0, 15, 0, 1, 0, 0, 1],
                        [2048, 0, 15, 0, 1, 0, 0, 1],
                        [1536, 0, 15, 0, 1, 0, 0, 1],
                        [1024, 0, 15, 0, 1, 0, 0, 1],
                        [768, 0, 15, 0, 1, 0, 0, 1],
                        [512, 0, 10, 0, 1, 0, 0, 1],
                        [384, 0, 7.5, 0, 1, 0, 0, 1],
                        [256, 0, 5, 0, 1, 0, 0, 1],
                        [128, 0, 3, 0, 1, 0, 0, 1]
                    ]
                ],
                // <2-05>VGA
                [
                    // <5-0>画質優先(SF)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 15, 0, 1, 0, 0, 0],
                        [3072, 0, 15, 0, 1, 0, 0, 0],
                        [2048, 0, 15, 0, 1, 0, 0, 0],
                        [1536, 0, 15, 0, 1, 0, 0, 0],
                        [1024, 0, 10, 0, 1, 0, 0, 0],
                        [768, 0, 7.5, 0, 1, 0, 0, 0],
                        [512, 0, 5, 0, 1, 0, 0, 0],
                        [384, 0, 3, 0, 1, 0, 0, 0],
                        [256, 0, 2, 0, 1, 0, 0, 0],
                        [128, 0, 1, 0, 1, 0, 0, 0],
                        [64, 0, 1, 0, 1, 0, 0, 0]
                    ],
                    // <5-1>標準(FQ)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 15, 0, 1, 0, 0, 0],
                        [3072, 0, 15, 0, 1, 0, 0, 0],
                        [2048, 0, 15, 0, 1, 0, 0, 0],
                        [1536, 0, 15, 0, 1, 0, 0, 0],
                        [1024, 0, 15, 0, 1, 0, 0, 0],
                        [768, 0, 15, 0, 1, 0, 0, 0],
                        [512, 0, 15, 0, 1, 0, 0, 0],
                        [384, 0, 10, 0, 1, 0, 0, 0],
                        [256, 0, 7.5, 0, 1, 0, 0, 0],
                        [128, 0, 5, 0, 1, 0, 0, 0],
                        [64, 0, 2, 0, 1, 0, 0, 0]
                    ],
                    // <5-2>動き優先(NQ)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 15, 0, 1, 0, 0, 0],
                        [3072, 0, 15, 0, 1, 0, 0, 0],
                        [2048, 0, 15, 0, 1, 0, 0, 0],
                        [1536, 0, 15, 0, 1, 0, 0, 0],
                        [1024, 0, 15, 0, 1, 0, 0, 0],
                        [768, 0, 15, 0, 1, 0, 0, 0],
                        [512, 0, 15, 0, 1, 0, 0, 0],
                        [384, 0, 15, 0, 1, 0, 0, 0],
                        [256, 0, 10, 0, 1, 0, 0, 0],
                        [128, 0, 7.5, 0, 1, 0, 0, 0],
                        [64, 0, 3, 0, 1, 0, 0, 0]
                    ]
                ],
                // <2-06>QVGA
                [
                    // <5-0>画質優先(SF)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 15, 0, 1, 0, 0, 0],
                        [3072, 0, 15, 0, 1, 0, 0, 0],
                        [2048, 0, 15, 0, 1, 0, 0, 0],
                        [1536, 0, 15, 0, 1, 0, 0, 0],
                        [1024, 0, 15, 0, 1, 0, 0, 0],
                        [768, 0, 15, 0, 1, 0, 0, 0],
                        [512, 0, 10, 0, 1, 0, 0, 0],
                        [384, 0, 7.5, 0, 1, 0, 0, 0],
                        [256, 0, 5, 0, 1, 0, 0, 0],
                        [128, 0, 2, 0, 1, 0, 0, 0],
                        [64, 0, 1, 0, 1, 0, 0, 0]
                    ],
                    // <5-1>標準(FQ)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 15, 0, 1, 0, 0, 0],
                        [3072, 0, 15, 0, 1, 0, 0, 0],
                        [2048, 0, 15, 0, 1, 0, 0, 0],
                        [1536, 0, 15, 0, 1, 0, 0, 0],
                        [1024, 0, 15, 0, 1, 0, 0, 0],
                        [768, 0, 15, 0, 1, 0, 0, 0],
                        [512, 0, 15, 0, 1, 0, 0, 0],
                        [384, 0, 15, 0, 1, 0, 0, 0],
                        [256, 0, 15, 0, 1, 0, 0, 0],
                        [128, 0, 10, 0, 1, 0, 0, 0],
                        [64, 0, 5, 0, 1, 0, 0, 0]
                    ],
                    // <5-2>動き優先(NQ)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 15, 0, 1, 0, 0, 0],
                        [3072, 0, 15, 0, 1, 0, 0, 0],
                        [2048, 0, 15, 0, 1, 0, 0, 0],
                        [1536, 0, 15, 0, 1, 0, 0, 0],
                        [1024, 0, 15, 0, 1, 0, 0, 0],
                        [768, 0, 15, 0, 1, 0, 0, 0],
                        [512, 0, 15, 0, 1, 0, 0, 0],
                        [384, 0, 15, 0, 1, 0, 0, 0],
                        [256, 0, 15, 0, 1, 0, 0, 0],
                        [128, 0, 15, 0, 1, 0, 0, 0],
                        [64, 0, 10, 0, 1, 0, 0, 0]
                    ]
                ]
            ],
            // <4-1>フレームレート優先
            [
                // <2-00>2560x1920
                [
                    // -
                    [
                        // デフォルト値
                        [6],
                        // 値リスト
                        [16384, 0, 15, 0, 1, 0, 0, 0],
                        [14336, 0, 15, 0, 1, 0, 0, 0],
                        [12288, 0, 15, 0, 1, 0, 0, 0],
                        [10240, 0, 15, 0, 1, 0, 0, 0],
                        [8192, 0, 15, 0, 1, 0, 0, 0],
                        [6144, 0, 15, 0, 1, 0, 0, 0],
                        [4096, 0, 15, 0, 1, 0, 0, 0],
                        [3072, 0, 3, 0, 1, 0, 0, 0],
                        [2048, 0, 1, 0, 1, 0, 0, 0],
                        [1536, 0, 0, 0, 1, 0, 0, 0]
                    ]
                ],
                // <2-01>QXGA
                [
                    // -
                    [
                        // デフォルト値
                        [7],
                        // 値リスト
                        [16384, 0, 15, 0, 1, 0, 0, 0],
                        [14336, 0, 15, 0, 1, 0, 0, 0],
                        [12288, 0, 15, 0, 1, 0, 0, 0],
                        [10240, 0, 15, 0, 1, 0, 0, 0],
                        [8192, 0, 15, 0, 1, 0, 0, 0],
                        [6144, 0, 15, 0, 1, 0, 0, 0],
                        [4096, 0, 15, 0, 1, 0, 0, 0],
                        [3072, 0, 15, 0, 1, 0, 0, 0],
                        [2048, 0, 12, 0, 1, 0, 0, 0],
                        [1536, 0, 1, 0, 1, 0, 0, 0],
                        [1024, 0, 0, 0, 1, 0, 0, 0]
                    ]
                ],
                // <2-02>UXGA
                [
                    // -
                    [
                        // デフォルト値
                        [7],
                        // 値リスト
                        [14336, 0, 15, 0, 1, 0, 0, 0],
                        [12288, 0, 15, 0, 1, 0, 0, 0],
                        [10240, 0, 15, 0, 1, 0, 0, 0],
                        [8192, 0, 15, 0, 1, 0, 0, 0],
                        [6144, 0, 15, 0, 1, 0, 0, 0],
                        [4096, 0, 15, 0, 1, 0, 0, 0],
                        [3072, 0, 15, 0, 1, 0, 0, 0],
                        [2048, 0, 15, 0, 1, 0, 0, 0],
                        [1536, 0, 7.5, 0, 1, 0, 0, 0],
                        [1024, 0, 1, 0, 1, 0, 0, 0],
                        [768, 0, 0, 0, 1, 0, 0, 0],
                        [512, 0, 0, 0, 1, 0, 0, 0]
                    ]
                ],
                // <2-03>SXVGA
                [
                    // -
                    [
                        // デフォルト値
                        [6],
                        // 値リスト
                        [8192, 0, 15, 0, 1, 0, 0, 1],
                        [6144, 0, 15, 0, 1, 0, 0, 1],
                        [4096, 0, 15, 0, 1, 0, 0, 1],
                        [3072, 0, 15, 0, 1, 0, 0, 1],
                        [2048, 0, 15, 0, 1, 0, 0, 1],
                        [1536, 0, 15, 0, 1, 0, 0, 1],
                        [1024, 0, 15, 0, 1, 0, 0, 1],
                        [768, 0, 1, 0, 1, 0, 0, 1],
                        [512, 0, 0, 0, 1, 0, 0, 1],
                        [384, 0, 0, 0, 1, 0, 0, 1],
                        [256, 0, 0, 0, 1, 0, 0, 1]
                    ]
                ],
                // <2-04>SVGA
                [
                    // -
                    [
                        // デフォルト値
                        [4],
                        // 値リスト
                        [4096, 0, 15, 0, 1, 0, 0, 1],
                        [3072, 0, 15, 0, 1, 0, 0, 1],
                        [2048, 0, 15, 0, 1, 0, 0, 1],
                        [1536, 0, 15, 0, 1, 0, 0, 1],
                        [1024, 0, 15, 0, 1, 0, 0, 1],
                        [768, 0, 7.5, 0, 1, 0, 0, 1],
                        [512, 0, 1, 0, 1, 0, 0, 1],
                        [384, 0, 1, 0, 1, 0, 0, 1],
                        [256, 0, 0, 0, 1, 0, 0, 1],
                        [128, 0, 0, 0, 1, 0, 0, 1]
                    ]
                ],
                // <2-05>VGA
                [
                    // -
                    [
                        // デフォルト値
                        [7],
                        // 値リスト
                        [4096, 0, 15, 0, 1, 0, 0, 0],
                        [3072, 0, 15, 0, 1, 0, 0, 0],
                        [2048, 0, 15, 0, 1, 0, 0, 0],
                        [1536, 0, 15, 0, 1, 0, 0, 0],
                        [1024, 0, 15, 0, 1, 0, 0, 0],
                        [768, 0, 15, 0, 1, 0, 0, 0],
                        [512, 0, 15, 0, 1, 0, 0, 0],
                        [384, 0, 15, 0, 1, 0, 0, 0],
                        [256, 0, 1, 0, 1, 0, 0, 0],
                        [128, 0, 0, 0, 1, 0, 0, 0],
                        [64, 0, 0, 0, 1, 0, 0, 0]
                    ]
                ],
                // <2-06>QVGA
                [
                    // -
                    [
                        // デフォルト値
                        [8],
                        // 値リスト
                        [4096, 0, 15, 0, 1, 0, 0, 0],
                        [3072, 0, 15, 0, 1, 0, 0, 0],
                        [2048, 0, 15, 0, 1, 0, 0, 0],
                        [1536, 0, 15, 0, 1, 0, 0, 0],
                        [1024, 0, 15, 0, 1, 0, 0, 0],
                        [768, 0, 15, 0, 1, 0, 0, 0],
                        [512, 0, 15, 0, 1, 0, 0, 0],
                        [384, 0, 15, 0, 1, 0, 0, 0],
                        [256, 0, 15, 0, 1, 0, 0, 0],
                        [128, 0, 1, 0, 1, 0, 0, 0],
                        [64, 0, 0, 0, 1, 0, 0, 0]
                    ]
                ]
            ],
            // <4-2>AdvancedVBR[高]
            [
                // <2-00>2560x1920
                [
                    // -
                    [
                        // デフォルト値
                        [6],
                        // 値リスト
                        [16384, 0, 15, 0, 1, 0, 0, 0],
                        [14336, 0, 15, 0, 1, 0, 0, 0],
                        [12288, 0, 15, 0, 1, 0, 0, 0],
                        [10240, 0, 15, 0, 1, 0, 0, 0],
                        [8192, 0, 15, 0, 1, 0, 0, 0],
                        [6144, 0, 15, 0, 1, 0, 0, 0],
                        [4096, 0, 15, 0, 1, 0, 0, 0],
                        [3072, 0, 3, 0, 1, 0, 0, 0],
                        [2048, 0, 1, 0, 1, 0, 0, 0],
                        [1536, 0, 0, 0, 1, 0, 0, 0]
                    ]
                ],
                // <2-01>QXGA
                [
                    // -
                    [
                        // デフォルト値
                        [7],
                        // 値リスト
                        [16384, 0, 15, 0, 1, 0, 0, 0],
                        [14336, 0, 15, 0, 1, 0, 0, 0],
                        [12288, 0, 15, 0, 1, 0, 0, 0],
                        [10240, 0, 15, 0, 1, 0, 0, 0],
                        [8192, 0, 15, 0, 1, 0, 0, 0],
                        [6144, 0, 15, 0, 1, 0, 0, 0],
                        [4096, 0, 15, 0, 1, 0, 0, 0],
                        [3072, 0, 15, 0, 1, 0, 0, 0],
                        [2048, 0, 12, 0, 1, 0, 0, 0],
                        [1536, 0, 1, 0, 1, 0, 0, 0],
                        [1024, 0, 0, 0, 1, 0, 0, 0]
                    ]
                ],
                // <2-02>UXGA
                [
                    // -
                    [
                        // デフォルト値
                        [7],
                        // 値リスト
                        [14336, 0, 15, 0, 1, 0, 0, 0],
                        [12288, 0, 15, 0, 1, 0, 0, 0],
                        [10240, 0, 15, 0, 1, 0, 0, 0],
                        [8192, 0, 15, 0, 1, 0, 0, 0],
                        [6144, 0, 15, 0, 1, 0, 0, 0],
                        [4096, 0, 15, 0, 1, 0, 0, 0],
                        [3072, 0, 15, 0, 1, 0, 0, 0],
                        [2048, 0, 15, 0, 1, 0, 0, 0],
                        [1536, 0, 7.5, 0, 1, 0, 0, 0],
                        [1024, 0, 1, 0, 1, 0, 0, 0],
                        [768, 0, 0, 0, 1, 0, 0, 0],
                        [512, 0, 0, 0, 1, 0, 0, 0]
                    ]
                ],
                // <2-03>SXVGA
                [
                    // -
                    [
                        // デフォルト値
                        [6],
                        // 値リスト
                        [8192, 0, 15, 0, 1, 0, 0, 1],
                        [6144, 0, 15, 0, 1, 0, 0, 1],
                        [4096, 0, 15, 0, 1, 0, 0, 1],
                        [3072, 0, 15, 0, 1, 0, 0, 1],
                        [2048, 0, 15, 0, 1, 0, 0, 1],
                        [1536, 0, 15, 0, 1, 0, 0, 1],
                        [1024, 0, 15, 0, 1, 0, 0, 1],
                        [768, 0, 1, 0, 1, 0, 0, 1],
                        [512, 0, 0, 0, 1, 0, 0, 1],
                        [384, 0, 0, 0, 1, 0, 0, 1],
                        [256, 0, 0, 0, 1, 0, 0, 1]
                    ]
                ],
                // <2-04>SVGA
                [
                    // -
                    [
                        // デフォルト値
                        [4],
                        // 値リスト
                        [4096, 0, 15, 0, 1, 0, 0, 1],
                        [3072, 0, 15, 0, 1, 0, 0, 1],
                        [2048, 0, 15, 0, 1, 0, 0, 1],
                        [1536, 0, 15, 0, 1, 0, 0, 1],
                        [1024, 0, 15, 0, 1, 0, 0, 1],
                        [768, 0, 7.5, 0, 1, 0, 0, 1],
                        [512, 0, 1, 0, 1, 0, 0, 1],
                        [384, 0, 1, 0, 1, 0, 0, 1],
                        [256, 0, 0, 0, 1, 0, 0, 1],
                        [128, 0, 0, 0, 1, 0, 0, 1]
                    ]
                ],
                // <2-05>VGA
                [
                    // -
                    [
                        // デフォルト値
                        [7],
                        // 値リスト
                        [4096, 0, 15, 0, 1, 0, 0, 0],
                        [3072, 0, 15, 0, 1, 0, 0, 0],
                        [2048, 0, 15, 0, 1, 0, 0, 0],
                        [1536, 0, 15, 0, 1, 0, 0, 0],
                        [1024, 0, 15, 0, 1, 0, 0, 0],
                        [768, 0, 15, 0, 1, 0, 0, 0],
                        [512, 0, 15, 0, 1, 0, 0, 0],
                        [384, 0, 15, 0, 1, 0, 0, 0],
                        [256, 0, 1, 0, 1, 0, 0, 0],
                        [128, 0, 0, 0, 1, 0, 0, 0],
                        [64, 0, 0, 0, 1, 0, 0, 0]
                    ]
                ],
                // <2-06>QVGA
                [
                    // -
                    [
                        // デフォルト値
                        [8],
                        // 値リスト
                        [4096, 0, 15, 0, 1, 0, 0, 0],
                        [3072, 0, 15, 0, 1, 0, 0, 0],
                        [2048, 0, 15, 0, 1, 0, 0, 0],
                        [1536, 0, 15, 0, 1, 0, 0, 0],
                        [1024, 0, 15, 0, 1, 0, 0, 0],
                        [768, 0, 15, 0, 1, 0, 0, 0],
                        [512, 0, 15, 0, 1, 0, 0, 0],
                        [384, 0, 15, 0, 1, 0, 0, 0],
                        [256, 0, 15, 0, 1, 0, 0, 0],
                        [128, 0, 1, 0, 1, 0, 0, 0],
                        [64, 0, 0, 0, 1, 0, 0, 0]
                    ]
                ]
            ],
            // <4-3>AdvancedVBR[中]
            [
                // <2-00>2560x1920
                [
                    // -
                    [
                        // デフォルト値
                        [6],
                        // 値リスト
                        [16384, 0, 15, 0, 1, 0, 0, 0],
                        [14336, 0, 15, 0, 1, 0, 0, 0],
                        [12288, 0, 15, 0, 1, 0, 0, 0],
                        [10240, 0, 15, 0, 1, 0, 0, 0],
                        [8192, 0, 15, 0, 1, 0, 0, 0],
                        [6144, 0, 15, 0, 1, 0, 0, 0],
                        [4096, 0, 15, 0, 1, 0, 0, 0],
                        [3072, 0, 3, 0, 1, 0, 0, 0],
                        [2048, 0, 1, 0, 1, 0, 0, 0],
                        [1536, 0, 0, 0, 1, 0, 0, 0]
                    ]
                ],
                // <2-01>QXGA
                [
                    // -
                    [
                        // デフォルト値
                        [7],
                        // 値リスト
                        [16384, 0, 15, 0, 1, 0, 0, 0],
                        [14336, 0, 15, 0, 1, 0, 0, 0],
                        [12288, 0, 15, 0, 1, 0, 0, 0],
                        [10240, 0, 15, 0, 1, 0, 0, 0],
                        [8192, 0, 15, 0, 1, 0, 0, 0],
                        [6144, 0, 15, 0, 1, 0, 0, 0],
                        [4096, 0, 15, 0, 1, 0, 0, 0],
                        [3072, 0, 15, 0, 1, 0, 0, 0],
                        [2048, 0, 12, 0, 1, 0, 0, 0],
                        [1536, 0, 1, 0, 1, 0, 0, 0],
                        [1024, 0, 0, 0, 1, 0, 0, 0]
                    ]
                ],
                // <2-02>UXGA
                [
                    // -
                    [
                        // デフォルト値
                        [7],
                        // 値リスト
                        [14336, 0, 15, 0, 1, 0, 0, 0],
                        [12288, 0, 15, 0, 1, 0, 0, 0],
                        [10240, 0, 15, 0, 1, 0, 0, 0],
                        [8192, 0, 15, 0, 1, 0, 0, 0],
                        [6144, 0, 15, 0, 1, 0, 0, 0],
                        [4096, 0, 15, 0, 1, 0, 0, 0],
                        [3072, 0, 15, 0, 1, 0, 0, 0],
                        [2048, 0, 15, 0, 1, 0, 0, 0],
                        [1536, 0, 7.5, 0, 1, 0, 0, 0],
                        [1024, 0, 1, 0, 1, 0, 0, 0],
                        [768, 0, 0, 0, 1, 0, 0, 0],
                        [512, 0, 0, 0, 1, 0, 0, 0]
                    ]
                ],
                // <2-03>SXVGA
                [
                    // -
                    [
                        // デフォルト値
                        [6],
                        // 値リスト
                        [8192, 0, 15, 0, 1, 0, 0, 1],
                        [6144, 0, 15, 0, 1, 0, 0, 1],
                        [4096, 0, 15, 0, 1, 0, 0, 1],
                        [3072, 0, 15, 0, 1, 0, 0, 1],
                        [2048, 0, 15, 0, 1, 0, 0, 1],
                        [1536, 0, 15, 0, 1, 0, 0, 1],
                        [1024, 0, 15, 0, 1, 0, 0, 1],
                        [768, 0, 1, 0, 1, 0, 0, 1],
                        [512, 0, 0, 0, 1, 0, 0, 1],
                        [384, 0, 0, 0, 1, 0, 0, 1],
                        [256, 0, 0, 0, 1, 0, 0, 1]
                    ]
                ],
                // <2-04>SVGA
                [
                    // -
                    [
                        // デフォルト値
                        [4],
                        // 値リスト
                        [4096, 0, 15, 0, 1, 0, 0, 1],
                        [3072, 0, 15, 0, 1, 0, 0, 1],
                        [2048, 0, 15, 0, 1, 0, 0, 1],
                        [1536, 0, 15, 0, 1, 0, 0, 1],
                        [1024, 0, 15, 0, 1, 0, 0, 1],
                        [768, 0, 7.5, 0, 1, 0, 0, 1],
                        [512, 0, 1, 0, 1, 0, 0, 1],
                        [384, 0, 1, 0, 1, 0, 0, 1],
                        [256, 0, 0, 0, 1, 0, 0, 1],
                        [128, 0, 0, 0, 1, 0, 0, 1]
                    ]
                ],
                // <2-05>VGA
                [
                    // -
                    [
                        // デフォルト値
                        [7],
                        // 値リスト
                        [4096, 0, 15, 0, 1, 0, 0, 0],
                        [3072, 0, 15, 0, 1, 0, 0, 0],
                        [2048, 0, 15, 0, 1, 0, 0, 0],
                        [1536, 0, 15, 0, 1, 0, 0, 0],
                        [1024, 0, 15, 0, 1, 0, 0, 0],
                        [768, 0, 15, 0, 1, 0, 0, 0],
                        [512, 0, 15, 0, 1, 0, 0, 0],
                        [384, 0, 15, 0, 1, 0, 0, 0],
                        [256, 0, 1, 0, 1, 0, 0, 0],
                        [128, 0, 0, 0, 1, 0, 0, 0],
                        [64, 0, 0, 0, 1, 0, 0, 0]
                    ]
                ],
                // <2-06>QVGA
                [
                    // -
                    [
                        // デフォルト値
                        [8],
                        // 値リスト
                        [4096, 0, 15, 0, 1, 0, 0, 0],
                        [3072, 0, 15, 0, 1, 0, 0, 0],
                        [2048, 0, 15, 0, 1, 0, 0, 0],
                        [1536, 0, 15, 0, 1, 0, 0, 0],
                        [1024, 0, 15, 0, 1, 0, 0, 0],
                        [768, 0, 15, 0, 1, 0, 0, 0],
                        [512, 0, 15, 0, 1, 0, 0, 0],
                        [384, 0, 15, 0, 1, 0, 0, 0],
                        [256, 0, 15, 0, 1, 0, 0, 0],
                        [128, 0, 1, 0, 1, 0, 0, 0],
                        [64, 0, 0, 0, 1, 0, 0, 0]
                    ]
                ]
            ],
            // <4-4>AdvancedVBR[低]
            [
                // <2-00>2560x1920
                [
                    // -
                    [
                        // デフォルト値
                        [6],
                        // 値リスト
                        [16384, 0, 15, 0, 1, 0, 0, 0],
                        [14336, 0, 15, 0, 1, 0, 0, 0],
                        [12288, 0, 15, 0, 1, 0, 0, 0],
                        [10240, 0, 15, 0, 1, 0, 0, 0],
                        [8192, 0, 15, 0, 1, 0, 0, 0],
                        [6144, 0, 15, 0, 1, 0, 0, 0],
                        [4096, 0, 15, 0, 1, 0, 0, 0],
                        [3072, 0, 3, 0, 1, 0, 0, 0],
                        [2048, 0, 1, 0, 1, 0, 0, 0],
                        [1536, 0, 0, 0, 1, 0, 0, 0]
                    ]
                ],
                // <2-01>QXGA
                [
                    // -
                    [
                        // デフォルト値
                        [7],
                        // 値リスト
                        [16384, 0, 15, 0, 1, 0, 0, 0],
                        [14336, 0, 15, 0, 1, 0, 0, 0],
                        [12288, 0, 15, 0, 1, 0, 0, 0],
                        [10240, 0, 15, 0, 1, 0, 0, 0],
                        [8192, 0, 15, 0, 1, 0, 0, 0],
                        [6144, 0, 15, 0, 1, 0, 0, 0],
                        [4096, 0, 15, 0, 1, 0, 0, 0],
                        [3072, 0, 15, 0, 1, 0, 0, 0],
                        [2048, 0, 12, 0, 1, 0, 0, 0],
                        [1536, 0, 1, 0, 1, 0, 0, 0],
                        [1024, 0, 0, 0, 1, 0, 0, 0]
                    ]
                ],
                // <2-02>UXGA
                [
                    // -
                    [
                        // デフォルト値
                        [7],
                        // 値リスト
                        [14336, 0, 15, 0, 1, 0, 0, 0],
                        [12288, 0, 15, 0, 1, 0, 0, 0],
                        [10240, 0, 15, 0, 1, 0, 0, 0],
                        [8192, 0, 15, 0, 1, 0, 0, 0],
                        [6144, 0, 15, 0, 1, 0, 0, 0],
                        [4096, 0, 15, 0, 1, 0, 0, 0],
                        [3072, 0, 15, 0, 1, 0, 0, 0],
                        [2048, 0, 15, 0, 1, 0, 0, 0],
                        [1536, 0, 7.5, 0, 1, 0, 0, 0],
                        [1024, 0, 1, 0, 1, 0, 0, 0],
                        [768, 0, 0, 0, 1, 0, 0, 0],
                        [512, 0, 0, 0, 1, 0, 0, 0]
                    ]
                ],
                // <2-03>SXVGA
                [
                    // -
                    [
                        // デフォルト値
                        [6],
                        // 値リスト
                        [8192, 0, 15, 0, 1, 0, 0, 1],
                        [6144, 0, 15, 0, 1, 0, 0, 1],
                        [4096, 0, 15, 0, 1, 0, 0, 1],
                        [3072, 0, 15, 0, 1, 0, 0, 1],
                        [2048, 0, 15, 0, 1, 0, 0, 1],
                        [1536, 0, 15, 0, 1, 0, 0, 1],
                        [1024, 0, 15, 0, 1, 0, 0, 1],
                        [768, 0, 1, 0, 1, 0, 0, 1],
                        [512, 0, 0, 0, 1, 0, 0, 1],
                        [384, 0, 0, 0, 1, 0, 0, 1],
                        [256, 0, 0, 0, 1, 0, 0, 1]
                    ]
                ],
                // <2-04>SVGA
                [
                    // -
                    [
                        // デフォルト値
                        [4],
                        // 値リスト
                        [4096, 0, 15, 0, 1, 0, 0, 1],
                        [3072, 0, 15, 0, 1, 0, 0, 1],
                        [2048, 0, 15, 0, 1, 0, 0, 1],
                        [1536, 0, 15, 0, 1, 0, 0, 1],
                        [1024, 0, 15, 0, 1, 0, 0, 1],
                        [768, 0, 7.5, 0, 1, 0, 0, 1],
                        [512, 0, 1, 0, 1, 0, 0, 1],
                        [384, 0, 1, 0, 1, 0, 0, 1],
                        [256, 0, 0, 0, 1, 0, 0, 1],
                        [128, 0, 0, 0, 1, 0, 0, 1]
                    ]
                ],
                // <2-05>VGA
                [
                    // -
                    [
                        // デフォルト値
                        [7],
                        // 値リスト
                        [4096, 0, 15, 0, 1, 0, 0, 0],
                        [3072, 0, 15, 0, 1, 0, 0, 0],
                        [2048, 0, 15, 0, 1, 0, 0, 0],
                        [1536, 0, 15, 0, 1, 0, 0, 0],
                        [1024, 0, 15, 0, 1, 0, 0, 0],
                        [768, 0, 15, 0, 1, 0, 0, 0],
                        [512, 0, 15, 0, 1, 0, 0, 0],
                        [384, 0, 15, 0, 1, 0, 0, 0],
                        [256, 0, 1, 0, 1, 0, 0, 0],
                        [128, 0, 0, 0, 1, 0, 0, 0],
                        [64, 0, 0, 0, 1, 0, 0, 0]
                    ]
                ],
                // <2-06>QVGA
                [
                    // -
                    [
                        // デフォルト値
                        [8],
                        // 値リスト
                        [4096, 0, 15, 0, 1, 0, 0, 0],
                        [3072, 0, 15, 0, 1, 0, 0, 0],
                        [2048, 0, 15, 0, 1, 0, 0, 0],
                        [1536, 0, 15, 0, 1, 0, 0, 0],
                        [1024, 0, 15, 0, 1, 0, 0, 0],
                        [768, 0, 15, 0, 1, 0, 0, 0],
                        [512, 0, 15, 0, 1, 0, 0, 0],
                        [384, 0, 15, 0, 1, 0, 0, 0],
                        [256, 0, 15, 0, 1, 0, 0, 0],
                        [128, 0, 1, 0, 1, 0, 0, 0],
                        [64, 0, 0, 0, 1, 0, 0, 0]
                    ]
                ]
            ]
        ],
        // <3-4>8M(FE+DP/P)
        [
            // <4-0>ビットレート優先
            [
                // <2-00>2816x2816
                [
                    // <5-0>画質優先(SF)
                    [
                        // デフォルト値
                        [6],
                        // 値リスト
                        [16384, 0, 7.5, 0, 1, 0, 0, 0],
                        [14336, 0, 7.5, 0, 1, 0, 0, 0],
                        [12288, 0, 7.5, 0, 1, 0, 0, 0],
                        [10240, 0, 7.5, 0, 1, 0, 0, 0],
                        [8192, 0, 7.5, 0, 1, 0, 0, 0],
                        [6144, 0, 7.5, 0, 1, 0, 0, 0],
                        [4096, 0, 7.5, 0, 1, 0, 0, 0],
                        [3072, 0, 5, 0, 1, 0, 0, 0],
                        [2048, 0, 3, 0, 1, 0, 0, 0]
                    ],
                    // <5-1>標準(FQ)
                    [
                        // デフォルト値
                        [6],
                        // 値リスト
                        [16384, 0, 7.5, 0, 1, 0, 0, 0],
                        [14336, 0, 7.5, 0, 1, 0, 0, 0],
                        [12288, 0, 7.5, 0, 1, 0, 0, 0],
                        [10240, 0, 7.5, 0, 1, 0, 0, 0],
                        [8192, 0, 7.5, 0, 1, 0, 0, 0],
                        [6144, 0, 7.5, 0, 1, 0, 0, 0],
                        [4096, 0, 7.5, 0, 1, 0, 0, 0],
                        [3072, 0, 7.5, 0, 1, 0, 0, 0],
                        [2048, 0, 5, 0, 1, 0, 0, 0]
                    ],
                    // <5-2>動き優先(NQ)
                    [
                        // デフォルト値
                        [6],
                        // 値リスト
                        [16384, 0, 7.5, 0, 1, 0, 0, 0],
                        [14336, 0, 7.5, 0, 1, 0, 0, 0],
                        [12288, 0, 7.5, 0, 1, 0, 0, 0],
                        [10240, 0, 7.5, 0, 1, 0, 0, 0],
                        [8192, 0, 7.5, 0, 1, 0, 0, 0],
                        [6144, 0, 7.5, 0, 1, 0, 0, 0],
                        [4096, 0, 7.5, 0, 1, 0, 0, 0],
                        [3072, 0, 7.5, 0, 1, 0, 0, 0],
                        [2048, 0, 7.5, 0, 1, 0, 0, 0]
                    ]
                ],
                // <2-01>1280x1280
                [
                    // <5-0>画質優先(SF)
                    [
                        // デフォルト値
                        [2],
                        // 値リスト
                        [8192, 0, 7.5, 0, 1, 0, 0, 1],
                        [6144, 0, 7.5, 0, 1, 0, 0, 1],
                        [4096, 0, 7.5, 0, 1, 0, 0, 1],
                        [3072, 0, 7.5, 0, 1, 0, 0, 1],
                        [2048, 0, 7.5, 0, 1, 0, 0, 1],
                        [1536, 0, 7.5, 0, 1, 0, 0, 1],
                        [1024, 0, 5, 0, 1, 0, 0, 1],
                        [768, 0, 3, 0, 1, 0, 0, 1],
                        [512, 0, 2, 0, 1, 0, 0, 1],
                        [384, 0, 1, 0, 1, 0, 0, 1],
                        [256, 0, 1, 0, 1, 0, 0, 1]
                    ],
                    // <5-1>標準(FQ)
                    [
                        // デフォルト値
                        [2],
                        // 値リスト
                        [8192, 0, 7.5, 0, 1, 0, 0, 1],
                        [6144, 0, 7.5, 0, 1, 0, 0, 1],
                        [4096, 0, 7.5, 0, 1, 0, 0, 1],
                        [3072, 0, 7.5, 0, 1, 0, 0, 1],
                        [2048, 0, 7.5, 0, 1, 0, 0, 1],
                        [1536, 0, 7.5, 0, 1, 0, 0, 1],
                        [1024, 0, 7.5, 0, 1, 0, 0, 1],
                        [768, 0, 5, 0, 1, 0, 0, 1],
                        [512, 0, 3, 0, 1, 0, 0, 1],
                        [384, 0, 2, 0, 1, 0, 0, 1],
                        [256, 0, 1, 0, 1, 0, 0, 1]
                    ],
                    // <5-2>動き優先(NQ)
                    [
                        // デフォルト値
                        [2],
                        // 値リスト
                        [8192, 0, 7.5, 0, 1, 0, 0, 1],
                        [6144, 0, 7.5, 0, 1, 0, 0, 1],
                        [4096, 0, 7.5, 0, 1, 0, 0, 1],
                        [3072, 0, 7.5, 0, 1, 0, 0, 1],
                        [2048, 0, 7.5, 0, 1, 0, 0, 1],
                        [1536, 0, 7.5, 0, 1, 0, 0, 1],
                        [1024, 0, 7.5, 0, 1, 0, 0, 1],
                        [768, 0, 7.5, 0, 1, 0, 0, 1],
                        [512, 0, 7.5, 0, 1, 0, 0, 1],
                        [384, 0, 5, 0, 1, 0, 0, 1],
                        [256, 0, 3, 0, 1, 0, 0, 1]
                    ]
                ],
                // <2-02>640x640
                [
                    // <5-0>画質優先(SF)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 7.5, 0, 1, 0, 0, 0],
                        [3072, 0, 7.5, 0, 1, 0, 0, 0],
                        [2048, 0, 7.5, 0, 1, 0, 0, 0],
                        [1536, 0, 7.5, 0, 1, 0, 0, 0],
                        [1024, 0, 7.5, 0, 1, 0, 0, 0],
                        [768, 0, 7.5, 0, 1, 0, 0, 0],
                        [512, 0, 5, 0, 1, 0, 0, 0],
                        [384, 0, 3, 0, 1, 0, 0, 0],
                        [256, 0, 2, 0, 1, 0, 0, 0],
                        [128, 0, 1, 0, 1, 0, 0, 0],
                        [64, 0, 1, 0, 1, 0, 0, 0]
                    ],
                    // <5-1>標準(FQ)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 7.5, 0, 1, 0, 0, 0],
                        [3072, 0, 7.5, 0, 1, 0, 0, 0],
                        [2048, 0, 7.5, 0, 1, 0, 0, 0],
                        [1536, 0, 7.5, 0, 1, 0, 0, 0],
                        [1024, 0, 7.5, 0, 1, 0, 0, 0],
                        [768, 0, 7.5, 0, 1, 0, 0, 0],
                        [512, 0, 7.5, 0, 1, 0, 0, 0],
                        [384, 0, 7.5, 0, 1, 0, 0, 0],
                        [256, 0, 7.5, 0, 1, 0, 0, 0],
                        [128, 0, 5, 0, 1, 0, 0, 0],
                        [64, 0, 2, 0, 1, 0, 0, 0]
                    ],
                    // <5-2>動き優先(NQ)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 7.5, 0, 1, 0, 0, 0],
                        [3072, 0, 7.5, 0, 1, 0, 0, 0],
                        [2048, 0, 7.5, 0, 1, 0, 0, 0],
                        [1536, 0, 7.5, 0, 1, 0, 0, 0],
                        [1024, 0, 7.5, 0, 1, 0, 0, 0],
                        [768, 0, 7.5, 0, 1, 0, 0, 0],
                        [512, 0, 7.5, 0, 1, 0, 0, 0],
                        [384, 0, 7.5, 0, 1, 0, 0, 0],
                        [256, 0, 7.5, 0, 1, 0, 0, 0],
                        [128, 0, 7.5, 0, 1, 0, 0, 0],
                        [64, 0, 3, 0, 1, 0, 0, 0]
                    ]
                ],
                // <2-03>320x320
                [
                    // <5-0>画質優先(SF)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 7.5, 0, 1, 0, 0, 0],
                        [3072, 0, 7.5, 0, 1, 0, 0, 0],
                        [2048, 0, 7.5, 0, 1, 0, 0, 0],
                        [1536, 0, 7.5, 0, 1, 0, 0, 0],
                        [1024, 0, 7.5, 0, 1, 0, 0, 0],
                        [768, 0, 7.5, 0, 1, 0, 0, 0],
                        [512, 0, 7.5, 0, 1, 0, 0, 0],
                        [384, 0, 5, 0, 1, 0, 0, 0],
                        [256, 0, 3, 0, 1, 0, 0, 0],
                        [128, 0, 2, 0, 1, 0, 0, 0],
                        [64, 0, 1, 0, 1, 0, 0, 0]
                    ],
                    // <5-1>標準(FQ)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 7.5, 0, 1, 0, 0, 0],
                        [3072, 0, 7.5, 0, 1, 0, 0, 0],
                        [2048, 0, 7.5, 0, 1, 0, 0, 0],
                        [1536, 0, 7.5, 0, 1, 0, 0, 0],
                        [1024, 0, 7.5, 0, 1, 0, 0, 0],
                        [768, 0, 7.5, 0, 1, 0, 0, 0],
                        [512, 0, 7.5, 0, 1, 0, 0, 0],
                        [384, 0, 7.5, 0, 1, 0, 0, 0],
                        [256, 0, 7.5, 0, 1, 0, 0, 0],
                        [128, 0, 7.5, 0, 1, 0, 0, 0],
                        [64, 0, 5, 0, 1, 0, 0, 0]
                    ],
                    // <5-2>動き優先(NQ)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 7.5, 0, 1, 0, 0, 0],
                        [3072, 0, 7.5, 0, 1, 0, 0, 0],
                        [2048, 0, 7.5, 0, 1, 0, 0, 0],
                        [1536, 0, 7.5, 0, 1, 0, 0, 0],
                        [1024, 0, 7.5, 0, 1, 0, 0, 0],
                        [768, 0, 7.5, 0, 1, 0, 0, 0],
                        [512, 0, 7.5, 0, 1, 0, 0, 0],
                        [384, 0, 7.5, 0, 1, 0, 0, 0],
                        [256, 0, 7.5, 0, 1, 0, 0, 0],
                        [128, 0, 7.5, 0, 1, 0, 0, 0],
                        [64, 0, 7.5, 0, 1, 0, 0, 0]
                    ]
                ],
                // <2-04>HD
                [
                    // <5-0>画質優先(SF)
                    [
                        // デフォルト値
                        [2],
                        // 値リスト
                        [8192, 0, 7.5, 0, 1, 0, 0, 0],
                        [6144, 0, 7.5, 0, 1, 0, 0, 0],
                        [4096, 0, 7.5, 0, 1, 0, 0, 0],
                        [3072, 0, 7.5, 0, 1, 0, 0, 0],
                        [2048, 0, 7.5, 0, 1, 0, 0, 0],
                        [1536, 0, 7.5, 0, 1, 0, 0, 0],
                        [1024, 0, 5, 0, 1, 0, 0, 0],
                        [768, 0, 3, 0, 1, 0, 0, 0],
                        [512, 0, 2, 0, 1, 0, 0, 0],
                        [384, 0, 1, 0, 1, 0, 0, 0],
                        [256, 0, 1, 0, 1, 0, 0, 0]
                    ],
                    // <5-1>標準(FQ)
                    [
                        // デフォルト値
                        [2],
                        // 値リスト
                        [8192, 0, 7.5, 0, 1, 0, 0, 0],
                        [6144, 0, 7.5, 0, 1, 0, 0, 0],
                        [4096, 0, 7.5, 0, 1, 0, 0, 0],
                        [3072, 0, 7.5, 0, 1, 0, 0, 0],
                        [2048, 0, 7.5, 0, 1, 0, 0, 0],
                        [1536, 0, 7.5, 0, 1, 0, 0, 0],
                        [1024, 0, 7.5, 0, 1, 0, 0, 0],
                        [768, 0, 5, 0, 1, 0, 0, 0],
                        [512, 0, 3, 0, 1, 0, 0, 0],
                        [384, 0, 2, 0, 1, 0, 0, 0],
                        [256, 0, 1, 0, 1, 0, 0, 0]
                    ],
                    // <5-2>動き優先(NQ)
                    [
                        // デフォルト値
                        [2],
                        // 値リスト
                        [8192, 0, 7.5, 0, 1, 0, 0, 0],
                        [6144, 0, 7.5, 0, 1, 0, 0, 0],
                        [4096, 0, 7.5, 0, 1, 0, 0, 0],
                        [3072, 0, 7.5, 0, 1, 0, 0, 0],
                        [2048, 0, 7.5, 0, 1, 0, 0, 0],
                        [1536, 0, 7.5, 0, 1, 0, 0, 0],
                        [1024, 0, 7.5, 0, 1, 0, 0, 0],
                        [768, 0, 7.5, 0, 1, 0, 0, 0],
                        [512, 0, 7.5, 0, 1, 0, 0, 0],
                        [384, 0, 5, 0, 1, 0, 0, 0],
                        [256, 0, 3, 0, 1, 0, 0, 0]
                    ]
                ],
                // <2-05>HVGAW
                [
                    // <5-0>画質優先(SF)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 7.5, 0, 1, 0, 0, 0],
                        [3072, 0, 7.5, 0, 1, 0, 0, 0],
                        [2048, 0, 7.5, 0, 1, 0, 0, 0],
                        [1536, 0, 7.5, 0, 1, 0, 0, 0],
                        [1024, 0, 7.5, 0, 1, 0, 0, 0],
                        [768, 0, 7.5, 0, 1, 0, 0, 0],
                        [512, 0, 5, 0, 1, 0, 0, 0],
                        [384, 0, 3, 0, 1, 0, 0, 0],
                        [256, 0, 2, 0, 1, 0, 0, 0],
                        [128, 0, 1, 0, 1, 0, 0, 0],
                        [64, 0, 1, 0, 1, 0, 0, 0]
                    ],
                    // <5-1>標準(FQ)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 7.5, 0, 1, 0, 0, 0],
                        [3072, 0, 7.5, 0, 1, 0, 0, 0],
                        [2048, 0, 7.5, 0, 1, 0, 0, 0],
                        [1536, 0, 7.5, 0, 1, 0, 0, 0],
                        [1024, 0, 7.5, 0, 1, 0, 0, 0],
                        [768, 0, 7.5, 0, 1, 0, 0, 0],
                        [512, 0, 7.5, 0, 1, 0, 0, 0],
                        [384, 0, 7.5, 0, 1, 0, 0, 0],
                        [256, 0, 7.5, 0, 1, 0, 0, 0],
                        [128, 0, 5, 0, 1, 0, 0, 0],
                        [64, 0, 2, 0, 1, 0, 0, 0]
                    ],
                    // <5-2>動き優先(NQ)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 7.5, 0, 1, 0, 0, 0],
                        [3072, 0, 7.5, 0, 1, 0, 0, 0],
                        [2048, 0, 7.5, 0, 1, 0, 0, 0],
                        [1536, 0, 7.5, 0, 1, 0, 0, 0],
                        [1024, 0, 7.5, 0, 1, 0, 0, 0],
                        [768, 0, 7.5, 0, 1, 0, 0, 0],
                        [512, 0, 7.5, 0, 1, 0, 0, 0],
                        [384, 0, 7.5, 0, 1, 0, 0, 0],
                        [256, 0, 7.5, 0, 1, 0, 0, 0],
                        [128, 0, 7.5, 0, 1, 0, 0, 0],
                        [64, 0, 3, 0, 1, 0, 0, 0]
                    ]
                ]
            ],
            // <4-1>フレームレート優先
            [
                // <2-00>2816x2816
                [
                    // -
                    [
                        // デフォルト値
                        [5],
                        // 値リスト
                        [16384, 0, 7.5, 0, 1, 0, 0, 0],
                        [14336, 0, 7.5, 0, 1, 0, 0, 0],
                        [12288, 0, 7.5, 0, 1, 0, 0, 0],
                        [10240, 0, 7.5, 0, 1, 0, 0, 0],
                        [8192, 0, 7.5, 0, 1, 0, 0, 0],
                        [6144, 0, 7.5, 0, 1, 0, 0, 0],
                        [4096, 0, 1, 0, 1, 0, 0, 0],
                        [3072, 0, 0, 0, 1, 0, 0, 0],
                        [2048, 0, 0, 0, 1, 0, 0, 0]
                    ]
                ],
                // <2-01>1280x1280
                [
                    // -
                    [
                        // デフォルト値
                        [5],
                        // 値リスト
                        [8192, 0, 7.5, 0, 1, 0, 0, 1],
                        [6144, 0, 7.5, 0, 1, 0, 0, 1],
                        [4096, 0, 7.5, 0, 1, 0, 0, 1],
                        [3072, 0, 7.5, 0, 1, 0, 0, 1],
                        [2048, 0, 7.5, 0, 1, 0, 0, 1],
                        [1536, 0, 7.5, 0, 1, 0, 0, 1],
                        [1024, 0, 1, 0, 1, 0, 0, 1],
                        [768, 0, 0, 0, 1, 0, 0, 1],
                        [512, 0, 0, 0, 1, 0, 0, 1],
                        [384, 0, 0, 0, 1, 0, 0, 1],
                        [256, 0, 0, 0, 1, 0, 0, 1]
                    ]
                ],
                // <2-02>640x640
                [
                    // -
                    [
                        // デフォルト値
                        [6],
                        // 値リスト
                        [4096, 0, 7.5, 0, 1, 0, 0, 0],
                        [3072, 0, 7.5, 0, 1, 0, 0, 0],
                        [2048, 0, 7.5, 0, 1, 0, 0, 0],
                        [1536, 0, 7.5, 0, 1, 0, 0, 0],
                        [1024, 0, 7.5, 0, 1, 0, 0, 0],
                        [768, 0, 7.5, 0, 1, 0, 0, 0],
                        [512, 0, 7.5, 0, 1, 0, 0, 0],
                        [384, 0, 1, 0, 1, 0, 0, 0],
                        [256, 0, 0, 0, 1, 0, 0, 0],
                        [128, 0, 0, 0, 1, 0, 0, 0],
                        [64, 0, 0, 0, 1, 0, 0, 0]
                    ]
                ],
                // <2-03>320x320
                [
                    // -
                    [
                        // デフォルト値
                        [8],
                        // 値リスト
                        [4096, 0, 7.5, 0, 1, 0, 0, 0],
                        [3072, 0, 7.5, 0, 1, 0, 0, 0],
                        [2048, 0, 7.5, 0, 1, 0, 0, 0],
                        [1536, 0, 7.5, 0, 1, 0, 0, 0],
                        [1024, 0, 7.5, 0, 1, 0, 0, 0],
                        [768, 0, 7.5, 0, 1, 0, 0, 0],
                        [512, 0, 7.5, 0, 1, 0, 0, 0],
                        [384, 0, 7.5, 0, 1, 0, 0, 0],
                        [256, 0, 7.5, 0, 1, 0, 0, 0],
                        [128, 0, 1, 0, 1, 0, 0, 0],
                        [64, 0, 0, 0, 1, 0, 0, 0]
                    ]
                ],
                // <2-04>HD
                [
                    // -
                    [
                        // デフォルト値
                        [7],
                        // 値リスト
                        [8192, 0, 7.5, 0, 1, 0, 0, 0],
                        [6144, 0, 7.5, 0, 1, 0, 0, 0],
                        [4096, 0, 7.5, 0, 1, 0, 0, 0],
                        [3072, 0, 7.5, 0, 1, 0, 0, 0],
                        [2048, 0, 7.5, 0, 1, 0, 0, 0],
                        [1536, 0, 7.5, 0, 1, 0, 0, 0],
                        [1024, 0, 7.5, 0, 1, 0, 0, 0],
                        [768, 0, 7.5, 0, 1, 0, 0, 0],
                        [512, 0, 1, 0, 1, 0, 0, 0],
                        [384, 0, 0, 0, 1, 0, 0, 0],
                        [256, 0, 0, 0, 1, 0, 0, 0]
                    ]
                ],
                // <2-05>HVGAW
                [
                    // -
                    [
                        // デフォルト値
                        [7],
                        // 値リスト
                        [4096, 0, 7.5, 0, 1, 0, 0, 0],
                        [3072, 0, 7.5, 0, 1, 0, 0, 0],
                        [2048, 0, 7.5, 0, 1, 0, 0, 0],
                        [1536, 0, 7.5, 0, 1, 0, 0, 0],
                        [1024, 0, 7.5, 0, 1, 0, 0, 0],
                        [768, 0, 7.5, 0, 1, 0, 0, 0],
                        [512, 0, 7.5, 0, 1, 0, 0, 0],
                        [384, 0, 7.5, 0, 1, 0, 0, 0],
                        [256, 0, 1, 0, 1, 0, 0, 0],
                        [128, 0, 0, 0, 1, 0, 0, 0],
                        [64, 0, 0, 0, 1, 0, 0, 0]
                    ]
                ]
            ],
            // <4-2>AdvancedVBR[高]
            [
                // <2-00>2816x2816
                [
                    // -
                    [
                        // デフォルト値
                        [5],
                        // 値リスト
                        [16384, 0, 7.5, 0, 1, 0, 0, 0],
                        [14336, 0, 7.5, 0, 1, 0, 0, 0],
                        [12288, 0, 7.5, 0, 1, 0, 0, 0],
                        [10240, 0, 7.5, 0, 1, 0, 0, 0],
                        [8192, 0, 7.5, 0, 1, 0, 0, 0],
                        [6144, 0, 7.5, 0, 1, 0, 0, 0],
                        [4096, 0, 1, 0, 1, 0, 0, 0],
                        [3072, 0, 0, 0, 1, 0, 0, 0],
                        [2048, 0, 0, 0, 1, 0, 0, 0]
                    ]
                ],
                // <2-01>1280x1280
                [
                    // -
                    [
                        // デフォルト値
                        [5],
                        // 値リスト
                        [8192, 0, 7.5, 0, 1, 0, 0, 1],
                        [6144, 0, 7.5, 0, 1, 0, 0, 1],
                        [4096, 0, 7.5, 0, 1, 0, 0, 1],
                        [3072, 0, 7.5, 0, 1, 0, 0, 1],
                        [2048, 0, 7.5, 0, 1, 0, 0, 1],
                        [1536, 0, 7.5, 0, 1, 0, 0, 1],
                        [1024, 0, 1, 0, 1, 0, 0, 1],
                        [768, 0, 0, 0, 1, 0, 0, 1],
                        [512, 0, 0, 0, 1, 0, 0, 1],
                        [384, 0, 0, 0, 1, 0, 0, 1],
                        [256, 0, 0, 0, 1, 0, 0, 1]
                    ]
                ],
                // <2-02>640x640
                [
                    // -
                    [
                        // デフォルト値
                        [6],
                        // 値リスト
                        [4096, 0, 7.5, 0, 1, 0, 0, 0],
                        [3072, 0, 7.5, 0, 1, 0, 0, 0],
                        [2048, 0, 7.5, 0, 1, 0, 0, 0],
                        [1536, 0, 7.5, 0, 1, 0, 0, 0],
                        [1024, 0, 7.5, 0, 1, 0, 0, 0],
                        [768, 0, 7.5, 0, 1, 0, 0, 0],
                        [512, 0, 7.5, 0, 1, 0, 0, 0],
                        [384, 0, 1, 0, 1, 0, 0, 0],
                        [256, 0, 0, 0, 1, 0, 0, 0],
                        [128, 0, 0, 0, 1, 0, 0, 0],
                        [64, 0, 0, 0, 1, 0, 0, 0]
                    ]
                ],
                // <2-03>320x320
                [
                    // -
                    [
                        // デフォルト値
                        [8],
                        // 値リスト
                        [4096, 0, 7.5, 0, 1, 0, 0, 0],
                        [3072, 0, 7.5, 0, 1, 0, 0, 0],
                        [2048, 0, 7.5, 0, 1, 0, 0, 0],
                        [1536, 0, 7.5, 0, 1, 0, 0, 0],
                        [1024, 0, 7.5, 0, 1, 0, 0, 0],
                        [768, 0, 7.5, 0, 1, 0, 0, 0],
                        [512, 0, 7.5, 0, 1, 0, 0, 0],
                        [384, 0, 7.5, 0, 1, 0, 0, 0],
                        [256, 0, 7.5, 0, 1, 0, 0, 0],
                        [128, 0, 1, 0, 1, 0, 0, 0],
                        [64, 0, 0, 0, 1, 0, 0, 0]
                    ]
                ],
                // <2-04>HD
                [
                    // -
                    [
                        // デフォルト値
                        [7],
                        // 値リスト
                        [8192, 0, 7.5, 0, 1, 0, 0, 0],
                        [6144, 0, 7.5, 0, 1, 0, 0, 0],
                        [4096, 0, 7.5, 0, 1, 0, 0, 0],
                        [3072, 0, 7.5, 0, 1, 0, 0, 0],
                        [2048, 0, 7.5, 0, 1, 0, 0, 0],
                        [1536, 0, 7.5, 0, 1, 0, 0, 0],
                        [1024, 0, 7.5, 0, 1, 0, 0, 0],
                        [768, 0, 7.5, 0, 1, 0, 0, 0],
                        [512, 0, 1, 0, 1, 0, 0, 0],
                        [384, 0, 0, 0, 1, 0, 0, 0],
                        [256, 0, 0, 0, 1, 0, 0, 0]
                    ]
                ],
                // <2-05>HVGAW
                [
                    // -
                    [
                        // デフォルト値
                        [7],
                        // 値リスト
                        [4096, 0, 7.5, 0, 1, 0, 0, 0],
                        [3072, 0, 7.5, 0, 1, 0, 0, 0],
                        [2048, 0, 7.5, 0, 1, 0, 0, 0],
                        [1536, 0, 7.5, 0, 1, 0, 0, 0],
                        [1024, 0, 7.5, 0, 1, 0, 0, 0],
                        [768, 0, 7.5, 0, 1, 0, 0, 0],
                        [512, 0, 7.5, 0, 1, 0, 0, 0],
                        [384, 0, 7.5, 0, 1, 0, 0, 0],
                        [256, 0, 1, 0, 1, 0, 0, 0],
                        [128, 0, 0, 0, 1, 0, 0, 0],
                        [64, 0, 0, 0, 1, 0, 0, 0]
                    ]
                ]
            ],
            // <4-3>AdvancedVBR[中]
            [
                // <2-00>2816x2816
                [
                    // -
                    [
                        // デフォルト値
                        [5],
                        // 値リスト
                        [16384, 0, 7.5, 0, 1, 0, 0, 0],
                        [14336, 0, 7.5, 0, 1, 0, 0, 0],
                        [12288, 0, 7.5, 0, 1, 0, 0, 0],
                        [10240, 0, 7.5, 0, 1, 0, 0, 0],
                        [8192, 0, 7.5, 0, 1, 0, 0, 0],
                        [6144, 0, 7.5, 0, 1, 0, 0, 0],
                        [4096, 0, 1, 0, 1, 0, 0, 0],
                        [3072, 0, 0, 0, 1, 0, 0, 0],
                        [2048, 0, 0, 0, 1, 0, 0, 0]
                    ]
                ],
                // <2-01>1280x1280
                [
                    // -
                    [
                        // デフォルト値
                        [5],
                        // 値リスト
                        [8192, 0, 7.5, 0, 1, 0, 0, 1],
                        [6144, 0, 7.5, 0, 1, 0, 0, 1],
                        [4096, 0, 7.5, 0, 1, 0, 0, 1],
                        [3072, 0, 7.5, 0, 1, 0, 0, 1],
                        [2048, 0, 7.5, 0, 1, 0, 0, 1],
                        [1536, 0, 7.5, 0, 1, 0, 0, 1],
                        [1024, 0, 1, 0, 1, 0, 0, 1],
                        [768, 0, 0, 0, 1, 0, 0, 1],
                        [512, 0, 0, 0, 1, 0, 0, 1],
                        [384, 0, 0, 0, 1, 0, 0, 1],
                        [256, 0, 0, 0, 1, 0, 0, 1]
                    ]
                ],
                // <2-02>640x640
                [
                    // -
                    [
                        // デフォルト値
                        [6],
                        // 値リスト
                        [4096, 0, 7.5, 0, 1, 0, 0, 0],
                        [3072, 0, 7.5, 0, 1, 0, 0, 0],
                        [2048, 0, 7.5, 0, 1, 0, 0, 0],
                        [1536, 0, 7.5, 0, 1, 0, 0, 0],
                        [1024, 0, 7.5, 0, 1, 0, 0, 0],
                        [768, 0, 7.5, 0, 1, 0, 0, 0],
                        [512, 0, 7.5, 0, 1, 0, 0, 0],
                        [384, 0, 1, 0, 1, 0, 0, 0],
                        [256, 0, 0, 0, 1, 0, 0, 0],
                        [128, 0, 0, 0, 1, 0, 0, 0],
                        [64, 0, 0, 0, 1, 0, 0, 0]
                    ]
                ],
                // <2-03>320x320
                [
                    // -
                    [
                        // デフォルト値
                        [8],
                        // 値リスト
                        [4096, 0, 7.5, 0, 1, 0, 0, 0],
                        [3072, 0, 7.5, 0, 1, 0, 0, 0],
                        [2048, 0, 7.5, 0, 1, 0, 0, 0],
                        [1536, 0, 7.5, 0, 1, 0, 0, 0],
                        [1024, 0, 7.5, 0, 1, 0, 0, 0],
                        [768, 0, 7.5, 0, 1, 0, 0, 0],
                        [512, 0, 7.5, 0, 1, 0, 0, 0],
                        [384, 0, 7.5, 0, 1, 0, 0, 0],
                        [256, 0, 7.5, 0, 1, 0, 0, 0],
                        [128, 0, 1, 0, 1, 0, 0, 0],
                        [64, 0, 0, 0, 1, 0, 0, 0]
                    ]
                ],
                // <2-04>HD
                [
                    // -
                    [
                        // デフォルト値
                        [7],
                        // 値リスト
                        [8192, 0, 7.5, 0, 1, 0, 0, 0],
                        [6144, 0, 7.5, 0, 1, 0, 0, 0],
                        [4096, 0, 7.5, 0, 1, 0, 0, 0],
                        [3072, 0, 7.5, 0, 1, 0, 0, 0],
                        [2048, 0, 7.5, 0, 1, 0, 0, 0],
                        [1536, 0, 7.5, 0, 1, 0, 0, 0],
                        [1024, 0, 7.5, 0, 1, 0, 0, 0],
                        [768, 0, 7.5, 0, 1, 0, 0, 0],
                        [512, 0, 1, 0, 1, 0, 0, 0],
                        [384, 0, 0, 0, 1, 0, 0, 0],
                        [256, 0, 0, 0, 1, 0, 0, 0]
                    ]
                ],
                // <2-05>HVGAW
                [
                    // -
                    [
                        // デフォルト値
                        [7],
                        // 値リスト
                        [4096, 0, 7.5, 0, 1, 0, 0, 0],
                        [3072, 0, 7.5, 0, 1, 0, 0, 0],
                        [2048, 0, 7.5, 0, 1, 0, 0, 0],
                        [1536, 0, 7.5, 0, 1, 0, 0, 0],
                        [1024, 0, 7.5, 0, 1, 0, 0, 0],
                        [768, 0, 7.5, 0, 1, 0, 0, 0],
                        [512, 0, 7.5, 0, 1, 0, 0, 0],
                        [384, 0, 7.5, 0, 1, 0, 0, 0],
                        [256, 0, 1, 0, 1, 0, 0, 0],
                        [128, 0, 0, 0, 1, 0, 0, 0],
                        [64, 0, 0, 0, 1, 0, 0, 0]
                    ]
                ]
            ],
            // <4-4>AdvancedVBR[低]
            [
                // <2-00>2816x2816
                [
                    // -
                    [
                        // デフォルト値
                        [5],
                        // 値リスト
                        [16384, 0, 7.5, 0, 1, 0, 0, 0],
                        [14336, 0, 7.5, 0, 1, 0, 0, 0],
                        [12288, 0, 7.5, 0, 1, 0, 0, 0],
                        [10240, 0, 7.5, 0, 1, 0, 0, 0],
                        [8192, 0, 7.5, 0, 1, 0, 0, 0],
                        [6144, 0, 7.5, 0, 1, 0, 0, 0],
                        [4096, 0, 1, 0, 1, 0, 0, 0],
                        [3072, 0, 0, 0, 1, 0, 0, 0],
                        [2048, 0, 0, 0, 1, 0, 0, 0]
                    ]
                ],
                // <2-01>1280x1280
                [
                    // -
                    [
                        // デフォルト値
                        [5],
                        // 値リスト
                        [8192, 0, 7.5, 0, 1, 0, 0, 1],
                        [6144, 0, 7.5, 0, 1, 0, 0, 1],
                        [4096, 0, 7.5, 0, 1, 0, 0, 1],
                        [3072, 0, 7.5, 0, 1, 0, 0, 1],
                        [2048, 0, 7.5, 0, 1, 0, 0, 1],
                        [1536, 0, 7.5, 0, 1, 0, 0, 1],
                        [1024, 0, 1, 0, 1, 0, 0, 1],
                        [768, 0, 0, 0, 1, 0, 0, 1],
                        [512, 0, 0, 0, 1, 0, 0, 1],
                        [384, 0, 0, 0, 1, 0, 0, 1],
                        [256, 0, 0, 0, 1, 0, 0, 1]
                    ]
                ],
                // <2-02>640x640
                [
                    // -
                    [
                        // デフォルト値
                        [6],
                        // 値リスト
                        [4096, 0, 7.5, 0, 1, 0, 0, 0],
                        [3072, 0, 7.5, 0, 1, 0, 0, 0],
                        [2048, 0, 7.5, 0, 1, 0, 0, 0],
                        [1536, 0, 7.5, 0, 1, 0, 0, 0],
                        [1024, 0, 7.5, 0, 1, 0, 0, 0],
                        [768, 0, 7.5, 0, 1, 0, 0, 0],
                        [512, 0, 7.5, 0, 1, 0, 0, 0],
                        [384, 0, 1, 0, 1, 0, 0, 0],
                        [256, 0, 0, 0, 1, 0, 0, 0],
                        [128, 0, 0, 0, 1, 0, 0, 0],
                        [64, 0, 0, 0, 1, 0, 0, 0]
                    ]
                ],
                // <2-03>320x320
                [
                    // -
                    [
                        // デフォルト値
                        [8],
                        // 値リスト
                        [4096, 0, 7.5, 0, 1, 0, 0, 0],
                        [3072, 0, 7.5, 0, 1, 0, 0, 0],
                        [2048, 0, 7.5, 0, 1, 0, 0, 0],
                        [1536, 0, 7.5, 0, 1, 0, 0, 0],
                        [1024, 0, 7.5, 0, 1, 0, 0, 0],
                        [768, 0, 7.5, 0, 1, 0, 0, 0],
                        [512, 0, 7.5, 0, 1, 0, 0, 0],
                        [384, 0, 7.5, 0, 1, 0, 0, 0],
                        [256, 0, 7.5, 0, 1, 0, 0, 0],
                        [128, 0, 1, 0, 1, 0, 0, 0],
                        [64, 0, 0, 0, 1, 0, 0, 0]
                    ]
                ],
                // <2-04>HD
                [
                    // -
                    [
                        // デフォルト値
                        [7],
                        // 値リスト
                        [8192, 0, 7.5, 0, 1, 0, 0, 0],
                        [6144, 0, 7.5, 0, 1, 0, 0, 0],
                        [4096, 0, 7.5, 0, 1, 0, 0, 0],
                        [3072, 0, 7.5, 0, 1, 0, 0, 0],
                        [2048, 0, 7.5, 0, 1, 0, 0, 0],
                        [1536, 0, 7.5, 0, 1, 0, 0, 0],
                        [1024, 0, 7.5, 0, 1, 0, 0, 0],
                        [768, 0, 7.5, 0, 1, 0, 0, 0],
                        [512, 0, 1, 0, 1, 0, 0, 0],
                        [384, 0, 0, 0, 1, 0, 0, 0],
                        [256, 0, 0, 0, 1, 0, 0, 0]
                    ]
                ],
                // <2-05>HVGAW
                [
                    // -
                    [
                        // デフォルト値
                        [7],
                        // 値リスト
                        [4096, 0, 7.5, 0, 1, 0, 0, 0],
                        [3072, 0, 7.5, 0, 1, 0, 0, 0],
                        [2048, 0, 7.5, 0, 1, 0, 0, 0],
                        [1536, 0, 7.5, 0, 1, 0, 0, 0],
                        [1024, 0, 7.5, 0, 1, 0, 0, 0],
                        [768, 0, 7.5, 0, 1, 0, 0, 0],
                        [512, 0, 7.5, 0, 1, 0, 0, 0],
                        [384, 0, 7.5, 0, 1, 0, 0, 0],
                        [256, 0, 1, 0, 1, 0, 0, 0],
                        [128, 0, 0, 0, 1, 0, 0, 0],
                        [64, 0, 0, 0, 1, 0, 0, 0]
                    ]
                ]
            ]
        ],
        // <3-5>4M(FE+DP/P)
        [
            // <4-0>ビットレート優先
            [
                // <2-00>2048x2048
                [
                    // <5-0>画質優先(SF)
                    [
                        // デフォルト値
                        [6],
                        // 値リスト
                        [16384, 0, 15, 0, 1, 0, 0, 1],
                        [14336, 0, 15, 0, 1, 0, 0, 1],
                        [12288, 0, 15, 0, 1, 0, 0, 1],
                        [10240, 0, 15, 0, 1, 0, 0, 1],
                        [8192, 0, 15, 0, 1, 0, 0, 1],
                        [6144, 0, 15, 0, 1, 0, 0, 1],
                        [4096, 0, 10, 0, 1, 0, 0, 1],
                        [3072, 0, 7.5, 0, 1, 0, 0, 1],
                        [2048, 0, 5, 0, 1, 0, 0, 1],
                        [1536, 0, 3, 0, 1, 0, 0, 1]
                    ],
                    // <5-1>標準(FQ)
                    [
                        // デフォルト値
                        [6],
                        // 値リスト
                        [16384, 0, 15, 0, 1, 0, 0, 1],
                        [14336, 0, 15, 0, 1, 0, 0, 1],
                        [12288, 0, 15, 0, 1, 0, 0, 1],
                        [10240, 0, 15, 0, 1, 0, 0, 1],
                        [8192, 0, 15, 0, 1, 0, 0, 1],
                        [6144, 0, 15, 0, 1, 0, 0, 1],
                        [4096, 0, 15, 0, 1, 0, 0, 1],
                        [3072, 0, 10, 0, 1, 0, 0, 1],
                        [2048, 0, 7.5, 0, 1, 0, 0, 1],
                        [1536, 0, 5, 0, 1, 0, 0, 1]
                    ],
                    // <5-2>動き優先(NQ)
                    [
                        // デフォルト値
                        [6],
                        // 値リスト
                        [16384, 0, 15, 0, 1, 0, 0, 1],
                        [14336, 0, 15, 0, 1, 0, 0, 1],
                        [12288, 0, 15, 0, 1, 0, 0, 1],
                        [10240, 0, 15, 0, 1, 0, 0, 1],
                        [8192, 0, 15, 0, 1, 0, 0, 1],
                        [6144, 0, 15, 0, 1, 0, 0, 1],
                        [4096, 0, 15, 0, 1, 0, 0, 1],
                        [3072, 0, 15, 0, 1, 0, 0, 1],
                        [2048, 0, 15, 0, 1, 0, 0, 1],
                        [1536, 0, 10, 0, 1, 0, 0, 1]
                    ]
                ],
                // <2-01>1280x1280
                [
                    // <5-0>画質優先(SF)
                    [
                        // デフォルト値
                        [2],
                        // 値リスト
                        [8192, 0, 15, 0, 1, 0, 0, 1],
                        [6144, 0, 15, 0, 1, 0, 0, 1],
                        [4096, 0, 15, 0, 1, 0, 0, 1],
                        [3072, 0, 15, 0, 1, 0, 0, 1],
                        [2048, 0, 10, 0, 1, 0, 0, 1],
                        [1536, 0, 7.5, 0, 1, 0, 0, 1],
                        [1024, 0, 5, 0, 1, 0, 0, 1],
                        [768, 0, 3, 0, 1, 0, 0, 1],
                        [512, 0, 2, 0, 1, 0, 0, 1],
                        [384, 0, 1, 0, 1, 0, 0, 1],
                        [256, 0, 1, 0, 1, 0, 0, 1]
                    ],
                    // <5-1>標準(FQ)
                    [
                        // デフォルト値
                        [2],
                        // 値リスト
                        [8192, 0, 15, 0, 1, 0, 0, 1],
                        [6144, 0, 15, 0, 1, 0, 0, 1],
                        [4096, 0, 15, 0, 1, 0, 0, 1],
                        [3072, 0, 15, 0, 1, 0, 0, 1],
                        [2048, 0, 15, 0, 1, 0, 0, 1],
                        [1536, 0, 10, 0, 1, 0, 0, 1],
                        [1024, 0, 7.5, 0, 1, 0, 0, 1],
                        [768, 0, 5, 0, 1, 0, 0, 1],
                        [512, 0, 3, 0, 1, 0, 0, 1],
                        [384, 0, 2, 0, 1, 0, 0, 1],
                        [256, 0, 1, 0, 1, 0, 0, 1]
                    ],
                    // <5-2>動き優先(NQ)
                    [
                        // デフォルト値
                        [2],
                        // 値リスト
                        [8192, 0, 15, 0, 1, 0, 0, 1],
                        [6144, 0, 15, 0, 1, 0, 0, 1],
                        [4096, 0, 15, 0, 1, 0, 0, 1],
                        [3072, 0, 15, 0, 1, 0, 0, 1],
                        [2048, 0, 15, 0, 1, 0, 0, 1],
                        [1536, 0, 15, 0, 1, 0, 0, 1],
                        [1024, 0, 15, 0, 1, 0, 0, 1],
                        [768, 0, 10, 0, 1, 0, 0, 1],
                        [512, 0, 7.5, 0, 1, 0, 0, 1],
                        [384, 0, 5, 0, 1, 0, 0, 1],
                        [256, 0, 3, 0, 1, 0, 0, 1]
                    ]
                ],
                // <2-02>640x640
                [
                    // <5-0>画質優先(SF)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 15, 0, 1, 0, 0, 0],
                        [3072, 0, 15, 0, 1, 0, 0, 0],
                        [2048, 0, 15, 0, 1, 0, 0, 0],
                        [1536, 0, 15, 0, 1, 0, 0, 0],
                        [1024, 0, 10, 0, 1, 0, 0, 0],
                        [768, 0, 7.5, 0, 1, 0, 0, 0],
                        [512, 0, 5, 0, 1, 0, 0, 0],
                        [384, 0, 3, 0, 1, 0, 0, 0],
                        [256, 0, 2, 0, 1, 0, 0, 0],
                        [128, 0, 1, 0, 1, 0, 0, 0],
                        [64, 0, 1, 0, 1, 0, 0, 0]
                    ],
                    // <5-1>標準(FQ)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 15, 0, 1, 0, 0, 0],
                        [3072, 0, 15, 0, 1, 0, 0, 0],
                        [2048, 0, 15, 0, 1, 0, 0, 0],
                        [1536, 0, 15, 0, 1, 0, 0, 0],
                        [1024, 0, 15, 0, 1, 0, 0, 0],
                        [768, 0, 15, 0, 1, 0, 0, 0],
                        [512, 0, 15, 0, 1, 0, 0, 0],
                        [384, 0, 10, 0, 1, 0, 0, 0],
                        [256, 0, 7.5, 0, 1, 0, 0, 0],
                        [128, 0, 5, 0, 1, 0, 0, 0],
                        [64, 0, 2, 0, 1, 0, 0, 0]
                    ],
                    // <5-2>動き優先(NQ)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 15, 0, 1, 0, 0, 0],
                        [3072, 0, 15, 0, 1, 0, 0, 0],
                        [2048, 0, 15, 0, 1, 0, 0, 0],
                        [1536, 0, 15, 0, 1, 0, 0, 0],
                        [1024, 0, 15, 0, 1, 0, 0, 0],
                        [768, 0, 15, 0, 1, 0, 0, 0],
                        [512, 0, 15, 0, 1, 0, 0, 0],
                        [384, 0, 15, 0, 1, 0, 0, 0],
                        [256, 0, 10, 0, 1, 0, 0, 0],
                        [128, 0, 7.5, 0, 1, 0, 0, 0],
                        [64, 0, 3, 0, 1, 0, 0, 0]
                    ]
                ],
                // <2-03>320x320
                [
                    // <5-0>画質優先(SF)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 15, 0, 1, 0, 0, 0],
                        [3072, 0, 15, 0, 1, 0, 0, 0],
                        [2048, 0, 15, 0, 1, 0, 0, 0],
                        [1536, 0, 15, 0, 1, 0, 0, 0],
                        [1024, 0, 15, 0, 1, 0, 0, 0],
                        [768, 0, 10, 0, 1, 0, 0, 0],
                        [512, 0, 7.5, 0, 1, 0, 0, 0],
                        [384, 0, 5, 0, 1, 0, 0, 0],
                        [256, 0, 3, 0, 1, 0, 0, 0],
                        [128, 0, 2, 0, 1, 0, 0, 0],
                        [64, 0, 1, 0, 1, 0, 0, 0]
                    ],
                    // <5-1>標準(FQ)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 15, 0, 1, 0, 0, 0],
                        [3072, 0, 15, 0, 1, 0, 0, 0],
                        [2048, 0, 15, 0, 1, 0, 0, 0],
                        [1536, 0, 15, 0, 1, 0, 0, 0],
                        [1024, 0, 15, 0, 1, 0, 0, 0],
                        [768, 0, 15, 0, 1, 0, 0, 0],
                        [512, 0, 15, 0, 1, 0, 0, 0],
                        [384, 0, 15, 0, 1, 0, 0, 0],
                        [256, 0, 10, 0, 1, 0, 0, 0],
                        [128, 0, 7.5, 0, 1, 0, 0, 0],
                        [64, 0, 5, 0, 1, 0, 0, 0]
                    ],
                    // <5-2>動き優先(NQ)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 15, 0, 1, 0, 0, 0],
                        [3072, 0, 15, 0, 1, 0, 0, 0],
                        [2048, 0, 15, 0, 1, 0, 0, 0],
                        [1536, 0, 15, 0, 1, 0, 0, 0],
                        [1024, 0, 15, 0, 1, 0, 0, 0],
                        [768, 0, 15, 0, 1, 0, 0, 0],
                        [512, 0, 15, 0, 1, 0, 0, 0],
                        [384, 0, 15, 0, 1, 0, 0, 0],
                        [256, 0, 15, 0, 1, 0, 0, 0],
                        [128, 0, 10, 0, 1, 0, 0, 0],
                        [64, 0, 7.5, 0, 1, 0, 0, 0]
                    ]
                ],
                // <2-04>HD
                [
                    // <5-0>画質優先(SF)
                    [
                        // デフォルト値
                        [2],
                        // 値リスト
                        [8192, 0, 15, 0, 1, 0, 0, 0],
                        [6144, 0, 15, 0, 1, 0, 0, 0],
                        [4096, 0, 15, 0, 1, 0, 0, 0],
                        [3072, 0, 15, 0, 1, 0, 0, 0],
                        [2048, 0, 10, 0, 1, 0, 0, 0],
                        [1536, 0, 7.5, 0, 1, 0, 0, 0],
                        [1024, 0, 5, 0, 1, 0, 0, 0],
                        [768, 0, 3, 0, 1, 0, 0, 0],
                        [512, 0, 2, 0, 1, 0, 0, 0],
                        [384, 0, 1, 0, 1, 0, 0, 0],
                        [256, 0, 1, 0, 1, 0, 0, 0]
                    ],
                    // <5-1>標準(FQ)
                    [
                        // デフォルト値
                        [2],
                        // 値リスト
                        [8192, 0, 15, 0, 1, 0, 0, 0],
                        [6144, 0, 15, 0, 1, 0, 0, 0],
                        [4096, 0, 15, 0, 1, 0, 0, 0],
                        [3072, 0, 15, 0, 1, 0, 0, 0],
                        [2048, 0, 15, 0, 1, 0, 0, 0],
                        [1536, 0, 10, 0, 1, 0, 0, 0],
                        [1024, 0, 7.5, 0, 1, 0, 0, 0],
                        [768, 0, 5, 0, 1, 0, 0, 0],
                        [512, 0, 3, 0, 1, 0, 0, 0],
                        [384, 0, 2, 0, 1, 0, 0, 0],
                        [256, 0, 1, 0, 1, 0, 0, 0]
                    ],
                    // <5-2>動き優先(NQ)
                    [
                        // デフォルト値
                        [2],
                        // 値リスト
                        [8192, 0, 15, 0, 1, 0, 0, 0],
                        [6144, 0, 15, 0, 1, 0, 0, 0],
                        [4096, 0, 15, 0, 1, 0, 0, 0],
                        [3072, 0, 15, 0, 1, 0, 0, 0],
                        [2048, 0, 15, 0, 1, 0, 0, 0],
                        [1536, 0, 15, 0, 1, 0, 0, 0],
                        [1024, 0, 15, 0, 1, 0, 0, 0],
                        [768, 0, 10, 0, 1, 0, 0, 0],
                        [512, 0, 7.5, 0, 1, 0, 0, 0],
                        [384, 0, 5, 0, 1, 0, 0, 0],
                        [256, 0, 3, 0, 1, 0, 0, 0]
                    ]
                ],
                // <2-05>HVGAW
                [
                    // <5-0>画質優先(SF)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 15, 0, 1, 0, 0, 0],
                        [3072, 0, 15, 0, 1, 0, 0, 0],
                        [2048, 0, 15, 0, 1, 0, 0, 0],
                        [1536, 0, 15, 0, 1, 0, 0, 0],
                        [1024, 0, 10, 0, 1, 0, 0, 0],
                        [768, 0, 7.5, 0, 1, 0, 0, 0],
                        [512, 0, 5, 0, 1, 0, 0, 0],
                        [384, 0, 3, 0, 1, 0, 0, 0],
                        [256, 0, 2, 0, 1, 0, 0, 0],
                        [128, 0, 1, 0, 1, 0, 0, 0],
                        [64, 0, 1, 0, 1, 0, 0, 0]
                    ],
                    // <5-1>標準(FQ)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 15, 0, 1, 0, 0, 0],
                        [3072, 0, 15, 0, 1, 0, 0, 0],
                        [2048, 0, 15, 0, 1, 0, 0, 0],
                        [1536, 0, 15, 0, 1, 0, 0, 0],
                        [1024, 0, 15, 0, 1, 0, 0, 0],
                        [768, 0, 15, 0, 1, 0, 0, 0],
                        [512, 0, 15, 0, 1, 0, 0, 0],
                        [384, 0, 10, 0, 1, 0, 0, 0],
                        [256, 0, 7.5, 0, 1, 0, 0, 0],
                        [128, 0, 5, 0, 1, 0, 0, 0],
                        [64, 0, 2, 0, 1, 0, 0, 0]
                    ],
                    // <5-2>動き優先(NQ)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 15, 0, 1, 0, 0, 0],
                        [3072, 0, 15, 0, 1, 0, 0, 0],
                        [2048, 0, 15, 0, 1, 0, 0, 0],
                        [1536, 0, 15, 0, 1, 0, 0, 0],
                        [1024, 0, 15, 0, 1, 0, 0, 0],
                        [768, 0, 15, 0, 1, 0, 0, 0],
                        [512, 0, 15, 0, 1, 0, 0, 0],
                        [384, 0, 15, 0, 1, 0, 0, 0],
                        [256, 0, 10, 0, 1, 0, 0, 0],
                        [128, 0, 7.5, 0, 1, 0, 0, 0],
                        [64, 0, 3, 0, 1, 0, 0, 0]
                    ]
                ]
            ],
            // <4-1>フレームレート優先
            [
                // <2-00>2048x2048
                [
                    // -
                    [
                        // デフォルト値
                        [7],
                        // 値リスト
                        [16384, 0, 15, 0, 1, 0, 0, 1],
                        [14336, 0, 15, 0, 1, 0, 0, 1],
                        [12288, 0, 15, 0, 1, 0, 0, 1],
                        [10240, 0, 15, 0, 1, 0, 0, 1],
                        [8192, 0, 15, 0, 1, 0, 0, 1],
                        [6144, 0, 15, 0, 1, 0, 0, 1],
                        [4096, 0, 15, 0, 1, 0, 0, 1],
                        [3072, 0, 15, 0, 1, 0, 0, 1],
                        [2048, 0, 1, 0, 1, 0, 0, 1],
                        [1536, 0, 0, 0, 1, 0, 0, 1]
                    ]
                ],
                // <2-01>1280x1280
                [
                    // -
                    [
                        // デフォルト値
                        [5],
                        // 値リスト
                        [8192, 0, 15, 0, 1, 0, 0, 1],
                        [6144, 0, 15, 0, 1, 0, 0, 1],
                        [4096, 0, 15, 0, 1, 0, 0, 1],
                        [3072, 0, 15, 0, 1, 0, 0, 1],
                        [2048, 0, 15, 0, 1, 0, 0, 1],
                        [1536, 0, 15, 0, 1, 0, 0, 1],
                        [1024, 0, 1, 0, 1, 0, 0, 1],
                        [768, 0, 0, 0, 1, 0, 0, 1],
                        [512, 0, 0, 0, 1, 0, 0, 1],
                        [384, 0, 0, 0, 1, 0, 0, 1],
                        [256, 0, 0, 0, 1, 0, 0, 1]
                    ]
                ],
                // <2-02>640x640
                [
                    // -
                    [
                        // デフォルト値
                        [6],
                        // 値リスト
                        [4096, 0, 15, 0, 1, 0, 0, 0],
                        [3072, 0, 15, 0, 1, 0, 0, 0],
                        [2048, 0, 15, 0, 1, 0, 0, 0],
                        [1536, 0, 15, 0, 1, 0, 0, 0],
                        [1024, 0, 15, 0, 1, 0, 0, 0],
                        [768, 0, 15, 0, 1, 0, 0, 0],
                        [512, 0, 15, 0, 1, 0, 0, 0],
                        [384, 0, 1, 0, 1, 0, 0, 0],
                        [256, 0, 0, 0, 1, 0, 0, 0],
                        [128, 0, 0, 0, 1, 0, 0, 0],
                        [64, 0, 0, 0, 1, 0, 0, 0]
                    ]
                ],
                // <2-03>320x320
                [
                    // -
                    [
                        // デフォルト値
                        [8],
                        // 値リスト
                        [4096, 0, 15, 0, 1, 0, 0, 0],
                        [3072, 0, 15, 0, 1, 0, 0, 0],
                        [2048, 0, 15, 0, 1, 0, 0, 0],
                        [1536, 0, 15, 0, 1, 0, 0, 0],
                        [1024, 0, 15, 0, 1, 0, 0, 0],
                        [768, 0, 15, 0, 1, 0, 0, 0],
                        [512, 0, 15, 0, 1, 0, 0, 0],
                        [384, 0, 15, 0, 1, 0, 0, 0],
                        [256, 0, 15, 0, 1, 0, 0, 0],
                        [128, 0, 1, 0, 1, 0, 0, 0],
                        [64, 0, 0, 0, 1, 0, 0, 0]
                    ]
                ],
                // <2-04>HD
                [
                    // -
                    [
                        // デフォルト値
                        [6],
                        // 値リスト
                        [8192, 0, 15, 0, 1, 0, 0, 0],
                        [6144, 0, 15, 0, 1, 0, 0, 0],
                        [4096, 0, 15, 0, 1, 0, 0, 0],
                        [3072, 0, 15, 0, 1, 0, 0, 0],
                        [2048, 0, 15, 0, 1, 0, 0, 0],
                        [1536, 0, 15, 0, 1, 0, 0, 0],
                        [1024, 0, 15, 0, 1, 0, 0, 0],
                        [768, 0, 7.5, 0, 1, 0, 0, 0],
                        [512, 0, 1, 0, 1, 0, 0, 0],
                        [384, 0, 0, 0, 1, 0, 0, 0],
                        [256, 0, 0, 0, 1, 0, 0, 0]
                    ]
                ],
                // <2-05>HVGAW
                [
                    // -
                    [
                        // デフォルト値
                        [7],
                        // 値リスト
                        [4096, 0, 15, 0, 1, 0, 0, 0],
                        [3072, 0, 15, 0, 1, 0, 0, 0],
                        [2048, 0, 15, 0, 1, 0, 0, 0],
                        [1536, 0, 15, 0, 1, 0, 0, 0],
                        [1024, 0, 15, 0, 1, 0, 0, 0],
                        [768, 0, 15, 0, 1, 0, 0, 0],
                        [512, 0, 15, 0, 1, 0, 0, 0],
                        [384, 0, 15, 0, 1, 0, 0, 0],
                        [256, 0, 1, 0, 1, 0, 0, 0],
                        [128, 0, 0, 0, 1, 0, 0, 0],
                        [64, 0, 0, 0, 1, 0, 0, 0]
                    ]
                ]
            ],
            // <4-2>AdvancedVBR[高]
            [
                // <2-00>2048x2048
                [
                    // -
                    [
                        // デフォルト値
                        [7],
                        // 値リスト
                        [16384, 0, 15, 0, 1, 0, 0, 1],
                        [14336, 0, 15, 0, 1, 0, 0, 1],
                        [12288, 0, 15, 0, 1, 0, 0, 1],
                        [10240, 0, 15, 0, 1, 0, 0, 1],
                        [8192, 0, 15, 0, 1, 0, 0, 1],
                        [6144, 0, 15, 0, 1, 0, 0, 1],
                        [4096, 0, 15, 0, 1, 0, 0, 1],
                        [3072, 0, 15, 0, 1, 0, 0, 1],
                        [2048, 0, 1, 0, 1, 0, 0, 1],
                        [1536, 0, 0, 0, 1, 0, 0, 1]
                    ]
                ],
                // <2-01>1280x1280
                [
                    // -
                    [
                        // デフォルト値
                        [5],
                        // 値リスト
                        [8192, 0, 15, 0, 1, 0, 0, 1],
                        [6144, 0, 15, 0, 1, 0, 0, 1],
                        [4096, 0, 15, 0, 1, 0, 0, 1],
                        [3072, 0, 15, 0, 1, 0, 0, 1],
                        [2048, 0, 15, 0, 1, 0, 0, 1],
                        [1536, 0, 15, 0, 1, 0, 0, 1],
                        [1024, 0, 1, 0, 1, 0, 0, 1],
                        [768, 0, 0, 0, 1, 0, 0, 1],
                        [512, 0, 0, 0, 1, 0, 0, 1],
                        [384, 0, 0, 0, 1, 0, 0, 1],
                        [256, 0, 0, 0, 1, 0, 0, 1]
                    ]
                ],
                // <2-02>640x640
                [
                    // -
                    [
                        // デフォルト値
                        [6],
                        // 値リスト
                        [4096, 0, 15, 0, 1, 0, 0, 0],
                        [3072, 0, 15, 0, 1, 0, 0, 0],
                        [2048, 0, 15, 0, 1, 0, 0, 0],
                        [1536, 0, 15, 0, 1, 0, 0, 0],
                        [1024, 0, 15, 0, 1, 0, 0, 0],
                        [768, 0, 15, 0, 1, 0, 0, 0],
                        [512, 0, 15, 0, 1, 0, 0, 0],
                        [384, 0, 1, 0, 1, 0, 0, 0],
                        [256, 0, 0, 0, 1, 0, 0, 0],
                        [128, 0, 0, 0, 1, 0, 0, 0],
                        [64, 0, 0, 0, 1, 0, 0, 0]
                    ]
                ],
                // <2-03>320x320
                [
                    // -
                    [
                        // デフォルト値
                        [8],
                        // 値リスト
                        [4096, 0, 15, 0, 1, 0, 0, 0],
                        [3072, 0, 15, 0, 1, 0, 0, 0],
                        [2048, 0, 15, 0, 1, 0, 0, 0],
                        [1536, 0, 15, 0, 1, 0, 0, 0],
                        [1024, 0, 15, 0, 1, 0, 0, 0],
                        [768, 0, 15, 0, 1, 0, 0, 0],
                        [512, 0, 15, 0, 1, 0, 0, 0],
                        [384, 0, 15, 0, 1, 0, 0, 0],
                        [256, 0, 15, 0, 1, 0, 0, 0],
                        [128, 0, 1, 0, 1, 0, 0, 0],
                        [64, 0, 0, 0, 1, 0, 0, 0]
                    ]
                ],
                // <2-04>HD
                [
                    // -
                    [
                        // デフォルト値
                        [6],
                        // 値リスト
                        [8192, 0, 15, 0, 1, 0, 0, 0],
                        [6144, 0, 15, 0, 1, 0, 0, 0],
                        [4096, 0, 15, 0, 1, 0, 0, 0],
                        [3072, 0, 15, 0, 1, 0, 0, 0],
                        [2048, 0, 15, 0, 1, 0, 0, 0],
                        [1536, 0, 15, 0, 1, 0, 0, 0],
                        [1024, 0, 15, 0, 1, 0, 0, 0],
                        [768, 0, 7.5, 0, 1, 0, 0, 0],
                        [512, 0, 1, 0, 1, 0, 0, 0],
                        [384, 0, 0, 0, 1, 0, 0, 0],
                        [256, 0, 0, 0, 1, 0, 0, 0]
                    ]
                ],
                // <2-05>HVGAW
                [
                    // -
                    [
                        // デフォルト値
                        [7],
                        // 値リスト
                        [4096, 0, 15, 0, 1, 0, 0, 0],
                        [3072, 0, 15, 0, 1, 0, 0, 0],
                        [2048, 0, 15, 0, 1, 0, 0, 0],
                        [1536, 0, 15, 0, 1, 0, 0, 0],
                        [1024, 0, 15, 0, 1, 0, 0, 0],
                        [768, 0, 15, 0, 1, 0, 0, 0],
                        [512, 0, 15, 0, 1, 0, 0, 0],
                        [384, 0, 15, 0, 1, 0, 0, 0],
                        [256, 0, 1, 0, 1, 0, 0, 0],
                        [128, 0, 0, 0, 1, 0, 0, 0],
                        [64, 0, 0, 0, 1, 0, 0, 0]
                    ]
                ]
            ],
            // <4-3>AdvancedVBR[中]
            [
                // <2-00>2048x2048
                [
                    // -
                    [
                        // デフォルト値
                        [7],
                        // 値リスト
                        [16384, 0, 15, 0, 1, 0, 0, 1],
                        [14336, 0, 15, 0, 1, 0, 0, 1],
                        [12288, 0, 15, 0, 1, 0, 0, 1],
                        [10240, 0, 15, 0, 1, 0, 0, 1],
                        [8192, 0, 15, 0, 1, 0, 0, 1],
                        [6144, 0, 15, 0, 1, 0, 0, 1],
                        [4096, 0, 15, 0, 1, 0, 0, 1],
                        [3072, 0, 15, 0, 1, 0, 0, 1],
                        [2048, 0, 1, 0, 1, 0, 0, 1],
                        [1536, 0, 0, 0, 1, 0, 0, 1]
                    ]
                ],
                // <2-01>1280x1280
                [
                    // -
                    [
                        // デフォルト値
                        [5],
                        // 値リスト
                        [8192, 0, 15, 0, 1, 0, 0, 1],
                        [6144, 0, 15, 0, 1, 0, 0, 1],
                        [4096, 0, 15, 0, 1, 0, 0, 1],
                        [3072, 0, 15, 0, 1, 0, 0, 1],
                        [2048, 0, 15, 0, 1, 0, 0, 1],
                        [1536, 0, 15, 0, 1, 0, 0, 1],
                        [1024, 0, 1, 0, 1, 0, 0, 1],
                        [768, 0, 0, 0, 1, 0, 0, 1],
                        [512, 0, 0, 0, 1, 0, 0, 1],
                        [384, 0, 0, 0, 1, 0, 0, 1],
                        [256, 0, 0, 0, 1, 0, 0, 1]
                    ]
                ],
                // <2-02>640x640
                [
                    // -
                    [
                        // デフォルト値
                        [6],
                        // 値リスト
                        [4096, 0, 15, 0, 1, 0, 0, 0],
                        [3072, 0, 15, 0, 1, 0, 0, 0],
                        [2048, 0, 15, 0, 1, 0, 0, 0],
                        [1536, 0, 15, 0, 1, 0, 0, 0],
                        [1024, 0, 15, 0, 1, 0, 0, 0],
                        [768, 0, 15, 0, 1, 0, 0, 0],
                        [512, 0, 15, 0, 1, 0, 0, 0],
                        [384, 0, 1, 0, 1, 0, 0, 0],
                        [256, 0, 0, 0, 1, 0, 0, 0],
                        [128, 0, 0, 0, 1, 0, 0, 0],
                        [64, 0, 0, 0, 1, 0, 0, 0]
                    ]
                ],
                // <2-03>320x320
                [
                    // -
                    [
                        // デフォルト値
                        [8],
                        // 値リスト
                        [4096, 0, 15, 0, 1, 0, 0, 0],
                        [3072, 0, 15, 0, 1, 0, 0, 0],
                        [2048, 0, 15, 0, 1, 0, 0, 0],
                        [1536, 0, 15, 0, 1, 0, 0, 0],
                        [1024, 0, 15, 0, 1, 0, 0, 0],
                        [768, 0, 15, 0, 1, 0, 0, 0],
                        [512, 0, 15, 0, 1, 0, 0, 0],
                        [384, 0, 15, 0, 1, 0, 0, 0],
                        [256, 0, 15, 0, 1, 0, 0, 0],
                        [128, 0, 1, 0, 1, 0, 0, 0],
                        [64, 0, 0, 0, 1, 0, 0, 0]
                    ]
                ],
                // <2-04>HD
                [
                    // -
                    [
                        // デフォルト値
                        [6],
                        // 値リスト
                        [8192, 0, 15, 0, 1, 0, 0, 0],
                        [6144, 0, 15, 0, 1, 0, 0, 0],
                        [4096, 0, 15, 0, 1, 0, 0, 0],
                        [3072, 0, 15, 0, 1, 0, 0, 0],
                        [2048, 0, 15, 0, 1, 0, 0, 0],
                        [1536, 0, 15, 0, 1, 0, 0, 0],
                        [1024, 0, 15, 0, 1, 0, 0, 0],
                        [768, 0, 7.5, 0, 1, 0, 0, 0],
                        [512, 0, 1, 0, 1, 0, 0, 0],
                        [384, 0, 0, 0, 1, 0, 0, 0],
                        [256, 0, 0, 0, 1, 0, 0, 0]
                    ]
                ],
                // <2-05>HVGAW
                [
                    // -
                    [
                        // デフォルト値
                        [7],
                        // 値リスト
                        [4096, 0, 15, 0, 1, 0, 0, 0],
                        [3072, 0, 15, 0, 1, 0, 0, 0],
                        [2048, 0, 15, 0, 1, 0, 0, 0],
                        [1536, 0, 15, 0, 1, 0, 0, 0],
                        [1024, 0, 15, 0, 1, 0, 0, 0],
                        [768, 0, 15, 0, 1, 0, 0, 0],
                        [512, 0, 15, 0, 1, 0, 0, 0],
                        [384, 0, 15, 0, 1, 0, 0, 0],
                        [256, 0, 1, 0, 1, 0, 0, 0],
                        [128, 0, 0, 0, 1, 0, 0, 0],
                        [64, 0, 0, 0, 1, 0, 0, 0]
                    ]
                ]
            ],
            // <4-4>AdvancedVBR[低]
            [
                // <2-00>2048x2048
                [
                    // -
                    [
                        // デフォルト値
                        [7],
                        // 値リスト
                        [16384, 0, 15, 0, 1, 0, 0, 1],
                        [14336, 0, 15, 0, 1, 0, 0, 1],
                        [12288, 0, 15, 0, 1, 0, 0, 1],
                        [10240, 0, 15, 0, 1, 0, 0, 1],
                        [8192, 0, 15, 0, 1, 0, 0, 1],
                        [6144, 0, 15, 0, 1, 0, 0, 1],
                        [4096, 0, 15, 0, 1, 0, 0, 1],
                        [3072, 0, 15, 0, 1, 0, 0, 1],
                        [2048, 0, 1, 0, 1, 0, 0, 1],
                        [1536, 0, 0, 0, 1, 0, 0, 1]
                    ]
                ],
                // <2-01>1280x1280
                [
                    // -
                    [
                        // デフォルト値
                        [5],
                        // 値リスト
                        [8192, 0, 15, 0, 1, 0, 0, 1],
                        [6144, 0, 15, 0, 1, 0, 0, 1],
                        [4096, 0, 15, 0, 1, 0, 0, 1],
                        [3072, 0, 15, 0, 1, 0, 0, 1],
                        [2048, 0, 15, 0, 1, 0, 0, 1],
                        [1536, 0, 15, 0, 1, 0, 0, 1],
                        [1024, 0, 1, 0, 1, 0, 0, 1],
                        [768, 0, 0, 0, 1, 0, 0, 1],
                        [512, 0, 0, 0, 1, 0, 0, 1],
                        [384, 0, 0, 0, 1, 0, 0, 1],
                        [256, 0, 0, 0, 1, 0, 0, 1]
                    ]
                ],
                // <2-02>640x640
                [
                    // -
                    [
                        // デフォルト値
                        [6],
                        // 値リスト
                        [4096, 0, 15, 0, 1, 0, 0, 0],
                        [3072, 0, 15, 0, 1, 0, 0, 0],
                        [2048, 0, 15, 0, 1, 0, 0, 0],
                        [1536, 0, 15, 0, 1, 0, 0, 0],
                        [1024, 0, 15, 0, 1, 0, 0, 0],
                        [768, 0, 15, 0, 1, 0, 0, 0],
                        [512, 0, 15, 0, 1, 0, 0, 0],
                        [384, 0, 1, 0, 1, 0, 0, 0],
                        [256, 0, 0, 0, 1, 0, 0, 0],
                        [128, 0, 0, 0, 1, 0, 0, 0],
                        [64, 0, 0, 0, 1, 0, 0, 0]
                    ]
                ],
                // <2-03>320x320
                [
                    // -
                    [
                        // デフォルト値
                        [8],
                        // 値リスト
                        [4096, 0, 15, 0, 1, 0, 0, 0],
                        [3072, 0, 15, 0, 1, 0, 0, 0],
                        [2048, 0, 15, 0, 1, 0, 0, 0],
                        [1536, 0, 15, 0, 1, 0, 0, 0],
                        [1024, 0, 15, 0, 1, 0, 0, 0],
                        [768, 0, 15, 0, 1, 0, 0, 0],
                        [512, 0, 15, 0, 1, 0, 0, 0],
                        [384, 0, 15, 0, 1, 0, 0, 0],
                        [256, 0, 15, 0, 1, 0, 0, 0],
                        [128, 0, 1, 0, 1, 0, 0, 0],
                        [64, 0, 0, 0, 1, 0, 0, 0]
                    ]
                ],
                // <2-04>HD
                [
                    // -
                    [
                        // デフォルト値
                        [6],
                        // 値リスト
                        [8192, 0, 15, 0, 1, 0, 0, 0],
                        [6144, 0, 15, 0, 1, 0, 0, 0],
                        [4096, 0, 15, 0, 1, 0, 0, 0],
                        [3072, 0, 15, 0, 1, 0, 0, 0],
                        [2048, 0, 15, 0, 1, 0, 0, 0],
                        [1536, 0, 15, 0, 1, 0, 0, 0],
                        [1024, 0, 15, 0, 1, 0, 0, 0],
                        [768, 0, 7.5, 0, 1, 0, 0, 0],
                        [512, 0, 1, 0, 1, 0, 0, 0],
                        [384, 0, 0, 0, 1, 0, 0, 0],
                        [256, 0, 0, 0, 1, 0, 0, 0]
                    ]
                ],
                // <2-05>HVGAW
                [
                    // -
                    [
                        // デフォルト値
                        [7],
                        // 値リスト
                        [4096, 0, 15, 0, 1, 0, 0, 0],
                        [3072, 0, 15, 0, 1, 0, 0, 0],
                        [2048, 0, 15, 0, 1, 0, 0, 0],
                        [1536, 0, 15, 0, 1, 0, 0, 0],
                        [1024, 0, 15, 0, 1, 0, 0, 0],
                        [768, 0, 15, 0, 1, 0, 0, 0],
                        [512, 0, 15, 0, 1, 0, 0, 0],
                        [384, 0, 15, 0, 1, 0, 0, 0],
                        [256, 0, 1, 0, 1, 0, 0, 0],
                        [128, 0, 0, 0, 1, 0, 0, 0],
                        [64, 0, 0, 0, 1, 0, 0, 0]
                    ]
                ]
            ]
        ],
        // <3-6>8M(FE+4PTZ)
        [
            // <4-0>ビットレート優先
            [
                // <2-00>2816x2816
                [
                    // <5-0>画質優先(SF)
                    [
                        // デフォルト値
                        [6],
                        // 値リスト
                        [16384, 0, 7.5, 0, 1, 0, 0, 0],
                        [14336, 0, 7.5, 0, 1, 0, 0, 0],
                        [12288, 0, 7.5, 0, 1, 0, 0, 0],
                        [10240, 0, 7.5, 0, 1, 0, 0, 0],
                        [8192, 0, 7.5, 0, 1, 0, 0, 0],
                        [6144, 0, 7.5, 0, 1, 0, 0, 0],
                        [4096, 0, 7.5, 0, 1, 0, 0, 0],
                        [3072, 0, 5, 0, 1, 0, 0, 0],
                        [2048, 0, 3, 0, 1, 0, 0, 0]
                    ],
                    // <5-1>標準(FQ)
                    [
                        // デフォルト値
                        [6],
                        // 値リスト
                        [16384, 0, 7.5, 0, 1, 0, 0, 0],
                        [14336, 0, 7.5, 0, 1, 0, 0, 0],
                        [12288, 0, 7.5, 0, 1, 0, 0, 0],
                        [10240, 0, 7.5, 0, 1, 0, 0, 0],
                        [8192, 0, 7.5, 0, 1, 0, 0, 0],
                        [6144, 0, 7.5, 0, 1, 0, 0, 0],
                        [4096, 0, 7.5, 0, 1, 0, 0, 0],
                        [3072, 0, 7.5, 0, 1, 0, 0, 0],
                        [2048, 0, 5, 0, 1, 0, 0, 0]
                    ],
                    // <5-2>動き優先(NQ)
                    [
                        // デフォルト値
                        [6],
                        // 値リスト
                        [16384, 0, 7.5, 0, 1, 0, 0, 0],
                        [14336, 0, 7.5, 0, 1, 0, 0, 0],
                        [12288, 0, 7.5, 0, 1, 0, 0, 0],
                        [10240, 0, 7.5, 0, 1, 0, 0, 0],
                        [8192, 0, 7.5, 0, 1, 0, 0, 0],
                        [6144, 0, 7.5, 0, 1, 0, 0, 0],
                        [4096, 0, 7.5, 0, 1, 0, 0, 0],
                        [3072, 0, 7.5, 0, 1, 0, 0, 0],
                        [2048, 0, 7.5, 0, 1, 0, 0, 0]
                    ]
                ],
                // <2-01>1280x1280
                [
                    // <5-0>画質優先(SF)
                    [
                        // デフォルト値
                        [2],
                        // 値リスト
                        [8192, 0, 7.5, 0, 1, 0, 0, 0],
                        [6144, 0, 7.5, 0, 1, 0, 0, 0],
                        [4096, 0, 7.5, 0, 1, 0, 0, 0],
                        [3072, 0, 7.5, 0, 1, 0, 0, 0],
                        [2048, 0, 7.5, 0, 1, 0, 0, 0],
                        [1536, 0, 7.5, 0, 1, 0, 0, 0],
                        [1024, 0, 5, 0, 1, 0, 0, 0],
                        [768, 0, 3, 0, 1, 0, 0, 0],
                        [512, 0, 2, 0, 1, 0, 0, 0],
                        [384, 0, 1, 0, 1, 0, 0, 0],
                        [256, 0, 1, 0, 1, 0, 0, 0]
                    ],
                    // <5-1>標準(FQ)
                    [
                        // デフォルト値
                        [2],
                        // 値リスト
                        [8192, 0, 7.5, 0, 1, 0, 0, 0],
                        [6144, 0, 7.5, 0, 1, 0, 0, 0],
                        [4096, 0, 7.5, 0, 1, 0, 0, 0],
                        [3072, 0, 7.5, 0, 1, 0, 0, 0],
                        [2048, 0, 7.5, 0, 1, 0, 0, 0],
                        [1536, 0, 7.5, 0, 1, 0, 0, 0],
                        [1024, 0, 7.5, 0, 1, 0, 0, 0],
                        [768, 0, 5, 0, 1, 0, 0, 0],
                        [512, 0, 3, 0, 1, 0, 0, 0],
                        [384, 0, 2, 0, 1, 0, 0, 0],
                        [256, 0, 1, 0, 1, 0, 0, 0]
                    ],
                    // <5-2>動き優先(NQ)
                    [
                        // デフォルト値
                        [2],
                        // 値リスト
                        [8192, 0, 7.5, 0, 1, 0, 0, 0],
                        [6144, 0, 7.5, 0, 1, 0, 0, 0],
                        [4096, 0, 7.5, 0, 1, 0, 0, 0],
                        [3072, 0, 7.5, 0, 1, 0, 0, 0],
                        [2048, 0, 7.5, 0, 1, 0, 0, 0],
                        [1536, 0, 7.5, 0, 1, 0, 0, 0],
                        [1024, 0, 7.5, 0, 1, 0, 0, 0],
                        [768, 0, 7.5, 0, 1, 0, 0, 0],
                        [512, 0, 7.5, 0, 1, 0, 0, 0],
                        [384, 0, 5, 0, 1, 0, 0, 0],
                        [256, 0, 3, 0, 1, 0, 0, 0]
                    ]
                ],
                // <2-02>640x640
                [
                    // <5-0>画質優先(SF)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 7.5, 0, 1, 0, 0, 0],
                        [3072, 0, 7.5, 0, 1, 0, 0, 0],
                        [2048, 0, 7.5, 0, 1, 0, 0, 0],
                        [1536, 0, 7.5, 0, 1, 0, 0, 0],
                        [1024, 0, 7.5, 0, 1, 0, 0, 0],
                        [768, 0, 7.5, 0, 1, 0, 0, 0],
                        [512, 0, 5, 0, 1, 0, 0, 0],
                        [384, 0, 3, 0, 1, 0, 0, 0],
                        [256, 0, 2, 0, 1, 0, 0, 0],
                        [128, 0, 1, 0, 1, 0, 0, 0],
                        [64, 0, 1, 0, 1, 0, 0, 0]
                    ],
                    // <5-1>標準(FQ)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 7.5, 0, 1, 0, 0, 0],
                        [3072, 0, 7.5, 0, 1, 0, 0, 0],
                        [2048, 0, 7.5, 0, 1, 0, 0, 0],
                        [1536, 0, 7.5, 0, 1, 0, 0, 0],
                        [1024, 0, 7.5, 0, 1, 0, 0, 0],
                        [768, 0, 7.5, 0, 1, 0, 0, 0],
                        [512, 0, 7.5, 0, 1, 0, 0, 0],
                        [384, 0, 7.5, 0, 1, 0, 0, 0],
                        [256, 0, 7.5, 0, 1, 0, 0, 0],
                        [128, 0, 5, 0, 1, 0, 0, 0],
                        [64, 0, 2, 0, 1, 0, 0, 0]
                    ],
                    // <5-2>動き優先(NQ)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 7.5, 0, 1, 0, 0, 0],
                        [3072, 0, 7.5, 0, 1, 0, 0, 0],
                        [2048, 0, 7.5, 0, 1, 0, 0, 0],
                        [1536, 0, 7.5, 0, 1, 0, 0, 0],
                        [1024, 0, 7.5, 0, 1, 0, 0, 0],
                        [768, 0, 7.5, 0, 1, 0, 0, 0],
                        [512, 0, 7.5, 0, 1, 0, 0, 0],
                        [384, 0, 7.5, 0, 1, 0, 0, 0],
                        [256, 0, 7.5, 0, 1, 0, 0, 0],
                        [128, 0, 7.5, 0, 1, 0, 0, 0],
                        [64, 0, 3, 0, 1, 0, 0, 0]
                    ]
                ],
                // <2-03>320x320
                [
                    // <5-0>画質優先(SF)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 7.5, 0, 1, 0, 0, 0],
                        [3072, 0, 7.5, 0, 1, 0, 0, 0],
                        [2048, 0, 7.5, 0, 1, 0, 0, 0],
                        [1536, 0, 7.5, 0, 1, 0, 0, 0],
                        [1024, 0, 7.5, 0, 1, 0, 0, 0],
                        [768, 0, 7.5, 0, 1, 0, 0, 0],
                        [512, 0, 7.5, 0, 1, 0, 0, 0],
                        [384, 0, 5, 0, 1, 0, 0, 0],
                        [256, 0, 3, 0, 1, 0, 0, 0],
                        [128, 0, 2, 0, 1, 0, 0, 0],
                        [64, 0, 1, 0, 1, 0, 0, 0]
                    ],
                    // <5-1>標準(FQ)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 7.5, 0, 1, 0, 0, 0],
                        [3072, 0, 7.5, 0, 1, 0, 0, 0],
                        [2048, 0, 7.5, 0, 1, 0, 0, 0],
                        [1536, 0, 7.5, 0, 1, 0, 0, 0],
                        [1024, 0, 7.5, 0, 1, 0, 0, 0],
                        [768, 0, 7.5, 0, 1, 0, 0, 0],
                        [512, 0, 7.5, 0, 1, 0, 0, 0],
                        [384, 0, 7.5, 0, 1, 0, 0, 0],
                        [256, 0, 7.5, 0, 1, 0, 0, 0],
                        [128, 0, 7.5, 0, 1, 0, 0, 0],
                        [64, 0, 5, 0, 1, 0, 0, 0]
                    ],
                    // <5-2>動き優先(NQ)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 7.5, 0, 1, 0, 0, 0],
                        [3072, 0, 7.5, 0, 1, 0, 0, 0],
                        [2048, 0, 7.5, 0, 1, 0, 0, 0],
                        [1536, 0, 7.5, 0, 1, 0, 0, 0],
                        [1024, 0, 7.5, 0, 1, 0, 0, 0],
                        [768, 0, 7.5, 0, 1, 0, 0, 0],
                        [512, 0, 7.5, 0, 1, 0, 0, 0],
                        [384, 0, 7.5, 0, 1, 0, 0, 0],
                        [256, 0, 7.5, 0, 1, 0, 0, 0],
                        [128, 0, 7.5, 0, 1, 0, 0, 0],
                        [64, 0, 7.5, 0, 1, 0, 0, 0]
                    ]
                ],
                // <2-04>SXVGA
                [
                    // <5-0>画質優先(SF)
                    [
                        // デフォルト値
                        [2],
                        // 値リスト
                        [8192, 0, 7.5, 0, 1, 0, 0, 0],
                        [6144, 0, 7.5, 0, 1, 0, 0, 0],
                        [4096, 0, 7.5, 0, 1, 0, 0, 0],
                        [3072, 0, 7.5, 0, 1, 0, 0, 0],
                        [2048, 0, 7.5, 0, 1, 0, 0, 0],
                        [1536, 0, 7.5, 0, 1, 0, 0, 0],
                        [1024, 0, 5, 0, 1, 0, 0, 0],
                        [768, 0, 3, 0, 1, 0, 0, 0],
                        [512, 0, 2, 0, 1, 0, 0, 0],
                        [384, 0, 1, 0, 1, 0, 0, 0],
                        [256, 0, 1, 0, 1, 0, 0, 0]
                    ],
                    // <5-1>標準(FQ)
                    [
                        // デフォルト値
                        [2],
                        // 値リスト
                        [8192, 0, 7.5, 0, 1, 0, 0, 0],
                        [6144, 0, 7.5, 0, 1, 0, 0, 0],
                        [4096, 0, 7.5, 0, 1, 0, 0, 0],
                        [3072, 0, 7.5, 0, 1, 0, 0, 0],
                        [2048, 0, 7.5, 0, 1, 0, 0, 0],
                        [1536, 0, 7.5, 0, 1, 0, 0, 0],
                        [1024, 0, 7.5, 0, 1, 0, 0, 0],
                        [768, 0, 5, 0, 1, 0, 0, 0],
                        [512, 0, 3, 0, 1, 0, 0, 0],
                        [384, 0, 2, 0, 1, 0, 0, 0],
                        [256, 0, 1, 0, 1, 0, 0, 0]
                    ],
                    // <5-2>動き優先(NQ)
                    [
                        // デフォルト値
                        [2],
                        // 値リスト
                        [8192, 0, 7.5, 0, 1, 0, 0, 0],
                        [6144, 0, 7.5, 0, 1, 0, 0, 0],
                        [4096, 0, 7.5, 0, 1, 0, 0, 0],
                        [3072, 0, 7.5, 0, 1, 0, 0, 0],
                        [2048, 0, 7.5, 0, 1, 0, 0, 0],
                        [1536, 0, 7.5, 0, 1, 0, 0, 0],
                        [1024, 0, 7.5, 0, 1, 0, 0, 0],
                        [768, 0, 7.5, 0, 1, 0, 0, 0],
                        [512, 0, 7.5, 0, 1, 0, 0, 0],
                        [384, 0, 5, 0, 1, 0, 0, 0],
                        [256, 0, 3, 0, 1, 0, 0, 0]
                    ]
                ],
                // <2-05>SVGA
                [
                    // <5-0>画質優先(SF)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 7.5, 0, 1, 0, 0, 0],
                        [3072, 0, 7.5, 0, 1, 0, 0, 0],
                        [2048, 0, 7.5, 0, 1, 0, 0, 0],
                        [1536, 0, 7.5, 0, 1, 0, 0, 0],
                        [1024, 0, 7.5, 0, 1, 0, 0, 0],
                        [768, 0, 5, 0, 1, 0, 0, 0],
                        [512, 0, 3, 0, 1, 0, 0, 0],
                        [384, 0, 2, 0, 1, 0, 0, 0],
                        [256, 0, 1, 0, 1, 0, 0, 0],
                        [128, 0, 1, 0, 1, 0, 0, 0]
                    ],
                    // <5-1>標準(FQ)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 7.5, 0, 1, 0, 0, 0],
                        [3072, 0, 7.5, 0, 1, 0, 0, 0],
                        [2048, 0, 7.5, 0, 1, 0, 0, 0],
                        [1536, 0, 7.5, 0, 1, 0, 0, 0],
                        [1024, 0, 7.5, 0, 1, 0, 0, 0],
                        [768, 0, 7.5, 0, 1, 0, 0, 0],
                        [512, 0, 5, 0, 1, 0, 0, 0],
                        [384, 0, 3, 0, 1, 0, 0, 0],
                        [256, 0, 2, 0, 1, 0, 0, 0],
                        [128, 0, 1, 0, 1, 0, 0, 0]
                    ],
                    // <5-2>動き優先(NQ)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 7.5, 0, 1, 0, 0, 0],
                        [3072, 0, 7.5, 0, 1, 0, 0, 0],
                        [2048, 0, 7.5, 0, 1, 0, 0, 0],
                        [1536, 0, 7.5, 0, 1, 0, 0, 0],
                        [1024, 0, 7.5, 0, 1, 0, 0, 0],
                        [768, 0, 7.5, 0, 1, 0, 0, 0],
                        [512, 0, 7.5, 0, 1, 0, 0, 0],
                        [384, 0, 7.5, 0, 1, 0, 0, 0],
                        [256, 0, 5, 0, 1, 0, 0, 0],
                        [128, 0, 3, 0, 1, 0, 0, 0]
                    ]
                ],
                // <2-06>VGA
                [
                    // <5-0>画質優先(SF)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 7.5, 0, 1, 0, 0, 0],
                        [3072, 0, 7.5, 0, 1, 0, 0, 0],
                        [2048, 0, 7.5, 0, 1, 0, 0, 0],
                        [1536, 0, 7.5, 0, 1, 0, 0, 0],
                        [1024, 0, 7.5, 0, 1, 0, 0, 0],
                        [768, 0, 7.5, 0, 1, 0, 0, 0],
                        [512, 0, 5, 0, 1, 0, 0, 0],
                        [384, 0, 3, 0, 1, 0, 0, 0],
                        [256, 0, 2, 0, 1, 0, 0, 0],
                        [128, 0, 1, 0, 1, 0, 0, 0],
                        [64, 0, 1, 0, 1, 0, 0, 0]
                    ],
                    // <5-1>標準(FQ)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 7.5, 0, 1, 0, 0, 0],
                        [3072, 0, 7.5, 0, 1, 0, 0, 0],
                        [2048, 0, 7.5, 0, 1, 0, 0, 0],
                        [1536, 0, 7.5, 0, 1, 0, 0, 0],
                        [1024, 0, 7.5, 0, 1, 0, 0, 0],
                        [768, 0, 7.5, 0, 1, 0, 0, 0],
                        [512, 0, 7.5, 0, 1, 0, 0, 0],
                        [384, 0, 7.5, 0, 1, 0, 0, 0],
                        [256, 0, 7.5, 0, 1, 0, 0, 0],
                        [128, 0, 5, 0, 1, 0, 0, 0],
                        [64, 0, 2, 0, 1, 0, 0, 0]
                    ],
                    // <5-2>動き優先(NQ)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 7.5, 0, 1, 0, 0, 0],
                        [3072, 0, 7.5, 0, 1, 0, 0, 0],
                        [2048, 0, 7.5, 0, 1, 0, 0, 0],
                        [1536, 0, 7.5, 0, 1, 0, 0, 0],
                        [1024, 0, 7.5, 0, 1, 0, 0, 0],
                        [768, 0, 7.5, 0, 1, 0, 0, 0],
                        [512, 0, 7.5, 0, 1, 0, 0, 0],
                        [384, 0, 7.5, 0, 1, 0, 0, 0],
                        [256, 0, 7.5, 0, 1, 0, 0, 0],
                        [128, 0, 7.5, 0, 1, 0, 0, 0],
                        [64, 0, 3, 0, 1, 0, 0, 0]
                    ]
                ]
            ],
            // <4-1>フレームレート優先
            [
                // <2-00>2816x2816
                [
                    // -
                    [
                        // デフォルト値
                        [5],
                        // 値リスト
                        [16384, 0, 7.5, 0, 1, 0, 0, 0],
                        [14336, 0, 7.5, 0, 1, 0, 0, 0],
                        [12288, 0, 7.5, 0, 1, 0, 0, 0],
                        [10240, 0, 7.5, 0, 1, 0, 0, 0],
                        [8192, 0, 7.5, 0, 1, 0, 0, 0],
                        [6144, 0, 7.5, 0, 1, 0, 0, 0],
                        [4096, 0, 1, 0, 1, 0, 0, 0],
                        [3072, 0, 0, 0, 1, 0, 0, 0],
                        [2048, 0, 0, 0, 1, 0, 0, 0]
                    ]
                ],
                // <2-01>1280x1280
                [
                    // -
                    [
                        // デフォルト値
                        [5],
                        // 値リスト
                        [8192, 0, 7.5, 0, 1, 0, 0, 0],
                        [6144, 0, 7.5, 0, 1, 0, 0, 0],
                        [4096, 0, 7.5, 0, 1, 0, 0, 0],
                        [3072, 0, 7.5, 0, 1, 0, 0, 0],
                        [2048, 0, 7.5, 0, 1, 0, 0, 0],
                        [1536, 0, 7.5, 0, 1, 0, 0, 0],
                        [1024, 0, 1, 0, 1, 0, 0, 0],
                        [768, 0, 0, 0, 1, 0, 0, 0],
                        [512, 0, 0, 0, 1, 0, 0, 0],
                        [384, 0, 0, 0, 1, 0, 0, 0],
                        [256, 0, 0, 0, 1, 0, 0, 0]
                    ]
                ],
                // <2-02>640x640
                [
                    // -
                    [
                        // デフォルト値
                        [6],
                        // 値リスト
                        [4096, 0, 7.5, 0, 1, 0, 0, 0],
                        [3072, 0, 7.5, 0, 1, 0, 0, 0],
                        [2048, 0, 7.5, 0, 1, 0, 0, 0],
                        [1536, 0, 7.5, 0, 1, 0, 0, 0],
                        [1024, 0, 7.5, 0, 1, 0, 0, 0],
                        [768, 0, 7.5, 0, 1, 0, 0, 0],
                        [512, 0, 7.5, 0, 1, 0, 0, 0],
                        [384, 0, 1, 0, 1, 0, 0, 0],
                        [256, 0, 0, 0, 1, 0, 0, 0],
                        [128, 0, 0, 0, 1, 0, 0, 0],
                        [64, 0, 0, 0, 1, 0, 0, 0]
                    ]
                ],
                // <2-03>320x320
                [
                    // -
                    [
                        // デフォルト値
                        [8],
                        // 値リスト
                        [4096, 0, 7.5, 0, 1, 0, 0, 0],
                        [3072, 0, 7.5, 0, 1, 0, 0, 0],
                        [2048, 0, 7.5, 0, 1, 0, 0, 0],
                        [1536, 0, 7.5, 0, 1, 0, 0, 0],
                        [1024, 0, 7.5, 0, 1, 0, 0, 0],
                        [768, 0, 7.5, 0, 1, 0, 0, 0],
                        [512, 0, 7.5, 0, 1, 0, 0, 0],
                        [384, 0, 7.5, 0, 1, 0, 0, 0],
                        [256, 0, 7.5, 0, 1, 0, 0, 0],
                        [128, 0, 1, 0, 1, 0, 0, 0],
                        [64, 0, 0, 0, 1, 0, 0, 0]
                    ]
                ],
                // <2-04>SXVGA
                [
                    // -
                    [
                        // デフォルト値
                        [6],
                        // 値リスト
                        [8192, 0, 7.5, 0, 1, 0, 0, 0],
                        [6144, 0, 7.5, 0, 1, 0, 0, 0],
                        [4096, 0, 7.5, 0, 1, 0, 0, 0],
                        [3072, 0, 7.5, 0, 1, 0, 0, 0],
                        [2048, 0, 7.5, 0, 1, 0, 0, 0],
                        [1536, 0, 7.5, 0, 1, 0, 0, 0],
                        [1024, 0, 7.5, 0, 1, 0, 0, 0],
                        [768, 0, 1, 0, 1, 0, 0, 0],
                        [512, 0, 0, 0, 1, 0, 0, 0],
                        [384, 0, 0, 0, 1, 0, 0, 0],
                        [256, 0, 0, 0, 1, 0, 0, 0]
                    ]
                ],
                // <2-05>SVGA
                [
                    // -
                    [
                        // デフォルト値
                        [5],
                        // 値リスト
                        [4096, 0, 7.5, 0, 1, 0, 0, 0],
                        [3072, 0, 7.5, 0, 1, 0, 0, 0],
                        [2048, 0, 7.5, 0, 1, 0, 0, 0],
                        [1536, 0, 7.5, 0, 1, 0, 0, 0],
                        [1024, 0, 7.5, 0, 1, 0, 0, 0],
                        [768, 0, 7.5, 0, 1, 0, 0, 0],
                        [512, 0, 1, 0, 1, 0, 0, 0],
                        [384, 0, 1, 0, 1, 0, 0, 0],
                        [256, 0, 0, 0, 1, 0, 0, 0],
                        [128, 0, 0, 0, 1, 0, 0, 0]
                    ]
                ],
                // <2-06>VGA
                [
                    // -
                    [
                        // デフォルト値
                        [7],
                        // 値リスト
                        [4096, 0, 7.5, 0, 1, 0, 0, 0],
                        [3072, 0, 7.5, 0, 1, 0, 0, 0],
                        [2048, 0, 7.5, 0, 1, 0, 0, 0],
                        [1536, 0, 7.5, 0, 1, 0, 0, 0],
                        [1024, 0, 7.5, 0, 1, 0, 0, 0],
                        [768, 0, 7.5, 0, 1, 0, 0, 0],
                        [512, 0, 7.5, 0, 1, 0, 0, 0],
                        [384, 0, 7.5, 0, 1, 0, 0, 0],
                        [256, 0, 1, 0, 1, 0, 0, 0],
                        [128, 0, 0, 0, 1, 0, 0, 0],
                        [64, 0, 0, 0, 1, 0, 0, 0]
                    ]
                ]
            ],
            // <4-2>AdvancedVBR[高]
            [
                // <2-00>2816x2816
                [
                    // -
                    [
                        // デフォルト値
                        [5],
                        // 値リスト
                        [16384, 0, 7.5, 0, 1, 0, 0, 0],
                        [14336, 0, 7.5, 0, 1, 0, 0, 0],
                        [12288, 0, 7.5, 0, 1, 0, 0, 0],
                        [10240, 0, 7.5, 0, 1, 0, 0, 0],
                        [8192, 0, 7.5, 0, 1, 0, 0, 0],
                        [6144, 0, 7.5, 0, 1, 0, 0, 0],
                        [4096, 0, 1, 0, 1, 0, 0, 0],
                        [3072, 0, 0, 0, 1, 0, 0, 0],
                        [2048, 0, 0, 0, 1, 0, 0, 0]
                    ]
                ],
                // <2-01>1280x1280
                [
                    // -
                    [
                        // デフォルト値
                        [5],
                        // 値リスト
                        [8192, 0, 7.5, 0, 1, 0, 0, 0],
                        [6144, 0, 7.5, 0, 1, 0, 0, 0],
                        [4096, 0, 7.5, 0, 1, 0, 0, 0],
                        [3072, 0, 7.5, 0, 1, 0, 0, 0],
                        [2048, 0, 7.5, 0, 1, 0, 0, 0],
                        [1536, 0, 7.5, 0, 1, 0, 0, 0],
                        [1024, 0, 1, 0, 1, 0, 0, 0],
                        [768, 0, 0, 0, 1, 0, 0, 0],
                        [512, 0, 0, 0, 1, 0, 0, 0],
                        [384, 0, 0, 0, 1, 0, 0, 0],
                        [256, 0, 0, 0, 1, 0, 0, 0]
                    ]
                ],
                // <2-02>640x640
                [
                    // -
                    [
                        // デフォルト値
                        [6],
                        // 値リスト
                        [4096, 0, 7.5, 0, 1, 0, 0, 0],
                        [3072, 0, 7.5, 0, 1, 0, 0, 0],
                        [2048, 0, 7.5, 0, 1, 0, 0, 0],
                        [1536, 0, 7.5, 0, 1, 0, 0, 0],
                        [1024, 0, 7.5, 0, 1, 0, 0, 0],
                        [768, 0, 7.5, 0, 1, 0, 0, 0],
                        [512, 0, 7.5, 0, 1, 0, 0, 0],
                        [384, 0, 1, 0, 1, 0, 0, 0],
                        [256, 0, 0, 0, 1, 0, 0, 0],
                        [128, 0, 0, 0, 1, 0, 0, 0],
                        [64, 0, 0, 0, 1, 0, 0, 0]
                    ]
                ],
                // <2-03>320x320
                [
                    // -
                    [
                        // デフォルト値
                        [8],
                        // 値リスト
                        [4096, 0, 7.5, 0, 1, 0, 0, 0],
                        [3072, 0, 7.5, 0, 1, 0, 0, 0],
                        [2048, 0, 7.5, 0, 1, 0, 0, 0],
                        [1536, 0, 7.5, 0, 1, 0, 0, 0],
                        [1024, 0, 7.5, 0, 1, 0, 0, 0],
                        [768, 0, 7.5, 0, 1, 0, 0, 0],
                        [512, 0, 7.5, 0, 1, 0, 0, 0],
                        [384, 0, 7.5, 0, 1, 0, 0, 0],
                        [256, 0, 7.5, 0, 1, 0, 0, 0],
                        [128, 0, 1, 0, 1, 0, 0, 0],
                        [64, 0, 0, 0, 1, 0, 0, 0]
                    ]
                ],
                // <2-04>SXVGA
                [
                    // -
                    [
                        // デフォルト値
                        [6],
                        // 値リスト
                        [8192, 0, 7.5, 0, 1, 0, 0, 0],
                        [6144, 0, 7.5, 0, 1, 0, 0, 0],
                        [4096, 0, 7.5, 0, 1, 0, 0, 0],
                        [3072, 0, 7.5, 0, 1, 0, 0, 0],
                        [2048, 0, 7.5, 0, 1, 0, 0, 0],
                        [1536, 0, 7.5, 0, 1, 0, 0, 0],
                        [1024, 0, 7.5, 0, 1, 0, 0, 0],
                        [768, 0, 1, 0, 1, 0, 0, 0],
                        [512, 0, 0, 0, 1, 0, 0, 0],
                        [384, 0, 0, 0, 1, 0, 0, 0],
                        [256, 0, 0, 0, 1, 0, 0, 0]
                    ]
                ],
                // <2-05>SVGA
                [
                    // -
                    [
                        // デフォルト値
                        [5],
                        // 値リスト
                        [4096, 0, 7.5, 0, 1, 0, 0, 0],
                        [3072, 0, 7.5, 0, 1, 0, 0, 0],
                        [2048, 0, 7.5, 0, 1, 0, 0, 0],
                        [1536, 0, 7.5, 0, 1, 0, 0, 0],
                        [1024, 0, 7.5, 0, 1, 0, 0, 0],
                        [768, 0, 7.5, 0, 1, 0, 0, 0],
                        [512, 0, 1, 0, 1, 0, 0, 0],
                        [384, 0, 1, 0, 1, 0, 0, 0],
                        [256, 0, 0, 0, 1, 0, 0, 0],
                        [128, 0, 0, 0, 1, 0, 0, 0]
                    ]
                ],
                // <2-06>VGA
                [
                    // -
                    [
                        // デフォルト値
                        [7],
                        // 値リスト
                        [4096, 0, 7.5, 0, 1, 0, 0, 0],
                        [3072, 0, 7.5, 0, 1, 0, 0, 0],
                        [2048, 0, 7.5, 0, 1, 0, 0, 0],
                        [1536, 0, 7.5, 0, 1, 0, 0, 0],
                        [1024, 0, 7.5, 0, 1, 0, 0, 0],
                        [768, 0, 7.5, 0, 1, 0, 0, 0],
                        [512, 0, 7.5, 0, 1, 0, 0, 0],
                        [384, 0, 7.5, 0, 1, 0, 0, 0],
                        [256, 0, 1, 0, 1, 0, 0, 0],
                        [128, 0, 0, 0, 1, 0, 0, 0],
                        [64, 0, 0, 0, 1, 0, 0, 0]
                    ]
                ]
            ],
            // <4-3>AdvancedVBR[中]
            [
                // <2-00>2816x2816
                [
                    // -
                    [
                        // デフォルト値
                        [5],
                        // 値リスト
                        [16384, 0, 7.5, 0, 1, 0, 0, 0],
                        [14336, 0, 7.5, 0, 1, 0, 0, 0],
                        [12288, 0, 7.5, 0, 1, 0, 0, 0],
                        [10240, 0, 7.5, 0, 1, 0, 0, 0],
                        [8192, 0, 7.5, 0, 1, 0, 0, 0],
                        [6144, 0, 7.5, 0, 1, 0, 0, 0],
                        [4096, 0, 1, 0, 1, 0, 0, 0],
                        [3072, 0, 0, 0, 1, 0, 0, 0],
                        [2048, 0, 0, 0, 1, 0, 0, 0]
                    ]
                ],
                // <2-01>1280x1280
                [
                    // -
                    [
                        // デフォルト値
                        [5],
                        // 値リスト
                        [8192, 0, 7.5, 0, 1, 0, 0, 0],
                        [6144, 0, 7.5, 0, 1, 0, 0, 0],
                        [4096, 0, 7.5, 0, 1, 0, 0, 0],
                        [3072, 0, 7.5, 0, 1, 0, 0, 0],
                        [2048, 0, 7.5, 0, 1, 0, 0, 0],
                        [1536, 0, 7.5, 0, 1, 0, 0, 0],
                        [1024, 0, 1, 0, 1, 0, 0, 0],
                        [768, 0, 0, 0, 1, 0, 0, 0],
                        [512, 0, 0, 0, 1, 0, 0, 0],
                        [384, 0, 0, 0, 1, 0, 0, 0],
                        [256, 0, 0, 0, 1, 0, 0, 0]
                    ]
                ],
                // <2-02>640x640
                [
                    // -
                    [
                        // デフォルト値
                        [6],
                        // 値リスト
                        [4096, 0, 7.5, 0, 1, 0, 0, 0],
                        [3072, 0, 7.5, 0, 1, 0, 0, 0],
                        [2048, 0, 7.5, 0, 1, 0, 0, 0],
                        [1536, 0, 7.5, 0, 1, 0, 0, 0],
                        [1024, 0, 7.5, 0, 1, 0, 0, 0],
                        [768, 0, 7.5, 0, 1, 0, 0, 0],
                        [512, 0, 7.5, 0, 1, 0, 0, 0],
                        [384, 0, 1, 0, 1, 0, 0, 0],
                        [256, 0, 0, 0, 1, 0, 0, 0],
                        [128, 0, 0, 0, 1, 0, 0, 0],
                        [64, 0, 0, 0, 1, 0, 0, 0]
                    ]
                ],
                // <2-03>320x320
                [
                    // -
                    [
                        // デフォルト値
                        [8],
                        // 値リスト
                        [4096, 0, 7.5, 0, 1, 0, 0, 0],
                        [3072, 0, 7.5, 0, 1, 0, 0, 0],
                        [2048, 0, 7.5, 0, 1, 0, 0, 0],
                        [1536, 0, 7.5, 0, 1, 0, 0, 0],
                        [1024, 0, 7.5, 0, 1, 0, 0, 0],
                        [768, 0, 7.5, 0, 1, 0, 0, 0],
                        [512, 0, 7.5, 0, 1, 0, 0, 0],
                        [384, 0, 7.5, 0, 1, 0, 0, 0],
                        [256, 0, 7.5, 0, 1, 0, 0, 0],
                        [128, 0, 1, 0, 1, 0, 0, 0],
                        [64, 0, 0, 0, 1, 0, 0, 0]
                    ]
                ],
                // <2-04>SXVGA
                [
                    // -
                    [
                        // デフォルト値
                        [6],
                        // 値リスト
                        [8192, 0, 7.5, 0, 1, 0, 0, 0],
                        [6144, 0, 7.5, 0, 1, 0, 0, 0],
                        [4096, 0, 7.5, 0, 1, 0, 0, 0],
                        [3072, 0, 7.5, 0, 1, 0, 0, 0],
                        [2048, 0, 7.5, 0, 1, 0, 0, 0],
                        [1536, 0, 7.5, 0, 1, 0, 0, 0],
                        [1024, 0, 7.5, 0, 1, 0, 0, 0],
                        [768, 0, 1, 0, 1, 0, 0, 0],
                        [512, 0, 0, 0, 1, 0, 0, 0],
                        [384, 0, 0, 0, 1, 0, 0, 0],
                        [256, 0, 0, 0, 1, 0, 0, 0]
                    ]
                ],
                // <2-05>SVGA
                [
                    // -
                    [
                        // デフォルト値
                        [5],
                        // 値リスト
                        [4096, 0, 7.5, 0, 1, 0, 0, 0],
                        [3072, 0, 7.5, 0, 1, 0, 0, 0],
                        [2048, 0, 7.5, 0, 1, 0, 0, 0],
                        [1536, 0, 7.5, 0, 1, 0, 0, 0],
                        [1024, 0, 7.5, 0, 1, 0, 0, 0],
                        [768, 0, 7.5, 0, 1, 0, 0, 0],
                        [512, 0, 1, 0, 1, 0, 0, 0],
                        [384, 0, 1, 0, 1, 0, 0, 0],
                        [256, 0, 0, 0, 1, 0, 0, 0],
                        [128, 0, 0, 0, 1, 0, 0, 0]
                    ]
                ],
                // <2-06>VGA
                [
                    // -
                    [
                        // デフォルト値
                        [7],
                        // 値リスト
                        [4096, 0, 7.5, 0, 1, 0, 0, 0],
                        [3072, 0, 7.5, 0, 1, 0, 0, 0],
                        [2048, 0, 7.5, 0, 1, 0, 0, 0],
                        [1536, 0, 7.5, 0, 1, 0, 0, 0],
                        [1024, 0, 7.5, 0, 1, 0, 0, 0],
                        [768, 0, 7.5, 0, 1, 0, 0, 0],
                        [512, 0, 7.5, 0, 1, 0, 0, 0],
                        [384, 0, 7.5, 0, 1, 0, 0, 0],
                        [256, 0, 1, 0, 1, 0, 0, 0],
                        [128, 0, 0, 0, 1, 0, 0, 0],
                        [64, 0, 0, 0, 1, 0, 0, 0]
                    ]
                ]
            ],
            // <4-4>AdvancedVBR[低]
            [
                // <2-00>2816x2816
                [
                    // -
                    [
                        // デフォルト値
                        [5],
                        // 値リスト
                        [16384, 0, 7.5, 0, 1, 0, 0, 0],
                        [14336, 0, 7.5, 0, 1, 0, 0, 0],
                        [12288, 0, 7.5, 0, 1, 0, 0, 0],
                        [10240, 0, 7.5, 0, 1, 0, 0, 0],
                        [8192, 0, 7.5, 0, 1, 0, 0, 0],
                        [6144, 0, 7.5, 0, 1, 0, 0, 0],
                        [4096, 0, 1, 0, 1, 0, 0, 0],
                        [3072, 0, 0, 0, 1, 0, 0, 0],
                        [2048, 0, 0, 0, 1, 0, 0, 0]
                    ]
                ],
                // <2-01>1280x1280
                [
                    // -
                    [
                        // デフォルト値
                        [5],
                        // 値リスト
                        [8192, 0, 7.5, 0, 1, 0, 0, 0],
                        [6144, 0, 7.5, 0, 1, 0, 0, 0],
                        [4096, 0, 7.5, 0, 1, 0, 0, 0],
                        [3072, 0, 7.5, 0, 1, 0, 0, 0],
                        [2048, 0, 7.5, 0, 1, 0, 0, 0],
                        [1536, 0, 7.5, 0, 1, 0, 0, 0],
                        [1024, 0, 1, 0, 1, 0, 0, 0],
                        [768, 0, 0, 0, 1, 0, 0, 0],
                        [512, 0, 0, 0, 1, 0, 0, 0],
                        [384, 0, 0, 0, 1, 0, 0, 0],
                        [256, 0, 0, 0, 1, 0, 0, 0]
                    ]
                ],
                // <2-02>640x640
                [
                    // -
                    [
                        // デフォルト値
                        [6],
                        // 値リスト
                        [4096, 0, 7.5, 0, 1, 0, 0, 0],
                        [3072, 0, 7.5, 0, 1, 0, 0, 0],
                        [2048, 0, 7.5, 0, 1, 0, 0, 0],
                        [1536, 0, 7.5, 0, 1, 0, 0, 0],
                        [1024, 0, 7.5, 0, 1, 0, 0, 0],
                        [768, 0, 7.5, 0, 1, 0, 0, 0],
                        [512, 0, 7.5, 0, 1, 0, 0, 0],
                        [384, 0, 1, 0, 1, 0, 0, 0],
                        [256, 0, 0, 0, 1, 0, 0, 0],
                        [128, 0, 0, 0, 1, 0, 0, 0],
                        [64, 0, 0, 0, 1, 0, 0, 0]
                    ]
                ],
                // <2-03>320x320
                [
                    // -
                    [
                        // デフォルト値
                        [8],
                        // 値リスト
                        [4096, 0, 7.5, 0, 1, 0, 0, 0],
                        [3072, 0, 7.5, 0, 1, 0, 0, 0],
                        [2048, 0, 7.5, 0, 1, 0, 0, 0],
                        [1536, 0, 7.5, 0, 1, 0, 0, 0],
                        [1024, 0, 7.5, 0, 1, 0, 0, 0],
                        [768, 0, 7.5, 0, 1, 0, 0, 0],
                        [512, 0, 7.5, 0, 1, 0, 0, 0],
                        [384, 0, 7.5, 0, 1, 0, 0, 0],
                        [256, 0, 7.5, 0, 1, 0, 0, 0],
                        [128, 0, 1, 0, 1, 0, 0, 0],
                        [64, 0, 0, 0, 1, 0, 0, 0]
                    ]
                ],
                // <2-04>SXVGA
                [
                    // -
                    [
                        // デフォルト値
                        [6],
                        // 値リスト
                        [8192, 0, 7.5, 0, 1, 0, 0, 0],
                        [6144, 0, 7.5, 0, 1, 0, 0, 0],
                        [4096, 0, 7.5, 0, 1, 0, 0, 0],
                        [3072, 0, 7.5, 0, 1, 0, 0, 0],
                        [2048, 0, 7.5, 0, 1, 0, 0, 0],
                        [1536, 0, 7.5, 0, 1, 0, 0, 0],
                        [1024, 0, 7.5, 0, 1, 0, 0, 0],
                        [768, 0, 1, 0, 1, 0, 0, 0],
                        [512, 0, 0, 0, 1, 0, 0, 0],
                        [384, 0, 0, 0, 1, 0, 0, 0],
                        [256, 0, 0, 0, 1, 0, 0, 0]
                    ]
                ],
                // <2-05>SVGA
                [
                    // -
                    [
                        // デフォルト値
                        [5],
                        // 値リスト
                        [4096, 0, 7.5, 0, 1, 0, 0, 0],
                        [3072, 0, 7.5, 0, 1, 0, 0, 0],
                        [2048, 0, 7.5, 0, 1, 0, 0, 0],
                        [1536, 0, 7.5, 0, 1, 0, 0, 0],
                        [1024, 0, 7.5, 0, 1, 0, 0, 0],
                        [768, 0, 7.5, 0, 1, 0, 0, 0],
                        [512, 0, 1, 0, 1, 0, 0, 0],
                        [384, 0, 1, 0, 1, 0, 0, 0],
                        [256, 0, 0, 0, 1, 0, 0, 0],
                        [128, 0, 0, 0, 1, 0, 0, 0]
                    ]
                ],
                // <2-06>VGA
                [
                    // -
                    [
                        // デフォルト値
                        [7],
                        // 値リスト
                        [4096, 0, 7.5, 0, 1, 0, 0, 0],
                        [3072, 0, 7.5, 0, 1, 0, 0, 0],
                        [2048, 0, 7.5, 0, 1, 0, 0, 0],
                        [1536, 0, 7.5, 0, 1, 0, 0, 0],
                        [1024, 0, 7.5, 0, 1, 0, 0, 0],
                        [768, 0, 7.5, 0, 1, 0, 0, 0],
                        [512, 0, 7.5, 0, 1, 0, 0, 0],
                        [384, 0, 7.5, 0, 1, 0, 0, 0],
                        [256, 0, 1, 0, 1, 0, 0, 0],
                        [128, 0, 0, 0, 1, 0, 0, 0],
                        [64, 0, 0, 0, 1, 0, 0, 0]
                    ]
                ]
            ]
        ],
        // <3-7>4M(FE+4PTZ)
        [
            // <4-0>ビットレート優先
            [
                // <2-00>2048x2048
                [
                    // <5-0>画質優先(SF)
                    [
                        // デフォルト値
                        [6],
                        // 値リスト
                        [16384, 0, 15, 0, 1, 0, 0, 0],
                        [14336, 0, 15, 0, 1, 0, 0, 0],
                        [12288, 0, 15, 0, 1, 0, 0, 0],
                        [10240, 0, 15, 0, 1, 0, 0, 0],
                        [8192, 0, 15, 0, 1, 0, 0, 0],
                        [6144, 0, 15, 0, 1, 0, 0, 0],
                        [4096, 0, 10, 0, 1, 0, 0, 0],
                        [3072, 0, 7.5, 0, 1, 0, 0, 0],
                        [2048, 0, 5, 0, 1, 0, 0, 0],
                        [1536, 0, 3, 0, 1, 0, 0, 0]
                    ],
                    // <5-1>標準(FQ)
                    [
                        // デフォルト値
                        [6],
                        // 値リスト
                        [16384, 0, 15, 0, 1, 0, 0, 0],
                        [14336, 0, 15, 0, 1, 0, 0, 0],
                        [12288, 0, 15, 0, 1, 0, 0, 0],
                        [10240, 0, 15, 0, 1, 0, 0, 0],
                        [8192, 0, 15, 0, 1, 0, 0, 0],
                        [6144, 0, 15, 0, 1, 0, 0, 0],
                        [4096, 0, 15, 0, 1, 0, 0, 0],
                        [3072, 0, 10, 0, 1, 0, 0, 0],
                        [2048, 0, 7.5, 0, 1, 0, 0, 0],
                        [1536, 0, 5, 0, 1, 0, 0, 0]
                    ],
                    // <5-2>動き優先(NQ)
                    [
                        // デフォルト値
                        [6],
                        // 値リスト
                        [16384, 0, 15, 0, 1, 0, 0, 0],
                        [14336, 0, 15, 0, 1, 0, 0, 0],
                        [12288, 0, 15, 0, 1, 0, 0, 0],
                        [10240, 0, 15, 0, 1, 0, 0, 0],
                        [8192, 0, 15, 0, 1, 0, 0, 0],
                        [6144, 0, 15, 0, 1, 0, 0, 0],
                        [4096, 0, 15, 0, 1, 0, 0, 0],
                        [3072, 0, 15, 0, 1, 0, 0, 0],
                        [2048, 0, 15, 0, 1, 0, 0, 0],
                        [1536, 0, 10, 0, 1, 0, 0, 0]
                    ]
                ],
                // <2-01>1280x1280
                [
                    // <5-0>画質優先(SF)
                    [
                        // デフォルト値
                        [2],
                        // 値リスト
                        [8192, 0, 15, 0, 1, 0, 0, 0],
                        [6144, 0, 15, 0, 1, 0, 0, 0],
                        [4096, 0, 15, 0, 1, 0, 0, 0],
                        [3072, 0, 15, 0, 1, 0, 0, 0],
                        [2048, 0, 10, 0, 1, 0, 0, 0],
                        [1536, 0, 7.5, 0, 1, 0, 0, 0],
                        [1024, 0, 5, 0, 1, 0, 0, 0],
                        [768, 0, 3, 0, 1, 0, 0, 0],
                        [512, 0, 2, 0, 1, 0, 0, 0],
                        [384, 0, 1, 0, 1, 0, 0, 0],
                        [256, 0, 1, 0, 1, 0, 0, 0]
                    ],
                    // <5-1>標準(FQ)
                    [
                        // デフォルト値
                        [2],
                        // 値リスト
                        [8192, 0, 15, 0, 1, 0, 0, 0],
                        [6144, 0, 15, 0, 1, 0, 0, 0],
                        [4096, 0, 15, 0, 1, 0, 0, 0],
                        [3072, 0, 15, 0, 1, 0, 0, 0],
                        [2048, 0, 15, 0, 1, 0, 0, 0],
                        [1536, 0, 10, 0, 1, 0, 0, 0],
                        [1024, 0, 7.5, 0, 1, 0, 0, 0],
                        [768, 0, 5, 0, 1, 0, 0, 0],
                        [512, 0, 3, 0, 1, 0, 0, 0],
                        [384, 0, 2, 0, 1, 0, 0, 0],
                        [256, 0, 1, 0, 1, 0, 0, 0]
                    ],
                    // <5-2>動き優先(NQ)
                    [
                        // デフォルト値
                        [2],
                        // 値リスト
                        [8192, 0, 15, 0, 1, 0, 0, 0],
                        [6144, 0, 15, 0, 1, 0, 0, 0],
                        [4096, 0, 15, 0, 1, 0, 0, 0],
                        [3072, 0, 15, 0, 1, 0, 0, 0],
                        [2048, 0, 15, 0, 1, 0, 0, 0],
                        [1536, 0, 15, 0, 1, 0, 0, 0],
                        [1024, 0, 15, 0, 1, 0, 0, 0],
                        [768, 0, 10, 0, 1, 0, 0, 0],
                        [512, 0, 7.5, 0, 1, 0, 0, 0],
                        [384, 0, 5, 0, 1, 0, 0, 0],
                        [256, 0, 3, 0, 1, 0, 0, 0]
                    ]
                ],
                // <2-02>640x640
                [
                    // <5-0>画質優先(SF)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 15, 0, 1, 0, 0, 0],
                        [3072, 0, 15, 0, 1, 0, 0, 0],
                        [2048, 0, 15, 0, 1, 0, 0, 0],
                        [1536, 0, 15, 0, 1, 0, 0, 0],
                        [1024, 0, 10, 0, 1, 0, 0, 0],
                        [768, 0, 7.5, 0, 1, 0, 0, 0],
                        [512, 0, 5, 0, 1, 0, 0, 0],
                        [384, 0, 3, 0, 1, 0, 0, 0],
                        [256, 0, 2, 0, 1, 0, 0, 0],
                        [128, 0, 1, 0, 1, 0, 0, 0],
                        [64, 0, 1, 0, 1, 0, 0, 0]
                    ],
                    // <5-1>標準(FQ)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 15, 0, 1, 0, 0, 0],
                        [3072, 0, 15, 0, 1, 0, 0, 0],
                        [2048, 0, 15, 0, 1, 0, 0, 0],
                        [1536, 0, 15, 0, 1, 0, 0, 0],
                        [1024, 0, 15, 0, 1, 0, 0, 0],
                        [768, 0, 15, 0, 1, 0, 0, 0],
                        [512, 0, 15, 0, 1, 0, 0, 0],
                        [384, 0, 10, 0, 1, 0, 0, 0],
                        [256, 0, 7.5, 0, 1, 0, 0, 0],
                        [128, 0, 5, 0, 1, 0, 0, 0],
                        [64, 0, 2, 0, 1, 0, 0, 0]
                    ],
                    // <5-2>動き優先(NQ)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 15, 0, 1, 0, 0, 0],
                        [3072, 0, 15, 0, 1, 0, 0, 0],
                        [2048, 0, 15, 0, 1, 0, 0, 0],
                        [1536, 0, 15, 0, 1, 0, 0, 0],
                        [1024, 0, 15, 0, 1, 0, 0, 0],
                        [768, 0, 15, 0, 1, 0, 0, 0],
                        [512, 0, 15, 0, 1, 0, 0, 0],
                        [384, 0, 15, 0, 1, 0, 0, 0],
                        [256, 0, 10, 0, 1, 0, 0, 0],
                        [128, 0, 7.5, 0, 1, 0, 0, 0],
                        [64, 0, 3, 0, 1, 0, 0, 0]
                    ]
                ],
                // <2-03>320x320
                [
                    // <5-0>画質優先(SF)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 15, 0, 1, 0, 0, 0],
                        [3072, 0, 15, 0, 1, 0, 0, 0],
                        [2048, 0, 15, 0, 1, 0, 0, 0],
                        [1536, 0, 15, 0, 1, 0, 0, 0],
                        [1024, 0, 15, 0, 1, 0, 0, 0],
                        [768, 0, 10, 0, 1, 0, 0, 0],
                        [512, 0, 7.5, 0, 1, 0, 0, 0],
                        [384, 0, 5, 0, 1, 0, 0, 0],
                        [256, 0, 3, 0, 1, 0, 0, 0],
                        [128, 0, 2, 0, 1, 0, 0, 0],
                        [64, 0, 1, 0, 1, 0, 0, 0]
                    ],
                    // <5-1>標準(FQ)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 15, 0, 1, 0, 0, 0],
                        [3072, 0, 15, 0, 1, 0, 0, 0],
                        [2048, 0, 15, 0, 1, 0, 0, 0],
                        [1536, 0, 15, 0, 1, 0, 0, 0],
                        [1024, 0, 15, 0, 1, 0, 0, 0],
                        [768, 0, 15, 0, 1, 0, 0, 0],
                        [512, 0, 15, 0, 1, 0, 0, 0],
                        [384, 0, 15, 0, 1, 0, 0, 0],
                        [256, 0, 10, 0, 1, 0, 0, 0],
                        [128, 0, 7.5, 0, 1, 0, 0, 0],
                        [64, 0, 5, 0, 1, 0, 0, 0]
                    ],
                    // <5-2>動き優先(NQ)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 15, 0, 1, 0, 0, 0],
                        [3072, 0, 15, 0, 1, 0, 0, 0],
                        [2048, 0, 15, 0, 1, 0, 0, 0],
                        [1536, 0, 15, 0, 1, 0, 0, 0],
                        [1024, 0, 15, 0, 1, 0, 0, 0],
                        [768, 0, 15, 0, 1, 0, 0, 0],
                        [512, 0, 15, 0, 1, 0, 0, 0],
                        [384, 0, 15, 0, 1, 0, 0, 0],
                        [256, 0, 15, 0, 1, 0, 0, 0],
                        [128, 0, 10, 0, 1, 0, 0, 0],
                        [64, 0, 7.5, 0, 1, 0, 0, 0]
                    ]
                ],
                // <2-04>SXVGA
                [
                    // <5-0>画質優先(SF)
                    [
                        // デフォルト値
                        [2],
                        // 値リスト
                        [8192, 0, 15, 0, 1, 0, 0, 0],
                        [6144, 0, 15, 0, 1, 0, 0, 0],
                        [4096, 0, 15, 0, 1, 0, 0, 0],
                        [3072, 0, 15, 0, 1, 0, 0, 0],
                        [2048, 0, 10, 0, 1, 0, 0, 0],
                        [1536, 0, 7.5, 0, 1, 0, 0, 0],
                        [1024, 0, 5, 0, 1, 0, 0, 0],
                        [768, 0, 3, 0, 1, 0, 0, 0],
                        [512, 0, 2, 0, 1, 0, 0, 0],
                        [384, 0, 1, 0, 1, 0, 0, 0],
                        [256, 0, 1, 0, 1, 0, 0, 0]
                    ],
                    // <5-1>標準(FQ)
                    [
                        // デフォルト値
                        [2],
                        // 値リスト
                        [8192, 0, 15, 0, 1, 0, 0, 0],
                        [6144, 0, 15, 0, 1, 0, 0, 0],
                        [4096, 0, 15, 0, 1, 0, 0, 0],
                        [3072, 0, 15, 0, 1, 0, 0, 0],
                        [2048, 0, 15, 0, 1, 0, 0, 0],
                        [1536, 0, 10, 0, 1, 0, 0, 0],
                        [1024, 0, 7.5, 0, 1, 0, 0, 0],
                        [768, 0, 5, 0, 1, 0, 0, 0],
                        [512, 0, 3, 0, 1, 0, 0, 0],
                        [384, 0, 2, 0, 1, 0, 0, 0],
                        [256, 0, 1, 0, 1, 0, 0, 0]
                    ],
                    // <5-2>動き優先(NQ)
                    [
                        // デフォルト値
                        [2],
                        // 値リスト
                        [8192, 0, 15, 0, 1, 0, 0, 0],
                        [6144, 0, 15, 0, 1, 0, 0, 0],
                        [4096, 0, 15, 0, 1, 0, 0, 0],
                        [3072, 0, 15, 0, 1, 0, 0, 0],
                        [2048, 0, 15, 0, 1, 0, 0, 0],
                        [1536, 0, 15, 0, 1, 0, 0, 0],
                        [1024, 0, 15, 0, 1, 0, 0, 0],
                        [768, 0, 10, 0, 1, 0, 0, 0],
                        [512, 0, 7.5, 0, 1, 0, 0, 0],
                        [384, 0, 5, 0, 1, 0, 0, 0],
                        [256, 0, 3, 0, 1, 0, 0, 0]
                    ]
                ],
                // <2-05>SVGA
                [
                    // <5-0>画質優先(SF)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 15, 0, 1, 0, 0, 0],
                        [3072, 0, 15, 0, 1, 0, 0, 0],
                        [2048, 0, 15, 0, 1, 0, 0, 0],
                        [1536, 0, 10, 0, 1, 0, 0, 0],
                        [1024, 0, 7.5, 0, 1, 0, 0, 0],
                        [768, 0, 5, 0, 1, 0, 0, 0],
                        [512, 0, 3, 0, 1, 0, 0, 0],
                        [384, 0, 2, 0, 1, 0, 0, 0],
                        [256, 0, 1, 0, 1, 0, 0, 0],
                        [128, 0, 1, 0, 1, 0, 0, 0]
                    ],
                    // <5-1>標準(FQ)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 15, 0, 1, 0, 0, 0],
                        [3072, 0, 15, 0, 1, 0, 0, 0],
                        [2048, 0, 15, 0, 1, 0, 0, 0],
                        [1536, 0, 15, 0, 1, 0, 0, 0],
                        [1024, 0, 10, 0, 1, 0, 0, 0],
                        [768, 0, 7.5, 0, 1, 0, 0, 0],
                        [512, 0, 5, 0, 1, 0, 0, 0],
                        [384, 0, 3, 0, 1, 0, 0, 0],
                        [256, 0, 2, 0, 1, 0, 0, 0],
                        [128, 0, 1, 0, 1, 0, 0, 0]
                    ],
                    // <5-2>動き優先(NQ)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 15, 0, 1, 0, 0, 0],
                        [3072, 0, 15, 0, 1, 0, 0, 0],
                        [2048, 0, 15, 0, 1, 0, 0, 0],
                        [1536, 0, 15, 0, 1, 0, 0, 0],
                        [1024, 0, 15, 0, 1, 0, 0, 0],
                        [768, 0, 15, 0, 1, 0, 0, 0],
                        [512, 0, 10, 0, 1, 0, 0, 0],
                        [384, 0, 7.5, 0, 1, 0, 0, 0],
                        [256, 0, 5, 0, 1, 0, 0, 0],
                        [128, 0, 3, 0, 1, 0, 0, 0]
                    ]
                ],
                // <2-06>VGA
                [
                    // <5-0>画質優先(SF)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 15, 0, 1, 0, 0, 0],
                        [3072, 0, 15, 0, 1, 0, 0, 0],
                        [2048, 0, 15, 0, 1, 0, 0, 0],
                        [1536, 0, 15, 0, 1, 0, 0, 0],
                        [1024, 0, 10, 0, 1, 0, 0, 0],
                        [768, 0, 7.5, 0, 1, 0, 0, 0],
                        [512, 0, 5, 0, 1, 0, 0, 0],
                        [384, 0, 3, 0, 1, 0, 0, 0],
                        [256, 0, 2, 0, 1, 0, 0, 0],
                        [128, 0, 1, 0, 1, 0, 0, 0],
                        [64, 0, 1, 0, 1, 0, 0, 0]
                    ],
                    // <5-1>標準(FQ)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 15, 0, 1, 0, 0, 0],
                        [3072, 0, 15, 0, 1, 0, 0, 0],
                        [2048, 0, 15, 0, 1, 0, 0, 0],
                        [1536, 0, 15, 0, 1, 0, 0, 0],
                        [1024, 0, 15, 0, 1, 0, 0, 0],
                        [768, 0, 15, 0, 1, 0, 0, 0],
                        [512, 0, 15, 0, 1, 0, 0, 0],
                        [384, 0, 10, 0, 1, 0, 0, 0],
                        [256, 0, 7.5, 0, 1, 0, 0, 0],
                        [128, 0, 5, 0, 1, 0, 0, 0],
                        [64, 0, 2, 0, 1, 0, 0, 0]
                    ],
                    // <5-2>動き優先(NQ)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 15, 0, 1, 0, 0, 0],
                        [3072, 0, 15, 0, 1, 0, 0, 0],
                        [2048, 0, 15, 0, 1, 0, 0, 0],
                        [1536, 0, 15, 0, 1, 0, 0, 0],
                        [1024, 0, 15, 0, 1, 0, 0, 0],
                        [768, 0, 15, 0, 1, 0, 0, 0],
                        [512, 0, 15, 0, 1, 0, 0, 0],
                        [384, 0, 15, 0, 1, 0, 0, 0],
                        [256, 0, 10, 0, 1, 0, 0, 0],
                        [128, 0, 7.5, 0, 1, 0, 0, 0],
                        [64, 0, 3, 0, 1, 0, 0, 0]
                    ]
                ]
            ],
            // <4-1>フレームレート優先
            [
                // <2-00>2048x2048
                [
                    // -
                    [
                        // デフォルト値
                        [7],
                        // 値リスト
                        [16384, 0, 15, 0, 1, 0, 0, 0],
                        [14336, 0, 15, 0, 1, 0, 0, 0],
                        [12288, 0, 15, 0, 1, 0, 0, 0],
                        [10240, 0, 15, 0, 1, 0, 0, 0],
                        [8192, 0, 15, 0, 1, 0, 0, 0],
                        [6144, 0, 15, 0, 1, 0, 0, 0],
                        [4096, 0, 15, 0, 1, 0, 0, 0],
                        [3072, 0, 15, 0, 1, 0, 0, 0],
                        [2048, 0, 1, 0, 1, 0, 0, 0],
                        [1536, 0, 0, 0, 1, 0, 0, 0]
                    ]
                ],
                // <2-01>1280x1280
                [
                    // -
                    [
                        // デフォルト値
                        [5],
                        // 値リスト
                        [8192, 0, 15, 0, 1, 0, 0, 0],
                        [6144, 0, 15, 0, 1, 0, 0, 0],
                        [4096, 0, 15, 0, 1, 0, 0, 0],
                        [3072, 0, 15, 0, 1, 0, 0, 0],
                        [2048, 0, 15, 0, 1, 0, 0, 0],
                        [1536, 0, 15, 0, 1, 0, 0, 0],
                        [1024, 0, 1, 0, 1, 0, 0, 0],
                        [768, 0, 0, 0, 1, 0, 0, 0],
                        [512, 0, 0, 0, 1, 0, 0, 0],
                        [384, 0, 0, 0, 1, 0, 0, 0],
                        [256, 0, 0, 0, 1, 0, 0, 0]
                    ]
                ],
                // <2-02>640x640
                [
                    // -
                    [
                        // デフォルト値
                        [6],
                        // 値リスト
                        [4096, 0, 15, 0, 1, 0, 0, 0],
                        [3072, 0, 15, 0, 1, 0, 0, 0],
                        [2048, 0, 15, 0, 1, 0, 0, 0],
                        [1536, 0, 15, 0, 1, 0, 0, 0],
                        [1024, 0, 15, 0, 1, 0, 0, 0],
                        [768, 0, 15, 0, 1, 0, 0, 0],
                        [512, 0, 15, 0, 1, 0, 0, 0],
                        [384, 0, 1, 0, 1, 0, 0, 0],
                        [256, 0, 0, 0, 1, 0, 0, 0],
                        [128, 0, 0, 0, 1, 0, 0, 0],
                        [64, 0, 0, 0, 1, 0, 0, 0]
                    ]
                ],
                // <2-03>320x320
                [
                    // -
                    [
                        // デフォルト値
                        [8],
                        // 値リスト
                        [4096, 0, 15, 0, 1, 0, 0, 0],
                        [3072, 0, 15, 0, 1, 0, 0, 0],
                        [2048, 0, 15, 0, 1, 0, 0, 0],
                        [1536, 0, 15, 0, 1, 0, 0, 0],
                        [1024, 0, 15, 0, 1, 0, 0, 0],
                        [768, 0, 15, 0, 1, 0, 0, 0],
                        [512, 0, 15, 0, 1, 0, 0, 0],
                        [384, 0, 15, 0, 1, 0, 0, 0],
                        [256, 0, 15, 0, 1, 0, 0, 0],
                        [128, 0, 1, 0, 1, 0, 0, 0],
                        [64, 0, 0, 0, 1, 0, 0, 0]
                    ]
                ],
                // <2-04>SXVGA
                [
                    // -
                    [
                        // デフォルト値
                        [6],
                        // 値リスト
                        [8192, 0, 15, 0, 1, 0, 0, 0],
                        [6144, 0, 15, 0, 1, 0, 0, 0],
                        [4096, 0, 15, 0, 1, 0, 0, 0],
                        [3072, 0, 15, 0, 1, 0, 0, 0],
                        [2048, 0, 15, 0, 1, 0, 0, 0],
                        [1536, 0, 15, 0, 1, 0, 0, 0],
                        [1024, 0, 15, 0, 1, 0, 0, 0],
                        [768, 0, 1, 0, 1, 0, 0, 0],
                        [512, 0, 0, 0, 1, 0, 0, 0],
                        [384, 0, 0, 0, 1, 0, 0, 0],
                        [256, 0, 0, 0, 1, 0, 0, 0]
                    ]
                ],
                // <2-05>SVGA
                [
                    // -
                    [
                        // デフォルト値
                        [4],
                        // 値リスト
                        [4096, 0, 15, 0, 1, 0, 0, 0],
                        [3072, 0, 15, 0, 1, 0, 0, 0],
                        [2048, 0, 15, 0, 1, 0, 0, 0],
                        [1536, 0, 15, 0, 1, 0, 0, 0],
                        [1024, 0, 15, 0, 1, 0, 0, 0],
                        [768, 0, 7.5, 0, 1, 0, 0, 0],
                        [512, 0, 1, 0, 1, 0, 0, 0],
                        [384, 0, 1, 0, 1, 0, 0, 0],
                        [256, 0, 0, 0, 1, 0, 0, 0],
                        [128, 0, 0, 0, 1, 0, 0, 0]
                    ]
                ],
                // <2-06>VGA
                [
                    // -
                    [
                        // デフォルト値
                        [7],
                        // 値リスト
                        [4096, 0, 15, 0, 1, 0, 0, 0],
                        [3072, 0, 15, 0, 1, 0, 0, 0],
                        [2048, 0, 15, 0, 1, 0, 0, 0],
                        [1536, 0, 15, 0, 1, 0, 0, 0],
                        [1024, 0, 15, 0, 1, 0, 0, 0],
                        [768, 0, 15, 0, 1, 0, 0, 0],
                        [512, 0, 15, 0, 1, 0, 0, 0],
                        [384, 0, 15, 0, 1, 0, 0, 0],
                        [256, 0, 1, 0, 1, 0, 0, 0],
                        [128, 0, 0, 0, 1, 0, 0, 0],
                        [64, 0, 0, 0, 1, 0, 0, 0]
                    ]
                ]
            ],
            // <4-2>AdvancedVBR[高]
            [
                // <2-00>2048x2048
                [
                    // -
                    [
                        // デフォルト値
                        [7],
                        // 値リスト
                        [16384, 0, 15, 0, 1, 0, 0, 0],
                        [14336, 0, 15, 0, 1, 0, 0, 0],
                        [12288, 0, 15, 0, 1, 0, 0, 0],
                        [10240, 0, 15, 0, 1, 0, 0, 0],
                        [8192, 0, 15, 0, 1, 0, 0, 0],
                        [6144, 0, 15, 0, 1, 0, 0, 0],
                        [4096, 0, 15, 0, 1, 0, 0, 0],
                        [3072, 0, 15, 0, 1, 0, 0, 0],
                        [2048, 0, 1, 0, 1, 0, 0, 0],
                        [1536, 0, 0, 0, 1, 0, 0, 0]
                    ]
                ],
                // <2-01>1280x1280
                [
                    // -
                    [
                        // デフォルト値
                        [5],
                        // 値リスト
                        [8192, 0, 15, 0, 1, 0, 0, 0],
                        [6144, 0, 15, 0, 1, 0, 0, 0],
                        [4096, 0, 15, 0, 1, 0, 0, 0],
                        [3072, 0, 15, 0, 1, 0, 0, 0],
                        [2048, 0, 15, 0, 1, 0, 0, 0],
                        [1536, 0, 15, 0, 1, 0, 0, 0],
                        [1024, 0, 1, 0, 1, 0, 0, 0],
                        [768, 0, 0, 0, 1, 0, 0, 0],
                        [512, 0, 0, 0, 1, 0, 0, 0],
                        [384, 0, 0, 0, 1, 0, 0, 0],
                        [256, 0, 0, 0, 1, 0, 0, 0]
                    ]
                ],
                // <2-02>640x640
                [
                    // -
                    [
                        // デフォルト値
                        [6],
                        // 値リスト
                        [4096, 0, 15, 0, 1, 0, 0, 0],
                        [3072, 0, 15, 0, 1, 0, 0, 0],
                        [2048, 0, 15, 0, 1, 0, 0, 0],
                        [1536, 0, 15, 0, 1, 0, 0, 0],
                        [1024, 0, 15, 0, 1, 0, 0, 0],
                        [768, 0, 15, 0, 1, 0, 0, 0],
                        [512, 0, 15, 0, 1, 0, 0, 0],
                        [384, 0, 1, 0, 1, 0, 0, 0],
                        [256, 0, 0, 0, 1, 0, 0, 0],
                        [128, 0, 0, 0, 1, 0, 0, 0],
                        [64, 0, 0, 0, 1, 0, 0, 0]
                    ]
                ],
                // <2-03>320x320
                [
                    // -
                    [
                        // デフォルト値
                        [8],
                        // 値リスト
                        [4096, 0, 15, 0, 1, 0, 0, 0],
                        [3072, 0, 15, 0, 1, 0, 0, 0],
                        [2048, 0, 15, 0, 1, 0, 0, 0],
                        [1536, 0, 15, 0, 1, 0, 0, 0],
                        [1024, 0, 15, 0, 1, 0, 0, 0],
                        [768, 0, 15, 0, 1, 0, 0, 0],
                        [512, 0, 15, 0, 1, 0, 0, 0],
                        [384, 0, 15, 0, 1, 0, 0, 0],
                        [256, 0, 15, 0, 1, 0, 0, 0],
                        [128, 0, 1, 0, 1, 0, 0, 0],
                        [64, 0, 0, 0, 1, 0, 0, 0]
                    ]
                ],
                // <2-04>SXVGA
                [
                    // -
                    [
                        // デフォルト値
                        [6],
                        // 値リスト
                        [8192, 0, 15, 0, 1, 0, 0, 0],
                        [6144, 0, 15, 0, 1, 0, 0, 0],
                        [4096, 0, 15, 0, 1, 0, 0, 0],
                        [3072, 0, 15, 0, 1, 0, 0, 0],
                        [2048, 0, 15, 0, 1, 0, 0, 0],
                        [1536, 0, 15, 0, 1, 0, 0, 0],
                        [1024, 0, 15, 0, 1, 0, 0, 0],
                        [768, 0, 1, 0, 1, 0, 0, 0],
                        [512, 0, 0, 0, 1, 0, 0, 0],
                        [384, 0, 0, 0, 1, 0, 0, 0],
                        [256, 0, 0, 0, 1, 0, 0, 0]
                    ]
                ],
                // <2-05>SVGA
                [
                    // -
                    [
                        // デフォルト値
                        [4],
                        // 値リスト
                        [4096, 0, 15, 0, 1, 0, 0, 0],
                        [3072, 0, 15, 0, 1, 0, 0, 0],
                        [2048, 0, 15, 0, 1, 0, 0, 0],
                        [1536, 0, 15, 0, 1, 0, 0, 0],
                        [1024, 0, 15, 0, 1, 0, 0, 0],
                        [768, 0, 7.5, 0, 1, 0, 0, 0],
                        [512, 0, 1, 0, 1, 0, 0, 0],
                        [384, 0, 1, 0, 1, 0, 0, 0],
                        [256, 0, 0, 0, 1, 0, 0, 0],
                        [128, 0, 0, 0, 1, 0, 0, 0]
                    ]
                ],
                // <2-06>VGA
                [
                    // -
                    [
                        // デフォルト値
                        [7],
                        // 値リスト
                        [4096, 0, 15, 0, 1, 0, 0, 0],
                        [3072, 0, 15, 0, 1, 0, 0, 0],
                        [2048, 0, 15, 0, 1, 0, 0, 0],
                        [1536, 0, 15, 0, 1, 0, 0, 0],
                        [1024, 0, 15, 0, 1, 0, 0, 0],
                        [768, 0, 15, 0, 1, 0, 0, 0],
                        [512, 0, 15, 0, 1, 0, 0, 0],
                        [384, 0, 15, 0, 1, 0, 0, 0],
                        [256, 0, 1, 0, 1, 0, 0, 0],
                        [128, 0, 0, 0, 1, 0, 0, 0],
                        [64, 0, 0, 0, 1, 0, 0, 0]
                    ]
                ]
            ],
            // <4-3>AdvancedVBR[中]
            [
                // <2-00>2048x2048
                [
                    // -
                    [
                        // デフォルト値
                        [7],
                        // 値リスト
                        [16384, 0, 15, 0, 1, 0, 0, 0],
                        [14336, 0, 15, 0, 1, 0, 0, 0],
                        [12288, 0, 15, 0, 1, 0, 0, 0],
                        [10240, 0, 15, 0, 1, 0, 0, 0],
                        [8192, 0, 15, 0, 1, 0, 0, 0],
                        [6144, 0, 15, 0, 1, 0, 0, 0],
                        [4096, 0, 15, 0, 1, 0, 0, 0],
                        [3072, 0, 15, 0, 1, 0, 0, 0],
                        [2048, 0, 1, 0, 1, 0, 0, 0],
                        [1536, 0, 0, 0, 1, 0, 0, 0]
                    ]
                ],
                // <2-01>1280x1280
                [
                    // -
                    [
                        // デフォルト値
                        [5],
                        // 値リスト
                        [8192, 0, 15, 0, 1, 0, 0, 0],
                        [6144, 0, 15, 0, 1, 0, 0, 0],
                        [4096, 0, 15, 0, 1, 0, 0, 0],
                        [3072, 0, 15, 0, 1, 0, 0, 0],
                        [2048, 0, 15, 0, 1, 0, 0, 0],
                        [1536, 0, 15, 0, 1, 0, 0, 0],
                        [1024, 0, 1, 0, 1, 0, 0, 0],
                        [768, 0, 0, 0, 1, 0, 0, 0],
                        [512, 0, 0, 0, 1, 0, 0, 0],
                        [384, 0, 0, 0, 1, 0, 0, 0],
                        [256, 0, 0, 0, 1, 0, 0, 0]
                    ]
                ],
                // <2-02>640x640
                [
                    // -
                    [
                        // デフォルト値
                        [6],
                        // 値リスト
                        [4096, 0, 15, 0, 1, 0, 0, 0],
                        [3072, 0, 15, 0, 1, 0, 0, 0],
                        [2048, 0, 15, 0, 1, 0, 0, 0],
                        [1536, 0, 15, 0, 1, 0, 0, 0],
                        [1024, 0, 15, 0, 1, 0, 0, 0],
                        [768, 0, 15, 0, 1, 0, 0, 0],
                        [512, 0, 15, 0, 1, 0, 0, 0],
                        [384, 0, 1, 0, 1, 0, 0, 0],
                        [256, 0, 0, 0, 1, 0, 0, 0],
                        [128, 0, 0, 0, 1, 0, 0, 0],
                        [64, 0, 0, 0, 1, 0, 0, 0]
                    ]
                ],
                // <2-03>320x320
                [
                    // -
                    [
                        // デフォルト値
                        [8],
                        // 値リスト
                        [4096, 0, 15, 0, 1, 0, 0, 0],
                        [3072, 0, 15, 0, 1, 0, 0, 0],
                        [2048, 0, 15, 0, 1, 0, 0, 0],
                        [1536, 0, 15, 0, 1, 0, 0, 0],
                        [1024, 0, 15, 0, 1, 0, 0, 0],
                        [768, 0, 15, 0, 1, 0, 0, 0],
                        [512, 0, 15, 0, 1, 0, 0, 0],
                        [384, 0, 15, 0, 1, 0, 0, 0],
                        [256, 0, 15, 0, 1, 0, 0, 0],
                        [128, 0, 1, 0, 1, 0, 0, 0],
                        [64, 0, 0, 0, 1, 0, 0, 0]
                    ]
                ],
                // <2-04>SXVGA
                [
                    // -
                    [
                        // デフォルト値
                        [6],
                        // 値リスト
                        [8192, 0, 15, 0, 1, 0, 0, 0],
                        [6144, 0, 15, 0, 1, 0, 0, 0],
                        [4096, 0, 15, 0, 1, 0, 0, 0],
                        [3072, 0, 15, 0, 1, 0, 0, 0],
                        [2048, 0, 15, 0, 1, 0, 0, 0],
                        [1536, 0, 15, 0, 1, 0, 0, 0],
                        [1024, 0, 15, 0, 1, 0, 0, 0],
                        [768, 0, 1, 0, 1, 0, 0, 0],
                        [512, 0, 0, 0, 1, 0, 0, 0],
                        [384, 0, 0, 0, 1, 0, 0, 0],
                        [256, 0, 0, 0, 1, 0, 0, 0]
                    ]
                ],
                // <2-05>SVGA
                [
                    // -
                    [
                        // デフォルト値
                        [4],
                        // 値リスト
                        [4096, 0, 15, 0, 1, 0, 0, 0],
                        [3072, 0, 15, 0, 1, 0, 0, 0],
                        [2048, 0, 15, 0, 1, 0, 0, 0],
                        [1536, 0, 15, 0, 1, 0, 0, 0],
                        [1024, 0, 15, 0, 1, 0, 0, 0],
                        [768, 0, 7.5, 0, 1, 0, 0, 0],
                        [512, 0, 1, 0, 1, 0, 0, 0],
                        [384, 0, 1, 0, 1, 0, 0, 0],
                        [256, 0, 0, 0, 1, 0, 0, 0],
                        [128, 0, 0, 0, 1, 0, 0, 0]
                    ]
                ],
                // <2-06>VGA
                [
                    // -
                    [
                        // デフォルト値
                        [7],
                        // 値リスト
                        [4096, 0, 15, 0, 1, 0, 0, 0],
                        [3072, 0, 15, 0, 1, 0, 0, 0],
                        [2048, 0, 15, 0, 1, 0, 0, 0],
                        [1536, 0, 15, 0, 1, 0, 0, 0],
                        [1024, 0, 15, 0, 1, 0, 0, 0],
                        [768, 0, 15, 0, 1, 0, 0, 0],
                        [512, 0, 15, 0, 1, 0, 0, 0],
                        [384, 0, 15, 0, 1, 0, 0, 0],
                        [256, 0, 1, 0, 1, 0, 0, 0],
                        [128, 0, 0, 0, 1, 0, 0, 0],
                        [64, 0, 0, 0, 1, 0, 0, 0]
                    ]
                ]
            ],
            // <4-4>AdvancedVBR[低]
            [
                // <2-00>2048x2048
                [
                    // -
                    [
                        // デフォルト値
                        [7],
                        // 値リスト
                        [16384, 0, 15, 0, 1, 0, 0, 0],
                        [14336, 0, 15, 0, 1, 0, 0, 0],
                        [12288, 0, 15, 0, 1, 0, 0, 0],
                        [10240, 0, 15, 0, 1, 0, 0, 0],
                        [8192, 0, 15, 0, 1, 0, 0, 0],
                        [6144, 0, 15, 0, 1, 0, 0, 0],
                        [4096, 0, 15, 0, 1, 0, 0, 0],
                        [3072, 0, 15, 0, 1, 0, 0, 0],
                        [2048, 0, 1, 0, 1, 0, 0, 0],
                        [1536, 0, 0, 0, 1, 0, 0, 0]
                    ]
                ],
                // <2-01>1280x1280
                [
                    // -
                    [
                        // デフォルト値
                        [5],
                        // 値リスト
                        [8192, 0, 15, 0, 1, 0, 0, 0],
                        [6144, 0, 15, 0, 1, 0, 0, 0],
                        [4096, 0, 15, 0, 1, 0, 0, 0],
                        [3072, 0, 15, 0, 1, 0, 0, 0],
                        [2048, 0, 15, 0, 1, 0, 0, 0],
                        [1536, 0, 15, 0, 1, 0, 0, 0],
                        [1024, 0, 1, 0, 1, 0, 0, 0],
                        [768, 0, 0, 0, 1, 0, 0, 0],
                        [512, 0, 0, 0, 1, 0, 0, 0],
                        [384, 0, 0, 0, 1, 0, 0, 0],
                        [256, 0, 0, 0, 1, 0, 0, 0]
                    ]
                ],
                // <2-02>640x640
                [
                    // -
                    [
                        // デフォルト値
                        [6],
                        // 値リスト
                        [4096, 0, 15, 0, 1, 0, 0, 0],
                        [3072, 0, 15, 0, 1, 0, 0, 0],
                        [2048, 0, 15, 0, 1, 0, 0, 0],
                        [1536, 0, 15, 0, 1, 0, 0, 0],
                        [1024, 0, 15, 0, 1, 0, 0, 0],
                        [768, 0, 15, 0, 1, 0, 0, 0],
                        [512, 0, 15, 0, 1, 0, 0, 0],
                        [384, 0, 1, 0, 1, 0, 0, 0],
                        [256, 0, 0, 0, 1, 0, 0, 0],
                        [128, 0, 0, 0, 1, 0, 0, 0],
                        [64, 0, 0, 0, 1, 0, 0, 0]
                    ]
                ],
                // <2-03>320x320
                [
                    // -
                    [
                        // デフォルト値
                        [8],
                        // 値リスト
                        [4096, 0, 15, 0, 1, 0, 0, 0],
                        [3072, 0, 15, 0, 1, 0, 0, 0],
                        [2048, 0, 15, 0, 1, 0, 0, 0],
                        [1536, 0, 15, 0, 1, 0, 0, 0],
                        [1024, 0, 15, 0, 1, 0, 0, 0],
                        [768, 0, 15, 0, 1, 0, 0, 0],
                        [512, 0, 15, 0, 1, 0, 0, 0],
                        [384, 0, 15, 0, 1, 0, 0, 0],
                        [256, 0, 15, 0, 1, 0, 0, 0],
                        [128, 0, 1, 0, 1, 0, 0, 0],
                        [64, 0, 0, 0, 1, 0, 0, 0]
                    ]
                ],
                // <2-04>SXVGA
                [
                    // -
                    [
                        // デフォルト値
                        [6],
                        // 値リスト
                        [8192, 0, 15, 0, 1, 0, 0, 0],
                        [6144, 0, 15, 0, 1, 0, 0, 0],
                        [4096, 0, 15, 0, 1, 0, 0, 0],
                        [3072, 0, 15, 0, 1, 0, 0, 0],
                        [2048, 0, 15, 0, 1, 0, 0, 0],
                        [1536, 0, 15, 0, 1, 0, 0, 0],
                        [1024, 0, 15, 0, 1, 0, 0, 0],
                        [768, 0, 1, 0, 1, 0, 0, 0],
                        [512, 0, 0, 0, 1, 0, 0, 0],
                        [384, 0, 0, 0, 1, 0, 0, 0],
                        [256, 0, 0, 0, 1, 0, 0, 0]
                    ]
                ],
                // <2-05>SVGA
                [
                    // -
                    [
                        // デフォルト値
                        [4],
                        // 値リスト
                        [4096, 0, 15, 0, 1, 0, 0, 0],
                        [3072, 0, 15, 0, 1, 0, 0, 0],
                        [2048, 0, 15, 0, 1, 0, 0, 0],
                        [1536, 0, 15, 0, 1, 0, 0, 0],
                        [1024, 0, 15, 0, 1, 0, 0, 0],
                        [768, 0, 7.5, 0, 1, 0, 0, 0],
                        [512, 0, 1, 0, 1, 0, 0, 0],
                        [384, 0, 1, 0, 1, 0, 0, 0],
                        [256, 0, 0, 0, 1, 0, 0, 0],
                        [128, 0, 0, 0, 1, 0, 0, 0]
                    ]
                ],
                // <2-06>VGA
                [
                    // -
                    [
                        // デフォルト値
                        [7],
                        // 値リスト
                        [4096, 0, 15, 0, 1, 0, 0, 0],
                        [3072, 0, 15, 0, 1, 0, 0, 0],
                        [2048, 0, 15, 0, 1, 0, 0, 0],
                        [1536, 0, 15, 0, 1, 0, 0, 0],
                        [1024, 0, 15, 0, 1, 0, 0, 0],
                        [768, 0, 15, 0, 1, 0, 0, 0],
                        [512, 0, 15, 0, 1, 0, 0, 0],
                        [384, 0, 15, 0, 1, 0, 0, 0],
                        [256, 0, 1, 0, 1, 0, 0, 0],
                        [128, 0, 0, 0, 1, 0, 0, 0],
                        [64, 0, 0, 0, 1, 0, 0, 0]
                    ]
                ]
            ]
        ],
        // <3-8>4ストリーム
        [
            // <4-0>ビットレート優先
            [
                // <2-00>SXVGA
                [
                    // <5-0>画質優先(SF)
                    [
                        // デフォルト値
                        [2],
                        // 値リスト
                        [8192, 0, 15, 0, 1, 0, 0, 0],
                        [6144, 0, 15, 0, 1, 0, 0, 0],
                        [4096, 0, 15, 0, 1, 0, 0, 0],
                        [3072, 0, 15, 0, 1, 0, 0, 0],
                        [2048, 0, 10, 0, 1, 0, 0, 0],
                        [1536, 0, 7.5, 0, 1, 0, 0, 0],
                        [1024, 0, 5, 0, 1, 0, 0, 0],
                        [768, 0, 3, 0, 1, 0, 0, 0],
                        [512, 0, 2, 0, 1, 0, 0, 0],
                        [384, 0, 1, 0, 1, 0, 0, 0],
                        [256, 0, 1, 0, 1, 0, 0, 0]
                    ],
                    // <5-1>標準(FQ)
                    [
                        // デフォルト値
                        [2],
                        // 値リスト
                        [8192, 0, 15, 0, 1, 0, 0, 0],
                        [6144, 0, 15, 0, 1, 0, 0, 0],
                        [4096, 0, 15, 0, 1, 0, 0, 0],
                        [3072, 0, 15, 0, 1, 0, 0, 0],
                        [2048, 0, 15, 0, 1, 0, 0, 0],
                        [1536, 0, 10, 0, 1, 0, 0, 0],
                        [1024, 0, 7.5, 0, 1, 0, 0, 0],
                        [768, 0, 5, 0, 1, 0, 0, 0],
                        [512, 0, 3, 0, 1, 0, 0, 0],
                        [384, 0, 2, 0, 1, 0, 0, 0],
                        [256, 0, 1, 0, 1, 0, 0, 0]
                    ],
                    // <5-2>動き優先(NQ)
                    [
                        // デフォルト値
                        [2],
                        // 値リスト
                        [8192, 0, 15, 0, 1, 0, 0, 0],
                        [6144, 0, 15, 0, 1, 0, 0, 0],
                        [4096, 0, 15, 0, 1, 0, 0, 0],
                        [3072, 0, 15, 0, 1, 0, 0, 0],
                        [2048, 0, 15, 0, 1, 0, 0, 0],
                        [1536, 0, 15, 0, 1, 0, 0, 0],
                        [1024, 0, 15, 0, 1, 0, 0, 0],
                        [768, 0, 10, 0, 1, 0, 0, 0],
                        [512, 0, 7.5, 0, 1, 0, 0, 0],
                        [384, 0, 5, 0, 1, 0, 0, 0],
                        [256, 0, 3, 0, 1, 0, 0, 0]
                    ]
                ],
                // <2-01>SVGA
                [
                    // <5-0>画質優先(SF)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 15, 0, 1, 0, 0, 0],
                        [3072, 0, 15, 0, 1, 0, 0, 0],
                        [2048, 0, 15, 0, 1, 0, 0, 0],
                        [1536, 0, 10, 0, 1, 0, 0, 0],
                        [1024, 0, 7.5, 0, 1, 0, 0, 0],
                        [768, 0, 5, 0, 1, 0, 0, 0],
                        [512, 0, 3, 0, 1, 0, 0, 0],
                        [384, 0, 2, 0, 1, 0, 0, 0],
                        [256, 0, 1, 0, 1, 0, 0, 0],
                        [128, 0, 1, 0, 1, 0, 0, 0]
                    ],
                    // <5-1>標準(FQ)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 15, 0, 1, 0, 0, 0],
                        [3072, 0, 15, 0, 1, 0, 0, 0],
                        [2048, 0, 15, 0, 1, 0, 0, 0],
                        [1536, 0, 15, 0, 1, 0, 0, 0],
                        [1024, 0, 10, 0, 1, 0, 0, 0],
                        [768, 0, 7.5, 0, 1, 0, 0, 0],
                        [512, 0, 5, 0, 1, 0, 0, 0],
                        [384, 0, 3, 0, 1, 0, 0, 0],
                        [256, 0, 2, 0, 1, 0, 0, 0],
                        [128, 0, 1, 0, 1, 0, 0, 0]
                    ],
                    // <5-2>動き優先(NQ)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 15, 0, 1, 0, 0, 0],
                        [3072, 0, 15, 0, 1, 0, 0, 0],
                        [2048, 0, 15, 0, 1, 0, 0, 0],
                        [1536, 0, 15, 0, 1, 0, 0, 0],
                        [1024, 0, 15, 0, 1, 0, 0, 0],
                        [768, 0, 15, 0, 1, 0, 0, 0],
                        [512, 0, 10, 0, 1, 0, 0, 0],
                        [384, 0, 7.5, 0, 1, 0, 0, 0],
                        [256, 0, 5, 0, 1, 0, 0, 0],
                        [128, 0, 3, 0, 1, 0, 0, 0]
                    ]
                ],
                // <2-02>VGA
                [
                    // <5-0>画質優先(SF)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 15, 0, 1, 0, 0, 0],
                        [3072, 0, 15, 0, 1, 0, 0, 0],
                        [2048, 0, 15, 0, 1, 0, 0, 0],
                        [1536, 0, 15, 0, 1, 0, 0, 0],
                        [1024, 0, 10, 0, 1, 0, 0, 0],
                        [768, 0, 7.5, 0, 1, 0, 0, 0],
                        [512, 0, 5, 0, 1, 0, 0, 0],
                        [384, 0, 3, 0, 1, 0, 0, 0],
                        [256, 0, 2, 0, 1, 0, 0, 0],
                        [128, 0, 1, 0, 1, 0, 0, 0],
                        [64, 0, 1, 0, 1, 0, 0, 0]
                    ],
                    // <5-1>標準(FQ)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 15, 0, 1, 0, 0, 0],
                        [3072, 0, 15, 0, 1, 0, 0, 0],
                        [2048, 0, 15, 0, 1, 0, 0, 0],
                        [1536, 0, 15, 0, 1, 0, 0, 0],
                        [1024, 0, 15, 0, 1, 0, 0, 0],
                        [768, 0, 15, 0, 1, 0, 0, 0],
                        [512, 0, 15, 0, 1, 0, 0, 0],
                        [384, 0, 10, 0, 1, 0, 0, 0],
                        [256, 0, 7.5, 0, 1, 0, 0, 0],
                        [128, 0, 5, 0, 1, 0, 0, 0],
                        [64, 0, 2, 0, 1, 0, 0, 0]
                    ],
                    // <5-2>動き優先(NQ)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 15, 0, 1, 0, 0, 0],
                        [3072, 0, 15, 0, 1, 0, 0, 0],
                        [2048, 0, 15, 0, 1, 0, 0, 0],
                        [1536, 0, 15, 0, 1, 0, 0, 0],
                        [1024, 0, 15, 0, 1, 0, 0, 0],
                        [768, 0, 15, 0, 1, 0, 0, 0],
                        [512, 0, 15, 0, 1, 0, 0, 0],
                        [384, 0, 15, 0, 1, 0, 0, 0],
                        [256, 0, 10, 0, 1, 0, 0, 0],
                        [128, 0, 7.5, 0, 1, 0, 0, 0],
                        [64, 0, 3, 0, 1, 0, 0, 0]
                    ]
                ],
                // <2-03>QVGA
                [
                    // <5-0>画質優先(SF)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 15, 0, 1, 0, 0, 0],
                        [3072, 0, 15, 0, 1, 0, 0, 0],
                        [2048, 0, 15, 0, 1, 0, 0, 0],
                        [1536, 0, 15, 0, 1, 0, 0, 0],
                        [1024, 0, 15, 0, 1, 0, 0, 0],
                        [768, 0, 15, 0, 1, 0, 0, 0],
                        [512, 0, 10, 0, 1, 0, 0, 0],
                        [384, 0, 7.5, 0, 1, 0, 0, 0],
                        [256, 0, 5, 0, 1, 0, 0, 0],
                        [128, 0, 2, 0, 1, 0, 0, 0],
                        [64, 0, 1, 0, 1, 0, 0, 0]
                    ],
                    // <5-1>標準(FQ)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 15, 0, 1, 0, 0, 0],
                        [3072, 0, 15, 0, 1, 0, 0, 0],
                        [2048, 0, 15, 0, 1, 0, 0, 0],
                        [1536, 0, 15, 0, 1, 0, 0, 0],
                        [1024, 0, 15, 0, 1, 0, 0, 0],
                        [768, 0, 15, 0, 1, 0, 0, 0],
                        [512, 0, 15, 0, 1, 0, 0, 0],
                        [384, 0, 15, 0, 1, 0, 0, 0],
                        [256, 0, 15, 0, 1, 0, 0, 0],
                        [128, 0, 10, 0, 1, 0, 0, 0],
                        [64, 0, 5, 0, 1, 0, 0, 0]
                    ],
                    // <5-2>動き優先(NQ)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 15, 0, 1, 0, 0, 0],
                        [3072, 0, 15, 0, 1, 0, 0, 0],
                        [2048, 0, 15, 0, 1, 0, 0, 0],
                        [1536, 0, 15, 0, 1, 0, 0, 0],
                        [1024, 0, 15, 0, 1, 0, 0, 0],
                        [768, 0, 15, 0, 1, 0, 0, 0],
                        [512, 0, 15, 0, 1, 0, 0, 0],
                        [384, 0, 15, 0, 1, 0, 0, 0],
                        [256, 0, 15, 0, 1, 0, 0, 0],
                        [128, 0, 15, 0, 1, 0, 0, 0],
                        [64, 0, 10, 0, 1, 0, 0, 0]
                    ]
                ]
            ],
            // <4-1>フレームレート優先
            [
                // <2-00>SXVGA
                [
                    // -
                    [
                        // デフォルト値
                        [6],
                        // 値リスト
                        [8192, 0, 15, 0, 1, 0, 0, 0],
                        [6144, 0, 15, 0, 1, 0, 0, 0],
                        [4096, 0, 15, 0, 1, 0, 0, 0],
                        [3072, 0, 15, 0, 1, 0, 0, 0],
                        [2048, 0, 15, 0, 1, 0, 0, 0],
                        [1536, 0, 15, 0, 1, 0, 0, 0],
                        [1024, 0, 15, 0, 1, 0, 0, 0],
                        [768, 0, 1, 0, 1, 0, 0, 0],
                        [512, 0, 0, 0, 1, 0, 0, 0],
                        [384, 0, 0, 0, 1, 0, 0, 0],
                        [256, 0, 0, 0, 1, 0, 0, 0]
                    ]
                ],
                // <2-01>SVGA
                [
                    // -
                    [
                        // デフォルト値
                        [4],
                        // 値リスト
                        [4096, 0, 15, 0, 1, 0, 0, 0],
                        [3072, 0, 15, 0, 1, 0, 0, 0],
                        [2048, 0, 15, 0, 1, 0, 0, 0],
                        [1536, 0, 15, 0, 1, 0, 0, 0],
                        [1024, 0, 15, 0, 1, 0, 0, 0],
                        [768, 0, 7.5, 0, 1, 0, 0, 0],
                        [512, 0, 1, 0, 1, 0, 0, 0],
                        [384, 0, 1, 0, 1, 0, 0, 0],
                        [256, 0, 0, 0, 1, 0, 0, 0],
                        [128, 0, 0, 0, 1, 0, 0, 0]
                    ]
                ],
                // <2-02>VGA
                [
                    // -
                    [
                        // デフォルト値
                        [7],
                        // 値リスト
                        [4096, 0, 15, 0, 1, 0, 0, 0],
                        [3072, 0, 15, 0, 1, 0, 0, 0],
                        [2048, 0, 15, 0, 1, 0, 0, 0],
                        [1536, 0, 15, 0, 1, 0, 0, 0],
                        [1024, 0, 15, 0, 1, 0, 0, 0],
                        [768, 0, 15, 0, 1, 0, 0, 0],
                        [512, 0, 15, 0, 1, 0, 0, 0],
                        [384, 0, 15, 0, 1, 0, 0, 0],
                        [256, 0, 1, 0, 1, 0, 0, 0],
                        [128, 0, 0, 0, 1, 0, 0, 0],
                        [64, 0, 0, 0, 1, 0, 0, 0]
                    ]
                ],
                // <2-03>QVGA
                [
                    // -
                    [
                        // デフォルト値
                        [8],
                        // 値リスト
                        [4096, 0, 15, 0, 1, 0, 0, 0],
                        [3072, 0, 15, 0, 1, 0, 0, 0],
                        [2048, 0, 15, 0, 1, 0, 0, 0],
                        [1536, 0, 15, 0, 1, 0, 0, 0],
                        [1024, 0, 15, 0, 1, 0, 0, 0],
                        [768, 0, 15, 0, 1, 0, 0, 0],
                        [512, 0, 15, 0, 1, 0, 0, 0],
                        [384, 0, 15, 0, 1, 0, 0, 0],
                        [256, 0, 15, 0, 1, 0, 0, 0],
                        [128, 0, 1, 0, 1, 0, 0, 0],
                        [64, 0, 0, 0, 1, 0, 0, 0]
                    ]
                ]
            ],
            // <4-2>AdvancedVBR[高]
            [
                // <2-00>SXVGA
                [
                    // -
                    [
                        // デフォルト値
                        [6],
                        // 値リスト
                        [8192, 0, 15, 0, 1, 0, 0, 0],
                        [6144, 0, 15, 0, 1, 0, 0, 0],
                        [4096, 0, 15, 0, 1, 0, 0, 0],
                        [3072, 0, 15, 0, 1, 0, 0, 0],
                        [2048, 0, 15, 0, 1, 0, 0, 0],
                        [1536, 0, 15, 0, 1, 0, 0, 0],
                        [1024, 0, 15, 0, 1, 0, 0, 0],
                        [768, 0, 1, 0, 1, 0, 0, 0],
                        [512, 0, 0, 0, 1, 0, 0, 0],
                        [384, 0, 0, 0, 1, 0, 0, 0],
                        [256, 0, 0, 0, 1, 0, 0, 0]
                    ]
                ],
                // <2-01>SVGA
                [
                    // -
                    [
                        // デフォルト値
                        [4],
                        // 値リスト
                        [4096, 0, 15, 0, 1, 0, 0, 0],
                        [3072, 0, 15, 0, 1, 0, 0, 0],
                        [2048, 0, 15, 0, 1, 0, 0, 0],
                        [1536, 0, 15, 0, 1, 0, 0, 0],
                        [1024, 0, 15, 0, 1, 0, 0, 0],
                        [768, 0, 7.5, 0, 1, 0, 0, 0],
                        [512, 0, 1, 0, 1, 0, 0, 0],
                        [384, 0, 1, 0, 1, 0, 0, 0],
                        [256, 0, 0, 0, 1, 0, 0, 0],
                        [128, 0, 0, 0, 1, 0, 0, 0]
                    ]
                ],
                // <2-02>VGA
                [
                    // -
                    [
                        // デフォルト値
                        [7],
                        // 値リスト
                        [4096, 0, 15, 0, 1, 0, 0, 0],
                        [3072, 0, 15, 0, 1, 0, 0, 0],
                        [2048, 0, 15, 0, 1, 0, 0, 0],
                        [1536, 0, 15, 0, 1, 0, 0, 0],
                        [1024, 0, 15, 0, 1, 0, 0, 0],
                        [768, 0, 15, 0, 1, 0, 0, 0],
                        [512, 0, 15, 0, 1, 0, 0, 0],
                        [384, 0, 15, 0, 1, 0, 0, 0],
                        [256, 0, 1, 0, 1, 0, 0, 0],
                        [128, 0, 0, 0, 1, 0, 0, 0],
                        [64, 0, 0, 0, 1, 0, 0, 0]
                    ]
                ],
                // <2-03>QVGA
                [
                    // -
                    [
                        // デフォルト値
                        [8],
                        // 値リスト
                        [4096, 0, 15, 0, 1, 0, 0, 0],
                        [3072, 0, 15, 0, 1, 0, 0, 0],
                        [2048, 0, 15, 0, 1, 0, 0, 0],
                        [1536, 0, 15, 0, 1, 0, 0, 0],
                        [1024, 0, 15, 0, 1, 0, 0, 0],
                        [768, 0, 15, 0, 1, 0, 0, 0],
                        [512, 0, 15, 0, 1, 0, 0, 0],
                        [384, 0, 15, 0, 1, 0, 0, 0],
                        [256, 0, 15, 0, 1, 0, 0, 0],
                        [128, 0, 1, 0, 1, 0, 0, 0],
                        [64, 0, 0, 0, 1, 0, 0, 0]
                    ]
                ]
            ],
            // <4-3>AdvancedVBR[中]
            [
                // <2-00>SXVGA
                [
                    // -
                    [
                        // デフォルト値
                        [6],
                        // 値リスト
                        [8192, 0, 15, 0, 1, 0, 0, 0],
                        [6144, 0, 15, 0, 1, 0, 0, 0],
                        [4096, 0, 15, 0, 1, 0, 0, 0],
                        [3072, 0, 15, 0, 1, 0, 0, 0],
                        [2048, 0, 15, 0, 1, 0, 0, 0],
                        [1536, 0, 15, 0, 1, 0, 0, 0],
                        [1024, 0, 15, 0, 1, 0, 0, 0],
                        [768, 0, 1, 0, 1, 0, 0, 0],
                        [512, 0, 0, 0, 1, 0, 0, 0],
                        [384, 0, 0, 0, 1, 0, 0, 0],
                        [256, 0, 0, 0, 1, 0, 0, 0]
                    ]
                ],
                // <2-01>SVGA
                [
                    // -
                    [
                        // デフォルト値
                        [4],
                        // 値リスト
                        [4096, 0, 15, 0, 1, 0, 0, 0],
                        [3072, 0, 15, 0, 1, 0, 0, 0],
                        [2048, 0, 15, 0, 1, 0, 0, 0],
                        [1536, 0, 15, 0, 1, 0, 0, 0],
                        [1024, 0, 15, 0, 1, 0, 0, 0],
                        [768, 0, 7.5, 0, 1, 0, 0, 0],
                        [512, 0, 1, 0, 1, 0, 0, 0],
                        [384, 0, 1, 0, 1, 0, 0, 0],
                        [256, 0, 0, 0, 1, 0, 0, 0],
                        [128, 0, 0, 0, 1, 0, 0, 0]
                    ]
                ],
                // <2-02>VGA
                [
                    // -
                    [
                        // デフォルト値
                        [7],
                        // 値リスト
                        [4096, 0, 15, 0, 1, 0, 0, 0],
                        [3072, 0, 15, 0, 1, 0, 0, 0],
                        [2048, 0, 15, 0, 1, 0, 0, 0],
                        [1536, 0, 15, 0, 1, 0, 0, 0],
                        [1024, 0, 15, 0, 1, 0, 0, 0],
                        [768, 0, 15, 0, 1, 0, 0, 0],
                        [512, 0, 15, 0, 1, 0, 0, 0],
                        [384, 0, 15, 0, 1, 0, 0, 0],
                        [256, 0, 1, 0, 1, 0, 0, 0],
                        [128, 0, 0, 0, 1, 0, 0, 0],
                        [64, 0, 0, 0, 1, 0, 0, 0]
                    ]
                ],
                // <2-03>QVGA
                [
                    // -
                    [
                        // デフォルト値
                        [8],
                        // 値リスト
                        [4096, 0, 15, 0, 1, 0, 0, 0],
                        [3072, 0, 15, 0, 1, 0, 0, 0],
                        [2048, 0, 15, 0, 1, 0, 0, 0],
                        [1536, 0, 15, 0, 1, 0, 0, 0],
                        [1024, 0, 15, 0, 1, 0, 0, 0],
                        [768, 0, 15, 0, 1, 0, 0, 0],
                        [512, 0, 15, 0, 1, 0, 0, 0],
                        [384, 0, 15, 0, 1, 0, 0, 0],
                        [256, 0, 15, 0, 1, 0, 0, 0],
                        [128, 0, 1, 0, 1, 0, 0, 0],
                        [64, 0, 0, 0, 1, 0, 0, 0]
                    ]
                ]
            ],
            // <4-4>AdvancedVBR[低]
            [
                // <2-00>SXVGA
                [
                    // -
                    [
                        // デフォルト値
                        [6],
                        // 値リスト
                        [8192, 0, 15, 0, 1, 0, 0, 0],
                        [6144, 0, 15, 0, 1, 0, 0, 0],
                        [4096, 0, 15, 0, 1, 0, 0, 0],
                        [3072, 0, 15, 0, 1, 0, 0, 0],
                        [2048, 0, 15, 0, 1, 0, 0, 0],
                        [1536, 0, 15, 0, 1, 0, 0, 0],
                        [1024, 0, 15, 0, 1, 0, 0, 0],
                        [768, 0, 1, 0, 1, 0, 0, 0],
                        [512, 0, 0, 0, 1, 0, 0, 0],
                        [384, 0, 0, 0, 1, 0, 0, 0],
                        [256, 0, 0, 0, 1, 0, 0, 0]
                    ]
                ],
                // <2-01>SVGA
                [
                    // -
                    [
                        // デフォルト値
                        [4],
                        // 値リスト
                        [4096, 0, 15, 0, 1, 0, 0, 0],
                        [3072, 0, 15, 0, 1, 0, 0, 0],
                        [2048, 0, 15, 0, 1, 0, 0, 0],
                        [1536, 0, 15, 0, 1, 0, 0, 0],
                        [1024, 0, 15, 0, 1, 0, 0, 0],
                        [768, 0, 7.5, 0, 1, 0, 0, 0],
                        [512, 0, 1, 0, 1, 0, 0, 0],
                        [384, 0, 1, 0, 1, 0, 0, 0],
                        [256, 0, 0, 0, 1, 0, 0, 0],
                        [128, 0, 0, 0, 1, 0, 0, 0]
                    ]
                ],
                // <2-02>VGA
                [
                    // -
                    [
                        // デフォルト値
                        [7],
                        // 値リスト
                        [4096, 0, 15, 0, 1, 0, 0, 0],
                        [3072, 0, 15, 0, 1, 0, 0, 0],
                        [2048, 0, 15, 0, 1, 0, 0, 0],
                        [1536, 0, 15, 0, 1, 0, 0, 0],
                        [1024, 0, 15, 0, 1, 0, 0, 0],
                        [768, 0, 15, 0, 1, 0, 0, 0],
                        [512, 0, 15, 0, 1, 0, 0, 0],
                        [384, 0, 15, 0, 1, 0, 0, 0],
                        [256, 0, 1, 0, 1, 0, 0, 0],
                        [128, 0, 0, 0, 1, 0, 0, 0],
                        [64, 0, 0, 0, 1, 0, 0, 0]
                    ]
                ],
                // <2-03>QVGA
                [
                    // -
                    [
                        // デフォルト値
                        [8],
                        // 値リスト
                        [4096, 0, 15, 0, 1, 0, 0, 0],
                        [3072, 0, 15, 0, 1, 0, 0, 0],
                        [2048, 0, 15, 0, 1, 0, 0, 0],
                        [1536, 0, 15, 0, 1, 0, 0, 0],
                        [1024, 0, 15, 0, 1, 0, 0, 0],
                        [768, 0, 15, 0, 1, 0, 0, 0],
                        [512, 0, 15, 0, 1, 0, 0, 0],
                        [384, 0, 15, 0, 1, 0, 0, 0],
                        [256, 0, 15, 0, 1, 0, 0, 0],
                        [128, 0, 1, 0, 1, 0, 0, 0],
                        [64, 0, 0, 0, 1, 0, 0, 0]
                    ]
                ]
            ]
        ]
    ],
    // ----------------------------------------------------
    // 【H.264-08】i-PRO SmartHD(FullHD)
    [
        // <3-0>1.3M
        [
            // <4-0>ビットレート優先
            [
                // <2-00>SXVGA
                [
                    // <5-0>画質優先(SF)
                    [
                        // デフォルト値
                        [2],
                        // 値リスト
                        [8192, 0, 30, 1, 1, 0, 0, 1],
                        [6144, 0, 25, 1, 1, 0, 0, 1],
                        [4096, 0, 20, 1, 1, 0, 0, 1],
                        [3072, 0, 15, 1, 1, 0, 0, 1],
                        [2048, 0, 10, 1, 1, 0, 0, 1],
                        [1536, 0, 7.5, 1, 1, 0, 0, 1],
                        [1024, 0, 5, 1, 1, 0, 0, 1],
                        [768, 0, 3, 1, 1, 0, 0, 1],
                        [512, 0, 2, 1, 1, 0, 0, 1],
                        [384, 0, 1, 1, 1, 0, 0, 1],
                        [256, 0, 1, 1, 1, 0, 0, 1]
                    ],
                    // <5-1>標準(FQ)
                    [
                        // デフォルト値
                        [2],
                        // 値リスト
                        [8192, 0, 30, 1, 1, 0, 0, 1],
                        [6144, 0, 30, 1, 1, 0, 0, 1],
                        [4096, 0, 30, 1, 1, 0, 0, 1],
                        [3072, 0, 25, 1, 1, 0, 0, 1],
                        [2048, 0, 20, 1, 1, 0, 0, 1],
                        [1536, 0, 10, 1, 1, 0, 0, 1],
                        [1024, 0, 7.5, 1, 1, 0, 0, 1],
                        [768, 0, 5, 1, 1, 0, 0, 1],
                        [512, 0, 3, 1, 1, 0, 0, 1],
                        [384, 0, 2, 1, 1, 0, 0, 1],
                        [256, 0, 1, 1, 1, 0, 0, 1]
                    ],
                    // <5-2>動き優先(NQ)
                    [
                        // デフォルト値
                        [2],
                        // 値リスト
                        [8192, 0, 30, 1, 1, 0, 0, 1],
                        [6144, 0, 30, 1, 1, 0, 0, 1],
                        [4096, 0, 30, 1, 1, 0, 0, 1],
                        [3072, 0, 30, 1, 1, 0, 0, 1],
                        [2048, 0, 30, 1, 1, 0, 0, 1],
                        [1536, 0, 20, 1, 1, 0, 0, 1],
                        [1024, 0, 15, 1, 1, 0, 0, 1],
                        [768, 0, 10, 1, 1, 0, 0, 1],
                        [512, 0, 7.5, 1, 1, 0, 0, 1],
                        [384, 0, 5, 1, 1, 0, 0, 1],
                        [256, 0, 3, 1, 1, 0, 0, 1]
                    ]
                ],
                // <2-01>VGA
                [
                    // <5-0>画質優先(SF)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 22.5, 1, 1, 0, 0, 1],
                        [3072, 0, 20, 1, 1, 0, 0, 1],
                        [2048, 0, 15, 1, 1, 0, 0, 1],
                        [1536, 0, 15, 1, 1, 0, 0, 1],
                        [1024, 0, 10, 1, 1, 0, 0, 1],
                        [768, 0, 7.5, 1, 1, 0, 0, 1],
                        [512, 0, 5, 1, 1, 0, 0, 1],
                        [384, 0, 3, 1, 1, 0, 0, 1],
                        [256, 0, 2, 1, 1, 0, 0, 1],
                        [128, 0, 1, 1, 1, 0, 0, 1],
                        [64, 0, 1, 1, 1, 0, 0, 1]
                    ],
                    // <5-1>標準(FQ)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 0, 0, 1],
                        [3072, 0, 30, 1, 1, 0, 0, 1],
                        [2048, 0, 30, 1, 1, 0, 0, 1],
                        [1536, 0, 30, 1, 1, 0, 0, 1],
                        [1024, 0, 22.5, 1, 1, 0, 0, 1],
                        [768, 0, 20, 1, 1, 0, 0, 1],
                        [512, 0, 15, 1, 1, 0, 0, 1],
                        [384, 0, 10, 1, 1, 0, 0, 1],
                        [256, 0, 7.5, 1, 1, 0, 0, 1],
                        [128, 0, 5, 1, 1, 0, 0, 1],
                        [64, 0, 2, 1, 1, 0, 0, 1]
                    ],
                    // <5-2>動き優先(NQ)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 0, 0, 1],
                        [3072, 0, 30, 1, 1, 0, 0, 1],
                        [2048, 0, 30, 1, 1, 0, 0, 1],
                        [1536, 0, 30, 1, 1, 0, 0, 1],
                        [1024, 0, 30, 1, 1, 0, 0, 1],
                        [768, 0, 30, 1, 1, 0, 0, 1],
                        [512, 0, 20, 1, 1, 0, 0, 1],
                        [384, 0, 15, 1, 1, 0, 0, 1],
                        [256, 0, 10, 1, 1, 0, 0, 1],
                        [128, 0, 7.5, 1, 1, 0, 0, 1],
                        [64, 0, 3, 1, 1, 0, 0, 1]
                    ]
                ],
                // <2-02>QVGA
                [
                    // <5-0>画質優先(SF)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 0, 0, 1],
                        [3072, 0, 30, 1, 1, 0, 0, 1],
                        [2048, 0, 30, 1, 1, 0, 0, 1],
                        [1536, 0, 20, 1, 1, 0, 0, 1],
                        [1024, 0, 15, 1, 1, 0, 0, 1],
                        [768, 0, 15, 1, 1, 0, 0, 1],
                        [512, 0, 10, 1, 1, 0, 0, 1],
                        [384, 0, 7.5, 1, 1, 0, 0, 1],
                        [256, 0, 5, 1, 1, 0, 0, 1],
                        [128, 0, 2, 1, 1, 0, 0, 1],
                        [64, 0, 1, 1, 1, 0, 0, 1]
                    ],
                    // <5-1>標準(FQ)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 0, 0, 1],
                        [3072, 0, 30, 1, 1, 0, 0, 1],
                        [2048, 0, 30, 1, 1, 0, 0, 1],
                        [1536, 0, 30, 1, 1, 0, 0, 1],
                        [1024, 0, 30, 1, 1, 0, 0, 1],
                        [768, 0, 30, 1, 1, 0, 0, 1],
                        [512, 0, 25, 1, 1, 0, 0, 1],
                        [384, 0, 20, 1, 1, 0, 0, 1],
                        [256, 0, 15, 1, 1, 0, 0, 1],
                        [128, 0, 10, 1, 1, 0, 0, 1],
                        [64, 0, 5, 1, 1, 0, 0, 1]
                    ],
                    // <5-2>動き優先(NQ)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 0, 0, 1],
                        [3072, 0, 30, 1, 1, 0, 0, 1],
                        [2048, 0, 30, 1, 1, 0, 0, 1],
                        [1536, 0, 30, 1, 1, 0, 0, 1],
                        [1024, 0, 30, 1, 1, 0, 0, 1],
                        [768, 0, 30, 1, 1, 0, 0, 1],
                        [512, 0, 30, 1, 1, 0, 0, 1],
                        [384, 0, 30, 1, 1, 0, 0, 1],
                        [256, 0, 25, 1, 1, 0, 0, 1],
                        [128, 0, 15, 1, 1, 0, 0, 1],
                        [64, 0, 10, 1, 1, 0, 0, 1]
                    ]
                ],
                // <2-03>HD
                [
                    // <5-0>画質優先(SF)
                    [
                        // デフォルト値
                        [2],
                        // 値リスト
                        [8192, 0, 30, 1, 1, 0, 0, 1],
                        [6144, 0, 25, 1, 1, 0, 0, 1],
                        [4096, 0, 20, 1, 1, 0, 0, 1],
                        [3072, 0, 15, 1, 1, 0, 0, 1],
                        [2048, 0, 10, 1, 1, 0, 0, 1],
                        [1536, 0, 7.5, 1, 1, 0, 0, 1],
                        [1024, 0, 5, 1, 1, 0, 0, 1],
                        [768, 0, 3, 1, 1, 0, 0, 1],
                        [512, 0, 2, 1, 1, 0, 0, 1],
                        [384, 0, 1, 1, 1, 0, 0, 1],
                        [256, 0, 1, 1, 1, 0, 0, 1]
                    ],
                    // <5-1>標準(FQ)
                    [
                        // デフォルト値
                        [2],
                        // 値リスト
                        [8192, 0, 30, 1, 1, 0, 0, 1],
                        [6144, 0, 30, 1, 1, 0, 0, 1],
                        [4096, 0, 30, 1, 1, 0, 0, 1],
                        [3072, 0, 25, 1, 1, 0, 0, 1],
                        [2048, 0, 20, 1, 1, 0, 0, 1],
                        [1536, 0, 10, 1, 1, 0, 0, 1],
                        [1024, 0, 7.5, 1, 1, 0, 0, 1],
                        [768, 0, 5, 1, 1, 0, 0, 1],
                        [512, 0, 3, 1, 1, 0, 0, 1],
                        [384, 0, 2, 1, 1, 0, 0, 1],
                        [256, 0, 1, 1, 1, 0, 0, 1]
                    ],
                    // <5-2>動き優先(NQ)
                    [
                        // デフォルト値
                        [2],
                        // 値リスト
                        [8192, 0, 30, 1, 1, 0, 0, 1],
                        [6144, 0, 30, 1, 1, 0, 0, 1],
                        [4096, 0, 30, 1, 1, 0, 0, 1],
                        [3072, 0, 30, 1, 1, 0, 0, 1],
                        [2048, 0, 30, 1, 1, 0, 0, 1],
                        [1536, 0, 20, 1, 1, 0, 0, 1],
                        [1024, 0, 15, 1, 1, 0, 0, 1],
                        [768, 0, 10, 1, 1, 0, 0, 1],
                        [512, 0, 7.5, 1, 1, 0, 0, 1],
                        [384, 0, 5, 1, 1, 0, 0, 1],
                        [256, 0, 3, 1, 1, 0, 0, 1]
                    ]
                ],
                // <2-04>HVGAW
                [
                    // <5-0>画質優先(SF)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 22.5, 1, 1, 0, 0, 1],
                        [3072, 0, 20, 1, 1, 0, 0, 1],
                        [2048, 0, 15, 1, 1, 0, 0, 1],
                        [1536, 0, 15, 1, 1, 0, 0, 1],
                        [1024, 0, 10, 1, 1, 0, 0, 1],
                        [768, 0, 7.5, 1, 1, 0, 0, 1],
                        [512, 0, 5, 1, 1, 0, 0, 1],
                        [384, 0, 3, 1, 1, 0, 0, 1],
                        [256, 0, 2, 1, 1, 0, 0, 1],
                        [128, 0, 1, 1, 1, 0, 0, 1],
                        [64, 0, 1, 1, 1, 0, 0, 1]
                    ],
                    // <5-1>標準(FQ)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 0, 0, 1],
                        [3072, 0, 30, 1, 1, 0, 0, 1],
                        [2048, 0, 30, 1, 1, 0, 0, 1],
                        [1536, 0, 30, 1, 1, 0, 0, 1],
                        [1024, 0, 22.5, 1, 1, 0, 0, 1],
                        [768, 0, 20, 1, 1, 0, 0, 1],
                        [512, 0, 15, 1, 1, 0, 0, 1],
                        [384, 0, 10, 1, 1, 0, 0, 1],
                        [256, 0, 7.5, 1, 1, 0, 0, 1],
                        [128, 0, 5, 1, 1, 0, 0, 1],
                        [64, 0, 2, 1, 1, 0, 0, 1]
                    ],
                    // <5-2>動き優先(NQ)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 0, 0, 1],
                        [3072, 0, 30, 1, 1, 0, 0, 1],
                        [2048, 0, 30, 1, 1, 0, 0, 1],
                        [1536, 0, 30, 1, 1, 0, 0, 1],
                        [1024, 0, 30, 1, 1, 0, 0, 1],
                        [768, 0, 30, 1, 1, 0, 0, 1],
                        [512, 0, 20, 1, 1, 0, 0, 1],
                        [384, 0, 15, 1, 1, 0, 0, 1],
                        [256, 0, 10, 1, 1, 0, 0, 1],
                        [128, 0, 7.5, 1, 1, 0, 0, 1],
                        [64, 0, 3, 1, 1, 0, 0, 1]
                    ]
                ],
                // <2-05>180P
                [
                    // <5-0>画質優先(SF)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 0, 0, 1],
                        [3072, 0, 30, 1, 1, 0, 0, 1],
                        [2048, 0, 30, 1, 1, 0, 0, 1],
                        [1536, 0, 20, 1, 1, 0, 0, 1],
                        [1024, 0, 15, 1, 1, 0, 0, 1],
                        [768, 0, 15, 1, 1, 0, 0, 1],
                        [512, 0, 10, 1, 1, 0, 0, 1],
                        [384, 0, 7.5, 1, 1, 0, 0, 1],
                        [256, 0, 5, 1, 1, 0, 0, 1],
                        [128, 0, 2, 1, 1, 0, 0, 1],
                        [64, 0, 1, 1, 1, 0, 0, 1]
                    ],
                    // <5-1>標準(FQ)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 0, 0, 1],
                        [3072, 0, 30, 1, 1, 0, 0, 1],
                        [2048, 0, 30, 1, 1, 0, 0, 1],
                        [1536, 0, 30, 1, 1, 0, 0, 1],
                        [1024, 0, 30, 1, 1, 0, 0, 1],
                        [768, 0, 30, 1, 1, 0, 0, 1],
                        [512, 0, 25, 1, 1, 0, 0, 1],
                        [384, 0, 20, 1, 1, 0, 0, 1],
                        [256, 0, 15, 1, 1, 0, 0, 1],
                        [128, 0, 10, 1, 1, 0, 0, 1],
                        [64, 0, 5, 1, 1, 0, 0, 1]
                    ],
                    // <5-2>動き優先(NQ)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 0, 0, 1],
                        [3072, 0, 30, 1, 1, 0, 0, 1],
                        [2048, 0, 30, 1, 1, 0, 0, 1],
                        [1536, 0, 30, 1, 1, 0, 0, 1],
                        [1024, 0, 30, 1, 1, 0, 0, 1],
                        [768, 0, 30, 1, 1, 0, 0, 1],
                        [512, 0, 30, 1, 1, 0, 0, 1],
                        [384, 0, 30, 1, 1, 0, 0, 1],
                        [256, 0, 25, 1, 1, 0, 0, 1],
                        [128, 0, 15, 1, 1, 0, 0, 1],
                        [64, 0, 10, 1, 1, 0, 0, 1]
                    ]
                ]
            ],
            // <4-1>フレームレート優先
            [
                // <2-00>SXVGA
                [
                    // -
                    [
                        // デフォルト値
                        [2],
                        // 値リスト
                        [8192, 0, 30, 1, 1, 0, 0, 1],
                        [6144, 0, 30, 1, 1, 0, 0, 1],
                        [4096, 0, 30, 1, 1, 0, 0, 1],
                        [3072, 0, 30, 1, 1, 0, 0, 1],
                        [2048, 0, 30, 1, 1, 0, 0, 1],
                        [1536, 0, 30, 1, 1, 0, 0, 1],
                        [1024, 0, 20, 1, 1, 0, 0, 1],
                        [768, 0, 1, 1, 1, 0, 0, 1],
                        [512, 0, 0, 1, 1, 0, 0, 1],
                        [384, 0, 0, 1, 1, 0, 0, 1],
                        [256, 0, 0, 1, 1, 0, 0, 1]
                    ]
                ],
                // <2-01>VGA
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 0, 0, 1],
                        [3072, 0, 30, 1, 1, 0, 0, 1],
                        [2048, 0, 30, 1, 1, 0, 0, 1],
                        [1536, 0, 30, 1, 1, 0, 0, 1],
                        [1024, 0, 30, 1, 1, 0, 0, 1],
                        [768, 0, 30, 1, 1, 0, 0, 1],
                        [512, 0, 30, 1, 1, 0, 0, 1],
                        [384, 0, 15, 1, 1, 0, 0, 1],
                        [256, 0, 1, 1, 1, 0, 0, 1],
                        [128, 0, 0, 1, 1, 0, 0, 1],
                        [64, 0, 0, 1, 1, 0, 0, 1]
                    ]
                ],
                // <2-02>QVGA
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 0, 0, 1],
                        [3072, 0, 30, 1, 1, 0, 0, 1],
                        [2048, 0, 30, 1, 1, 0, 0, 1],
                        [1536, 0, 30, 1, 1, 0, 0, 1],
                        [1024, 0, 30, 1, 1, 0, 0, 1],
                        [768, 0, 30, 1, 1, 0, 0, 1],
                        [512, 0, 30, 1, 1, 0, 0, 1],
                        [384, 0, 30, 1, 1, 0, 0, 1],
                        [256, 0, 15, 1, 1, 0, 0, 1],
                        [128, 0, 1, 1, 1, 0, 0, 1],
                        [64, 0, 0, 1, 1, 0, 0, 1]
                    ]
                ],
                // <2-03>HD
                [
                    // -
                    [
                        // デフォルト値
                        [2],
                        // 値リスト
                        [8192, 0, 30, 1, 1, 0, 0, 1],
                        [6144, 0, 30, 1, 1, 0, 0, 1],
                        [4096, 0, 30, 1, 1, 0, 0, 1],
                        [3072, 0, 30, 1, 1, 0, 0, 1],
                        [2048, 0, 30, 1, 1, 0, 0, 1],
                        [1536, 0, 30, 1, 1, 0, 0, 1],
                        [1024, 0, 20, 1, 1, 0, 0, 1],
                        [768, 0, 7.5, 1, 1, 0, 0, 1],
                        [512, 0, 1, 1, 1, 0, 0, 1],
                        [384, 0, 0, 1, 1, 0, 0, 1],
                        [256, 0, 0, 1, 1, 0, 0, 1]
                    ]
                ],
                // <2-04>HVGAW
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 0, 0, 1],
                        [3072, 0, 30, 1, 1, 0, 0, 1],
                        [2048, 0, 30, 1, 1, 0, 0, 1],
                        [1536, 0, 30, 1, 1, 0, 0, 1],
                        [1024, 0, 30, 1, 1, 0, 0, 1],
                        [768, 0, 30, 1, 1, 0, 0, 1],
                        [512, 0, 30, 1, 1, 0, 0, 1],
                        [384, 0, 15, 1, 1, 0, 0, 1],
                        [256, 0, 1, 1, 1, 0, 0, 1],
                        [128, 0, 0, 1, 1, 0, 0, 1],
                        [64, 0, 0, 1, 1, 0, 0, 1]
                    ]
                ],
                // <2-05>180P
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 0, 0, 1],
                        [3072, 0, 30, 1, 1, 0, 0, 1],
                        [2048, 0, 30, 1, 1, 0, 0, 1],
                        [1536, 0, 30, 1, 1, 0, 0, 1],
                        [1024, 0, 30, 1, 1, 0, 0, 1],
                        [768, 0, 30, 1, 1, 0, 0, 1],
                        [512, 0, 30, 1, 1, 0, 0, 1],
                        [384, 0, 30, 1, 1, 0, 0, 1],
                        [256, 0, 15, 1, 1, 0, 0, 1],
                        [128, 0, 1, 1, 1, 0, 0, 1],
                        [64, 0, 0, 1, 1, 0, 0, 1]
                    ]
                ]
            ],
            // <4-2>AdvancedVBR[高]
            [
                // <2-00>SXVGA
                [
                    // -
                    [
                        // デフォルト値
                        [2],
                        // 値リスト
                        [8192, 0, 30, 1, 1, 0, 0, 1],
                        [6144, 0, 30, 1, 1, 0, 0, 1],
                        [4096, 0, 30, 1, 1, 0, 0, 1],
                        [3072, 0, 30, 1, 1, 0, 0, 1],
                        [2048, 0, 30, 1, 1, 0, 0, 1],
                        [1536, 0, 30, 1, 1, 0, 0, 1],
                        [1024, 0, 20, 1, 1, 0, 0, 1],
                        [768, 0, 1, 1, 1, 0, 0, 1],
                        [512, 0, 0, 1, 1, 0, 0, 1],
                        [384, 0, 0, 1, 1, 0, 0, 1],
                        [256, 0, 0, 1, 1, 0, 0, 1]
                    ]
                ],
                // <2-01>VGA
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 0, 0, 1],
                        [3072, 0, 30, 1, 1, 0, 0, 1],
                        [2048, 0, 30, 1, 1, 0, 0, 1],
                        [1536, 0, 30, 1, 1, 0, 0, 1],
                        [1024, 0, 30, 1, 1, 0, 0, 1],
                        [768, 0, 30, 1, 1, 0, 0, 1],
                        [512, 0, 30, 1, 1, 0, 0, 1],
                        [384, 0, 15, 1, 1, 0, 0, 1],
                        [256, 0, 1, 1, 1, 0, 0, 1],
                        [128, 0, 0, 1, 1, 0, 0, 1],
                        [64, 0, 0, 1, 1, 0, 0, 1]
                    ]
                ],
                // <2-02>QVGA
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 0, 0, 1],
                        [3072, 0, 30, 1, 1, 0, 0, 1],
                        [2048, 0, 30, 1, 1, 0, 0, 1],
                        [1536, 0, 30, 1, 1, 0, 0, 1],
                        [1024, 0, 30, 1, 1, 0, 0, 1],
                        [768, 0, 30, 1, 1, 0, 0, 1],
                        [512, 0, 30, 1, 1, 0, 0, 1],
                        [384, 0, 30, 1, 1, 0, 0, 1],
                        [256, 0, 15, 1, 1, 0, 0, 1],
                        [128, 0, 1, 1, 1, 0, 0, 1],
                        [64, 0, 0, 1, 1, 0, 0, 1]
                    ]
                ],
                // <2-03>HD
                [
                    // -
                    [
                        // デフォルト値
                        [2],
                        // 値リスト
                        [8192, 0, 30, 1, 1, 0, 0, 1],
                        [6144, 0, 30, 1, 1, 0, 0, 1],
                        [4096, 0, 30, 1, 1, 0, 0, 1],
                        [3072, 0, 30, 1, 1, 0, 0, 1],
                        [2048, 0, 30, 1, 1, 0, 0, 1],
                        [1536, 0, 30, 1, 1, 0, 0, 1],
                        [1024, 0, 20, 1, 1, 0, 0, 1],
                        [768, 0, 7.5, 1, 1, 0, 0, 1],
                        [512, 0, 1, 1, 1, 0, 0, 1],
                        [384, 0, 0, 1, 1, 0, 0, 1],
                        [256, 0, 0, 1, 1, 0, 0, 1]
                    ]
                ],
                // <2-04>HVGAW
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 0, 0, 1],
                        [3072, 0, 30, 1, 1, 0, 0, 1],
                        [2048, 0, 30, 1, 1, 0, 0, 1],
                        [1536, 0, 30, 1, 1, 0, 0, 1],
                        [1024, 0, 30, 1, 1, 0, 0, 1],
                        [768, 0, 30, 1, 1, 0, 0, 1],
                        [512, 0, 30, 1, 1, 0, 0, 1],
                        [384, 0, 15, 1, 1, 0, 0, 1],
                        [256, 0, 1, 1, 1, 0, 0, 1],
                        [128, 0, 0, 1, 1, 0, 0, 1],
                        [64, 0, 0, 1, 1, 0, 0, 1]
                    ]
                ],
                // <2-05>180P
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 0, 0, 1],
                        [3072, 0, 30, 1, 1, 0, 0, 1],
                        [2048, 0, 30, 1, 1, 0, 0, 1],
                        [1536, 0, 30, 1, 1, 0, 0, 1],
                        [1024, 0, 30, 1, 1, 0, 0, 1],
                        [768, 0, 30, 1, 1, 0, 0, 1],
                        [512, 0, 30, 1, 1, 0, 0, 1],
                        [384, 0, 30, 1, 1, 0, 0, 1],
                        [256, 0, 15, 1, 1, 0, 0, 1],
                        [128, 0, 1, 1, 1, 0, 0, 1],
                        [64, 0, 0, 1, 1, 0, 0, 1]
                    ]
                ]
            ],
            // <4-3>AdvancedVBR[中]
            [
                // <2-00>SXVGA
                [
                    // -
                    [
                        // デフォルト値
                        [2],
                        // 値リスト
                        [8192, 0, 30, 1, 1, 0, 0, 1],
                        [6144, 0, 30, 1, 1, 0, 0, 1],
                        [4096, 0, 30, 1, 1, 0, 0, 1],
                        [3072, 0, 30, 1, 1, 0, 0, 1],
                        [2048, 0, 30, 1, 1, 0, 0, 1],
                        [1536, 0, 30, 1, 1, 0, 0, 1],
                        [1024, 0, 20, 1, 1, 0, 0, 1],
                        [768, 0, 1, 1, 1, 0, 0, 1],
                        [512, 0, 0, 1, 1, 0, 0, 1],
                        [384, 0, 0, 1, 1, 0, 0, 1],
                        [256, 0, 0, 1, 1, 0, 0, 1]
                    ]
                ],
                // <2-01>VGA
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 0, 0, 1],
                        [3072, 0, 30, 1, 1, 0, 0, 1],
                        [2048, 0, 30, 1, 1, 0, 0, 1],
                        [1536, 0, 30, 1, 1, 0, 0, 1],
                        [1024, 0, 30, 1, 1, 0, 0, 1],
                        [768, 0, 30, 1, 1, 0, 0, 1],
                        [512, 0, 30, 1, 1, 0, 0, 1],
                        [384, 0, 15, 1, 1, 0, 0, 1],
                        [256, 0, 1, 1, 1, 0, 0, 1],
                        [128, 0, 0, 1, 1, 0, 0, 1],
                        [64, 0, 0, 1, 1, 0, 0, 1]
                    ]
                ],
                // <2-02>QVGA
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 0, 0, 1],
                        [3072, 0, 30, 1, 1, 0, 0, 1],
                        [2048, 0, 30, 1, 1, 0, 0, 1],
                        [1536, 0, 30, 1, 1, 0, 0, 1],
                        [1024, 0, 30, 1, 1, 0, 0, 1],
                        [768, 0, 30, 1, 1, 0, 0, 1],
                        [512, 0, 30, 1, 1, 0, 0, 1],
                        [384, 0, 30, 1, 1, 0, 0, 1],
                        [256, 0, 15, 1, 1, 0, 0, 1],
                        [128, 0, 1, 1, 1, 0, 0, 1],
                        [64, 0, 0, 1, 1, 0, 0, 1]
                    ]
                ],
                // <2-03>HD
                [
                    // -
                    [
                        // デフォルト値
                        [2],
                        // 値リスト
                        [8192, 0, 30, 1, 1, 0, 0, 1],
                        [6144, 0, 30, 1, 1, 0, 0, 1],
                        [4096, 0, 30, 1, 1, 0, 0, 1],
                        [3072, 0, 30, 1, 1, 0, 0, 1],
                        [2048, 0, 30, 1, 1, 0, 0, 1],
                        [1536, 0, 30, 1, 1, 0, 0, 1],
                        [1024, 0, 20, 1, 1, 0, 0, 1],
                        [768, 0, 7.5, 1, 1, 0, 0, 1],
                        [512, 0, 1, 1, 1, 0, 0, 1],
                        [384, 0, 0, 1, 1, 0, 0, 1],
                        [256, 0, 0, 1, 1, 0, 0, 1]
                    ]
                ],
                // <2-04>HVGAW
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 0, 0, 1],
                        [3072, 0, 30, 1, 1, 0, 0, 1],
                        [2048, 0, 30, 1, 1, 0, 0, 1],
                        [1536, 0, 30, 1, 1, 0, 0, 1],
                        [1024, 0, 30, 1, 1, 0, 0, 1],
                        [768, 0, 30, 1, 1, 0, 0, 1],
                        [512, 0, 30, 1, 1, 0, 0, 1],
                        [384, 0, 15, 1, 1, 0, 0, 1],
                        [256, 0, 1, 1, 1, 0, 0, 1],
                        [128, 0, 0, 1, 1, 0, 0, 1],
                        [64, 0, 0, 1, 1, 0, 0, 1]
                    ]
                ],
                // <2-05>180P
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 0, 0, 1],
                        [3072, 0, 30, 1, 1, 0, 0, 1],
                        [2048, 0, 30, 1, 1, 0, 0, 1],
                        [1536, 0, 30, 1, 1, 0, 0, 1],
                        [1024, 0, 30, 1, 1, 0, 0, 1],
                        [768, 0, 30, 1, 1, 0, 0, 1],
                        [512, 0, 30, 1, 1, 0, 0, 1],
                        [384, 0, 30, 1, 1, 0, 0, 1],
                        [256, 0, 15, 1, 1, 0, 0, 1],
                        [128, 0, 1, 1, 1, 0, 0, 1],
                        [64, 0, 0, 1, 1, 0, 0, 1]
                    ]
                ]
            ],
            // <4-4>AdvancedVBR[低]
            [
                // <2-00>SXVGA
                [
                    // -
                    [
                        // デフォルト値
                        [2],
                        // 値リスト
                        [8192, 0, 30, 1, 1, 0, 0, 1],
                        [6144, 0, 30, 1, 1, 0, 0, 1],
                        [4096, 0, 30, 1, 1, 0, 0, 1],
                        [3072, 0, 30, 1, 1, 0, 0, 1],
                        [2048, 0, 30, 1, 1, 0, 0, 1],
                        [1536, 0, 30, 1, 1, 0, 0, 1],
                        [1024, 0, 20, 1, 1, 0, 0, 1],
                        [768, 0, 1, 1, 1, 0, 0, 1],
                        [512, 0, 0, 1, 1, 0, 0, 1],
                        [384, 0, 0, 1, 1, 0, 0, 1],
                        [256, 0, 0, 1, 1, 0, 0, 1]
                    ]
                ],
                // <2-01>VGA
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 0, 0, 1],
                        [3072, 0, 30, 1, 1, 0, 0, 1],
                        [2048, 0, 30, 1, 1, 0, 0, 1],
                        [1536, 0, 30, 1, 1, 0, 0, 1],
                        [1024, 0, 30, 1, 1, 0, 0, 1],
                        [768, 0, 30, 1, 1, 0, 0, 1],
                        [512, 0, 30, 1, 1, 0, 0, 1],
                        [384, 0, 15, 1, 1, 0, 0, 1],
                        [256, 0, 1, 1, 1, 0, 0, 1],
                        [128, 0, 0, 1, 1, 0, 0, 1],
                        [64, 0, 0, 1, 1, 0, 0, 1]
                    ]
                ],
                // <2-02>QVGA
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 0, 0, 1],
                        [3072, 0, 30, 1, 1, 0, 0, 1],
                        [2048, 0, 30, 1, 1, 0, 0, 1],
                        [1536, 0, 30, 1, 1, 0, 0, 1],
                        [1024, 0, 30, 1, 1, 0, 0, 1],
                        [768, 0, 30, 1, 1, 0, 0, 1],
                        [512, 0, 30, 1, 1, 0, 0, 1],
                        [384, 0, 30, 1, 1, 0, 0, 1],
                        [256, 0, 15, 1, 1, 0, 0, 1],
                        [128, 0, 1, 1, 1, 0, 0, 1],
                        [64, 0, 0, 1, 1, 0, 0, 1]
                    ]
                ],
                // <2-03>HD
                [
                    // -
                    [
                        // デフォルト値
                        [2],
                        // 値リスト
                        [8192, 0, 30, 1, 1, 0, 0, 1],
                        [6144, 0, 30, 1, 1, 0, 0, 1],
                        [4096, 0, 30, 1, 1, 0, 0, 1],
                        [3072, 0, 30, 1, 1, 0, 0, 1],
                        [2048, 0, 30, 1, 1, 0, 0, 1],
                        [1536, 0, 30, 1, 1, 0, 0, 1],
                        [1024, 0, 20, 1, 1, 0, 0, 1],
                        [768, 0, 7.5, 1, 1, 0, 0, 1],
                        [512, 0, 1, 1, 1, 0, 0, 1],
                        [384, 0, 0, 1, 1, 0, 0, 1],
                        [256, 0, 0, 1, 1, 0, 0, 1]
                    ]
                ],
                // <2-04>HVGAW
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 0, 0, 1],
                        [3072, 0, 30, 1, 1, 0, 0, 1],
                        [2048, 0, 30, 1, 1, 0, 0, 1],
                        [1536, 0, 30, 1, 1, 0, 0, 1],
                        [1024, 0, 30, 1, 1, 0, 0, 1],
                        [768, 0, 30, 1, 1, 0, 0, 1],
                        [512, 0, 30, 1, 1, 0, 0, 1],
                        [384, 0, 15, 1, 1, 0, 0, 1],
                        [256, 0, 1, 1, 1, 0, 0, 1],
                        [128, 0, 0, 1, 1, 0, 0, 1],
                        [64, 0, 0, 1, 1, 0, 0, 1]
                    ]
                ],
                // <2-05>180P
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 0, 0, 1],
                        [3072, 0, 30, 1, 1, 0, 0, 1],
                        [2048, 0, 30, 1, 1, 0, 0, 1],
                        [1536, 0, 30, 1, 1, 0, 0, 1],
                        [1024, 0, 30, 1, 1, 0, 0, 1],
                        [768, 0, 30, 1, 1, 0, 0, 1],
                        [512, 0, 30, 1, 1, 0, 0, 1],
                        [384, 0, 30, 1, 1, 0, 0, 1],
                        [256, 0, 15, 1, 1, 0, 0, 1],
                        [128, 0, 1, 1, 1, 0, 0, 1],
                        [64, 0, 0, 1, 1, 0, 0, 1]
                    ]
                ]
            ]
        ],
        // <3-1>2M
        [
            // <4-0>ビットレート優先
            [
                // <2-00>FHD
                [
                    // <5-0>画質優先(SF)
                    [
                        // デフォルト値
                        [5],
                        // 値リスト
                        [14336, 0, 30, 1, 1, 0, 0, 1],
                        [12288, 0, 30, 1, 1, 0, 0, 1],
                        [10240, 0, 30, 1, 1, 0, 0, 1],
                        [8192, 0, 30, 1, 1, 0, 0, 1],
                        [6144, 0, 25, 1, 1, 0, 0, 1],
                        [4096, 0, 20, 1, 1, 0, 0, 1],
                        [3072, 0, 15, 1, 1, 0, 0, 1],
                        [2048, 0, 10, 1, 1, 0, 0, 1],
                        [1536, 0, 7.5, 1, 1, 0, 0, 1],
                        [1024, 0, 5, 1, 1, 0, 0, 1],
                        [768, 0, 3, 1, 1, 0, 0, 1],
                        [512, 0, 2, 1, 1, 0, 0, 1]
                    ],
                    // <5-1>標準(FQ)
                    [
                        // デフォルト値
                        [5],
                        // 値リスト
                        [14336, 0, 30, 1, 1, 0, 0, 1],
                        [12288, 0, 30, 1, 1, 0, 0, 1],
                        [10240, 0, 30, 1, 1, 0, 0, 1],
                        [8192, 0, 30, 1, 1, 0, 0, 1],
                        [6144, 0, 30, 1, 1, 0, 0, 1],
                        [4096, 0, 30, 1, 1, 0, 0, 1],
                        [3072, 0, 25, 1, 1, 0, 0, 1],
                        [2048, 0, 20, 1, 1, 0, 0, 1],
                        [1536, 0, 10, 1, 1, 0, 0, 1],
                        [1024, 0, 7.5, 1, 1, 0, 0, 1],
                        [768, 0, 5, 1, 1, 0, 0, 1],
                        [512, 0, 3, 1, 1, 0, 0, 1]
                    ],
                    // <5-2>動き優先(NQ)
                    [
                        // デフォルト値
                        [5],
                        // 値リスト
                        [14336, 0, 30, 1, 1, 0, 0, 1],
                        [12288, 0, 30, 1, 1, 0, 0, 1],
                        [10240, 0, 30, 1, 1, 0, 0, 1],
                        [8192, 0, 30, 1, 1, 0, 0, 1],
                        [6144, 0, 30, 1, 1, 0, 0, 1],
                        [4096, 0, 30, 1, 1, 0, 0, 1],
                        [3072, 0, 30, 1, 1, 0, 0, 1],
                        [2048, 0, 30, 1, 1, 0, 0, 1],
                        [1536, 0, 20, 1, 1, 0, 0, 1],
                        [1024, 0, 15, 1, 1, 0, 0, 1],
                        [768, 0, 10, 1, 1, 0, 0, 1],
                        [512, 0, 7.5, 1, 1, 0, 0, 1]
                    ]
                ],
                // <2-01>HVGAW
                [
                    // <5-0>画質優先(SF)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 22.5, 1, 1, 0, 0, 1],
                        [3072, 0, 20, 1, 1, 0, 0, 1],
                        [2048, 0, 15, 1, 1, 0, 0, 1],
                        [1536, 0, 15, 1, 1, 0, 0, 1],
                        [1024, 0, 10, 1, 1, 0, 0, 1],
                        [768, 0, 7.5, 1, 1, 0, 0, 1],
                        [512, 0, 5, 1, 1, 0, 0, 1],
                        [384, 0, 3, 1, 1, 0, 0, 1],
                        [256, 0, 2, 1, 1, 0, 0, 1],
                        [128, 0, 1, 1, 1, 0, 0, 1],
                        [64, 0, 1, 1, 1, 0, 0, 1]
                    ],
                    // <5-1>標準(FQ)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 0, 0, 1],
                        [3072, 0, 30, 1, 1, 0, 0, 1],
                        [2048, 0, 30, 1, 1, 0, 0, 1],
                        [1536, 0, 30, 1, 1, 0, 0, 1],
                        [1024, 0, 22.5, 1, 1, 0, 0, 1],
                        [768, 0, 20, 1, 1, 0, 0, 1],
                        [512, 0, 15, 1, 1, 0, 0, 1],
                        [384, 0, 10, 1, 1, 0, 0, 1],
                        [256, 0, 7.5, 1, 1, 0, 0, 1],
                        [128, 0, 5, 1, 1, 0, 0, 1],
                        [64, 0, 2, 1, 1, 0, 0, 1]
                    ],
                    // <5-2>動き優先(NQ)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 0, 0, 1],
                        [3072, 0, 30, 1, 1, 0, 0, 1],
                        [2048, 0, 30, 1, 1, 0, 0, 1],
                        [1536, 0, 30, 1, 1, 0, 0, 1],
                        [1024, 0, 30, 1, 1, 0, 0, 1],
                        [768, 0, 30, 1, 1, 0, 0, 1],
                        [512, 0, 20, 1, 1, 0, 0, 1],
                        [384, 0, 15, 1, 1, 0, 0, 1],
                        [256, 0, 10, 1, 1, 0, 0, 1],
                        [128, 0, 7.5, 1, 1, 0, 0, 1],
                        [64, 0, 3, 1, 1, 0, 0, 1]
                    ]
                ],
                // <2-02>180P
                [
                    // <5-0>画質優先(SF)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 0, 0, 1],
                        [3072, 0, 30, 1, 1, 0, 0, 1],
                        [2048, 0, 30, 1, 1, 0, 0, 1],
                        [1536, 0, 20, 1, 1, 0, 0, 1],
                        [1024, 0, 15, 1, 1, 0, 0, 1],
                        [768, 0, 15, 1, 1, 0, 0, 1],
                        [512, 0, 10, 1, 1, 0, 0, 1],
                        [384, 0, 7.5, 1, 1, 0, 0, 1],
                        [256, 0, 5, 1, 1, 0, 0, 1],
                        [128, 0, 2, 1, 1, 0, 0, 1],
                        [64, 0, 1, 1, 1, 0, 0, 1]
                    ],
                    // <5-1>標準(FQ)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 0, 0, 1],
                        [3072, 0, 30, 1, 1, 0, 0, 1],
                        [2048, 0, 30, 1, 1, 0, 0, 1],
                        [1536, 0, 30, 1, 1, 0, 0, 1],
                        [1024, 0, 30, 1, 1, 0, 0, 1],
                        [768, 0, 30, 1, 1, 0, 0, 1],
                        [512, 0, 25, 1, 1, 0, 0, 1],
                        [384, 0, 20, 1, 1, 0, 0, 1],
                        [256, 0, 15, 1, 1, 0, 0, 1],
                        [128, 0, 10, 1, 1, 0, 0, 1],
                        [64, 0, 5, 1, 1, 0, 0, 1]
                    ],
                    // <5-2>動き優先(NQ)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 0, 0, 1],
                        [3072, 0, 30, 1, 1, 0, 0, 1],
                        [2048, 0, 30, 1, 1, 0, 0, 1],
                        [1536, 0, 30, 1, 1, 0, 0, 1],
                        [1024, 0, 30, 1, 1, 0, 0, 1],
                        [768, 0, 30, 1, 1, 0, 0, 1],
                        [512, 0, 30, 1, 1, 0, 0, 1],
                        [384, 0, 30, 1, 1, 0, 0, 1],
                        [256, 0, 25, 1, 1, 0, 0, 1],
                        [128, 0, 15, 1, 1, 0, 0, 1],
                        [64, 0, 10, 1, 1, 0, 0, 1]
                    ]
                ]
            ],
            // <4-1>フレームレート優先
            [
                // <2-00>FHD
                [
                    // -
                    [
                        // デフォルト値
                        [5],
                        // 値リスト
                        [14336, 0, 30, 1, 1, 0, 0, 1],
                        [12288, 0, 30, 1, 1, 0, 0, 1],
                        [10240, 0, 30, 1, 1, 0, 0, 1],
                        [8192, 0, 30, 1, 1, 0, 0, 1],
                        [6144, 0, 30, 1, 1, 0, 0, 1],
                        [4096, 0, 30, 1, 1, 0, 0, 1],
                        [3072, 0, 30, 1, 1, 0, 0, 1],
                        [2048, 0, 15, 1, 1, 0, 0, 1],
                        [1536, 0, 7.5, 1, 1, 0, 0, 1],
                        [1024, 0, 1, 1, 1, 0, 0, 1],
                        [768, 0, 0, 1, 1, 0, 0, 1],
                        [512, 0, 0, 1, 1, 0, 0, 1]
                    ]
                ],
                // <2-01>HVGAW
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 0, 0, 1],
                        [3072, 0, 30, 1, 1, 0, 0, 1],
                        [2048, 0, 30, 1, 1, 0, 0, 1],
                        [1536, 0, 30, 1, 1, 0, 0, 1],
                        [1024, 0, 30, 1, 1, 0, 0, 1],
                        [768, 0, 30, 1, 1, 0, 0, 1],
                        [512, 0, 30, 1, 1, 0, 0, 1],
                        [384, 0, 15, 1, 1, 0, 0, 1],
                        [256, 0, 1, 1, 1, 0, 0, 1],
                        [128, 0, 0, 1, 1, 0, 0, 1],
                        [64, 0, 0, 1, 1, 0, 0, 1]
                    ]
                ],
                // <2-02>180P
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 0, 0, 1],
                        [3072, 0, 30, 1, 1, 0, 0, 1],
                        [2048, 0, 30, 1, 1, 0, 0, 1],
                        [1536, 0, 30, 1, 1, 0, 0, 1],
                        [1024, 0, 30, 1, 1, 0, 0, 1],
                        [768, 0, 30, 1, 1, 0, 0, 1],
                        [512, 0, 30, 1, 1, 0, 0, 1],
                        [384, 0, 30, 1, 1, 0, 0, 1],
                        [256, 0, 15, 1, 1, 0, 0, 1],
                        [128, 0, 1, 1, 1, 0, 0, 1],
                        [64, 0, 0, 1, 1, 0, 0, 1]
                    ]
                ]
            ],
            // <4-2>AdvancedVBR[高]
            [
                // <2-00>FHD
                [
                    // -
                    [
                        // デフォルト値
                        [5],
                        // 値リスト
                        [14336, 0, 30, 1, 1, 0, 0, 1],
                        [12288, 0, 30, 1, 1, 0, 0, 1],
                        [10240, 0, 30, 1, 1, 0, 0, 1],
                        [8192, 0, 30, 1, 1, 0, 0, 1],
                        [6144, 0, 30, 1, 1, 0, 0, 1],
                        [4096, 0, 30, 1, 1, 0, 0, 1],
                        [3072, 0, 30, 1, 1, 0, 0, 1],
                        [2048, 0, 15, 1, 1, 0, 0, 1],
                        [1536, 0, 7.5, 1, 1, 0, 0, 1],
                        [1024, 0, 1, 1, 1, 0, 0, 1],
                        [768, 0, 0, 1, 1, 0, 0, 1],
                        [512, 0, 0, 1, 1, 0, 0, 1]
                    ]
                ],
                // <2-01>HVGAW
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 0, 0, 1],
                        [3072, 0, 30, 1, 1, 0, 0, 1],
                        [2048, 0, 30, 1, 1, 0, 0, 1],
                        [1536, 0, 30, 1, 1, 0, 0, 1],
                        [1024, 0, 30, 1, 1, 0, 0, 1],
                        [768, 0, 30, 1, 1, 0, 0, 1],
                        [512, 0, 30, 1, 1, 0, 0, 1],
                        [384, 0, 15, 1, 1, 0, 0, 1],
                        [256, 0, 1, 1, 1, 0, 0, 1],
                        [128, 0, 0, 1, 1, 0, 0, 1],
                        [64, 0, 0, 1, 1, 0, 0, 1]
                    ]
                ],
                // <2-02>180P
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 0, 0, 1],
                        [3072, 0, 30, 1, 1, 0, 0, 1],
                        [2048, 0, 30, 1, 1, 0, 0, 1],
                        [1536, 0, 30, 1, 1, 0, 0, 1],
                        [1024, 0, 30, 1, 1, 0, 0, 1],
                        [768, 0, 30, 1, 1, 0, 0, 1],
                        [512, 0, 30, 1, 1, 0, 0, 1],
                        [384, 0, 30, 1, 1, 0, 0, 1],
                        [256, 0, 15, 1, 1, 0, 0, 1],
                        [128, 0, 1, 1, 1, 0, 0, 1],
                        [64, 0, 0, 1, 1, 0, 0, 1]
                    ]
                ]
            ],
            // <4-3>AdvancedVBR[中]
            [
                // <2-00>FHD
                [
                    // -
                    [
                        // デフォルト値
                        [5],
                        // 値リスト
                        [14336, 0, 30, 1, 1, 0, 0, 1],
                        [12288, 0, 30, 1, 1, 0, 0, 1],
                        [10240, 0, 30, 1, 1, 0, 0, 1],
                        [8192, 0, 30, 1, 1, 0, 0, 1],
                        [6144, 0, 30, 1, 1, 0, 0, 1],
                        [4096, 0, 30, 1, 1, 0, 0, 1],
                        [3072, 0, 30, 1, 1, 0, 0, 1],
                        [2048, 0, 15, 1, 1, 0, 0, 1],
                        [1536, 0, 7.5, 1, 1, 0, 0, 1],
                        [1024, 0, 1, 1, 1, 0, 0, 1],
                        [768, 0, 0, 1, 1, 0, 0, 1],
                        [512, 0, 0, 1, 1, 0, 0, 1]
                    ]
                ],
                // <2-01>HVGAW
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 0, 0, 1],
                        [3072, 0, 30, 1, 1, 0, 0, 1],
                        [2048, 0, 30, 1, 1, 0, 0, 1],
                        [1536, 0, 30, 1, 1, 0, 0, 1],
                        [1024, 0, 30, 1, 1, 0, 0, 1],
                        [768, 0, 30, 1, 1, 0, 0, 1],
                        [512, 0, 30, 1, 1, 0, 0, 1],
                        [384, 0, 15, 1, 1, 0, 0, 1],
                        [256, 0, 1, 1, 1, 0, 0, 1],
                        [128, 0, 0, 1, 1, 0, 0, 1],
                        [64, 0, 0, 1, 1, 0, 0, 1]
                    ]
                ],
                // <2-02>180P
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 0, 0, 1],
                        [3072, 0, 30, 1, 1, 0, 0, 1],
                        [2048, 0, 30, 1, 1, 0, 0, 1],
                        [1536, 0, 30, 1, 1, 0, 0, 1],
                        [1024, 0, 30, 1, 1, 0, 0, 1],
                        [768, 0, 30, 1, 1, 0, 0, 1],
                        [512, 0, 30, 1, 1, 0, 0, 1],
                        [384, 0, 30, 1, 1, 0, 0, 1],
                        [256, 0, 15, 1, 1, 0, 0, 1],
                        [128, 0, 1, 1, 1, 0, 0, 1],
                        [64, 0, 0, 1, 1, 0, 0, 1]
                    ]
                ]
            ],
            // <4-4>AdvancedVBR[低]
            [
                // <2-00>FHD
                [
                    // -
                    [
                        // デフォルト値
                        [5],
                        // 値リスト
                        [14336, 0, 30, 1, 1, 0, 0, 1],
                        [12288, 0, 30, 1, 1, 0, 0, 1],
                        [10240, 0, 30, 1, 1, 0, 0, 1],
                        [8192, 0, 30, 1, 1, 0, 0, 1],
                        [6144, 0, 30, 1, 1, 0, 0, 1],
                        [4096, 0, 30, 1, 1, 0, 0, 1],
                        [3072, 0, 30, 1, 1, 0, 0, 1],
                        [2048, 0, 15, 1, 1, 0, 0, 1],
                        [1536, 0, 7.5, 1, 1, 0, 0, 1],
                        [1024, 0, 1, 1, 1, 0, 0, 1],
                        [768, 0, 0, 1, 1, 0, 0, 1],
                        [512, 0, 0, 1, 1, 0, 0, 1]
                    ]
                ],
                // <2-01>HVGAW
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 0, 0, 1],
                        [3072, 0, 30, 1, 1, 0, 0, 1],
                        [2048, 0, 30, 1, 1, 0, 0, 1],
                        [1536, 0, 30, 1, 1, 0, 0, 1],
                        [1024, 0, 30, 1, 1, 0, 0, 1],
                        [768, 0, 30, 1, 1, 0, 0, 1],
                        [512, 0, 30, 1, 1, 0, 0, 1],
                        [384, 0, 15, 1, 1, 0, 0, 1],
                        [256, 0, 1, 1, 1, 0, 0, 1],
                        [128, 0, 0, 1, 1, 0, 0, 1],
                        [64, 0, 0, 1, 1, 0, 0, 1]
                    ]
                ],
                // <2-02>180P
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 0, 0, 1],
                        [3072, 0, 30, 1, 1, 0, 0, 1],
                        [2048, 0, 30, 1, 1, 0, 0, 1],
                        [1536, 0, 30, 1, 1, 0, 0, 1],
                        [1024, 0, 30, 1, 1, 0, 0, 1],
                        [768, 0, 30, 1, 1, 0, 0, 1],
                        [512, 0, 30, 1, 1, 0, 0, 1],
                        [384, 0, 30, 1, 1, 0, 0, 1],
                        [256, 0, 15, 1, 1, 0, 0, 1],
                        [128, 0, 1, 1, 1, 0, 0, 1],
                        [64, 0, 0, 1, 1, 0, 0, 1]
                    ]
                ]
            ]
        ],
        // <3-2>3M
        [
            // <4-0>ビットレート優先
            [
                // <2-00>SXVGA
                [
                    // <5-0>画質優先(SF)
                    [
                        // デフォルト値
                        [2],
                        // 値リスト
                        [8192, 0, 15, 1, 1, 0, 0, 1],
                        [6144, 0, 15, 1, 1, 0, 0, 1],
                        [4096, 0, 15, 1, 1, 0, 0, 1],
                        [3072, 0, 15, 1, 1, 0, 0, 1],
                        [2048, 0, 10, 1, 1, 0, 0, 1],
                        [1536, 0, 7.5, 1, 1, 0, 0, 1],
                        [1024, 0, 5, 1, 1, 0, 0, 1],
                        [768, 0, 3, 1, 1, 0, 0, 1],
                        [512, 0, 2, 1, 1, 0, 0, 1],
                        [384, 0, 1, 1, 1, 0, 0, 1],
                        [256, 0, 1, 1, 1, 0, 0, 1]
                    ],
                    // <5-1>標準(FQ)
                    [
                        // デフォルト値
                        [2],
                        // 値リスト
                        [8192, 0, 15, 1, 1, 0, 0, 1],
                        [6144, 0, 15, 1, 1, 0, 0, 1],
                        [4096, 0, 15, 1, 1, 0, 0, 1],
                        [3072, 0, 15, 1, 1, 0, 0, 1],
                        [2048, 0, 15, 1, 1, 0, 0, 1],
                        [1536, 0, 10, 1, 1, 0, 0, 1],
                        [1024, 0, 7.5, 1, 1, 0, 0, 1],
                        [768, 0, 5, 1, 1, 0, 0, 1],
                        [512, 0, 3, 1, 1, 0, 0, 1],
                        [384, 0, 2, 1, 1, 0, 0, 1],
                        [256, 0, 1, 1, 1, 0, 0, 1]
                    ],
                    // <5-2>動き優先(NQ)
                    [
                        // デフォルト値
                        [2],
                        // 値リスト
                        [8192, 0, 15, 1, 1, 0, 0, 1],
                        [6144, 0, 15, 1, 1, 0, 0, 1],
                        [4096, 0, 15, 1, 1, 0, 0, 1],
                        [3072, 0, 15, 1, 1, 0, 0, 1],
                        [2048, 0, 15, 1, 1, 0, 0, 1],
                        [1536, 0, 15, 1, 1, 0, 0, 1],
                        [1024, 0, 15, 1, 1, 0, 0, 1],
                        [768, 0, 10, 1, 1, 0, 0, 1],
                        [512, 0, 7.5, 1, 1, 0, 0, 1],
                        [384, 0, 5, 1, 1, 0, 0, 1],
                        [256, 0, 3, 1, 1, 0, 0, 1]
                    ]
                ]
            ],
            // <4-1>フレームレート優先
            [
                // <2-00>SXVGA
                [
                    // -
                    [
                        // デフォルト値
                        [2],
                        // 値リスト
                        [8192, 0, 15, 1, 1, 0, 0, 1],
                        [6144, 0, 15, 1, 1, 0, 0, 1],
                        [4096, 0, 15, 1, 1, 0, 0, 1],
                        [3072, 0, 15, 1, 1, 0, 0, 1],
                        [2048, 0, 15, 1, 1, 0, 0, 1],
                        [1536, 0, 15, 1, 1, 0, 0, 1],
                        [1024, 0, 15, 1, 1, 0, 0, 1],
                        [768, 0, 1, 1, 1, 0, 0, 1],
                        [512, 0, 0, 1, 1, 0, 0, 1],
                        [384, 0, 0, 1, 1, 0, 0, 1],
                        [256, 0, 0, 1, 1, 0, 0, 1]
                    ]
                ]
            ],
            // <4-2>AdvancedVBR[高]
            [
                // <2-00>SXVGA
                [
                    // -
                    [
                        // デフォルト値
                        [2],
                        // 値リスト
                        [8192, 0, 15, 1, 1, 0, 0, 1],
                        [6144, 0, 15, 1, 1, 0, 0, 1],
                        [4096, 0, 15, 1, 1, 0, 0, 1],
                        [3072, 0, 15, 1, 1, 0, 0, 1],
                        [2048, 0, 15, 1, 1, 0, 0, 1],
                        [1536, 0, 15, 1, 1, 0, 0, 1],
                        [1024, 0, 15, 1, 1, 0, 0, 1],
                        [768, 0, 1, 1, 1, 0, 0, 1],
                        [512, 0, 0, 1, 1, 0, 0, 1],
                        [384, 0, 0, 1, 1, 0, 0, 1],
                        [256, 0, 0, 1, 1, 0, 0, 1]
                    ]
                ]
            ],
            // <4-3>AdvancedVBR[中]
            [
                // <2-00>SXVGA
                [
                    // -
                    [
                        // デフォルト値
                        [2],
                        // 値リスト
                        [8192, 0, 15, 1, 1, 0, 0, 1],
                        [6144, 0, 15, 1, 1, 0, 0, 1],
                        [4096, 0, 15, 1, 1, 0, 0, 1],
                        [3072, 0, 15, 1, 1, 0, 0, 1],
                        [2048, 0, 15, 1, 1, 0, 0, 1],
                        [1536, 0, 15, 1, 1, 0, 0, 1],
                        [1024, 0, 15, 1, 1, 0, 0, 1],
                        [768, 0, 1, 1, 1, 0, 0, 1],
                        [512, 0, 0, 1, 1, 0, 0, 1],
                        [384, 0, 0, 1, 1, 0, 0, 1],
                        [256, 0, 0, 1, 1, 0, 0, 1]
                    ]
                ]
            ],
            // <4-4>AdvancedVBR[低]
            [
                // <2-00>SXVGA
                [
                    // -
                    [
                        // デフォルト値
                        [2],
                        // 値リスト
                        [8192, 0, 15, 1, 1, 0, 0, 1],
                        [6144, 0, 15, 1, 1, 0, 0, 1],
                        [4096, 0, 15, 1, 1, 0, 0, 1],
                        [3072, 0, 15, 1, 1, 0, 0, 1],
                        [2048, 0, 15, 1, 1, 0, 0, 1],
                        [1536, 0, 15, 1, 1, 0, 0, 1],
                        [1024, 0, 15, 1, 1, 0, 0, 1],
                        [768, 0, 1, 1, 1, 0, 0, 1],
                        [512, 0, 0, 1, 1, 0, 0, 1],
                        [384, 0, 0, 1, 1, 0, 0, 1],
                        [256, 0, 0, 1, 1, 0, 0, 1]
                    ]
                ]
            ]
        ]
    ],
    // ----------------------------------------------------
    // 【H.264-09】NP502/NW502S
    [
        // <3-0>1.3M
        [
            // <4-0>ビットレート優先
            [
                // <2-00>SXVGA
                [
                    // <5-0>画質優先(SF)
                    [
                        // デフォルト値
                        [1],
                        // 値リスト
                        [8192, 0, 30, 1, 1, 1, 1, 1],
                        [4096, 0, 20, 1, 1, 1, 1, 1],
                        [3072, 0, 15, 1, 1, 1, 1, 1],
                        [2048, 0, 10, 1, 1, 1, 1, 1],
                        [1536, 0, 7.5, 1, 1, 1, 1, 1],
                        [1024, 0, 5, 1, 1, 1, 1, 1],
                        [768, 0, 3, 1, 1, 1, 1, 1],
                        [512, 0, 2, 1, 1, 1, 1, 1],
                        [384, 0, 1, 1, 1, 1, 1, 1],
                        [256, 0, 1, 1, 1, 1, 1, 1]
                    ],
                    // <5-1>標準(FQ)
                    [
                        // デフォルト値
                        [1],
                        // 値リスト
                        [8192, 0, 30, 1, 1, 1, 1, 1],
                        [4096, 0, 30, 1, 1, 1, 1, 1],
                        [3072, 0, 25, 1, 1, 1, 1, 1],
                        [2048, 0, 20, 1, 1, 1, 1, 1],
                        [1536, 0, 10, 1, 1, 1, 1, 1],
                        [1024, 0, 7.5, 1, 1, 1, 1, 1],
                        [768, 0, 5, 1, 1, 1, 1, 1],
                        [512, 0, 3, 1, 1, 1, 1, 1],
                        [384, 0, 2, 1, 1, 1, 1, 1],
                        [256, 0, 1, 1, 1, 1, 1, 1]
                    ],
                    // <5-2>動き優先(NQ)
                    [
                        // デフォルト値
                        [1],
                        // 値リスト
                        [8192, 0, 30, 1, 1, 1, 1, 1],
                        [4096, 0, 30, 1, 1, 1, 1, 1],
                        [3072, 0, 30, 1, 1, 1, 1, 1],
                        [2048, 0, 30, 1, 1, 1, 1, 1],
                        [1536, 0, 20, 1, 1, 1, 1, 1],
                        [1024, 0, 15, 1, 1, 1, 1, 1],
                        [768, 0, 10, 1, 1, 1, 1, 1],
                        [512, 0, 7.5, 1, 1, 1, 1, 1],
                        [384, 0, 5, 1, 1, 1, 1, 1],
                        [256, 0, 3, 1, 1, 1, 1, 1]
                    ]
                ],
                // <2-01>VGA
                [
                    // <5-0>画質優先(SF)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 22.5, 1, 1, 1, 1, 1],
                        [3072, 0, 20, 1, 1, 1, 1, 1],
                        [2048, 0, 15, 1, 1, 1, 1, 1],
                        [1536, 0, 15, 1, 1, 1, 1, 1],
                        [1024, 0, 10, 1, 1, 1, 1, 1],
                        [768, 0, 7.5, 1, 1, 1, 1, 1],
                        [512, 0, 5, 1, 1, 1, 1, 1],
                        [384, 0, 3, 1, 1, 1, 1, 1],
                        [256, 0, 2, 1, 1, 1, 1, 1],
                        [128, 0, 1, 1, 1, 1, 1, 1],
                        [64, 0, 1, 1, 1, 1, 1, 1]
                    ],
                    // <5-1>標準(FQ)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 1, 1, 1],
                        [3072, 0, 30, 1, 1, 1, 1, 1],
                        [2048, 0, 30, 1, 1, 1, 1, 1],
                        [1536, 0, 30, 1, 1, 1, 1, 1],
                        [1024, 0, 22.5, 1, 1, 1, 1, 1],
                        [768, 0, 20, 1, 1, 1, 1, 1],
                        [512, 0, 15, 1, 1, 1, 1, 1],
                        [384, 0, 10, 1, 1, 1, 1, 1],
                        [256, 0, 7.5, 1, 1, 1, 1, 1],
                        [128, 0, 5, 1, 1, 1, 1, 1],
                        [64, 0, 2, 1, 1, 1, 1, 1]
                    ],
                    // <5-2>動き優先(NQ)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 1, 1, 1],
                        [3072, 0, 30, 1, 1, 1, 1, 1],
                        [2048, 0, 30, 1, 1, 1, 1, 1],
                        [1536, 0, 30, 1, 1, 1, 1, 1],
                        [1024, 0, 30, 1, 1, 1, 1, 1],
                        [768, 0, 30, 1, 1, 1, 1, 1],
                        [512, 0, 20, 1, 1, 1, 1, 1],
                        [384, 0, 15, 1, 1, 1, 1, 1],
                        [256, 0, 10, 1, 1, 1, 1, 1],
                        [128, 0, 7.5, 1, 1, 1, 1, 1],
                        [64, 0, 3, 1, 1, 1, 1, 1]
                    ]
                ],
                // <2-02>QVGA
                [
                    // <5-0>画質優先(SF)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 1, 1, 1],
                        [3072, 0, 30, 1, 1, 1, 1, 1],
                        [2048, 0, 30, 1, 1, 1, 1, 1],
                        [1536, 0, 20, 1, 1, 1, 1, 1],
                        [1024, 0, 15, 1, 1, 1, 1, 1],
                        [768, 0, 15, 1, 1, 1, 1, 1],
                        [512, 0, 10, 1, 1, 1, 1, 1],
                        [384, 0, 7.5, 1, 1, 1, 1, 1],
                        [256, 0, 5, 1, 1, 1, 1, 1],
                        [128, 0, 2, 1, 1, 1, 1, 1],
                        [64, 0, 1, 1, 1, 1, 1, 1]
                    ],
                    // <5-1>標準(FQ)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 1, 1, 1],
                        [3072, 0, 30, 1, 1, 1, 1, 1],
                        [2048, 0, 30, 1, 1, 1, 1, 1],
                        [1536, 0, 30, 1, 1, 1, 1, 1],
                        [1024, 0, 30, 1, 1, 1, 1, 1],
                        [768, 0, 30, 1, 1, 1, 1, 1],
                        [512, 0, 25, 1, 1, 1, 1, 1],
                        [384, 0, 20, 1, 1, 1, 1, 1],
                        [256, 0, 15, 1, 1, 1, 1, 1],
                        [128, 0, 10, 1, 1, 1, 1, 1],
                        [64, 0, 5, 1, 1, 1, 1, 1]
                    ],
                    // <5-2>動き優先(NQ)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 1, 1, 1],
                        [3072, 0, 30, 1, 1, 1, 1, 1],
                        [2048, 0, 30, 1, 1, 1, 1, 1],
                        [1536, 0, 30, 1, 1, 1, 1, 1],
                        [1024, 0, 30, 1, 1, 1, 1, 1],
                        [768, 0, 30, 1, 1, 1, 1, 1],
                        [512, 0, 30, 1, 1, 1, 1, 1],
                        [384, 0, 30, 1, 1, 1, 1, 1],
                        [256, 0, 25, 1, 1, 1, 1, 1],
                        [128, 0, 15, 1, 1, 1, 1, 1],
                        [64, 0, 10, 1, 1, 1, 1, 1]
                    ]
                ],
                // <2-03>HD
                [
                    // <5-0>画質優先(SF)
                    [
                        // デフォルト値
                        [1],
                        // 値リスト
                        [8192, 0, 30, 1, 1, 1, 1, 1],
                        [4096, 0, 20, 1, 1, 1, 1, 1],
                        [3072, 0, 15, 1, 1, 1, 1, 1],
                        [2048, 0, 10, 1, 1, 1, 1, 1],
                        [1536, 0, 7.5, 1, 1, 1, 1, 1],
                        [1024, 0, 5, 1, 1, 1, 1, 1],
                        [768, 0, 3, 1, 1, 1, 1, 1],
                        [512, 0, 2, 1, 1, 1, 1, 1],
                        [384, 0, 1, 1, 1, 1, 1, 1],
                        [256, 0, 1, 1, 1, 1, 1, 1]
                    ],
                    // <5-1>標準(FQ)
                    [
                        // デフォルト値
                        [1],
                        // 値リスト
                        [8192, 0, 30, 1, 1, 1, 1, 1],
                        [4096, 0, 30, 1, 1, 1, 1, 1],
                        [3072, 0, 25, 1, 1, 1, 1, 1],
                        [2048, 0, 20, 1, 1, 1, 1, 1],
                        [1536, 0, 10, 1, 1, 1, 1, 1],
                        [1024, 0, 7.5, 1, 1, 1, 1, 1],
                        [768, 0, 5, 1, 1, 1, 1, 1],
                        [512, 0, 3, 1, 1, 1, 1, 1],
                        [384, 0, 2, 1, 1, 1, 1, 1],
                        [256, 0, 1, 1, 1, 1, 1, 1]
                    ],
                    // <5-2>動き優先(NQ)
                    [
                        // デフォルト値
                        [1],
                        // 値リスト
                        [8192, 0, 30, 1, 1, 1, 1, 1],
                        [4096, 0, 30, 1, 1, 1, 1, 1],
                        [3072, 0, 30, 1, 1, 1, 1, 1],
                        [2048, 0, 30, 1, 1, 1, 1, 1],
                        [1536, 0, 20, 1, 1, 1, 1, 1],
                        [1024, 0, 15, 1, 1, 1, 1, 1],
                        [768, 0, 10, 1, 1, 1, 1, 1],
                        [512, 0, 7.5, 1, 1, 1, 1, 1],
                        [384, 0, 5, 1, 1, 1, 1, 1],
                        [256, 0, 3, 1, 1, 1, 1, 1]
                    ]
                ],
                // <2-04>HVGAW
                [
                    // <5-0>画質優先(SF)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 22.5, 1, 1, 1, 1, 1],
                        [3072, 0, 20, 1, 1, 1, 1, 1],
                        [2048, 0, 15, 1, 1, 1, 1, 1],
                        [1536, 0, 15, 1, 1, 1, 1, 1],
                        [1024, 0, 10, 1, 1, 1, 1, 1],
                        [768, 0, 7.5, 1, 1, 1, 1, 1],
                        [512, 0, 5, 1, 1, 1, 1, 1],
                        [384, 0, 3, 1, 1, 1, 1, 1],
                        [256, 0, 2, 1, 1, 1, 1, 1],
                        [128, 0, 1, 1, 1, 1, 1, 1],
                        [64, 0, 1, 1, 1, 1, 1, 1]
                    ],
                    // <5-1>標準(FQ)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 1, 1, 1],
                        [3072, 0, 30, 1, 1, 1, 1, 1],
                        [2048, 0, 30, 1, 1, 1, 1, 1],
                        [1536, 0, 30, 1, 1, 1, 1, 1],
                        [1024, 0, 22.5, 1, 1, 1, 1, 1],
                        [768, 0, 20, 1, 1, 1, 1, 1],
                        [512, 0, 15, 1, 1, 1, 1, 1],
                        [384, 0, 10, 1, 1, 1, 1, 1],
                        [256, 0, 7.5, 1, 1, 1, 1, 1],
                        [128, 0, 5, 1, 1, 1, 1, 1],
                        [64, 0, 2, 1, 1, 1, 1, 1]
                    ],
                    // <5-2>動き優先(NQ)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 1, 1, 1],
                        [3072, 0, 30, 1, 1, 1, 1, 1],
                        [2048, 0, 30, 1, 1, 1, 1, 1],
                        [1536, 0, 30, 1, 1, 1, 1, 1],
                        [1024, 0, 30, 1, 1, 1, 1, 1],
                        [768, 0, 30, 1, 1, 1, 1, 1],
                        [512, 0, 20, 1, 1, 1, 1, 1],
                        [384, 0, 15, 1, 1, 1, 1, 1],
                        [256, 0, 10, 1, 1, 1, 1, 1],
                        [128, 0, 7.5, 1, 1, 1, 1, 1],
                        [64, 0, 3, 1, 1, 1, 1, 1]
                    ]
                ],
                // <2-05>180P
                [
                    // <5-0>画質優先(SF)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 1, 1, 1],
                        [3072, 0, 30, 1, 1, 1, 1, 1],
                        [2048, 0, 30, 1, 1, 1, 1, 1],
                        [1536, 0, 20, 1, 1, 1, 1, 1],
                        [1024, 0, 15, 1, 1, 1, 1, 1],
                        [768, 0, 15, 1, 1, 1, 1, 1],
                        [512, 0, 10, 1, 1, 1, 1, 1],
                        [384, 0, 7.5, 1, 1, 1, 1, 1],
                        [256, 0, 5, 1, 1, 1, 1, 1],
                        [128, 0, 2, 1, 1, 1, 1, 1],
                        [64, 0, 1, 1, 1, 1, 1, 1]
                    ],
                    // <5-1>標準(FQ)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 1, 1, 1],
                        [3072, 0, 30, 1, 1, 1, 1, 1],
                        [2048, 0, 30, 1, 1, 1, 1, 1],
                        [1536, 0, 30, 1, 1, 1, 1, 1],
                        [1024, 0, 30, 1, 1, 1, 1, 1],
                        [768, 0, 30, 1, 1, 1, 1, 1],
                        [512, 0, 25, 1, 1, 1, 1, 1],
                        [384, 0, 20, 1, 1, 1, 1, 1],
                        [256, 0, 15, 1, 1, 1, 1, 1],
                        [128, 0, 10, 1, 1, 1, 1, 1],
                        [64, 0, 5, 1, 1, 1, 1, 1]
                    ],
                    // <5-2>動き優先(NQ)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 1, 1, 1],
                        [3072, 0, 30, 1, 1, 1, 1, 1],
                        [2048, 0, 30, 1, 1, 1, 1, 1],
                        [1536, 0, 30, 1, 1, 1, 1, 1],
                        [1024, 0, 30, 1, 1, 1, 1, 1],
                        [768, 0, 30, 1, 1, 1, 1, 1],
                        [512, 0, 30, 1, 1, 1, 1, 1],
                        [384, 0, 30, 1, 1, 1, 1, 1],
                        [256, 0, 25, 1, 1, 1, 1, 1],
                        [128, 0, 15, 1, 1, 1, 1, 1],
                        [64, 0, 10, 1, 1, 1, 1, 1]
                    ]
                ],
                // <2-06>SVGA
                [
                    // <5-0>画質優先(SF)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 1, 1, 1],
                        [3072, 0, 20, 1, 1, 1, 1, 1],
                        [2048, 0, 15, 1, 1, 1, 1, 1],
                        [1536, 0, 10, 1, 1, 1, 1, 1],
                        [1024, 0, 7.5, 1, 1, 1, 1, 1],
                        [768, 0, 5, 1, 1, 1, 1, 1],
                        [512, 0, 3, 1, 1, 1, 1, 1],
                        [384, 0, 2, 1, 1, 1, 1, 1],
                        [256, 0, 1, 1, 1, 1, 1, 1],
                        [128, 0, 1, 1, 1, 1, 1, 1]
                    ],
                    // <5-1>標準(FQ)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 1, 1, 1],
                        [3072, 0, 30, 1, 1, 1, 1, 1],
                        [2048, 0, 25, 1, 1, 1, 1, 1],
                        [1536, 0, 20, 1, 1, 1, 1, 1],
                        [1024, 0, 10, 1, 1, 1, 1, 1],
                        [768, 0, 7.5, 1, 1, 1, 1, 1],
                        [512, 0, 5, 1, 1, 1, 1, 1],
                        [384, 0, 3, 1, 1, 1, 1, 1],
                        [256, 0, 2, 1, 1, 1, 1, 1],
                        [128, 0, 1, 1, 1, 1, 1, 1]
                    ],
                    // <5-2>動き優先(NQ)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 1, 1, 1],
                        [3072, 0, 30, 1, 1, 1, 1, 1],
                        [2048, 0, 30, 1, 1, 1, 1, 1],
                        [1536, 0, 30, 1, 1, 1, 1, 1],
                        [1024, 0, 20, 1, 1, 1, 1, 1],
                        [768, 0, 15, 1, 1, 1, 1, 1],
                        [512, 0, 10, 1, 1, 1, 1, 1],
                        [384, 0, 7.5, 1, 1, 1, 1, 1],
                        [256, 0, 5, 1, 1, 1, 1, 1],
                        [128, 0, 3, 1, 1, 1, 1, 1]
                    ]
                ]
            ],
            // <4-1>フレームレート優先
            [
                // <2-00>SXVGA
                [
                    // -
                    [
                        // デフォルト値
                        [1],
                        // 値リスト
                        [8192, 0, 30, 1, 1, 1, 1, 1],
                        [4096, 0, 30, 1, 1, 1, 1, 1],
                        [3072, 0, 30, 1, 1, 1, 1, 1],
                        [2048, 0, 30, 1, 1, 1, 1, 1],
                        [1536, 0, 20, 1, 1, 1, 1, 1],
                        [1024, 0, 7.5, 1, 1, 1, 1, 1],
                        [768, 0, 1, 1, 1, 1, 1, 1],
                        [512, 0, 0, 1, 1, 1, 1, 1],
                        [384, 0, 0, 1, 1, 1, 1, 1],
                        [256, 0, 0, 1, 1, 1, 1, 1]
                    ]
                ],
                // <2-01>VGA
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 1, 1, 1],
                        [3072, 0, 30, 1, 1, 1, 1, 1],
                        [2048, 0, 30, 1, 1, 1, 1, 1],
                        [1536, 0, 30, 1, 1, 1, 1, 1],
                        [1024, 0, 30, 1, 1, 1, 1, 1],
                        [768, 0, 30, 1, 1, 1, 1, 1],
                        [512, 0, 15, 1, 1, 1, 1, 1],
                        [384, 0, 5, 1, 1, 1, 1, 1],
                        [256, 0, 1, 1, 1, 1, 1, 1],
                        [128, 0, 0, 1, 1, 1, 1, 1],
                        [64, 0, 0, 1, 1, 1, 1, 1]
                    ]
                ],
                // <2-02>QVGA
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 1, 1, 1],
                        [3072, 0, 30, 1, 1, 1, 1, 1],
                        [2048, 0, 30, 1, 1, 1, 1, 1],
                        [1536, 0, 30, 1, 1, 1, 1, 1],
                        [1024, 0, 30, 1, 1, 1, 1, 1],
                        [768, 0, 30, 1, 1, 1, 1, 1],
                        [512, 0, 30, 1, 1, 1, 1, 1],
                        [384, 0, 15, 1, 1, 1, 1, 1],
                        [256, 0, 7.5, 1, 1, 1, 1, 1],
                        [128, 0, 1, 1, 1, 1, 1, 1],
                        [64, 0, 0, 1, 1, 1, 1, 1]
                    ]
                ],
                // <2-03>HD
                [
                    // -
                    [
                        // デフォルト値
                        [1],
                        // 値リスト
                        [8192, 0, 30, 1, 1, 1, 1, 1],
                        [4096, 0, 30, 1, 1, 1, 1, 1],
                        [3072, 0, 30, 1, 1, 1, 1, 1],
                        [2048, 0, 30, 1, 1, 1, 1, 1],
                        [1536, 0, 20, 1, 1, 1, 1, 1],
                        [1024, 0, 7.5, 1, 1, 1, 1, 1],
                        [768, 0, 1, 1, 1, 1, 1, 1],
                        [512, 0, 0, 1, 1, 1, 1, 1],
                        [384, 0, 0, 1, 1, 1, 1, 1],
                        [256, 0, 0, 1, 1, 1, 1, 1]
                    ]
                ],
                // <2-04>HVGAW
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 1, 1, 1],
                        [3072, 0, 30, 1, 1, 1, 1, 1],
                        [2048, 0, 30, 1, 1, 1, 1, 1],
                        [1536, 0, 30, 1, 1, 1, 1, 1],
                        [1024, 0, 30, 1, 1, 1, 1, 1],
                        [768, 0, 30, 1, 1, 1, 1, 1],
                        [512, 0, 15, 1, 1, 1, 1, 1],
                        [384, 0, 5, 1, 1, 1, 1, 1],
                        [256, 0, 1, 1, 1, 1, 1, 1],
                        [128, 0, 0, 1, 1, 1, 1, 1],
                        [64, 0, 0, 1, 1, 1, 1, 1]
                    ]
                ],
                // <2-05>180P
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 1, 1, 1],
                        [3072, 0, 30, 1, 1, 1, 1, 1],
                        [2048, 0, 30, 1, 1, 1, 1, 1],
                        [1536, 0, 30, 1, 1, 1, 1, 1],
                        [1024, 0, 30, 1, 1, 1, 1, 1],
                        [768, 0, 30, 1, 1, 1, 1, 1],
                        [512, 0, 30, 1, 1, 1, 1, 1],
                        [384, 0, 15, 1, 1, 1, 1, 1],
                        [256, 0, 7.5, 1, 1, 1, 1, 1],
                        [128, 0, 1, 1, 1, 1, 1, 1],
                        [64, 0, 0, 1, 1, 1, 1, 1]
                    ]
                ],
                // <2-06>SVGA
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 1, 1, 1],
                        [3072, 0, 30, 1, 1, 1, 1, 1],
                        [2048, 0, 30, 1, 1, 1, 1, 1],
                        [1536, 0, 30, 1, 1, 1, 1, 1],
                        [1024, 0, 20, 1, 1, 1, 1, 1],
                        [768, 0, 7.5, 1, 1, 1, 1, 1],
                        [512, 0, 1, 1, 1, 1, 1, 1],
                        [384, 0, 0, 1, 1, 1, 1, 1],
                        [256, 0, 0, 1, 1, 1, 1, 1],
                        [128, 0, 0, 1, 1, 1, 1, 1]
                    ]
                ]
            ],
            // <4-2>AdvancedVBR[高]
            [
                // <2-00>SXVGA
                [
                    // -
                    [
                        // デフォルト値
                        [1],
                        // 値リスト
                        [8192, 0, 30, 1, 1, 1, 1, 1],
                        [4096, 0, 30, 1, 1, 1, 1, 1],
                        [3072, 0, 30, 1, 1, 1, 1, 1],
                        [2048, 0, 30, 1, 1, 1, 1, 1],
                        [1536, 0, 20, 1, 1, 1, 1, 1],
                        [1024, 0, 7.5, 1, 1, 1, 1, 1],
                        [768, 0, 1, 1, 1, 1, 1, 1],
                        [512, 0, 0, 1, 1, 1, 1, 1],
                        [384, 0, 0, 1, 1, 1, 1, 1],
                        [256, 0, 0, 1, 1, 1, 1, 1]
                    ]
                ],
                // <2-01>VGA
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 1, 1, 1],
                        [3072, 0, 30, 1, 1, 1, 1, 1],
                        [2048, 0, 30, 1, 1, 1, 1, 1],
                        [1536, 0, 30, 1, 1, 1, 1, 1],
                        [1024, 0, 30, 1, 1, 1, 1, 1],
                        [768, 0, 30, 1, 1, 1, 1, 1],
                        [512, 0, 15, 1, 1, 1, 1, 1],
                        [384, 0, 5, 1, 1, 1, 1, 1],
                        [256, 0, 1, 1, 1, 1, 1, 1],
                        [128, 0, 0, 1, 1, 1, 1, 1],
                        [64, 0, 0, 1, 1, 1, 1, 1]
                    ]
                ],
                // <2-02>QVGA
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 1, 1, 1],
                        [3072, 0, 30, 1, 1, 1, 1, 1],
                        [2048, 0, 30, 1, 1, 1, 1, 1],
                        [1536, 0, 30, 1, 1, 1, 1, 1],
                        [1024, 0, 30, 1, 1, 1, 1, 1],
                        [768, 0, 30, 1, 1, 1, 1, 1],
                        [512, 0, 30, 1, 1, 1, 1, 1],
                        [384, 0, 15, 1, 1, 1, 1, 1],
                        [256, 0, 7.5, 1, 1, 1, 1, 1],
                        [128, 0, 1, 1, 1, 1, 1, 1],
                        [64, 0, 0, 1, 1, 1, 1, 1]
                    ]
                ],
                // <2-03>HD
                [
                    // -
                    [
                        // デフォルト値
                        [1],
                        // 値リスト
                        [8192, 0, 30, 1, 1, 1, 1, 1],
                        [4096, 0, 30, 1, 1, 1, 1, 1],
                        [3072, 0, 30, 1, 1, 1, 1, 1],
                        [2048, 0, 30, 1, 1, 1, 1, 1],
                        [1536, 0, 20, 1, 1, 1, 1, 1],
                        [1024, 0, 7.5, 1, 1, 1, 1, 1],
                        [768, 0, 1, 1, 1, 1, 1, 1],
                        [512, 0, 0, 1, 1, 1, 1, 1],
                        [384, 0, 0, 1, 1, 1, 1, 1],
                        [256, 0, 0, 1, 1, 1, 1, 1]
                    ]
                ],
                // <2-04>HVGAW
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 1, 1, 1],
                        [3072, 0, 30, 1, 1, 1, 1, 1],
                        [2048, 0, 30, 1, 1, 1, 1, 1],
                        [1536, 0, 30, 1, 1, 1, 1, 1],
                        [1024, 0, 30, 1, 1, 1, 1, 1],
                        [768, 0, 30, 1, 1, 1, 1, 1],
                        [512, 0, 15, 1, 1, 1, 1, 1],
                        [384, 0, 5, 1, 1, 1, 1, 1],
                        [256, 0, 1, 1, 1, 1, 1, 1],
                        [128, 0, 0, 1, 1, 1, 1, 1],
                        [64, 0, 0, 1, 1, 1, 1, 1]
                    ]
                ],
                // <2-05>180P
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 1, 1, 1],
                        [3072, 0, 30, 1, 1, 1, 1, 1],
                        [2048, 0, 30, 1, 1, 1, 1, 1],
                        [1536, 0, 30, 1, 1, 1, 1, 1],
                        [1024, 0, 30, 1, 1, 1, 1, 1],
                        [768, 0, 30, 1, 1, 1, 1, 1],
                        [512, 0, 30, 1, 1, 1, 1, 1],
                        [384, 0, 15, 1, 1, 1, 1, 1],
                        [256, 0, 7.5, 1, 1, 1, 1, 1],
                        [128, 0, 1, 1, 1, 1, 1, 1],
                        [64, 0, 0, 1, 1, 1, 1, 1]
                    ]
                ],
                // <2-06>SVGA
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 1, 1, 1],
                        [3072, 0, 30, 1, 1, 1, 1, 1],
                        [2048, 0, 30, 1, 1, 1, 1, 1],
                        [1536, 0, 30, 1, 1, 1, 1, 1],
                        [1024, 0, 20, 1, 1, 1, 1, 1],
                        [768, 0, 7.5, 1, 1, 1, 1, 1],
                        [512, 0, 1, 1, 1, 1, 1, 1],
                        [384, 0, 0, 1, 1, 1, 1, 1],
                        [256, 0, 0, 1, 1, 1, 1, 1],
                        [128, 0, 0, 1, 1, 1, 1, 1]
                    ]
                ]
            ],
            // <4-3>AdvancedVBR[中]
            [
                // <2-00>SXVGA
                [
                    // -
                    [
                        // デフォルト値
                        [1],
                        // 値リスト
                        [8192, 0, 30, 1, 1, 1, 1, 1],
                        [4096, 0, 30, 1, 1, 1, 1, 1],
                        [3072, 0, 30, 1, 1, 1, 1, 1],
                        [2048, 0, 30, 1, 1, 1, 1, 1],
                        [1536, 0, 20, 1, 1, 1, 1, 1],
                        [1024, 0, 7.5, 1, 1, 1, 1, 1],
                        [768, 0, 1, 1, 1, 1, 1, 1],
                        [512, 0, 0, 1, 1, 1, 1, 1],
                        [384, 0, 0, 1, 1, 1, 1, 1],
                        [256, 0, 0, 1, 1, 1, 1, 1]
                    ]
                ],
                // <2-01>VGA
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 1, 1, 1],
                        [3072, 0, 30, 1, 1, 1, 1, 1],
                        [2048, 0, 30, 1, 1, 1, 1, 1],
                        [1536, 0, 30, 1, 1, 1, 1, 1],
                        [1024, 0, 30, 1, 1, 1, 1, 1],
                        [768, 0, 30, 1, 1, 1, 1, 1],
                        [512, 0, 15, 1, 1, 1, 1, 1],
                        [384, 0, 5, 1, 1, 1, 1, 1],
                        [256, 0, 1, 1, 1, 1, 1, 1],
                        [128, 0, 0, 1, 1, 1, 1, 1],
                        [64, 0, 0, 1, 1, 1, 1, 1]
                    ]
                ],
                // <2-02>QVGA
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 1, 1, 1],
                        [3072, 0, 30, 1, 1, 1, 1, 1],
                        [2048, 0, 30, 1, 1, 1, 1, 1],
                        [1536, 0, 30, 1, 1, 1, 1, 1],
                        [1024, 0, 30, 1, 1, 1, 1, 1],
                        [768, 0, 30, 1, 1, 1, 1, 1],
                        [512, 0, 30, 1, 1, 1, 1, 1],
                        [384, 0, 15, 1, 1, 1, 1, 1],
                        [256, 0, 7.5, 1, 1, 1, 1, 1],
                        [128, 0, 1, 1, 1, 1, 1, 1],
                        [64, 0, 0, 1, 1, 1, 1, 1]
                    ]
                ],
                // <2-03>HD
                [
                    // -
                    [
                        // デフォルト値
                        [1],
                        // 値リスト
                        [8192, 0, 30, 1, 1, 1, 1, 1],
                        [4096, 0, 30, 1, 1, 1, 1, 1],
                        [3072, 0, 30, 1, 1, 1, 1, 1],
                        [2048, 0, 30, 1, 1, 1, 1, 1],
                        [1536, 0, 20, 1, 1, 1, 1, 1],
                        [1024, 0, 7.5, 1, 1, 1, 1, 1],
                        [768, 0, 1, 1, 1, 1, 1, 1],
                        [512, 0, 0, 1, 1, 1, 1, 1],
                        [384, 0, 0, 1, 1, 1, 1, 1],
                        [256, 0, 0, 1, 1, 1, 1, 1]
                    ]
                ],
                // <2-04>HVGAW
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 1, 1, 1],
                        [3072, 0, 30, 1, 1, 1, 1, 1],
                        [2048, 0, 30, 1, 1, 1, 1, 1],
                        [1536, 0, 30, 1, 1, 1, 1, 1],
                        [1024, 0, 30, 1, 1, 1, 1, 1],
                        [768, 0, 30, 1, 1, 1, 1, 1],
                        [512, 0, 15, 1, 1, 1, 1, 1],
                        [384, 0, 5, 1, 1, 1, 1, 1],
                        [256, 0, 1, 1, 1, 1, 1, 1],
                        [128, 0, 0, 1, 1, 1, 1, 1],
                        [64, 0, 0, 1, 1, 1, 1, 1]
                    ]
                ],
                // <2-05>180P
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 1, 1, 1],
                        [3072, 0, 30, 1, 1, 1, 1, 1],
                        [2048, 0, 30, 1, 1, 1, 1, 1],
                        [1536, 0, 30, 1, 1, 1, 1, 1],
                        [1024, 0, 30, 1, 1, 1, 1, 1],
                        [768, 0, 30, 1, 1, 1, 1, 1],
                        [512, 0, 30, 1, 1, 1, 1, 1],
                        [384, 0, 15, 1, 1, 1, 1, 1],
                        [256, 0, 7.5, 1, 1, 1, 1, 1],
                        [128, 0, 1, 1, 1, 1, 1, 1],
                        [64, 0, 0, 1, 1, 1, 1, 1]
                    ]
                ],
                // <2-06>SVGA
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 1, 1, 1],
                        [3072, 0, 30, 1, 1, 1, 1, 1],
                        [2048, 0, 30, 1, 1, 1, 1, 1],
                        [1536, 0, 30, 1, 1, 1, 1, 1],
                        [1024, 0, 20, 1, 1, 1, 1, 1],
                        [768, 0, 7.5, 1, 1, 1, 1, 1],
                        [512, 0, 1, 1, 1, 1, 1, 1],
                        [384, 0, 0, 1, 1, 1, 1, 1],
                        [256, 0, 0, 1, 1, 1, 1, 1],
                        [128, 0, 0, 1, 1, 1, 1, 1]
                    ]
                ]
            ],
            // <4-4>AdvancedVBR[低]
            [
                // <2-00>SXVGA
                [
                    // -
                    [
                        // デフォルト値
                        [1],
                        // 値リスト
                        [8192, 0, 30, 1, 1, 1, 1, 1],
                        [4096, 0, 30, 1, 1, 1, 1, 1],
                        [3072, 0, 30, 1, 1, 1, 1, 1],
                        [2048, 0, 30, 1, 1, 1, 1, 1],
                        [1536, 0, 20, 1, 1, 1, 1, 1],
                        [1024, 0, 7.5, 1, 1, 1, 1, 1],
                        [768, 0, 1, 1, 1, 1, 1, 1],
                        [512, 0, 0, 1, 1, 1, 1, 1],
                        [384, 0, 0, 1, 1, 1, 1, 1],
                        [256, 0, 0, 1, 1, 1, 1, 1]
                    ]
                ],
                // <2-01>VGA
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 1, 1, 1],
                        [3072, 0, 30, 1, 1, 1, 1, 1],
                        [2048, 0, 30, 1, 1, 1, 1, 1],
                        [1536, 0, 30, 1, 1, 1, 1, 1],
                        [1024, 0, 30, 1, 1, 1, 1, 1],
                        [768, 0, 30, 1, 1, 1, 1, 1],
                        [512, 0, 15, 1, 1, 1, 1, 1],
                        [384, 0, 5, 1, 1, 1, 1, 1],
                        [256, 0, 1, 1, 1, 1, 1, 1],
                        [128, 0, 0, 1, 1, 1, 1, 1],
                        [64, 0, 0, 1, 1, 1, 1, 1]
                    ]
                ],
                // <2-02>QVGA
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 1, 1, 1],
                        [3072, 0, 30, 1, 1, 1, 1, 1],
                        [2048, 0, 30, 1, 1, 1, 1, 1],
                        [1536, 0, 30, 1, 1, 1, 1, 1],
                        [1024, 0, 30, 1, 1, 1, 1, 1],
                        [768, 0, 30, 1, 1, 1, 1, 1],
                        [512, 0, 30, 1, 1, 1, 1, 1],
                        [384, 0, 15, 1, 1, 1, 1, 1],
                        [256, 0, 7.5, 1, 1, 1, 1, 1],
                        [128, 0, 1, 1, 1, 1, 1, 1],
                        [64, 0, 0, 1, 1, 1, 1, 1]
                    ]
                ],
                // <2-03>HD
                [
                    // -
                    [
                        // デフォルト値
                        [1],
                        // 値リスト
                        [8192, 0, 30, 1, 1, 1, 1, 1],
                        [4096, 0, 30, 1, 1, 1, 1, 1],
                        [3072, 0, 30, 1, 1, 1, 1, 1],
                        [2048, 0, 30, 1, 1, 1, 1, 1],
                        [1536, 0, 20, 1, 1, 1, 1, 1],
                        [1024, 0, 7.5, 1, 1, 1, 1, 1],
                        [768, 0, 1, 1, 1, 1, 1, 1],
                        [512, 0, 0, 1, 1, 1, 1, 1],
                        [384, 0, 0, 1, 1, 1, 1, 1],
                        [256, 0, 0, 1, 1, 1, 1, 1]
                    ]
                ],
                // <2-04>HVGAW
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 1, 1, 1],
                        [3072, 0, 30, 1, 1, 1, 1, 1],
                        [2048, 0, 30, 1, 1, 1, 1, 1],
                        [1536, 0, 30, 1, 1, 1, 1, 1],
                        [1024, 0, 30, 1, 1, 1, 1, 1],
                        [768, 0, 30, 1, 1, 1, 1, 1],
                        [512, 0, 15, 1, 1, 1, 1, 1],
                        [384, 0, 5, 1, 1, 1, 1, 1],
                        [256, 0, 1, 1, 1, 1, 1, 1],
                        [128, 0, 0, 1, 1, 1, 1, 1],
                        [64, 0, 0, 1, 1, 1, 1, 1]
                    ]
                ],
                // <2-05>180P
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 1, 1, 1],
                        [3072, 0, 30, 1, 1, 1, 1, 1],
                        [2048, 0, 30, 1, 1, 1, 1, 1],
                        [1536, 0, 30, 1, 1, 1, 1, 1],
                        [1024, 0, 30, 1, 1, 1, 1, 1],
                        [768, 0, 30, 1, 1, 1, 1, 1],
                        [512, 0, 30, 1, 1, 1, 1, 1],
                        [384, 0, 15, 1, 1, 1, 1, 1],
                        [256, 0, 7.5, 1, 1, 1, 1, 1],
                        [128, 0, 1, 1, 1, 1, 1, 1],
                        [64, 0, 0, 1, 1, 1, 1, 1]
                    ]
                ],
                // <2-06>SVGA
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 1, 1, 1],
                        [3072, 0, 30, 1, 1, 1, 1, 1],
                        [2048, 0, 30, 1, 1, 1, 1, 1],
                        [1536, 0, 30, 1, 1, 1, 1, 1],
                        [1024, 0, 20, 1, 1, 1, 1, 1],
                        [768, 0, 7.5, 1, 1, 1, 1, 1],
                        [512, 0, 1, 1, 1, 1, 1, 1],
                        [384, 0, 0, 1, 1, 1, 1, 1],
                        [256, 0, 0, 1, 1, 1, 1, 1],
                        [128, 0, 0, 1, 1, 1, 1, 1]
                    ]
                ]
            ]
        ],
        // <3-1>3M
        [
            // <4-0>ビットレート優先
            [
                // <2-00>SXVGA
                [
                    // <5-0>画質優先(SF)
                    [
                        // デフォルト値
                        [1],
                        // 値リスト
                        [8192, 0, 15, 1, 1, 1, 1, 0],
                        [4096, 0, 15, 1, 1, 1, 1, 0],
                        [3072, 0, 15, 1, 1, 1, 1, 0],
                        [2048, 0, 10, 1, 1, 1, 1, 0],
                        [1536, 0, 7.5, 1, 1, 1, 1, 0],
                        [1024, 0, 5, 1, 1, 1, 1, 0],
                        [768, 0, 3, 1, 1, 1, 1, 0],
                        [512, 0, 2, 1, 1, 1, 1, 0],
                        [384, 0, 1, 1, 1, 1, 1, 0],
                        [256, 0, 1, 1, 1, 1, 1, 0]
                    ],
                    // <5-1>標準(FQ)
                    [
                        // デフォルト値
                        [1],
                        // 値リスト
                        [8192, 0, 15, 1, 1, 1, 1, 0],
                        [4096, 0, 15, 1, 1, 1, 1, 0],
                        [3072, 0, 15, 1, 1, 1, 1, 0],
                        [2048, 0, 15, 1, 1, 1, 1, 0],
                        [1536, 0, 10, 1, 1, 1, 1, 0],
                        [1024, 0, 7.5, 1, 1, 1, 1, 0],
                        [768, 0, 5, 1, 1, 1, 1, 0],
                        [512, 0, 3, 1, 1, 1, 1, 0],
                        [384, 0, 2, 1, 1, 1, 1, 0],
                        [256, 0, 1, 1, 1, 1, 1, 0]
                    ],
                    // <5-2>動き優先(NQ)
                    [
                        // デフォルト値
                        [1],
                        // 値リスト
                        [8192, 0, 15, 1, 1, 1, 1, 0],
                        [4096, 0, 15, 1, 1, 1, 1, 0],
                        [3072, 0, 15, 1, 1, 1, 1, 0],
                        [2048, 0, 15, 1, 1, 1, 1, 0],
                        [1536, 0, 15, 1, 1, 1, 1, 0],
                        [1024, 0, 15, 1, 1, 1, 1, 0],
                        [768, 0, 10, 1, 1, 1, 1, 0],
                        [512, 0, 7.5, 1, 1, 1, 1, 0],
                        [384, 0, 5, 1, 1, 1, 1, 0],
                        [256, 0, 3, 1, 1, 1, 1, 0]
                    ]
                ],
                // <2-01>VGA
                [
                    // <5-0>画質優先(SF)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 15, 1, 1, 1, 1, 0],
                        [3072, 0, 15, 1, 1, 1, 1, 0],
                        [2048, 0, 15, 1, 1, 1, 1, 0],
                        [1536, 0, 15, 1, 1, 1, 1, 0],
                        [1024, 0, 10, 1, 1, 1, 1, 0],
                        [768, 0, 7.5, 1, 1, 1, 1, 0],
                        [512, 0, 5, 1, 1, 1, 1, 0],
                        [384, 0, 3, 1, 1, 1, 1, 0],
                        [256, 0, 2, 1, 1, 1, 1, 0],
                        [128, 0, 1, 1, 1, 1, 1, 0],
                        [64, 0, 1, 1, 1, 1, 1, 0]
                    ],
                    // <5-1>標準(FQ)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 15, 1, 1, 1, 1, 0],
                        [3072, 0, 15, 1, 1, 1, 1, 0],
                        [2048, 0, 15, 1, 1, 1, 1, 0],
                        [1536, 0, 15, 1, 1, 1, 1, 0],
                        [1024, 0, 15, 1, 1, 1, 1, 0],
                        [768, 0, 15, 1, 1, 1, 1, 0],
                        [512, 0, 15, 1, 1, 1, 1, 0],
                        [384, 0, 10, 1, 1, 1, 1, 0],
                        [256, 0, 7.5, 1, 1, 1, 1, 0],
                        [128, 0, 5, 1, 1, 1, 1, 0],
                        [64, 0, 2, 1, 1, 1, 1, 0]
                    ],
                    // <5-2>動き優先(NQ)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 15, 1, 1, 1, 1, 0],
                        [3072, 0, 15, 1, 1, 1, 1, 0],
                        [2048, 0, 15, 1, 1, 1, 1, 0],
                        [1536, 0, 15, 1, 1, 1, 1, 0],
                        [1024, 0, 15, 1, 1, 1, 1, 0],
                        [768, 0, 15, 1, 1, 1, 1, 0],
                        [512, 0, 15, 1, 1, 1, 1, 0],
                        [384, 0, 15, 1, 1, 1, 1, 0],
                        [256, 0, 10, 1, 1, 1, 1, 0],
                        [128, 0, 7.5, 1, 1, 1, 1, 0],
                        [64, 0, 3, 1, 1, 1, 1, 0]
                    ]
                ],
                // <2-02>QVGA
                [
                    // <5-0>画質優先(SF)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 15, 1, 1, 1, 1, 0],
                        [3072, 0, 15, 1, 1, 1, 1, 0],
                        [2048, 0, 15, 1, 1, 1, 1, 0],
                        [1536, 0, 15, 1, 1, 1, 1, 0],
                        [1024, 0, 15, 1, 1, 1, 1, 0],
                        [768, 0, 15, 1, 1, 1, 1, 0],
                        [512, 0, 10, 1, 1, 1, 1, 0],
                        [384, 0, 7.5, 1, 1, 1, 1, 0],
                        [256, 0, 5, 1, 1, 1, 1, 0],
                        [128, 0, 2, 1, 1, 1, 1, 0],
                        [64, 0, 1, 1, 1, 1, 1, 0]
                    ],
                    // <5-1>標準(FQ)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 15, 1, 1, 1, 1, 0],
                        [3072, 0, 15, 1, 1, 1, 1, 0],
                        [2048, 0, 15, 1, 1, 1, 1, 0],
                        [1536, 0, 15, 1, 1, 1, 1, 0],
                        [1024, 0, 15, 1, 1, 1, 1, 0],
                        [768, 0, 15, 1, 1, 1, 1, 0],
                        [512, 0, 15, 1, 1, 1, 1, 0],
                        [384, 0, 15, 1, 1, 1, 1, 0],
                        [256, 0, 15, 1, 1, 1, 1, 0],
                        [128, 0, 10, 1, 1, 1, 1, 0],
                        [64, 0, 5, 1, 1, 1, 1, 0]
                    ],
                    // <5-2>動き優先(NQ)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 15, 1, 1, 1, 1, 0],
                        [3072, 0, 15, 1, 1, 1, 1, 0],
                        [2048, 0, 15, 1, 1, 1, 1, 0],
                        [1536, 0, 15, 1, 1, 1, 1, 0],
                        [1024, 0, 15, 1, 1, 1, 1, 0],
                        [768, 0, 15, 1, 1, 1, 1, 0],
                        [512, 0, 15, 1, 1, 1, 1, 0],
                        [384, 0, 15, 1, 1, 1, 1, 0],
                        [256, 0, 15, 1, 1, 1, 1, 0],
                        [128, 0, 15, 1, 1, 1, 1, 0],
                        [64, 0, 10, 1, 1, 1, 1, 0]
                    ]
                ],
                // <2-03>FHD
                [
                    // <5-0>画質優先(SF)
                    [
                        // デフォルト値
                        [1],
                        // 値リスト
                        [8192, 0, 15, 1, 1, 0, 0, 0],
                        [4096, 0, 10, 1, 1, 0, 0, 0],
                        [3072, 0, 7.5, 1, 1, 0, 0, 0],
                        [2048, 0, 5, 1, 1, 0, 0, 0],
                        [1536, 0, 3, 1, 1, 0, 0, 0],
                        [1024, 0, 3, 1, 1, 0, 0, 0],
                        [768, 0, 1, 1, 1, 0, 0, 0],
                        [512, 0, 1, 1, 1, 0, 0, 0]
                    ],
                    // <5-1>標準(FQ)
                    [
                        // デフォルト値
                        [1],
                        // 値リスト
                        [8192, 0, 15, 1, 1, 0, 0, 0],
                        [4096, 0, 15, 1, 1, 0, 0, 0],
                        [3072, 0, 10, 1, 1, 0, 0, 0],
                        [2048, 0, 7.5, 1, 1, 0, 0, 0],
                        [1536, 0, 5, 1, 1, 0, 0, 0],
                        [1024, 0, 3, 1, 1, 0, 0, 0],
                        [768, 0, 3, 1, 1, 0, 0, 0],
                        [512, 0, 1, 1, 1, 0, 0, 0]
                    ],
                    // <5-2>動き優先(NQ)
                    [
                        // デフォルト値
                        [1],
                        // 値リスト
                        [8192, 0, 15, 1, 1, 0, 0, 0],
                        [4096, 0, 15, 1, 1, 0, 0, 0],
                        [3072, 0, 15, 1, 1, 0, 0, 0],
                        [2048, 0, 15, 1, 1, 0, 0, 0],
                        [1536, 0, 10, 1, 1, 0, 0, 0],
                        [1024, 0, 7.5, 1, 1, 0, 0, 0],
                        [768, 0, 5, 1, 1, 0, 0, 0],
                        [512, 0, 3, 1, 1, 0, 0, 0]
                    ]
                ],
                // <2-04>HVGAW
                [
                    // <5-0>画質優先(SF)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 15, 1, 1, 1, 1, 0],
                        [3072, 0, 15, 1, 1, 1, 1, 0],
                        [2048, 0, 15, 1, 1, 1, 1, 0],
                        [1536, 0, 15, 1, 1, 1, 1, 0],
                        [1024, 0, 10, 1, 1, 1, 1, 0],
                        [768, 0, 7.5, 1, 1, 1, 1, 0],
                        [512, 0, 5, 1, 1, 1, 1, 0],
                        [384, 0, 3, 1, 1, 1, 1, 0],
                        [256, 0, 2, 1, 1, 1, 1, 0],
                        [128, 0, 1, 1, 1, 1, 1, 0],
                        [64, 0, 1, 1, 1, 1, 1, 0]
                    ],
                    // <5-1>標準(FQ)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 15, 1, 1, 1, 1, 0],
                        [3072, 0, 15, 1, 1, 1, 1, 0],
                        [2048, 0, 15, 1, 1, 1, 1, 0],
                        [1536, 0, 15, 1, 1, 1, 1, 0],
                        [1024, 0, 15, 1, 1, 1, 1, 0],
                        [768, 0, 15, 1, 1, 1, 1, 0],
                        [512, 0, 15, 1, 1, 1, 1, 0],
                        [384, 0, 10, 1, 1, 1, 1, 0],
                        [256, 0, 7.5, 1, 1, 1, 1, 0],
                        [128, 0, 5, 1, 1, 1, 1, 0],
                        [64, 0, 2, 1, 1, 1, 1, 0]
                    ],
                    // <5-2>動き優先(NQ)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 15, 1, 1, 1, 1, 0],
                        [3072, 0, 15, 1, 1, 1, 1, 0],
                        [2048, 0, 15, 1, 1, 1, 1, 0],
                        [1536, 0, 15, 1, 1, 1, 1, 0],
                        [1024, 0, 15, 1, 1, 1, 1, 0],
                        [768, 0, 15, 1, 1, 1, 1, 0],
                        [512, 0, 15, 1, 1, 1, 1, 0],
                        [384, 0, 15, 1, 1, 1, 1, 0],
                        [256, 0, 10, 1, 1, 1, 1, 0],
                        [128, 0, 7.5, 1, 1, 1, 1, 0],
                        [64, 0, 3, 1, 1, 1, 1, 0]
                    ]
                ],
                // <2-05>180P
                [
                    // <5-0>画質優先(SF)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 15, 1, 1, 1, 1, 0],
                        [3072, 0, 15, 1, 1, 1, 1, 0],
                        [2048, 0, 15, 1, 1, 1, 1, 0],
                        [1536, 0, 15, 1, 1, 1, 1, 0],
                        [1024, 0, 15, 1, 1, 1, 1, 0],
                        [768, 0, 15, 1, 1, 1, 1, 0],
                        [512, 0, 10, 1, 1, 1, 1, 0],
                        [384, 0, 7.5, 1, 1, 1, 1, 0],
                        [256, 0, 5, 1, 1, 1, 1, 0],
                        [128, 0, 2, 1, 1, 1, 1, 0],
                        [64, 0, 1, 1, 1, 1, 1, 0]
                    ],
                    // <5-1>標準(FQ)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 15, 1, 1, 1, 1, 0],
                        [3072, 0, 15, 1, 1, 1, 1, 0],
                        [2048, 0, 15, 1, 1, 1, 1, 0],
                        [1536, 0, 15, 1, 1, 1, 1, 0],
                        [1024, 0, 15, 1, 1, 1, 1, 0],
                        [768, 0, 15, 1, 1, 1, 1, 0],
                        [512, 0, 15, 1, 1, 1, 1, 0],
                        [384, 0, 15, 1, 1, 1, 1, 0],
                        [256, 0, 15, 1, 1, 1, 1, 0],
                        [128, 0, 10, 1, 1, 1, 1, 0],
                        [64, 0, 5, 1, 1, 1, 1, 0]
                    ],
                    // <5-2>動き優先(NQ)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 15, 1, 1, 1, 1, 0],
                        [3072, 0, 15, 1, 1, 1, 1, 0],
                        [2048, 0, 15, 1, 1, 1, 1, 0],
                        [1536, 0, 15, 1, 1, 1, 1, 0],
                        [1024, 0, 15, 1, 1, 1, 1, 0],
                        [768, 0, 15, 1, 1, 1, 1, 0],
                        [512, 0, 15, 1, 1, 1, 1, 0],
                        [384, 0, 15, 1, 1, 1, 1, 0],
                        [256, 0, 15, 1, 1, 1, 1, 0],
                        [128, 0, 15, 1, 1, 1, 1, 0],
                        [64, 0, 10, 1, 1, 1, 1, 0]
                    ]
                ]
            ],
            // <4-1>フレームレート優先
            [
                // <2-00>SXVGA
                [
                    // -
                    [
                        // デフォルト値
                        [1],
                        // 値リスト
                        [8192, 0, 15, 1, 1, 1, 1, 0],
                        [4096, 0, 15, 1, 1, 1, 1, 0],
                        [3072, 0, 15, 1, 1, 1, 1, 0],
                        [2048, 0, 15, 1, 1, 1, 1, 0],
                        [1536, 0, 15, 1, 1, 1, 1, 0],
                        [1024, 0, 7.5, 1, 1, 1, 1, 0],
                        [768, 0, 1, 1, 1, 1, 1, 0],
                        [512, 0, 0, 1, 1, 1, 1, 0],
                        [384, 0, 0, 1, 1, 1, 1, 0],
                        [256, 0, 0, 1, 1, 1, 1, 0]
                    ]
                ],
                // <2-01>VGA
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 15, 1, 1, 1, 1, 0],
                        [3072, 0, 15, 1, 1, 1, 1, 0],
                        [2048, 0, 15, 1, 1, 1, 1, 0],
                        [1536, 0, 15, 1, 1, 1, 1, 0],
                        [1024, 0, 15, 1, 1, 1, 1, 0],
                        [768, 0, 15, 1, 1, 1, 1, 0],
                        [512, 0, 15, 1, 1, 1, 1, 0],
                        [384, 0, 5, 1, 1, 1, 1, 0],
                        [256, 0, 1, 1, 1, 1, 1, 0],
                        [128, 0, 0, 1, 1, 1, 1, 0],
                        [64, 0, 0, 1, 1, 1, 1, 0]
                    ]
                ],
                // <2-02>QVGA
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 15, 1, 1, 1, 1, 0],
                        [3072, 0, 15, 1, 1, 1, 1, 0],
                        [2048, 0, 15, 1, 1, 1, 1, 0],
                        [1536, 0, 15, 1, 1, 1, 1, 0],
                        [1024, 0, 15, 1, 1, 1, 1, 0],
                        [768, 0, 15, 1, 1, 1, 1, 0],
                        [512, 0, 15, 1, 1, 1, 1, 0],
                        [384, 0, 15, 1, 1, 1, 1, 0],
                        [256, 0, 7.5, 1, 1, 1, 1, 0],
                        [128, 0, 1, 1, 1, 1, 1, 0],
                        [64, 0, 0, 1, 1, 1, 1, 0]
                    ]
                ],
                // <2-03>FHD
                [
                    // -
                    [
                        // デフォルト値
                        [1],
                        // 値リスト
                        [8192, 0, 15, 1, 1, 0, 0, 0],
                        [4096, 0, 15, 1, 1, 0, 0, 0],
                        [3072, 0, 15, 1, 1, 0, 0, 0],
                        [2048, 0, 7.5, 1, 1, 0, 0, 0],
                        [1536, 0, 1, 1, 1, 0, 0, 0],
                        [1024, 0, 0, 1, 1, 0, 0, 0],
                        [768, 0, 0, 1, 1, 0, 0, 0],
                        [512, 0, 0, 1, 1, 0, 0, 0],
                        [384, 0, 0, 1, 1, 0, 0, 0],
                        [256, 0, 0, 1, 1, 0, 0, 0]
                    ]
                ],
                // <2-04>HVGAW
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 15, 1, 1, 1, 1, 0],
                        [3072, 0, 15, 1, 1, 1, 1, 0],
                        [2048, 0, 15, 1, 1, 1, 1, 0],
                        [1536, 0, 15, 1, 1, 1, 1, 0],
                        [1024, 0, 15, 1, 1, 1, 1, 0],
                        [768, 0, 15, 1, 1, 1, 1, 0],
                        [512, 0, 15, 1, 1, 1, 1, 0],
                        [384, 0, 5, 1, 1, 1, 1, 0],
                        [256, 0, 1, 1, 1, 1, 1, 0],
                        [128, 0, 0, 1, 1, 1, 1, 0],
                        [64, 0, 0, 1, 1, 1, 1, 0]
                    ]
                ],
                // <2-05>180P
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 15, 1, 1, 1, 1, 0],
                        [3072, 0, 15, 1, 1, 1, 1, 0],
                        [2048, 0, 15, 1, 1, 1, 1, 0],
                        [1536, 0, 15, 1, 1, 1, 1, 0],
                        [1024, 0, 15, 1, 1, 1, 1, 0],
                        [768, 0, 15, 1, 1, 1, 1, 0],
                        [512, 0, 15, 1, 1, 1, 1, 0],
                        [384, 0, 15, 1, 1, 1, 1, 0],
                        [256, 0, 7.5, 1, 1, 1, 1, 0],
                        [128, 0, 1, 1, 1, 1, 1, 0],
                        [64, 0, 0, 1, 1, 1, 1, 0]
                    ]
                ]
            ],
            // <4-2>AdvancedVBR[高]
            [
                // <2-00>SXVGA
                [
                    // -
                    [
                        // デフォルト値
                        [1],
                        // 値リスト
                        [8192, 0, 15, 1, 1, 1, 1, 0],
                        [4096, 0, 15, 1, 1, 1, 1, 0],
                        [3072, 0, 15, 1, 1, 1, 1, 0],
                        [2048, 0, 15, 1, 1, 1, 1, 0],
                        [1536, 0, 15, 1, 1, 1, 1, 0],
                        [1024, 0, 7.5, 1, 1, 1, 1, 0],
                        [768, 0, 1, 1, 1, 1, 1, 0],
                        [512, 0, 0, 1, 1, 1, 1, 0],
                        [384, 0, 0, 1, 1, 1, 1, 0],
                        [256, 0, 0, 1, 1, 1, 1, 0]
                    ]
                ],
                // <2-01>VGA
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 15, 1, 1, 1, 1, 0],
                        [3072, 0, 15, 1, 1, 1, 1, 0],
                        [2048, 0, 15, 1, 1, 1, 1, 0],
                        [1536, 0, 15, 1, 1, 1, 1, 0],
                        [1024, 0, 15, 1, 1, 1, 1, 0],
                        [768, 0, 15, 1, 1, 1, 1, 0],
                        [512, 0, 15, 1, 1, 1, 1, 0],
                        [384, 0, 5, 1, 1, 1, 1, 0],
                        [256, 0, 1, 1, 1, 1, 1, 0],
                        [128, 0, 0, 1, 1, 1, 1, 0],
                        [64, 0, 0, 1, 1, 1, 1, 0]
                    ]
                ],
                // <2-02>QVGA
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 15, 1, 1, 1, 1, 0],
                        [3072, 0, 15, 1, 1, 1, 1, 0],
                        [2048, 0, 15, 1, 1, 1, 1, 0],
                        [1536, 0, 15, 1, 1, 1, 1, 0],
                        [1024, 0, 15, 1, 1, 1, 1, 0],
                        [768, 0, 15, 1, 1, 1, 1, 0],
                        [512, 0, 15, 1, 1, 1, 1, 0],
                        [384, 0, 15, 1, 1, 1, 1, 0],
                        [256, 0, 7.5, 1, 1, 1, 1, 0],
                        [128, 0, 1, 1, 1, 1, 1, 0],
                        [64, 0, 0, 1, 1, 1, 1, 0]
                    ]
                ],
                // <2-03>FHD
                [
                    // -
                    [
                        // デフォルト値
                        [1],
                        // 値リスト
                        [8192, 0, 15, 1, 1, 0, 0, 0],
                        [4096, 0, 15, 1, 1, 0, 0, 0],
                        [3072, 0, 15, 1, 1, 0, 0, 0],
                        [2048, 0, 7.5, 1, 1, 0, 0, 0],
                        [1536, 0, 1, 1, 1, 0, 0, 0],
                        [1024, 0, 0, 1, 1, 0, 0, 0],
                        [768, 0, 0, 1, 1, 0, 0, 0],
                        [512, 0, 0, 1, 1, 0, 0, 0],
                        [384, 0, 0, 1, 1, 0, 0, 0],
                        [256, 0, 0, 1, 1, 0, 0, 0]
                    ]
                ],
                // <2-04>HVGAW
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 15, 1, 1, 1, 1, 0],
                        [3072, 0, 15, 1, 1, 1, 1, 0],
                        [2048, 0, 15, 1, 1, 1, 1, 0],
                        [1536, 0, 15, 1, 1, 1, 1, 0],
                        [1024, 0, 15, 1, 1, 1, 1, 0],
                        [768, 0, 15, 1, 1, 1, 1, 0],
                        [512, 0, 15, 1, 1, 1, 1, 0],
                        [384, 0, 5, 1, 1, 1, 1, 0],
                        [256, 0, 1, 1, 1, 1, 1, 0],
                        [128, 0, 0, 1, 1, 1, 1, 0],
                        [64, 0, 0, 1, 1, 1, 1, 0]
                    ]
                ],
                // <2-05>180P
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 15, 1, 1, 1, 1, 0],
                        [3072, 0, 15, 1, 1, 1, 1, 0],
                        [2048, 0, 15, 1, 1, 1, 1, 0],
                        [1536, 0, 15, 1, 1, 1, 1, 0],
                        [1024, 0, 15, 1, 1, 1, 1, 0],
                        [768, 0, 15, 1, 1, 1, 1, 0],
                        [512, 0, 15, 1, 1, 1, 1, 0],
                        [384, 0, 15, 1, 1, 1, 1, 0],
                        [256, 0, 7.5, 1, 1, 1, 1, 0],
                        [128, 0, 1, 1, 1, 1, 1, 0],
                        [64, 0, 0, 1, 1, 1, 1, 0]
                    ]
                ]
            ],
            // <4-3>AdvancedVBR[中]
            [
                // <2-00>SXVGA
                [
                    // -
                    [
                        // デフォルト値
                        [1],
                        // 値リスト
                        [8192, 0, 15, 1, 1, 1, 1, 0],
                        [4096, 0, 15, 1, 1, 1, 1, 0],
                        [3072, 0, 15, 1, 1, 1, 1, 0],
                        [2048, 0, 15, 1, 1, 1, 1, 0],
                        [1536, 0, 15, 1, 1, 1, 1, 0],
                        [1024, 0, 7.5, 1, 1, 1, 1, 0],
                        [768, 0, 1, 1, 1, 1, 1, 0],
                        [512, 0, 0, 1, 1, 1, 1, 0],
                        [384, 0, 0, 1, 1, 1, 1, 0],
                        [256, 0, 0, 1, 1, 1, 1, 0]
                    ]
                ],
                // <2-01>VGA
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 15, 1, 1, 1, 1, 0],
                        [3072, 0, 15, 1, 1, 1, 1, 0],
                        [2048, 0, 15, 1, 1, 1, 1, 0],
                        [1536, 0, 15, 1, 1, 1, 1, 0],
                        [1024, 0, 15, 1, 1, 1, 1, 0],
                        [768, 0, 15, 1, 1, 1, 1, 0],
                        [512, 0, 15, 1, 1, 1, 1, 0],
                        [384, 0, 5, 1, 1, 1, 1, 0],
                        [256, 0, 1, 1, 1, 1, 1, 0],
                        [128, 0, 0, 1, 1, 1, 1, 0],
                        [64, 0, 0, 1, 1, 1, 1, 0]
                    ]
                ],
                // <2-02>QVGA
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 15, 1, 1, 1, 1, 0],
                        [3072, 0, 15, 1, 1, 1, 1, 0],
                        [2048, 0, 15, 1, 1, 1, 1, 0],
                        [1536, 0, 15, 1, 1, 1, 1, 0],
                        [1024, 0, 15, 1, 1, 1, 1, 0],
                        [768, 0, 15, 1, 1, 1, 1, 0],
                        [512, 0, 15, 1, 1, 1, 1, 0],
                        [384, 0, 15, 1, 1, 1, 1, 0],
                        [256, 0, 7.5, 1, 1, 1, 1, 0],
                        [128, 0, 1, 1, 1, 1, 1, 0],
                        [64, 0, 0, 1, 1, 1, 1, 0]
                    ]
                ],
                // <2-03>FHD
                [
                    // -
                    [
                        // デフォルト値
                        [1],
                        // 値リスト
                        [8192, 0, 15, 1, 1, 0, 0, 0],
                        [4096, 0, 15, 1, 1, 0, 0, 0],
                        [3072, 0, 15, 1, 1, 0, 0, 0],
                        [2048, 0, 7.5, 1, 1, 0, 0, 0],
                        [1536, 0, 1, 1, 1, 0, 0, 0],
                        [1024, 0, 0, 1, 1, 0, 0, 0],
                        [768, 0, 0, 1, 1, 0, 0, 0],
                        [512, 0, 0, 1, 1, 0, 0, 0],
                        [384, 0, 0, 1, 1, 0, 0, 0],
                        [256, 0, 0, 1, 1, 0, 0, 0]
                    ]
                ],
                // <2-04>HVGAW
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 15, 1, 1, 1, 1, 0],
                        [3072, 0, 15, 1, 1, 1, 1, 0],
                        [2048, 0, 15, 1, 1, 1, 1, 0],
                        [1536, 0, 15, 1, 1, 1, 1, 0],
                        [1024, 0, 15, 1, 1, 1, 1, 0],
                        [768, 0, 15, 1, 1, 1, 1, 0],
                        [512, 0, 15, 1, 1, 1, 1, 0],
                        [384, 0, 5, 1, 1, 1, 1, 0],
                        [256, 0, 1, 1, 1, 1, 1, 0],
                        [128, 0, 0, 1, 1, 1, 1, 0],
                        [64, 0, 0, 1, 1, 1, 1, 0]
                    ]
                ],
                // <2-05>180P
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 15, 1, 1, 1, 1, 0],
                        [3072, 0, 15, 1, 1, 1, 1, 0],
                        [2048, 0, 15, 1, 1, 1, 1, 0],
                        [1536, 0, 15, 1, 1, 1, 1, 0],
                        [1024, 0, 15, 1, 1, 1, 1, 0],
                        [768, 0, 15, 1, 1, 1, 1, 0],
                        [512, 0, 15, 1, 1, 1, 1, 0],
                        [384, 0, 15, 1, 1, 1, 1, 0],
                        [256, 0, 7.5, 1, 1, 1, 1, 0],
                        [128, 0, 1, 1, 1, 1, 1, 0],
                        [64, 0, 0, 1, 1, 1, 1, 0]
                    ]
                ]
            ],
            // <4-4>AdvancedVBR[低]
            [
                // <2-00>SXVGA
                [
                    // -
                    [
                        // デフォルト値
                        [1],
                        // 値リスト
                        [8192, 0, 15, 1, 1, 1, 1, 0],
                        [4096, 0, 15, 1, 1, 1, 1, 0],
                        [3072, 0, 15, 1, 1, 1, 1, 0],
                        [2048, 0, 15, 1, 1, 1, 1, 0],
                        [1536, 0, 15, 1, 1, 1, 1, 0],
                        [1024, 0, 7.5, 1, 1, 1, 1, 0],
                        [768, 0, 1, 1, 1, 1, 1, 0],
                        [512, 0, 0, 1, 1, 1, 1, 0],
                        [384, 0, 0, 1, 1, 1, 1, 0],
                        [256, 0, 0, 1, 1, 1, 1, 0]
                    ]
                ],
                // <2-01>VGA
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 15, 1, 1, 1, 1, 0],
                        [3072, 0, 15, 1, 1, 1, 1, 0],
                        [2048, 0, 15, 1, 1, 1, 1, 0],
                        [1536, 0, 15, 1, 1, 1, 1, 0],
                        [1024, 0, 15, 1, 1, 1, 1, 0],
                        [768, 0, 15, 1, 1, 1, 1, 0],
                        [512, 0, 15, 1, 1, 1, 1, 0],
                        [384, 0, 5, 1, 1, 1, 1, 0],
                        [256, 0, 1, 1, 1, 1, 1, 0],
                        [128, 0, 0, 1, 1, 1, 1, 0],
                        [64, 0, 0, 1, 1, 1, 1, 0]
                    ]
                ],
                // <2-02>QVGA
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 15, 1, 1, 1, 1, 0],
                        [3072, 0, 15, 1, 1, 1, 1, 0],
                        [2048, 0, 15, 1, 1, 1, 1, 0],
                        [1536, 0, 15, 1, 1, 1, 1, 0],
                        [1024, 0, 15, 1, 1, 1, 1, 0],
                        [768, 0, 15, 1, 1, 1, 1, 0],
                        [512, 0, 15, 1, 1, 1, 1, 0],
                        [384, 0, 15, 1, 1, 1, 1, 0],
                        [256, 0, 7.5, 1, 1, 1, 1, 0],
                        [128, 0, 1, 1, 1, 1, 1, 0],
                        [64, 0, 0, 1, 1, 1, 1, 0]
                    ]
                ],
                // <2-03>FHD
                [
                    // -
                    [
                        // デフォルト値
                        [1],
                        // 値リスト
                        [8192, 0, 15, 1, 1, 0, 0, 0],
                        [4096, 0, 15, 1, 1, 0, 0, 0],
                        [3072, 0, 15, 1, 1, 0, 0, 0],
                        [2048, 0, 7.5, 1, 1, 0, 0, 0],
                        [1536, 0, 1, 1, 1, 0, 0, 0],
                        [1024, 0, 0, 1, 1, 0, 0, 0],
                        [768, 0, 0, 1, 1, 0, 0, 0],
                        [512, 0, 0, 1, 1, 0, 0, 0],
                        [384, 0, 0, 1, 1, 0, 0, 0],
                        [256, 0, 0, 1, 1, 0, 0, 0]
                    ]
                ],
                // <2-04>HVGAW
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 15, 1, 1, 1, 1, 0],
                        [3072, 0, 15, 1, 1, 1, 1, 0],
                        [2048, 0, 15, 1, 1, 1, 1, 0],
                        [1536, 0, 15, 1, 1, 1, 1, 0],
                        [1024, 0, 15, 1, 1, 1, 1, 0],
                        [768, 0, 15, 1, 1, 1, 1, 0],
                        [512, 0, 15, 1, 1, 1, 1, 0],
                        [384, 0, 5, 1, 1, 1, 1, 0],
                        [256, 0, 1, 1, 1, 1, 1, 0],
                        [128, 0, 0, 1, 1, 1, 1, 0],
                        [64, 0, 0, 1, 1, 1, 1, 0]
                    ]
                ],
                // <2-05>180P
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 15, 1, 1, 1, 1, 0],
                        [3072, 0, 15, 1, 1, 1, 1, 0],
                        [2048, 0, 15, 1, 1, 1, 1, 0],
                        [1536, 0, 15, 1, 1, 1, 1, 0],
                        [1024, 0, 15, 1, 1, 1, 1, 0],
                        [768, 0, 15, 1, 1, 1, 1, 0],
                        [512, 0, 15, 1, 1, 1, 1, 0],
                        [384, 0, 15, 1, 1, 1, 1, 0],
                        [256, 0, 7.5, 1, 1, 1, 1, 0],
                        [128, 0, 1, 1, 1, 1, 1, 0],
                        [64, 0, 0, 1, 1, 1, 1, 0]
                    ]
                ]
            ]
        ]
    ],
    // ----------------------------------------------------
    // 【H.264-10】GXE500
    [
        // <3-0>1.3M
        [
            // <4-0>ビットレート優先
            [
                // <2-00>VGA
                [
                    // <5-0>画質優先(SF)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 22.5, 1, 1, 1, 1, 1],
                        [3072, 0, 20, 1, 1, 1, 1, 1],
                        [2048, 0, 15, 1, 1, 1, 1, 1],
                        [1536, 0, 15, 1, 1, 1, 1, 1],
                        [1024, 0, 10, 1, 1, 1, 1, 1],
                        [768, 0, 7.5, 1, 1, 1, 1, 1],
                        [512, 0, 5, 1, 1, 1, 1, 1],
                        [384, 0, 3, 1, 1, 1, 1, 1],
                        [256, 0, 2, 1, 1, 1, 1, 1],
                        [128, 0, 1, 1, 1, 1, 1, 1],
                        [64, 0, 1, 1, 1, 1, 1, 1]
                    ],
                    // <5-1>標準(FQ)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 1, 1, 1],
                        [3072, 0, 30, 1, 1, 1, 1, 1],
                        [2048, 0, 30, 1, 1, 1, 1, 1],
                        [1536, 0, 30, 1, 1, 1, 1, 1],
                        [1024, 0, 22.5, 1, 1, 1, 1, 1],
                        [768, 0, 20, 1, 1, 1, 1, 1],
                        [512, 0, 15, 1, 1, 1, 1, 1],
                        [384, 0, 10, 1, 1, 1, 1, 1],
                        [256, 0, 7.5, 1, 1, 1, 1, 1],
                        [128, 0, 5, 1, 1, 1, 1, 1],
                        [64, 0, 2, 1, 1, 1, 1, 1]
                    ],
                    // <5-2>動き優先(NQ)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 1, 1, 1],
                        [3072, 0, 30, 1, 1, 1, 1, 1],
                        [2048, 0, 30, 1, 1, 1, 1, 1],
                        [1536, 0, 30, 1, 1, 1, 1, 1],
                        [1024, 0, 30, 1, 1, 1, 1, 1],
                        [768, 0, 30, 1, 1, 1, 1, 1],
                        [512, 0, 20, 1, 1, 1, 1, 1],
                        [384, 0, 15, 1, 1, 1, 1, 1],
                        [256, 0, 10, 1, 1, 1, 1, 1],
                        [128, 0, 7.5, 1, 1, 1, 1, 1],
                        [64, 0, 3, 1, 1, 1, 1, 1]
                    ]
                ],
                // <2-01>QVGA
                [
                    // <5-0>画質優先(SF)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 1, 1, 1],
                        [3072, 0, 30, 1, 1, 1, 1, 1],
                        [2048, 0, 30, 1, 1, 1, 1, 1],
                        [1536, 0, 20, 1, 1, 1, 1, 1],
                        [1024, 0, 15, 1, 1, 1, 1, 1],
                        [768, 0, 15, 1, 1, 1, 1, 1],
                        [512, 0, 10, 1, 1, 1, 1, 1],
                        [384, 0, 7.5, 1, 1, 1, 1, 1],
                        [256, 0, 5, 1, 1, 1, 1, 1],
                        [128, 0, 2, 1, 1, 1, 1, 1],
                        [64, 0, 1, 1, 1, 1, 1, 1]
                    ],
                    // <5-1>標準(FQ)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 1, 1, 1],
                        [3072, 0, 30, 1, 1, 1, 1, 1],
                        [2048, 0, 30, 1, 1, 1, 1, 1],
                        [1536, 0, 30, 1, 1, 1, 1, 1],
                        [1024, 0, 30, 1, 1, 1, 1, 1],
                        [768, 0, 30, 1, 1, 1, 1, 1],
                        [512, 0, 25, 1, 1, 1, 1, 1],
                        [384, 0, 20, 1, 1, 1, 1, 1],
                        [256, 0, 15, 1, 1, 1, 1, 1],
                        [128, 0, 10, 1, 1, 1, 1, 1],
                        [64, 0, 5, 1, 1, 1, 1, 1]
                    ],
                    // <5-2>動き優先(NQ)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 1, 1, 1],
                        [3072, 0, 30, 1, 1, 1, 1, 1],
                        [2048, 0, 30, 1, 1, 1, 1, 1],
                        [1536, 0, 30, 1, 1, 1, 1, 1],
                        [1024, 0, 30, 1, 1, 1, 1, 1],
                        [768, 0, 30, 1, 1, 1, 1, 1],
                        [512, 0, 30, 1, 1, 1, 1, 1],
                        [384, 0, 30, 1, 1, 1, 1, 1],
                        [256, 0, 25, 1, 1, 1, 1, 1],
                        [128, 0, 15, 1, 1, 1, 1, 1],
                        [64, 0, 10, 1, 1, 1, 1, 1]
                    ]
                ]
            ],
            // <4-1>フレームレート優先
            [
                // <2-00>VGA
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 1, 1, 1],
                        [3072, 0, 30, 1, 1, 1, 1, 1],
                        [2048, 0, 30, 1, 1, 1, 1, 1],
                        [1536, 0, 30, 1, 1, 1, 1, 1],
                        [1024, 0, 30, 1, 1, 1, 1, 1],
                        [768, 0, 15, 1, 1, 1, 1, 1],
                        [512, 0, 5, 1, 1, 1, 1, 1],
                        [384, 0, 1, 1, 1, 1, 1, 1],
                        [256, 0, 0, 1, 1, 1, 1, 1],
                        [128, 0, 0, 1, 1, 1, 1, 1],
                        [64, 0, 0, 1, 1, 1, 1, 1]
                    ]
                ],
                // <2-01>QVGA
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 1, 1, 1],
                        [3072, 0, 30, 1, 1, 1, 1, 1],
                        [2048, 0, 30, 1, 1, 1, 1, 1],
                        [1536, 0, 30, 1, 1, 1, 1, 1],
                        [1024, 0, 30, 1, 1, 1, 1, 1],
                        [768, 0, 30, 1, 1, 1, 1, 1],
                        [512, 0, 30, 1, 1, 1, 1, 1],
                        [384, 0, 15, 1, 1, 1, 1, 1],
                        [256, 0, 7.5, 1, 1, 1, 1, 1],
                        [128, 0, 1, 1, 1, 1, 1, 1],
                        [64, 0, 0, 1, 1, 1, 1, 1]
                    ]
                ]
            ]
        ]
    ],
    // ----------------------------------------------------
    // 【H.264-11】GXE100
    [
        // <3-0>1.3M
        [
            // <4-0>ビットレート優先
            [
                // <2-00>VGA
                [
                    // <5-0>画質優先(SF)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 22.5, 1, 1, 1, 1, 1],
                        [3072, 0, 20, 1, 1, 1, 1, 1],
                        [2048, 0, 15, 1, 1, 1, 1, 1],
                        [1536, 0, 15, 1, 1, 1, 1, 1],
                        [1024, 0, 10, 1, 1, 1, 1, 1],
                        [768, 0, 7.5, 1, 1, 1, 1, 1],
                        [512, 0, 5, 1, 1, 1, 1, 1],
                        [384, 0, 3, 1, 1, 1, 1, 1],
                        [256, 0, 2, 1, 1, 1, 1, 1],
                        [128, 0, 1, 1, 1, 1, 1, 1],
                        [64, 0, 1, 1, 1, 1, 1, 1]
                    ],
                    // <5-1>標準(FQ)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 1, 1, 1],
                        [3072, 0, 30, 1, 1, 1, 1, 1],
                        [2048, 0, 30, 1, 1, 1, 1, 1],
                        [1536, 0, 30, 1, 1, 1, 1, 1],
                        [1024, 0, 22.5, 1, 1, 1, 1, 1],
                        [768, 0, 20, 1, 1, 1, 1, 1],
                        [512, 0, 15, 1, 1, 1, 1, 1],
                        [384, 0, 10, 1, 1, 1, 1, 1],
                        [256, 0, 7.5, 1, 1, 1, 1, 1],
                        [128, 0, 5, 1, 1, 1, 1, 1],
                        [64, 0, 2, 1, 1, 1, 1, 1]
                    ],
                    // <5-2>動き優先(NQ)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 1, 1, 1],
                        [3072, 0, 30, 1, 1, 1, 1, 1],
                        [2048, 0, 30, 1, 1, 1, 1, 1],
                        [1536, 0, 30, 1, 1, 1, 1, 1],
                        [1024, 0, 30, 1, 1, 1, 1, 1],
                        [768, 0, 30, 1, 1, 1, 1, 1],
                        [512, 0, 20, 1, 1, 1, 1, 1],
                        [384, 0, 15, 1, 1, 1, 1, 1],
                        [256, 0, 10, 1, 1, 1, 1, 1],
                        [128, 0, 7.5, 1, 1, 1, 1, 1],
                        [64, 0, 3, 1, 1, 1, 1, 1]
                    ]
                ],
                // <2-01>QVGA
                [
                    // <5-0>画質優先(SF)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 1, 1, 1],
                        [3072, 0, 30, 1, 1, 1, 1, 1],
                        [2048, 0, 30, 1, 1, 1, 1, 1],
                        [1536, 0, 20, 1, 1, 1, 1, 1],
                        [1024, 0, 15, 1, 1, 1, 1, 1],
                        [768, 0, 15, 1, 1, 1, 1, 1],
                        [512, 0, 10, 1, 1, 1, 1, 1],
                        [384, 0, 7.5, 1, 1, 1, 1, 1],
                        [256, 0, 5, 1, 1, 1, 1, 1],
                        [128, 0, 2, 1, 1, 1, 1, 1],
                        [64, 0, 1, 1, 1, 1, 1, 1]
                    ],
                    // <5-1>標準(FQ)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 1, 1, 1],
                        [3072, 0, 30, 1, 1, 1, 1, 1],
                        [2048, 0, 30, 1, 1, 1, 1, 1],
                        [1536, 0, 30, 1, 1, 1, 1, 1],
                        [1024, 0, 30, 1, 1, 1, 1, 1],
                        [768, 0, 30, 1, 1, 1, 1, 1],
                        [512, 0, 25, 1, 1, 1, 1, 1],
                        [384, 0, 20, 1, 1, 1, 1, 1],
                        [256, 0, 15, 1, 1, 1, 1, 1],
                        [128, 0, 10, 1, 1, 1, 1, 1],
                        [64, 0, 5, 1, 1, 1, 1, 1]
                    ],
                    // <5-2>動き優先(NQ)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 1, 1, 1],
                        [3072, 0, 30, 1, 1, 1, 1, 1],
                        [2048, 0, 30, 1, 1, 1, 1, 1],
                        [1536, 0, 30, 1, 1, 1, 1, 1],
                        [1024, 0, 30, 1, 1, 1, 1, 1],
                        [768, 0, 30, 1, 1, 1, 1, 1],
                        [512, 0, 30, 1, 1, 1, 1, 1],
                        [384, 0, 30, 1, 1, 1, 1, 1],
                        [256, 0, 25, 1, 1, 1, 1, 1],
                        [128, 0, 15, 1, 1, 1, 1, 1],
                        [64, 0, 10, 1, 1, 1, 1, 1]
                    ]
                ],
                // <2-02>HVGAW
                [
                    // <5-0>画質優先(SF)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 22.5, 1, 1, 1, 1, 1],
                        [3072, 0, 20, 1, 1, 1, 1, 1],
                        [2048, 0, 15, 1, 1, 1, 1, 1],
                        [1536, 0, 15, 1, 1, 1, 1, 1],
                        [1024, 0, 10, 1, 1, 1, 1, 1],
                        [768, 0, 7.5, 1, 1, 1, 1, 1],
                        [512, 0, 5, 1, 1, 1, 1, 1],
                        [384, 0, 3, 1, 1, 1, 1, 1],
                        [256, 0, 2, 1, 1, 1, 1, 1],
                        [128, 0, 1, 1, 1, 1, 1, 1],
                        [64, 0, 1, 1, 1, 1, 1, 1]
                    ],
                    // <5-1>標準(FQ)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 1, 1, 1],
                        [3072, 0, 30, 1, 1, 1, 1, 1],
                        [2048, 0, 30, 1, 1, 1, 1, 1],
                        [1536, 0, 30, 1, 1, 1, 1, 1],
                        [1024, 0, 22.5, 1, 1, 1, 1, 1],
                        [768, 0, 20, 1, 1, 1, 1, 1],
                        [512, 0, 15, 1, 1, 1, 1, 1],
                        [384, 0, 10, 1, 1, 1, 1, 1],
                        [256, 0, 7.5, 1, 1, 1, 1, 1],
                        [128, 0, 5, 1, 1, 1, 1, 1],
                        [64, 0, 2, 1, 1, 1, 1, 1]
                    ],
                    // <5-2>動き優先(NQ)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 1, 1, 1],
                        [3072, 0, 30, 1, 1, 1, 1, 1],
                        [2048, 0, 30, 1, 1, 1, 1, 1],
                        [1536, 0, 30, 1, 1, 1, 1, 1],
                        [1024, 0, 30, 1, 1, 1, 1, 1],
                        [768, 0, 30, 1, 1, 1, 1, 1],
                        [512, 0, 20, 1, 1, 1, 1, 1],
                        [384, 0, 15, 1, 1, 1, 1, 1],
                        [256, 0, 10, 1, 1, 1, 1, 1],
                        [128, 0, 7.5, 1, 1, 1, 1, 1],
                        [64, 0, 3, 1, 1, 1, 1, 1]
                    ]
                ],
                // <2-03>180P
                [
                    // <5-0>画質優先(SF)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 1, 1, 1],
                        [3072, 0, 30, 1, 1, 1, 1, 1],
                        [2048, 0, 30, 1, 1, 1, 1, 1],
                        [1536, 0, 20, 1, 1, 1, 1, 1],
                        [1024, 0, 15, 1, 1, 1, 1, 1],
                        [768, 0, 15, 1, 1, 1, 1, 1],
                        [512, 0, 10, 1, 1, 1, 1, 1],
                        [384, 0, 7.5, 1, 1, 1, 1, 1],
                        [256, 0, 5, 1, 1, 1, 1, 1],
                        [128, 0, 2, 1, 1, 1, 1, 1],
                        [64, 0, 1, 1, 1, 1, 1, 1]
                    ],
                    // <5-1>標準(FQ)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 1, 1, 1],
                        [3072, 0, 30, 1, 1, 1, 1, 1],
                        [2048, 0, 30, 1, 1, 1, 1, 1],
                        [1536, 0, 30, 1, 1, 1, 1, 1],
                        [1024, 0, 30, 1, 1, 1, 1, 1],
                        [768, 0, 30, 1, 1, 1, 1, 1],
                        [512, 0, 25, 1, 1, 1, 1, 1],
                        [384, 0, 20, 1, 1, 1, 1, 1],
                        [256, 0, 15, 1, 1, 1, 1, 1],
                        [128, 0, 10, 1, 1, 1, 1, 1],
                        [64, 0, 5, 1, 1, 1, 1, 1]
                    ],
                    // <5-2>動き優先(NQ)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 1, 1, 1],
                        [3072, 0, 30, 1, 1, 1, 1, 1],
                        [2048, 0, 30, 1, 1, 1, 1, 1],
                        [1536, 0, 30, 1, 1, 1, 1, 1],
                        [1024, 0, 30, 1, 1, 1, 1, 1],
                        [768, 0, 30, 1, 1, 1, 1, 1],
                        [512, 0, 30, 1, 1, 1, 1, 1],
                        [384, 0, 30, 1, 1, 1, 1, 1],
                        [256, 0, 25, 1, 1, 1, 1, 1],
                        [128, 0, 15, 1, 1, 1, 1, 1],
                        [64, 0, 10, 1, 1, 1, 1, 1]
                    ]
                ]
            ],
            // <4-1>フレームレート優先
            [
                // <2-00>VGA
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 1, 1, 1],
                        [3072, 0, 30, 1, 1, 1, 1, 1],
                        [2048, 0, 30, 1, 1, 1, 1, 1],
                        [1536, 0, 30, 1, 1, 1, 1, 1],
                        [1024, 0, 30, 1, 1, 1, 1, 1],
                        [768, 0, 15, 1, 1, 1, 1, 1],
                        [512, 0, 5, 1, 1, 1, 1, 1],
                        [384, 0, 1, 1, 1, 1, 1, 1],
                        [256, 0, 0, 1, 1, 1, 1, 1],
                        [128, 0, 0, 1, 1, 1, 1, 1],
                        [64, 0, 0, 1, 1, 1, 1, 1]
                    ]
                ],
                // <2-01>QVGA
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 1, 1, 1],
                        [3072, 0, 30, 1, 1, 1, 1, 1],
                        [2048, 0, 30, 1, 1, 1, 1, 1],
                        [1536, 0, 30, 1, 1, 1, 1, 1],
                        [1024, 0, 30, 1, 1, 1, 1, 1],
                        [768, 0, 30, 1, 1, 1, 1, 1],
                        [512, 0, 30, 1, 1, 1, 1, 1],
                        [384, 0, 15, 1, 1, 1, 1, 1],
                        [256, 0, 7.5, 1, 1, 1, 1, 1],
                        [128, 0, 1, 1, 1, 1, 1, 1],
                        [64, 0, 0, 1, 1, 1, 1, 1]
                    ]
                ],
                // <2-02>HVGAW
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 1, 1, 1],
                        [3072, 0, 30, 1, 1, 1, 1, 1],
                        [2048, 0, 30, 1, 1, 1, 1, 1],
                        [1536, 0, 30, 1, 1, 1, 1, 1],
                        [1024, 0, 30, 1, 1, 1, 1, 1],
                        [768, 0, 15, 1, 1, 1, 1, 1],
                        [512, 0, 5, 1, 1, 1, 1, 1],
                        [384, 0, 1, 1, 1, 1, 1, 1],
                        [256, 0, 0, 1, 1, 1, 1, 1],
                        [128, 0, 0, 1, 1, 1, 1, 1],
                        [64, 0, 0, 1, 1, 1, 1, 1]
                    ]
                ],
                // <2-03>180P
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 1, 1, 1],
                        [3072, 0, 30, 1, 1, 1, 1, 1],
                        [2048, 0, 30, 1, 1, 1, 1, 1],
                        [1536, 0, 30, 1, 1, 1, 1, 1],
                        [1024, 0, 30, 1, 1, 1, 1, 1],
                        [768, 0, 30, 1, 1, 1, 1, 1],
                        [512, 0, 30, 1, 1, 1, 1, 1],
                        [384, 0, 15, 1, 1, 1, 1, 1],
                        [256, 0, 7.5, 1, 1, 1, 1, 1],
                        [128, 0, 1, 1, 1, 1, 1, 1],
                        [64, 0, 0, 1, 1, 1, 1, 1]
                    ]
                ]
            ],
            // <4-2>AdvancedVBR[高]
            [
                // <2-00>VGA
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 1, 1, 1],
                        [3072, 0, 30, 1, 1, 1, 1, 1],
                        [2048, 0, 30, 1, 1, 1, 1, 1],
                        [1536, 0, 30, 1, 1, 1, 1, 1],
                        [1024, 0, 30, 1, 1, 1, 1, 1],
                        [768, 0, 15, 1, 1, 1, 1, 1],
                        [512, 0, 5, 1, 1, 1, 1, 1],
                        [384, 0, 1, 1, 1, 1, 1, 1],
                        [256, 0, 0, 1, 1, 1, 1, 1],
                        [128, 0, 0, 1, 1, 1, 1, 1],
                        [64, 0, 0, 1, 1, 1, 1, 1]
                    ]
                ],
                // <2-01>QVGA
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 1, 1, 1],
                        [3072, 0, 30, 1, 1, 1, 1, 1],
                        [2048, 0, 30, 1, 1, 1, 1, 1],
                        [1536, 0, 30, 1, 1, 1, 1, 1],
                        [1024, 0, 30, 1, 1, 1, 1, 1],
                        [768, 0, 30, 1, 1, 1, 1, 1],
                        [512, 0, 30, 1, 1, 1, 1, 1],
                        [384, 0, 15, 1, 1, 1, 1, 1],
                        [256, 0, 7.5, 1, 1, 1, 1, 1],
                        [128, 0, 1, 1, 1, 1, 1, 1],
                        [64, 0, 0, 1, 1, 1, 1, 1]
                    ]
                ],
                // <2-02>HVGAW
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 1, 1, 1],
                        [3072, 0, 30, 1, 1, 1, 1, 1],
                        [2048, 0, 30, 1, 1, 1, 1, 1],
                        [1536, 0, 30, 1, 1, 1, 1, 1],
                        [1024, 0, 30, 1, 1, 1, 1, 1],
                        [768, 0, 15, 1, 1, 1, 1, 1],
                        [512, 0, 5, 1, 1, 1, 1, 1],
                        [384, 0, 1, 1, 1, 1, 1, 1],
                        [256, 0, 0, 1, 1, 1, 1, 1],
                        [128, 0, 0, 1, 1, 1, 1, 1],
                        [64, 0, 0, 1, 1, 1, 1, 1]
                    ]
                ],
                // <2-03>180P
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 1, 1, 1],
                        [3072, 0, 30, 1, 1, 1, 1, 1],
                        [2048, 0, 30, 1, 1, 1, 1, 1],
                        [1536, 0, 30, 1, 1, 1, 1, 1],
                        [1024, 0, 30, 1, 1, 1, 1, 1],
                        [768, 0, 30, 1, 1, 1, 1, 1],
                        [512, 0, 30, 1, 1, 1, 1, 1],
                        [384, 0, 15, 1, 1, 1, 1, 1],
                        [256, 0, 7.5, 1, 1, 1, 1, 1],
                        [128, 0, 1, 1, 1, 1, 1, 1],
                        [64, 0, 0, 1, 1, 1, 1, 1]
                    ]
                ]
            ],
            // <4-3>AdvancedVBR[中]
            [
                // <2-00>VGA
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 1, 1, 1],
                        [3072, 0, 30, 1, 1, 1, 1, 1],
                        [2048, 0, 30, 1, 1, 1, 1, 1],
                        [1536, 0, 30, 1, 1, 1, 1, 1],
                        [1024, 0, 30, 1, 1, 1, 1, 1],
                        [768, 0, 15, 1, 1, 1, 1, 1],
                        [512, 0, 5, 1, 1, 1, 1, 1],
                        [384, 0, 1, 1, 1, 1, 1, 1],
                        [256, 0, 0, 1, 1, 1, 1, 1],
                        [128, 0, 0, 1, 1, 1, 1, 1],
                        [64, 0, 0, 1, 1, 1, 1, 1]
                    ]
                ],
                // <2-01>QVGA
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 1, 1, 1],
                        [3072, 0, 30, 1, 1, 1, 1, 1],
                        [2048, 0, 30, 1, 1, 1, 1, 1],
                        [1536, 0, 30, 1, 1, 1, 1, 1],
                        [1024, 0, 30, 1, 1, 1, 1, 1],
                        [768, 0, 30, 1, 1, 1, 1, 1],
                        [512, 0, 30, 1, 1, 1, 1, 1],
                        [384, 0, 15, 1, 1, 1, 1, 1],
                        [256, 0, 7.5, 1, 1, 1, 1, 1],
                        [128, 0, 1, 1, 1, 1, 1, 1],
                        [64, 0, 0, 1, 1, 1, 1, 1]
                    ]
                ],
                // <2-02>HVGAW
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 1, 1, 1],
                        [3072, 0, 30, 1, 1, 1, 1, 1],
                        [2048, 0, 30, 1, 1, 1, 1, 1],
                        [1536, 0, 30, 1, 1, 1, 1, 1],
                        [1024, 0, 30, 1, 1, 1, 1, 1],
                        [768, 0, 15, 1, 1, 1, 1, 1],
                        [512, 0, 5, 1, 1, 1, 1, 1],
                        [384, 0, 1, 1, 1, 1, 1, 1],
                        [256, 0, 0, 1, 1, 1, 1, 1],
                        [128, 0, 0, 1, 1, 1, 1, 1],
                        [64, 0, 0, 1, 1, 1, 1, 1]
                    ]
                ],
                // <2-03>180P
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 1, 1, 1],
                        [3072, 0, 30, 1, 1, 1, 1, 1],
                        [2048, 0, 30, 1, 1, 1, 1, 1],
                        [1536, 0, 30, 1, 1, 1, 1, 1],
                        [1024, 0, 30, 1, 1, 1, 1, 1],
                        [768, 0, 30, 1, 1, 1, 1, 1],
                        [512, 0, 30, 1, 1, 1, 1, 1],
                        [384, 0, 15, 1, 1, 1, 1, 1],
                        [256, 0, 7.5, 1, 1, 1, 1, 1],
                        [128, 0, 1, 1, 1, 1, 1, 1],
                        [64, 0, 0, 1, 1, 1, 1, 1]
                    ]
                ]
            ],
            // <4-4>AdvancedVBR[低]
            [
                // <2-00>VGA
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 1, 1, 1],
                        [3072, 0, 30, 1, 1, 1, 1, 1],
                        [2048, 0, 30, 1, 1, 1, 1, 1],
                        [1536, 0, 30, 1, 1, 1, 1, 1],
                        [1024, 0, 30, 1, 1, 1, 1, 1],
                        [768, 0, 15, 1, 1, 1, 1, 1],
                        [512, 0, 5, 1, 1, 1, 1, 1],
                        [384, 0, 1, 1, 1, 1, 1, 1],
                        [256, 0, 0, 1, 1, 1, 1, 1],
                        [128, 0, 0, 1, 1, 1, 1, 1],
                        [64, 0, 0, 1, 1, 1, 1, 1]
                    ]
                ],
                // <2-01>QVGA
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 1, 1, 1],
                        [3072, 0, 30, 1, 1, 1, 1, 1],
                        [2048, 0, 30, 1, 1, 1, 1, 1],
                        [1536, 0, 30, 1, 1, 1, 1, 1],
                        [1024, 0, 30, 1, 1, 1, 1, 1],
                        [768, 0, 30, 1, 1, 1, 1, 1],
                        [512, 0, 30, 1, 1, 1, 1, 1],
                        [384, 0, 15, 1, 1, 1, 1, 1],
                        [256, 0, 7.5, 1, 1, 1, 1, 1],
                        [128, 0, 1, 1, 1, 1, 1, 1],
                        [64, 0, 0, 1, 1, 1, 1, 1]
                    ]
                ],
                // <2-02>HVGAW
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 1, 1, 1],
                        [3072, 0, 30, 1, 1, 1, 1, 1],
                        [2048, 0, 30, 1, 1, 1, 1, 1],
                        [1536, 0, 30, 1, 1, 1, 1, 1],
                        [1024, 0, 30, 1, 1, 1, 1, 1],
                        [768, 0, 15, 1, 1, 1, 1, 1],
                        [512, 0, 5, 1, 1, 1, 1, 1],
                        [384, 0, 1, 1, 1, 1, 1, 1],
                        [256, 0, 0, 1, 1, 1, 1, 1],
                        [128, 0, 0, 1, 1, 1, 1, 1],
                        [64, 0, 0, 1, 1, 1, 1, 1]
                    ]
                ],
                // <2-03>180P
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 1, 1, 1],
                        [3072, 0, 30, 1, 1, 1, 1, 1],
                        [2048, 0, 30, 1, 1, 1, 1, 1],
                        [1536, 0, 30, 1, 1, 1, 1, 1],
                        [1024, 0, 30, 1, 1, 1, 1, 1],
                        [768, 0, 30, 1, 1, 1, 1, 1],
                        [512, 0, 30, 1, 1, 1, 1, 1],
                        [384, 0, 15, 1, 1, 1, 1, 1],
                        [256, 0, 7.5, 1, 1, 1, 1, 1],
                        [128, 0, 1, 1, 1, 1, 1, 1],
                        [64, 0, 0, 1, 1, 1, 1, 1]
                    ]
                ]
            ]
        ]
    ],
    // ----------------------------------------------------
    // 【H.264-12】BB-HCM7**
    [
        // <3-0>1.3M
        [
            // <4-0>ビットレート優先
            [
                // <2-00>SXVGA
                [
                    // <5-0>--
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 5325, 30, 1, 1, 1, 1, 1],
                        [3072, 3994, 30, 1, 1, 1, 1, 1],
                        [2048, 2663, 15, 1, 1, 1, 1, 1],
                        [1536, 1997, 10, 1, 1, 1, 1, 1],
                        [1024, 1332, 5, 1, 1, 1, 1, 1],
                        [768, 999, 0, 1, 1, 1, 1, 1]
                    ]
                ],
                // <2-01>VGA
                [
                    // <5-0>--
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [2048, 2663, 30, 1, 1, 1, 1, 1],
                        [1536, 1997, 30, 1, 1, 1, 1, 1],
                        [1024, 1332, 15, 1, 1, 1, 1, 1],
                        [768, 999, 10, 1, 1, 1, 1, 1],
                        [512, 666, 5, 1, 1, 1, 1, 1]
                    ]
                ],
                // <2-02>QVGA
                [
                    // <5-0>--
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [1024, 1332, 30, 1, 1, 1, 1, 1],
                        [768, 999, 30, 1, 1, 1, 1, 1],
                        [512, 666, 15, 1, 1, 1, 1, 1],
                        [384, 500, 10, 1, 1, 1, 1, 1],
                        [256, 333, 5, 1, 1, 1, 1, 1],
                        [192, 250, 0, 1, 1, 1, 1, 1],
                        [128, 167, 0, 1, 1, 1, 1, 1],
                        [64, 84, 0, 1, 1, 1, 1, 1]
                    ]
                ]
            ]
        ]
    ]
];

/* *********************************************************************
 * ========== 2. JPEGカメラ情報 ==========
 *      Do not edit this section directly
 *       since generated from CamTable automatically.
********************************************************************* */
var camKind_Jpeg_Hd = 0;      //【JPEG-01】i-PRO SmartHD
var camKind_Jpeg_Sfv63 = 1;   //【JPEG-02】S**63*/S**53*
var camKind_Jpeg_Sfv61 = 2;   //【JPEG-03】S**61*/S**31*
var camKind_Jpeg_360 = 3;     //【JPEG-04】SF4**/SW4**
var camKind_Jpeg_9M = 4;      //【JPEG-05】SF*4**(4K/9M)
var camKind_Jpeg_FullHd = 5;  //【JPEG-06】i-PRO SmartHD(FullHD)
var camKind_Jpeg_502 = 6;     //【JPEG-07】NP502/NW502S
var camKind_Jpeg_Gxe = 7;     //【JPEG-08】GXE500/GXE100
var camKind_Jpeg_Np30 = 8;    //【JPEG-09】NP304/NF302
var camKind_Jpeg_Np1000 = 9;  //【JPEG-10】NP1000
var camKind_Jpeg_Other = 10;  //【JPEG-11】その他i-PRO
var camKind_Jpeg_Hcm7 = 11;   //【JPEG-12】BB-HCM7**
var camKind_Jpeg_Hcm5 = 12;   //【JPEG-13】BB-HCM5**/3**/1**

var camInfo_Jpeg = [
    // ----------------------------------------------------
    // 【JPEG-01】i-PRO SmartHD
    [
        // <1>型番
        [
            s_cammodel_jpeg_01
        ],
        // <3>撮像モード
        [
            // デフォルト値
            [
                0
            ],
            // <3-0>(1.3M)
            [
                // 名称ラベル
                [
                    s_camscan_jpeg_00
                ],
                // <2>解像度
                [
                    // デフォルト値
                    0,
                    // 値リスト
                    s_camreso_jpeg_01,
                    s_camreso_jpeg_02,
                    s_camreso_jpeg_03,
                    s_camreso_jpeg_05,
                    s_camreso_jpeg_06,
                    s_camreso_jpeg_07,
                    s_camreso_jpeg_08
                ]
            ]
        ]
    ],
    // ----------------------------------------------------
    // 【JPEG-02】S**63*/S**53*
    [
        // <1>型番
        [
            s_cammodel_jpeg_11
        ],
        // <3>撮像モード
        [
            // デフォルト値
            [
                0
            ],
            // <3-0>2M
            [
                // 名称ラベル
                [
                    s_camscan_jpeg_02
                ],
                // <2>解像度
                [
                    // デフォルト値
                    0,
                    // 値リスト
                    s_camreso_jpeg_10,
                    s_camreso_jpeg_01,
                    s_camreso_jpeg_08,
                    s_camreso_jpeg_02,
                    s_camreso_jpeg_11,
                    s_camreso_jpeg_03,
                    s_camreso_jpeg_12,
                    s_camreso_jpeg_04,
                    s_camreso_jpeg_05,
                    s_camreso_jpeg_06,
                    s_camreso_jpeg_07,
                    s_camreso_jpeg_13
                ]
            ],
            // <3-1>3M
            [
                // 名称ラベル
                [
                    s_camscan_jpeg_03
                ],
                // <2>解像度
                [
                    // デフォルト値
                    0,
                    // 値リスト
                    s_camreso_jpeg_09,
                    s_camreso_jpeg_01,
                    s_camreso_jpeg_08,
                    s_camreso_jpeg_02,
                    s_camreso_jpeg_11,
                    s_camreso_jpeg_03,
                    s_camreso_jpeg_12
                ]
            ]
        ]
    ],
    // ----------------------------------------------------
    // 【JPEG-03】S**61*/S**31*
    [
        // <1>型番
        [
            s_cammodel_jpeg_12
        ],
        // <3>撮像モード
        [
            // デフォルト値
            [
                0
            ],
            // <3-0>1.3M
            [
                // 名称ラベル
                [
                    s_camscan_jpeg_01
                ],
                // <2>解像度
                [
                    // デフォルト値
                    0,
                    // 値リスト
                    s_camreso_jpeg_01,
                    s_camreso_jpeg_08,
                    s_camreso_jpeg_02,
                    s_camreso_jpeg_11,
                    s_camreso_jpeg_03,
                    s_camreso_jpeg_12,
                    s_camreso_jpeg_05,
                    s_camreso_jpeg_06,
                    s_camreso_jpeg_07,
                    s_camreso_jpeg_13
                ]
            ]
        ]
    ],
    // ----------------------------------------------------
    // 【JPEG-04】SF4**/SW4**
    [
        // <1>型番
        [
            s_cammodel_jpeg_10
        ],
        // <3>撮像モード
        [
            // デフォルト値
            [
                2
            ],
            // <3-0>1M
            [
                // 名称ラベル
                [
                    s_camscan_jpeg_05
                ],
                // <2>解像度
                [
                    // デフォルト値
                    0,
                    // 値リスト
                    s_camreso_jpeg_05,
                    s_camreso_jpeg_06,
                    s_camreso_jpeg_07
                ]
            ],
            // <3-1>1.3M
            [
                // 名称ラベル
                [
                    s_camscan_jpeg_01
                ],
                // <2>解像度
                [
                    // デフォルト値
                    0,
                    // 値リスト
                    s_camreso_jpeg_01,
                    s_camreso_jpeg_02,
                    s_camreso_jpeg_03
                ]
            ],
            // <3-2>2M
            [
                // 名称ラベル
                [
                    s_camscan_jpeg_02
                ],
                // <2>解像度
                [
                    // デフォルト値
                    0,
                    // 値リスト
                    s_camreso_jpeg_04,
                    s_camreso_jpeg_06,
                    s_camreso_jpeg_07
                ]
            ],
            // <3-3>3M
            [
                // 名称ラベル
                [
                    s_camscan_jpeg_03
                ],
                // <2>解像度
                [
                    // デフォルト値
                    0,
                    // 値リスト
                    s_camreso_jpeg_09
                ]
            ],
            // <3-4>2モード
            [
                // 名称ラベル
                [
                    s_camscan_jpeg_06
                ],
                // <2>解像度
                [
                    // デフォルト値
                    0,
                    // 値リスト
                    s_camreso_jpeg_01,
                    s_camreso_jpeg_02,
                    s_camreso_jpeg_03,
                    s_camreso_jpeg_04,
                    s_camreso_jpeg_06,
                    s_camreso_jpeg_07
                ]
            ]
        ]
    ],
    // ----------------------------------------------------
    // 【JPEG-05】SF*4**(4K/9M)
    [
        // <1>型番
        [
            s_cammodel_jpeg_13
        ],
        // <3>撮像モード
        [
            // デフォルト値
            [
                0
            ],
            // <3-0>9M(FE)
            [
                // 名称ラベル
                [
                    s_camscan_jpeg_07
                ],
                // <2>解像度
                [
                    // デフォルト値
                    0,
                    // 値リスト
                    s_camreso_jpeg_15,
                    s_camreso_jpeg_18,
                    s_camreso_jpeg_19,
                    s_camreso_jpeg_20
                ]
            ],
            // <3-1>4M(FE)
            [
                // 名称ラベル
                [
                    s_camscan_jpeg_08
                ],
                // <2>解像度
                [
                    // デフォルト値
                    0,
                    // 値リスト
                    s_camreso_jpeg_17,
                    s_camreso_jpeg_18,
                    s_camreso_jpeg_19,
                    s_camreso_jpeg_20
                ]
            ],
            // <3-2>DP/P
            [
                // 名称ラベル
                [
                    s_camscan_jpeg_09
                ],
                // <2>解像度
                [
                    // デフォルト値
                    0,
                    // 値リスト
                    s_camreso_jpeg_14,
                    s_camreso_jpeg_04,
                    s_camreso_jpeg_05,
                    s_camreso_jpeg_06,
                    s_camreso_jpeg_07
                ]
            ],
            // <3-3>4PTZ/1PTZ
            [
                // 名称ラベル
                [
                    s_camscan_jpeg_14
                ],
                // <2>解像度
                [
                    // デフォルト値
                    0,
                    // 値リスト
                    s_camreso_jpeg_21,
                    s_camreso_jpeg_09,
                    s_camreso_jpeg_10,
                    s_camreso_jpeg_01,
                    s_camreso_jpeg_08,
                    s_camreso_jpeg_02,
                    s_camreso_jpeg_03
                ]
            ],
            // <3-4>8M(FE+DP/P)
            [
                // 名称ラベル
                [
                    s_camscan_jpeg_10
                ],
                // <2>解像度
                [
                    // デフォルト値
                    0,
                    // 値リスト
                    s_camreso_jpeg_16,
                    s_camreso_jpeg_18,
                    s_camreso_jpeg_19,
                    s_camreso_jpeg_20,
                    s_camreso_jpeg_05,
                    s_camreso_jpeg_06
                ]
            ],
            // <3-5>4M(FE+DP/P)
            [
                // 名称ラベル
                [
                    s_camscan_jpeg_11
                ],
                // <2>解像度
                [
                    // デフォルト値
                    0,
                    // 値リスト
                    s_camreso_jpeg_17,
                    s_camreso_jpeg_18,
                    s_camreso_jpeg_19,
                    s_camreso_jpeg_20,
                    s_camreso_jpeg_05,
                    s_camreso_jpeg_06
                ]
            ],
            // <3-6>8M(FE+4PTZ)
            [
                // 名称ラベル
                [
                    s_camscan_jpeg_12
                ],
                // <2>解像度
                [
                    // デフォルト値
                    0,
                    // 値リスト
                    s_camreso_jpeg_16,
                    s_camreso_jpeg_18,
                    s_camreso_jpeg_19,
                    s_camreso_jpeg_20,
                    s_camreso_jpeg_01,
                    s_camreso_jpeg_08,
                    s_camreso_jpeg_02
                ]
            ],
            // <3-7>4M(FE+4PTZ)
            [
                // 名称ラベル
                [
                    s_camscan_jpeg_13
                ],
                // <2>解像度
                [
                    // デフォルト値
                    0,
                    // 値リスト
                    s_camreso_jpeg_17,
                    s_camreso_jpeg_18,
                    s_camreso_jpeg_19,
                    s_camreso_jpeg_20,
                    s_camreso_jpeg_01,
                    s_camreso_jpeg_08,
                    s_camreso_jpeg_02
                ]
            ]
        ]
    ],
    // ----------------------------------------------------
    // 【JPEG-06】i-PRO SmartHD(FullHD)
    [
        // <1>型番
        [
            s_cammodel_jpeg_02
        ],
        // <3>撮像モード
        [
            // デフォルト値
            [
                0
            ],
            // <3-0>1.3M
            [
                // 名称ラベル
                [
                    s_camscan_jpeg_01
                ],
                // <2>解像度
                [
                    // デフォルト値
                    0,
                    // 値リスト
                    s_camreso_jpeg_01,
                    s_camreso_jpeg_02,
                    s_camreso_jpeg_03,
                    s_camreso_jpeg_05,
                    s_camreso_jpeg_06,
                    s_camreso_jpeg_07
                ]
            ],
            // <3-1>2M
            [
                // 名称ラベル
                [
                    s_camscan_jpeg_02
                ],
                // <2>解像度
                [
                    // デフォルト値
                    0,
                    // 値リスト
                    s_camreso_jpeg_04,
                    s_camreso_jpeg_06,
                    s_camreso_jpeg_07
                ]
            ],
            // <3-2>3M
            [
                // 名称ラベル
                [
                    s_camscan_jpeg_03
                ],
                // <2>解像度
                [
                    // デフォルト値
                    0,
                    // 値リスト
                    s_camreso_jpeg_09
                ]
            ]
        ]
    ],
    // ----------------------------------------------------
    // 【JPEG-07】NP502/NW502S
    [
        // <1>型番
        [
            s_cammodel_jpeg_03
        ],
        // <3>撮像モード
        [
            // デフォルト値
            [
                0
            ],
            // <3-0>1.3M
            [
                // 名称ラベル
                [
                    s_camscan_jpeg_01
                ],
                // <2>解像度
                [
                    // デフォルト値
                    0,
                    // 値リスト
                    s_camreso_jpeg_01,
                    s_camreso_jpeg_02,
                    s_camreso_jpeg_03,
                    s_camreso_jpeg_05,
                    s_camreso_jpeg_06,
                    s_camreso_jpeg_07,
                    s_camreso_jpeg_08
                ]
            ],
            // <3-1>3M
            [
                // 名称ラベル
                [
                    s_camscan_jpeg_03
                ],
                // <2>解像度
                [
                    // デフォルト値
                    1,
                    // 値リスト
                    s_camreso_jpeg_09,
                    s_camreso_jpeg_01,
                    s_camreso_jpeg_02,
                    s_camreso_jpeg_04,
                    s_camreso_jpeg_06,
                    s_camreso_jpeg_07
                ]
            ]
        ]
    ],
    // ----------------------------------------------------
    // 【JPEG-08】GXE500/GXE100
    [
        // <1>型番
        [
            s_cammodel_jpeg_04
        ],
        // <3>撮像モード
        [
            // デフォルト値
            [
                0
            ],
            // <3-0>(1.3M)
            [
                // 名称ラベル
                [
                    s_camscan_jpeg_00
                ],
                // <2>解像度
                [
                    // デフォルト値
                    0,
                    // 値リスト
                    s_camreso_jpeg_02,
                    s_camreso_jpeg_03
                ]
            ]
        ]
    ],
    // ----------------------------------------------------
    // 【JPEG-09】NP304/NF302
    [
        // <1>型番
        [
            s_cammodel_jpeg_05
        ],
        // <3>撮像モード
        [
            // デフォルト値
            [
                0
            ],
            // <3-0>(1.3M)
            [
                // 名称ラベル
                [
                    s_camscan_jpeg_00
                ],
                // <2>解像度
                [
                    // デフォルト値
                    0,
                    // 値リスト
                    s_camreso_jpeg_01,
                    s_camreso_jpeg_02,
                    s_camreso_jpeg_03
                ]
            ]
        ]
    ],
    // ----------------------------------------------------
    // 【JPEG-10】NP1000
    [
        // <1>型番
        [
            s_cammodel_jpeg_06
        ],
        // <3>撮像モード
        [
            // デフォルト値
            [
                0
            ],
            // <3-0>ﾌﾙｽｷｬﾝ
            [
                // 名称ラベル
                [
                    s_camscan_jpeg_04
                ],
                // <2>解像度
                [
                    // デフォルト値
                    0,
                    // 値リスト
                    s_camreso_jpeg_01,
                    s_camreso_jpeg_02,
                    s_camreso_jpeg_03
                ]
            ]
        ]
    ],
    // ----------------------------------------------------
    // 【JPEG-11】その他i-PRO
    [
        // <1>型番
        [
            s_cammodel_jpeg_07
        ],
        // <3>撮像モード
        [
            // デフォルト値
            [
                0
            ],
            // <3-0>(1.3M)
            [
                // 名称ラベル
                [
                    s_camscan_jpeg_00
                ],
                // <2>解像度
                [
                    // デフォルト値
                    0,
                    // 値リスト
                    s_camreso_jpeg_02,
                    s_camreso_jpeg_03
                ]
            ]
        ]
    ],
    // ----------------------------------------------------
    // 【JPEG-12】BB-HCM7**
    [
        // <1>型番
        [
            s_cammodel_jpeg_08
        ],
        // <3>撮像モード
        [
            // デフォルト値
            [
                0
            ],
            // <3-0>(1.3M)
            [
                // 名称ラベル
                [
                    s_camscan_jpeg_00
                ],
                // <2>解像度
                [
                    // デフォルト値
                    0,
                    // 値リスト
                    s_camreso_jpeg_01,
                    s_camreso_jpeg_02,
                    s_camreso_jpeg_03
                ]
            ]
        ]
    ],
    // ----------------------------------------------------
    // 【JPEG-13】BB-HCM5**/3**/1**
    [
        // <1>型番
        [
            s_cammodel_jpeg_09
        ],
        // <3>撮像モード
        [
            // デフォルト値
            [
                0
            ],
            // <3-0>(1.3M)
            [
                // 名称ラベル
                [
                    s_camscan_jpeg_00
                ],
                // <2>解像度
                [
                    // デフォルト値
                    0,
                    // 値リスト
                    s_camreso_jpeg_02,
                    s_camreso_jpeg_03
                ]
            ]
        ]
    ]
];

/* *********************************************************************
 * ========== JPEG画質情報 ==========
 *      Do not edit this section directly
 *       since generated from CamTable automatically.
********************************************************************* */

var camQuality_Jpeg = [
    // ----------------------------------------------------
    // 【JPEG-01】i-PRO SmartHD
    [
        // <3-0>(1.3M)
        [
            // <2-00>SXVGA
            [
                // デフォルト値
                [5],
                // 値リスト
                [s_camqual_jpeg_00, 288, 5, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_01, 256, 6, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_02, 224, 7, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_03, 192, 8, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_04, 160, 10, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_05, 128, 13, 1, 1, 1, 1, 1],
                [s_camqual_jpeg_06, 96, 17, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_07, 80, 21, 2, 1, 1, 1, 1],
                [s_camqual_jpeg_08, 64, 26, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_09, 48, 30, 3, 1, 1, 1, 1]
            ],
            // <2-01>VGA
            [
                // デフォルト値
                [5],
                // 値リスト
                [s_camqual_jpeg_00, 128, 14, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_01, 96, 19, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_02, 80, 23, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_03, 64, 29, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_04, 56, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_05, 48, 30, 1, 1, 1, 1, 1],
                [s_camqual_jpeg_06, 40, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_07, 32, 30, 2, 1, 1, 1, 1],
                [s_camqual_jpeg_08, 28, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_09, 24, 30, 3, 1, 1, 1, 1]
            ],
            // <2-02>QVGA
            [
                // デフォルト値
                [5],
                // 値リスト
                [s_camqual_jpeg_00, 44, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_01, 40, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_02, 36, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_03, 32, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_04, 28, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_05, 24, 30, 1, 1, 1, 1, 1],
                [s_camqual_jpeg_06, 20, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_07, 16, 30, 2, 1, 1, 1, 1],
                [s_camqual_jpeg_08, 14, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_09, 12, 30, 3, 1, 1, 1, 1]
            ],
            // <2-03>HD
            [
                // デフォルト値
                [5],
                // 値リスト
                [s_camqual_jpeg_00, 216, 7, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_01, 192, 8, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_02, 160, 10, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_03, 144, 12, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_04, 120, 15, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_05, 88, 20, 1, 1, 1, 1, 0],
                [s_camqual_jpeg_06, 72, 25, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_07, 56, 28, 2, 1, 1, 1, 0],
                [s_camqual_jpeg_08, 48, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_09, 32, 30, 3, 1, 1, 1, 0]
            ],
            // <2-04>HVGAW
            [
                // デフォルト値
                [5],
                // 値リスト
                [s_camqual_jpeg_00, 80, 22, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_01, 64, 27, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_02, 48, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_03, 42, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_04, 36, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_05, 30, 30, 1, 1, 1, 1, 0],
                [s_camqual_jpeg_06, 26, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_07, 22, 30, 2, 1, 1, 1, 0],
                [s_camqual_jpeg_08, 18, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_09, 16, 30, 3, 1, 1, 1, 0]
            ],
            // <2-05>180P
            [
                // デフォルト値
                [5],
                // 値リスト
                [s_camqual_jpeg_00, 33, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_01, 30, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_02, 27, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_03, 24, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_04, 21, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_05, 18, 30, 1, 1, 1, 1, 0],
                [s_camqual_jpeg_06, 15, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_07, 12, 30, 2, 1, 1, 1, 0],
                [s_camqual_jpeg_08, 9, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_09, 6, 30, 3, 1, 1, 1, 0]
            ],
            // <2-06>SVGA
            [
                // デフォルト値
                [5],
                // 値リスト
                [s_camqual_jpeg_00, 200, 5, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_01, 152, 6, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_02, 128, 7, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_03, 100, 8, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_04, 88, 10, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_05, 76, 13, 1, 1, 1, 1, 1],
                [s_camqual_jpeg_06, 64, 17, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_07, 52, 21, 2, 1, 1, 1, 1],
                [s_camqual_jpeg_08, 44, 26, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_09, 40, 30, 3, 1, 1, 1, 1]
            ]
        ]
    ],
    // ----------------------------------------------------
    // 【JPEG-02】S**63*/S**53*
    [
        // <3-0>2M
        [
            // <2-00>UXGA
            [
                // デフォルト値
                [5],
                // 値リスト
                [s_camqual_jpeg_00, 448, 12, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_01, 400, 15, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_02, 344, 15, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_03, 296, 20, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_04, 248, 25, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_05, 192, 30, 0, 1, 2, 2, 0],
                [s_camqual_jpeg_06, 144, 30, 0, 1, 2, 2, 0],
                [s_camqual_jpeg_07, 120, 30, 0, 1, 2, 2, 0],
                [s_camqual_jpeg_08, 96, 30, 0, 1, 2, 2, 0],
                [s_camqual_jpeg_09, 72, 30, 0, 1, 2, 2, 0]
            ],
            // <2-01>SXVGA
            [
                // デフォルト値
                [5],
                // 値リスト
                [s_camqual_jpeg_00, 288, 20, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_01, 256, 22.5, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_02, 224, 25, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_03, 192, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_04, 160, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_05, 128, 30, 1, 1, 1, 1, 1],
                [s_camqual_jpeg_06, 96, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_07, 80, 30, 2, 1, 1, 1, 1],
                [s_camqual_jpeg_08, 64, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_09, 48, 30, 3, 1, 1, 1, 1]
            ],
            // <2-02>SVGA
            [
                // デフォルト値
                [5],
                // 値リスト
                [s_camqual_jpeg_00, 176, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_01, 136, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_02, 112, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_03, 88, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_04, 72, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_05, 64, 30, 1, 1, 1, 1, 1],
                [s_camqual_jpeg_06, 56, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_07, 48, 30, 2, 1, 1, 1, 1],
                [s_camqual_jpeg_08, 40, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_09, 32, 30, 3, 1, 1, 1, 1]
            ],
            // <2-03>VGA
            [
                // デフォルト値
                [5],
                // 値リスト
                [s_camqual_jpeg_00, 116, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_01, 88, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_02, 72, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_03, 60, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_04, 52, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_05, 44, 30, 1, 1, 1, 1, 1],
                [s_camqual_jpeg_06, 36, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_07, 32, 30, 2, 1, 1, 1, 1],
                [s_camqual_jpeg_08, 28, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_09, 24, 30, 3, 1, 1, 1, 1]
            ],
            // <2-04>400x300
            [
                // デフォルト値
                [5],
                // 値リスト
                [s_camqual_jpeg_00, 64, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_01, 56, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_02, 44, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_03, 40, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_04, 32, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_05, 28, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_06, 24, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_07, 20, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_08, 16, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_09, 12, 30, 0, 1, 1, 1, 0]
            ],
            // <2-05>QVGA
            [
                // デフォルト値
                [5],
                // 値リスト
                [s_camqual_jpeg_00, 44, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_01, 40, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_02, 36, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_03, 32, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_04, 28, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_05, 24, 30, 1, 1, 1, 1, 1],
                [s_camqual_jpeg_06, 20, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_07, 16, 30, 2, 1, 1, 1, 1],
                [s_camqual_jpeg_08, 14, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_09, 8, 30, 3, 1, 1, 1, 1]
            ],
            // <2-06>QQVGA
            [
                // デフォルト値
                [5],
                // 値リスト
                [s_camqual_jpeg_00, 24, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_01, 20, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_02, 20, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_03, 16, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_04, 16, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_05, 12, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_06, 12, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_07, 8, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_08, 8, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_09, 4, 30, 0, 1, 1, 1, 0]
            ],
            // <2-07>FHD
            [
                // デフォルト値
                [5],
                // 値リスト
                [s_camqual_jpeg_00, 480, 10, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_01, 424, 12, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_02, 368, 12, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_03, 312, 15, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_04, 256, 20, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_05, 208, 25, 0, 1, 2, 2, 0],
                [s_camqual_jpeg_06, 160, 30, 0, 1, 2, 2, 0],
                [s_camqual_jpeg_07, 128, 30, 0, 1, 2, 2, 0],
                [s_camqual_jpeg_08, 104, 30, 0, 1, 2, 2, 0],
                [s_camqual_jpeg_09, 80, 30, 0, 1, 2, 2, 0]
            ],
            // <2-08>HD
            [
                // デフォルト値
                [5],
                // 値リスト
                [s_camqual_jpeg_00, 216, 22.5, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_01, 184, 25, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_02, 160, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_03, 136, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_04, 112, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_05, 88, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_06, 72, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_07, 56, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_08, 40, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_09, 32, 30, 0, 1, 1, 1, 0]
            ],
            // <2-09>HVGAW
            [
                // デフォルト値
                [5],
                // 値リスト
                [s_camqual_jpeg_00, 80, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_01, 64, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_02, 48, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_03, 44, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_04, 36, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_05, 32, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_06, 28, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_07, 24, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_08, 20, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_09, 16, 30, 0, 1, 1, 1, 0]
            ],
            // <2-10>180P
            [
                // デフォルト値
                [5],
                // 値リスト
                [s_camqual_jpeg_00, 36, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_01, 32, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_02, 28, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_03, 24, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_04, 24, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_05, 20, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_06, 16, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_07, 12, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_08, 12, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_09, 8, 30, 0, 1, 1, 1, 0]
            ],
            // <2-11>160x90
            [
                // デフォルト値
                [5],
                // 値リスト
                [s_camqual_jpeg_00, 20, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_01, 20, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_02, 16, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_03, 16, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_04, 12, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_05, 12, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_06, 8, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_07, 8, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_08, 4, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_09, 4, 30, 0, 1, 1, 1, 0]
            ]
        ],
        // <3-1>3M
        [
            // <2-00>QXGA
            [
                // デフォルト値
                [5],
                // 値リスト
                [s_camqual_jpeg_00, 736, 7.5, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_01, 656, 7.5, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_02, 568, 10, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_03, 488, 12, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_04, 408, 15, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_05, 320, 15, 1, 1, 0, 0, 1],
                [s_camqual_jpeg_06, 240, 25, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_07, 200, 30, 2, 1, 0, 0, 1],
                [s_camqual_jpeg_08, 160, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_09, 120, 30, 3, 1, 0, 0, 1]
            ],
            // <2-01>SXVGA
            [
                // デフォルト値
                [5],
                // 値リスト
                [s_camqual_jpeg_00, 288, 20, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_01, 256, 22.5, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_02, 224, 25, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_03, 192, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_04, 160, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_05, 128, 30, 1, 1, 1, 1, 1],
                [s_camqual_jpeg_06, 96, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_07, 80, 30, 2, 1, 1, 1, 1],
                [s_camqual_jpeg_08, 64, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_09, 48, 30, 3, 1, 1, 1, 1]
            ],
            // <2-02>SVGA
            [
                // デフォルト値
                [5],
                // 値リスト
                [s_camqual_jpeg_00, 176, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_01, 136, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_02, 112, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_03, 88, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_04, 72, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_05, 64, 30, 1, 1, 1, 1, 1],
                [s_camqual_jpeg_06, 56, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_07, 48, 30, 2, 1, 1, 1, 1],
                [s_camqual_jpeg_08, 40, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_09, 32, 30, 3, 1, 1, 1, 1]
            ],
            // <2-03>VGA
            [
                // デフォルト値
                [5],
                // 値リスト
                [s_camqual_jpeg_00, 116, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_01, 88, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_02, 72, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_03, 60, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_04, 52, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_05, 44, 30, 1, 1, 1, 1, 1],
                [s_camqual_jpeg_06, 36, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_07, 32, 30, 2, 1, 1, 1, 1],
                [s_camqual_jpeg_08, 28, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_09, 24, 30, 3, 1, 1, 1, 1]
            ],
            // <2-04>400x300
            [
                // デフォルト値
                [5],
                // 値リスト
                [s_camqual_jpeg_00, 64, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_01, 56, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_02, 44, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_03, 40, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_04, 32, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_05, 28, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_06, 24, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_07, 20, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_08, 16, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_09, 12, 30, 0, 1, 1, 1, 0]
            ],
            // <2-05>QVGA
            [
                // デフォルト値
                [5],
                // 値リスト
                [s_camqual_jpeg_00, 44, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_01, 40, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_02, 36, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_03, 32, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_04, 28, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_05, 24, 30, 1, 1, 1, 1, 1],
                [s_camqual_jpeg_06, 20, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_07, 16, 30, 2, 1, 1, 1, 1],
                [s_camqual_jpeg_08, 14, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_09, 8, 30, 3, 1, 1, 1, 1]
            ],
            // <2-06>QQVGA
            [
                // デフォルト値
                [5],
                // 値リスト
                [s_camqual_jpeg_00, 24, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_01, 20, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_02, 20, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_03, 16, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_04, 16, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_05, 12, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_06, 12, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_07, 8, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_08, 8, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_09, 4, 30, 0, 1, 1, 1, 0]
            ]
        ]
    ],
    // ----------------------------------------------------
    // 【JPEG-03】S**61*/S**31*
    [
        // <3-0>1.3M
        [
            // <2-00>SXVGA
            [
                // デフォルト値
                [5],
                // 値リスト
                [s_camqual_jpeg_00, 288, 20, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_01, 256, 22.5, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_02, 224, 25, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_03, 192, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_04, 160, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_05, 128, 30, 1, 1, 1, 1, 1],
                [s_camqual_jpeg_06, 96, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_07, 80, 30, 2, 1, 1, 1, 1],
                [s_camqual_jpeg_08, 64, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_09, 48, 30, 3, 1, 1, 1, 1]
            ],
            // <2-01>SVGA
            [
                // デフォルト値
                [5],
                // 値リスト
                [s_camqual_jpeg_00, 176, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_01, 136, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_02, 112, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_03, 88, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_04, 72, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_05, 64, 30, 1, 1, 1, 1, 1],
                [s_camqual_jpeg_06, 56, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_07, 48, 30, 2, 1, 1, 1, 1],
                [s_camqual_jpeg_08, 40, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_09, 32, 30, 3, 1, 1, 1, 1]
            ],
            // <2-02>VGA
            [
                // デフォルト値
                [5],
                // 値リスト
                [s_camqual_jpeg_00, 116, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_01, 88, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_02, 72, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_03, 60, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_04, 52, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_05, 44, 30, 1, 1, 1, 1, 1],
                [s_camqual_jpeg_06, 36, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_07, 32, 30, 2, 1, 1, 1, 1],
                [s_camqual_jpeg_08, 28, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_09, 24, 30, 3, 1, 1, 1, 1]
            ],
            // <2-03>400x300
            [
                // デフォルト値
                [5],
                // 値リスト
                [s_camqual_jpeg_00, 64, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_01, 56, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_02, 44, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_03, 40, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_04, 32, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_05, 28, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_06, 24, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_07, 20, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_08, 16, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_09, 12, 30, 0, 1, 1, 1, 0]
            ],
            // <2-04>QVGA
            [
                // デフォルト値
                [5],
                // 値リスト
                [s_camqual_jpeg_00, 44, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_01, 40, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_02, 36, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_03, 32, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_04, 28, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_05, 24, 30, 1, 1, 1, 1, 1],
                [s_camqual_jpeg_06, 20, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_07, 16, 30, 2, 1, 1, 1, 1],
                [s_camqual_jpeg_08, 14, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_09, 8, 30, 3, 1, 1, 1, 1]
            ],
            // <2-05>QQVGA
            [
                // デフォルト値
                [5],
                // 値リスト
                [s_camqual_jpeg_00, 24, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_01, 20, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_02, 20, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_03, 16, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_04, 16, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_05, 12, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_06, 12, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_07, 8, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_08, 8, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_09, 4, 30, 0, 1, 1, 1, 0]
            ],
            // <2-06>HD
            [
                // デフォルト値
                [5],
                // 値リスト
                [s_camqual_jpeg_00, 216, 22.5, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_01, 184, 25, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_02, 160, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_03, 136, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_04, 112, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_05, 88, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_06, 72, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_07, 56, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_08, 40, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_09, 32, 30, 0, 1, 1, 1, 0]
            ],
            // <2-07>HVGAW
            [
                // デフォルト値
                [5],
                // 値リスト
                [s_camqual_jpeg_00, 80, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_01, 64, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_02, 48, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_03, 44, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_04, 36, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_05, 32, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_06, 28, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_07, 24, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_08, 20, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_09, 16, 30, 0, 1, 1, 1, 0]
            ],
            // <2-08>180P
            [
                // デフォルト値
                [5],
                // 値リスト
                [s_camqual_jpeg_00, 36, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_01, 32, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_02, 28, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_03, 24, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_04, 24, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_05, 20, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_06, 16, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_07, 12, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_08, 12, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_09, 8, 30, 0, 1, 1, 1, 0]
            ],
            // <2-09>160x90
            [
                // デフォルト値
                [5],
                // 値リスト
                [s_camqual_jpeg_00, 20, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_01, 20, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_02, 16, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_03, 16, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_04, 12, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_05, 12, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_06, 8, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_07, 8, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_08, 4, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_09, 4, 30, 0, 1, 1, 1, 0]
            ]
        ]
    ],
    // ----------------------------------------------------
    // 【JPEG-04】SF4**/SW4**
    [
        // <3-0>1M
        [
            // <2-00>HD
            [
                // デフォルト値
                [5],
                // 値リスト
                [s_camqual_jpeg_00, 216, 14, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_01, 192, 16, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_02, 160, 19, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_03, 144, 22, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_04, 120, 26, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_05, 88, 30, 1, 1, 0, 0, 0],
                [s_camqual_jpeg_06, 72, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_07, 56, 30, 2, 1, 0, 0, 0],
                [s_camqual_jpeg_08, 48, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_09, 32, 30, 3, 1, 0, 0, 0]
            ],
            // <2-01>HVGAW
            [
                // デフォルト値
                [5],
                // 値リスト
                [s_camqual_jpeg_00, 80, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_01, 64, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_02, 48, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_03, 40, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_04, 32, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_05, 32, 30, 1, 1, 0, 0, 0],
                [s_camqual_jpeg_06, 24, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_07, 16, 30, 2, 1, 0, 0, 0],
                [s_camqual_jpeg_08, 16, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_09, 16, 30, 3, 1, 0, 0, 0]
            ],
            // <2-02>180P
            [
                // デフォルト値
                [5],
                // 値リスト
                [s_camqual_jpeg_00, 32, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_01, 24, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_02, 24, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_03, 24, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_04, 16, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_05, 16, 30, 1, 1, 0, 0, 0],
                [s_camqual_jpeg_06, 8, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_07, 8, 30, 2, 1, 0, 0, 0],
                [s_camqual_jpeg_08, 8, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_09, 8, 30, 3, 1, 0, 0, 0]
            ]
        ],
        // <3-1>1.3M
        [
            // <2-00>SXVGA
            [
                // デフォルト値
                [5],
                // 値リスト
                [s_camqual_jpeg_00, 288, 11, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_01, 256, 12, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_02, 224, 14, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_03, 192, 16, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_04, 160, 19, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_05, 128, 24, 1, 1, 0, 0, 1],
                [s_camqual_jpeg_06, 96, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_07, 80, 30, 2, 1, 0, 0, 1],
                [s_camqual_jpeg_08, 64, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_09, 48, 30, 3, 1, 0, 0, 1]
            ],
            // <2-01>VGA
            [
                // デフォルト値
                [5],
                // 値リスト
                [s_camqual_jpeg_00, 128, 27, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_01, 96, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_02, 80, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_03, 64, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_04, 56, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_05, 48, 30, 1, 1, 0, 0, 1],
                [s_camqual_jpeg_06, 40, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_07, 32, 30, 2, 1, 0, 0, 1],
                [s_camqual_jpeg_08, 28, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_09, 24, 30, 3, 1, 0, 0, 1]
            ],
            // <2-02>QVGA
            [
                // デフォルト値
                [5],
                // 値リスト
                [s_camqual_jpeg_00, 44, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_01, 40, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_02, 36, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_03, 32, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_04, 28, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_05, 24, 30, 1, 1, 0, 0, 1],
                [s_camqual_jpeg_06, 20, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_07, 16, 30, 2, 1, 0, 0, 1],
                [s_camqual_jpeg_08, 14, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_09, 12, 30, 3, 1, 0, 0, 1]
            ]
        ],
        // <3-2>2M
        [
            // <2-00>FHD
            [
                // デフォルト値
                [5],
                // 値リスト
                [s_camqual_jpeg_00, 480, 6, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_01, 432, 7, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_02, 376, 8, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_03, 320, 9, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_04, 264, 12, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_05, 208, 15, 1, 1, 0, 0, 0],
                [s_camqual_jpeg_06, 160, 19, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_07, 128, 24, 2, 1, 0, 0, 0],
                [s_camqual_jpeg_08, 104, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_09, 80, 30, 3, 1, 0, 0, 0]
            ],
            // <2-01>HVGAW
            [
                // デフォルト値
                [5],
                // 値リスト
                [s_camqual_jpeg_00, 80, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_01, 64, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_02, 48, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_03, 40, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_04, 32, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_05, 32, 30, 1, 1, 0, 0, 0],
                [s_camqual_jpeg_06, 24, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_07, 16, 30, 2, 1, 0, 0, 0],
                [s_camqual_jpeg_08, 16, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_09, 16, 30, 3, 1, 0, 0, 0]
            ],
            // <2-02>180P
            [
                // デフォルト値
                [5],
                // 値リスト
                [s_camqual_jpeg_00, 32, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_01, 24, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_02, 24, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_03, 24, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_04, 16, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_05, 16, 30, 1, 1, 0, 0, 0],
                [s_camqual_jpeg_06, 8, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_07, 8, 30, 2, 1, 0, 0, 0],
                [s_camqual_jpeg_08, 8, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_09, 8, 30, 3, 1, 0, 0, 0]
            ]
        ],
        // <3-3>3M
        [
            // <2-00>QXGA
            [
                // デフォルト値
                [5],
                // 値リスト
                [s_camqual_jpeg_00, 736, 4, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_01, 656, 4, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_02, 568, 5, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_03, 488, 6, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_04, 408, 7, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_05, 320, 9, 1, 1, 0, 0, 1],
                [s_camqual_jpeg_06, 240, 13, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_07, 200, 15, 2, 1, 0, 0, 1],
                [s_camqual_jpeg_08, 160, 15, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_09, 120, 15, 3, 1, 0, 0, 1]
            ]
        ],
        // <3-4>2モード
        [
            // <2-00>SXVGA
            [
                // デフォルト値
                [5],
                // 値リスト
                [s_camqual_jpeg_00, 288, 11, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_01, 256, 12, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_02, 224, 14, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_03, 192, 16, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_04, 160, 19, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_05, 128, 24, 1, 1, 0, 0, 0],
                [s_camqual_jpeg_06, 96, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_07, 80, 30, 2, 1, 0, 0, 0],
                [s_camqual_jpeg_08, 64, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_09, 48, 30, 3, 1, 0, 0, 0]
            ],
            // <2-01>VGA
            [
                // デフォルト値
                [5],
                // 値リスト
                [s_camqual_jpeg_00, 128, 27, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_01, 96, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_02, 80, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_03, 64, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_04, 56, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_05, 48, 30, 1, 1, 0, 0, 0],
                [s_camqual_jpeg_06, 40, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_07, 32, 30, 2, 1, 0, 0, 0],
                [s_camqual_jpeg_08, 28, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_09, 24, 30, 3, 1, 0, 0, 0]
            ],
            // <2-02>QVGA
            [
                // デフォルト値
                [5],
                // 値リスト
                [s_camqual_jpeg_00, 44, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_01, 40, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_02, 36, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_03, 32, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_04, 28, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_05, 24, 30, 1, 1, 0, 0, 0],
                [s_camqual_jpeg_06, 20, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_07, 16, 30, 2, 1, 0, 0, 0],
                [s_camqual_jpeg_08, 14, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_09, 12, 30, 3, 1, 0, 0, 0]
            ],
            // <2-03>FHD
            [
                // デフォルト値
                [5],
                // 値リスト
                [s_camqual_jpeg_00, 480, 6, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_01, 432, 7, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_02, 376, 8, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_03, 320, 9, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_04, 264, 12, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_05, 208, 15, 1, 1, 0, 0, 0],
                [s_camqual_jpeg_06, 160, 19, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_07, 128, 24, 2, 1, 0, 0, 0],
                [s_camqual_jpeg_08, 104, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_09, 80, 30, 3, 1, 0, 0, 0]
            ],
            // <2-04>HVGAW
            [
                // デフォルト値
                [5],
                // 値リスト
                [s_camqual_jpeg_00, 80, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_01, 64, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_02, 48, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_03, 40, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_04, 32, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_05, 32, 30, 1, 1, 0, 0, 0],
                [s_camqual_jpeg_06, 24, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_07, 16, 30, 2, 1, 0, 0, 0],
                [s_camqual_jpeg_08, 16, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_09, 16, 30, 3, 1, 0, 0, 0]
            ],
            // <2-05>180P
            [
                // デフォルト値
                [5],
                // 値リスト
                [s_camqual_jpeg_00, 32, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_01, 24, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_02, 24, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_03, 24, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_04, 16, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_05, 16, 30, 1, 1, 0, 0, 0],
                [s_camqual_jpeg_06, 8, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_07, 8, 30, 2, 1, 0, 0, 0],
                [s_camqual_jpeg_08, 8, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_09, 8, 30, 3, 1, 0, 0, 0]
            ]
        ]
    ],
    // ----------------------------------------------------
    // 【JPEG-05】SF*4**(4K/9M)
    [
        // <3-0>9M(FE)
        [
            // <2-00>2992x2992
            [
                // デフォルト値
                [5],
                // 値リスト
                [s_camqual_jpeg_00, 1170, 3, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_01, 1040, 5, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_02, 936, 5, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_03, 792, 6, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_04, 648, 7.5, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_05, 488, 10, 1, 1, 0, 0, 1],
                [s_camqual_jpeg_06, 352, 12, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_07, 312, 15, 2, 1, 0, 0, 1],
                [s_camqual_jpeg_08, 296, 15, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_09, 264, 15, 3, 1, 0, 0, 1]
            ],
            // <2-01>1280x1280
            [
                // デフォルト値
                [5],
                // 値リスト
                [s_camqual_jpeg_00, 384, 12, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_01, 336, 15, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_02, 296, 15, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_03, 256, 20, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_04, 208, 22.5, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_05, 168, 30, 1, 1, 0, 0, 1],
                [s_camqual_jpeg_06, 128, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_07, 104, 30, 2, 1, 0, 0, 1],
                [s_camqual_jpeg_08, 80, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_09, 64, 30, 3, 1, 0, 0, 1]
            ],
            // <2-02>640x640
            [
                // デフォルト値
                [5],
                // 値リスト
                [s_camqual_jpeg_00, 152, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_01, 112, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_02, 96, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_03, 72, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_04, 64, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_05, 56, 30, 1, 1, 0, 0, 0],
                [s_camqual_jpeg_06, 48, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_07, 32, 30, 2, 1, 0, 0, 0],
                [s_camqual_jpeg_08, 32, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_09, 24, 30, 3, 1, 0, 0, 0]
            ],
            // <2-03>320x320
            [
                // デフォルト値
                [5],
                // 値リスト
                [s_camqual_jpeg_00, 54, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_01, 50, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_02, 44, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_03, 39, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_04, 34, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_05, 29, 30, 1, 1, 0, 0, 0],
                [s_camqual_jpeg_06, 25, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_07, 21, 30, 2, 1, 0, 0, 0],
                [s_camqual_jpeg_08, 17, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_09, 12, 30, 3, 1, 0, 0, 0]
            ]
        ],
        // <3-1>4M(FE)
        [
            // <2-00>2048x2048
            [
                // デフォルト値
                [5],
                // 値リスト
                [s_camqual_jpeg_00, 750, 6, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_01, 690, 7.5, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_02, 624, 7.5, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_03, 536, 7.5, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_04, 448, 10, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_05, 352, 12, 1, 1, 0, 0, 1],
                [s_camqual_jpeg_06, 256, 20, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_07, 216, 22.5, 2, 1, 0, 0, 1],
                [s_camqual_jpeg_08, 184, 25, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_09, 144, 30, 3, 1, 0, 0, 1]
            ],
            // <2-01>1280x1280
            [
                // デフォルト値
                [5],
                // 値リスト
                [s_camqual_jpeg_00, 384, 12, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_01, 336, 15, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_02, 296, 15, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_03, 256, 20, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_04, 208, 22.5, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_05, 168, 30, 1, 1, 0, 0, 1],
                [s_camqual_jpeg_06, 128, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_07, 104, 30, 2, 1, 0, 0, 1],
                [s_camqual_jpeg_08, 80, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_09, 64, 30, 3, 1, 0, 0, 1]
            ],
            // <2-02>640x640
            [
                // デフォルト値
                [5],
                // 値リスト
                [s_camqual_jpeg_00, 152, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_01, 112, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_02, 96, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_03, 72, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_04, 64, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_05, 56, 30, 1, 1, 0, 0, 0],
                [s_camqual_jpeg_06, 48, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_07, 32, 30, 2, 1, 0, 0, 0],
                [s_camqual_jpeg_08, 32, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_09, 24, 30, 3, 1, 0, 0, 0]
            ],
            // <2-03>320x320
            [
                // デフォルト値
                [5],
                // 値リスト
                [s_camqual_jpeg_00, 54, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_01, 50, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_02, 44, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_03, 39, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_04, 34, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_05, 29, 30, 1, 1, 0, 0, 0],
                [s_camqual_jpeg_06, 25, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_07, 21, 30, 2, 1, 0, 0, 0],
                [s_camqual_jpeg_08, 17, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_09, 12, 30, 3, 1, 0, 0, 0]
            ]
        ],
        // <3-2>DP/P
        [
            // <2-00>WQHD
            [
                // デフォルト値
                [5],
                // 値リスト
                [s_camqual_jpeg_00, 710, 6, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_01, 690, 7.5, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_02, 648, 7.5, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_03, 552, 7.5, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_04, 448, 10, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_05, 368, 12, 1, 1, 0, 0, 0],
                [s_camqual_jpeg_06, 280, 15, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_07, 224, 15, 2, 1, 0, 0, 0],
                [s_camqual_jpeg_08, 184, 15, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_09, 136, 15, 3, 1, 0, 0, 0]
            ],
            // <2-01>FHD
            [
                // デフォルト値
                [5],
                // 値リスト
                [s_camqual_jpeg_00, 480, 10, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_01, 424, 12, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_02, 368, 12, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_03, 312, 15, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_04, 256, 20, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_05, 208, 25, 1, 1, 0, 0, 0],
                [s_camqual_jpeg_06, 160, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_07, 128, 30, 2, 1, 0, 0, 0],
                [s_camqual_jpeg_08, 104, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_09, 80, 30, 3, 1, 0, 0, 0]
            ],
            // <2-02>HD
            [
                // デフォルト値
                [5],
                // 値リスト
                [s_camqual_jpeg_00, 216, 22.5, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_01, 184, 25, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_02, 160, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_03, 136, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_04, 112, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_05, 88, 30, 1, 1, 0, 0, 0],
                [s_camqual_jpeg_06, 72, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_07, 56, 30, 2, 1, 0, 0, 0],
                [s_camqual_jpeg_08, 40, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_09, 32, 30, 3, 1, 0, 0, 0]
            ],
            // <2-03>HVGAW
            [
                // デフォルト値
                [5],
                // 値リスト
                [s_camqual_jpeg_00, 80, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_01, 64, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_02, 48, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_03, 42, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_04, 36, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_05, 30, 30, 1, 1, 0, 0, 0],
                [s_camqual_jpeg_06, 26, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_07, 22, 30, 2, 1, 0, 0, 0],
                [s_camqual_jpeg_08, 18, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_09, 16, 30, 3, 1, 0, 0, 0]
            ],
            // <2-04>180P
            [
                // デフォルト値
                [5],
                // 値リスト
                [s_camqual_jpeg_00, 33, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_01, 30, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_02, 27, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_03, 24, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_04, 21, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_05, 18, 30, 1, 1, 0, 0, 0],
                [s_camqual_jpeg_06, 15, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_07, 12, 30, 2, 1, 0, 0, 0],
                [s_camqual_jpeg_08, 9, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_09, 6, 30, 3, 1, 0, 0, 0]
            ]
        ],
        // <3-3>4PTZ/1PTZ
        [
            // <2-00>2560x1920
            [
                // デフォルト値
                [5],
                // 値リスト
                [s_camqual_jpeg_00, 878, 5, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_01, 800, 6, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_02, 736, 6, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_03, 632, 7.5, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_04, 528, 7.5, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_05, 408, 10, 1, 1, 0, 0, 0],
                [s_camqual_jpeg_06, 304, 15, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_07, 256, 15, 2, 1, 0, 0, 0],
                [s_camqual_jpeg_08, 216, 15, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_09, 168, 15, 3, 1, 0, 0, 0]
            ],
            // <2-01>QXGA
            [
                // デフォルト値
                [5],
                // 値リスト
                [s_camqual_jpeg_00, 736, 7.5, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_01, 656, 7.5, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_02, 568, 10, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_03, 488, 12, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_04, 408, 15, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_05, 320, 15, 1, 1, 0, 0, 0],
                [s_camqual_jpeg_06, 240, 25, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_07, 200, 30, 2, 1, 0, 0, 0],
                [s_camqual_jpeg_08, 160, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_09, 120, 30, 3, 1, 0, 0, 0]
            ],
            // <2-02>UXGA
            [
                // デフォルト値
                [5],
                // 値リスト
                [s_camqual_jpeg_00, 448, 12, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_01, 400, 15, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_02, 344, 15, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_03, 296, 20, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_04, 248, 25, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_05, 192, 30, 1, 1, 0, 0, 0],
                [s_camqual_jpeg_06, 144, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_07, 120, 30, 2, 1, 0, 0, 0],
                [s_camqual_jpeg_08, 96, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_09, 72, 30, 3, 1, 0, 0, 0]
            ],
            // <2-03>SXVGA
            [
                // デフォルト値
                [5],
                // 値リスト
                [s_camqual_jpeg_00, 288, 20, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_01, 256, 22.5, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_02, 224, 25, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_03, 192, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_04, 160, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_05, 128, 30, 1, 1, 0, 0, 0],
                [s_camqual_jpeg_06, 96, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_07, 80, 30, 2, 1, 0, 0, 0],
                [s_camqual_jpeg_08, 64, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_09, 48, 30, 3, 1, 0, 0, 0]
            ],
            // <2-04>SVGA
            [
                // デフォルト値
                [5],
                // 値リスト
                [s_camqual_jpeg_00, 176, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_01, 136, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_02, 112, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_03, 88, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_04, 72, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_05, 64, 30, 1, 1, 0, 0, 0],
                [s_camqual_jpeg_06, 56, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_07, 48, 30, 2, 1, 0, 0, 0],
                [s_camqual_jpeg_08, 40, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_09, 32, 30, 3, 1, 0, 0, 0]
            ],
            // <2-05>VGA
            [
                // デフォルト値
                [5],
                // 値リスト
                [s_camqual_jpeg_00, 115, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_01, 86, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_02, 72, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_03, 58, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_04, 50, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_05, 43, 30, 1, 1, 0, 0, 0],
                [s_camqual_jpeg_06, 36, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_07, 29, 30, 2, 1, 0, 0, 0],
                [s_camqual_jpeg_08, 25, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_09, 22, 30, 3, 1, 0, 0, 0]
            ],
            // <2-06>QVGA
            [
                // デフォルト値
                [5],
                // 値リスト
                [s_camqual_jpeg_00, 44, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_01, 40, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_02, 36, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_03, 32, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_04, 28, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_05, 24, 30, 1, 1, 0, 0, 0],
                [s_camqual_jpeg_06, 20, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_07, 16, 30, 2, 1, 0, 0, 0],
                [s_camqual_jpeg_08, 14, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_09, 8, 30, 3, 1, 0, 0, 0]
            ]
        ],
        // <3-4>8M(FE+DP/P)
        [
            // <2-00>2816x2816
            [
                // デフォルト値
                [5],
                // 値リスト
                [s_camqual_jpeg_00, 1160, 3, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_01, 1040, 5, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_02, 944, 5, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_03, 800, 6, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_04, 664, 7.5, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_05, 504, 10, 1, 1, 0, 0, 0],
                [s_camqual_jpeg_06, 368, 12, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_07, 320, 15, 2, 1, 0, 0, 0],
                [s_camqual_jpeg_08, 288, 15, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_09, 240, 15, 3, 1, 0, 0, 0]
            ],
            // <2-01>1280x1280
            [
                // デフォルト値
                [5],
                // 値リスト
                [s_camqual_jpeg_00, 384, 12, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_01, 336, 15, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_02, 296, 15, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_03, 256, 20, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_04, 208, 22.5, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_05, 168, 30, 1, 1, 0, 0, 0],
                [s_camqual_jpeg_06, 128, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_07, 104, 30, 2, 1, 0, 0, 0],
                [s_camqual_jpeg_08, 80, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_09, 64, 30, 3, 1, 0, 0, 0]
            ],
            // <2-02>640x640
            [
                // デフォルト値
                [5],
                // 値リスト
                [s_camqual_jpeg_00, 152, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_01, 112, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_02, 96, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_03, 72, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_04, 64, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_05, 56, 30, 1, 1, 0, 0, 0],
                [s_camqual_jpeg_06, 48, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_07, 32, 30, 2, 1, 0, 0, 0],
                [s_camqual_jpeg_08, 32, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_09, 24, 30, 3, 1, 0, 0, 0]
            ],
            // <2-03>320x320
            [
                // デフォルト値
                [5],
                // 値リスト
                [s_camqual_jpeg_00, 54, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_01, 50, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_02, 44, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_03, 39, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_04, 34, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_05, 29, 30, 1, 1, 0, 0, 0],
                [s_camqual_jpeg_06, 25, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_07, 21, 30, 2, 1, 0, 0, 0],
                [s_camqual_jpeg_08, 17, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_09, 12, 30, 3, 1, 0, 0, 0]
            ],
            // <2-04>HD
            [
                // デフォルト値
                [5],
                // 値リスト
                [s_camqual_jpeg_00, 216, 22.5, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_01, 184, 25, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_02, 160, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_03, 136, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_04, 112, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_05, 88, 30, 1, 1, 0, 0, 0],
                [s_camqual_jpeg_06, 72, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_07, 56, 30, 2, 1, 0, 0, 0],
                [s_camqual_jpeg_08, 40, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_09, 32, 30, 3, 1, 0, 0, 0]
            ],
            // <2-05>HVGAW
            [
                // デフォルト値
                [5],
                // 値リスト
                [s_camqual_jpeg_00, 80, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_01, 64, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_02, 48, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_03, 42, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_04, 36, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_05, 30, 30, 1, 1, 0, 0, 0],
                [s_camqual_jpeg_06, 26, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_07, 22, 30, 2, 1, 0, 0, 0],
                [s_camqual_jpeg_08, 18, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_09, 16, 30, 3, 1, 0, 0, 0]
            ]
        ],
        // <3-5>4M(FE+DP/P)
        [
            // <2-00>2048x2048
            [
                // デフォルト値
                [5],
                // 値リスト
                [s_camqual_jpeg_00, 750, 6, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_01, 690, 7.5, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_02, 624, 7.5, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_03, 536, 7.5, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_04, 448, 10, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_05, 352, 12, 1, 1, 0, 0, 0],
                [s_camqual_jpeg_06, 256, 20, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_07, 216, 22.5, 2, 1, 0, 0, 0],
                [s_camqual_jpeg_08, 184, 25, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_09, 144, 30, 3, 1, 0, 0, 0]
            ],
            // <2-01>1280x1280
            [
                // デフォルト値
                [5],
                // 値リスト
                [s_camqual_jpeg_00, 384, 12, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_01, 336, 15, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_02, 296, 15, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_03, 256, 20, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_04, 208, 22.5, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_05, 168, 30, 1, 1, 0, 0, 0],
                [s_camqual_jpeg_06, 128, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_07, 104, 30, 2, 1, 0, 0, 0],
                [s_camqual_jpeg_08, 80, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_09, 64, 30, 3, 1, 0, 0, 0]
            ],
            // <2-02>640x640
            [
                // デフォルト値
                [5],
                // 値リスト
                [s_camqual_jpeg_00, 152, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_01, 112, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_02, 96, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_03, 72, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_04, 64, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_05, 56, 30, 1, 1, 0, 0, 0],
                [s_camqual_jpeg_06, 48, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_07, 32, 30, 2, 1, 0, 0, 0],
                [s_camqual_jpeg_08, 32, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_09, 24, 30, 3, 1, 0, 0, 0]
            ],
            // <2-03>320x320
            [
                // デフォルト値
                [5],
                // 値リスト
                [s_camqual_jpeg_00, 54, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_01, 50, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_02, 44, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_03, 39, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_04, 34, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_05, 29, 30, 1, 1, 0, 0, 0],
                [s_camqual_jpeg_06, 25, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_07, 21, 30, 2, 1, 0, 0, 0],
                [s_camqual_jpeg_08, 17, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_09, 12, 30, 3, 1, 0, 0, 0]
            ],
            // <2-04>HD
            [
                // デフォルト値
                [5],
                // 値リスト
                [s_camqual_jpeg_00, 216, 22.5, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_01, 184, 25, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_02, 160, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_03, 136, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_04, 112, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_05, 88, 30, 1, 1, 0, 0, 0],
                [s_camqual_jpeg_06, 72, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_07, 56, 30, 2, 1, 0, 0, 0],
                [s_camqual_jpeg_08, 40, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_09, 32, 30, 3, 1, 0, 0, 0]
            ],
            // <2-05>HVGAW
            [
                // デフォルト値
                [5],
                // 値リスト
                [s_camqual_jpeg_00, 80, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_01, 64, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_02, 48, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_03, 42, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_04, 36, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_05, 30, 30, 1, 1, 0, 0, 0],
                [s_camqual_jpeg_06, 26, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_07, 22, 30, 2, 1, 0, 0, 0],
                [s_camqual_jpeg_08, 18, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_09, 16, 30, 3, 1, 0, 0, 0]
            ]
        ],
        // <3-6>8M(FE+4PTZ)
        [
            // <2-00>2816x2816
            [
                // デフォルト値
                [5],
                // 値リスト
                [s_camqual_jpeg_00, 1160, 3, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_01, 1040, 5, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_02, 944, 5, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_03, 800, 6, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_04, 664, 7.5, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_05, 504, 10, 1, 1, 0, 0, 0],
                [s_camqual_jpeg_06, 368, 12, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_07, 320, 15, 2, 1, 0, 0, 0],
                [s_camqual_jpeg_08, 288, 15, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_09, 240, 15, 3, 1, 0, 0, 0]
            ],
            // <2-01>1280x1280
            [
                // デフォルト値
                [5],
                // 値リスト
                [s_camqual_jpeg_00, 384, 12, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_01, 336, 15, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_02, 296, 15, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_03, 256, 20, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_04, 208, 22.5, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_05, 168, 30, 1, 1, 0, 0, 0],
                [s_camqual_jpeg_06, 128, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_07, 104, 30, 2, 1, 0, 0, 0],
                [s_camqual_jpeg_08, 80, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_09, 64, 30, 3, 1, 0, 0, 0]
            ],
            // <2-02>640x640
            [
                // デフォルト値
                [5],
                // 値リスト
                [s_camqual_jpeg_00, 152, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_01, 112, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_02, 96, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_03, 72, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_04, 64, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_05, 56, 30, 1, 1, 0, 0, 0],
                [s_camqual_jpeg_06, 48, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_07, 32, 30, 2, 1, 0, 0, 0],
                [s_camqual_jpeg_08, 32, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_09, 24, 30, 3, 1, 0, 0, 0]
            ],
            // <2-03>320x320
            [
                // デフォルト値
                [5],
                // 値リスト
                [s_camqual_jpeg_00, 54, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_01, 50, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_02, 44, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_03, 39, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_04, 34, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_05, 29, 30, 1, 1, 0, 0, 0],
                [s_camqual_jpeg_06, 25, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_07, 21, 30, 2, 1, 0, 0, 0],
                [s_camqual_jpeg_08, 17, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_09, 12, 30, 3, 1, 0, 0, 0]
            ],
            // <2-04>SXVGA
            [
                // デフォルト値
                [5],
                // 値リスト
                [s_camqual_jpeg_00, 288, 20, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_01, 256, 22.5, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_02, 224, 25, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_03, 192, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_04, 160, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_05, 128, 30, 1, 1, 0, 0, 0],
                [s_camqual_jpeg_06, 96, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_07, 80, 30, 2, 1, 0, 0, 0],
                [s_camqual_jpeg_08, 64, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_09, 48, 30, 3, 1, 0, 0, 0]
            ],
            // <2-05>SVGA
            [
                // デフォルト値
                [5],
                // 値リスト
                [s_camqual_jpeg_00, 176, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_01, 136, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_02, 112, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_03, 88, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_04, 72, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_05, 64, 30, 1, 1, 0, 0, 0],
                [s_camqual_jpeg_06, 56, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_07, 48, 30, 2, 1, 0, 0, 0],
                [s_camqual_jpeg_08, 40, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_09, 32, 30, 3, 1, 0, 0, 0]
            ],
            // <2-06>VGA
            [
                // デフォルト値
                [5],
                // 値リスト
                [s_camqual_jpeg_00, 115, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_01, 86, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_02, 72, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_03, 58, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_04, 50, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_05, 43, 30, 1, 1, 0, 0, 0],
                [s_camqual_jpeg_06, 36, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_07, 29, 30, 2, 1, 0, 0, 0],
                [s_camqual_jpeg_08, 25, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_09, 22, 30, 3, 1, 0, 0, 0]
            ]
        ],
        // <3-7>4M(FE+4PTZ)
        [
            // <2-00>2048x2048
            [
                // デフォルト値
                [5],
                // 値リスト
                [s_camqual_jpeg_00, 750, 6, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_01, 690, 7.5, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_02, 624, 7.5, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_03, 536, 7.5, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_04, 448, 10, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_05, 352, 12, 1, 1, 0, 0, 0],
                [s_camqual_jpeg_06, 256, 20, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_07, 216, 22.5, 2, 1, 0, 0, 0],
                [s_camqual_jpeg_08, 184, 25, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_09, 144, 30, 3, 1, 0, 0, 0]
            ],
            // <2-01>1280x1280
            [
                // デフォルト値
                [5],
                // 値リスト
                [s_camqual_jpeg_00, 384, 12, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_01, 336, 15, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_02, 296, 15, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_03, 256, 20, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_04, 208, 22.5, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_05, 168, 30, 1, 1, 0, 0, 0],
                [s_camqual_jpeg_06, 128, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_07, 104, 30, 2, 1, 0, 0, 0],
                [s_camqual_jpeg_08, 80, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_09, 64, 30, 3, 1, 0, 0, 0]
            ],
            // <2-02>640x640
            [
                // デフォルト値
                [5],
                // 値リスト
                [s_camqual_jpeg_00, 152, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_01, 112, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_02, 96, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_03, 72, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_04, 64, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_05, 56, 30, 1, 1, 0, 0, 0],
                [s_camqual_jpeg_06, 48, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_07, 32, 30, 2, 1, 0, 0, 0],
                [s_camqual_jpeg_08, 32, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_09, 24, 30, 3, 1, 0, 0, 0]
            ],
            // <2-03>320x320
            [
                // デフォルト値
                [5],
                // 値リスト
                [s_camqual_jpeg_00, 54, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_01, 50, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_02, 44, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_03, 39, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_04, 34, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_05, 29, 30, 1, 1, 0, 0, 0],
                [s_camqual_jpeg_06, 25, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_07, 21, 30, 2, 1, 0, 0, 0],
                [s_camqual_jpeg_08, 17, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_09, 12, 30, 3, 1, 0, 0, 0]
            ],
            // <2-04>SXVGA
            [
                // デフォルト値
                [5],
                // 値リスト
                [s_camqual_jpeg_00, 288, 20, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_01, 256, 22.5, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_02, 224, 25, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_03, 192, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_04, 160, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_05, 128, 30, 1, 1, 0, 0, 0],
                [s_camqual_jpeg_06, 96, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_07, 80, 30, 2, 1, 0, 0, 0],
                [s_camqual_jpeg_08, 64, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_09, 48, 30, 3, 1, 0, 0, 0]
            ],
            // <2-05>SVGA
            [
                // デフォルト値
                [5],
                // 値リスト
                [s_camqual_jpeg_00, 176, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_01, 136, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_02, 112, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_03, 88, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_04, 72, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_05, 64, 30, 1, 1, 0, 0, 0],
                [s_camqual_jpeg_06, 56, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_07, 48, 30, 2, 1, 0, 0, 0],
                [s_camqual_jpeg_08, 40, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_09, 32, 30, 3, 1, 0, 0, 0]
            ],
            // <2-06>VGA
            [
                // デフォルト値
                [5],
                // 値リスト
                [s_camqual_jpeg_00, 115, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_01, 86, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_02, 72, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_03, 58, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_04, 50, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_05, 43, 30, 1, 1, 0, 0, 0],
                [s_camqual_jpeg_06, 36, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_07, 29, 30, 2, 1, 0, 0, 0],
                [s_camqual_jpeg_08, 25, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_09, 22, 30, 3, 1, 0, 0, 0]
            ]
        ]
    ],
    // ----------------------------------------------------
    // 【JPEG-06】i-PRO SmartHD(FullHD)
    [
        // <3-0>1.3M
        [
            // <2-00>SXVGA
            [
                // デフォルト値
                [5],
                // 値リスト
                [s_camqual_jpeg_00, 288, 11, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_01, 256, 12, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_02, 224, 14, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_03, 192, 16, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_04, 160, 19, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_05, 128, 24, 1, 1, 1, 1, 1],
                [s_camqual_jpeg_06, 96, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_07, 80, 30, 2, 1, 1, 1, 1],
                [s_camqual_jpeg_08, 64, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_09, 48, 30, 3, 1, 1, 1, 1]
            ],
            // <2-01>VGA
            [
                // デフォルト値
                [5],
                // 値リスト
                [s_camqual_jpeg_00, 128, 27, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_01, 96, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_02, 80, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_03, 64, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_04, 56, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_05, 48, 30, 1, 1, 1, 1, 1],
                [s_camqual_jpeg_06, 40, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_07, 32, 30, 2, 1, 1, 1, 1],
                [s_camqual_jpeg_08, 28, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_09, 24, 30, 3, 1, 1, 1, 1]
            ],
            // <2-02>QVGA
            [
                // デフォルト値
                [5],
                // 値リスト
                [s_camqual_jpeg_00, 44, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_01, 40, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_02, 36, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_03, 32, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_04, 28, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_05, 24, 30, 1, 1, 1, 1, 1],
                [s_camqual_jpeg_06, 20, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_07, 16, 30, 2, 1, 1, 1, 1],
                [s_camqual_jpeg_08, 14, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_09, 12, 30, 3, 1, 1, 1, 1]
            ],
            // <2-03>HD
            [
                // デフォルト値
                [5],
                // 値リスト
                [s_camqual_jpeg_00, 216, 14, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_01, 192, 16, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_02, 160, 19, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_03, 144, 22, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_04, 120, 26, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_05, 88, 30, 1, 1, 1, 1, 0],
                [s_camqual_jpeg_06, 72, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_07, 56, 30, 2, 1, 1, 1, 0],
                [s_camqual_jpeg_08, 48, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_09, 32, 30, 3, 1, 1, 1, 0]
            ],
            // <2-04>HVGAW
            [
                // デフォルト値
                [5],
                // 値リスト
                [s_camqual_jpeg_00, 80, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_01, 64, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_02, 48, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_03, 40, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_04, 32, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_05, 32, 30, 1, 1, 1, 1, 0],
                [s_camqual_jpeg_06, 24, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_07, 16, 30, 2, 1, 1, 1, 0],
                [s_camqual_jpeg_08, 16, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_09, 16, 30, 3, 1, 1, 1, 0]
            ],
            // <2-05>180P
            [
                // デフォルト値
                [5],
                // 値リスト
                [s_camqual_jpeg_00, 32, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_01, 24, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_02, 24, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_03, 24, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_04, 16, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_05, 16, 30, 1, 1, 1, 1, 0],
                [s_camqual_jpeg_06, 8, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_07, 8, 30, 2, 1, 1, 1, 0],
                [s_camqual_jpeg_08, 8, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_09, 8, 30, 3, 1, 1, 1, 0]
            ]
        ],
        // <3-1>2M
        [
            // <2-00>FHD
            [
                // デフォルト値
                [5],
                // 値リスト
                [s_camqual_jpeg_00, 480, 6, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_01, 432, 7, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_02, 376, 8, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_03, 320, 9, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_04, 264, 12, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_05, 208, 15, 1, 1, 2, 2, 0],
                [s_camqual_jpeg_06, 160, 19, 0, 1, 2, 2, 0],
                [s_camqual_jpeg_07, 128, 24, 2, 1, 2, 2, 0],
                [s_camqual_jpeg_08, 104, 30, 0, 1, 2, 2, 0],
                [s_camqual_jpeg_09, 80, 30, 3, 1, 2, 2, 0]
            ],
            // <2-01>HVGAW
            [
                // デフォルト値
                [5],
                // 値リスト
                [s_camqual_jpeg_00, 80, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_01, 64, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_02, 48, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_03, 40, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_04, 32, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_05, 32, 30, 1, 1, 1, 1, 0],
                [s_camqual_jpeg_06, 24, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_07, 16, 30, 2, 1, 1, 1, 0],
                [s_camqual_jpeg_08, 16, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_09, 16, 30, 3, 1, 1, 1, 0]
            ],
            // <2-02>180P
            [
                // デフォルト値
                [5],
                // 値リスト
                [s_camqual_jpeg_00, 32, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_01, 24, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_02, 24, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_03, 24, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_04, 16, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_05, 16, 30, 1, 1, 1, 1, 0],
                [s_camqual_jpeg_06, 8, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_07, 8, 30, 2, 1, 1, 1, 0],
                [s_camqual_jpeg_08, 8, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_09, 8, 30, 3, 1, 1, 1, 0]
            ]
        ],
        // <3-2>3M
        [
            // <2-00>QXGA
            [
                // デフォルト値
                [5],
                // 値リスト
                [s_camqual_jpeg_00, 736, 4, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_01, 656, 4, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_02, 568, 5, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_03, 488, 6, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_04, 408, 7, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_05, 320, 9, 1, 1, 0, 0, 0],
                [s_camqual_jpeg_06, 240, 13, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_07, 200, 15, 2, 1, 0, 0, 0],
                [s_camqual_jpeg_08, 160, 15, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_09, 120, 15, 3, 1, 0, 0, 0]
            ]
        ]
    ],
    // ----------------------------------------------------
    // 【JPEG-07】NP502/NW502S
    [
        // <3-0>1.3M
        [
            // <2-00>SXVGA
            [
                // デフォルト値
                [5],
                // 値リスト
                [s_camqual_jpeg_00, 288, 5, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_01, 256, 6, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_02, 224, 7, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_03, 192, 8, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_04, 160, 10, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_05, 128, 13, 1, 1, 1, 1, 1],
                [s_camqual_jpeg_06, 96, 17, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_07, 80, 21, 2, 1, 1, 1, 1],
                [s_camqual_jpeg_08, 64, 26, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_09, 48, 30, 3, 1, 1, 1, 1]
            ],
            // <2-01>VGA
            [
                // デフォルト値
                [5],
                // 値リスト
                [s_camqual_jpeg_00, 128, 14, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_01, 96, 19, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_02, 80, 23, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_03, 64, 29, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_04, 56, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_05, 48, 30, 1, 1, 1, 1, 1],
                [s_camqual_jpeg_06, 40, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_07, 32, 30, 2, 1, 1, 1, 1],
                [s_camqual_jpeg_08, 28, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_09, 24, 30, 3, 1, 1, 1, 1]
            ],
            // <2-02>QVGA
            [
                // デフォルト値
                [5],
                // 値リスト
                [s_camqual_jpeg_00, 44, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_01, 40, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_02, 36, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_03, 32, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_04, 28, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_05, 24, 30, 1, 1, 1, 1, 1],
                [s_camqual_jpeg_06, 20, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_07, 16, 30, 2, 1, 1, 1, 1],
                [s_camqual_jpeg_08, 14, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_09, 12, 30, 3, 1, 1, 1, 1]
            ],
            // <2-03>HD
            [
                // デフォルト値
                [5],
                // 値リスト
                [s_camqual_jpeg_00, 216, 7, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_01, 192, 8, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_02, 160, 10, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_03, 144, 12, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_04, 120, 15, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_05, 88, 20, 1, 1, 1, 1, 0],
                [s_camqual_jpeg_06, 72, 25, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_07, 56, 28, 2, 1, 1, 1, 0],
                [s_camqual_jpeg_08, 48, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_09, 32, 30, 3, 1, 1, 1, 0]
            ],
            // <2-04>HVGAW
            [
                // デフォルト値
                [5],
                // 値リスト
                [s_camqual_jpeg_00, 80, 22, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_01, 64, 27, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_02, 48, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_03, 42, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_04, 36, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_05, 30, 30, 1, 1, 1, 1, 0],
                [s_camqual_jpeg_06, 26, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_07, 22, 30, 2, 1, 1, 1, 0],
                [s_camqual_jpeg_08, 18, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_09, 16, 30, 3, 1, 1, 1, 0]
            ],
            // <2-05>180P
            [
                // デフォルト値
                [5],
                // 値リスト
                [s_camqual_jpeg_00, 33, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_01, 30, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_02, 27, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_03, 24, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_04, 21, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_05, 18, 30, 1, 1, 1, 1, 0],
                [s_camqual_jpeg_06, 15, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_07, 12, 30, 2, 1, 1, 1, 0],
                [s_camqual_jpeg_08, 9, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_09, 6, 30, 3, 1, 1, 1, 0]
            ],
            // <2-06>SVGA
            [
                // デフォルト値
                [5],
                // 値リスト
                [s_camqual_jpeg_00, 200, 5, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_01, 152, 6, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_02, 128, 7, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_03, 100, 8, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_04, 88, 10, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_05, 76, 13, 1, 1, 1, 1, 1],
                [s_camqual_jpeg_06, 64, 17, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_07, 52, 21, 2, 1, 1, 1, 1],
                [s_camqual_jpeg_08, 44, 26, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_09, 40, 30, 3, 1, 1, 1, 1]
            ]
        ],
        // <3-1>3M
        [
            // <2-00>QXGA
            [
                // デフォルト値
                [5],
                // 値リスト
                [s_camqual_jpeg_00, 736, 2, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_01, 656, 2, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_02, 568, 2, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_03, 488, 3, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_04, 408, 4, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_05, 320, 5, 1, 1, 0, 0, 0],
                [s_camqual_jpeg_06, 240, 5, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_07, 200, 5, 2, 1, 0, 0, 0],
                [s_camqual_jpeg_08, 160, 5, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_09, 120, 5, 3, 1, 0, 0, 0]
            ],
            // <2-01>SXVGA
            [
                // デフォルト値
                [5],
                // 値リスト
                [s_camqual_jpeg_00, 288, 5, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_01, 256, 6, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_02, 224, 7, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_03, 192, 8, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_04, 160, 10, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_05, 128, 13, 1, 1, 1, 1, 0],
                [s_camqual_jpeg_06, 96, 15, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_07, 80, 15, 2, 1, 1, 1, 0],
                [s_camqual_jpeg_08, 64, 15, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_09, 48, 15, 3, 1, 1, 1, 0]
            ],
            // <2-02>VGA
            [
                // デフォルト値
                [5],
                // 値リスト
                [s_camqual_jpeg_00, 128, 14, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_01, 96, 15, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_02, 80, 15, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_03, 64, 15, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_04, 56, 15, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_05, 48, 15, 1, 1, 1, 1, 0],
                [s_camqual_jpeg_06, 40, 15, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_07, 32, 15, 2, 1, 1, 1, 0],
                [s_camqual_jpeg_08, 28, 15, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_09, 24, 15, 3, 1, 1, 1, 0]
            ],
            // <2-03>FHD
            [
                // デフォルト値
                [5],
                // 値リスト
                [s_camqual_jpeg_00, 480, 3, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_01, 424, 4, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_02, 368, 4, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_03, 312, 5, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_04, 256, 5, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_05, 208, 5, 1, 1, 2, 2, 0],
                [s_camqual_jpeg_06, 160, 5, 0, 1, 2, 2, 0],
                [s_camqual_jpeg_07, 128, 5, 2, 1, 2, 2, 0],
                [s_camqual_jpeg_08, 104, 5, 0, 1, 2, 2, 0],
                [s_camqual_jpeg_09, 80, 5, 3, 1, 2, 2, 0]
            ],
            // <2-04>HVGAW
            [
                // デフォルト値
                [5],
                // 値リスト
                [s_camqual_jpeg_00, 80, 15, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_01, 64, 15, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_02, 48, 15, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_03, 42, 15, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_04, 36, 15, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_05, 30, 15, 1, 1, 1, 1, 0],
                [s_camqual_jpeg_06, 26, 15, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_07, 22, 15, 2, 1, 1, 1, 0],
                [s_camqual_jpeg_08, 18, 15, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_09, 16, 15, 3, 1, 1, 1, 0]
            ],
            // <2-05>180P
            [
                // デフォルト値
                [5],
                // 値リスト
                [s_camqual_jpeg_00, 33, 15, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_01, 30, 15, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_02, 27, 15, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_03, 24, 15, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_04, 21, 15, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_05, 18, 15, 1, 1, 1, 1, 0],
                [s_camqual_jpeg_06, 15, 15, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_07, 12, 15, 2, 1, 1, 1, 0],
                [s_camqual_jpeg_08, 9, 15, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_09, 6, 15, 3, 1, 1, 1, 0]
            ]
        ]
    ],
    // ----------------------------------------------------
    // 【JPEG-08】GXE500/GXE100
    [
        // <3-0>(1.3M)
        [
            // <2-00>VGA
            [
                // デフォルト値
                [5],
                // 値リスト
                [s_camqual_jpeg_00, 128, 14, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_01, 96, 19, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_02, 80, 23, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_03, 64, 29, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_04, 56, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_05, 48, 30, 1, 1, 1, 1, 1],
                [s_camqual_jpeg_06, 40, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_07, 32, 30, 2, 1, 1, 1, 1],
                [s_camqual_jpeg_08, 28, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_09, 24, 30, 3, 1, 1, 1, 1]
            ],
            // <2-01>QVGA
            [
                // デフォルト値
                [5],
                // 値リスト
                [s_camqual_jpeg_00, 44, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_01, 40, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_02, 36, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_03, 32, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_04, 28, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_05, 24, 30, 1, 1, 1, 1, 1],
                [s_camqual_jpeg_06, 20, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_07, 16, 30, 2, 1, 1, 1, 1],
                [s_camqual_jpeg_08, 14, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_09, 12, 30, 3, 1, 1, 1, 1]
            ]
        ]
    ],
    // ----------------------------------------------------
    // 【JPEG-09】NP304/NF302
    [
        // <3-0>(1.3M)
        [
            // <2-00>SXVGA
            [
                // デフォルト値
                [5],
                // 値リスト
                [s_camqual_jpeg_00, 320, 4, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_01, 256, 5, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_02, 224, 6, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_03, 192, 7, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_04, 160, 9, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_05, 128, 11, 1, 1, 1, 1, 1],
                [s_camqual_jpeg_06, 96, 11, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_07, 80, 11, 2, 1, 1, 1, 1],
                [s_camqual_jpeg_08, 64, 11, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_09, 48, 11, 3, 1, 1, 1, 1]
            ],
            // <2-01>VGA
            [
                // デフォルト値
                [5],
                // 値リスト
                [s_camqual_jpeg_00, 128, 11, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_01, 96, 15, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_02, 80, 18, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_03, 64, 22, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_04, 56, 25, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_05, 48, 30, 1, 1, 1, 1, 1],
                [s_camqual_jpeg_06, 40, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_07, 32, 30, 2, 1, 1, 1, 1],
                [s_camqual_jpeg_08, 28, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_09, 24, 30, 3, 1, 1, 1, 1]
            ],
            // <2-02>QVGA
            [
                // デフォルト値
                [5],
                // 値リスト
                [s_camqual_jpeg_00, 44, 26, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_01, 40, 28, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_02, 36, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_03, 32, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_04, 28, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_05, 24, 30, 1, 1, 1, 1, 1],
                [s_camqual_jpeg_06, 20, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_07, 16, 30, 2, 1, 1, 1, 1],
                [s_camqual_jpeg_08, 14, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_09, 12, 30, 3, 1, 1, 1, 1]
            ]
        ]
    ],
    // ----------------------------------------------------
    // 【JPEG-10】NP1000
    [
        // <3-0>ﾌﾙｽｷｬﾝ
        [
            // <2-00>SXVGA
            [
                // デフォルト値
                [5],
                // 値リスト
                [s_camqual_jpeg_00, 320, 5, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_01, 256, 6, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_02, 224, 8, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_03, 192, 9, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_04, 160, 10, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_05, 128, 13, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_06, 96, 13, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_07, 80, 14, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_08, 64, 14, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_09, 48, 14, 0, 1, 1, 1, 0]
            ],
            // <2-01>VGA
            [
                // デフォルト値
                [5],
                // 値リスト
                [s_camqual_jpeg_00, 128, 13, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_01, 96, 15, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_02, 80, 15, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_03, 64, 15, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_04, 56, 15, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_05, 48, 15, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_06, 40, 15, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_07, 32, 15, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_08, 28, 15, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_09, 24, 15, 0, 1, 1, 1, 0]
            ],
            // <2-02>QVGA
            [
                // デフォルト値
                [5],
                // 値リスト
                [s_camqual_jpeg_00, 44, 15, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_01, 40, 15, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_02, 36, 15, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_03, 32, 15, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_04, 28, 15, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_05, 24, 15, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_06, 20, 15, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_07, 16, 15, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_08, 14, 15, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_09, 12, 15, 0, 1, 1, 1, 0]
            ]
        ]
    ],
    // ----------------------------------------------------
    // 【JPEG-11】その他i-PRO
    [
        // <3-0>(1.3M)
        [
            // <2-00>VGA
            [
                // デフォルト値
                [5],
                // 値リスト
                [s_camqual_jpeg_00, 128, 10, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_01, 96, 14, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_02, 80, 17, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_03, 64, 21, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_04, 56, 24, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_05, 48, 30, 1, 1, 1, 1, 1],
                [s_camqual_jpeg_06, 40, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_07, 32, 30, 2, 1, 1, 1, 1],
                [s_camqual_jpeg_08, 28, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_09, 24, 30, 3, 1, 1, 1, 1]
            ],
            // <2-01>QVGA
            [
                // デフォルト値
                [5],
                // 値リスト
                [s_camqual_jpeg_00, 44, 26, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_01, 40, 28, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_02, 36, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_03, 32, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_04, 28, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_05, 24, 30, 1, 1, 1, 1, 1],
                [s_camqual_jpeg_06, 20, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_07, 16, 30, 2, 1, 1, 1, 1],
                [s_camqual_jpeg_08, 14, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_09, 12, 30, 3, 1, 1, 1, 1]
            ]
        ]
    ],
    // ----------------------------------------------------
    // 【JPEG-12】BB-HCM7**
    [
        // <3-0>(1.3M)
        [
            // <2-00>SXVGA
            [
                // デフォルト値
                [1],
                // 値リスト
                [s_camqual_jpeg_10, 128, 14, 1, 1, 1, 1, 1],
                [s_camqual_jpeg_11, 80, 18, 2, 1, 1, 1, 1],
                [s_camqual_jpeg_12, 64, 24, 3, 1, 1, 1, 1]
            ],
            // <2-01>VGA
            [
                // デフォルト値
                [1],
                // 値リスト
                [s_camqual_jpeg_10, 56, 28, 1, 1, 1, 1, 1],
                [s_camqual_jpeg_11, 40, 30, 2, 1, 1, 1, 1],
                [s_camqual_jpeg_12, 28, 30, 3, 1, 1, 1, 1]
            ],
            // <2-02>QVGA
            [
                // デフォルト値
                [1],
                // 値リスト
                [s_camqual_jpeg_10, 28, 30, 1, 1, 1, 1, 1],
                [s_camqual_jpeg_11, 16, 30, 2, 1, 1, 1, 1],
                [s_camqual_jpeg_12, 14, 30, 3, 1, 1, 1, 1]
            ]
        ]
    ],
    // ----------------------------------------------------
    // 【JPEG-13】BB-HCM5**/3**/1**
    [
        // <3-0>(1.3M)
        [
            // <2-00>VGA
            [
                // デフォルト値
                [1],
                // 値リスト
                [s_camqual_jpeg_10, 56, 5, 1, 1, 1, 1, 1],
                [s_camqual_jpeg_11, 40, 5, 2, 1, 1, 1, 1],
                [s_camqual_jpeg_12, 28, 5, 3, 1, 1, 1, 1]
            ],
            // <2-01>QVGA
            [
                // デフォルト値
                [1],
                // 値リスト
                [s_camqual_jpeg_10, 28, 5, 1, 1, 1, 1, 1],
                [s_camqual_jpeg_11, 16, 5, 2, 1, 1, 1, 1],
                [s_camqual_jpeg_12, 14, 5, 3, 1, 1, 1, 1]
            ]
        ]
    ]
];

/* *********************************************************************
 * ========== JPEG録画FPS情報 ==========
 *      Do not edit this section directly
 *       since generated from CamTable automatically.
********************************************************************* */
var camRecFps_Jpeg = [
    // デフォルト値
    // (インデックス番号ではなく、値[fps]で指定すること)
    [1],
    // 値リスト
    [30, 0],
    [15, 0],
    [10, 0],
    [5, 1],
    [3, 1],
    [2, 0],
    [1, 1],
    [0.5, 0],
    [0.3, 0],
    [0.2, 0],
    [0.1, 0]
];

/* *********************************************************************
 * ========== 3. MPEG4カメラ情報 ==========
 *      Do not edit this section directly
 *       since generated from CamTable automatically.
********************************************************************* */
var camKind_Mpeg4_Hd = 0;     //【MPEG4-01】i-PRO SmartHD
var camKind_Mpeg4_502 = 1;    //【MPEG4-02】NP502/NW502S
var camKind_Mpeg4_Gxe = 2;    //【MPEG4-03】GXE500
var camKind_Mpeg4_Np30 = 3;   //【MPEG4-04】NP304/NF302
var camKind_Mpeg4_Np1000 = 4; //【MPEG4-05】NP1000
var camKind_Mpeg4_Other = 5;  //【MPEG4-06】その他i-PRO
var camKind_Mpeg4_Hcm7 = 6;   //【MPEG4-07】BB-HCM7**

var camInfo_Mpeg4 = [
    // ----------------------------------------------------
    // 【MPEG4-01】i-PRO SmartHD
    [
        // <1>型番
        [
            s_cammodel_mpeg4_01
        ],
        // <3>撮像モード
        [
            // デフォルト値
            [
                0
            ],
            // <3-0>(1.3M)
            [
                // 名称ラベル
                [
                    s_camscan_mpeg4_00
                ],
                // <2>解像度
                [
                    // デフォルト値
                    0,
                    // 値リスト
                    s_camreso_mpeg4_01,
                    s_camreso_mpeg4_02
                ]
            ]
        ],
        // <4>優先モード
        [
            // デフォルト値
            [
                0
            ],
            // <4-0>ビットレート優先
            [
                // 名称ラベル
                [
                    s_camprio_mpeg4_01
                ],
                // <5>画質
                [
                    // デフォルト値
                    1,
                    // 値リスト
                    s_camqual_mpeg4_01,
                    s_camqual_mpeg4_02,
                    s_camqual_mpeg4_03
                ]
            ]
        ]
    ],
    // ----------------------------------------------------
    // 【MPEG4-02】NP502/NW502S
    [
        // <1>型番
        [
            s_cammodel_mpeg4_02
        ],
        // <3>撮像モード
        [
            // デフォルト値
            [
                0
            ],
            // <3-0>1.3M
            [
                // 名称ラベル
                [
                    s_camscan_mpeg4_01
                ],
                // <2>解像度
                [
                    // デフォルト値
                    0,
                    // 値リスト
                    s_camreso_mpeg4_01,
                    s_camreso_mpeg4_02
                ]
            ],
            // <3-1>3M
            [
                // 名称ラベル
                [
                    s_camscan_mpeg4_02
                ],
                // <2>解像度
                [
                    // デフォルト値
                    0,
                    // 値リスト
                    s_camreso_mpeg4_01,
                    s_camreso_mpeg4_02
                ]
            ]
        ],
        // <4>優先モード
        [
            // デフォルト値
            [
                0
            ],
            // <4-0>ビットレート優先
            [
                // 名称ラベル
                [
                    s_camprio_mpeg4_01
                ],
                // <5>画質
                [
                    // デフォルト値
                    1,
                    // 値リスト
                    s_camqual_mpeg4_01,
                    s_camqual_mpeg4_02,
                    s_camqual_mpeg4_03
                ]
            ]
        ]
    ],
    // ----------------------------------------------------
    // 【MPEG4-03】GXE500
    [
        // <1>型番
        [
            s_cammodel_mpeg4_03
        ],
        // <3>撮像モード
        [
            // デフォルト値
            [
                0
            ],
            // <3-0>(1.3M)
            [
                // 名称ラベル
                [
                    s_camscan_mpeg4_00
                ],
                // <2>解像度
                [
                    // デフォルト値
                    0,
                    // 値リスト
                    s_camreso_mpeg4_01,
                    s_camreso_mpeg4_02
                ]
            ]
        ],
        // <4>優先モード
        [
            // デフォルト値
            [
                0
            ],
            // <4-0>ビットレート優先
            [
                // 名称ラベル
                [
                    s_camprio_mpeg4_01
                ],
                // <5>画質
                [
                    // デフォルト値
                    1,
                    // 値リスト
                    s_camqual_mpeg4_01,
                    s_camqual_mpeg4_02,
                    s_camqual_mpeg4_03
                ]
            ]
        ]
    ],
    // ----------------------------------------------------
    // 【MPEG4-04】NP304/NF302
    [
        // <1>型番
        [
            s_cammodel_mpeg4_04
        ],
        // <3>撮像モード
        [
            // デフォルト値
            [
                0
            ],
            // <3-0>(1.3M)
            [
                // 名称ラベル
                [
                    s_camscan_mpeg4_00
                ],
                // <2>解像度
                [
                    // デフォルト値
                    0,
                    // 値リスト
                    s_camreso_mpeg4_01,
                    s_camreso_mpeg4_02
                ]
            ]
        ],
        // <4>優先モード
        [
            // デフォルト値
            [
                0
            ],
            // <4-0>ビットレート優先
            [
                // 名称ラベル
                [
                    s_camprio_mpeg4_01
                ],
                // <5>画質
                [
                    // デフォルト値
                    1,
                    // 値リスト
                    s_camqual_mpeg4_01,
                    s_camqual_mpeg4_02,
                    s_camqual_mpeg4_03
                ]
            ]
        ]
    ],
    // ----------------------------------------------------
    // 【MPEG4-05】NP1000
    [
        // <1>型番
        [
            s_cammodel_mpeg4_05
        ],
        // <3>撮像モード
        [
            // デフォルト値
            [
                0
            ],
            // <3-0>ﾌﾙｽｷｬﾝ
            [
                // 名称ラベル
                [
                    s_camscan_mpeg4_03
                ],
                // <2>解像度
                [
                    // デフォルト値
                    0,
                    // 値リスト
                    s_camreso_mpeg4_01,
                    s_camreso_mpeg4_02
                ]
            ]
        ],
        // <4>優先モード
        [
            // デフォルト値
            [
                0
            ],
            // <4-0>ビットレート優先
            [
                // 名称ラベル
                [
                    s_camprio_mpeg4_01
                ],
                // <5>画質
                [
                    // デフォルト値
                    1,
                    // 値リスト
                    s_camqual_mpeg4_01,
                    s_camqual_mpeg4_02,
                    s_camqual_mpeg4_03
                ]
            ]
        ]
    ],
    // ----------------------------------------------------
    // 【MPEG4-06】その他i-PRO
    [
        // <1>型番
        [
            s_cammodel_mpeg4_06
        ],
        // <3>撮像モード
        [
            // デフォルト値
            [
                0
            ],
            // <3-0>(1.3M)
            [
                // 名称ラベル
                [
                    s_camscan_mpeg4_00
                ],
                // <2>解像度
                [
                    // デフォルト値
                    0,
                    // 値リスト
                    s_camreso_mpeg4_01,
                    s_camreso_mpeg4_02
                ]
            ]
        ],
        // <4>優先モード
        [
            // デフォルト値
            [
                0
            ],
            // <4-0>ビットレート優先
            [
                // 名称ラベル
                [
                    s_camprio_mpeg4_01
                ],
                // <5>画質
                [
                    // デフォルト値
                    1,
                    // 値リスト
                    s_camqual_mpeg4_01,
                    s_camqual_mpeg4_02,
                    s_camqual_mpeg4_03
                ]
            ]
        ]
    ],
    // ----------------------------------------------------
    // 【MPEG4-07】BB-HCM7**
    [
        // <1>型番
        [
            s_cammodel_mpeg4_07
        ],
        // <3>撮像モード
        [
            // デフォルト値
            [
                0
            ],
            // <3-0>(1.3M)
            [
                // 名称ラベル
                [
                    s_camscan_mpeg4_00
                ],
                // <2>解像度
                [
                    // デフォルト値
                    0,
                    // 値リスト
                    s_camreso_mpeg4_01,
                    s_camreso_mpeg4_02
                ]
            ]
        ],
        // <4>優先モード
        [
            // デフォルト値
            [
                0
            ],
            // <4-0>ビットレート優先
            [
                // 名称ラベル
                [
                    s_camprio_mpeg4_00
                ],
                // <5>画質
                [
                    // デフォルト値
                    0,
                    // 値リスト
                    s_camqual_mpeg4_00
                ]
            ]
        ]
    ]
];

/* *********************************************************************
 * ========== MPEG4ビットレート情報 ==========
 *      Do not edit this section directly
 *       since generated from CamTable automatically.
********************************************************************* */

var camBitrate_Mpeg4 = [
    // ----------------------------------------------------
    // 【MPEG4-01】i-PRO SmartHD
    [
        // <3-0>(1.3M)
        [
            // <4-0>ビットレート優先
            [
                // <2-00>VGA
                [
                    // <5-0>画質優先(SF)
                    [
                        // デフォルト値
                        [2],
                        // 値リスト
                        [4096, 0, 22.5, 1, 1, 1, 1, 1],
                        [3072, 0, 20, 1, 1, 1, 1, 1],
                        [2048, 0, 15, 1, 1, 1, 1, 1],
                        [1536, 0, 15, 1, 1, 1, 1, 1],
                        [1024, 0, 10, 1, 1, 1, 1, 1],
                        [768, 0, 7.5, 1, 1, 1, 1, 1],
                        [512, 0, 5, 1, 1, 1, 1, 1],
                        [384, 0, 3, 1, 1, 1, 1, 1],
                        [256, 0, 2, 1, 1, 1, 1, 1],
                        [128, 0, 1, 1, 1, 1, 1, 1],
                        [64, 0, 1, 1, 1, 1, 1, 1]
                    ],
                    // <5-1>標準(FQ)
                    [
                        // デフォルト値
                        [2],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 1, 1, 1],
                        [3072, 0, 30, 1, 1, 1, 1, 1],
                        [2048, 0, 30, 1, 1, 1, 1, 1],
                        [1536, 0, 22.5, 1, 1, 1, 1, 1],
                        [1024, 0, 15, 1, 1, 1, 1, 1],
                        [768, 0, 15, 1, 1, 1, 1, 1],
                        [512, 0, 10, 1, 1, 1, 1, 1],
                        [384, 0, 7.5, 1, 1, 1, 1, 1],
                        [256, 0, 5, 1, 1, 1, 1, 1],
                        [128, 0, 2, 1, 1, 1, 1, 1],
                        [64, 0, 1, 1, 1, 1, 1, 1]
                    ],
                    // <5-2>動き優先(NQ)
                    [
                        // デフォルト値
                        [2],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 1, 1, 1],
                        [3072, 0, 30, 1, 1, 1, 1, 1],
                        [2048, 0, 30, 1, 1, 1, 1, 1],
                        [1536, 0, 25, 1, 1, 1, 1, 1],
                        [1024, 0, 20, 1, 1, 1, 1, 1],
                        [768, 0, 15, 1, 1, 1, 1, 1],
                        [512, 0, 10, 1, 1, 1, 1, 1],
                        [384, 0, 10, 1, 1, 1, 1, 1],
                        [256, 0, 7.5, 1, 1, 1, 1, 1],
                        [128, 0, 5, 1, 1, 1, 1, 1],
                        [64, 0, 2, 1, 1, 1, 1, 1]
                    ]
                ],
                // <2-01>QVGA
                [
                    // <5-0>画質優先(SF)
                    [
                        // デフォルト値
                        [2],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 1, 1, 1],
                        [3072, 0, 30, 1, 1, 1, 1, 1],
                        [2048, 0, 30, 1, 1, 1, 1, 1],
                        [1536, 0, 20, 1, 1, 1, 1, 1],
                        [1024, 0, 15, 1, 1, 1, 1, 1],
                        [768, 0, 15, 1, 1, 1, 1, 1],
                        [512, 0, 10, 1, 1, 1, 1, 1],
                        [384, 0, 7.5, 1, 1, 1, 1, 1],
                        [256, 0, 5, 1, 1, 1, 1, 1],
                        [128, 0, 2, 1, 1, 1, 1, 1],
                        [64, 0, 1, 1, 1, 1, 1, 1]
                    ],
                    // <5-1>標準(FQ)
                    [
                        // デフォルト値
                        [2],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 1, 1, 1],
                        [3072, 0, 30, 1, 1, 1, 1, 1],
                        [2048, 0, 30, 1, 1, 1, 1, 1],
                        [1536, 0, 30, 1, 1, 1, 1, 1],
                        [1024, 0, 30, 1, 1, 1, 1, 1],
                        [768, 0, 25, 1, 1, 1, 1, 1],
                        [512, 0, 20, 1, 1, 1, 1, 1],
                        [384, 0, 15, 1, 1, 1, 1, 1],
                        [256, 0, 10, 1, 1, 1, 1, 1],
                        [128, 0, 5, 1, 1, 1, 1, 1],
                        [64, 0, 2, 1, 1, 1, 1, 1]
                    ],
                    // <5-2>動き優先(NQ)
                    [
                        // デフォルト値
                        [2],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 1, 1, 1],
                        [3072, 0, 30, 1, 1, 1, 1, 1],
                        [2048, 0, 30, 1, 1, 1, 1, 1],
                        [1536, 0, 30, 1, 1, 1, 1, 1],
                        [1024, 0, 30, 1, 1, 1, 1, 1],
                        [768, 0, 30, 1, 1, 1, 1, 1],
                        [512, 0, 30, 1, 1, 1, 1, 1],
                        [384, 0, 25, 1, 1, 1, 1, 1],
                        [256, 0, 20, 1, 1, 1, 1, 1],
                        [128, 0, 10, 1, 1, 1, 1, 1],
                        [64, 0, 5, 1, 1, 1, 1, 1]
                    ]
                ]
            ]
        ]
    ],
    // ----------------------------------------------------
    // 【MPEG4-02】NP502/NW502S
    [
        // <3-0>1.3M
        [
            // <4-0>ビットレート優先
            [
                // <2-00>VGA
                [
                    // <5-0>画質優先(SF)
                    [
                        // デフォルト値
                        [2],
                        // 値リスト
                        [4096, 0, 22.5, 1, 1, 1, 1, 1],
                        [3072, 0, 20, 1, 1, 1, 1, 1],
                        [2048, 0, 15, 1, 1, 1, 1, 1],
                        [1536, 0, 15, 1, 1, 1, 1, 1],
                        [1024, 0, 10, 1, 1, 1, 1, 1],
                        [768, 0, 7.5, 1, 1, 1, 1, 1],
                        [512, 0, 5, 1, 1, 1, 1, 1],
                        [384, 0, 3, 1, 1, 1, 1, 1],
                        [256, 0, 2, 1, 1, 1, 1, 1],
                        [128, 0, 1, 1, 1, 1, 1, 1],
                        [64, 0, 1, 1, 1, 1, 1, 1]
                    ],
                    // <5-1>標準(FQ)
                    [
                        // デフォルト値
                        [2],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 1, 1, 1],
                        [3072, 0, 30, 1, 1, 1, 1, 1],
                        [2048, 0, 30, 1, 1, 1, 1, 1],
                        [1536, 0, 22.5, 1, 1, 1, 1, 1],
                        [1024, 0, 15, 1, 1, 1, 1, 1],
                        [768, 0, 15, 1, 1, 1, 1, 1],
                        [512, 0, 10, 1, 1, 1, 1, 1],
                        [384, 0, 7.5, 1, 1, 1, 1, 1],
                        [256, 0, 5, 1, 1, 1, 1, 1],
                        [128, 0, 2, 1, 1, 1, 1, 1],
                        [64, 0, 1, 1, 1, 1, 1, 1]
                    ],
                    // <5-2>動き優先(NQ)
                    [
                        // デフォルト値
                        [2],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 1, 1, 1],
                        [3072, 0, 30, 1, 1, 1, 1, 1],
                        [2048, 0, 30, 1, 1, 1, 1, 1],
                        [1536, 0, 25, 1, 1, 1, 1, 1],
                        [1024, 0, 20, 1, 1, 1, 1, 1],
                        [768, 0, 15, 1, 1, 1, 1, 1],
                        [512, 0, 10, 1, 1, 1, 1, 1],
                        [384, 0, 10, 1, 1, 1, 1, 1],
                        [256, 0, 7.5, 1, 1, 1, 1, 1],
                        [128, 0, 5, 1, 1, 1, 1, 1],
                        [64, 0, 2, 1, 1, 1, 1, 1]
                    ]
                ],
                // <2-01>QVGA
                [
                    // <5-0>画質優先(SF)
                    [
                        // デフォルト値
                        [2],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 1, 1, 1],
                        [3072, 0, 30, 1, 1, 1, 1, 1],
                        [2048, 0, 30, 1, 1, 1, 1, 1],
                        [1536, 0, 20, 1, 1, 1, 1, 1],
                        [1024, 0, 15, 1, 1, 1, 1, 1],
                        [768, 0, 15, 1, 1, 1, 1, 1],
                        [512, 0, 10, 1, 1, 1, 1, 1],
                        [384, 0, 7.5, 1, 1, 1, 1, 1],
                        [256, 0, 5, 1, 1, 1, 1, 1],
                        [128, 0, 2, 1, 1, 1, 1, 1],
                        [64, 0, 1, 1, 1, 1, 1, 1]
                    ],
                    // <5-1>標準(FQ)
                    [
                        // デフォルト値
                        [2],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 1, 1, 1],
                        [3072, 0, 30, 1, 1, 1, 1, 1],
                        [2048, 0, 30, 1, 1, 1, 1, 1],
                        [1536, 0, 30, 1, 1, 1, 1, 1],
                        [1024, 0, 30, 1, 1, 1, 1, 1],
                        [768, 0, 25, 1, 1, 1, 1, 1],
                        [512, 0, 20, 1, 1, 1, 1, 1],
                        [384, 0, 15, 1, 1, 1, 1, 1],
                        [256, 0, 10, 1, 1, 1, 1, 1],
                        [128, 0, 5, 1, 1, 1, 1, 1],
                        [64, 0, 2, 1, 1, 1, 1, 1]
                    ],
                    // <5-2>動き優先(NQ)
                    [
                        // デフォルト値
                        [2],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 1, 1, 1],
                        [3072, 0, 30, 1, 1, 1, 1, 1],
                        [2048, 0, 30, 1, 1, 1, 1, 1],
                        [1536, 0, 30, 1, 1, 1, 1, 1],
                        [1024, 0, 30, 1, 1, 1, 1, 1],
                        [768, 0, 30, 1, 1, 1, 1, 1],
                        [512, 0, 30, 1, 1, 1, 1, 1],
                        [384, 0, 25, 1, 1, 1, 1, 1],
                        [256, 0, 20, 1, 1, 1, 1, 1],
                        [128, 0, 10, 1, 1, 1, 1, 1],
                        [64, 0, 5, 1, 1, 1, 1, 1]
                    ]
                ]
            ]
        ],
        // <3-1>3M
        [
            // <4-0>ビットレート優先
            [
                // <2-00>VGA
                [
                    // <5-0>画質優先(SF)
                    [
                        // デフォルト値
                        [2],
                        // 値リスト
                        [4096, 0, 15, 1, 1, 1, 1, 0],
                        [3072, 0, 15, 1, 1, 1, 1, 0],
                        [2048, 0, 15, 1, 1, 1, 1, 0],
                        [1536, 0, 15, 1, 1, 1, 1, 0],
                        [1024, 0, 10, 1, 1, 1, 1, 0],
                        [768, 0, 7.5, 1, 1, 1, 1, 0],
                        [512, 0, 5, 1, 1, 1, 1, 0],
                        [384, 0, 3, 1, 1, 1, 1, 0],
                        [256, 0, 2, 1, 1, 1, 1, 0],
                        [128, 0, 1, 1, 1, 1, 1, 0],
                        [64, 0, 1, 1, 1, 1, 1, 0]
                    ],
                    // <5-1>標準(FQ)
                    [
                        // デフォルト値
                        [2],
                        // 値リスト
                        [4096, 0, 15, 1, 1, 1, 1, 0],
                        [3072, 0, 15, 1, 1, 1, 1, 0],
                        [2048, 0, 15, 1, 1, 1, 1, 0],
                        [1536, 0, 15, 1, 1, 1, 1, 0],
                        [1024, 0, 15, 1, 1, 1, 1, 0],
                        [768, 0, 15, 1, 1, 1, 1, 0],
                        [512, 0, 10, 1, 1, 1, 1, 0],
                        [384, 0, 7.5, 1, 1, 1, 1, 0],
                        [256, 0, 5, 1, 1, 1, 1, 0],
                        [128, 0, 2, 1, 1, 1, 1, 0],
                        [64, 0, 1, 1, 1, 1, 1, 0]
                    ],
                    // <5-2>動き優先(NQ)
                    [
                        // デフォルト値
                        [2],
                        // 値リスト
                        [4096, 0, 15, 1, 1, 1, 1, 0],
                        [3072, 0, 15, 1, 1, 1, 1, 0],
                        [2048, 0, 15, 1, 1, 1, 1, 0],
                        [1536, 0, 15, 1, 1, 1, 1, 0],
                        [1024, 0, 15, 1, 1, 1, 1, 0],
                        [768, 0, 15, 1, 1, 1, 1, 0],
                        [512, 0, 10, 1, 1, 1, 1, 0],
                        [384, 0, 10, 1, 1, 1, 1, 0],
                        [256, 0, 7.5, 1, 1, 1, 1, 0],
                        [128, 0, 5, 1, 1, 1, 1, 0],
                        [64, 0, 2, 1, 1, 1, 1, 0]
                    ]
                ],
                // <2-01>QVGA
                [
                    // <5-0>画質優先(SF)
                    [
                        // デフォルト値
                        [2],
                        // 値リスト
                        [4096, 0, 15, 1, 1, 1, 1, 0],
                        [3072, 0, 15, 1, 1, 1, 1, 0],
                        [2048, 0, 15, 1, 1, 1, 1, 0],
                        [1536, 0, 15, 1, 1, 1, 1, 0],
                        [1024, 0, 15, 1, 1, 1, 1, 0],
                        [768, 0, 15, 1, 1, 1, 1, 0],
                        [512, 0, 10, 1, 1, 1, 1, 0],
                        [384, 0, 7.5, 1, 1, 1, 1, 0],
                        [256, 0, 5, 1, 1, 1, 1, 0],
                        [128, 0, 2, 1, 1, 1, 1, 0],
                        [64, 0, 1, 1, 1, 1, 1, 0]
                    ],
                    // <5-1>標準(FQ)
                    [
                        // デフォルト値
                        [2],
                        // 値リスト
                        [4096, 0, 15, 1, 1, 1, 1, 0],
                        [3072, 0, 15, 1, 1, 1, 1, 0],
                        [2048, 0, 15, 1, 1, 1, 1, 0],
                        [1536, 0, 15, 1, 1, 1, 1, 0],
                        [1024, 0, 15, 1, 1, 1, 1, 0],
                        [768, 0, 15, 1, 1, 1, 1, 0],
                        [512, 0, 15, 1, 1, 1, 1, 0],
                        [384, 0, 15, 1, 1, 1, 1, 0],
                        [256, 0, 10, 1, 1, 1, 1, 0],
                        [128, 0, 5, 1, 1, 1, 1, 0],
                        [64, 0, 2, 1, 1, 1, 1, 0]
                    ],
                    // <5-2>動き優先(NQ)
                    [
                        // デフォルト値
                        [2],
                        // 値リスト
                        [4096, 0, 15, 1, 1, 1, 1, 0],
                        [3072, 0, 15, 1, 1, 1, 1, 0],
                        [2048, 0, 15, 1, 1, 1, 1, 0],
                        [1536, 0, 15, 1, 1, 1, 1, 0],
                        [1024, 0, 15, 1, 1, 1, 1, 0],
                        [768, 0, 15, 1, 1, 1, 1, 0],
                        [512, 0, 15, 1, 1, 1, 1, 0],
                        [384, 0, 15, 1, 1, 1, 1, 0],
                        [256, 0, 15, 1, 1, 1, 1, 0],
                        [128, 0, 10, 1, 1, 1, 1, 0],
                        [64, 0, 5, 1, 1, 1, 1, 0]
                    ]
                ]
            ]
        ]
    ],
    // ----------------------------------------------------
    // 【MPEG4-03】GXE500
    [
        // <3-0>(1.3M)
        [
            // <4-0>ビットレート優先
            [
                // <2-00>VGA
                [
                    // <5-0>画質優先(SF)
                    [
                        // デフォルト値
                        [2],
                        // 値リスト
                        [4096, 0, 22.5, 1, 1, 1, 1, 1],
                        [3072, 0, 20, 1, 1, 1, 1, 1],
                        [2048, 0, 15, 1, 1, 1, 1, 1],
                        [1536, 0, 15, 1, 1, 1, 1, 1],
                        [1024, 0, 10, 1, 1, 1, 1, 1],
                        [768, 0, 7.5, 1, 1, 1, 1, 1],
                        [512, 0, 5, 1, 1, 1, 1, 1],
                        [384, 0, 3, 1, 1, 1, 1, 1],
                        [256, 0, 2, 1, 1, 1, 1, 1],
                        [128, 0, 1, 1, 1, 1, 1, 1],
                        [64, 0, 1, 1, 1, 1, 1, 1]
                    ],
                    // <5-1>標準(FQ)
                    [
                        // デフォルト値
                        [2],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 1, 1, 1],
                        [3072, 0, 30, 1, 1, 1, 1, 1],
                        [2048, 0, 30, 1, 1, 1, 1, 1],
                        [1536, 0, 22.5, 1, 1, 1, 1, 1],
                        [1024, 0, 15, 1, 1, 1, 1, 1],
                        [768, 0, 15, 1, 1, 1, 1, 1],
                        [512, 0, 10, 1, 1, 1, 1, 1],
                        [384, 0, 7.5, 1, 1, 1, 1, 1],
                        [256, 0, 5, 1, 1, 1, 1, 1],
                        [128, 0, 2, 1, 1, 1, 1, 1],
                        [64, 0, 1, 1, 1, 1, 1, 1]
                    ],
                    // <5-2>動き優先(NQ)
                    [
                        // デフォルト値
                        [2],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 1, 1, 1],
                        [3072, 0, 30, 1, 1, 1, 1, 1],
                        [2048, 0, 30, 1, 1, 1, 1, 1],
                        [1536, 0, 25, 1, 1, 1, 1, 1],
                        [1024, 0, 20, 1, 1, 1, 1, 1],
                        [768, 0, 15, 1, 1, 1, 1, 1],
                        [512, 0, 10, 1, 1, 1, 1, 1],
                        [384, 0, 10, 1, 1, 1, 1, 1],
                        [256, 0, 7.5, 1, 1, 1, 1, 1],
                        [128, 0, 5, 1, 1, 1, 1, 1],
                        [64, 0, 2, 1, 1, 1, 1, 1]
                    ]
                ],
                // <2-01>QVGA
                [
                    // <5-0>画質優先(SF)
                    [
                        // デフォルト値
                        [2],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 1, 1, 1],
                        [3072, 0, 30, 1, 1, 1, 1, 1],
                        [2048, 0, 30, 1, 1, 1, 1, 1],
                        [1536, 0, 20, 1, 1, 1, 1, 1],
                        [1024, 0, 15, 1, 1, 1, 1, 1],
                        [768, 0, 15, 1, 1, 1, 1, 1],
                        [512, 0, 10, 1, 1, 1, 1, 1],
                        [384, 0, 7.5, 1, 1, 1, 1, 1],
                        [256, 0, 5, 1, 1, 1, 1, 1],
                        [128, 0, 2, 1, 1, 1, 1, 1],
                        [64, 0, 1, 1, 1, 1, 1, 1]
                    ],
                    // <5-1>標準(FQ)
                    [
                        // デフォルト値
                        [2],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 1, 1, 1],
                        [3072, 0, 30, 1, 1, 1, 1, 1],
                        [2048, 0, 30, 1, 1, 1, 1, 1],
                        [1536, 0, 30, 1, 1, 1, 1, 1],
                        [1024, 0, 30, 1, 1, 1, 1, 1],
                        [768, 0, 25, 1, 1, 1, 1, 1],
                        [512, 0, 20, 1, 1, 1, 1, 1],
                        [384, 0, 15, 1, 1, 1, 1, 1],
                        [256, 0, 10, 1, 1, 1, 1, 1],
                        [128, 0, 5, 1, 1, 1, 1, 1],
                        [64, 0, 2, 1, 1, 1, 1, 1]
                    ],
                    // <5-2>動き優先(NQ)
                    [
                        // デフォルト値
                        [2],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 1, 1, 1],
                        [3072, 0, 30, 1, 1, 1, 1, 1],
                        [2048, 0, 30, 1, 1, 1, 1, 1],
                        [1536, 0, 30, 1, 1, 1, 1, 1],
                        [1024, 0, 30, 1, 1, 1, 1, 1],
                        [768, 0, 30, 1, 1, 1, 1, 1],
                        [512, 0, 30, 1, 1, 1, 1, 1],
                        [384, 0, 25, 1, 1, 1, 1, 1],
                        [256, 0, 20, 1, 1, 1, 1, 1],
                        [128, 0, 10, 1, 1, 1, 1, 1],
                        [64, 0, 5, 1, 1, 1, 1, 1]
                    ]
                ]
            ]
        ]
    ],
    // ----------------------------------------------------
    // 【MPEG4-04】NP304/NF302
    [
        // <3-0>(1.3M)
        [
            // <4-0>ビットレート優先
            [
                // <2-00>VGA
                [
                    // <5-0>画質優先(SF)
                    [
                        // デフォルト値
                        [2],
                        // 値リスト
                        [4096, 0, 22, 1, 1, 1, 1, 1],
                        [3072, 0, 20, 1, 1, 1, 1, 1],
                        [2048, 0, 15, 1, 1, 1, 1, 1],
                        [1536, 0, 12, 1, 1, 1, 1, 1],
                        [1024, 0, 8, 1, 1, 1, 1, 1],
                        [512, 0, 4, 1, 1, 1, 1, 1],
                        [256, 0, 1.5, 1, 1, 1, 1, 1],
                        [128, 0, 0.5, 1, 1, 1, 1, 1],
                        [64, 0, 0.2, 1, 1, 1, 1, 1]
                    ],
                    // <5-1>標準(FQ)
                    [
                        // デフォルト値
                        [2],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 1, 1, 1],
                        [3072, 0, 30, 1, 1, 1, 1, 1],
                        [2048, 0, 30, 1, 1, 1, 1, 1],
                        [1536, 0, 22, 1, 1, 1, 1, 1],
                        [1024, 0, 15, 1, 1, 1, 1, 1],
                        [512, 0, 8, 1, 1, 1, 1, 1],
                        [256, 0, 3, 1, 1, 1, 1, 1],
                        [128, 0, 1, 1, 1, 1, 1, 1],
                        [64, 0, 0.4, 1, 1, 1, 1, 1]
                    ],
                    // <5-2>動き優先(NQ)
                    [
                        // デフォルト値
                        [2],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 1, 1, 1],
                        [3072, 0, 30, 1, 1, 1, 1, 1],
                        [2048, 0, 30, 1, 1, 1, 1, 1],
                        [1536, 0, 25, 1, 1, 1, 1, 1],
                        [1024, 0, 20, 1, 1, 1, 1, 1],
                        [512, 0, 10, 1, 1, 1, 1, 1],
                        [256, 0, 5, 1, 1, 1, 1, 1],
                        [128, 0, 2, 1, 1, 1, 1, 1],
                        [64, 0, 1, 1, 1, 1, 1, 1]
                    ]
                ],
                // <2-01>QVGA
                [
                    // <5-0>画質優先(SF)
                    [
                        // デフォルト値
                        [2],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 1, 1, 1],
                        [3072, 0, 30, 1, 1, 1, 1, 1],
                        [2048, 0, 28, 1, 1, 1, 1, 1],
                        [1536, 0, 20, 1, 1, 1, 1, 1],
                        [1024, 0, 15, 1, 1, 1, 1, 1],
                        [512, 0, 10, 1, 1, 1, 1, 1],
                        [256, 0, 4, 1, 1, 1, 1, 1],
                        [128, 0, 2, 1, 1, 1, 1, 1],
                        [64, 0, 0.5, 1, 1, 1, 1, 1]
                    ],
                    // <5-1>標準(FQ)
                    [
                        // デフォルト値
                        [2],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 1, 1, 1],
                        [3072, 0, 30, 1, 1, 1, 1, 1],
                        [2048, 0, 30, 1, 1, 1, 1, 1],
                        [1536, 0, 30, 1, 1, 1, 1, 1],
                        [1024, 0, 28, 1, 1, 1, 1, 1],
                        [512, 0, 20, 1, 1, 1, 1, 1],
                        [256, 0, 10, 1, 1, 1, 1, 1],
                        [128, 0, 4, 1, 1, 1, 1, 1],
                        [64, 0, 1.5, 1, 1, 1, 1, 1]
                    ],
                    // <5-2>動き優先(NQ)
                    [
                        // デフォルト値
                        [2],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 1, 1, 1],
                        [3072, 0, 30, 1, 1, 1, 1, 1],
                        [2048, 0, 30, 1, 1, 1, 1, 1],
                        [1536, 0, 30, 1, 1, 1, 1, 1],
                        [1024, 0, 30, 1, 1, 1, 1, 1],
                        [512, 0, 28, 1, 1, 1, 1, 1],
                        [256, 0, 20, 1, 1, 1, 1, 1],
                        [128, 0, 10, 1, 1, 1, 1, 1],
                        [64, 0, 4, 1, 1, 1, 1, 1]
                    ]
                ]
            ]
        ]
    ],
    // ----------------------------------------------------
    // 【MPEG4-05】NP1000
    [
        // <3-0>ﾌﾙｽｷｬﾝ
        [
            // <4-0>ビットレート優先
            [
                // <2-00>VGA
                [
                    // <5-0>画質優先(SF)
                    [
                        // デフォルト値
                        [2],
                        // 値リスト
                        [4096, 0, 13, 1, 1, 1, 1, 0],
                        [3072, 0, 11.9, 1, 1, 1, 1, 0],
                        [2048, 0, 10, 1, 1, 1, 1, 0],
                        [1536, 0, 7.3, 1, 1, 1, 1, 0],
                        [1024, 0, 4.5, 1, 1, 1, 1, 0],
                        [512, 0, 2.5, 1, 1, 1, 1, 0],
                        [256, 0, 1, 1, 1, 1, 1, 0],
                        [128, 0, 1, 1, 1, 1, 1, 0],
                        [64, 0, 0.8, 1, 1, 1, 1, 0]
                    ],
                    // <5-1>標準(FQ)
                    [
                        // デフォルト値
                        [2],
                        // 値リスト
                        [4096, 0, 15, 1, 1, 1, 1, 0],
                        [3072, 0, 15, 1, 1, 1, 1, 0],
                        [2048, 0, 15, 1, 1, 1, 1, 0],
                        [1536, 0, 11, 1, 1, 1, 1, 0],
                        [1024, 0, 7, 1, 1, 1, 1, 0],
                        [512, 0, 3.5, 1, 1, 1, 1, 0],
                        [256, 0, 1.6, 1, 1, 1, 1, 0],
                        [128, 0, 1, 1, 1, 1, 1, 0],
                        [64, 0, 0.8, 1, 1, 1, 1, 0]
                    ],
                    // <5-2>動き優先(NQ)
                    [
                        // デフォルト値
                        [2],
                        // 値リスト
                        [4096, 0, 15, 1, 1, 1, 1, 0],
                        [3072, 0, 15, 1, 1, 1, 1, 0],
                        [2048, 0, 15, 1, 1, 1, 1, 0],
                        [1536, 0, 14, 1, 1, 1, 1, 0],
                        [1024, 0, 9.7, 1, 1, 1, 1, 0],
                        [512, 0, 4.7, 1, 1, 1, 1, 0],
                        [256, 0, 2, 1, 1, 1, 1, 0],
                        [128, 0, 1, 1, 1, 1, 1, 0],
                        [64, 0, 0.8, 1, 1, 1, 1, 0]
                    ]
                ],
                // <2-01>QVGA
                [
                    // <5-0>画質優先(SF)
                    [
                        // デフォルト値
                        [2],
                        // 値リスト
                        [4096, 0, 15, 1, 1, 1, 1, 0],
                        [3072, 0, 15, 1, 1, 1, 1, 0],
                        [2048, 0, 15, 1, 1, 1, 1, 0],
                        [1536, 0, 15, 1, 1, 1, 1, 0],
                        [1024, 0, 15, 1, 1, 1, 1, 0],
                        [512, 0, 10, 1, 1, 1, 1, 0],
                        [256, 0, 4.5, 1, 1, 1, 1, 0],
                        [128, 0, 2, 1, 1, 1, 1, 0],
                        [64, 0, 1, 1, 1, 1, 1, 0]
                    ],
                    // <5-1>標準(FQ)
                    [
                        // デフォルト値
                        [2],
                        // 値リスト
                        [4096, 0, 15, 1, 1, 1, 1, 0],
                        [3072, 0, 15, 1, 1, 1, 1, 0],
                        [2048, 0, 15, 1, 1, 1, 1, 0],
                        [1536, 0, 15, 1, 1, 1, 1, 0],
                        [1024, 0, 15, 1, 1, 1, 1, 0],
                        [512, 0, 14.2, 1, 1, 1, 1, 0],
                        [256, 0, 6.5, 1, 1, 1, 1, 0],
                        [128, 0, 3.3, 1, 1, 1, 1, 0],
                        [64, 0, 1.7, 1, 1, 1, 1, 0]
                    ],
                    // <5-2>動き優先(NQ)
                    [
                        // デフォルト値
                        [2],
                        // 値リスト
                        [4096, 0, 15, 1, 1, 1, 1, 0],
                        [3072, 0, 15, 1, 1, 1, 1, 0],
                        [2048, 0, 15, 1, 1, 1, 1, 0],
                        [1536, 0, 15, 1, 1, 1, 1, 0],
                        [1024, 0, 15, 1, 1, 1, 1, 0],
                        [512, 0, 14.8, 1, 1, 1, 1, 0],
                        [256, 0, 9.1, 1, 1, 1, 1, 0],
                        [128, 0, 4.5, 1, 1, 1, 1, 0],
                        [64, 0, 2, 1, 1, 1, 1, 0]
                    ]
                ]
            ]
        ]
    ],
    // ----------------------------------------------------
    // 【MPEG4-06】その他i-PRO
    [
        // <3-0>(1.3M)
        [
            // <4-0>ビットレート優先
            [
                // <2-00>VGA
                [
                    // <5-0>画質優先(SF)
                    [
                        // デフォルト値
                        [2],
                        // 値リスト
                        [4096, 0, 27, 1, 1, 1, 1, 1],
                        [3072, 0, 22, 1, 1, 1, 1, 1],
                        [2048, 0, 19, 1, 1, 1, 1, 1],
                        [1536, 0, 13, 1, 1, 1, 1, 1],
                        [1024, 0, 9, 1, 1, 1, 1, 1],
                        [512, 0, 4, 1, 1, 1, 1, 1],
                        [256, 0, 1.5, 1, 1, 1, 1, 1],
                        [128, 0, 0.5, 1, 1, 1, 1, 1],
                        [64, 0, 0.2, 1, 1, 1, 1, 1]
                    ],
                    // <5-1>標準(FQ)
                    [
                        // デフォルト値
                        [2],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 1, 1, 1],
                        [3072, 0, 30, 1, 1, 1, 1, 1],
                        [2048, 0, 30, 1, 1, 1, 1, 1],
                        [1536, 0, 22, 1, 1, 1, 1, 1],
                        [1024, 0, 14, 1, 1, 1, 1, 1],
                        [512, 0, 8, 1, 1, 1, 1, 1],
                        [256, 0, 3, 1, 1, 1, 1, 1],
                        [128, 0, 1, 1, 1, 1, 1, 1],
                        [64, 0, 0.4, 1, 1, 1, 1, 1]
                    ],
                    // <5-2>動き優先(NQ)
                    [
                        // デフォルト値
                        [2],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 1, 1, 1],
                        [3072, 0, 30, 1, 1, 1, 1, 1],
                        [2048, 0, 30, 1, 1, 1, 1, 1],
                        [1536, 0, 25, 1, 1, 1, 1, 1],
                        [1024, 0, 22, 1, 1, 1, 1, 1],
                        [512, 0, 10, 1, 1, 1, 1, 1],
                        [256, 0, 5, 1, 1, 1, 1, 1],
                        [128, 0, 2, 1, 1, 1, 1, 1],
                        [64, 0, 1, 1, 1, 1, 1, 1]
                    ]
                ],
                // <2-01>QVGA
                [
                    // <5-0>画質優先(SF)
                    [
                        // デフォルト値
                        [2],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 1, 1, 1],
                        [3072, 0, 28, 1, 1, 1, 1, 1],
                        [2048, 0, 28, 1, 1, 1, 1, 1],
                        [1536, 0, 28, 1, 1, 1, 1, 1],
                        [1024, 0, 27, 1, 1, 1, 1, 1],
                        [512, 0, 12, 1, 1, 1, 1, 1],
                        [256, 0, 5, 1, 1, 1, 1, 1],
                        [128, 0, 2, 1, 1, 1, 1, 1],
                        [64, 0, 0.5, 1, 1, 1, 1, 1]
                    ],
                    // <5-1>標準(FQ)
                    [
                        // デフォルト値
                        [2],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 1, 1, 1],
                        [3072, 0, 30, 1, 1, 1, 1, 1],
                        [2048, 0, 30, 1, 1, 1, 1, 1],
                        [1536, 0, 29, 1, 1, 1, 1, 1],
                        [1024, 0, 28, 1, 1, 1, 1, 1],
                        [512, 0, 24, 1, 1, 1, 1, 1],
                        [256, 0, 12, 1, 1, 1, 1, 1],
                        [128, 0, 4, 1, 1, 1, 1, 1],
                        [64, 0, 1.5, 1, 1, 1, 1, 1]
                    ],
                    // <5-2>動き優先(NQ)
                    [
                        // デフォルト値
                        [2],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 1, 1, 1],
                        [3072, 0, 30, 1, 1, 1, 1, 1],
                        [2048, 0, 30, 1, 1, 1, 1, 1],
                        [1536, 0, 30, 1, 1, 1, 1, 1],
                        [1024, 0, 30, 1, 1, 1, 1, 1],
                        [512, 0, 28, 1, 1, 1, 1, 1],
                        [256, 0, 24, 1, 1, 1, 1, 1],
                        [128, 0, 10, 1, 1, 1, 1, 1],
                        [64, 0, 4, 1, 1, 1, 1, 1]
                    ]
                ]
            ]
        ]
    ],
    // ----------------------------------------------------
    // 【MPEG4-07】BB-HCM7**
    [
        // <3-0>(1.3M)
        [
            // <4-0>ビットレート優先
            [
                // <2-00>VGA
                [
                    // <5-0>(none)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [2048, 2663, 30, 1, 1, 1, 1, 1],
                        [1536, 1997, 30, 1, 1, 1, 1, 1],
                        [1024, 1332, 15, 1, 1, 1, 1, 1],
                        [768, 999, 10, 1, 1, 1, 1, 1],
                        [512, 666, 5, 1, 1, 1, 1, 1],
                        [384, 500, 0, 1, 1, 1, 1, 1],
                        [256, 333, 0, 1, 1, 1, 1, 1],
                        [192, 250, 0, 1, 1, 1, 1, 1]
                    ]
                ],
                // <2-01>QVGA
                [
                    // <5-0>(none)
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [1024, 1332, 30, 1, 1, 1, 1, 1],
                        [768, 999, 30, 1, 1, 1, 1, 1],
                        [512, 666, 15, 1, 1, 1, 1, 1],
                        [384, 500, 10, 1, 1, 1, 1, 1],
                        [256, 333, 5, 1, 1, 1, 1, 1],
                        [192, 250, 0, 1, 1, 1, 1, 1],
                        [128, 167, 0, 1, 1, 1, 1, 1],
                        [64, 84, 0, 1, 1, 1, 1, 1]
                    ]
                ]
            ]
        ]
    ]
];

/* *********************************************************************
 * ========== 4. H.264(顔照合)カメラ情報 ==========
 *      Do not edit this section directly
 *       since generated from CamTable automatically.
********************************************************************* */
var camInfo_Face = [
    // ----------------------------------------------------
    // 【顔照合-01】全対応カメラ共通
    [
        // <2-00>SXVGA
        [
            // デフォルト値
            0,
            // 値リスト
            s_camreso_face_01
        ],
        // <4-00>画質優先(SF)
        [
            // デフォルト値
            0,
            // 値リスト
            s_camqual_face_01
        ],
        // <5>録画fps
        [
            // デフォルト値
            0,
            // 値リスト
            5
        ],
        // <6>ビットレート
        [
            // デフォルト値
            0,
            // 値リスト
            4096
        ]
    ]
];


